(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     59905,       1923]*)
(*NotebookOutlinePosition[     84981,       2832]*)
(*  CellTagsIndexPosition[     84685,       2819]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 1  ",
    FontSize->18],
  StyleBox["COMPLEX NUMBERS\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 1.1  ",
    FontSize->18],
  ButtonBox["The Origin of Complex Numbers",
    ButtonData:>"Section 1.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 1.2  ",
    FontSize->18],
  ButtonBox["The Algebra of Complex Numbers",
    ButtonData:>"Section 1.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 1.3  ",
    FontSize->18],
  ButtonBox["The Geometry of Complex Numbers",
    ButtonData:>"Section 1.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 1.4  ",
    FontSize->18],
  ButtonBox["The Geometry of Complex Numbers, Continued",
    ButtonData:>"Section 1.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 1.5  ",
    FontSize->18],
  ButtonBox["The Algebra of Complex Numbers, Revisited",
    ButtonData:>"Section 1.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 1.6  ",
    FontSize->18],
  ButtonBox["The Topology of Complex Numbers\n",
    ButtonData:>"Section 1.6",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 1  ",
    FontSize->18],
  StyleBox["COMPLEX NUMBERS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 1"],

Cell[BoxData[{
    \(<< Graphics`Arrow`\), 
    \(\(Clear[b, bdd, c, eqn, ext, int, k, list, P, r1, r2, set, solset, t, 
      \[Theta], \[Theta]1, \[Theta]2, values, x, x0, x1, x2, x3, xx, y0, y1, 
      y2, y3, yy, z, z1, z2, z3, z4, Z]; \)\)}], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 1.1  ",
    FontSize->18],
  StyleBox["The Origin of Complex Numbers",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 1.1"],

Cell[TextData[{
  "\nThe ",
  StyleBox["depressed cubic equation",
    FontColor->RGBColor[1, 0, 1]],
  " is   ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox[
          StyleBox["x",
            FontSize->14], "3"], TraditionalForm]]],
  " +  b x  +  c  =  0.\nFerro and Tartaglia showed that one solution to this \
equation is:\nx   =  ",
  StyleBox[" ",
    FontSize->15],
  Cell[BoxData[
      FormBox[
        RadicalBox[
          RowBox[{
            RowBox[{
              FormBox[\(\(-c\)\/2\),
                "TraditionalForm"], " ", "+", " ", 
              FormBox[\(\@\(c\^2\/4 + b\^3\/27\)\),
                "TraditionalForm"]}], " "}], "3"], TraditionalForm]],
    FontSize->14],
  StyleBox["   -   ",
    FontSize->14],
  Cell[BoxData[
      FormBox[
        RadicalBox[
          FormBox[
            RowBox[{" ", 
              RowBox[{
                FormBox[\(c\/2\),
                  "TraditionalForm"], " ", "+", " ", 
                FormBox[\(\@\(c\^2\/4 + b\^3\/27\)\),
                  "TraditionalForm"]}], " "}],
            "TraditionalForm"], "3"], TraditionalForm]],
    FontSize->14],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example in narrative on Page 2 of Section 1.1.",
    FontWeight->"Bold"],
  "\n",
  "Consider the simple depressed cubic equation  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^3\),
          FontSize->14], TraditionalForm]]],
  " - 15x = 4  =   0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[b, c, eqn, r1, r2, solset, x]; \n
    eqn\  = \ x\^3\  - \ 15\ x\  - \ 4\  == \ 0; \n
    solset\  = \ Solve[eqn, \ x\ ]; \nPrint[eqn]; \nPrint[solset]; \)], 
  "Input"],

Cell["\<\
Using the Ferro-Tartaglia formula we can verify that  z  is a \
solution, where:\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(b\  = \ \(-15\); \nc\  = \ \(-4\); \n
    Print[0, "\< = \>", x\^3\  + \ b\ x\  + \ c]; \n
    x\  = \ \@\(\(-c\)\/2\  + \ \@\(c\^2\/4 + b\^3\/27\)\)\%3\  - \ 
        \@\(c\/2\  + \ \@\(c\^2\/4 + b\^3\/27\)\)\%3; \n
    Print["\<x = \>"\ , \ x]; \n
    x\  = \ \@\(2\  + \ \@\(-121\)\)\%3\  - \ \ 
        \@\(\(-2\)\  + \ \@\(-121\)\)\%3; \nPrint["\<x = \>"\ , \ x]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell["The first cube root evaluated nicely", "Text"],

Cell[BoxData[
    \(r1\  = \ 2\  + \ \[ImaginaryI]; \n
    Print[\*"\"\<\!\(r\_1\) = \>\""\ , \ r1]; \)], "Input"],

Cell[TextData[{
  "A different choice (or branch) of the cube root must be used to compute \
the quantity  ",
  Cell[BoxData[
      FormBox[
        RadicalBox[
          RowBox[{\(-2\), " ", "+", " ", 
            FormBox[\(\@\(-121\)\),
              "TraditionalForm"]}], "3"], TraditionalForm]],
    FontSize->14],
  ".  It is obtained by multiplying by a \"cube root of 1\", i.e.  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\@\(-1\)\%3\),
          FontSize->14], TraditionalForm]]],
  " ."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(r2\  = \ 
      Round[N[\@\(\(-2\)\  + \@\(-121\)\)\%3\ \((\(-1\))\)\^\(2/3\)]]; \n
    Print[\*"\"\<\!\(r\_2\) = \>\""\ , \ r2]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
Now the two cube roots can be subtracted to get the real root.\
\>",
   "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(r1\  = \ \ 2\  + \ \[ImaginaryI]; \n
    r2\  = \ \(-2\)\  + \ \[ImaginaryI]; \nx\ \  = \ r1\  - r2; \n
    Print[\*"\"\<\!\(x\^3\) - 15 x - 4 = 0\>\""]; \n
    Print[\*"\"\<x = \!\(r\_1\) - \!\(r\_2\) = \>\""\ , \ x]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 1",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 1.2  ",
    FontSize->18],
  StyleBox["The Algebra of Complex Numbers",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 1.2"],

Cell[TextData[{
  "     The rules for ",
  StyleBox["addition",
    FontColor->RGBColor[1, 0, 1]],
  ", ",
  StyleBox["subtraction",
    FontColor->RGBColor[1, 0, 1]],
  ", ",
  StyleBox["multiplication",
    FontColor->RGBColor[1, 0, 1]],
  " and ",
  StyleBox["division",
    FontColor->RGBColor[1, 0, 1]],
  " of complex numbers\nare extensions of the rules for real numbers.  They \
obey familiar algebraic properties."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(<< Graphics`Arrow`\)], "Input"],

Cell[TextData[{
  StyleBox["Example 1.1,  Page 6.",
    FontWeight->"Bold"],
  "  Find  ",
  Cell[BoxData[
      \(TraditionalForm\`z\_1\)],
    FontSize->14],
  " + ",
  Cell[BoxData[
      \(TraditionalForm\`z\_2\)],
    FontSize->14],
  "  and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a) ",
    FontWeight->"Bold"],
  "Find  ",
  Cell[BoxData[
      \(TraditionalForm\`z\_1\)],
    FontSize->14],
  " + ",
  Cell[BoxData[
      \(TraditionalForm\`z\_2\)],
    FontSize->14],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, v3, w1, z, z1, z2]; \nz1 = \ 3\  + \ 7  \[ImaginaryI]; \n
    z2\  = \ 5\  - \ 6  \[ImaginaryI]; \nw1\  = \ z1 + z2; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 1, 0], 
          Arrow[{Re[z1], Im[z1]}, {Re[w1], Im[w1]}]}]; \n
    v3\  = \ Graphics[{RGBColor[0, 0, 1], 
          Arrow[{0, \ 0}, {Re[w1], Im[w1]}]}]; \n
    Show[v1, v2, v3, PlotRange \[Rule] {{0, 8}, {0, 7}}, 
      Ticks \[Rule] {Range[0, 8, 1], Range[0, 7, 1]}, AspectRatio -> 7\/8, 
      Axes \[Rule] True]; \nPrint[\*"\"\<     \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<     \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\) + \!\(z\_2\) = \>\""\ , \ z1\  + \ z2]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b) ",
    FontWeight->"Bold"],
  "Find  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, v3, w2, z, z1, z2]; \nz1 = \ 3\  + \ 7  \[ImaginaryI]; \n
    z2\  = \ 5\  - \ 6  \[ImaginaryI]; \nw2\  = \ z1 - z2; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 1, 0], 
          Arrow[{Re[w2], Im[w2]}, {Re[z1], Im[z1]}]}]; \n
    v3\  = \ Graphics[{RGBColor[0, 0, 1], 
          Arrow[{0, \ 0}, {Re[w2], Im[w2]}]}]; \n
    Show[v1, v2, v3, PlotRange \[Rule] {{\(-2\), 3}, {0, 13}}, 
      Ticks \[Rule] {Range[\(-2\), 3, 1], Range[0, 13, 1]}, 
      AspectRatio -> 13\/5, Axes \[Rule] True]; \n
    Print[\*"\"\<     \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<     \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\) - \!\(z\_2\) = \>\""\ , \ z1\  - \ z2]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 1.2,  Page 6.",
    FontWeight->"Bold"],
  "  Find ",
  StyleBox[" ",
    FontSize->15],
  Cell[BoxData[
      \(TraditionalForm\`z\_1\)],
    FontSize->14],
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, v3, w1, z, z1, z2]; \nz1\  = \ 3\  + \ 7  \[ImaginaryI]; 
    \nz2\  = \ 5\  - \ 6  \[ImaginaryI]; \nw1 = \ z1\ z2; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 1, 0], Arrow[{0, 0}, {Re[z2], Im[z2]}]}]; 
    \nv3\  = \ 
      Graphics[{RGBColor[0, 0, 1], Arrow[{0, \ 0}, {Re[w1], Im[w1]}]}]; \n
    Show[v1, v2, v3, PlotRange \[Rule] {{0, 57}, {\(-6\), 17}}, 
      Ticks \[Rule] {Range[0, 57, 5], Range[\(-6\), 17, 1]}, 
      AspectRatio -> 1, Axes \[Rule] True]; \n
    Print[\*"\"\<   \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<   \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\) \!\(z\_2\) = \>\""\ , \ z1\ z2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 1.3,  Page 7.",
    FontWeight->"Bold"],
  "  Find ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            RowBox[{" ", 
              FormBox[\(z\_1\),
                "TraditionalForm"]}],
            FontSize->14], 
          StyleBox[\(z\_2\),
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, v3, w1, z, z1, z2]; \nz1\  = \ 3\  + \ 7  \[ImaginaryI]; 
    \nz2\  = \ 5\  - \ 6  \[ImaginaryI]; \nw1 = \(\ z1\)\/z2; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 1, 0], Arrow[{0, 0}, {Re[z2], Im[z2]}]}]; 
    \nv3\  = \ 
      Graphics[{RGBColor[0, 0, 1], Arrow[{0, \ 0}, {Re[w1], Im[w1]}]}]; \n
    Show[v1, v2, v3, PlotRange \[Rule] {{\(-1\), 5}, {\(-6\), 7}}, 
      Ticks \[Rule] {Range[\(-1\), 5, 1], Range[\(-6\), 7, 1]}, 
      AspectRatio -> 13\/6, Axes \[Rule] True]; \n
    Print[\*"\"\< \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\< \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\/z\_2\) = \>\""\ , \ z1\/z2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Definition for Multiplication,  Page 6.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (4),",
    FontColor->RGBColor[1, 0, 1]],
  "  in general we can derive:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[x, x1, x2, y, y1, y2, z, z1, z2]; \n
    z1\  = \ x\_1\  + \ \[ImaginaryI]\ y\_1; \n
    z2\  = \ x\_2\  + \ \[ImaginaryI]\ y\_2; \n
    Print[\*"\"\<   \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<   \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\) \!\(z\_2\) = \>\""\ , \ z1\ z2]; \n
    Print[\*"\"\<\!\(z\_1\) \!\(z\_2\) = \>\""\ , \ ComplexExpand[z1\ z2]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Definition for Division,  Page 7.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (5),",
    FontColor->RGBColor[1, 0, 1]],
  "  in general we can derive:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[x, x1, x2, y, y1, y2, z, z1, z2]; \n
    z1\  = \ x\_1\  + \ \[ImaginaryI]\ y\_1; \n
    z2\  = \ x\_2\  + \ \[ImaginaryI]\ y\_2; \n
    Print[\*"\"\< \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\< \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\/z\_2\) = \>\""\ , \ z1\/z2]; \n
    Print[\*"\"\<\!\(z\_1\/z\_2\) = \>\""\ , 
      Expand[\((z1*\((x\_2 - \[ImaginaryI]\ y\_2)\))\)]\/Expand[
          \((z2*\((x\_2 - \[ImaginaryI]\ y\_2)\))\)]]; \)], "Input"],

Cell[TextData[{
  StyleBox["Example 1.4,  Page 10.",
    FontWeight->"Bold"],
  "  Find   Re(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")  and  Re(",
  Cell[BoxData[
      FormBox[
        FormBox[\(z\_2\),
          "TraditionalForm"], TraditionalForm]],
    FontSize->14],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, z, z1]; \nz1\  = \ \(-3\)\  + \ 7  \[ImaginaryI]; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 0, 1], Arrow[{0, \ 0}, {Re[z1], 0}]}]; \n
    Show[v1, v2, PlotRange \[Rule] {{\(-3\), 0}, {0, 7}}, 
      Ticks \[Rule] {Range[\(-3\), 0, 1], Range[0, 7, 1]}, 
      AspectRatio -> 7\/3, Axes \[Rule] True]; \n
    Print[\*"\"\<    \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<Re[\!\(z\_1\)] = \>\""\ , \ Re[z1]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, z, z2]; \nz2\  = \ \ 9\  + \ 4  \[ImaginaryI]; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z2], Im[z2]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 0, 1], Arrow[{0, \ 0}, {Re[z2], 0}]}]; \n
    Show[v1, v2, PlotRange \[Rule] {{0, 9}, {0, 4}}, 
      Ticks \[Rule] {Range[0, 9, 1], Range[0, 4, 1]}, AspectRatio -> 4\/9, 
      Axes \[Rule] True]; \nPrint[\*"\"\<    \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<Re[\!\(z\_2\)] = \>\""\ , \ Re[z2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 1.5,  Page 10.",
    FontWeight->"Bold"],
  "  Find   Im(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")  and  Im(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[z, z1]; \nz1\  = \ \(-3\)\  + \ 7  \[ImaginaryI]; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 0, 1], Arrow[{0, \ 0}, {0, Im[z1]}]}]; \n
    Show[v1, v2, PlotRange \[Rule] {{\(-3\), 0.1}, {0, 7}}, 
      Ticks \[Rule] {Range[\(-3\), 0, 1], Range[0, 7, 1]}, 
      AspectRatio -> 7\/3, Axes \[Rule] True]; \n
    Print[\*"\"\<    \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<Im[\!\(z\_1\)] = \>\""\ , \ Im[z1]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[z, z2]; \nz2\  = \ \ 9\  + \ 4  \[ImaginaryI]; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z2], Im[z2]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 0, 1], Arrow[{0, \ 0}, {0, Im[z2]}]}]; \n
    Show[v1, v2, PlotRange \[Rule] {{0, 9}, {0, 4}}, 
      Ticks \[Rule] {Range[0, 9, 1], Range[0, 4, 1]}, AspectRatio -> 4\/9, 
      Axes \[Rule] True]; \nPrint[\*"\"\<    \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<Im[\!\(z\_2\)] = \>\""\ , \ Im[z2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 1.6,  Page 10.",
    FontWeight->"Bold"],
  "  Find   ",
  Cell[BoxData[
      \(TraditionalForm\`\(z\_1\)\&_\)],
    FontSize->14],
  "  and  ",
  Cell[BoxData[
      \(TraditionalForm\`\(z\_2\)\&_\)],
    FontSize->14],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, v3, z, z1]; \nz1\  = \ \(-3\)\  + \ 7  \[ImaginaryI]; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 0, 1], 
          Arrow[{0, \ 0}, {Re[z1], \(-Im[z1]\)}]}]; \n
    Show[v1, v2, PlotRange \[Rule] {{\(-3\), 0}, {\(-7\), 7}}, 
      Ticks \[Rule] {Range[\(-3\), 0, 1], Range[\(-7\), 7, 1]}, 
      AspectRatio -> 7\/3, Axes \[Rule] True]; \n
    Print[\*"\"\<\!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<\!\(\(z\_1\)\&_\) = \>\""\ , Conjugate[z1]\ ]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[v1, v2, v3, z, z2]; \nz2\  = \ \ 9\  + \ 4  \[ImaginaryI]; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z2], Im[z2]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 0, 1], 
          Arrow[{0, \ 0}, {Re[z2], \(-Im[z2]\)}]}]; \n
    Show[v1, v2, PlotRange \[Rule] {{0, 9}, {\(-4\), 4}}, 
      AspectRatio -> 8\/9, Axes \[Rule] True]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(\(z\_2\)\&_\) = \>\""\ , \ Conjugate[z2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["The Commutative Law for Addition,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Property (P1), Page 9.  \n     ",
    FontColor->RGBColor[1, 0, 1]],
  "In general we can derive:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[x, x1, x2, y, y1, y2, z, z1, z2]; \n
    z1\  = \ x\_1\  + \ \[ImaginaryI]\ y\_1; \n
    z2\  = \ x\_2\  + \ \[ImaginaryI]\ y\_2; \n
    Print[\*"\"\<     \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<     \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\) + \!\(z\_2\) = \>\""\ , \ z1 + z2]; \n
    Print[\*"\"\<\!\(z\_2\) + \!\(z\_1\) = \>\""\ , \ z2 + z1]; \n
    Print[\*"\"\<Is \!\(z\_1\) + \!\(z\_2\) = \!\(z\_2\) + \!\(z\_1\) ? \
\>\"", z1 + z2\  == \ z1 + z2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["The Associative Law for Multiplication,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Property (P6), Page 10.",
    FontColor->RGBColor[1, 0, 1]],
  "  \n     In general we can derive:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[x, x1, x2, x3, y, y1, y2, y3, z, z1, z2, z3]; \n
    z1\  = \ x\_1\  + \ \[ImaginaryI]\ y\_1; \n
    z2\  = \ x\_2\  + \ \[ImaginaryI]\ y\_2; \n
    z3\  = \ x\_3\  + \ \[ImaginaryI]\ y\_3; \n
    Print[\*"\"\<          \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<          \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<          \!\(z\_3\) = \>\""\ , \ z3]; \nPrint["\<\>"]; \n
    Print[\*"\"\<  \!\(z\_1\)(\!\(z\_2\) + \!\(z\_3\)) = \>\""\ , \ 
      z1 \((z2\  + \ z3)\)]; \n
    Print[\*"\"\<\!\(z\_1\) \!\(z\_2\) + \!\(z\_1\) \!\(z\_3\) = \>\""\ , \ 
      z1\ z2\  + \ z1\ z3]; \nPrint["\<\>"]; \n
    Print[\*"\"\<  \!\(z\_1\)(\!\(z\_2\) + \!\(z\_3\)) = \>\""\ , \ 
      Expand[z1 \((z2\  + \ z3)\)]]; \n
    Print[\*"\"\<\!\(z\_1\) \!\(z\_2\) + \!\(z\_1\) \!\(z\_3\) = \>\""\ , \ 
      Expand[z1\ z2\  + \ z1\ z3]]; \nPrint["\<\>"]; \n
    Print[\*"\"\<Is \!\(z\_1\)(\!\(z\_2\) + \!\(z\_3\)) =  \!\(z\_1\) \
\!\(z\_2\) + \!\(z\_1\) \!\(z\_3\) ?  \>\"", 
      Expand[z1 \((z2\  + \ z3)\)]\ \  == \ \ Expand[z1\ z2\  + \ z1\ z3]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 1",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 1.3  ",
    FontSize->18],
  StyleBox["The Geometry of Complex Numbers",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 1.3"],

Cell[TextData[{
  "The ",
  StyleBox["modulus",
    FontColor->RGBColor[1, 0, 1]],
  " of  z  is   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"\[VerticalSeparator]", 
            RowBox[{
              StyleBox["z",
                FontSize->14], "\[VerticalSeparator]"}]}], "=", 
          StyleBox[
            SqrtBox[
              RowBox[{
                FormBox[\(x\^2\),
                  "TraditionalForm"], " ", "+", " ", 
                FormBox[\(y\^2\),
                  "TraditionalForm"]}]],
            FontSize->14]}], TraditionalForm]]],
  ".\n\nThe ",
  StyleBox["distance",
    FontColor->RGBColor[1, 0, 1]],
  " between  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  "  is   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"\[VerticalSeparator]", 
            RowBox[{
              StyleBox[\(z\_1 - z\_2\),
                FontSize->14], "\[VerticalSeparator]"}]}], "=", 
          StyleBox[
            SqrtBox[
              RowBox[{
                FormBox[
                  SuperscriptBox[
                    RowBox[{"(", 
                      RowBox[{
                        SubscriptBox[
                          StyleBox["x",
                            FontSize->14], "1"], 
                        StyleBox["-",
                          FontSize->14], 
                        SubscriptBox[
                          StyleBox["x",
                            FontSize->14], "2"]}], ")"}], "2"],
                  "TraditionalForm"], " ", "+", " ", 
                FormBox[
                  SuperscriptBox[
                    RowBox[{"(", 
                      RowBox[{
                        SubscriptBox[
                          StyleBox["y",
                            FontSize->14], "1"], 
                        StyleBox["-",
                          FontSize->14], 
                        SubscriptBox[
                          StyleBox["y",
                            FontSize->14], "2"]}], ")"}], "2"],
                  "TraditionalForm"]}]],
            FontSize->14]}], TraditionalForm]]],
  ".  \n\nThe ",
  StyleBox["triangle inequality",
    FontColor->RGBColor[1, 0, 1]],
  " is   |",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " + ",
  Cell[BoxData[
      FormBox[
        FormBox[\(z\_2\),
          "TraditionalForm"], TraditionalForm]],
    FontSize->14],
  " |   \[LessEqual]   |",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  "|  +  |",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  "|.\n\nThe ",
  StyleBox["product",
    FontColor->RGBColor[1, 0, 1]],
  " obeys  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"\[VerticalSeparator]", 
            RowBox[{
              StyleBox[\(\(z\_1\) z\_2\),
                FontSize->14], "\[VerticalSeparator]"}]}], "=", 
          RowBox[{"\[VerticalSeparator]", 
            RowBox[{
              StyleBox[\(z\_1\),
                FontSize->14], "\[VerticalSeparator]", 
              RowBox[{"\[VerticalSeparator]", 
                RowBox[{
                  StyleBox[\(z\_2\),
                    FontSize->14], "\[VerticalSeparator]"}]}]}]}]}], 
        TraditionalForm]]],
  ".\n\nThe ",
  StyleBox["quotient",
    FontColor->RGBColor[1, 0, 1]],
  " obeys  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"\[VerticalSeparator]", 
            RowBox[{
              StyleBox[
                FractionBox[
                  StyleBox[\(z\_1\),
                    FontSize->14], 
                  StyleBox[\(z\_2\),
                    FontSize->14]],
                FontSize->18], "\[VerticalSeparator]"}]}], "=", 
          FractionBox[
            RowBox[{"\[VerticalSeparator]", "  ", 
              RowBox[{
                StyleBox[\(z\_1\),
                  FontSize->14], 
                StyleBox[" ",
                  FontSize->14], "\[VerticalSeparator]"}]}], 
            RowBox[{"\[VerticalSeparator]", "  ", 
              RowBox[{
                StyleBox[\(z\_2\),
                  FontSize->14], 
                StyleBox[" ",
                  FontSize->14], "\[VerticalSeparator]"}]}]]}], 
        TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example  1.7,  Page 15.",
    FontWeight->"Bold"],
  "  Verify the Triangle Inequality for  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " and ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  " .\n       |",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " + ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  " |   \[LessEqual]   |",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  "|  +  |",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  "|."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[z, z1, z2]; \nz1\  = \ 7\  + \ \[ImaginaryI]; \n
    z2\  = \ 3\  + \ 5  \[ImaginaryI]; \nw1\  = \ z1 + z2; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 1, 0], 
          Arrow[{Re[z1], Im[z1]}, {Re[w1], Im[w1]}]}]; \n
    v3\  = \ Graphics[{RGBColor[0, 0, 1], 
          Arrow[{0, \ 0}, {Re[w1], Im[w1]}]}]; \n
    Show[v1, v2, v3, PlotRange \[Rule] {{0, 10}, {0, 6}}, 
      Ticks \[Rule] {Range[0, 10, 1], Range[0, 6, 1]}, AspectRatio -> 6\/10, 
      Axes \[Rule] True]; \n
    Print[\*"\"\<          \!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<          \!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<     \!\(z\_1\) + \!\(z\_2\) = \>\""\ , \ z1\  + \ z2]; \n
    Print["\<\>"]; \n
    Print[\*"\"\<   |\!\(z\_1\) + \!\(z\_2\)| = \>\"", \ Abs[z1\  + \ z2]]; \n
    Print[\*"\"\< |\!\(z\_1\)| + |\!\(z\_2\)| = \>\"", \ Abs[z1] + Abs[z2]]; 
    \nPrint[\*"\"\<Is |\!\(z\_1\) + \!\(z\_2\)| \[LessEqual]  |\!\(z\_1\)| + \
|\!\(z\_2\)| ?  \>\"", Abs[z1\  + \ z2]\  <= \ Abs[z1]\  + \ Abs[z2]]; \n
    Print["\<\>"]; \n
    Print[\*"\"\<   |\!\(z\_1\) + \!\(z\_2\)| = \>\"", \ 
      N[Abs[z1\  + \ z2]]]; \n
    Print[\*"\"\< |\!\(z\_1\)| + |\!\(z\_2\)| = \>\"", \ 
      N[Abs[z1] + Abs[z2]]]; \n
    Print[\*"\"\<Is |\!\(z\_1\) + \!\(z\_2\)| \[LessEqual]  |\!\(z\_1\)| + \
|\!\(z\_2\)| ?  \>\"", Abs[z1\  + \ z2]\  <= \ Abs[z1]\  + \ Abs[z2]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example  1.8,  Page 16.",
    FontWeight->"Bold"],
  "  Verify that   |",
  Cell[BoxData[
      FormBox[
        StyleBox[
          SubscriptBox["z", 
            StyleBox["1",
              FontSize->10]],
          FontSize->15], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        StyleBox[
          SubscriptBox["z", 
            StyleBox["2",
              FontSize->10]],
          FontSize->15], TraditionalForm]]],
  " |   =   |",
  StyleBox["z",
    FontSize->14],
  StyleBox["1",
    FontSize->10,
    FontVariations->{"CompatibilityType"->"Subscript"}],
  "|",
  StyleBox[" ",
    FontSize->9],
  StyleBox["|",
    FontSize->13],
  Cell[BoxData[
      FormBox[
        FormBox[\(z\_2\),
          "TraditionalForm"], TraditionalForm]],
    FontSize->14],
  "|."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[z, z1, z2, z3]; \nz1\  = \ 1\  + \ 2  \[ImaginaryI]; \n
    z2\  = \ 3\  + \ 2  \[ImaginaryI]; \nz3\  = \ z1\ z2; \n
    v1\  = \ Graphics[{RGBColor[1, 0, 0], 
          Arrow[{0, \ 0}, {Re[z1], Im[z1]}]}]; \n
    v2\  = \ Graphics[{RGBColor[0, 1, 0], Arrow[{0, 0}, {Re[z2], Im[z2]}]}]; 
    \nv3\  = \ 
      Graphics[{RGBColor[0, 0, 1], Arrow[{0, \ 0}, {Re[z3], Im[z3]}]}]; \n
    Show[v1, v2, v3, PlotRange \[Rule] {{\(-1\), 3}, {0, 8}}, 
      Ticks \[Rule] {Range[\(-1\), 3, 1], Range[0, 8, 1]}, AspectRatio -> 2, 
      Axes \[Rule] True]; \nPrint[\*"\"\<\!\(z\_1\) = \>\""\ , \ z1]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\""\ , \ z2]; \n
    Print[\*"\"\<\!\(z\_1\) \!\(z\_2\) = \>\""\ , \ z3]; \n
    Print[\*"\"\<|\!\(z\_1\)| = \>\""\ , \ Abs[z1]]; \n
    Print[\*"\"\<|\!\(z\_2\)| = \>\""\ , \ Abs[z2]]; \n
    Print[\*"\"\<|\!\(z\_1\) \!\(z\_2\)| = \>\""\ , \ Abs[z1\ z2]]; \n
    Print[\*"\"\<Is |\!\(z\_1\) \!\(z\_2\)| = |\!\(z\_1\)||\!\(z\_2\)| \
?\>\""]; \nPrint[Abs[z1\ z2], \ "\< = \>", \ Abs[z1]\ Abs[z2]]; \n
    Print["\<\>"]; \n
    Print[\*"\"\<|\!\(z\_1\) \!\(z\_2\)| = \>\"", \ N[Abs[z1\ z2]]]; \n
    Print[\*"\"\<|\!\(z\_1\)||\!\(z\_2\)| = \>\"", \ N[Abs[z1] Abs[z2]]]; \n
    Print[\*"\"\<Is |\!\(z\_1\) \!\(z\_2\)| = |\!\(z\_1\)||\!\(z\_2\)| ?  \
\>\"", \n\ \ Abs[z1\ \ z2]\  == \ Abs[z1]\ Abs[z2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 1",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 1.4  ",
    FontSize->18],
  StyleBox["The Geometry of Complex Numbers, Continued",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 1.4"],

Cell[TextData[{
  "An ",
  StyleBox["argument",
    FontColor->RGBColor[1, 0, 1]],
  " of  z  is  ",
  StyleBox["\[Theta]",
    FontSize->14],
  "  =  arg(",
  StyleBox["z",
    FontSize->14],
  ")  =  arctan(",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["y",
            FontSize->14], 
          StyleBox["x",
            FontSize->14]], TraditionalForm]]],
  ")  if  x \[NotEqual] 0,  but we must be careful to specify the choice of  \
arctan(",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["y",
            FontSize->14], 
          StyleBox["x",
            FontSize->14]], TraditionalForm]]],
  ")  so that the point  z  corresponding to  r  and  ",
  StyleBox["\[Theta]",
    FontSize->14],
  "  lies in the appropriate quadrant.\n\nThe ",
  StyleBox["principal value",
    FontColor->RGBColor[1, 0, 1]],
  " of  arg(",
  StyleBox["z",
    FontSize->14],
  ")  is denoted by  Arg(",
  StyleBox["z",
    FontSize->14],
  ") = ",
  StyleBox["\[Theta] ",
    FontSize->14],
  " where  ",
  StyleBox["- \[Pi] < \[Theta] \[LessEqual] \[Pi]",
    FontSize->14],
  ".\n\nA famous equation known as ",
  StyleBox["Euler's formula",
    FontColor->RGBColor[1, 0, 1]],
  " is  ",
  Cell[BoxData[
      \(e\^\[ImaginaryI]\[Theta] = \ cos\ \[Theta]\  + \ i\ sin\ \[Theta]\)]],
  
  ".\n\nThe ",
  StyleBox["exponential form",
    FontColor->RGBColor[1, 0, 1]],
  " of  z  is   z = r ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^i\[Theta]\),
          FontSize->14], TraditionalForm]],
    FontSize->18],
  ",  where   r  =  |z|   and   ",
  StyleBox["\[Theta]",
    FontSize->14],
  "  =  arg(z).\n\nThe ",
  StyleBox["product",
    FontColor->RGBColor[1, 0, 1]],
  " obeys the rule  ",
  Cell[BoxData[
      \(arg \((\(z\_1\) z\_2)\) = \ arg \((z\_1)\) + arg \((z\_2)\)\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 1.9,  Page 19.",
    FontWeight->"Bold"],
  "  Find several polar forms of  z."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[z, z1, z2, z3]; \nz1\  = \ \@3\  + \ \[ImaginaryI]; \n
    z2\  = \ 2\ \[ExponentialE]\^\(\[ImaginaryI]\ \[Pi]/6\); \n
    z3\  = \ 2\ \[ExponentialE]\^\(\[ImaginaryI]\ 13\ \[Pi]/6\); \n
    z4\  = \ 2\ \[ExponentialE]\^\(\(-\ \[ImaginaryI]\)\ 11\ \[Pi]/6\); \n
    Print[\*"\"\<\!\(z\_1\) = 2 \!\(\[ExponentialE]\^\(\[ImaginaryI]\\\ \
\[Pi]/6\)\) = \>\"", z1]; \n
    Print[\*"\"\<\!\(z\_2\) = 2 \!\(\[ExponentialE]\^\(\[ImaginaryI]\\\ \
\[Pi]/6\)\) = \>\"", z2, "\< = \>", ComplexExpand[z2]]; \n
    Print[\*"\"\<\!\(z\_3\) = 2 \!\(\[ExponentialE]\^\(\[ImaginaryI]\\\ 13\\\ \
\[Pi]/6\)\) = \>\"", z3, "\< = \>", ComplexExpand[z3]]; \n
    Print[\*"\"\<\!\(z\_4\) = 2 \!\(\[ExponentialE]\^\(\(-\\\ \[ImaginaryI]\)\
\\\ 11\\\ \[Pi]/6\)\) = \>\"", z4, "\< = \>", ComplexExpand[z4]]; \)], "Input",\

  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.10,  Page 19.",
    FontWeight->"Bold"],
  "  Find the polar form of  z, \nby computing  |z|  and  ",
  StyleBox["\[Theta]",
    FontSize->14],
  " = Arg(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[\[Theta], \[Theta]1, \[Theta]2, r, z, z1, z2]; \n
    z\  = \ \(-\ \@3\)\  - \ \[ImaginaryI]; \nr\  = \ Abs[z]; \n
    \[Theta]1\  = \ ArcTan[Im[z]\/Re[z]] + \ \[Pi]; \n
    z1\  = \ r\ \((Cos[\[Theta]1]\  + \ \[ImaginaryI]\ Sin[\[Theta]1])\); \n
    \[Theta]2\  = \ ArcTan[Im[z]\/Re[z]] + \ 3  \[Pi]; \n
    z2\  = \ r\ \((Cos[\[Theta]2]\  + \ \[ImaginaryI]\ Sin[\[Theta]2])\); \n
    Print["\<z = \>", z]; \nPrint["\<r = |z| = \>", r]; \n
    Print[\*"\"\<\!\(\[Theta]\_1\) = Arg[z] = \>\"", \[Theta]1]; \n
    Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    Print[\*"\"\<\!\(z\_1\) = \>\"", Expand[z1]]; \n
    Print[\*"\"\<Is z = \!\(z\_1\) ? \>\"", z\  == \ Expand[z1]]; \n
    Print["\<\>"]; \nPrint["\<z = \>", z]; \nPrint["\<r = |z| = \>", r]; \n
    Print[\*"\"\<\!\(\[Theta]\_2\) = Arg[z] = \>\"", \[Theta]2]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", ComplexExpand[z2]]; \n
    Print[\*"\"\<Is z =  \!\(z\_2\) ?  \>\"", z\  == \ ComplexExpand[z2]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.11,  Page 20.",
    FontWeight->"Bold"],
  "  Write  z  in the  r ",
  Cell[BoxData[
      \(TraditionalForm\`e\^i\[Theta]\)],
    FontSize->14],
  "  form."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[\[Theta], r, z, z1]; \nz\  = \ \(-\ \@3\)\  - \ \[ImaginaryI]; \n
    r\  = \ Abs[z]; \n\[Theta]\  = \ Arg[z]\  + \ 2  \[Pi]; \n
    z1\  = \ r\ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); \n
    Print["\<z = \>", z]; \nPrint["\<r = |z| = \>", r]; \n
    Print["\<\[Theta] = Arg[z] = \>", \[Theta]]; \n
    Print[\*"\"\<\!\(z\_1\) = 2 \!\(\[ExponentialE]\^\(\[ImaginaryI]7\[Pi]\/6\
\)\)\>\""]; \nPrint[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    Print[\*"\"\<\!\(z\_1\) = \>\"", ComplexExpand[z1]]; \n
    Print[\*"\"\<Is z =  \!\(z\_1\) ?  \>\"", z\  == \ ComplexExpand[z1]]; 
    \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.12,  Page 22.",
    FontWeight->"Bold"],
  "  Given  z,  find  |z|  and  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[r, z, z1, z2, z3]; \nz\  = \ 5\  + \ 12  \[ImaginaryI]; \n
    r\  = \ Abs[z]; \nz1\  = \ Conjugate[z]; \nz2\  = \ Conjugate[z]\/r; \n
    z3\  = \ 1\/r\ Conjugate[z]\/r; \nPrint["\<z = \>", z]; \n
    Print["\<r = |z| = \>", r]; \nPrint[\*"\"\<\!\(z\&_\) = \>\"", z1]; \n
    Print[\*"\"\<\!\(z\&_\/r\) = \>\"", z2]; \n
    Print[\*"\"\<\!\(1\/r\)\!\(z\&_\/r\) = \>\"", z3]; \n
    Print[\*"\"\<\!\(1\/z\) = \>\"", 1\/z]; \n
    Print[\*"\"\<Is \!\(1\/z\) =  \!\(1\/r\)\!\(z\&_\/r\) ?  \>\"", 
      1\/z\  == \ 1\/r\ Conjugate[z]\/r]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.13,  Page 22.",
    FontWeight->"Bold"],
  "  Given  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ",  compute  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            FormBox[\(z\_1\),
              "TraditionalForm"],
            FontSize->14], 
          StyleBox[
            FormBox[\(z\_2\),
              "TraditionalForm"],
            FontSize->14]], TraditionalForm]]],
  "  using polar computations."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[\[Theta], \[Theta]1, \[Theta]2, r1, r2, w1, w2, z, z1, z2]; \n
    z1\  = \ 8  \[ImaginaryI]; \nz2\  = \ 1\  + \ \[ImaginaryI]\ \@3; \n
    r1\  = \ Abs[z1]; \n\[Theta]1\  = \ Arg[z1]; \n
    Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    Print[\*"\"\<\!\(r\_1\) = |\!\(z\_1\)| = \>\"", r1]; \n
    Print[\*"\"\<\!\(\[Theta]\_1\) = Arg[\!\(z\_1\)] = \>\"", \[Theta]1]; \n
    r2\  = \ Abs[z2]; \n\[Theta]2\  = \ Arg[z2]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    Print[\*"\"\<\!\(r\_2\) = |\!\(z\_2\)| = \>\"", r2]; \n
    Print[\*"\"\<\!\(\[Theta]\_2\) = Arg[\!\(z\_2\)] = \>\"", \[Theta]2]; \n
    w1\  = \ z1\/z2; \n
    w2\  = \ r1\/r2\ 
        \[ExponentialE]\^\(\[ImaginaryI] \((\[Theta]1\  - \ \[Theta]2)\)\); \n
    Print["\< \>"]; \nPrint[\*"\"\<\!\(z\_1\/z\_2\) = \>\"", w1]; \n
    Print[\*"\"\<\!\(r\_1\/r\_2\)\!\(\[ExponentialE]\^\(\[ImaginaryI] \((\
\[Theta]\_1 - \[Theta]\_2)\)\)\) = \>\"", w2]; \nPrint["\<\>"]; \n
    Print[\*"\"\<\!\(z\_1\/z\_2\) = \>\"", ComplexExpand[w1]]; \n
    Print[\*"\"\<\!\(r\_1\/r\_2\)\!\(\[ExponentialE]\^\(\[ImaginaryI] \((\
\[Theta]\_1 - \[Theta]\_2)\)\)\) = \>\"", ComplexExpand[w2]]; \n
    Print[\*"\"\<Is \!\(z\_1\/z\_2\) = \
\!\(r\_1\/r\_2\)\!\(\[ExponentialE]\^\(\[ImaginaryI] \((\[Theta]\_1 - \
\[Theta]\_2)\)\)\) ?  \>\"", 
      ComplexExpand[z1\/z2]\  == \ 
        ComplexExpand[
          r1\/r2\ \[ExponentialE]\^\(\[ImaginaryI] 
                \((\[Theta]1\  - \ \[Theta]2)\)\)]]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 1",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 1.5  ",
    FontSize->18],
  StyleBox["The Algebra of Complex Numbers, Revisited",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 1.5"],

Cell[TextData[{
  "The  ",
  StyleBox["nth  power",
    FontColor->RGBColor[1, 0, 1]],
  " of  z  is  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^n\),
          FontSize->14], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(r\^n\),
          FontSize->14], TraditionalForm]]],
  " ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^in\[Theta]\),
          FontSize->14], TraditionalForm]]],
  ". \n\nA famous formula known as ",
  StyleBox["De Moivre's formula",
    FontColor->RGBColor[1, 0, 1]],
  " is  ",
  Cell[BoxData[
      \(\((cos\ \[Theta]\  + i\ sin\ \[Theta])\)\^n = \ 
        cos\ n\[Theta]\  + i\ sin\ n\[Theta]\)]],
  ".\n\n",
  StyleBox["Corollary 1.1,  Page 25.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Corollary to the fundamental theorem of algebra)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  P(z)  is a polynomial of degree n  (n > 0)  with complex \
coefficients, then the equation  P(z) = 0  has precisely  n  (not necessarily \
distinct) solutions.\n\nThe solutions to  ",
  Cell[BoxData[
      \(z\^n = 1\)]],
  "  are called the ",
  StyleBox["nth roots of unity",
    FontColor->RGBColor[1, 0, 1]],
  " and can be expressed as  ",
  Cell[BoxData[
      RowBox[{
        SubscriptBox["z", 
          StyleBox["k",
            FontSize->10]], "=", 
        SuperscriptBox["\[ExponentialE]", 
          StyleBox[\(\[ImaginaryI]\ 2 \[Pi]\ k/n\),
            FontSize->10]]}]]],
  "  for  ",
  Cell[BoxData[
      \(k = 0, 1, \[CenterEllipsis], n - 1\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 1.14,  Page 24.",
    FontWeight->"Bold"],
  "  Show that ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox[\((\(-\@3\) - i)\), 
          StyleBox["3",
            FontSize->13]], TraditionalForm]]],
  "  =  - 8i  in two ways."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[\[Theta], r, z, Z]; \nz\  = \ \(-\ \@3\)\  - \ \[ImaginaryI]; \n
    r\  = \ Abs[z]; \n\[Theta]\  = \ Arg[z]; \n
    Z\  = \ ComplexExpand[r\ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\)]; \n
    Print["\<z = \>", z]; \nPrint["\<r = |z| = \>", r]; \n
    Print["\<\[Theta] = Arg[z] = \>", \[Theta]]; \n
    Print[\*"\"\<z = \!\(r\[ExponentialE]\^\[ImaginaryI]\[Theta]\) = \>\"", 
      Z]; \nPrint[\*"\"\<\!\(z\^3\) = \>\"", \ Expand[z\^3]]; \n
    Print[\*"\"\<\!\(z\^3\) = \!\(r\^3\)\!\(\[ExponentialE]\^\[ImaginaryI]3\
\[Theta]\) = \>\"", \ r\^3\ \[ExponentialE]\^\(\[ImaginaryI]\ 3\ \[Theta]\)]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.15,  Page 25.",
    FontWeight->"Bold"],
  "  Evaluate  ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox[\((\(-\@3\) - i)\), 
          StyleBox[\(-6\),
            FontSize->13]], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(-1\),
          FontSize->14], 
        StyleBox["64",
          FontSize->14]]]],
  "  in two ways."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[\[Theta], r, z, Z]; \nz\  = \(-\ \@3\)\  - \ \[ImaginaryI]; \n
    r\  = \ Abs[z]; \n\[Theta]\  = \ Arg[z]; \n
    Z\  = \ ComplexExpand[r\ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\)]; \n
    Print["\<z = \>", z]; \nPrint["\<r = |z| = \>", r]; \n
    Print["\<\[Theta] = Arg[z] = \>", \[Theta]]; \n
    Print[\*"\"\<z = \!\(r\[ExponentialE]\^\[ImaginaryI]\[Theta]\) = \>\"", 
      Z]; \nPrint[\*"\"\<\!\(z\^\(-6\)\) = \>\"", \ Expand[z\^\(-6\)], \ 
      "\< = \>"\ , \ ExpandAll[z\^\(-6\)]]; \n
    Print[\*"\"\<\!\(z\^\(-6\)\) = \!\(r\^\(-6\)\)\!\(\[ExponentialE]\^\(-\
\[ImaginaryI]6\[Theta]\)\) = \>\"", \ 
      r\^\(-6\)\ \[ExponentialE]\^\(\(-\[ImaginaryI]\)\ 6\ \[Theta]\)]; \)], 
  "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.16,  Page 25.",
    FontWeight->"Bold"],
  "  Use Demoivre's formula to show that\n      cos(5",
  StyleBox["\[Theta]",
    FontSize->14],
  ")  =  ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox["cos", 
          StyleBox["5",
            FontSize->13]], TraditionalForm]]],
  "(",
  StyleBox["\[Theta]",
    FontSize->14],
  ")  -  10 ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox["cos", 
          StyleBox["3",
            FontSize->13]], TraditionalForm]]],
  "(",
  StyleBox["\[Theta]",
    FontSize->14],
  ")",
  Cell[BoxData[
      FormBox[
        SuperscriptBox["sin", 
          StyleBox["2",
            FontSize->13]], TraditionalForm]]],
  "(",
  StyleBox["\[Theta]",
    FontSize->14],
  ")  +  5 cos(",
  StyleBox["\[Theta]",
    FontSize->14],
  ") ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox["sin", 
          StyleBox["4",
            FontSize->13]], TraditionalForm]]],
  "(",
  StyleBox["\[Theta]",
    FontSize->14],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[\[Theta], z1, z2, z3]; \n
    z1\  = \ Cos[5  \[Theta]]\  + \ \[ImaginaryI]\ Sin[5  \[Theta]]; \n
    z2\  = \ \((Cos[\[Theta]]\  + \ \[ImaginaryI]\ Sin[\[Theta]])\)\^5; \n
    z3\  = \ ComplexExpand[z2]; \nPrint[z1, "\< = \>", z2]; \nPrint["\< \>"]; 
    \nPrint[z1, "\< = \>", z3]; \nPrint["\< \>"]; \n
    Print["\<Take the real part of both sides.\>"]; \n
    Print[ComplexExpand[Re[z1]]\  == \ ComplexExpand[Re[z3]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.17,  Page 25.",
    FontWeight->"Bold"],
  " Factor the polynomial  P(z) = ",
  Cell[BoxData[
      \(TraditionalForm\`z\^3\)],
    FontSize->14],
  " + (2 - 2i)",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^2\),
          FontSize->14], TraditionalForm]]],
  " + (-1-4i)z - 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[P, z]; \n
    P[z_]\  = \ 
      z\^3\  + \ \((2 - 2  \[ImaginaryI])\)\ z\^2\  + \ 
        \((\(-1\) - 4  \[ImaginaryI])\)\ z\  - \ 2; \n
    Print["\<P[z] = \>", P[z]]; \nPrint["\<P[z] = \>", Factor[P[z]]]; \n
    Print["\<Solve P[z] = 0\>"]; \nPrint[Solve[P[z] == 0, z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.18,  Page 26.",
    FontWeight->"Bold"],
  "  Find all the solutions to the equation  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^8\),
          FontSize->14], TraditionalForm]]],
  " = 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[k, list, set, solset, values, xx, yy, z]; \n
    solset\  = \ Solve[z\^8\  == \ 1\ , \ z]; \n
    values\  = \ solset[\([Table[k, {k, Length[solset]}], 1, 2]\)]; \n
    set\  = \ N[solset[\([Table[k, {k, Length[solset]}], 1, 2]\)]]; \n
    set\  = \ \ ReplaceAll[set, xx_Real \[Rule] {xx, 0}]; \n
    list\  = \ \ ReplaceAll[set, Complex[xx_, yy_] \[Rule] {xx, yy}]; \n
    Print[\*"\"\<The roots of  \!\(z\^8\) = 1  are:\>\""]; \nPrint[values]; \n
    Print["\< \>"]; \nPrint[ComplexExpand[values]]; \n
    ListPlot[list, Prolog \[Rule] {PointSize[0.03], RGBColor[1, 0, 0]}, 
      AspectRatio \[Rule] 1, AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
      Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-1\), 1, 1]}, 
      PlotRange \[Rule] {{\(-1.5\), 1.5}, {\(-1.5\), 1.5}}, 
      Prolog \[Rule] PointSize[0.03]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.19,  Page 28.",
    FontWeight->"Bold"],
  "  Find all the cube roots of  8i,\ni.e. find all solutions to the equation \
 ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^3\),
          FontSize->14], TraditionalForm]]],
  " = 8i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[k, list, set, solset, values, xx, yy, z]; \n
    solset\  = \ Solve[z\^3\  == \ 8  \[ImaginaryI]\ , \ z]; \n
    values\  = \ solset[\([Table[k, {k, Length[solset]}], 1, 2]\)]; \n
    set\  = \ N[solset[\([Table[k, {k, Length[solset]}], 1, 2]\)]]; \n
    set\  = \ ReplaceAll[set, xx_Real \[Rule] {xx, 0}]; \n
    list\  = \ \ ReplaceAll[set, Complex[xx_, yy_] \[Rule] {xx, yy}]; \n
    Print["\<The cube roots of  8\[ImaginaryI]  are:\>"]; \nPrint[values]; \n
    Print["\< \>"]; \nPrint[ComplexExpand[values]]; \n
    ListPlot[list, Prolog \[Rule] {PointSize[0.03], RGBColor[1, 0, 0]}, 
      AspectRatio \[Rule] 1, AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
      Ticks \[Rule] {Range[\(-2\), 2, 1], Range[\(-2\), 2, 1]}, 
      PlotRange \[Rule] {{\(-2.1\), 2.1}, {\(-2.1\), 2.1}}]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 1",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 1.6  ",
    FontSize->18],
  StyleBox["The Topology of Complex Numbers",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 1.6"],

Cell[TextData[{
  "     In this section we investigate some basic ideas concerning sets of \
points in the plane.  The first concept is that of a curve.\n",
  StyleBox["Definition,  Page 30.",
    FontWeight->"Bold"],
  "  A ",
  StyleBox["curve",
    FontColor->RGBColor[1, 0, 1]],
  " in the complex plane is  C:  z(t)  =  x(t)  + i y(t)   for  a \
\[LessEqual] t \[LessEqual] b."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example in the narrative, Page 30.",
    FontWeight->"Bold"],
  "  If  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  " = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  " + i ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_1\),
          FontSize->14], TraditionalForm]]],
  " + i ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_1\),
          FontSize->14], TraditionalForm]]],
  "  are two given points, then the straight line segment joining  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  to  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  "  is:\nC:  z(t)  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  " + (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_1\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ") t + i ( ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  " + (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_1\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ")t )  for  0 \[LessEqual] t \[LessEqual] 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, x0, x1, y0, y1, z]; \n
    z[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \n
    Print["\<z[t] = \>", z[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example for,  Page 30.",
    FontWeight->"Bold"],
  "  Find the equation of the line segment with \nthe initial point  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  " = - 3 + 2i  and the terminal point  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " = 1 + i ."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Options[ParametricPlot]\)], "Input"],

Cell[BoxData[{
    \(Clear[t, x0, x1, y0, y1, z]; \nz0\  = \ \(-\ 3\)\  + \ 2*\[ImaginaryI]; 
    \nz1\  = \ 1\  + \ \[ImaginaryI]; \nx0\  = \ Re[z0]; \ y0\  = \ Im[z0]; \ 
    x1\  = \ Re[z1]; \ y1\  = \ Im[z1]; \n
    z[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \n
    ParametricPlot[{Re[z[t]], Im[z[t]]}, {t, 0, 1}, 
      PlotRange \[Rule] {{\(-3\), 1}, {0, 2}}, 
      Ticks \[Rule] {Range[\(-3\), 1, 1], Range[0, 2, 1]}, 
      AspectRatio \[Rule] 1\/2, Prolog \[Rule] RGBColor[0, 0, 1]]; \n
    Print["\<Equation of a line segment:\>"]\), 
    \(Print["\<z[t] = \>", z[t]]; \n
    Print["\<Initial  point    z(0) = \>", \ z[0]]; \n
    Print["\<Terminal point    z(1) = \>", \ z[1]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example for,  Page 31.",
    FontWeight->"Bold"],
  "  The curve  x(t) = sin 2t cos t,  y(t) = sin 2t sin t  for  0 \
\[LessEqual] t \[LessEqual] 2\[Pi]  forms a four-leafed rose."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(ParametricPlot[{Sin[2  t] Cos[t], Sin[2  t] Sin[t]}, {t, 0, 
        2  \[Pi]}, PlotRange \[Rule] {{\(-1\), 1}, {\(-1\), 1}}, 
      Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-1\), 2, 1]}, 
      AspectRatio \[Rule] 1, Prolog \[Rule] RGBColor[0, 0, 1]]; \)\)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 1.20,  Page 33.",
    FontWeight->"Bold"],
  "  Let  S  =  {z: |z| < 1}.  Find the interior, exterior, and boundary of  \
S."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(int\  = \ Graphics[{RGBColor[1, 0, 0], Disk[{0, 0}, 1]}]; \n
    Print["\<The interior of the set S = {z: |z|<1}.\>"]; \n
    Show[int, \ PlotRange \[Rule] {{\(-1.5\), 1.5}, {\(-1.5\), 1.5}}, \n
      \ \ \ \ \ \ \ \ \ \ AspectRatio \[Rule] 1, Axes \[Rule] True]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(ext\  = \ 
      Graphics[{{RGBColor[0, 1, 0], Disk[{0, 0}, 3]}, \n
          \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ {GrayLevel[1.0], 
            Disk[{0, 0}, 1]}}]; \n
    Print["\<The exterior of the set S = {z: |z|<1}.\>"]; \n
    Show[ext, \ PlotRange \[Rule] {{\(-1.5\), 1.5}, {\(-1.5\), 1.5}}, \n
      \ \ \ \ \ \ \ \ \ \ AspectRatio \[Rule] 1, Axes \[Rule] True]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(bdd\  = \ 
      Graphics[{RGBColor[0, 0, 1], Thickness[0.015], Circle[{0, 0}, 1]}]; \n
    Print["\<The boundary of the set S = {z: |z|<1}.\>"]; \n
    Show[bdd, \ PlotRange \[Rule] {{\(-1.5\), 1.5}, {\(-1.5\), 1.5}}, \n
      \ \ \ \ \ \ \ \ \ \ AspectRatio \[Rule] 1, Axes \[Rule] True]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Theorem 1.1, Page 35.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(The Jordan Curve Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  The compliment of any simple closed curve  C  can be partitioned into \
two mutually exclusive domains  I  and  E  in such a way that  I  is bounded, \
 E  is unbounded, and  C  is the boundary for both  I  and  E.   In addition  \
I \[Union] E \[Union] C  is the entire complex plane.  (The domain  I  is \
called the interior of  C,  and  the domain  E  is called the exterior of  \
C)."
}], "Text"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 1",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{480, 264},
WindowMargins->{{0, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3145, 102, 3192, 120, 226, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 1"->{
    Cell[6362, 226, 227, 9, 38, "Text",
      CellTags->"CHAPTER 1"]},
  "Section 1.1"->{
    Cell[6913, 247, 245, 9, 35, "Text",
      CellTags->"Section 1.1"]},
  "Section 1.2"->{
    Cell[11069, 397, 246, 9, 35, "Text",
      CellTags->"Section 1.2"]},
  "Section 1.3"->{
    Cell[25549, 834, 247, 9, 35, "Text",
      CellTags->"Section 1.3"]},
  "Section 1.4"->{
    Cell[35269, 1140, 258, 9, 59, "Text",
      CellTags->"Section 1.4"]},
  "Section 1.5"->{
    Cell[44079, 1406, 257, 9, 35, "Text",
      CellTags->"Section 1.5"]},
  "Section 1.6"->{
    Cell[53090, 1697, 247, 9, 35, "Text",
      CellTags->"Section 1.6"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 83939, 2791},
  {"CHAPTER 1", 84029, 2794},
  {"Section 1.1", 84119, 2797},
  {"Section 1.2", 84211, 2800},
  {"Section 1.3", 84304, 2803},
  {"Section 1.4", 84397, 2806},
  {"Section 1.5", 84491, 2809},
  {"Section 1.6", 84585, 2812}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 801, 26, 198, "Text"]
}, Closed]],
Cell[3145, 102, 3192, 120, 226, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[6362, 226, 227, 9, 38, "Text",
  CellTags->"CHAPTER 1"],
Cell[6592, 237, 284, 5, 90, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[6913, 247, 245, 9, 35, "Text",
  CellTags->"Section 1.1"],
Cell[7161, 258, 1196, 41, 127, "Text"],
Cell[8360, 301, 347, 12, 52, "Text"],
Cell[8710, 315, 195, 4, 110, "Input"],
Cell[8908, 321, 152, 5, 33, "Text"],
Cell[9063, 328, 431, 9, 199, "Input"],
Cell[9497, 339, 52, 0, 33, "Text"],
Cell[9552, 341, 114, 2, 50, "Input"],
Cell[9669, 345, 565, 18, 66, "Text"],
Cell[10237, 365, 189, 4, 59, "Input"],
Cell[10429, 371, 137, 5, 33, "Text"],
Cell[10569, 378, 278, 5, 111, "Input"],
Cell[10850, 385, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[11069, 397, 246, 9, 35, "Text",
  CellTags->"Section 1.2"],
Cell[11318, 408, 483, 17, 52, "Text"],
Cell[11804, 427, 51, 1, 30, "Input"],
Cell[11858, 430, 531, 24, 33, "Text"],
Cell[12392, 456, 284, 14, 33, "Text"],
Cell[12679, 472, 817, 15, 305, "Input"],
Cell[13499, 489, 352, 16, 33, "Text"],
Cell[13854, 507, 835, 16, 325, "Input"],
Cell[14692, 525, 362, 16, 35, "Text"],
Cell[15057, 543, 793, 14, 330, "Input"],
Cell[15853, 559, 428, 17, 41, "Text"],
Cell[16284, 578, 798, 14, 374, "Input"],
Cell[17085, 594, 264, 10, 52, "Text"],
Cell[17352, 606, 447, 9, 150, "Input"],
Cell[17802, 617, 258, 10, 52, "Text"],
Cell[18063, 629, 497, 9, 182, "Input"],
Cell[18563, 640, 407, 17, 33, "Text"],
Cell[18973, 659, 572, 10, 225, "Input"],
Cell[19548, 671, 554, 9, 185, "Input"],
Cell[20105, 682, 385, 16, 33, "Text"],
Cell[20493, 700, 566, 10, 185, "Input"],
Cell[21062, 712, 546, 9, 185, "Input"],
Cell[21611, 723, 323, 14, 33, "Text"],
Cell[21937, 739, 613, 11, 205, "Input"],
Cell[22553, 752, 540, 10, 225, "Input"],
Cell[23096, 764, 275, 10, 71, "Text"],
Cell[23374, 776, 546, 10, 170, "Input"],
Cell[23923, 788, 282, 10, 71, "Text"],
Cell[24208, 800, 1119, 20, 330, "Input"],
Cell[25330, 822, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[25549, 834, 247, 9, 35, "Text",
  CellTags->"Section 1.3"],
Cell[25799, 845, 4577, 148, 199, "Text"],
Cell[30379, 995, 885, 36, 52, "Text"],
Cell[31267, 1033, 1507, 28, 545, "Input"],
Cell[32777, 1063, 877, 38, 57, "Text"],
Cell[33657, 1103, 1390, 23, 510, "Input"],
Cell[35050, 1128, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[35269, 1140, 258, 9, 59, "Text",
  CellTags->"Section 1.4"],
Cell[35530, 1151, 1901, 73, 238, "Text"],
Cell[37434, 1226, 175, 6, 33, "Text"],
Cell[37612, 1234, 849, 14, 201, "Input"],
Cell[38464, 1250, 264, 10, 72, "Text"],
Cell[38731, 1262, 1070, 18, 444, "Input"],
Cell[39804, 1282, 263, 11, 52, "Text"],
Cell[40070, 1295, 618, 10, 261, "Input"],
Cell[40691, 1307, 363, 15, 59, "Text"],
Cell[41057, 1324, 576, 9, 356, "Input"],
Cell[41636, 1335, 726, 29, 60, "Text"],
Cell[42365, 1366, 1492, 26, 583, "Input"],
Cell[43860, 1394, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[44079, 1406, 257, 9, 35, "Text",
  CellTags->"Section 1.5"],
Cell[44339, 1417, 1603, 55, 223, "Text"],
Cell[45945, 1474, 331, 12, 37, "Text"],
Cell[46279, 1488, 670, 11, 239, "Input"],
Cell[46952, 1501, 481, 20, 60, "Text"],
Cell[47436, 1523, 728, 12, 239, "Input"],
Cell[48167, 1537, 1085, 49, 72, "Text"],
Cell[49255, 1588, 488, 8, 210, "Input"],
Cell[49746, 1598, 393, 16, 52, "Text"],
Cell[50142, 1616, 340, 7, 130, "Input"],
Cell[50485, 1625, 307, 12, 52, "Text"],
Cell[50795, 1639, 875, 14, 292, "Input"],
Cell[51673, 1655, 344, 13, 71, "Text"],
Cell[52020, 1670, 848, 13, 291, "Input"],
Cell[52871, 1685, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[53090, 1697, 247, 9, 35, "Text",
  CellTags->"Section 1.6"],
Cell[53340, 1708, 442, 12, 71, "Text"],
Cell[53785, 1722, 1866, 76, 71, "Text"],
Cell[55654, 1800, 235, 6, 70, "Input"],
Cell[55892, 1808, 473, 16, 52, "Text"],
Cell[56368, 1826, 56, 1, 30, "Input"],
Cell[56427, 1829, 792, 15, 285, "Input"],
Cell[57222, 1846, 268, 7, 52, "Text"],
Cell[57493, 1855, 293, 4, 90, "Input"],
Cell[57789, 1861, 229, 8, 52, "Text"],
Cell[58021, 1871, 326, 6, 90, "Input"],
Cell[58350, 1879, 428, 9, 110, "Input"],
Cell[58781, 1890, 353, 7, 110, "Input"],
Cell[59137, 1899, 567, 12, 90, "Text"],
Cell[59707, 1913, 182, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

