(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    106774,       3332]*)
(*NotebookOutlinePosition[    132535,       4261]*)
(*  CellTagsIndexPosition[    132052,       4243]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text"]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 10  ",
    FontSize->18],
  StyleBox["APPLICATIONS of HARMONIC FUNCTIONS\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.1  ",
    FontSize->18],
  ButtonBox["Preliminaries",
    ButtonData:>"Section 10.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.2  ",
    FontSize->18],
  ButtonBox["Invariance of Laplace's Equation and the Dirichlet Problem",
    ButtonData:>"Section 10.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.3  ",
    FontSize->18],
  ButtonBox["Poisson's Integral for the Upper Half-Plane",
    ButtonData:>"Section 10.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.4  ",
    FontSize->18],
  ButtonBox["Two-Dimensional Mathematical Models",
    ButtonData:>"Section 10.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.5  ",
    FontSize->18],
  ButtonBox["Steady State Temperatures",
    ButtonData:>"Section 10.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.6  ",
    FontSize->18],
  ButtonBox["Two Dimensional Electrostatics\n",
    ButtonData:>"Section 10.6",
    ButtonStyle->"Hyperlink"],
  StyleBox["Section 10.7  ",
    FontSize->18],
  ButtonBox["Two-Dimensional Fluid Flow",
    ButtonData:>"Section 10.7",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.8  ",
    FontSize->18],
  ButtonBox["The Joukowski Airfoil",
    ButtonData:>"Section 10.8",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.9  ",
    FontSize->18],
  ButtonBox["Schwarz-Christoffel Transformation",
    ButtonData:>"Section 10.9",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.10  ",
    FontSize->18],
  ButtonBox["Images of a Fluid Flow",
    ButtonData:>"Section 10.10",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 10.11  ",
    FontSize->18],
  ButtonBox["Sources and Sinks\n",
    ButtonData:>"Section 10.11",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 10  ",
    FontSize->18],
  StyleBox["APPLICATIONS of HARMONIC FUNCTIONS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 10"],

Cell[BoxData[
    \(SetOptions[Graphics, DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Get["\<Graphics`ComplexMap`\>"]; \n
    Clear[a, a0, a1, a2, a3, A, b, B, CR, \[CapitalDelta]x, \[CapitalDelta]y, 
      eq1, eq2, eqns, f, f1, F, F1, F2, F3, F4, g, G, lines, n, P, 
      \[CapitalPsi], \[Phi], \[CapitalPhi], r, r0, solset, \[Theta], t, T, 
      T1, T2, Q, u, u0, U, U1, v, v0, V, V1, w, w0, W, W1, x, x1, x2, x3, y, 
      z, z1, z2, z3, z4]; \)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 10.1  ",
    FontSize->18],
  StyleBox["Preliminaries",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 10.1"],

Cell["\<\
     In most applications involving harmonic functions it is \
required to find a harmonic function that takes on prescribed values along \
certain contours.  We will assume the reader is familiar with the material in \
Sections 2.5, 3.3, 5.1, and 5.2.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.1,  Page 310.",
    FontWeight->"Bold"],
  "  A specific example of the general case. Find a function\nu(x,y) that is \
harmonic in the vertical strip 1 < x < 2  and takes on the boundary values\n\
u(1,y) = 6   for all y,\nu(2,y) = 1   for all y."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, U, U1, U2, x, y]; \na\  = \ 1; \ \nb\  = \ 2; \ \n
    U1\  = \ 6; \ \nU2\  = \ 1; \n
    U[x_, y_]\  = \ U1\  + \ \(\(U2\  - \ U1\)\/\(b - a\)\) \((x - a)\); \n
    ContourPlot[U[x, y], {x, 1, 2}, {y, \(-1\), 1}, 
      Contours\  \[Rule] \ {1, 2, 3, 4, 5, 6}, PlotPoints \[Rule] 10, 
      AspectRatio \[Rule] 2, ColorFunction \[Rule] Hue]; \n
    Print["\<Contour plot for U[x,y] = \>", U[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.2,  Page 310.",
    FontWeight->"Bold"],
  "  A specific example of the general case. Find a function\nu(x,y) that is \
harmonic in the sector  0 < Arg(z) < ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(2 \[Pi]\),
          FontSize->14], 
        StyleBox["3",
          FontSize->14]]]],
  "  and takes on the boundary values\nu(x,0) = 1   for x > 0,\nu(x,y) = 9   \
for all points on the ray  r > 0,  ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " = ",
  StyleBox["\[Alpha]",
    FontFamily->"Symbol"],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, C1, C2, U, x, y]; \na\  = \ \(2  \[Pi]\)\/3; \ \n
    C1\  = \ 1; \ \nC2\  = \ 9; \n
    U[x_, y_]\  = \ C1\  + \ \(C2\  - \ C1\)\/a\ ArcTan[x, y]; \n
    ContourPlot[U[x, y], {x, \(-2\), 2}, {y, 0.0000001, 2.0000001}, 
      Contours\  \[Rule] \ {2, 3, 4, 5, 6, 7, 8, 9}, PlotPoints \[Rule] 35, 
      AspectRatio \[Rule] 1\/2, ColorFunction \[Rule] Hue]; \n
    Print["\<Contour plot for U[x,y] = \>", U[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.3,  Page 311.",
    FontWeight->"Bold"],
  "  A specific example of the general case. Find a function\nu(x,y) that is \
harmonic in the annulus   1 < |z| < R   and takes on the boundary values\n\
u(x,y) = 1   when  |z| = 1,\nu(x,y) = 6   when  |z| =4."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[x, y, R, U, K1, K2]; \nR\  = \ 4; \ \nK1\  = \ 1; \ \nK2\  = \ 6; 
    \nU[x_, \ y_]\  = \ 
      K1\  + \ \((K2\  - \ K1)\)*Log[\@\(x\^2\  + \ y\^2\)]\/Log[R]; \n
    ContourPlot[U[x, y], {x, \(-4.2\), 4.2}, {y, \(-4.2\), 4.2}, 
      Contours\  \[Rule] \ {1, 2, 3, 4, 5, 6}, PlotPoints \[Rule] 25, 
      AspectRatio \[Rule] 1, ColorFunction \[Rule] Hue]; \n
    Print["\<Contour plot for U[x,y] = \>", U[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.2  ",
  StyleBox["Invariance of Laplace's Equation and the Dirichlet Problem",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.2"],

Cell[TextData[{
  "     Let  D  be a domain whose boundary is made up of piecewise smooth \
contours joined end to end.  The ",
  StyleBox["Dirichelet problem",
    FontColor->RGBColor[1, 0, 1]],
  " is to find a function  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "  that is harmonic in  D  such that  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "  takes on prescribed values at points on the boundary.  Let us first \
study the problem in the upper half plane.\n\n",
  StyleBox["Theorem 10.1,  Page 312.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Invariance of Laplace's Equation)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(\[CapitalPhi] \((u, v)\)\)]],
  " be harmonic in a domain  G  in the  w plane.  Then  ",
  Cell[BoxData[
      \(\[CapitalPhi] \((u, v)\)\)]],
  "  satisfies Laplace's equation  ",
  Cell[BoxData[
      \(\[PartialD]\_\(u, u\)\[CapitalPhi] \((u, v)\) + 
          \[PartialD]\_\(v, v\)\[CapitalPhi] \((u, v)\) = 0\)]],
  "  at each point  ",
  Cell[BoxData[
      \(w = u + i\ v\)]],
  "  in  G.   If  ",
  Cell[BoxData[
      \(w = \(f \((z)\) = u \((x, y)\) + i\ v \((x, y)\)\)\)]],
  "  is a conformal mapping from a domain  D  in the z plane onto  G, then \
the composition  ",
  Cell[BoxData[
      \(\[Phi] \((x, y)\) = \ \ 
        \[CapitalPhi] \((u \((x, y)\), u \((x, y)\))\)\)]],
  "  is harmonic in  D,  and  ",
  Cell[BoxData[
      \(\[Phi] \((x, y)\)\)]],
  "  satisfies Laplace's equation  ",
  Cell[BoxData[
      \(\[PartialD]\_\(x, x\)\[Phi] \((u, y)\) + 
          \[PartialD]\_\(y, y\)\[Phi] \((x, y)\) = 0\)]],
  "  at each point  ",
  Cell[BoxData[
      \(z = x + i\ y\)]],
  "  in  D.\n\n",
  StyleBox["Theorem 10.2,  Page 314.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(N-Value Dirichlet Problem for the Upper Half Plane)",
    FontColor->RGBColor[1, 0, 1]],
  "  \nLet  ",
  Cell[BoxData[
      \(u\_1 < \ u\_2 < \[CenterEllipsis] < \ u\_\(N - 1\)\)]],
  "  denote  ",
  Cell[BoxData[
      \(N - 1\)]],
  "  real constants.   The function\n",
  Cell[BoxData[
      RowBox[{\(\[CapitalPhi] \((u, v)\)\), "=", 
        RowBox[{
          RowBox[{\(a\_\(N - 1\)\), "+", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->12], 
                StyleBox["\[Pi]",
                  FontSize->12]], 
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], 
                  StyleBox[\(k = 1\),
                    FontSize->10], 
                  StyleBox[\(N - 1\),
                    FontSize->10]], 
                \(\((a\_\(k - 1\) - a\_k)\) Arg \((w - u\_k)\)\)}]}]}], "\n", 
          "\t\t            ", "=", 
          RowBox[{\(a\_\(N - 1\)\), "+", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->12], 
                StyleBox["\[Pi]",
                  FontSize->12]], 
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], 
                  StyleBox[\(k = 1\),
                    FontSize->10], 
                  StyleBox[\(N - 1\),
                    FontSize->10]], 
                RowBox[{\((a\_\(k - 1\) - a\_k)\), "Arctan", 
                  RowBox[{"(", 
                    FractionBox[
                      StyleBox["v",
                        FontSize->12], 
                      StyleBox[\(u - u\_k\),
                        FontSize->12]], ")"}]}]}]}]}]}]}]]],
  "\nis harmonic in the upper half plane  ",
  Cell[BoxData[
      \(Im \((w)\) > 0\)]],
  "  and takes on the boundary values\n",
  Cell[BoxData[
      \(\[CapitalPhi] \((u, 0)\) = a\_0\ \ \ \ \ \ for\ \ \ u < u\_1, \n
      \[CapitalPhi] \((u, 0)\) = 
        \(a\_k\ \ \ \ \ \ for\ \ \ u\_k < u < \ u\_\(k + 1\)\ \ \ for\ \ k = 1
          \), 2, \[CenterEllipsis], N - 2, \n
      \[CapitalPhi] \((u, 0)\) = 
        a\_\(N - 1\)\ \ \ for\ \ \ u > \(u\_\(N - 1\).\)\)]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematic",
    FontSlant->"Italic"],
  "a's  Graphics3D package.  Make sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ParametricPlot3D`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.4,  Page 313.",
    FontWeight->"Bold"],
  "  Show that  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  =  arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(2 x\),
          FontSize->14], 
        StyleBox[\(x\^2\  + \ y\^2\  - \ 1\),
          FontSize->14]]]],
  ")  \nis harmonic in the disk  |z| < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[x, y, \[Phi]]; \n
    \[Phi][x_, y_]\  = \ ArcTan[\(2  x\)\/\(x\^2\  + \ y\^2\  - \ 1\)]; \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Verify that Laplace's equation holds."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\[Phi]xx\  = \ Together[\[PartialD]\_\(x, x\)\[Phi][x, y]]; \n
    \[Phi]yy\  = \ Together[\[PartialD]\_\(y, y\)\[Phi][x, y]]; \n
    Print[\*"\"\<\!\(\[Phi]\_xx\)(x,y) = \>\"", \ \[Phi]xx]; \n
    Print[\*"\"\<\!\(\[Phi]\_yy\)(x,y) = \>\"", \ \[Phi]yy]; \n
    Print[\*"\"\<\!\(\[Phi]\_xx\)(x,y) + \!\(\[Phi]\_yy\)(x,y) = \>\"", 
      \[Phi]xx\  + \ \[Phi]yy]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Show that  \[Phi](x,y)  is the imaginary part of a certain analytic \
function."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, u, U, U1, v, V, V1, x, y, z, w, W, W1]; \nx /: Im[x] = 0; \n
    y /: Im[y] = 0; \n
    g[z_]\  = \ \(\[ImaginaryI]\  + \ z\)\/\(\[ImaginaryI]\  - \ z\); \n
    U\  = \ Together[
        ComplexExpand[Re[g[x + \[ImaginaryI]\ y]], \n\ \ 
          TargetFunctions \[Rule] {Re, Im}]]; \n
    V\  = \ Together[
        ComplexExpand[Im[g[x + \[ImaginaryI]\ y]], \n\ \ 
          TargetFunctions \[Rule] {Re, Im}]]\ ; \n
    W1\  = \ Log[U\  + \ \[ImaginaryI]\ V]; \n
    W2\  = \ ComplexExpand[W1, TargetFunctions \[Rule] {Re, Im}]; \n
    W3\  = \ Expand[MapAll[Together, W2]]; \n
    U1\  = \ MapAll[Together, 
        ComplexExpand[Re[W1], TargetFunctions \[Rule] {Re, Im}]]; \n
    V1\  = \ ComplexExpand[Im[W1], TargetFunctions \[Rule] {Re, Im}]; \n
    Q\  = \ ArcTan[
        Simplify[
          V1\[LeftDoubleBracket]2\[RightDoubleBracket]\/V1
              \[LeftDoubleBracket]1\[RightDoubleBracket]]]; \n
    Print["\<   g[z] = \>", g[z]]; \n
    Print["\<g[x+\[ImaginaryI]y] = \>", g[x + \[ImaginaryI]\ y]]; \n
    Print["\<g[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[g[x + \[ImaginaryI]\ y], \n\ \ 
        TargetFunctions \[Rule] {Re, Im}]]; \n
    Print["\<g[x+\[ImaginaryI]y] = \>", U\  + \ \[ImaginaryI]\ V]; \n
    Print["\<  \>"]; \nPrint["\<Log[g[x+\[ImaginaryI]y]] = \>", W1]; \n
    Print["\<Log[g[x+\[ImaginaryI]y]] = \>", W3]; \nPrint["\<  \>"]; \n
    Print["\<Re[Log[g[x+\[ImaginaryI]y]]] = \>", U1]; \n
    Print["\<Im[Log[g[x+\[ImaginaryI]y]]] = \>", V1]; \n
    Print["\<Im[Log[g[x+\[ImaginaryI]y]]] = \>", Q]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Remark.  Thus,  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  =  arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(2 x\),
          FontSize->14], 
        StyleBox[\(x\^2\  + \ y\^2\  - \ 1\),
          FontSize->14]]]],
  ")  =  Im(Log(",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(I\  + \ z\),
          FontSize->14], 
        StyleBox[\(I\  - \ z\),
          FontSize->14]]]],
  "))."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.5,  Page 313.",
    FontWeight->"Bold"],
  "  Show that the function\n",
  StyleBox["\[CapitalPhi]",
    FontFamily->"Symbol"],
  "(u,v)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  "ArcTan[",
  Cell[BoxData[
      FractionBox[
        StyleBox["v",
          FontSize->14], 
        StyleBox[\(u\  - \ u\_0\),
          FontSize->14]]]],
  "]   =   ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  "Arg[w - ",
  Cell[BoxData[
      StyleBox[\(u\_0\),
        FontSize->14]]],
  "]   is\nharmonic in the upper half plane  Im(w) > 0  and has boundary \
values:\n",
  StyleBox["\[CapitalPhi]",
    FontFamily->"Symbol"],
  "(u,0)  =  0    for   u > ",
  Cell[BoxData[
      StyleBox[\(u\_0\),
        FontSize->14]]],
  ",\n",
  StyleBox["\[CapitalPhi]",
    FontFamily->"Symbol"],
  "(u,0)  =  1    for   u < ",
  Cell[BoxData[
      StyleBox[\(u\_0\),
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[g, G, P, \[CapitalPsi], \[CapitalPhi], Q, u, u0, U, v, V, w, w0]; 
    \ng[w_, u0_]\ \  = \ 1\/\[Pi]\ Log[w\  - \ u0]; \n
    G[w_, u0_]\  = \ ComplexExpand[g[w, u0]]; \n
    P[w_, u0_]\  = \ ComplexExpand[Re[g[w, u0]]]; \n
    Q[w_, u0_]\  = \ ComplexExpand[Im[g[w, u0]]]; \n
    \[CapitalPsi][u_, v_, u0_]\  = \ 
      ReplaceAll[P[w, u0], w \[Rule] u + \[ImaginaryI]\ v]; \n
    \[CapitalPhi][u_, v_, u0_]\  = \ 
      ReplaceAll[Q[w, u0], w \[Rule] u + \[ImaginaryI]\ v]; \n
    Print["\<  g[w,u0] = \>", g[w, u0]]; \n
    Print["\<  g[w,u0] = \>", G[w, u0]]; \n
    Print["\<\[CapitalPsi][u,v,u0] = \>", P[w, u0], "\< = \>", 
      \[CapitalPsi][u, v, u0]]; \n
    Print["\<\[CapitalPhi][u,v,u0] = \>", P[w, u0], "\< = \>", 
      \[CapitalPhi][u, v, u0]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "For illustration, set  ",
  Cell[BoxData[
      StyleBox[\(u\_0\),
        FontSize->14]]],
  "  =1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(u = 2; \ v = 0; \ u0 = 1; \nPrint["\<u = \>", u, "\<    u0 = \>", u0]; 
    \nPrint[u, "\< > \>", u0, "\< is \>", u > u0, 
      "\<,  \[CapitalPhi][u,v,u0] = \>", \[CapitalPhi][u, v, u0]]; \nu = 0; \ 
    v = 0; \ u0 = 1; \nPrint["\<u = \>", u, "\<    u0 = \>", u0]; \n
    Print[u, "\< < \>", u0, "\< is \>", u < u0, 
      "\<,  \[CapitalPhi][u,v,u0] = \>", \[CapitalPhi][u, v, u0]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[u, v]; \n
    Plot3D[\[CapitalPhi][u, v, 1], {u, 0, 2}, {v, 0, 1}, \n\ \ \ \ \ \ \ 
      AxesLabel \[Rule] {"\<u\>", "\<v\>", "\< \>"}, 
      ColorFunction \[Rule] Hue]; \n
    Print["\<      \[CapitalPhi][u,v,1] = \>", \[CapitalPhi][u, v, 1]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.6,  Page 315.",
    FontWeight->"Bold"],
  "  Find a function  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) that is harmonic in the \nupper half-plane  Re z > 0,  which takes \
on the boundary values:\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 4,   when   x < -1,\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 1,   when   -1 < x < 0,\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 3,   when   0 < x < 1,\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 2,   when   1 < x."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a0, a1, a2, a3, \[Phi], x, x1, x2, x3, y, z]; \nx1\  = \ \(-1\); 
    \nx2\  = \ \ 0; \nx3\  = \ \ 1; \na0\  = \ \ 4; \na1\  = \ \ 1; \n
    a2\  = \ \ 3; \na3\  = \ \ 2; \nz\  = \ x\  + \ \[ImaginaryI]\ y; \n
    \[Phi][x_, y_] = 
      a3 + \(1\/\[Pi]\) \((a0 - a1)\) Arg[z - x1] + 
        \(1\/\[Pi]\) \((a1 - a2)\) Arg[z - x2]\  + \ 
        \(1\/\[Pi]\) \((a2 - a3)\) Arg[z - x3]; \n
    Print["\<\[Phi][x,y] = \>"]; \ Print[\[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(ContourPlot[\[Phi][x, y], {x, \(-2.0\), 2.0}, {y, 0.0001, 1.5001}, 
      Contours \[Rule] 15, PlotPoints \[Rule] 35, AspectRatio \[Rule] 1.5\/4, 
      ColorFunction \[Rule] Hue]; \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.7,  Page 316.",
    FontWeight->"Bold"],
  "  Find a function  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) that is harmonic in the \nupper half-plane  Re z > 0,  which takes \
on the boundary values:\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 1    when    |x| < 1,\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 0    when    |x| < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a0, a1, a2, \[Phi], x, x1, x2, y, v, z]; \nx1\  = \ \(-1\); \n
    x2\  = \ \ 1; \na0\  = \ \ 0; \na1\  = \ \ 1; \na2\  = \ \ 0; \n
    z\  = \ x\  + \ \[ImaginaryI]\ y; \n
    \[Phi][x_, y_] = 
      a2 + \(1\/\[Pi]\) \((a0 - a1)\) Arg[z - x1] + 
        \(1\/\[Pi]\) \((a1 - a2)\) Arg[z - x2]; \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Plot3D[\[Phi][x, y], {x, \(-2\), 2}, {y, 0.00001, 1}, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>", "\<v\>"}, 
      ColorFunction \[Rule] Hue]; \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.8,  Page 317.",
    FontWeight->"Bold"],
  "  Find a function  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) that is harmonic in \nthe unit disk  |z| < 1,  which takes on the \
boundary values:\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) = 0    when   z = exp(i",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")  and  0 < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ",\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) = 1    when   z = exp(i",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")  and  ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < 2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, \[Phi], Q, u, U, V, w, W, x, y, z]; \n
    f[z_]\  = \ \(\[ImaginaryI] \((1\  - \ z)\)\)\/\(1\  + \ z\); \n
    W\  = \ ComplexExpand[f[x + \ \[ImaginaryI]\ y], \ 
        TargetFunctions \[Rule] {Re, Im}]; \n
    U\  = \ ComplexExpand[Re[W], \ TargetFunctions \[Rule] {Re, Im}]; \n
    V\  = \ ComplexExpand[Im[W], \ TargetFunctions \[Rule] {Re, Im}]; \n
    V\  = \ Together[V]; \nQ\  = \ 1\/\[Pi]\ ArcTan[V\/U]; \n
    \[Phi][x_, y_]\  = \ 1\/\[Pi]\ ArcTan[Cancel[V\/U]]; \n
    Print["\<     f[z] = \>", f[z]]; \n
    Print["\<  f[x+\[ImaginaryI]y] = \>", U\  + \ \[ImaginaryI]\ V]; \n
    Print["\< \>"]; \nPrint["\<Log[f[z]] = \>", Log[f[z]]]; \n
    Print["\<Log[f[z]] = \>", Log[U\  + \ \[ImaginaryI]\ V]]; \n
    Print["\< \>"]; \nPrint["\<   \[Phi][x,y] = \>", Arg[f[z]]]; \n
    Print["\<   \[Phi][x,y] = \>", Arg[U\  + \ \[ImaginaryI]\ V]]; \n
    Print["\< \>"]; \nPrint["\<   \[Phi][x,y] = \>", Q]; \n
    Print["\<   \[Phi][x,y] = \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.9,  Page 318.",
    FontWeight->"Bold"],
  "  Find a function  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) that is harmonic in the \nupper half disk  H: y > 0,  |z| < 1,  \
which takes on the boundary values:\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) = 0    when   z = exp(i",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")  and  0 < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ",\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 1    for   -1 < x < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, U, V, w, W, \[Phi], x, y, z]; \n
    F[z_]\  = \ \(\[ImaginaryI] \((1\  - \ z)\)\)\/\(1\  + \ z\); \n
    W\  = \ ComplexExpand[F[x + \ \[ImaginaryI]\ y], \ 
        TargetFunctions \[Rule] {Re, Im}]; \n
    U\  = \ Together[ComplexExpand[Re[W]]]; \n
    V\  = \ Together[ComplexExpand[Im[W]]]; \n
    \[Phi][x_, y_]\  = \ 2\/\[Pi]\ ArcTan[V\/U]; \n
    Print["\<w = \>", F[z], "\< = \>", U + \[ImaginaryI]\ V]; \n
    Print["\< \>"]; \n
    Print[\*"\"\<\!\(2\/\[Pi]\)Log[w] = \>\"", 
      \(2\/\[Pi]\) Log[U + \[ImaginaryI]\ V]]; \nPrint["\< \>"]; \n
    Print["\<   \[Phi][x,y] = \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, r, \[Theta]]; \n
    f[r_, \[Theta]_]\  = \ 
      Simplify[ReplaceAll[
          \[Phi][x, y], {x \[Rule] r\ Cos[\[Theta]], 
            y \[Rule] r\ Sin[\[Theta]]}]]; \n
    CylindricalPlot3D[f[r, \[Theta]], {r, 0.001, 1}, {\[Theta], 0.001, 3.13}, 
      ViewPoint \[Rule] {1, 1, 1}, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>", "\<u\>"}]; \n
    Print["\<f[r,\[Theta]] = \>", f[r, \[Theta]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.10,  Page 320.",
    FontWeight->"Bold"],
  "  Find a function  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) that is harmonic in the \nupper half disk  G:  x > 0, y > 0,  |z| < \
1,  which takes on the boundary values:\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y) = 0    when   z = exp(i",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")  and  0 < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ",\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 1    for   0 \[LessEqual] x < 1,\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(0,y) = 1    for   0 \[LessEqual] y < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[F, U, V, w, W, \[Phi], x, y, z]; \n
    F[z_]\  = \ \(\[ImaginaryI] \((1\  - \ z\^2)\)\)\/\(1\  + \ z\^2\); \n
    W\  = \ ComplexExpand[F[x + \ \[ImaginaryI]\ y], \ 
        TargetFunctions \[Rule] {Re, Im}]; \n
    U\  = \ Together[ComplexExpand[Re[W]]]; \n
    V\  = \ Together[ComplexExpand[Im[W]]]; \n
    \[Phi][x_, y_]\  = \ 2\/\[Pi]\ ArcTan[V\/U]; \n
    Print["\<w = \>", F[z], "\< = \>", U + \[ImaginaryI]\ V]; \ \n
    Print["\< \>"]\), 
    \(Print[\*"\"\<\!\(2\/\[Pi]\)Log[w] = \>\"", 
      \(2\/\[Pi]\) Log[U + \[ImaginaryI]\ V]]; \nPrint["\< \>"]; \n
    Print["\<   \[Phi][x,y] = \>", \[Phi][x, y]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, r, \[Theta]]; \n
    f[r_, \[Theta]_]\  = \ 
      Simplify[ReplaceAll[
          \[Phi][x, y], {x \[Rule] r\ Cos[\[Theta]], 
            y \[Rule] r\ Sin[\[Theta]]}]]; \n
    CylindricalPlot3D[f[r, \[Theta]], {r, 0.001, 1}, {\[Theta], 0.001, 1.56}, 
      ViewPoint \[Rule] {2, \(-1\), 1}, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>", "\<u\>"}]; \n
    Print["\<f[r,\[Theta]] = \>", f[r, \[Theta]]]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.3  ",
  StyleBox["Poisson's Integral for the Upper Half-Plane",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.3"],

Cell[TextData[{
  StyleBox["Theorem 10.3,  Page 323.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Poisson's Integral Formula)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  U(t)  be a real-valued \nfunction that is piecewise continuous and \
bounded for all real t.  The function\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  Cell[BoxData[
      RowBox[{
        SubsuperscriptBox[
          StyleBox["\[Integral]",
            FontSize->18], \(-\[Infinity]\), "\[Infinity]"], 
        RowBox[{
          FractionBox[
            StyleBox[\(U \((t)\)\),
              FontSize->12], 
            StyleBox[\(\((x - t)\)\^2\  + \ y\^2\),
              FontSize->14]], \(\[DifferentialD]t\)}]}]]],
  "\nis  harmonic in the upper half plane  Im(z) > 0 and has the boundary \
values\n",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0)  =  U(t)  wherever  U  is continuous."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.11,  Page 324.",
    FontWeight->"Bold"],
  "  Find the function  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  that is harmonic in \nthe upper half-plane  Im(z) > 0  and has the \
boundary values.\n     ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0)  =  1     for    -1 < x < 1,\n     ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0)  =  0     for    |x| > 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, \[Phi], U, v, x, y, z]; \nU[t_]\  = \ 1; \n
    \[Phi][x_, y_]\  = \ 
      Apart[Together[
          y\/\[Pi]\ 
            \(\[Integral]\_\(-1\)\%1\( U[t]\/\(\((x - t)\)\^2 + y\^2\)\) 
                \[DifferentialD]t\)]]; \n
    v[x_, y_]\  = \ 
      ReplaceAll[\[Phi][x, y], ArcTan[z_] \[Rule] \(-ArcTan[1\/z]\)]; \n
    Print["\<  U[t]  =  \>", U[t]]; \ \ \nPrint["\< \>"]; \n
    Print[\*"\"\<\[Phi][x,y]  =  \!\(y\/\[Pi]\) \
\!\(\[Integral]\_\(-1\)\%1\)\!\(U[t]\/\(\((x - t)\)\^2 + y\^2\)\)\
\[DifferentialD]t\>\""]; \ \nPrint["\< \>"]; \n
    Print["\<\[Phi][x,y]  =  \>", \[Phi][x, y]]; \nPrint["\< \>"]; \n
    Print["\<\[Phi][x,y]  =  \>", v[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Using the trigonometric identity  arctan(-t)  =  - arctan(t), the above \
result can be written as\n ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  " arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  - \ 1\),
          FontSize->14]]]],
  ")  -  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  " arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  + \ 1\),
          FontSize->14]]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<     \[Phi][x,y] = \>", \[Phi][x, y]]; \n
    Print[\*"\"\<\!\(lim\+\(y \[Rule] 0\)\) \[Phi][-2,y] = \>\"", 
      Limit[\[Phi][\(-2\), y], \ y \[Rule] 0]]; \n
    Print[\*"\"\< \!\(lim\+\(y \[Rule] 0\)\) \[Phi][0,y] = \>\"", 
      Limit[\[Phi][0, y], \ y \[Rule] 0]]; \n
    Print[\*"\"\< \!\(lim\+\(y \[Rule] 0\)\) \[Phi][2,y] = \>\"", 
      Limit[\[Phi][2, y], \ y \[Rule] 0]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.12,  Page 324.",
    FontWeight->"Bold"],
  "  Find the funciton  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  that is harmonic in \nthe upper half-plane  Im(z) > 0  and has the \
boundary values.\n     ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0)  =  x     for    -1 < x < 1,\n     ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,0)  =  0     for    |x| > 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Clear[t, \[Phi], U, v, x, y, z]; \nU[t_]\  = \ t; \n
    \[Phi][x_, y_]\  = \ 
      Expand[y\/\[Pi]\ 
          \(\[Integral]\_\(-1\)\%1\( U[t]\/\(\((x - t)\)\^2 + y\^2\)\) 
              \[DifferentialD]t\)]; \n
    v[x_, y_]\  = 
      ReplaceAll[\[Phi][x, y], ArcTan[z_] \[Rule] \(-ArcTan[1\/z]\)]; \n
    Print["\<  U[t]  =  \>", U[t]]; \ \ \nPrint["\< \>"]; \n
    Print[\*"\"\<\[Phi][x,y]  =  \!\(y\/\[Pi]\) \
\!\(\[Integral]\_\(-1\)\%1\)\!\(U[t]\/\(\((x - t)\)\^2 + y\^2\)\)\
\[DifferentialD]t\>\""]; \ \nPrint["\< \>"]; \n
    Print["\<\[Phi][x,y]  =  \>", \[Phi][x, y]]; \nPrint["\< \>"]; \n
    Print["\<\[Phi][x,y]  =  \>", v[x, y]]; \n\)\)], "Input"],

Cell[TextData[{
  "Using the identities   arctan(-t)  =  - arctan(t),   and    ln(",
  Cell[BoxData[
      FractionBox[
        StyleBox["a",
          FontSize->14], 
        StyleBox["b",
          FontSize->14]]]],
  ")  =  ln(a) - ln(b),  the\nabove result can be written as: ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  " arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  - \ 1\),
          FontSize->14]]]],
  ")  -  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  " arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  + \ 1\),
          FontSize->14]]]],
  ").\n ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["x",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  "arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  - \ 1\),
          FontSize->14]]]],
  ") ",
  StyleBox["-",
    FontSize->14],
  " ",
  Cell[BoxData[
      FractionBox[
        StyleBox["x",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  "arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  + \ 1\),
          FontSize->14]]]],
  ") + ",
  Cell[BoxData[
      FractionBox[
        StyleBox["x",
          FontSize->14], 
        StyleBox[\(2 \[Pi]\),
          FontSize->14]]]],
  "ln(",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\((x - 1)\)\^2\  + \ \ y\^2\),
          FontSize->14], 
        StyleBox[\(\((x + 1)\)\^2\  + \ \ y\^2\),
          FontSize->14]]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \n
    Print[\*"\"\< \!\(lim\+\(y \[Rule] 0\)\) \[Phi][-2,y] = \>\"", 
      Limit[\[Phi][\(-2\), y], \ y \[Rule] 0]]; \n
    Print[\*"\"\<\!\(lim\+\(y \[Rule] 0\)\) \[Phi][\!\(\(-1\)\/2\),y] = \
\>\"", Limit[\[Phi][\(-1\)\/2, y], \ y \[Rule] 0]]; \n
    Print[\*"\"\<  \!\(lim\+\(y \[Rule] 0\)\) \[Phi][0,y] = \>\"", 
      Limit[\[Phi][0, y], \ y \[Rule] 0]]; \n
    Print[\*"\"\< \!\(lim\+\(y \[Rule] 0\)\) \[Phi][\!\(1\/2\),y] = \>\"", 
      Limit[\[Phi][1\/2, y], \ y \[Rule] 0]]; \n
    Print[\*"\"\<  \!\(lim\+\(y \[Rule] 0\)\) \[Phi][2,y] = \>\"", 
      Limit[\[Phi][2, y], \ y \[Rule] 0]]; \)], "Input"],

Cell[BoxData[
    \(Plot3D[\[Phi][x, y], {x, \(-1.5\), 1.5}, {y, 10\^\(-8\), 0.5}, 
      PlotPoints \[Rule] {18, 11}, 
      PlotRange \[Rule] {{\(-1.5\), 1.5}, {0, 0.5}, {\(-1.05\), 1.05}}, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>", "\<u  \>"}, 
      Ticks \[Rule] {Range[\(-5\), 5, 1], Range[\(-5\), 5, 0.5], 
          Range[\(-1\), 1, 0.5]}, BoxRatios \[Rule] {1, 1, 0.8}, 
      ViewPoint \[Rule] {2.5, \(-3\), 2}, ColorFunction \[Rule] Hue]; \n
    Print["\<\[Phi][x,y]  =  \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.13,  Page 325.",
    FontWeight->"Bold"],
  "  Use Poisson's Integral formula to find the \nharmonic funciton  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  in the upper half-plane that takes on the boundary values.\n     ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(t,0)  =  -1     for   t < -1,\n     ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(t,0)  =   t      for   -1 < t < 1,\n     ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(t,0)  =   1     for   1 < t."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Solution.  Using techniques from Section 10.2, the function\n     v(x,y)  \
=  1 - ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  " arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  + \ 1\),
          FontSize->14]]]],
  ") - ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  " arctan(",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\  - \ 1\),
          FontSize->14]]]],
  ")\nis harmonic in the upper half plane and takes on the boundary values\n  \
   v(x,0)  =  -1     for     x < -1,\n     v(x,0)  =   0     for    -1 < x < \
1,\n     v(x,0)  =   1     for     1 < x.\nThus, we should add it to the \
solution  ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  in Example 10.12\nto obtain the desired result.  However, with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  we need\nto use   ArcTan[x+1,y]   instead of   ArcTan[",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x + 1\),
          FontSize->14]]]],
  "]."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, \[Phi], U, v, V, x, y, z]; \nU[t_]\  = \ t; \n
    \[Phi][x_, y_]\  = \ 
      Expand[y\/\[Pi]\ 
          \(\[Integral]\_\(-1\)\%1\( U[t]\/\(\((x - t)\)\^2 + y\^2\)\) 
              \[DifferentialD]t\)]; \n
    v[x_, y_]\  = \ 
      ReplaceAll[\[Phi][x, y], ArcTan[z_] \[Rule] \(-ArcTan[1\/z]\)]; \n
    V[x_, y_]\  = \ 
      1\  - \ \(1\/\[Pi]\) ArcTan[x + 1, y]\  - 
        \(1\/\[Pi]\) ArcTan[x - 1, y]; \n
    \[Phi][x_, y_]\  = \ \[Phi][x, y]\  + \ V[x, y]; \n
    v[x_, y_]\  = \ v[x, y]\  + \ V[x, y]; \nPrint["\<  U[t] = \>", U[t]]; 
    \ \ \nPrint["\< \>"]; \nPrint["\<V[x,y] = \>", V[x, y]]; \n
    Print["\< \>"]; \n
    Print[\*"\"\<\[Phi][x,y] = \
\!\(y\/\[Pi]\)\!\(\[Integral]\_\(-1\)\%1\)\!\(U[t]\/\(\((x - t)\)\^2 + y\^2\)\
\)\[DifferentialD]t + V[x,y]\>\""]; \ \nPrint["\< \>"]; \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \ \nPrint["\< \>"]; \n
    Print["\<\[Phi][x,y] = \>", v[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Plot3D[\[Phi][x, y], {x, \(-2\), 2}, {y, 10\^\(-8\), 0.5}, 
      PlotPoints \[Rule] {24, 11}, 
      PlotRange \[Rule] {{\(-2\), 2}, {0, 0.5}, {\(-1.05\), 1.05}}, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>", "\<u  \>"}, 
      Ticks \[Rule] {Range[\(-5\), 5, 1], Range[\(-5\), 5, 0.5], 
          Range[\(-1\), 1, 0.5]}, BoxRatios \[Rule] {1, 1, 0.8}, 
      ViewPoint \[Rule] {\(-2.5\), \(-3\), 2}, ColorFunction \[Rule] Hue]; \n
    Print["\<\[Phi][x,y]  =  \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.4  ",
  StyleBox["Two-Dimensional Mathematical Models",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.4"],

Cell[TextData[{
  "     We now turn our attention to problems involving steady state heat \
flow, electrostatics, and ideal fluid flow that can be solved by conformal \
mapping techniques. The method uses conformal mapping to transform a region \
in which the problem is posed to one in which the solution is easy to obtain.\
\n\n",
  StyleBox["Theorem 10.4,  Page 328.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Orthogonal Families of Level Curves)",
    FontColor->RGBColor[1, 0, 1]],
  "  \nLet  ",
  Cell[BoxData[
      \(f \((z)\)\  = \ u \((z, y)\)\  + \ i\ v \((x, y)\)\)]],
  "  be a harmonic function.  Then the following two families of curves are \
orthogonal:  ",
  Cell[BoxData[
      RowBox[{"{", 
        RowBox[{\(u \((z, y)\)\), " ", "=", " ", 
          RowBox[{
            StyleBox[\(K\_1\),
              FontSize->14], ":", "  ", 
            RowBox[{
              StyleBox[\(K\_1\),
                FontSize->14], " ", "is", " ", "a", " ", "real", " ", 
              "constant"}]}]}], "}"}]]],
  "  and  ",
  Cell[BoxData[
      RowBox[{"{", 
        RowBox[{\(v \((z, y)\)\), " ", "=", " ", 
          RowBox[{
            StyleBox[\(K\_2\),
              FontSize->14], ":", "  ", 
            RowBox[{
              StyleBox[\(K\_2\),
                FontSize->14], " ", "is", " ", "a", " ", "real", " ", 
              "constant"}]}]}], "}"}]]],
  ".\nProof.  Use the Cauchy Riemann equations  ",
  Cell[BoxData[
      \(\[PartialD]\_x\ u \((x, y)\) = \[PartialD]\_y\ v \((x, y)\)\)]],
  "  and ",
  Cell[BoxData[
      \(\[PartialD]\_y\ u \((x, y)\) = \(-\[PartialD]\_x\ v\) \((x, y)\)\)]],
  ",  which are implemented by using the ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  substitutions:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[CR, x, y, u, v]; \n
    CR\  = \ {\[PartialD]\_y\ v[x, y] \[Rule] \[PartialD]\_x\ u[x, y], 
        \[PartialD]\_y\ u[x, y] \[Rule] \ \(-\[PartialD]\_x\ v[x, y]\)}\)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The normal vectors to the curves   u(x,y) = ",
  Cell[BoxData[
      StyleBox[\(K\_1\),
        FontSize->14]]],
  "   and    v(x,y) = ",
  Cell[BoxData[
      StyleBox[\(K\_2\),
        FontSize->14]]],
  "   are:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(N1\  = \ {\[PartialD]\_x\ u[x, y], \[PartialD]\_y\ u[x, y]}; \n
    N2\  = \ {\[PartialD]\_x\ v[x, y], \[PartialD]\_y\ v[x, y]}; \n
    Print[\*"\"\<\!\(N\_1\) = \>\"", N1]; \n
    Print[\*"\"\<\!\(N\_2\) = \>\"", N1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We will show that  ",
  Cell[BoxData[
      StyleBox[\(N\_1\),
        FontSize->14]]],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  " is orthogonal to  ",
  Cell[BoxData[
      StyleBox[\(N\_2\),
        FontSize->14]]],
  "  by forming the dot product:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<\!\(N\_1\).\!\(N\_1\) = \>\"", N1, "\<.\>", N2]; \n
    Print[\*"\"\<\!\(N\_1\).\!\(N\_1\) = \>\"", N1.N2]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
Using the Cauchy Riemann equations, this is simplified to get:\
\>",
   "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[\*"\"\<\!\(N\_1\).\!\(N\_1\) = \>\"", ReplaceAll[N1.N2, CR]]; 
    \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Therefore  ",
  Cell[BoxData[
      StyleBox[\(N\_1\),
        FontSize->14]]],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  " is orthogonal to  ",
  Cell[BoxData[
      StyleBox[\(N\_2\),
        FontSize->14]]],
  " ."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 10.5  ",
    FontSize->18],
  StyleBox["Steady State Temperatures",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 10.5"],

Cell[TextData[{
  " \n     In the theory of heat conduction the assumption is made that heat \
flows in the direction of decreasing temperature.  We also assume that the \
time rate at which heat flows across a surface area is proportional to the \
component of the temperature gradient in the direction perpendicular to the \
surface area.    If the temperature  ",
  Cell[BoxData[
      StyleBox[\(T \((x, y)\)\),
        FontSize->14]]],
  "  does not depend on time, then  ",
  Cell[BoxData[
      StyleBox[\(T \((x, y)\)\),
        FontSize->14]]],
  "  can be shown to be a harmonic function."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.14,  Page 331.",
    FontWeight->"Bold"],
  "  Find the temperature  T(x,y)  at each point in the \nhorizontal strip  a \
< Im(z) < b  if the temperature at points on the boundary satisfies\n     \
T(x,a)  =  ",
  Cell[BoxData[
      StyleBox[\(T\_1\),
        FontSize->14]]],
  "     \n     T(x,b)  =  ",
  Cell[BoxData[
      StyleBox[\(T\_2\),
        FontSize->14]]],
  "       "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, lines, T, T1, T2, x, y]; \n
    T[x_, y_]\  = \ T1\  + \ \(T2\  - \ T1\)\/\(b\  - \ a\)\ \((y\  - \ a)\); 
    \nPrint["\<T[x,y] = \>", T[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "For illustration we can choose  a = 1,  b = 3,  ",
  Cell[BoxData[
      StyleBox[\(T\_1\),
        FontSize->14]]],
  " = 50  and  ",
  Cell[BoxData[
      StyleBox[\(T\_2\),
        FontSize->14]]],
  " = 10."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(a\  = \ 1; \nb\  = \ 3; \nT1\  = \ 50; \nT2\  = \ 10; \n
    Print["\<T[x,y] = \>", T[x, y]]; \nPrint["\<T[x,1] = \>", T[x, 1]]; \n
    Print["\<T[x,2] = \>", T[x, 2]]; \nPrint["\<T[x,3] = \>", T[x, 3]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(lines\  = \ {10, 20, 30, 40, 50}; \n
    ContourPlot[T[x, y], {x, \(-3\), 3}, {y, 0, 3}, 
      Contours\  \[Rule] \ lines, PlotPoints \[Rule] 10, 
      AspectRatio \[Rule] 1\/2, ColorFunction \[Rule] Hue]; \n
    Print["\<T[x,y] = \>", T[x, y]]; \nPrint["\<Contours = \>", lines]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.15,  Page 331.",
    FontWeight->"Bold"],
  "  Find the temperature  T(x,y)  at each point in the \nupper half plane  \
Im(z) > 0,  if the temperature at points on the boundary satisfies\n     \
T(x,0)  =  ",
  Cell[BoxData[
      StyleBox[\(T\_1\),
        FontSize->14]]],
  "     for  x > 0,\n     T(x,0)  =  ",
  Cell[BoxData[
      StyleBox[\(T\_2\),
        FontSize->14]]],
  "     for  x < 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[a, b, T, T1, T2, x, y]\), 
    \(T[x_, y_]\  = \ 
      T1\  + \ \(\(T2\  - \ T1\)\/\[Pi]\) Arg[x\  + \ \[ImaginaryI]\ y]; \n
    Print["\<T[x,y] = \>", T[x, y]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "For illustration we can choose  a = 1,  b = 3,  ",
  Cell[BoxData[
      StyleBox[\(T\_1\),
        FontSize->14]]],
  " = 10  and  ",
  Cell[BoxData[
      StyleBox[\(T\_2\),
        FontSize->14]]],
  " = 50."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(T1\  = \ 50; \nT2\  = \ 10; \nPrint["\<       T[x,y] = \>", T[x, y]]; \n
    Print["\<       T[1,0] = \>", T[1, 0]]; \n
    Print[\*"\"\< T[\!\(\@2\/2\),\!\(\@2\/2\)] = \>\"", T[\@2\/2, \@2\/2]]; \n
    Print["\<       T[0,1] = \>", T[0, 1]]; \n
    Print[\*"\"\<T[\!\(\(-\@2\)\/2\),\!\(\@2\/2\)] = \>\"", 
      T[\(-\@2\)\/2, \@2\/2]]; \nPrint["\<      T[-1,0] = \>", T[\(-1\), 0]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(lines\  = \ Table[10 + 5  k, {k, 0, 8}]; \n
    ContourPlot[T[x, y], {x, \(-3\), 3}, {y, 0, 3}, 
      Contours\  \[Rule] \ lines, PlotPoints \[Rule] 35, 
      AspectRatio \[Rule] 1\/2, ColorFunction \[Rule] Hue]; \n
    Print["\<T[x,y] = \>", T[x, y]]; \nPrint["\<Contours = \>", lines]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.16,  Page 332.",
    FontWeight->"Bold"],
  "  Find the temperature  T(x,y)  at each point in the upper \nhalf-disk  H: \
Im z > 0,  |z| < 1  if the temperature at points on the boundary satisfies\n  \
   T(x,y)  =  100     for   (x,y)  on the upper semi-circle,\n     T(x,0)  =  \
50       for   -1 < x < 1,  on the diameter."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, lines, T, U, V, w, W, x, y]; \n
    f[z_]\  = \(\ \[ImaginaryI] \((1\  - \ z)\)\)\/\(1\  + \ z\); \n
    W\  = \ ComplexExpand[f[x\  + \ \[ImaginaryI]\ y]]; \n
    U\  = \ Together[ComplexExpand[Re[W], TargetFunctions \[Rule] {Re, Im}]]; 
    \n\(V\  = \ 
      Together[ComplexExpand[Im[W], TargetFunctions \[Rule] {Re, Im}]]; \); \n
    T[x_, y_]\  = \ 100\  - \ 100\/\[Pi]\ ArcTan[V\/U]; \n
    Print["\<w = \>", f[z], "\< = \>", U\  + \ \[ImaginaryI]\ V]; \ \n
    Print["\< \>"]; \n
    Print[\*"\"\<T[x,y] = 100 - \!\(100\/\[Pi]\) ArcTan[\!\(v\/u\)]\>\""]; \n
    Print["\<T[x,y] = \>", T[x, y]]; \nPrint["\< \>"]; \n
    Print[\*"\"\< \!\(lim\+\(y \[Rule] 0\)\) T[\!\(\(-1\)\/2\),y] = \>\"", 
      Limit[T[\(-1\)\/2, y], \ y \[Rule] 0]]; \n
    Print[\*"\"\<   \!\(lim\+\(y \[Rule] 0\)\) T[0,y] = \>\"", 
      Limit[T[0, y], \ y \[Rule] 0]]; \n
    Print[\*"\"\<  \!\(lim\+\(y \[Rule] 0\)\) T[\!\(1\/2\),y] = \>\"", 
      Limit[T[1\/2, y], \ y \[Rule] 0]]; \n
    Print[\*"\"\< T[\!\(\@2\/2\),\!\(\@2\/2\)] = \>\"", T[\@2\/2, \@2\/2]]; \n
    Print["\<       T[0,1] = \>", T[0, 1]]; \n
    Print[\*"\"\<T[\!\(\(-\@2\)\/2\),\!\(\@2\/2\)] = \>\"", 
      T[\(-\@2\)\/2, \@2\/2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(lines\  = \ Table[60 + 10  k, {k, 0, 4}]; \n
    ContourPlot[T[x, y], {x, \(-1\), 1}, {y, 0.01, 1}, 
      Contours\  \[Rule] \ lines, PlotPoints \[Rule] 35, 
      AspectRatio \[Rule] 1\/2, ColorFunction \[Rule] Hue]; \n
    Print["\<T[x,y] = \>", T[x, y]]; \nPrint["\<Contours = \>", lines]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.17,  Page 334.",
    FontWeight->"Bold"],
  "  Find the temperature  T(x,y)  at each point in the \nupper half-plane \
where the temperature at points on the boundary satisfies\n     T(x,0)  =  1  \
    for  x > 1,\n     T(x,0)  =  -1     for  x < -1,\n     ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[PartialD]T\),
          FontSize->14], 
        StyleBox[\(\[PartialD]N\),
          FontSize->14]]]],
  "  =  ",
  Cell[BoxData[
      \(T\_y\)]],
  "(x,y)  =  0    for  -1 < x < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[lines, T, Ty, x, y]; \n
    T[x_, y_]\  = \(\ 2\)\/\[Pi]\ Re[ArcSin[x\  + \ \[ImaginaryI]\ y]]; \n
    Print["\<T[x,y] = \>", T[x, y]]; \n
    Print["\<T[x,y] = \>", ComplexExpand[T[x, y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(T[x_, y_]\  = \ 
      2\/\[Pi]\ ArcSin[
          \(\@\(\((x + 1)\)\^2\  + \ y\^2\)\  - 
              \@\(\((x - 1)\)\^2\  + \ y\^2\)\)\/2]; \n
    Ty[x_, y_]\  = \ \[PartialD]\_y\ T[x, y]; \n
    Print["\<  T[x,y] = \>", T[x, y]]; \n
    Print["\< T[-2,0] = \>", T[\(-2\), 0]]; \n
    Print["\< T[-1,0] = \>", T[\(-1\), 0]]; \n
    Print[\*"\"\<T[\!\(\(-1\)\/2\),0] = \>\"", T[\(-1\)\/2, 0]]; \n
    Print["\<  T[0,0] = \>", T[0, 0]]; \n
    Print[\*"\"\< T[\!\(1\/2\),0] = \>\"", T[1\/2, 0]]; \n
    Print["\<  T[1,0] = \>", T[1, 0]]; \nPrint["\<  T[2,0] = \>", T[2, 0]]; \n
    Print["\< \>"]; \nPrint[\*"\"\<\!\(T\_y\)[x,y] = \>\"", Ty[x, y]]; \n
    Print[\*"\"\<\!\(T\_y\)[\!\(\(-1\)\/2\),0] = \>\"", Ty[\(-1\)\/2, 0]]; \n
    Print[\*"\"\<  \!\(T\_y\)[0,0] = \>\"", Ty[0, 0]]; \n
    Print[\*"\"\< \!\(T\_y\)[\!\(1\/2\),0] = \>\"", Ty[1\/2, 0]]; \)], "Input",\

  AspectRatioFixed->True],

Cell[BoxData[
    \(lines\  = \ Table[\(-1\)\  + \ 0.2  k, {k, 0, 10}]; \n
    ContourPlot[T[x, y], {x, \(-4\), 4}, {y, 0.000001, 4}, 
      Contours\  \[Rule] \ 11, PlotPoints \[Rule] 25, 
      AspectRatio \[Rule] 1\/2, ColorFunction \[Rule] Hue]; \n
    Print["\<T[x,y] = \>", T[x, y]]; \nPrint["\<Contours = \>"]; \ \n
    Print[lines]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.6  ",
  StyleBox["Two Dimensional Electrostatics",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.6"],

Cell[TextData[{
  "     A two-dimensional electrostatic field is produced by a system of \
charged wires, plates, and cylindrical conductors that are perpendicular to \
the z plane.  The wires, plates, and cylinders are assumed to be so long that \
the effects at the ends can be neglected.  This sets up an electric field  ",
  Cell[BoxData[
      StyleBox[\(E \((x, y)\)\),
        FontSize->14]]],
  ",  the real and imaginary parts of  ",
  Cell[BoxData[
      StyleBox[\(E \((x, y)\)\),
        FontSize->14]]],
  "  are harmonic functions."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.18,  Page 343.",
    FontWeight->"Bold"],
  " Consider two parallel conducting planes that pass perpendicular to the z \
plane through the lines  x = a  and  y = b,  which are kept at the potentials \
 ",
  Cell[BoxData[
      StyleBox[\(U\_1\),
        FontSize->14]]],
  " and ",
  Cell[BoxData[
      \(U\_2\)]],
  ", respectively.   Then according to the result of Example 10.1, the \
electrical potential is\n          ",
  StyleBox["\[Phi]",
    FontFamily->"Symbol"],
  "(x,y)   = ",
  Cell[BoxData[
      StyleBox[\(U\_1\),
        FontSize->14]]],
  " + ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(U\_2\  - \ U\_1\),
          FontSize->14], 
        StyleBox[\(b\  - \ a\),
          FontSize->14]]]],
  "(x - a)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.19,  Page 343.",
    FontWeight->"Bold"],
  "  Find the electrical potential ",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  in the region between \nthe two infinite coaxial cylinders r = a  \
and  r = b, which are kept at potentials ",
  Cell[BoxData[
      StyleBox[\(U\_1\),
        FontSize->14]]],
  " and ",
  Cell[BoxData[
      \(U\_2\)]],
  ",\nrespectively.   ",
  StyleBox["For an illustration",
    FontColor->RGBColor[1, 0, 1]],
  " we will use the boundary values:",
  StyleBox["\n \[Phi]",
    FontFamily->"Symbol"],
  "(x,y) = 0      when  |z| = 1,\n",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,y) = 40    when  |z| = 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, lines, \[Phi], U1, U2]; \na\ \  = \ 1; \nb\ \  = \ 2; \n
    U1\  = \ 0; \nU2\  = \ 40; \n
    \[Phi][x_, y_]\  = \ 
      U1\  + \ \(\(U2\  - \ U1\)\/\(Log[b] - Log[a]\)\) 
          \((Log[\@\(x\^2 + y\^2\)]\  - \ Log[a])\); \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \n
    Print["\<\[Phi][1,0] = \>", \[Phi][1, 0]]; \n
    Print["\<\[Phi][0,1] = \>", \[Phi][0, 1]]; \n
    Print["\<\[Phi][2,0] = \>", \[Phi][2, 0]]; \n
    Print["\<\[Phi][0,2] = \>", \[Phi][0, 2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(lines\  = \ Table[0 + 10  k, {k, 0, 4}]; \n
    ContourPlot[\[Phi][x, y], {x, \(-2\), 2}, {y, \(-2\), 2}, 
      Contours\  \[Rule] \ lines, PlotPoints \[Rule] 25, 
      AspectRatio \[Rule] 1, ColorFunction \[Rule] Hue]; \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \n
    Print["\<Contours = \>", lines]; \ \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.20,  Page 343.",
    FontWeight->"Bold"],
  "   Find the electrical potential ",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  produced by \ntwo charged half-planes that are perpendicular to the \
z plane and pass through the \nrays  x < -1, y = 0  and  x > 1, y = 0  where \
the planes are kept at the fixed potentials:\n",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = -300,  for  x < -1\n",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,0) = 300,   for  x > 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[solset, x, y, \[Phi], u]; \n
    u[x_, y_]\  = \ 600\/\[Pi]\ Re[ArcSin[x\  + \ \[ImaginaryI]\ y]]; \n
    Print["\<u[x,y] = \>", u[x, y]]; \n
    Print["\<u[x,y] = \>", ComplexExpand[u[x, y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(\[Phi][x_, y_]\  = \ 
      600\/\[Pi]\ 
        ArcSin[\(\@\(\((x + 1)\)\^2\  + \ y\^2\)\  - 
              \@\(\((x - 1)\)\^2\  + \ y\^2\)\)\/2]; \n
    Print["\< \[Phi][x,y] = \>", \[Phi][x, y]]; \n
    Print["\<\[Phi][-1,0] = \>", \[Phi][\(-1\), 0]]; \n
    Print["\< \[Phi][0,1] = \>", \[Phi][0, 1]]; \n
    Print["\< \[Phi][1,0] = \>", \[Phi][1, 0]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(lines\  = \ Table[\(-300\)\  + \ 60  k, {k, 0, 10}]; \n
    ContourPlot[u[x, y], {x, \(-4\), 4}, {y, \(-4\), 4}, 
      Contours\  \[Rule] \ lines, PlotPoints \[Rule] 25, 
      AspectRatio \[Rule] 1, ColorFunction \[Rule] Hue]; \n
    Print["\<u[x,y] = \>", u[x, y]]; \nPrint["\<Contours = \>"]; \ \n
    Print[lines]; \ \)\)], "Input",
  AspectRatioFixed->True],

Cell["\<\
The following commands will graph the contours as parametric \
curves.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, X, Y, z, Z, w]; \nF[z_]\  = \ 600\/\[Pi]\ ArcSin[z]; \n
    solset\  = \ Solve[w\  == \ F[z], z]; \n
    Z[u_, v_]\  = \ 
      ReplaceAll[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket], 
        w \[Rule] u\  + \ \[ImaginaryI]\ v]; \n
    X[u_, v_]\  = \ ComplexExpand[Re[Z[u, v]]]; \n
    Y[u_, v_]\  = \ ComplexExpand[Im[Z[u, v]]]; \nPrint["\<w = \>", F[z]]; \n
    Print["\<Z = \>", Z[u, v]]; \nPrint["\<Z = \>", ComplexExpand[Z[u, v]]]; 
    \nPrint["\<X = \>", X[u, v]]; \nPrint["\<Y = \>", Y[u, v]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(eqns\  = \ N[Table[{X[k\ 60, v], Y[k\ 60, v]}, {k, \(-5\), 5}]]; \n
    ParametricPlot[Evaluate[eqns], {v, \(-500\), 500}, 
      PlotRange \[Rule] {{\(-4\), 4}, {\(-4\), 4}}, AspectRatio \[Rule] 1]; \n
    Print["\<u[x,y] = \>", u[x, y]]; \nPrint["\<Contours = \>"]; \ \n
    Print[lines]; \ \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.21,  Page 343.",
    FontWeight->"Bold"],
  "  Find the electrical potential ",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,y)  in the disk  \nD: |z| < 1   that satisfies the boundary values:\n",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,y) = 80,   for  z = e",
  StyleBox["i",
    FontVariations->{"CompatibilityType"->"Superscript"}],
  StyleBox["\[Theta]",
    FontFamily->"Symbol",
    FontVariations->{"CompatibilityType"->"Superscript"}],
  "  and     0 < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ",\n",
  StyleBox[" \[Phi]",
    FontFamily->"Symbol"],
  "(x,y) =   0,   for  z = e",
  StyleBox["i",
    FontVariations->{"CompatibilityType"->"Superscript"}],
  StyleBox["\[Theta]",
    FontFamily->"Symbol",
    FontVariations->{"CompatibilityType"->"Superscript"}],
  "  and  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  " < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < 2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, \[Phi], u, U, v, V, w, W, x, X, y, Y, z, Z]; \n
    f[z_]\  = \ 
      \(\((1\  - \ \[ImaginaryI])\) \((z\  - \ \[ImaginaryI])\)\)\/\(z\  - \ 1
          \); \nW\  = \ \ ComplexExpand[f[x\  + \ \[ImaginaryI]\ y]]; \n
    U\  = \ Together[ComplexExpand[Re[W], TargetFunctions \[Rule] {Re, Im}]]; 
    \n\(V\  = \ 
      Together[ComplexExpand[Im[W], TargetFunctions \[Rule] {Re, Im}]]; \); \n
    \[Phi][x_, y_]\  = \ 80\/\[Pi]\ ArcTan[V\/U]; \nPrint["\<w = \>", f[z]]; 
    \nPrint["\<w = u + \[ImaginaryI] v = \>", U\  + \ \[ImaginaryI]\ V]; \ \n
    Print["\< \>"]; \n
    Print[\*"\"\<\[Phi][x,y] = \!\(80\/\[Pi]\) ArcTan[\!\(v\/u\)]\>\""]; \n
    Print["\<\[Phi][x,y] = \>", \[Phi][x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, u, v, w, X, Y, z, Z]; \n
    F[z_]\  = \ 
      \(\((1\  - \ \[ImaginaryI])\) \((z\  - \ \[ImaginaryI])\)\)\/\(z\  - \ 1
          \); \nsolset\  = \ Solve[w\  == \ F[z], z]; \n
    Z[u_, v_]\  = \ 
      ReplaceAll[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket], 
        w \[Rule] u\  + \ \[ImaginaryI]\ v]; \n
    X[u_, v_]\  = \ 
      Together[ComplexExpand[Re[Z[u, v]], \n\ \ \ \ \ \ \ \ \ \ \ 
          TargetFunctions \[Rule] {Re, \ Im}]]; \n
    Y[u_, v_]\  = \ 
      Together[ComplexExpand[Im[Z[u, v]], \n\ \ \ \ \ \ \ \ \ \ \ 
          TargetFunctions \[Rule] {Re, \ Im}]]; \nPrint["\<w = \>", F[z]]; \n
    Print["\<z = \>", 
      solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \n
    Print["\<Z = \>", Z[u, v]]; \nPrint["\<X = \>", X[u, v]]; \n
    Print["\<Y = \>", Y[u, v]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(n\  = \ 8; \n
    x[r_]\  = \ 
      Simplify[X[r\ Cos[\(k\ \[Pi]\)\/n], r\ Sin[\(k\ \[Pi]\)\/n]]]; \n
    y[r_]\  = \ 
      Simplify[Y[r\ Cos[\(k\ \[Pi]\)\/n], r\ Sin[\(k\ \[Pi]\)\/n]]]; \n
    eqns\  = \ N[Table[{x[r], y[r]}, {k, 0, n}]]; \n
    ParametricPlot[Evaluate[eqns], {r, 0.05, 40}, 
      PlotRange \[Rule] {{\(-1.1\), 1.1}, {\(-1.1\), 1.1}}, 
      AspectRatio \[Rule] 1, DefaultColor \[Rule] RGBColor[0, 0, 1]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.7  ",
  StyleBox["Two-Dimensional Fluid Flow",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.7"],

Cell[TextData[{
  "     Suppose that a fluid flows over the complex plane and that the \
velocity at the point \nz = x + iy  is given by the vector  V(x,y)  =  p(x,y) \
+ i q(x,y) .   We also require that the \nvelocity does not depend on time \
and that the components  p(x,y)  and  q(x,y)  have \ncontinuous partial \
derivatives.  It is shown that p(x,y)  and  q(x,y)  are harmonic functions.\n\
\n",
  StyleBox["Theorem 10.5,  Page 352.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Invariance of Flow)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(\(F\_1\) \((w)\) = 
        \[CapitalPhi] \((u, v)\) + i\ \[CapitalPsi] \((u, v)\)\)]],
  "  denote the complex potential for a fluid flow in a domain  G  in the  w \
plane where the velocity is  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox[
            StyleBox["V",
              FontWeight->"Bold"], "1"], \((u, v)\)}], "=", " ", 
        OverscriptBox[
          RowBox[{
            SuperscriptBox[\(F\_1\), "\[Prime]",
              MultilineFunction->None], \((w)\)}], "_"]}]]],
  ".  If the function    ",
  Cell[BoxData[
      \(w = \(S \((z)\) = u \((x, y)\) + i\ v \((x, y)\)\)\)]],
  "  is a one-to-one conformal mapping from a domain  D  in the  z plane onto \
 G,  then the composite function\n",
  Cell[BoxData[
      \(\(F\_2\) \((z)\) = 
        \(\(F\_1\) \((S \((z)\))\) = 
          \[CapitalPhi] \((u \((x, y)\), v \((x, y)\))\) + 
            i\ \[CapitalPsi] \((u \((x, y)\), v \((x, y)\))\)\)\)]],
  "  \nis the complex potential for a fluid flow in  D  where the velocity is \
 ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox[
            StyleBox["V",
              FontWeight->"Bold"], "2"], \((x, y)\)}], "=", " ", 
        OverscriptBox[
          RowBox[{
            SuperscriptBox[\(F\_2\), "\[Prime]",
              MultilineFunction->None], \((z)\)}], "_"]}]]],
  ".    "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.  Make sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.22,  Page 353.",
    FontWeight->"Bold"],
  "  The complex potential  ",
  Cell[BoxData[
      \(F \((z)\) = \((a + \[ImaginaryI]b)\) z\)]],
  "  has the velocity potential and stream function given by  ",
  Cell[BoxData[
      \(\[Phi] \((x, y)\) = a\ x - b\ y\)]],
  "  and   ",
  Cell[BoxData[
      \(\[CurlyPhi] \((x, y)\) = b\ x + a\ y\)]],
  ",  respectively.\nSolution.  The solution is given in the textbook."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.23,  Page 354.",
    FontWeight->"Bold"],
  "  Consider the complex potential  F(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["A",
          FontSize->14], 
        StyleBox["2",
          FontSize->12]]]],
  Cell[BoxData[
      StyleBox[\(z\^2\),
        FontSize->14]]],
  "   where  \nA  is a positive real number.  The velocity potential and \
stream function are given by:\nu(x,y)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["A",
          FontSize->14], 
        StyleBox["2",
          FontSize->12]]]],
  " (",
  Cell[BoxData[
      StyleBox[\(x\^2\),
        FontSize->14]]],
  " - ",
  Cell[BoxData[
      StyleBox[\(y\^2\),
        FontSize->14]]],
  "),\nv(x,y)  =  A x y."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, f, F, x, y, u, v, z]; \nF[z_]\  = \ A\/2\ z\^2; \n
    u[x_, y_]\  = \ 
      ComplexExpand[A\/2\ Re[\((x\  + \ \[ImaginaryI]\ y)\)\^2]]; \n
    v[x_, y_]\  = \ 
      ComplexExpand[A\/2\ Im[\((x\  + \ \[ImaginaryI]\ y)\)\^2]]; \n
    Print["\<The  complex potential is   F[z] = \>", F[z]]; \n
    Print["\<The velocity potential is u[x,y] = \>", u[x, y]]; \n
    Print["\<The   stream function  is v[x,y] = \>", v[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["For illustration purposes, choose A = 1."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(\ f[z_]\  = \ \@z; \n
    CartesianMap[f, {\(-4\), 4, 0.4}, {0, 4, 0.4}, AspectRatio \[Rule] 1, 
      Ticks \[Rule] {Range[\(-3\), 3, 1], Range[0, 3, 1]}, 
      PlotRange \[Rule] {{0, 2}, {0, 2}}]; \n
    Print["\<        f[z] = \>", f[z]]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.24,  Page 354.",
    FontWeight->"Bold"],
  "  Find the complex potential for an ideal fluid flowing \nfrom left to \
right across the complex plane and around the unit circle  |z| = 1.\n\n\
Solution:  Consider the complex potential  f(z)  =  A ( z + ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["z",
          FontSize->14]]]],
  ")   where  A  is a positive \nreal number.  The velocity potential and \
stream function are given by:\nu(x,y)  =  A ( x  + ",
  Cell[BoxData[
      FractionBox[
        StyleBox["x",
          FontSize->14], 
        StyleBox[\(x\^2\  + \ y\^2\),
          FontSize->14]]]],
  "),\nv(x,y)  =  A ( y  - ",
  Cell[BoxData[
      FractionBox[
        StyleBox["y",
          FontSize->14], 
        StyleBox[\(x\^2\  + \ y\^2\),
          FontSize->14]]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, f, F, g, solset, x, y, u, v, w, z]; \n
    F[z_]\  = \ z\  + \ 1\/z; \n
    u[x_, y_]\  = \ 
      ComplexExpand[Re[F[x + \[ImaginaryI]\ y]], 
        TargetFunctions \[Rule] {Re, Im}]; \n
    v[x_, y_]\  = 
      ComplexExpand[Im[F[x + \[ImaginaryI]\ y]], 
        TargetFunctions \[Rule] {Re, Im}]; \n
    Print["\<The  complex potential is   F[z] = \>", F[z]]; \n
    Print["\<The velocity potential is u[x,y] = \>", u[x, y]]; \n
    Print["\<The   stream function  is v[x,y] = \>", v[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(lines\  = \ Table[0 + 0.2  k, {k, 0, 7}]; \n
    ContourPlot[v[x, y], {x, \(-2\), 2}, {y, 0, 2}, 
      Contours\  \[Rule] \ lines, PlotPoints \[Rule] 25, 
      AspectRatio \[Rule] 1\/2, ColorFunction \[Rule] Hue]; \n
    Print["\<v[x,y] = \>", v[x, y]]; \nPrint["\<Contours = \>", lines]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The inverse function of  f(z)  = z + ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["z",
          FontSize->14]]]],
  "  is  g(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(z\  + \ \@\(z\^2 - 4\)\ \),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, w, z, Z0, Z1, Z2]; \nf[z_]\  = \ z\  + \ 1\/z; \n
    solset\  = \ Solve[w == f[z], z]; \n
    g[w_]\  = \ solset\[LeftDoubleBracket]2, 1, 2\[RightDoubleBracket]; \n
    Z0\  = \ PowerExpand[ExpandAll[g[f[z]]]]; \n
    Z1\  = ReplaceAll[Z0\ , 
        \@\(1 - 2\ z\^2 + z\^4\)\  \[Rule] \ \(-\((1 - z\^2)\)\)]; \n
    Z2\  = \ Together[Z1]; \nPrint["\<f[z] = \>", f[z]]; \n
    Print["\<g[w] = \>", g[w]]; \nPrint["\< \>"]; \n
    Print["\<g[f[z]] = \>", Z0]; \nPrint["\<g[f[z]] = \>", Z1]; \n
    Print["\<g[f[z]] = \>", Z2]; \nPrint["\< \>"]; \n
    Print["\<f[g[w]] = \>", f[g[w]]]; \n
    Print["\<f[g[w]] = \>", Together[f[g[w]]]]; \)], "Input"],

Cell["We can use it to find the image of the flow.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[g1, g2, z]; \ng1[z_]\  = \ \ \(z\  + \ \@\(z\^2\  - \ 4\)\)\/2; \n
    g2[z_]\  = \ \ \(z\  - \ \@\(z\^2\  - \ 4\)\)\/2; \n
    graph1\  = \ 
      CartesianMap[g1, {0.00001, 3.00001, 0.2}, {0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graph2\  = \ 
      CartesianMap[
        g2, {\(-3.00001\), \(-0.00001\), 0.2}, {\ 0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[graph1, graph2, 
      Ticks \[Rule] {Range[\(-2\), 2, 0.5], Range[0, 2, 0.5]}, 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        g(z) = \>", g1[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.25,  Page 355.",
    FontWeight->"Bold"],
  "  Consider the complex potential  f(z) = A",
  Cell[BoxData[
      \(\@\(z\^2\  + \ 1\)\)]],
  "\nfor an ideal fluid flowing from left to right across the complex plane \
slit along the \nsegment from  -i  to  i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[A, f, F, lines, x, y, u, v, z]; \nF[z_]\  = \ \@\(z\^2\  + \ 1\); 
    \nu[x_, y_]\  = \ 
      ComplexExpand[Re[F[x + \[ImaginaryI]\ y]], 
        TargetFunctions \[Rule] {Re, \ Im, \ }]; \n
    v[x_, y_]\  = \ 
      ComplexExpand[Im[F[x + \[ImaginaryI]\ y]], 
        TargetFunctions \[Rule] {Re, \ Im, \ }]; \n
    Print["\<The  complex potential is   F[z] = \>", F[z]]\), 
    \(Print["\<The velocity potential is u[x,y] = \>"]; \nPrint[u[x, y]]; \n
    Print["\<The   stream function  is v[x,y] = \>"]; \nPrint[v[x, y]]; \)}], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(lines\  = \ Table[0 + 0.2  k, {k, 0, 7}]; \n
    ContourPlot[v[x, y], {x, 0.000001, 2}, {y, 0, 2}, 
      Contours\  \[Rule] \ lines, PlotPoints \[Rule] 25, 
      AspectRatio \[Rule] 1, ColorFunction \[Rule] Hue]; \n
    Print["\<v[x,y] = \>", v[x, y]]; \ \nPrint["\<Contours = \>", lines]; \)],
   "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The inverse function of  f(z)  =  ",
  Cell[BoxData[
      \(\@\(z\^2 + 1\)\)]],
  "  is  g(z)  =  ",
  Cell[BoxData[
      \(\@\(z\^2 - 1\)\)]],
  ".\nWe can use it to find the image of the flow."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[g1, g2, z]\), 
    \(g1[z_]\  = \ \ \@\(z\^2\  - \ 1\); \n
    g2[z_]\  = \ \(-\@\(z\^2\  - \ 1\)\); \n
    graph1\  = \ 
      CartesianMap[g1, {0.00001, 2.00001, 0.1}, {0.00001, 1.00001, 0.1}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graph2\  = \ 
      CartesianMap[
        g2, {\(-2.00001\), \(-0.00001\), 0.1}, {\ 0.00001, 1.00001, 0.1}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[graph1, graph2, 
      Ticks \[Rule] {Range[\(-2\), 2, 0.5], Range[0, 2, 0.5]}, 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<          g(z) = \>", g1[z]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.8  ",
  StyleBox["The Joukowski Airfoil",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.8"],

Cell[TextData[{
  "        The function  J(z) = z + ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["z",
          FontSize->14]]]],
  "  was studied by the Russian scientist N. E. Joukowski. \nIt will be shown \
that the image of a circle passing through  ",
  Cell[BoxData[
      StyleBox[\(z\_1\),
        FontSize->14]]],
  " = 1  and containing the point \n",
  Cell[BoxData[
      StyleBox[\(z\_2\),
        FontSize->14]]],
  " = -1  is mapped onto a curve that is shaped like the cross section of an \
airplane wing. \nWe call this curve the ",
  StyleBox["Joukowski airfoil",
    FontColor->RGBColor[1, 0, 1]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.\nMake sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Get[\"Graphics`ComplexMap`\"]", "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["The Joukowski Airfoil, Page 361.",
    FontWeight->"Bold"],
  "  Find the image of a fluid flow past the \nJoukowski airfoil."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, F1, F2, F3, F4, dx, dy, r0, w, z, z1, z2, z3, z4]; \n
    \[CapitalDelta]x\  = \ \(-\(1\/10\)\); \n\[CapitalDelta]y\  = \ \ 1\/5; \n
    r0\  = \ \@\(\((1 - \[CapitalDelta]x)\)\^2 + 
          \((0 - \[CapitalDelta]y)\)\^2\); \n
    z1\  = \ \ \(z\  + \ \@\(z\^2\  - \ 4\)\)\/2; \n
    z2\  = \ \ \(z\  - \ \@\(z\^2\  - \ 4\)\)\/2; \n
    z3\  = \ \(\(-z\)\  - \ \@\(z\^2\  - \ 4\)\)\/2; \n
    z4\  = \ \(\(-z\)\  + \@\(\ z\^2\  - \ 4\)\)\/2; \n
    w[z_]\  = \ \ 
      r0\ z\  + \ \[CapitalDelta]x\  + \ \[ImaginaryI]\ \[CapitalDelta]y; \n
    F[z_]\  = \ \ z\  + \ 1\/z; \nF1[z_]\  = \ \ F[w[z1]]; \n
    F2[z_]\  = \ \ F[w[z2]]; \nF3[z_]\  = \ \ F[w[z3]]; \n
    F4[z_]\  = \ \ F[w[z4]]; \nPrint[\*"\"\<\!\(F\_1\)[z] = \>\"", F1[z]]; \n
    Print[\*"\"\<\!\(F\_2\)[z] = \>\"", F2[z]]; \n
    Print[\*"\"\<\!\(F\_3\)[z] = \>\"", F3[z]]; \n
    Print[\*"\"\<\!\(F\_4\)[z] = \>\"", F4[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(graph1\  = \ 
      CartesianMap[F1, {0.00001, 3.00001, 0.2}, {0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graph2\  = \ 
      CartesianMap[
        F2, {\(-3.00001\), 0.00001, 0.2}, {\ 0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graph3\  = \ 
      CartesianMap[F3, {0.00001, 3.00001, 0.2}, {0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graph4\  = \ 
      CartesianMap[
        F4, {\(-3.00001\), 0.00001, 0.2}, {\ 0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[graph1, graph2, graph3, graph4, \n\ \ \ \ \ 
      Ticks \[Rule] {Range[\(-2\), 2, 0.5], Range[\(-2\), 2, 0.5]}, \n
      \ \ \ \ \ DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<f[z] = \>", F1[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.9  ",
  StyleBox["Schwarz-Christoffel Transformation",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.9"],

Cell[TextData[{
  StyleBox["Theorem 10.6,  Page 370. ",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Schwarz-Christoffel Formula)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  P  be a polygon in the w plane with vertices  ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(w\_1\),
          FontSize->14], ",", 
        StyleBox[\(w\_2\),
          FontSize->14], ",", "\[CenterEllipsis]", ",", 
        StyleBox[\(w\_n\),
          FontSize->14]}]]],
  "  and exterior angles  ",
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox["\[Alpha]",
            FontSize->14], "1"], ",", 
        SubscriptBox[
          StyleBox["\[Alpha]",
            FontSize->14], "2"], ",", "\[CenterEllipsis]", ",", 
        SubscriptBox[
          StyleBox["\[Alpha]",
            FontSize->14], "n"]}]]],
  ", where ",
  Cell[BoxData[
      RowBox[{\(-\[Pi]\), "<", 
        SubscriptBox[
          StyleBox["\[Alpha]",
            FontSize->14], "k"], "<", "\[Pi]"}]]],
  ",  for  ",
  Cell[BoxData[
      \(k = 1, 2, \[CenterEllipsis], n\)]],
  ".  There exists a one-to-one conformal mapping  ",
  Cell[BoxData[
      \(w = f \((z\)\)]],
  ")  from the upper half plane ",
  Cell[BoxData[
      \(Im \((z)\) > 0\)]],
  "  onto  G  that satisfies the boundary conditions\n\t",
  Cell[BoxData[{
    \(w\_k = \(f \((x\_k)\)\ \ \ for\ \ \ k = 1\), 2, , n - 1\ \ \ \ and\), 
      RowBox[{\(w\_n\), "=", 
        RowBox[{
          RowBox[{"f", \((\[Infinity])\), "     ", "where", "   ", 
            SubscriptBox[
              StyleBox["x",
                FontSize->14], "1"]}], "<", 
          SubscriptBox[
            StyleBox["x",
              FontSize->14], "2"], "<", "\[CenterEllipsis]", "<", 
          SubscriptBox[
            StyleBox["x",
              FontSize->14], \(n - 1\)], "<", \(\[Infinity].\)}]}]}]],
  "\nThe derivative is   ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox["f", "\[Prime]",
            MultilineFunction->None], \((z)\)}], "=", " ", 
        \(A \(\((z - x\_1)\)\^\(\(-\[Alpha]\_1\)/\[Pi]\)\) 
          \(\((z - x\_2)\)\^\(\(-\[Alpha]\_2\)/\[Pi]\)\) \[CenterEllipsis] 
          \((z - x\_\(n - 1\))\)\^\(\(-\[Alpha]\_\(n - 1\)\)/\[Pi]\)\)}]]],
  "\nand the function  f(z)  can be expressed as an indefinite integral,\n",
  Cell[BoxData[
      RowBox[{\(f \((z)\)\), "=", 
        RowBox[{"B", "+", 
          RowBox[{"A", 
            RowBox[{
              StyleBox["\[Integral]",
                FontSize->18], 
              \(\(\((z - x\_1)\)\^\(\(-\[Alpha]\_1\)/\[Pi]\)\) 
                \(\((z - x\_2)\)\^\(\(-\[Alpha]\_2\)/\[Pi]\)\) 
                \[CenterEllipsis] 
                \(\((z - x\_\(n - 1\))\)\^\(\(-\[Alpha]\_\(n - 1\)\)/
                      \[Pi]\)\) \[DifferentialD]z\)}]}]}]}]]],
  "\nwhere  A  and  B  are suitably chosen constants.  Two of the points  {",
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox["x",
            FontSize->14], "k"], "}"}]]],
  "  may be chosen arbitrarily, and the constants  A  and  B  determine the \
size and position of  P."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.  Make sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.26,  Page 373.",
    FontWeight->"Bold"],
  "  Use the Schwarz Christoffel formula to verify that  \nw  =  Arcsin(z)  \
maps the upper half plane  Im(z) > 0  onto the semi infinite strip  \n",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(-\[Pi]\),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  " < u < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ",  v >0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, B, f1, F, z]; \nf1[z_]\  = \(\ A\)\/\@\(z\^2\  - \ 1\); \n
    F[z_]\  = \ 
      B\  + \ \[Integral]\(\(\ A\)\/\@\(z\^2\  - \ 1\)\) \[DifferentialD]z; \n
    Print["\<f[z] = \>", f1[z]]; \n
    Print[\*"\"\<F[z] = B + \[Integral]\!\(\(\\\ A\)\/\@\(z\^2\\\  - \\\ \
1\)\)\[DifferentialD]z\>\""]; \nPrint["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Remark.   No matter how tempting the integrand  B + A Log(z + ",
  Cell[BoxData[
      \(\@\(z\^2\  - \ 1\)\)]],
  ")\nmay seem, the Logarithm does not have the proper branch cut for this \
problem, and \nwe must use the familiar integrand  B + A i ArcSin(z).  \
Switching the order of terms \nin the square root will solve this problem."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, B, eq1, eq2, f, f1, F, z]; \n
    f1[z_]\  = \ A\/\@\(1\  - \ z\^2\); \n
    F[z_]\  = \ 
      B\  + \ \[Integral]\(A\/\@\(1\  - \ z\^2\)\) \[DifferentialD]z; \n
    Print["\<f[z] = \>", f1[z]]; \n
    Print[\*"\"\<F[z] = B + \[Integral]\!\(A\/\@\(1\\\  - \\\ z\^2\)\)\
\[DifferentialD]z\>\""]; \nPrint["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Now solve for the coefficients  A  and  B.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eq1, eq2, f, z]; \neq1\  = \ F[\(-1\)]\  == \(\ \(-\[Pi]\)\)\/2; 
    \neq2\  = \ \ F[1]\  == \ \ \[Pi]\/2; \n
    solset\  = \ Solve[{eq1, eq2}, {A, B}]; \n
    f[z_]\  = \ 
      ReplaceAll[F[z], solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[eq1]; \nPrint[eq2]; \n
    Print[solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print["\<f[z] = B + A ArcSin[z]\>"]; \nPrint["\<f[z] = \>", f[z]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(CartesianMap[f, {\(-2\), 2, 0.5}, {0.00001, 4.00001, 0.5}, 
      Ticks \[Rule] {Range[\(-1\), 1, 1], Range[0, 2, 1]}, 
      AxesLabel \[Rule] {"\<u\>", "\<v\>"}]; \n
    Print["\<The mapping  w = f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.27,  Page 373.",
    FontWeight->"Bold"],
  "  Use the Schwarz Christoffel formula to verify that   \nw  =  ",
  Cell[BoxData[
      \(\@\(z\^2 - 1\)\)]],
  "   maps the upper half plane  Im(z) > 0  onto the upper half plane\nIm(w) \
> 0  slit along the segment from  0  to  i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, B, f1, F, z]; \n
    f1[z_]\  = \(\ A\ z\)\/\(\@\(z\  + \ 1\)\ \@\(z\  - \ 1\)\); \n
    F[z_]\  = \ 
      B\  + \ \[Integral]\(\(\ A\ z\)\/\(\@\(z\  + \ 1\)\ \@\(z\  - \ 1\)\)\) 
            \[DifferentialD]z; \nPrint["\<f[z] = \>", f1[z]]; \n
    Print[\*"\"\<F[z] = B + \[Integral]\!\(\(\\\ A\\\ z\)\/\(\@\(z\\\  + \\\ \
1\)\\\ \@\(z\\\  - \\\ 1\)\)\)\[DifferentialD]z\>\""]; \n
    Print["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, B, f1, F, z]; \nf1[z_]\  = \ \(A\ z\)\/\@\(z\^2\  - \ 1\); \n
    F[z_]\  = \ 
      B\  + \ \[Integral]\(\(A\ z\)\/\@\(z\^2\  - \ 1\)\) \[DifferentialD]z; 
    \nPrint["\<f[z] = \>", f1[z]]; \n
    Print[\*"\"\<F[z] = B + \[Integral]\!\(\(A\\\ z\)\/\@\(z\^2\\\  - \\\ 1\)\
\)\[DifferentialD]z\>\""]; \nPrint["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Now solve for the coefficients  A  and  B.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(eq1\  = \ F[1] == 0; \neq2\  = \ F[0] == \[ImaginaryI]; \n
    solset\  = \ Solve[{eq1, eq2}, {A, B}]\), 
    \(f[z_]\  = \ 
      ReplaceAll[F[z], solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[eq1]; \nPrint[eq2]; \n
    Print[solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<f[z] = B + A\!\(\@\(\(-1\) + z\^2\)\)\>\""]; \n
    Print["\<f[z] = \>", f[z]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f1, f2, z]; \nf1[z_]\  = \ \ \ \@\(z\^2\  - \ 1\); \n
    f2[z_]\  = \ \[ImaginaryI]\ \@\(1\  - \ z\^2\); \n
    graph1\  = \ 
      CartesianMap[f1, {0, 2, 0.2}, {0.00001, 1.00001, 0.1}, 
        PlotRange \[Rule] {{\(-2\), 2}, {0, 1.5}}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graph2\  = \ 
      CartesianMap[f2, {\(-2\), 0, 0.2}, {0.00001, 1.00001, 0.1}, 
        PlotRange \[Rule] {{\(-2\), 2}, {0, 1.5}}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[graph1, graph2, PlotRange \[Rule] {{\(-2\), 2}, {0, 1.5}}, 
      Ticks \[Rule] {Range[\(-2\), 2, 1], Range[0, 2, 1]}, 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<The mapping  w = f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.28,  Page 374.",
    FontWeight->"Bold"],
  "  Show that    \n     w  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  "Arcsin(z)  + ",
  Cell[BoxData[
      FractionBox[
        StyleBox["i",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  "Arcsin(",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["z",
          FontSize->14]]]],
  ")  +  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(1\  + \ i\),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "\nmaps the upper half plane  Im(z) > 0  onto the channel in the right half \
plane\nbounded by the coordinate axes and rays  x \[GreaterEqual] 1, y = 1  \
and  y \[GreaterEqual] 1, x =1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, B, f1, F]; \n
    f1[z_]\  = \ \(A\ \((z\  - \ 1)\)\)\/\(z\ \@\((z\^2\  - \ 1)\)\); \n
    F[z_]\  = \ 
      B\  + \ \[Integral]\(\(A\ \((z\  - \ 1)\)\)\/\(z\ 
                  \@\((z\^2\  - \ 1)\)\)\) \[DifferentialD]z; \n
    Print["\<f[z] = \>", f1[z]]; \n
    Print[\*"\"\<F[z] = B + \[Integral]\!\(\(A\\\ \((z\\\  - \\\ \
1)\)\)\/\(z\\\ \@\((z\^2\\\  - \\\ 1)\)\)\)\[DifferentialD]z\>\""]; \n
    Print["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
This is one, formula for the integral.   However, we will use the \
following form 
of the integral to continue the computations.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[z_]\  = \ 
      A\ \((ArcSin[z]\  + \ \[ImaginaryI]\ ArcSin[1\/z])\)\  + \ B; \n
    Print["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Now solve for the coefficients  A  and  B.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(eq1\  = \ F[\(-1\)]\  == \ 0; \n
    eq2\  = \ F[1]\ \  == \ 1 + \[ImaginaryI]; \n
    solset\  = \ Solve[{F[\(-1\)] == 0, F[1] == 1 + \[ImaginaryI]}, {A, B}]; 
    \nf[z_]\  = \ 
      ReplaceAll[F[z], solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[eq1]; \nPrint[eq2]; \n
    Print[solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<f[z] = B + A (ArcSin[z] + \[ImaginaryI] \
ArcSin[\!\(1\/z\)])\>\""]; \nPrint["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(CartesianMap[f, {\(-4\), 4, 0.5}, {0.00001, 2.00001, 0.2}, 
      Ticks \[Rule] {Range[0, 2, 0.5], Range[0, 2, 0.5]}]; \n
    Print["\<The map  w = f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.10  ",
  StyleBox["Images of a Fluid Flow",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.10"],

Cell["\<\
     We have already examined several two-dimensional fluid flows \
and have discovered 
that the image of a flow under a conformal transformation is a flow.   The \
mapping  
w = u(x,y) + i v(x,y) ,  which is obtained by using the Schwarz-Christoffel \
formula, 
will allow us to find the streamlines for flows in domains in the w plane \
that are 
bounded by straight line segments.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.\nMake sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.29,  Page 380.",
    FontWeight->"Bold"],
  "  Show that the mapping  \n     w  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["\[Pi]",
          FontSize->14]]]],
  " ( ",
  Cell[BoxData[
      \(\@\(z\^2 - 1\)\)]],
  " +  Log(z + ",
  Cell[BoxData[
      \(\@\(z\^2 - 1\)\)]],
  ") )\nmaps the upper half plane  Im(z) > 0  onto the domain in the upper \
half plane\nthat lies above the rays  u \[LessEqual] 0, v = 0  and  u \
\[GreaterEqual] 0, v = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, B, f, f1, F, z]; \n
    f1[z_]\  = \ \(A\ \@\(z\  + \ 1\)\)\/\@\(z\  - \ 1\); \n
    F[z_]\  = \ 
      B\  + \ \[Integral]\(\(A\ \@\(z\  + \ 1\)\)\/\@\(z\  - \ 1\)\) 
            \[DifferentialD]z; \nPrint["\<f[z] = \>", f1[z]]; \n
    Print[\*"\"\<F[z] = B + \[Integral]\!\(\(A\\\ \@\(z\\\  + \\\ \
1\)\)\/\@\(z\\\  - \\\ 1\)\)\[DifferentialD]z\>\""]; \n
    Print["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(f1[z_]\  = \ \(A\ \((z\  + \ 1)\)\)\/\@\(z\^2\  - \ 1\); \n
    F[z_]\  = \ 
      B\  + \ \[Integral]\(\(A\ \((z\  + \ 1)\)\)\/\@\(z\^2\  - \ 1\)\) 
            \[DifferentialD]z; \nPrint["\<f[z] = \>", f1[z]]; \n
    Print[\*"\"\<F[z] = B + \[Integral]\!\(\(A\\\ \((z\\\  + \\\ \
1)\)\)\/\@\(z\^2\\\  - \\\ 1\)\)\[DifferentialD]z\>\""]; \n
    Print["\<F[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Now solve for the coefficients  A  and  B."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(eq1\  = \ F[\(-1\)]\  == \ \ 0; \n
    eq2\  = \ \ F[1]\  == \ \(-\[ImaginaryI]\); \n
    solset\  = \ Solve[{eq1, eq2}, {A, B}]; \n
    f[z_]\  = \ 
      ReplaceAll[F[z], solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[eq1]; \nPrint[eq2]; \n
    Print[solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<f[z] = B + A \!\(\@\(\(-1\) + z\^2\)\) + A \
Log[z+\!\(\@\(\(-1\) + z\^2\)\)]\>\""]; \nPrint["\<f[z] = \>", f[z]]; \n\)\)],
   "Input",
  AspectRatioFixed->True],

Cell["\<\
Unfortunately, the branch cuts don't work out right and we will \
have to do this one by hand.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(f[z_]\  = \ ReplaceAll[F[z], {A \[Rule] 1\/\[Pi], B \[Rule] 0}]; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
Using this formula in the book we form the two branches of the \
function.
But for the second branch, we cannot evaluate at  t = 0.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f1, f2, z]; \n
    f1[z_]\  = \ \(\ \@\((z\^2 - 1)\) + Log[z + \@\(z\^2 - 1\)]\)\/\[Pi]; \n
    f2[z_]\  = \ \(\(-\@\((z\^2 - 1)\)\) + Log[z - \@\(z\^2 - 1\)]\)\/\[Pi]; 
    \nPrint[\*"\"\<\!\(f\_1\)[z] = \>\"", f1[z]]; \n
    Print[\*"\"\<\!\(f\_2\)[z] = \>\"", f2[z]]; \)], "Input",
  AspectRatioFixed->False],

Cell[BoxData[
    \(g1\  = \ 
      CartesianMap[f1, {0, 2, 0.5}, {0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \n
    g2\  = \ CartesianMap[
        f2, {\(-6.00001\), \(-0.00001\), 0.5}, {\ 0.00001, 1.00001, 0.2}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[g1, g2, DisplayFunction \[Rule] $DisplayFunction, 
      Ticks \[Rule] {Range[\(-1\), 1, 0.5], Range[0, 1, 0.5]}]; \n
    Print["\<The mapping w = \>", f[z]]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Here is the function that produces the desired result.\nThe graph is drawn \
parametrically in this case."], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(f[z_]\  = \ 
      \(\[ImaginaryI] \@\( 1\  - \ z\^2\)\  + \ \(\[ImaginaryI]\ \[Pi]\)\/2\ 
           - \ \[ImaginaryI]\ ArcSin[z]\)\/\[Pi]; \n
    eqns\  = \ 
      Table[{Re[f[x + \[ImaginaryI]\ 0.2  k]], 
          Im[f[x + \[ImaginaryI]\ 0.2  k]]}, {k, 1, 10}]; \n
    ParametricPlot[Evaluate[eqns], {x, \(-9\), 4}, 
      PlotRange \[Rule] {{\(-1\), 2}, {\(-0.1\), 1.6}}, 
      Ticks \[Rule] {None, None}, AspectRatio \[Rule] 1.8\/3, 
      DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Print["\<    f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 10.11  ",
  StyleBox["Sources and Sinks",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 10.11"],

Cell[TextData[{
  "     If the two-dimensional motion of an ideal fluid consists of an \
outward radial flow from a point and is symmetric in all directions, then the \
point is called a simple ",
  StyleBox["source",
    FontColor->RGBColor[1, 0, 1]],
  ".  For fluid flows, a ",
  StyleBox["sink",
    FontColor->RGBColor[1, 0, 1]],
  " is a negative source."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.\nMake sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 10.30,  Page 387.",
    FontWeight->"Bold"],
  "  Show that the complex potential for a fluid flowing \nfrom the source  \
at   z = +1  to the sink at   z = -1  is    F(z)  =  log(",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(z\  - \ 1\),
          FontSize->14], 
        StyleBox[\(z\  + \ 1\),
          FontSize->14]]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, W, x, y, z, Z]; \n
    F[Z_]\  = \ Log[\(Z\  - \ 1\)\/\(Z\  + \ 1\)]; \n
    solset\  = \ Solve[F[Z]\  == \ W, Z]; \n
    f[x_, y_]\  = \ \ 
      ReplaceAll[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket], 
        W \[Rule] x\  + \ \[ImaginaryI]\ y]; \n
    Print["\<W = F[Z] = \>", F[Z]]; \nPrint["\<The inverse function is:\>"]; 
    \nPrint["\<f[x,y] = \>", f[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(n\  = \ 8; \n
    eqns\  = \ 
      N[Table[{Re[f[x, \(\ k\ \[Pi]\)\/n]], Im[f[x, \ \(k\ \[Pi]\)\/n]]}, {k, 
            1, 2  n}]]; \n
    ParametricPlot[Evaluate[eqns], {x, \(-4\), 4}, AspectRatio \[Rule] 1, 
      Ticks \[Rule] None, Axes \[Rule] None, 
      PlotRange \[Rule] {{\(-2.5\), 2.5}, {\(-2.5\), 2.5}}, 
      DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Print["\<          f[x,y] = \>", f[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.31,  Page 388.",
    FontWeight->"Bold"],
  "  Let two sources of unit strength be located at the points\nz = 1 and z = \
-1. The resulting complex potential for a fluid flow is  F(z)  =  log(",
  Cell[BoxData[
      StyleBox[\(z\^2\),
        FontSize->14]]],
  " - 1)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f1, f2, F, W, x, y, z, Z]; \nF[Z_]\  = \ Log[Z\^2\  - \ 1]; \n
    solset\  = \ Solve[F[Z]\  == \ W, Z]; \n
    f1[x_, y_]\  = \ \ 
      ReplaceAll[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket], 
        W \[Rule] x\  + \ \[ImaginaryI]\ y]; \n
    f2[x_, y_]\  = \ \ 
      ReplaceAll[solset\[LeftDoubleBracket]2, 1, 2\[RightDoubleBracket], 
        W \[Rule] x\  + \ \[ImaginaryI]\ y]; \n
    Print["\<W = F[Z] = \>", F[Z]]; \nPrint["\<The inverse function is:\>"]; 
    \nPrint["\<f[x,y] = \>", f2[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(n\  = \ 12; \n
    eqns1\  = \ 
      N[Table[{Re[f1[x, \(k\ \[Pi]\)\/n]], Im[f1[x, \(k\ \[Pi]\)\/n]]}, {k, 
            1, n - 1}]]; \n
    eqns2\  = \ 
      N[Table[{Re[f1[x, \(k\ \[Pi]\)\/n]], Im[f1[x, \(k\ \[Pi]\)\/n]]}, {k, 
            12 + 1, 12 + n - 1}]]; \n
    eqns3\  = \ 
      N[Table[{Re[f2[x, \(k\ \[Pi]\)\/n]], Im[f2[x, \(k\ \[Pi]\)\/n]]}, {k, 
            1, n - 1}]]; \n
    eqns4\  = \ 
      N[Table[{Re[f2[x, \(k\ \[Pi]\)\/n]], Im[f2[x, \(k\ \[Pi]\)\/n]]}, {k, 
            12 + 1, 12 + n - 1}]]; \n
    eqns\ \  = \ Union[eqns1, eqns2, eqns3, eqns4]; \n
    ParametricPlot[Evaluate[eqns], {x, \(-3\), 3}, AspectRatio \[Rule] 1, 
      Ticks \[Rule] None, PlotRange \[Rule] {{\(-2\), 2}, {\(-2\), 2}}, 
      DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Print["\<             f[x,y] = \>", f2[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.32,  Page 389.",
    FontWeight->"Bold"],
  "  Show that the complex potential for a fluid flow in the \ninfinite strip \
",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(-\[Pi]\),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  " < Re(z) < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  " with a single source at the origin is  F(z) = log(sin(z))."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, W, x, y, z, Z]; \nF[Z_]\  = \ Log[Sin[Z]]; \n
    solset\  = \ Solve[F[Z]\  == \ W, Z]; \n
    f[x_, y_]\  = \ \ 
      ReplaceAll[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket], 
        W \[Rule] x\  + \ \[ImaginaryI]\ y]; \n
    Print["\<W = F[Z] = \>", F[Z]]; \nPrint["\<The inverse function is:\>"]; 
    \nPrint["\<f[x,y] = \>", f2[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(n\  = \ 12; \n
    eqns\  = \ 
      Table[{Re[f[x, \(k\ \[Pi]\)\/n]], Im[f[x, \(k\ \[Pi]\)\/n]]}, {k, 1, 
          2  n}]; \n
    ParametricPlot[Evaluate[eqns], {x, \(-3\), 3}, 
      AspectRatio \[Rule] 2\/1.6, Ticks \[Rule] None, Axes \[Rule] None, 
      PlotRange \[Rule] {{\(-1.6\), 1.6}, {\(-2\), 2}}, 
      DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Print["\<         f[x,y] = \>", f2[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 10.33,  Page 389.",
    FontWeight->"Bold"],
  "  Show that the complex potential for a fluid flow in the\ninfinite strip  \
",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(-\[Pi]\),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  " < Re(z) < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "  with a two sources at  z = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(-\[Pi]\),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "  and  z = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "  is   \n     F(z)  =  log(",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(sin \((z)\)\  - \ 1\),
          FontSize->14], 
        StyleBox[\(sin \((z)\)\  + \ 1\),
          FontSize->14]]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, W, x, y, z, Z]; \n
    F[Z_]\  = \ Log[\(Sin[Z] - 1\)\/\(Sin[Z] + 1\)]; \n
    solset\  = \ Solve[F[Z]\  == \ W, Z]; \n
    f[x_, y_]\  = \ \ 
      ReplaceAll[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket], 
        W \[Rule] x\  + \ \[ImaginaryI]\ y]; \n
    Print["\<W = F[Z] = \>", F[Z]]; \nPrint["\<The inverse function is:\>"]; 
    \nPrint["\<f[x,y] = \>", f[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(n\  = \ 8; \n
    eqns\  = \ 
      Table[{Re[f[x, \(k\ \[Pi]\)\/n]], Im[f[x, \(k\ \[Pi]\)\/n]]}, \n
        \ \ \ \ \ \ \ \ \ \ \ \ \ {k, 1, 2  n}]; \n
    ParametricPlot[Evaluate[eqns], {x, \(-6\), 6}, 
      AspectRatio \[Rule] 2\/1.6, Ticks \[Rule] None, Axes \[Rule] None, 
      PlotRange \[Rule] {{\(-1.6\), 1.6}, {\(-2.4\), 2.4}}, 
      DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Print["\<     f[x,y] = \>", f[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 10",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{482, 234},
WindowMargins->{{0, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3053, 98, 4265, 157, 393, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 10"->{
    Cell[7343, 259, 248, 9, 38, "Text",
      CellTags->"CHAPTER 10"]},
  "Section 10.1"->{
    Cell[8124, 283, 231, 9, 38, "Text",
      CellTags->"Section 10.1"]},
  "Section 10.2"->{
    Cell[11703, 390, 246, 8, 62, "Text",
      CellTags->"Section 10.2"]},
  "Section 10.3"->{
    Cell[31548, 1000, 231, 8, 38, "Text",
      CellTags->"Section 10.3"]},
  "Section 10.4"->{
    Cell[43668, 1396, 223, 8, 38, "Text",
      CellTags->"Section 10.4"]},
  "Section 10.5"->{
    Cell[47892, 1546, 243, 9, 35, "Text",
      CellTags->"Section 10.5"]},
  "Section 10.6"->{
    Cell[56706, 1802, 218, 8, 35, "Text",
      CellTags->"Section 10.6"]},
  "Section 10.7"->{
    Cell[66542, 2098, 214, 8, 35, "Text",
      CellTags->"Section 10.7"]},
  "Section 10.8"->{
    Cell[77678, 2440, 209, 8, 35, "Text",
      CellTags->"Section 10.8"]},
  "Section 10.9"->{
    Cell[81259, 2551, 222, 8, 35, "Text",
      CellTags->"Section 10.9"]},
  "Section 10.10"->{
    Cell[93264, 2908, 212, 8, 35, "Text",
      CellTags->"Section 10.10"]},
  "Section 10.11"->{
    Cell[98835, 3081, 207, 8, 35, "Text",
      CellTags->"Section 10.11"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 130808, 4200},
  {"CHAPTER 10", 130898, 4203},
  {"Section 10.1", 130990, 4206},
  {"Section 10.2", 131084, 4209},
  {"Section 10.3", 131179, 4212},
  {"Section 10.4", 131275, 4215},
  {"Section 10.5", 131371, 4218},
  {"Section 10.6", 131467, 4221},
  {"Section 10.7", 131563, 4224},
  {"Section 10.8", 131659, 4227},
  {"Section 10.9", 131755, 4230},
  {"Section 10.10", 131852, 4233},
  {"Section 10.11", 131950, 4236}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 709, 22, 198, "Text"]
}, Closed]],
Cell[3053, 98, 4265, 157, 393, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[7343, 259, 248, 9, 38, "Text",
  CellTags->"CHAPTER 10"],
Cell[7594, 270, 493, 8, 130, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[8124, 283, 231, 9, 38, "Text",
  CellTags->"Section 10.1"],
Cell[8358, 294, 324, 7, 71, "Text"],
Cell[8685, 303, 346, 8, 90, "Text"],
Cell[9034, 313, 471, 8, 224, "Input"],
Cell[9508, 323, 639, 22, 113, "Text"],
Cell[10150, 347, 485, 8, 233, "Input"],
Cell[10638, 357, 359, 9, 109, "Text"],
Cell[11000, 368, 480, 8, 217, "Input"],
Cell[11483, 378, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[11703, 390, 246, 8, 62, "Text",
  CellTags->"Section 10.2"],
Cell[11952, 400, 4106, 117, 405, "Text"],
Cell[16061, 519, 278, 10, 52, "Text"],
Cell[16342, 531, 96, 2, 30, "Input"],
Cell[16441, 535, 433, 16, 59, "Text"],
Cell[16877, 553, 205, 4, 86, "Input"],
Cell[17085, 559, 111, 2, 33, "Text"],
Cell[17199, 563, 422, 7, 110, "Input"],
Cell[17624, 572, 154, 4, 33, "Text"],
Cell[17781, 578, 1611, 31, 581, "Input"],
Cell[19395, 611, 509, 21, 40, "Text"],
Cell[19907, 634, 1183, 50, 134, "Text"],
Cell[21093, 686, 827, 16, 244, "Input"],
Cell[21923, 704, 180, 8, 33, "Text"],
Cell[22106, 714, 449, 8, 170, "Input"],
Cell[22558, 724, 315, 7, 90, "Input"],
Cell[22876, 733, 661, 23, 147, "Text"],
Cell[23540, 758, 511, 9, 278, "Input"],
Cell[24054, 769, 290, 5, 105, "Input"],
Cell[24347, 776, 493, 17, 109, "Text"],
Cell[24843, 795, 411, 8, 204, "Input"],
Cell[25257, 805, 252, 5, 70, "Input"],
Cell[25512, 812, 900, 38, 109, "Text"],
Cell[26415, 852, 1034, 17, 433, "Input"],
Cell[27452, 871, 684, 26, 109, "Text"],
Cell[28139, 899, 672, 13, 273, "Input"],
Cell[28814, 914, 463, 10, 130, "Input"],
Cell[29280, 926, 889, 33, 132, "Text"],
Cell[30172, 961, 684, 13, 275, "Input"],
Cell[30859, 976, 466, 10, 130, "Input"],
Cell[31328, 988, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[31548, 1000, 231, 8, 38, "Text",
  CellTags->"Section 10.3"],
Cell[31782, 1010, 1101, 35, 120, "Text"],
Cell[32886, 1047, 499, 16, 90, "Text"],
Cell[33388, 1065, 731, 15, 283, "Input"],
Cell[34122, 1082, 853, 36, 57, "Text"],
Cell[34978, 1120, 425, 7, 117, "Input"],
Cell[35406, 1129, 507, 17, 109, "Text"],
Cell[35916, 1148, 685, 13, 303, "Input"],
Cell[36604, 1163, 2073, 90, 92, "Text"],
Cell[38680, 1255, 677, 11, 187, "Input"],
Cell[39360, 1268, 542, 9, 173, "Input"],
Cell[39905, 1279, 615, 19, 128, "Text"],
Cell[40523, 1300, 1393, 49, 195, "Text"],
Cell[41919, 1351, 984, 20, 397, "Input"],
Cell[42906, 1373, 539, 9, 152, "Input"],
Cell[43448, 1384, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[43668, 1396, 223, 8, 38, "Text",
  CellTags->"Section 10.4"],
Cell[43894, 1406, 1802, 49, 204, "Text"],
Cell[45699, 1457, 231, 5, 50, "Input"],
Cell[45933, 1464, 294, 12, 33, "Text"],
Cell[46230, 1478, 278, 5, 90, "Input"],
Cell[46511, 1485, 364, 14, 41, "Text"],
Cell[46878, 1501, 180, 3, 50, "Input"],
Cell[47061, 1506, 137, 5, 33, "Text"],
Cell[47201, 1513, 136, 3, 30, "Input"],
Cell[47340, 1518, 329, 14, 41, "Text"],
Cell[47672, 1534, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[47892, 1546, 243, 9, 35, "Text",
  CellTags->"Section 10.5"],
Cell[48138, 1557, 659, 16, 128, "Text"],
Cell[48800, 1575, 483, 16, 90, "Text"],
Cell[49286, 1593, 217, 4, 84, "Input"],
Cell[49506, 1599, 290, 12, 33, "Text"],
Cell[49799, 1613, 266, 5, 170, "Input"],
Cell[50068, 1620, 345, 7, 125, "Input"],
Cell[50416, 1629, 508, 17, 109, "Text"],
Cell[50927, 1648, 230, 5, 84, "Input"],
Cell[51160, 1655, 290, 12, 33, "Text"],
Cell[51453, 1669, 449, 8, 212, "Input"],
Cell[51905, 1679, 352, 7, 125, "Input"],
Cell[52260, 1688, 434, 10, 109, "Text"],
Cell[52697, 1700, 1256, 22, 472, "Input"],
Cell[53956, 1724, 356, 7, 125, "Input"],
Cell[54315, 1733, 607, 19, 132, "Text"],
Cell[54925, 1754, 256, 5, 104, "Input"],
Cell[55184, 1761, 916, 18, 385, "Input"],
Cell[56103, 1781, 380, 7, 145, "Input"],
Cell[56486, 1790, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[56706, 1802, 218, 8, 35, "Text",
  CellTags->"Section 10.6"],
Cell[56927, 1812, 606, 15, 90, "Text"],
Cell[57536, 1829, 836, 30, 94, "Text"],
Cell[58375, 1861, 763, 26, 109, "Text"],
Cell[59141, 1889, 548, 11, 246, "Input"],
Cell[59692, 1902, 377, 7, 110, "Input"],
Cell[60072, 1911, 607, 18, 128, "Text"],
Cell[60682, 1931, 259, 5, 104, "Input"],
Cell[60944, 1938, 416, 9, 130, "Input"],
Cell[61363, 1949, 385, 7, 130, "Input"],
Cell[61751, 1958, 142, 5, 33, "Text"],
Cell[61896, 1965, 583, 10, 244, "Input"],
Cell[62482, 1977, 356, 6, 130, "Input"],
Cell[62841, 1985, 1335, 51, 125, "Text"],
Cell[64179, 2038, 765, 13, 273, "Input"],
Cell[64947, 2053, 880, 18, 285, "Input"],
Cell[65830, 2073, 489, 11, 178, "Input"],
Cell[66322, 2086, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[66542, 2098, 214, 8, 35, "Text",
  CellTags->"Section 10.7"],
Cell[66759, 2108, 2003, 53, 223, "Text"],
Cell[68765, 2163, 279, 10, 52, "Text"],
Cell[69047, 2175, 90, 2, 30, "Input"],
Cell[69140, 2179, 517, 15, 71, "Text"],
Cell[69660, 2196, 816, 32, 98, "Text"],
Cell[70479, 2230, 491, 9, 192, "Input"],
Cell[70973, 2241, 114, 2, 33, "Text"],
Cell[71090, 2245, 306, 6, 92, "Input"],
Cell[71399, 2253, 958, 31, 184, "Text"],
Cell[72360, 2286, 564, 12, 164, "Input"],
Cell[72927, 2300, 353, 7, 125, "Input"],
Cell[73283, 2309, 436, 18, 43, "Text"],
Cell[73722, 2329, 682, 12, 348, "Input"],
Cell[74407, 2343, 108, 2, 33, "Text"],
Cell[74518, 2347, 673, 14, 254, "Input"],
Cell[75194, 2363, 365, 11, 90, "Text"],
Cell[75562, 2376, 597, 12, 233, "Input"],
Cell[76162, 2390, 354, 7, 110, "Input"],
Cell[76519, 2399, 276, 10, 52, "Text"],
Cell[76798, 2411, 657, 15, 216, "Input"],
Cell[77458, 2428, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[77678, 2440, 209, 8, 35, "Text",
  CellTags->"Section 10.8"],
Cell[77890, 2450, 740, 24, 94, "Text"],
Cell[78633, 2476, 278, 10, 52, "Text"],
Cell[78914, 2488, 72, 1, 30, "Input"],
Cell[78989, 2491, 214, 6, 52, "Text"],
Cell[79206, 2499, 960, 17, 504, "Input"],
Cell[80169, 2518, 867, 19, 250, "Input"],
Cell[81039, 2539, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[81259, 2551, 222, 8, 35, "Text",
  CellTags->"Section 10.9"],
Cell[81484, 2561, 3151, 89, 225, "Text"],
Cell[84638, 2652, 278, 10, 52, "Text"],
Cell[84919, 2664, 90, 2, 30, "Input"],
Cell[85012, 2668, 594, 21, 75, "Text"],
Cell[85609, 2691, 394, 7, 205, "Input"],
Cell[86006, 2700, 417, 9, 90, "Text"],
Cell[86426, 2711, 394, 8, 205, "Input"],
Cell[86823, 2721, 106, 2, 33, "Text"],
Cell[86932, 2725, 488, 10, 233, "Input"],
Cell[87423, 2737, 276, 5, 70, "Input"],
Cell[87702, 2744, 385, 11, 90, "Text"],
Cell[88090, 2757, 483, 9, 205, "Input"],
Cell[88576, 2768, 399, 7, 205, "Input"],
Cell[88978, 2777, 106, 2, 33, "Text"],
Cell[89087, 2781, 457, 9, 194, "Input"],
Cell[89547, 2792, 769, 15, 236, "Input"],
Cell[90319, 2809, 967, 37, 113, "Text"],
Cell[91289, 2848, 500, 10, 206, "Input"],
Cell[91792, 2860, 201, 6, 52, "Text"],
Cell[91996, 2868, 175, 4, 63, "Input"],
Cell[92174, 2874, 106, 2, 33, "Text"],
Cell[92283, 2878, 529, 10, 204, "Input"],
Cell[92815, 2890, 226, 4, 70, "Input"],
Cell[93044, 2896, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[93264, 2908, 212, 8, 35, "Text",
  CellTags->"Section 10.10"],
Cell[93479, 2918, 456, 12, 109, "Text"],
Cell[93938, 2932, 278, 10, 52, "Text"],
Cell[94219, 2944, 90, 2, 30, "Input"],
Cell[94312, 2948, 612, 21, 94, "Text"],
Cell[94927, 2971, 457, 9, 218, "Input"],
Cell[95387, 2982, 433, 8, 183, "Input"],
Cell[95823, 2992, 116, 2, 33, "Text"],
Cell[95942, 2996, 524, 11, 214, "Input"],
Cell[96469, 3009, 167, 5, 33, "Text"],
Cell[96639, 3016, 159, 3, 63, "Input"],
Cell[96801, 3021, 204, 6, 52, "Text"],
Cell[97008, 3029, 337, 6, 160, "Input"],
Cell[97348, 3037, 491, 10, 150, "Input"],
Cell[97842, 3049, 181, 4, 52, "Text"],
Cell[98026, 3055, 586, 12, 170, "Input"],
Cell[98615, 3069, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[98835, 3081, 207, 8, 35, "Text",
  CellTags->"Section 10.11"],
Cell[99045, 3091, 421, 12, 71, "Text"],
Cell[99469, 3105, 278, 10, 52, "Text"],
Cell[99750, 3117, 90, 2, 30, "Input"],
Cell[99843, 3121, 438, 14, 57, "Text"],
Cell[100284, 3137, 451, 9, 164, "Input"],
Cell[100738, 3148, 474, 10, 144, "Input"],
Cell[101215, 3160, 378, 12, 71, "Text"],
Cell[101596, 3174, 583, 11, 171, "Input"],
Cell[102182, 3187, 886, 19, 308, "Input"],
Cell[103071, 3208, 589, 22, 75, "Text"],
Cell[103663, 3232, 422, 8, 150, "Input"],
Cell[104088, 3242, 467, 10, 159, "Input"],
Cell[104558, 3254, 1067, 43, 103, "Text"],
Cell[105628, 3299, 450, 9, 166, "Input"],
Cell[106081, 3310, 491, 10, 180, "Input"],
Cell[106575, 3322, 183, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

