(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    140398,       4665]*)
(*NotebookOutlinePosition[    166028,       5590]*)
(*  CellTagsIndexPosition[    165580,       5573]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text"]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 11  ",
    FontSize->18],
  StyleBox["FOURIER SERIES and the LAPLACE TRANSFORM\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.1  ",
    FontSize->18],
  ButtonBox["Fourier Series",
    ButtonData:>"Section 11.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.2  ",
    FontSize->18],
  ButtonBox["The Dirichlet Problem for the Unit Disk",
    ButtonData:>"Section 11.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.3  ",
    FontSize->18],
  ButtonBox["Vibrations in Mechanical Systems",
    ButtonData:>"Section 11.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.4  ",
    FontSize->18],
  ButtonBox["The Fourier Transform",
    ButtonData:>"Section 11.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.5  ",
    FontSize->18],
  ButtonBox["The Laplace Transform",
    ButtonData:>"Section 11.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.6  ",
    FontSize->18],
  ButtonBox["Laplace Transforms of Derivatives and Integrals",
    ButtonData:>"Section 11.6",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.7  ",
    FontSize->18],
  ButtonBox["Shifting Theorems and the Step Function",
    ButtonData:>"Section 11.7",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.8  ",
    FontSize->18],
  ButtonBox["Multiplication  and  Division  by  t",
    ButtonData:>"Section 11.8",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.9  ",
    FontSize->18],
  ButtonBox["Inverting the Laplace Transform",
    ButtonData:>"Section 11.9",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 11.10  ",
    FontSize->18],
  ButtonBox["Convolution\n",
    ButtonData:>"Section 11.10",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 11  ",
    FontSize->18],
  StyleBox["FOURIER SERIES and the LAPLACE TRANSFORM",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 11"],

Cell[BoxData[
    \(\(Clear[a, a1, a2, a3, A, A1, A2, b, b1, b2, B1, B2, B, c, d, EqA, EqB, 
      f, f1, f2, f12, F, F1, F2, F12, F3, g, G, h, H, i, int, j, k, L, Ly, 
      L1, L2, Lf, LDf, n, PQ, PR, r, res1, res2, s, solset, s1, s2, s3, S, 
      S9, t, \[Tau], T, \[Theta], u, U, U1, U2, U7, v, v1, v2, v3, v4, val, 
      w, w1, w2, y, y0, y1, Y, Yi, z1, z2]; \)\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 11.1  ",
    FontSize->18],
  StyleBox["Fourier Series",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 11.1"],

Cell[TextData[{
  StyleBox["Theorem 11.1,  Page 399",
    FontWeight->"Bold"],
  StyleBox[".",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  "  ",
  StyleBox["(Fourier Expansion)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  has period  ",
  Cell[BoxData[
      \(2  \[Pi]\)]],
  "  and  ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["U", "\[Prime]",
          MultilineFunction->None], \((t)\)}]]],
  "  is piecewise continuous, the ",
  StyleBox["Fourier expansion",
    FontColor->RGBColor[1, 0, 1]],
  " is    \n\t",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), "=", 
        RowBox[{
          StyleBox[
            FractionBox[
              StyleBox[\(a\_0\),
                FontSize->14], 
              StyleBox["2",
                FontSize->14]],
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], "+", " ", 
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(j = 1\), 
                StyleBox["\[Infinity]",
                  FontSize->12]],
              FontSize->12], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(a\_j\),
                    FontSize->14], " ", "cos", \((j\ t)\)}], " ", "+", " ", 
                RowBox[{
                  SubscriptBox[
                    StyleBox["b",
                      FontSize->14], "j"], " ", "sin", \((j\ t)\)}]}], 
              ")"}]}]}]}]]],
  ".\n\t\n",
  StyleBox["Theorem 11.2,  Page 400.",
    FontWeight->"Bold"],
  "  If  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(V \((t)\)\)]],
  "  have Fourier series representations, then their sum  ",
  Cell[BoxData[
      \(W \((t)\) = U \((t)\) + V \((t)\)\)]],
  "  has a Fourier series representation, and the Fourier coefficients of  W  \
are obtained by adding the corresponding coefficients of  U  and  V.\n\n",
  StyleBox["Theorem 11.3,  Page 400",
    FontWeight->"Bold"],
  StyleBox[".",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  "  ",
  StyleBox["(Fourier Cosine Series)",
    FontColor->RGBColor[1, 0, 1]],
  "  Assume that  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  is an even function and has period  ",
  Cell[BoxData[
      \(2  \[Pi]\)]],
  ".  If   ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["U", "\[Prime]",
          MultilineFunction->None], \((t)\)}]]],
  "  are piecewise continuous, the Fourier series for   ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  involves only the cosine terms,  (i.e.  ",
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox["b",
            FontSize->14], "j"], "=", \(0\ \ for\ all\ \ j\)}]]],
  "):\n\t",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), "=", 
        RowBox[{
          FractionBox[
            StyleBox[\(a\_0\),
              FontSize->14], 
            StyleBox["2",
              FontSize->14]], " ", "+", " ", 
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(j = 1\), 
                StyleBox["\[Infinity]",
                  FontSize->12]],
              FontSize->12], 
            RowBox[{
              StyleBox[\(a\_j\),
                FontSize->14], " ", "cos", \((j\ t)\)}]}]}]}]]],
  ",   where\n\t",
  Cell[BoxData[
      RowBox[{\(a\_j\), "=", 
        RowBox[{
          FractionBox[
            StyleBox["2",
              FontSize->12], 
            StyleBox["\[Pi]",
              FontSize->12]], 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["0",
                FontSize->10], 
              StyleBox["\[Pi]",
                FontSize->10]], 
            \(U \((t)\) cos \((j\ t)\) \[DifferentialD]t\)}]}]}]]],
  ",   for   ",
  Cell[BoxData[
      \(j = 0, 1, \[CenterEllipsis]\)]],
  ".\n\n",
  StyleBox["Theorem 11.4,  Page 400",
    FontWeight->"Bold"],
  StyleBox[".",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  "  ",
  StyleBox["(Fourier Sine Series)",
    FontColor->RGBColor[1, 0, 1]],
  "  Assume that  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  is an odd function and has period  ",
  Cell[BoxData[
      \(2  \[Pi]\)]],
  ".  If   ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["U", "\[Prime]",
          MultilineFunction->None], \((t)\)}]]],
  "  are piecewise continuous, the Fourier series for   ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  involves only the sine terms,  (i.e.  ",
  Cell[BoxData[
      \(a\_j = 0\ \ for\ all\ \ j\)]],
  "):\n\t",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), "=", 
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(j = 1\), 
              StyleBox["\[Infinity]",
                FontSize->12]],
            FontSize->12], 
          RowBox[{
            SubscriptBox[
              StyleBox["b",
                FontSize->14], "j"], " ", "sin", \((j\ t)\)}]}]}]]],
  ",  where\n\t",
  Cell[BoxData[
      RowBox[{\(b\_j\), "=", 
        RowBox[{
          FractionBox[
            StyleBox["2",
              FontSize->12], 
            StyleBox["\[Pi]",
              FontSize->12]], 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["0",
                FontSize->10], 
              StyleBox["\[Pi]",
                FontSize->10]], 
            \(U \((t)\) sin \((j\ t)\) \[DifferentialD]t\)}]}]}]]],
  ",  for   ",
  Cell[BoxData[
      \(j = 1, 2, \[CenterEllipsis]\)]],
  ".\n\n",
  StyleBox["Theorem 11.5,  Page 401",
    FontWeight->"Bold"],
  StyleBox[".",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  "  ",
  StyleBox["(Termwise Integration)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  has the Fourier series representation   ",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), "=", 
        RowBox[{
          FractionBox[
            StyleBox[\(a\_0\),
              FontSize->14], 
            StyleBox["2",
              FontSize->14]], 
          StyleBox[" ",
            FontSize->14], "+", " ", 
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(j = 1\), 
                StyleBox["\[Infinity]",
                  FontSize->12]],
              FontSize->12], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(a\_j\),
                    FontSize->14], " ", "cos", \((j\ t)\)}], " ", "+", " ", 
                RowBox[{
                  SubscriptBox[
                    StyleBox["b",
                      FontSize->14], "j"], " ", "sin", \((j\ t)\)}]}], 
              ")"}]}]}]}]]],
  ".  Then the integral  of  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  has a Fourier series representation which can be obtained by termwise \
integration of the Fourier series of  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  ",  that is\n\t",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->18], 
            StyleBox["0",
              FontSize->10], 
            StyleBox["t",
              FontSize->10]], \(U \((\[Tau])\) \[DifferentialD]\[Tau]\)}], 
        "=", 
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(j = 1\), 
              StyleBox["\[Infinity]",
                FontSize->12]],
            FontSize->12], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox[
                  FractionBox[
                    RowBox[{
                      RowBox[{
                        StyleBox[\(a\_j\),
                          FontSize->14], 
                        StyleBox[" ",
                          FontSize->14], "+", " ", 
                        RowBox[{
                          StyleBox[
                            SuperscriptBox[
                              StyleBox[\((\(-1\))\),
                                FontSize->12], 
                              StyleBox[\(j + 1\),
                                FontSize->10]],
                            FontSize->12], 
                          StyleBox[\(a\_0\),
                            FontSize->14]}]}], " "}], 
                    StyleBox["j",
                      FontSize->12]],
                  FontSize->14], " ", "sin", \((j\ t)\)}], " ", "-", 
              RowBox[{
                FractionBox[
                  RowBox[{" ", 
                    SubscriptBox[
                      StyleBox["b",
                        FontSize->14], "j"]}], 
                  StyleBox["j",
                    FontSize->12]], " ", "cos", \((j\ t)\)}]}], ")"}]}]}]]],
  ",\nwhere we have used the expansion\n\t",
  Cell[BoxData[
      RowBox[{
        FractionBox[
          RowBox[{
            StyleBox[\(a\_0\),
              FontSize->14], 
            StyleBox["t",
              FontSize->12]}], 
          StyleBox["2",
            FontSize->14]], "=", 
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(j = 1\), 
              StyleBox["\[Infinity]",
                FontSize->12]],
            FontSize->12], 
          RowBox[{
            StyleBox[
              FractionBox[
                RowBox[{
                  RowBox[{
                    StyleBox[
                      SuperscriptBox[
                        StyleBox[\((\(-1\))\),
                          FontSize->12], 
                        StyleBox[\(j + 1\),
                          FontSize->10]],
                      FontSize->12], 
                    StyleBox[\(a\_0\),
                      FontSize->14]}], " "}], 
                StyleBox["j",
                  FontSize->12]],
              FontSize->14], " ", "sin", \((j\ t)\)}]}]}]]],
  ".\n\n",
  StyleBox["Theorem 11.6,  Page 401",
    FontWeight->"Bold"],
  StyleBox[".",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  "  ",
  StyleBox["(Termwise Differentiation)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  has the Fourier series representation   ",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), "=", 
        RowBox[{
          StyleBox[
            FractionBox[
              StyleBox[\(a\_0\),
                FontSize->14], 
              StyleBox["2",
                FontSize->14]],
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], "+", " ", 
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(j = 1\), 
                StyleBox["\[Infinity]",
                  FontSize->12]],
              FontSize->12], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(a\_j\),
                    FontSize->14], " ", "cos", \((j\ t)\)}], " ", "+", " ", 
                RowBox[{
                  SubscriptBox[
                    StyleBox["b",
                      FontSize->14], "j"], " ", "sin", \((j\ t)\)}]}], 
              ")"}]}]}]}]]],
  ".  Then the derivative  of  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  has a Fourier series representation which can be obtained by termwise \
differentiation of the Fourier series of  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  ",  that is  \n\t",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox["U", "\[Prime]",
            MultilineFunction->None], \((t)\)}], "=", " ", 
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(j = 1\), 
              StyleBox["\[Infinity]",
                FontSize->12]],
            FontSize->12], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"j", " ", 
                SubscriptBox[
                  StyleBox["b",
                    FontSize->14], "j"], " ", "cos", \((j\ t)\)}], "-", " ", 
              RowBox[{"j", 
                StyleBox[\(a\_j\),
                  FontSize->14], " ", "sin", \((j\ t)\)}]}], ")"}]}]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathe",
    FontSlant->"Italic"],
  "matica's  FourierTransform  package.\nMake sure this is done only ONCE \
during a Mathematic",
  StyleBox["a",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`FourierTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[StyleBox[
"First set up procedures to compute the coefficients and partial sum.",
  FontColor->RGBColor[1, 0, 1]]], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, j, n, S, t, u]; \n
    a[j_]\  = \ 
      \(1\/\[Pi]\) 
        \(\[Integral]\_\(-\[Pi]\)\%\[Pi] u[t] Cos[j\ t] \[DifferentialD]t\); 
    \nb[j_]\  = \ 
      \(1\/\[Pi]\) 
        \(\[Integral]\_\(-\[Pi]\)\%\[Pi] u[t] Sin[j\ t] \[DifferentialD]t\); 
    \nS[n_, t_] = 
      a[0]\/2 + \[Sum]\+\(j = 1\)\%n\((a[j] Cos[j\ t] + b[j] Sin[j\ t])\); \n
    Print[\*"\"\<   \!\(a\_n\) = \>\"", a[j]]; \n
    Print[\*"\"\<   \!\(b\_n\) = \>\"", b[j]]; \n
    Print[\*"\"\<\!\(S\_n\)[t] = \>\"", S[n, t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.1,  Page 399.",
    FontWeight->"Bold"],
  "  Find the Fourier series expansion for   u(t) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(t\ \),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[S9, t, u]; \nu[t_]\  = \ t\/2; \nPrint["\<u[t] = \>", u[t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell["\<\
For illustration we can computer the Fourier series of degree n = \
9.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(S9[t_]\  = \ S[9, t]; \nPrint[\*"\"\<\!\(S\_9\)[t] = \>\"", S9[t]]; \)],
   "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can also get this result using ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s built in procedure FourierTrigSeries.",
  StyleBox["",
    FontFamily->"Courier",
    FontWeight->"Bold"]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(S9[t_]\  = \ FourierTrigSeries[u[t], {t, \(-Pi\), Pi}, 9]; \n
    Print[\*"\"\<\!\(S\_9\)[t] = \>\"", S9[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "A graph of  u(t), ",
  Cell[BoxData[
      StyleBox[\(S\_1\),
        FontSize->14]]],
  "(t), ",
  Cell[BoxData[
      StyleBox[\(S\_2\),
        FontSize->14]]],
  "(t), ",
  Cell[BoxData[
      StyleBox[\(S\_3\),
        FontSize->14]]],
  "(t)  is given:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(S1[t_]\  = \ S[1, t]; \nS2[t_]\  = \ S[2, t]; \nS3[t_]\  = \ S[3, t]; \n
    Plot[{u[t], S1[t], S2[t], S3[t]}, {t, \(-Pi\), Pi}, \n
      PlotRange -> {{\(-\[Pi]\), \[Pi]}, {\(-1.5\), 1.5}}, 
      PlotStyle 
        \[Rule] {RGBColor[0, 0, 0], RGBColor[1, 0, 0], RGBColor[0, 1, 0], 
          RGBColor[0, 0, 1]}, AxesLabel \[Rule] {"\<t\>", "\<s\>"}, 
      Ticks -> {Range[\(-\[Pi]\), \[Pi], \[Pi]\/2], 
          Range[\(-1.5\), 1.5, 0.5]}]; \nPrint["\<u[t] = \>", u[t]]; \n
    Print[\*"\"\<\!\(S\_1\)[t] = \>\"", S1[t]]; \n
    Print[\*"\"\<\!\(S\_2\)[t] = \>\"", S2[t]]; \n
    Print[\*"\"\<\!\(S\_3\)[t] = \>\"", S3[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.2,  Page 401.",
    FontWeight->"Bold"],
  "  The function  ",
  Cell[BoxData[
      \(U \((t)\) = \(\[VerticalSeparator]\( t \[VerticalSeparator] \)\)\)]],
  "  has the Fourier series representation  \n",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), "=", 
        RowBox[{
          FractionBox[
            StyleBox["\[Pi]",
              FontSize->12], 
            StyleBox["2",
              FontSize->12]], "-", 
          RowBox[{
            FractionBox[
              StyleBox["\[Pi]",
                FontSize->12], 
              StyleBox["4",
                FontSize->12]], 
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], 
                StyleBox[\(j = 1\),
                  FontSize->10], 
                StyleBox["\[Infinity]",
                  FontSize->10]], 
              FractionBox[
                StyleBox[\(cos \((\((2 j - 1)\) t)\)\),
                  FontSize->12], 
                StyleBox[\(\((2 j - 1)\)\^2\),
                  FontSize->12]]}]}]}]}]]],
  ".  \nSolution.  The solution is given in the textbook"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.2  ",
  StyleBox["The Dirichlet Problem for the Unit Disk",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.2"],

Cell[TextData[{
  "     The ",
  StyleBox["Dirichlet problem",
    FontColor->RGBColor[1, 0, 1]],
  " for the unit disk  D: |z| < 1  is to find a real-valued function  u(x,y)  \
that is harmonic in the unit disk  D  and that takes on the boundary values:\n\
          u(cos(",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  "), sin(",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")) = U(",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")    for  -",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " \[LessEqual] ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " .\n          \n",
  StyleBox["Theorem 11.7,  Page 406.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(The Dirichlet problem in  D)",
    FontColor->RGBColor[1, 0, 1]],
  "  Assume that  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  has period  ",
  Cell[BoxData[
      \(2  \[Pi]\)]],
  ",    ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["U", "\[Prime]",
          MultilineFunction->None], \((t)\)}]]],
  "  is piecewise continuous, and   ",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), "=", 
        RowBox[{
          StyleBox[
            FractionBox[
              StyleBox[\(a\_0\),
                FontSize->14], 
              StyleBox["2",
                FontSize->12]],
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], "+", " ", 
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(j = 1\), 
                StyleBox["\[Infinity]",
                  FontSize->12]],
              FontSize->12], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(a\_j\),
                    FontSize->14], " ", "cos", \((j\ t)\)}], " ", "+", " ", 
                RowBox[{
                  SubscriptBox[
                    StyleBox["b",
                      FontSize->14], "j"], " ", "sin", \((j\ t)\)}]}], 
              ")"}]}]}]}]]],
  ".   \nThen the solution to the Dirichlet problem in  D  is\n   ",
  Cell[BoxData[
      RowBox[{\(u \((r\ cos\ \[Theta], r\ sin\ \[Theta])\)\), "=", 
        RowBox[{
          StyleBox[
            FractionBox[
              StyleBox[\(a\_0\),
                FontSize->14], 
              StyleBox["2",
                FontSize->12]],
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], "+", " ", 
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(j = 1\), 
                StyleBox["\[Infinity]",
                  FontSize->12]],
              FontSize->12], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(a\_j\),
                    FontSize->14], " ", 
                  SuperscriptBox["r", 
                    StyleBox["j",
                      FontSize->10]], " ", "cos", \((j\ \[Theta])\)}], " ", 
                "+", " ", 
                RowBox[{
                  SubscriptBox[
                    StyleBox["b",
                      FontSize->14], "j"], " ", 
                  SuperscriptBox["r", 
                    StyleBox["j",
                      FontSize->10]], " ", "sin", \((j\ \[Theta])\)}]}], 
              ")"}]}]}]}]]],
  ",\nwhere  x + \[ImaginaryI] y = r ",
  Cell[BoxData[
      SuperscriptBox["\[ExponentialE]", 
        StyleBox[\(\[ImaginaryI]\ \[Theta]\),
          FontSize->10]]]],
  "  denotes a complex number in the closed disk   ",
  Cell[BoxData[
      \(\[VerticalSeparator] z \[VerticalSeparator] \( \[LessEqual] \ 1\)\)]],
  
  " .\n\n",
  StyleBox["Theorem 11.8,  Page 407.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Poisson Integral Formula for the Unit Disk)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(u \((x, y)\)\)]],
  "  be a function that is harmonic in a simply connected domain that \
contains the closed unit disk  ",
  Cell[BoxData[
      \(\(D : \) \[VerticalSeparator] 
        \(z \[VerticalSeparator] \( < \ 1\)\)\)]],
  ".  If  ",
  Cell[BoxData[
      \(u \((x, y)\)\)]],
  "  takes on the boundary values\n\t",
  Cell[BoxData[
      \(\(u \((r\ cos\ \[Theta], r\ sin\ \[Theta])\) = 
        U \((\[Theta])\)\ \ \ for\ \ \  - \[Pi] < \[Theta] \[LessEqual] 
          \[Pi]\ \)\)]],
  ",\nthen  ",
  Cell[BoxData[
      \(u \((x, y)\)\)]],
  " has the integral representation\n\t",
  Cell[BoxData[
      RowBox[{
        RowBox[{\(u \((r\ cos\ \[Theta], r\ sin\ \[Theta])\)\), "=", " ", 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox[\(-\[Infinity]\),
                FontSize->10], 
              StyleBox["\[Infinity]",
                FontSize->10]], 
            RowBox[{
              FractionBox[
                StyleBox[\(\((1\  - \ r\^2)\) U \((t)\)\),
                  FontSize->12], 
                
                StyleBox[
                  \(1\  + \ r\^2\  - \ 2 r\ cos \((t\  - \ \[Theta])\)\),
                  FontSize->12]], \(\[DifferentialD]t\)}]}]}], " "}]]],
  ",\nthat is valid for  ",
  Cell[BoxData[
      \(\[VerticalSeparator] z \[VerticalSeparator] \( < \ 1\)\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.3,  Page 409.",
    FontWeight->"Bold"],
  "  Find the function  u(x,y)  that is harmonic in the \nunit disk   |z| < 1 \
 and takes on the boundary values:\n          u( cos ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " , sin ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " )  =  U(",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Theta]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "    for    -",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " < ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ".\nSolution:   Using Example 11.1, Page 399.  The Fourier series expansion \
is:    \nU(",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ")  = ",
  Cell[BoxData[
      RowBox[{
        StyleBox[
          UnderoverscriptBox[
            StyleBox["\[Sum]",
              FontSize->18], \(j = 1\), 
            StyleBox["\[Infinity]",
              FontSize->12]],
          FontSize->12], 
        RowBox[{
          FractionBox[\(\((\(-1\))\)\^\(n + 1\)\), 
            StyleBox["n",
              FontSize->14]], " ", "sin", 
          RowBox[{"(", 
            RowBox[{"j", " ", 
              StyleBox["\[Theta]",
                FontFamily->"Symbol"]}], ")"}]}]}]]],
  ".   Using formula (3) for the solution of the \nDirichlet problem, to \
obtain the boundary value approximation  ",
  Cell[BoxData[
      StyleBox[\(U\_7\),
        FontSize->14]]],
  "(",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  "):"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[k, r, \[Theta], U7]; \n
    U7[r_, \[Theta]_]\  = \ 
      \[Sum]\+\(k = 1\)\%7\((\(-1\))\)\^\(k + 1\)\/k\ r\^k\ Sin[k\ \[Theta]]; 
    \nPrint[\*"\"\<\!\(U\_7\)[r,\[Theta]] = \>\"", U7[r, \[Theta]]]; \)], 
  "Input"],

Cell[BoxData[
    \(Plot[U7[1, \[Theta]], {\[Theta], \(-Pi\), Pi}, 
      PlotRange -> {{\(-\[Pi]\), \[Pi]}, {\(-1.7\), 1.7}}, 
      PlotStyle \[Rule] {RGBColor[0, 0, 1]}, 
      AxesLabel \[Rule] {"\<\[Theta]\>", "\<s\>"}, 
      Ticks -> {Range[\(-\[Pi]\), \[Pi], \[Pi]\/2], 
          Range[\(-1.5\), 1.5, 0.5]}]; \n
    Print[\*"\"\<\!\(U\_7\)[1,\[Theta]] = \>\"", U7[1, \[Theta]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.3  ",
  StyleBox["Vibrations in Mechanical Systems",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.3"],

Cell[TextData[{
  "     The forced motion of a mechanical system satisfies the nonhomogeneous \
linear\ndifferential equation  m ",
  Cell[BoxData[
      \(U\^\(''\)\)]],
  "(t) + c",
  Cell[BoxData[
      \(\(U\^'\)\)]],
  "(t) + kU(t) = F(t).  We investigate the solutions \nwhen  F(t)  is a \
Fourier series."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.4,  Page 416.",
    FontWeight->"Bold"],
  "  Find the general solution to  ",
  Cell[BoxData[
      \(U\^\(''\)\)]],
  "(t) + 2",
  Cell[BoxData[
      \(\(U\^'\)\)]],
  "(t) + U(t) = F(t).\nwhere  F(t)  is given by the Fourier series  ",
  Cell[BoxData[
      RowBox[{\(F \((t)\)\), "=", 
        RowBox[{
          UnderoverscriptBox[
            StyleBox["\[Sum]",
              FontSize->18], 
            StyleBox[\(n = 1\),
              FontSize->10], 
            StyleBox["\[Infinity]",
              FontSize->10]], 
          FractionBox[
            StyleBox[\(cos \((\((2 n - 1)\) t)\)\),
              FontSize->12], 
            StyleBox[
              SuperscriptBox[
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", 
                      StyleBox["n",
                        FontSize->12]}], "-", "1"}], ")"}], "2"],
              FontSize->12]]}]}]]],
  ".  \nSolution.  The solution is given in the textbook."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Exercise 1,  Page 417.",
    FontWeight->"Bold"],
  "  Find the general solution to  ",
  Cell[BoxData[
      \(U\^\(''\)\)]],
  "(t) + 3",
  Cell[BoxData[
      \(\(U\^'\)\)]],
  "(t) + U(t) = F(t).\n",
  StyleBox["(a)",
    FontWeight->"Bold"],
  "  Use  F(t) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["t",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ".   Recall that we know that:  F(t)  = ",
  Cell[BoxData[
      RowBox[{
        StyleBox[
          UnderoverscriptBox[
            StyleBox["\[Sum]",
              FontSize->18], \(j = 1\), 
            StyleBox["\[Infinity]",
              FontSize->12]],
          FontSize->12], 
        RowBox[{
          FractionBox[\(\((\(-1\))\)\^\(n + 1\)\), 
            StyleBox["n",
              FontSize->14]], " ", "sin", 
          RowBox[{"(", 
            RowBox[{"j", 
              StyleBox[" ",
                FontSize->14], 
              StyleBox["t",
                FontFamily->"Symbol",
                FontSize->14]}], ")"}]}]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, A, B, EqA, EqB, f, F, L, n, t, T, S, U]; \n
    T[n_, t_]\  = \ A[n]\ Cos[n\ t]\  + \ B[n]\ Sin[n\ t]; \n
    F[0, t_]\  = \ 0; \n
    F[n_, t_]\  = \ \(\((\(-1\))\)\^\(n - 1\)\ Sin[n\ t]\)\/n; \n
    Print["\<T[n,t] = \>", T[n, t]]; \nPrint["\<F[n,t] = \>", F[n, t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[
      Eq\  = \ \[PartialD]\_\(t, t\)T[n, t]\  + \ 3\ \[PartialD]\_t\ T[n, t]\ 
             + \ T[n, t]\  == \ F[n, t]]; \n
    Print[EqA\  = \ 
        ReplaceAll[Eq, {Cos[n\ t]\  \[Rule] \ 1, Sin[n\ t]\  \[Rule] \ 0}]]; 
    \nPrint[EqB\  = \ 
        ReplaceAll[Eq, {Sin[n\ t]\  \[Rule] \ 1, Cos[n\ t]\  \[Rule] \ 0}]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[{EqA, EqB}, \ {A[n], B[n]}]; \n
    a[n_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    b[n_]\  = \ solset\[LeftDoubleBracket]1, 2, 2\[RightDoubleBracket]; \n
    a[0]\ \  = \ 2\ F[0, t]; \nPrint["\<a[0] = \>", a[0]]; \n
    Print["\<a[n] = \>", a[n]]; \nPrint["\<b[n] = \>", b[n]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U[n_, t_]\  = \ a[n]\ Cos[n\ t]\  + \ b[n]\ Sin[n\ t]; \n
    U[0, t]\ \ \  = \(\ a[0]\)\/2; \nPrint["\<U[0,t] = \>", U[0, t]]; \n
    Print["\<U[n,t] = \>", U[n, t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(L\  = \ 
      \[PartialD]\_\(t, t\)U[n, t]\  + \ 3 \[PartialD]\_t U[n, t]\  + \ 
        U[n, t]; \n
    Print[\*"\"\<\!\(\[PartialD]\_\(t, t\)\)U[n,t] + \
3\!\(\[PartialD]\_t\)U[n,t] + U[n,t] = \>\"", F[n, t]]; \n
    Print[L, "\< = \>", F[n, t]]; \n
    Print[MapAll[Together, L], "\< = \>", F[n, t]]; \)], "Input"],

Cell[BoxData[
    \(S[t_]\  = \ \[Sum]\+\(n = 0\)\%5 U[n, t]; \n
    L\  = \ \(\(S'\)'\)[t]\  + \ 3\ \(S'\)[t]\  + \ S[t]; \n
    Print[\*"\"\<\!\(S\_5\)[t] = \!\(\[Sum]\+\(n = 0\)\%5\)U[n,t] = \>\"", 
      S[t]]; \nPrint[\*"\"\<\!\(S\_5\)'[t] = \>\"", \(S'\)[t]]; \n
    Print[\*"\"\<\!\(S\_5\)''[t] = \>\"", \(\(S'\)'\)[t]]; \nPrint["\< \>"]; 
    \nPrint[\*"\"\<\!\(S\_5\)''[t] + 3\!\(S\_5\)'[t] + \!\(S\_5\)[t] = \>\"", 
      Expand[L]]; \nPrint["\< \>"]; \n
    f[t_]\  = \ \[Sum]\+\(n = 0\)\%5 F[n, t]; \n
    Print[\*"\"\<\!\(f\_5\)[t] = \!\(\[Sum]\+\(n = 0\)\%5\)f[n,t] = \>\"", 
      f[t]]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(S\_5\)''[t] + 3\!\(S\_5\)'[t] + \!\(S\_5\)[t] == \
\!\(f\_5\)[t]\>\""]; \nPrint[Expand[L], "\< == \>", f[t]]; \n
    Print[Expand[L]\  == \ f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Exercise 2,  Page 418.",
    FontWeight->"Bold"],
  "  Find the general solution to  2",
  Cell[BoxData[
      \(\(\ U\^\(''\)\)\)]],
  "(t) + 2 ",
  Cell[BoxData[
      \(\(U\^'\)\)]],
  "(t) + U(t) = F(t).\n",
  StyleBox["(a)",
    FontWeight->"Bold"],
  "  Use  F(t) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["t",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ".   Recall that we know that:  F(t)  = ",
  Cell[BoxData[
      RowBox[{
        StyleBox[
          UnderoverscriptBox[
            StyleBox["\[Sum]",
              FontSize->18], \(j = 1\), 
            StyleBox["\[Infinity]",
              FontSize->12]],
          FontSize->12], 
        RowBox[{
          FractionBox[\(\((\(-1\))\)\^\(n + 1\)\), 
            StyleBox["n",
              FontSize->14]], " ", "sin", 
          RowBox[{"(", 
            RowBox[{"j", 
              StyleBox[" ",
                FontSize->14], 
              StyleBox["t",
                FontSize->14]}], ")"}]}]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, A, B, EqA, EqB, f, F, L, n, t, T, S, U]; \n
    T[n_, t_]\  = \ A[n]\ Cos[n\ t]\  + \ B[n]\ Sin[n\ t]; \n
    F[0, t_]\  = \ 0; \n
    F[n_, t_]\  = \(\((\(-1\))\)\^\(n - 1\)\ Sin[n\ t]\)\/n; \n
    Print["\<T[n,t] = \>", T[n, t]]; \nPrint["\<F[n,t] = \>", F[n, t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[
      Eq\  = \ 2\ \[PartialD]\_\(t, t\)T[n, t]\  + \ 
            2\ \[PartialD]\_t\ T[n, t]\  + \ T[n, t]\  == \ F[n, t]]; \n
    Print[EqA\  = \ 
        ReplaceAll[Eq, {Cos[n\ t]\  \[Rule] \ 1, Sin[n\ t]\  \[Rule] \ 0}]]; 
    \nPrint[EqB\  = \ 
        ReplaceAll[Eq, {Sin[n\ t]\  \[Rule] \ 1, Cos[n\ t]\  \[Rule] \ 0}]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[{EqA, EqB}, \ {A[n], B[n]}]; \n
    a[n_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    b[n_]\  = \ solset\[LeftDoubleBracket]1, 2, 2\[RightDoubleBracket]; \n
    a[0]\ \  = \ 2\ F[0, t]; \nPrint["\<a[0] = \>", a[0]]; \n
    Print["\<a[n] = \>", a[n]]; \nPrint["\<b[n] = \>", b[n]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U[n_, t_]\  = \ a[n]\ Cos[n\ t]\  + \ b[n]\ Sin[n\ t]; \n
    U[0, t]\ \ \  = \(\ a[0]\)\/2; \nPrint["\<U[0,t] = \>", U[0, t]]; \n
    Print["\<U[n,t] = \>", U[n, t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(L\  = \ 
      2 \[PartialD]\_\(t, t\)U[n, t]\  + \ 2 \[PartialD]\_t U[n, t]\  + \ 
        U[n, t]; \n
    Print[\*"\"\<2\!\(\[PartialD]\_\(t, t\)\)U[n,t] + \
2\!\(\[PartialD]\_t\)U[n,t] + U[n,t] = \>\"", F[n, t]]; \n
    Print[L, "\< = \>", F[n, t]]; \n
    Print[MapAll[Together, L], "\< = \>", F[n, t]]; \)], "Input"],

Cell[BoxData[
    \(S[t_]\  = \ \[Sum]\+\(n = 0\)\%5 U[n, t]; \n
    L\  = \ 2 \(\( S'\)'\)[t]\  + \ 2\ \(S'\)[t]\  + \ S[t]; \n
    Print[\*"\"\<\!\(S\_5\)[t] = \!\(\[Sum]\+\(n = 0\)\%5\)U[n,t] = \>\"", 
      S[t]]; \nPrint[\*"\"\<\!\(S\_5\)'[t] = \>\"", \(S'\)[t]]; \n
    Print[\*"\"\<\!\(S\_5\)''[t] = \>\"", \(\(S'\)'\)[t]]; \nPrint["\< \>"]; 
    \nPrint[\*"\"\<2\!\(S\_5\)''[t] + 2\!\(S\_5\)'[t] + \!\(S\_5\)[t] = \
\>\"", Expand[L]]; \nPrint["\< \>"]; \n
    f[t_]\  = \ \[Sum]\+\(n = 0\)\%5 F[n, t]; \n
    Print[\*"\"\<\!\(f\_5\)[t] = \!\(\[Sum]\+\(n = 0\)\%5\)f[n,t] = \>\"", 
      f[t]]; \nPrint["\< \>"]; \n
    Print[\*"\"\<2\!\(S\_5\)''[t] + 2\!\(S\_5\)'[t] + \!\(S\_5\)[t] == \
\!\(f\_5\)[t]\>\""]; \nPrint[Expand[L], "\< == \>", f[t]]; \n
    Print[Expand[L]\  == \ f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.4  ",
  StyleBox["The Fourier Transform",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.4"],

Cell[TextData[{
  StyleBox["Theorem 11.9,  Page 420.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Fourier Transform)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["U", "\[Prime]",
          MultilineFunction->None], \((t)\)}]]],
  "  be piecewise continuous, and\n\t",
  Cell[BoxData[
      RowBox[{
        SubsuperscriptBox[
          StyleBox["\[Integral]",
            FontSize->18], 
          StyleBox[\(-\[Infinity]\),
            FontSize->12], 
          StyleBox["\[Infinity]",
            FontSize->12]], 
        RowBox[{"\[VerticalSeparator]", 
          StyleBox[\(U \((t)\) \[VerticalSeparator] \[DifferentialD]t < M\),
            FontSize->14]}]}]]],
  ",\nfor some positive constant  M.  The ",
  StyleBox["Fourier transform",
    FontColor->RGBColor[1, 0, 1]],
  "  ",
  Cell[BoxData[
      \(F \((w)\)\)]],
  "  of  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  is defined as\n\t",
  Cell[BoxData[
      RowBox[{\(F \((w)\)\), " ", "=", " ", 
        RowBox[{
          FractionBox[
            StyleBox["1",
              FontSize->14], 
            StyleBox[\(2 \[Pi]\),
              FontSize->14]], 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox[\(-\[Infinity]\),
                FontSize->12], 
              StyleBox["\[Infinity]",
                FontSize->12]], 
            
            StyleBox[
              \(U \((t)\) \(\[ExponentialE]\^\(\(-i\)\ w\ t\)\) 
                \[DifferentialD]t\),
              FontSize->14]}]}]}]]],
  ".\nAt points of continuity,  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  "  has the integral representation\n\t",
  Cell[BoxData[
      RowBox[{\(U \((t)\)\), " ", "=", " ", 
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->18], 
            StyleBox[\(-\[Infinity]\),
              FontSize->12], 
            StyleBox["\[Infinity]",
              FontSize->12]], 
          
          StyleBox[
            \(F \((w)\) \((t)\) \(\[ExponentialE]\^\(i\ w\ t\)\) 
              \[DifferentialD]w\),
            FontSize->14]}]}]]],
  ",\nand at a point  ",
  Cell[BoxData[
      \(t = a\)]],
  "  of discontinuity of  ",
  Cell[BoxData[
      \(U \((t)\)\)]],
  ",  this integral converges to    \n\t ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(U \((\(a\^-\))\) + U \((\(a\^+\))\)\),
          FontSize->12], 
        StyleBox["2",
          FontSize->12]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathe",
    FontSlant->"Italic"],
  "matica's  FourierTransform  package. Make sure this is done only ONCE \
during a Mathematic",
  StyleBox["a",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`FourierTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.5,  Page 421.",
    FontWeight->"Bold"],
  "  Find the Fourier transform of   U(t)  =  ",
  Cell[BoxData[
      \(\[ExponentialE]\^\(-|\(t | \)\)\)],
    FontSize->14],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, F1, F2, F3, t, U, U1, U2, w, w1, w2]; \n
    U[t_]\  = \[ExponentialE]\^\(-Abs[t]\); \nU1[t_]\  = \[ExponentialE]\^t; 
    \nU2[t_]\  = \[ExponentialE]\^\(-t\); \n
    w1[t_]\  = 
      \[Integral]U1[t] \(\[ExponentialE]\^\(\(-\[ImaginaryI]\)\ w\ t\)\) 
          \[DifferentialD]t; \n
    w2[t_]\  = 
      \[Integral]U2[t] \(\[ExponentialE]\^\(\(-\[ImaginaryI]\)\ w\ t\)\) 
          \[DifferentialD]t; \nPrint["\<U[t] = \>", U[t]]; \n
    Print[\*"\"\<\!\(U\_1\)[t] = \>\"", U1[t]]; \n
    Print[\*"\"\<\!\(U\_2\)[t] = \>\"", U2[t]]; \n
    Print[\*"\"\<\!\(w\_1\)[t] = \
\[Integral]\!\(U\_1\)[t]\!\(\[ExponentialE]\^\(\(-\[ImaginaryI]\)\\\ w\\\ t\)\
\)\[DifferentialD]t = \>\"", w1[t]]; \n
    Print[\*"\"\<\!\(w\_2\)[t] = \
\[Integral]\!\(U\_2\)[t]\!\(\[ExponentialE]\^\(\(-\[ImaginaryI]\)\\\ w\\\ \\\ \
t\)\)\[DifferentialD]t = \>\"", w2[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Because of the exponential order  ",
  Cell[BoxData[
      StyleBox[\(w\_1\),
        FontSize->14]]],
  "(-\[Infinity]) = 0  and  ",
  Cell[BoxData[
      StyleBox[\(w\_2\),
        FontSize->14]]],
  "(\[Infinity]) = 0  and the Fourier transform is given by the following \
computation:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[w_]\  = \ Together[\(w1[0] - w2[0]\)\/\(2  \[Pi]\)]; \n
    Print["\<U[t] = \>", U[t]]; \nPrint["\<F[w] = \>", F[w]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Or we can let ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  work with some very time consuming improper integrals."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val1\  = \ 
      Integrate[
        U1[t] \[ExponentialE]\^\(\(-\[ImaginaryI]\)\ w\ t\), {t, 
          \(-\[Infinity]\), 0}, Assumptions \[Rule] {Im[w] > \(-1\)}]; \n
    val2\  = \ 
      Integrate[
        U2[t] \[ExponentialE]\^\(\(-\[ImaginaryI]\)\ w\ t\), {t, 0, 
          \[Infinity]}, Assumptions \[Rule] {Im[w] < 1}]; \n
    F1\  = \ \(val1\  + \ val2\)\/\(2  \[Pi]\); \n
    F2\  = \ Together[\(val1\  + \ val2\)\/\(2  \[Pi]\)]; \n
    F3\  = \ ExpandAll[Together[\(val1\  + \ val2\)\/\(2  \[Pi]\)]]; \n
    F[w_]\  = \ 
      Factor[ExpandAll[Together[\(val1\  + \ val2\)\/\(2  \[Pi]\)]]]; \n
    Print["\<U[t] = \>", U[t]]; \n
    Print["\<F[w] = \>", F1, "\< = \>", F2, "\< = \>", F3]; \n
    Print["\<F[w] = \>", F[w]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Remark. The ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  FourierTransform package does not multiply the integral by ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(2 \[Pi]\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Fm[w_]\  = \ 
      FourierTransform[\[ExponentialE]\^\(-Abs[t]\), \ t, \ \[Omega]]; \n
    Print["\< U[t] = \>", \[ExponentialE]\^\(-Abs[t]\)]; \n
    Print["\<Fm[w] = \>", Fm[w]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.6,  Page 421.",
    FontWeight->"Bold"],
  "  Find the Fourier transform of   U(t)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(1\  + \ t\^2\),
          FontSize->14]]]],
  ".\nSolution:  Using the result of Example 11.5 and the symmetry property \
to find the result."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, t, U, w]; \nU[t_]\  = 1\/\(1\  + \ t\^2\); \n
    F[w_]\  = \[ExponentialE]\^\(-Abs[t]\)\/\(2  \[Pi]\); \n
    Print["\<U[t] = \>", U[t]]; \nPrint["\<F[w] = \>", F[w]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[w_]\  = \ FourierTransform[U[t], \ t, \ w]; \n
    Print["\<U[t] = \>", U[t]]; \nPrint["\<F[w] = \>", F[w]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Remark. The ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  FourierTransform package does not multiply the integral by  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(2 \[Pi]\),
          FontSize->14]]]],
  ".\nHowever, the sum involving the UnitStep functions will reduce to the \
standard answer."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.5  ",
  StyleBox["The Laplace Transform",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.5"],

Cell[TextData[{
  StyleBox["Theorem 11.10,  Page 424.  ",
    FontWeight->"Bold"],
  StyleBox["(Existence of the Laplace Transform)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  is of exponential order,\nthen its ",
  StyleBox["Laplace Transform",
    FontColor->RGBColor[1, 0, 1]],
  "  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox["\[ScriptCapitalL]",
              FontSize->16], \((f \((t)\))\)}], "=", \(F \((s)\)\)}], " "}]]],
  
  "  is given by\n\t",
  Cell[BoxData[
      RowBox[{\(F \((s)\)\), " ", "=", " ", 
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->18], 
            StyleBox[\(-\[Infinity]\),
              FontSize->12], 
            StyleBox["\[Infinity]",
              FontSize->12]], 
          
          StyleBox[
            \(f \((t)\) \(\[ExponentialE]\^\(\(-s\)\ t\)\) 
              \[DifferentialD]t\),
            FontSize->14]}]}]]],
  ",   where  ",
  Cell[BoxData[
      \(s = \[Sigma] + \[ImaginaryI]\ \[Omega]\)]],
  ".\nThe defining integral for  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  exists at points  ",
  Cell[BoxData[
      \(s = \[Sigma] + \[ImaginaryI]\ \[Tau]\)]],
  "  in the right half plane  ",
  Cell[BoxData[
      \(\[Tau] > K\)]],
  ".\n\n",
  StyleBox["Theorem 11.11,  Page 425.  ",
    FontWeight->"Bold"],
  StyleBox["(Linearity of the Laplace Transform)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(g \((t)\)\)]],
  "  have Laplace transforms  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(G \((s)\)\)]],
  ",  respectively.  If  a  and  b  are constants, then   ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], \((a\ f \((t)\) + b\ g \((t)\))\)}], "  ", "=", 
        "  ", \(a\ F \((s)\)\  + \ \ b\ G \((s)\)\)}]]],
  ".\n\n",
  StyleBox["Theorem 11.12,  Page 425.  ",
    FontWeight->"Bold"],
  StyleBox["(Uniqueness of the Laplace Transform)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(g \((t)\)\)]],
  "  have Laplace transforms  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(G \((s)\)\)]],
  ",  respectively.   If  ",
  Cell[BoxData[
      \(F \((s)\) \[Congruent] G \((s)\)\)]],
  "  then  ",
  Cell[BoxData[
      \(f \((t)\) \[Congruent] g \((t)\)\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathemati",
    FontSlant->"Italic"],
  "ca's LaplaceTransform package.  Make sure this is done only ONCE during a \
Mathematic",
  StyleBox["a",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`LaplaceTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.7,  Page 426.",
    FontWeight->"Bold"],
  "  Find the Laplace transform of the step function:\nf(t)  =  1     for     \
0  \[LessEqual]  t  <   c,\nf(t)  =  0     for     c  <  t."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[c, f, g, F, s, t]; \nf[t_]\  = \ 1; \n
    g[t_]\  = 
      \[Integral]f[t] \(\[ExponentialE]\^\(\(-s\)\ t\)\) \[DifferentialD]t; \n
    F[s_]\  = 
      \[Integral]\_0\%c f[t] \(\[ExponentialE]\^\(\(-s\)\ t\)\) 
          \[DifferentialD]t; \nPrint["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<g[t] = \[Integral]f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", g[t]]; \nPrint["\< \>"]; \n
    Print["\<F[s] = g[c]-g[0] = \>", g[c] - g[0]]; \n
    Print[\*"\"\<F[s] = \
\!\(\[Integral]\_0\%c\)f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.8,  Page 426.",
    FontWeight->"Bold"],
  "  Find the Laplace transform of   f(t)  =  ",
  Cell[BoxData[
      StyleBox[\(\[ExponentialE]\^\(a\ t\)\),
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, f, g, F, s, t]; \nf[t_]\  = \ \[ExponentialE]\^\(a\ t\); \n
    g[t_]\  = \ 
      \[Integral]f[t] \(\[ExponentialE]\^\(\(-s\)\ t\)\) \[DifferentialD]t; \n
    F[s_]\  = \ 
      Integrate[f[t] \[ExponentialE]\^\(\(-s\)\ t\), \ {t, 0, \[Infinity]}, 
        Assumptions \[Rule] {Im[a] == 0, a < s}]; \n
    Print["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<g[t] = \[Integral]f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", g[t]]; \nPrint["\< \>"]; \n
    Print["\<F[s] = g[\[Infinity]]-g[0] = \>", g[\[Infinity]] - g[0]]; \n
    Print[\*"\"\<F[s] = \!\(\[Integral]\_0\%\[Infinity]\)f[t]\!\(\
\[ExponentialE]\^\(\(-s\)\\\ t\)\)\[DifferentialD]t = \>\"", F[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Assuming that f(t) is of exponential order, we have g(t)\[Rule]0 as  \
t\[Rule]\[Infinity]. Then  g(\[Infinity]) = 0, and the Laplace transform can \
be computed by the calculation  g(\[Infinity]) - g(0) = - g(0)."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<g[t] = \[Integral]f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", g[t]]; \nPrint["\<F[s] = - g[0] = \>", \(-g[0]\)]; 
    \nPrint["\<F[s] = \>", Simplify[\(-g[0]\)]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    Print["\<f[t] = \>", f[t]]; \nPrint["\<F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.9,  Page 426.",
    FontWeight->"Bold"],
  "  Find the Laplace transform of of  f(t) = sinh(a t).   \nSolution:  Using \
the result of Example 11.8.  Since  f(t) = sinh(at) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[
          \(\[ExponentialE]\^\(a\ t\)\ \  - \ \[ExponentialE]\^\(\(-a\)\ t\)\ 
          \),
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ",\nwe use   ",
  Cell[BoxData[
      \(\[ScriptCapitalL]\)],
    FontSize->14],
  "(",
  Cell[BoxData[
      \(\[ExponentialE]\^\(a\ t\)\)]],
  ")  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s\  - \ a\),
          FontSize->14]]]],
  "   and   ",
  Cell[BoxData[
      StyleBox["\[ScriptCapitalL]",
        FontSize->14]]],
  "(",
  Cell[BoxData[
      \(\[ExponentialE]\^\(\(-a\)\ t\)\)]],
  ")  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s\  + \ a\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, f, f1, f2, f12, F, F1, F2, F12, s, t]; \n
    f1[t_]\  = \ \[ExponentialE]\^\(a\ t\); \n
    f2[t_]\  = \ \[ExponentialE]\^\(\(-a\)\ t\); \n
    f12[t_]\  = \ 
      \(\[ExponentialE]\^\(a\ t\) - \[ExponentialE]\^\(\(-a\)\ t\)\)\/2; \n
    f[t_]\  = \ Sinh[a\ t]; \nF1[s_]\  = \ LaplaceTransform[f1[t], \ t, \ s]; 
    \nF2[s_]\  = \ LaplaceTransform[f2[t], \ t, \ s]; \n
    F12[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    F[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    Print[\*"\"\< \!\(f\_1\)[t] = \>\"", f1[t]]; \n
    Print[\*"\"\< \!\(f\_2\)[t] = \>\"", f2[t]]; \n
    Print[\*"\"\<\!\(f\_12\)[t] = \>\"", f12[t]]; \n
    Print[\*"\"\<\!\(f\_12\)[t] = \>\"", FullSimplify[f12[t]]]; \n
    Print["\<  f[t] = \>", FullSimplify[f[t]]]; \nPrint["\< \>"]; \n
    Print[\*"\"\< \!\(F\_1\)[s] = \>\"", F1[s]]; \n
    Print[\*"\"\< \!\(F\_2\)[s] = \>\"", F2[s]]; \n
    Print[\*"\"\<\!\(F\_12\)[s] = \!\(\(F\_1[s] - F\_2[s]\)\/2\) = \>\"", 
      \(F1[s] - F2[s]\)\/2]; \n
    Print[\*"\"\<\!\(F\_12\)[s] = \!\(\(F\_1[s] - F\_2[s]\)\/2\) = \>\"", 
      Together[\(F1[s] - F2[s]\)\/2]]; \n
    Print["\< F[s] = L[Sinh[a t]] = \>", F[s]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.10,  Page 427.",
    FontWeight->"Bold"],
  "   Find the Laplace transform of   f(t)  =  t."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, F, s, t]; \nf[t_]\  = \ t; \n
    g[t_]\  = \ 
      \[Integral]f[t] \(\[ExponentialE]\^\(\(-s\)\ t\)\) \[DifferentialD]t; \n
    F[s_]\  = \ 
      Integrate[f[t] \[ExponentialE]\^\(\(-s\)\ t\), \ {t, 0, \[Infinity]}, 
        Assumptions \[Rule] {Im[s] == 0, s > 0}]; \n
    Print["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<g[t] = \[Integral]f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", g[t]]; \nPrint["\< \>"]; \n
    Print["\<F[s] = g[\[Infinity]]-g[0] = \>", g[\[Infinity]] - g[0]]; \n
    Print[\*"\"\<F[s] = \!\(\[Integral]\_0\%\[Infinity]\)f[t]\!\(\
\[ExponentialE]\^\(\(-s\)\\\ t\)\)\[DifferentialD]t = \>\"", F[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Assuming that f(t) is of exponential order, we have g(t)\[Rule]0 as t\[Rule]\
\[Infinity].  Then  g(\[Infinity]) = 0, and the Laplace transform can be \
computed by the calculation  g(\[Infinity]) - g(0) = - g(0)."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<g[t] = \[Integral]f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", g[t]]; \nPrint["\<F[s] = - g[0] = \>", \(-g[0]\)]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[s_]\  = \ LaplaceTransform[t, \ t, \ s]; \nPrint["\<f[t] = \>", t]; \n
    Print["\<F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.11,  Page 427.",
    FontWeight->"Bold"],
  "   Find the Laplace transform of   f(t)  =  cos(b t)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Method 1.",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 1]],
  "  Using integration"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[b, f, g, F, s, t]; \nf[t_]\  = \ Cos[b\ t]; \n
    g[t_]\  = \ 
      \[Integral]f[t] \(\[ExponentialE]\^\(\(-s\)\ t\)\) \[DifferentialD]t; \n
    F[s_]\  = \ 
      Integrate[f[t] \[ExponentialE]\^\(\(-s\)\ t\), \ {t, 0, \[Infinity]}, 
        Assumptions \[Rule] {Im[b] == 0, Im[s] == 0, s > 0}]; \n
    Print["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<g[t] = \[Integral]f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", g[t]]; \nPrint["\< \>"]; \n
    Print["\<F[s] = g[\[Infinity]]-g[0] = \>", g[\[Infinity]] - g[0]]; \n
    Print[\*"\"\<F[s] = \!\(\[Integral]\_0\%\[Infinity]\)f[t]\!\(\
\[ExponentialE]\^\(\(-s\)\\\ t\)\)\[DifferentialD]t = \>\"", F[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Assuming that  f(t)  is of exponential order, we have  g(t) \[Rule] 0  as  t \
\[Rule] \[Infinity].  Then  g(\[Infinity]) = 0, \nand the Laplace transform  \
can be computed by  the calculation   g(\[Infinity]) - g(0)  =  - g(0)."], 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<g[t] = \[Integral]f[t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t = \>\"", g[t]]; \nPrint["\<F[s] = - g[0] = \>", \(-g[0]\)]; 
    \nPrint["\<F[s] = - g[0] = \>", Simplify[\(-g[0]\)]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Method 2",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[".",
    FontColor->RGBColor[1, 0, 1]],
  "  Since  f(t)  =  cos(bt)  =  ",
  Cell[BoxData[
      StyleBox[
        FractionBox[
          \(\[ExponentialE]\^\(i\ b\ t\)\ \  + \ \ 
            \[ExponentialE]\^\(\(-i\)\ b\ t\)\), 
          StyleBox["2",
            FontSize->14]],
        FontSize->14]]],
  ",  \nwe use   L",
  StyleBox["1",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  "(",
  Cell[BoxData[
      \(\[ExponentialE]\^\(i\ b\ t\)\)]],
  ")  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s\  - \ ib\),
          FontSize->14]]]],
  "   and   L",
  StyleBox["1",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  "(",
  Cell[BoxData[
      \(\[ExponentialE]\^\(\(-i\)\ b\ t\)\)]],
  ")  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s\  + \ ib\),
          FontSize->14]]]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[b, f, f1, f2, f12, F, F1, F2, F12, s, t]; \n
    f1[t_]\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ b\ t\); \n
    f2[t_]\  = \ \[ExponentialE]\^\(\(-\[ImaginaryI]\)\ b\ t\); \n
    f12[t_]\  = \ 
      \(\[ExponentialE]\^\(\[ImaginaryI]\ b\ t\) + 
          \[ExponentialE]\^\(\(-\[ImaginaryI]\)\ b\ t\)\)\/2; \n
    f[t_]\  = \ Cos[b\ t]; \nF1[s_]\  = \ LaplaceTransform[f1[t], \ t, \ s]; 
    \nF2[s_]\  = \ LaplaceTransform[f2[t], \ t, \ s]; \n
    F12[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    F[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    Print[\*"\"\< \!\(f\_1\)[t] = \>\"", f1[t]]; \n
    Print[\*"\"\< \!\(f\_2\)[t] = \>\"", f2[t]]; \n
    Print[\*"\"\<\!\(f\_12\)[t] = \>\"", f12[t]]; \n
    Print[\*"\"\<\!\(f\_12\)[t] = \>\"", FullSimplify[f12[t]]]; \n
    Print["\<  f[t] = \>", FullSimplify[f[t]]]; \nPrint["\< \>"]; \n
    Print[\*"\"\< \!\(F\_1\)[s] = \>\"", F1[s]]; \n
    Print[\*"\"\< \!\(F\_2\)[s] = \>\"", F2[s]]; \n
    Print[\*"\"\<\!\(F\_12\)[s] = \!\(\(F\_1[s] + F\_2[s]\)\/2\) = \>\"", 
      \(F1[s] + F2[s]\)\/2]; \n
    Print[\*"\"\<\!\(F\_12\)[s] = \!\(\(F\_1[s] + F\_2[s]\)\/2\) = \>\"", 
      Together[\(F1[s] + F2[s]\)\/2]]; \n
    Print["\< F[s] = L[Cos[b t]] = \>", F[s]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.12,  Page 427.",
    FontWeight->"Bold"],
  "  Find the inverse Laplace transform of   \n      F(s)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(3 s\  + \ 6\),
          FontSize->14], 
        StyleBox[\(s\^2\  + \ 9\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[A, f, f1, f2, F, L1, L2, s, t]; \n
    F[s_]\ \  = \ \ \(3  s\  + \ 6\)\/\(s\^2\  + \ 9\); \n
    A\  = \ Expand[F[s]]; \nPrint["\<F[s] = \>", F[s]]; \n
    Print["\<F[s] = \>", A]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The transform  F(s)  is a linear combination."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f1[t_]\  = Cos[3  t]; \nf2[t_]\  = Sin[3  t]; \n
    L1[s_]\  = \ s\/\(s\^2\  + \ 9\); \nL2[s_]\  = \ 3\/\(s\^2\  + \ 9\); \n
    Print[\*"\"\<\!\(f\_1\)[t] = \>\"", f1[t]]; \n
    Print[\*"\"\<\!\(f\_2\)[t] = \>\"", f2[t]]; \n
    Print[\*"\"\<\!\(L\_1\)[s] = \>\"", L1[s]]; \n
    Print[\*"\"\<\!\(L\_2\)[s] = \>\"", L2[s]]; \n
    Print["\< F[s] = \>", F[s]]; \n
    Print[\*"\"\<Is F[s] == 3 \!\(L\_1\)[s] + 2 \!\(L\_2\)[s] ?\>\""]; \n
    Print[F[s]\  == 3\ L1[s]\  + \ 2\ L2[s], "\<,   \>", 
      Expand[F[s]]\  == \ 3\ L1[s]\  + \ 2\ L2[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The inverse of  ",
  Cell[BoxData[
      StyleBox[\(L\_1\),
        FontSize->14]]],
  "  is  ",
  Cell[BoxData[
      \(f\_1\)]],
  "(t) = cos(3t)  and  the inverse of  ",
  Cell[BoxData[
      StyleBox[\(L\_2\),
        FontSize->14]]],
  "  is  ",
  Cell[BoxData[
      \(f\_2\)]],
  "(t) = sin(3t).  \nHence  f(t) = 3 ",
  Cell[BoxData[
      \(f\_1\)]],
  "(t) + 2 ",
  Cell[BoxData[
      \(f\_2\)]],
  "(t)"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ 3\ f1[t]\  + \ 2\ f2[t]; \n
    Print[\*"\"\<f[t] = 3\!\(f\_1\)[t] + 2\!\(f\_2\)[t]\>\""]; \n
    Print["\<f[t] = \>", f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ InverseLaplaceTransform[F[s], \ s, \ t]; \n
    Print["\<F[s] = \>", F[s]]; \nPrint["\<f[t] = \>", f[t]]; \n
    Print[\*"\"\<f[t] = 3\!\(f\_1\)[t]+2\!\(f\_2\)[t] = \>\"", 
      3  f1[t] + 2  f2[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.6  ",
  StyleBox["Laplace Transforms of Derivatives and Integrals",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.6"],

Cell[TextData[{
  StyleBox["Theorem 11.13,  Page 430.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Differentiation of f(t))",
    FontColor->RGBColor[1, 0, 1]],
  "   Let  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["f", "\[Prime]",
          MultilineFunction->None], \((t)\)}]]],
  "  be continuous for  ",
  Cell[BoxData[
      \(0 \[LessEqual] t\)]],
  ", and of exponential order.   Then   ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox["f", "\[Prime]",
                MultilineFunction->None], \((t)\)}], ")"}]}], "=", 
        \(s\ F \((s)\) - f \((0)\)\)}]]],
  ",  where  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], \((f \((t)\))\)}], "=", \(F \((s)\)\)}]]],
  ".\n\n",
  StyleBox["Theorem 11.14,  Page 431.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Integration of f(t))",
    FontColor->RGBColor[1, 0, 1]],
  "   Let  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["f", "\[Prime]",
          MultilineFunction->None], \((t)\)}]]],
  "  be continuous for  ",
  Cell[BoxData[
      \(0 \[LessEqual] t\)]],
  ",  and of exponential order.   Then   ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], 
          RowBox[{"(", 
            RowBox[{
              StyleBox["\[Integral]",
                FontSize->18], \(f \((t)\) \[DifferentialD]t\)}], ")"}]}], 
        "=", " ", 
        FractionBox[
          StyleBox[\(F \((s)\)\),
            FontSize->12], 
          StyleBox["s",
            FontSize->12]]}]]],
  ",  where  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], \((f \((t)\))\)}], "=", \(F \((s)\)\)}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load the following ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  packages. Make sure this is done only ONCE in a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`LaplaceTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.13,  Page 430.",
    FontWeight->"Bold"],
  "\t Use Theorem 11.13 and find   \[ScriptCapitalL](",
  Cell[BoxData[
      StyleBox[\(cos\^2\),
        FontSize->14]]],
  "(t)) "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, Lf, LDf, s, t]; \nf[t_]\  = \ Cos[t]\^2; \n
    Print["\< f[t] = \>", f[t]]; \nPrint["\< f[0] = \>", f[0]]; \n
    Print["\<f'[t] = \>", \(f'\)[t]]; \n
    Print["\<f'[t] = \>", Simplify[\(f'\)[t]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Use the fact that   \[ScriptCapitalL](sin(2t))  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(-\ 2\),
          FontSize->14], 
        StyleBox[\(s\^4\  + \ 4\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(LDf\ \  = \ \ \(-2\)\/\(s\^2\  + \ 4\); \n
    eqn\ \  = \ \ LDf\  == \ s\ Lf\  - \ f[0]; \nPrint[eqn]; \n
    solset\  = \ Solve[eqn, \ Lf]; \nPrint[solset]; \n
    Lf\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<L[f'[t]] = \>", LDf]; \n
    Print["\<L[f'[t]] = s L[f[t]] - f[0]\>"]; \nPrint["\< L[f[t]] = \>", Lf]; 
    \nPrint["\< L[f[t]] = \>", Simplify[Lf]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    Print["\<   f[t] = \>", f[t]]; \nPrint["\<L[f[t]] = \>", F[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.14,  Page 431.",
    FontWeight->"Bold"],
  "\t Use Theorem 11.14 and find  \[ScriptCapitalL](f(t)).\n",
  StyleBox["(a)",
    FontWeight->"Bold"],
  "  Find   \[ScriptCapitalL](t",
  StyleBox["2",
    FontVariations->{"CompatibilityType"->"Superscript"}],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, Lf, LDf, s, t]; \nf[t_]\  = \ t\^2; \n
    Print["\< f[t] = \>", f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Use the fact that   ",
  Cell[BoxData[
      \(\(f\^'\)\)]],
  "(t)  =  2t  and  \[ScriptCapitalL](2t)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["2",
          FontSize->14], 
        StyleBox[\(s\^2\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(LDf\ \  = \ 2\/s\^2; \nLf\  = \ \ LDf\/s; \n
    Print["\<      f'[t] = \>", \(f'\)[t]]; \n
    Print["\<   L[f'[t]] = \>", LDf]; \n
    Print[\*"\"\<L[\[Integral]f'[t]\[DifferentialD]t] = \!\(L[\(f'\)[t]]\/s\)\
\>\""]; \nPrint["\<L[\[Integral]f'[t]\[DifferentialD]t] = \>", Lf]; \n
    Print["\<    L[f[t]] = \>", Lf]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    Print["\<   f[t] = \>", f[t]]; \nPrint["\<L[f[t]] = \>", F[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Find   \[ScriptCapitalL](",
  Cell[BoxData[
      StyleBox[\(t\^3\),
        FontSize->14]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, Lf, LDf, s, t]; \nf[t_]\  = \ t\^3; \n
    Print["\< f[t] = \>", f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Use the fact that   ",
  Cell[BoxData[
      \(\(f\^'\)\)]],
  "(t)  =  3",
  Cell[BoxData[
      \(t\^2\)]],
  "  and  \[ScriptCapitalL](3",
  Cell[BoxData[
      \(t\^2\)]],
  ")  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["6",
          FontSize->14], 
        StyleBox[\(s\^3\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(LDf\ \  = \ 6\/s\^3; \nLf\  = \ \ LDf\/s; \n
    Print["\<      f'[t] = \>", \(f'\)[t]]; \n
    Print["\<   L[f'[t]] = \>", LDf]; \n
    Print[\*"\"\<L[\[Integral]f'[t]\[DifferentialD]t] = \!\(L[\(f'\)[t]]\/s\)\
\>\""]; \nPrint["\<L[\[Integral]f'[t]\[DifferentialD]t] = \>", Lf]; \n
    Print["\<    L[f[t]] = \>", Lf]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    Print["\<   f[t] = \>", f[t]]; \nPrint["\<L[f[t]] = \>", F[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.15,  Page 432.",
    FontWeight->"Bold"],
  "\t Solve the initial value problem\n     ",
  Cell[BoxData[
      \(y\^\(''\)\)]],
  "(t)  +  y(t)  =  0    with    y(0) = 2  and  ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(0) = 3."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn, f, F, s, solset, t, y, y0, y1, Y]; \ny0\  = \ 2; \n
    y1\  = \ 3; \nf[t_]\  = \ 0; \nF[s_]\  = \ 0; \n
    Print["\< y[0] = \>", y0]; \nPrint["\<y'[0] = \>", y1]; \n
    Print["\< f[t] = \>", f[t]]; \nPrint["\< F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[Y]; \n
    eqn\ \  = \ \ s\^2\ Y[s]\  - \ s\ y0\  - \ y1\  + \ Y[s]\  == \ F[s]; \n
    Print[eqn]; \nsolset\  = \ Solve[eqn, \ Y[s]]; \nPrint[solset]; \n
    Y[s_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<Y[s] = \>", Y[s]]; \nPrint["\<Y[s] = \>", Expand[Y[s]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Using the known Laplace transforms  \[ScriptCapitalL](sin t) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s\^2 + 1\),
          FontSize->14]]]],
  "  and  \[ScriptCapitalL](cos t) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["s",
          FontSize->14], 
        StyleBox[\(s\^2 + 1\),
          FontSize->14]]]],
  "\nthe solution is the linear combination   f(t)  =  3 sin(t)  +  2 \
cos(t)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ InverseLaplaceTransform[Y[s], \ s, \ t]; \n
    Print["\<Y[s] = \>", Expand[Y[s]]]; \nPrint["\<f[t] = \>", f[t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<f[t] = \>", f[t]]; \nPrint["\<f''[t] = \>", \(\(f'\)'\)[t]]; \n
    Print["\<f[t] + f''[t] = \>", f[t] + \(\(f'\)'\)[t]]; \n
    Print["\<f[0] = \>", f[0]]; \nPrint["\<f'[0] = \>", \(f'\)[0]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the DSolve package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[y]; \neqn\  = \ \(\(y'\)'\)[t]\  + \ y[t]\  == \ 0; \nPrint[eqn]; 
    \nsolset\  = \ DSolve[{eqn, \ y[0] == 2, \ \(y'\)[0] == 3}, \ y[t], \ t]; 
    \nPrint[solset]; \n
    y[t_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<y[t] = \>", y[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, y]; \ny[t_]\  = \ 2\ Cos[t] + 3\ Sin[t]; \n
    Plot[y[t], {t, 0, \[Pi]}, \nPlotRange -> {{0, \[Pi]}, {\(-2\), 3.7}}, 
      PlotStyle \[Rule] {RGBColor[0, 0, 1]}, 
      AxesLabel \[Rule] {"\<t\>", "\<y\>"}, 
      Ticks -> {Range[0, \[Pi], \[Pi]\/4], Range[\(-2\), 3.5, 1]}]; \n
    Print["\<y[t] = \>", y[t]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.16,  Page 432.",
    FontWeight->"Bold"],
  "\t Solve the initial value problem\n     ",
  Cell[BoxData[
      \(y\^\(''\)\)]],
  "(t)  +  ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(t)  -  2 y(t) =  0    with    y(0) = 1  and  ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(0) = 4."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn, f, F, s, solset, t, y, y0, y1, Y]; \ny0\  = \ 1; \n
    y1\  = \ 4; \nf[t_]\  = \ 0; \nF[s_]\  = \ 0; \n
    Print["\< y[0] = \>", y0]; \nPrint["\<y'[0] = \>", y1]; \n
    Print["\< f[t] = \>", f[t]]; \nPrint["\< F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[Y]; \n
    eqn\ \  = \ 
      s\^2\ Y[s]\  - \ s\ y0\  - \ y1\  + \ s\ Y[s]\  - \ y0\  - \ 2\ Y[s]\ 
         == \ F[s]; \nPrint[eqn]; \nsolset\  = \ Solve[eqn, \ Y[s]]; \n
    Print[solset]; \n
    Y[s_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<Y[s] = \>", Y[s]]; \nPrint["\<Y[s] = \>", Apart[Y[s]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Using the known Laplace transforms  \[ScriptCapitalL](",
  Cell[BoxData[
      StyleBox[\(\[ExponentialE]\^t\),
        FontSize->14]]],
  ") = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s - 1\),
          FontSize->14]]]],
  " and  \[ScriptCapitalL](",
  Cell[BoxData[
      StyleBox[\(\[ExponentialE]\^\(\(-2\) t\)\),
        FontSize->14]]],
  ") = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s + 2\),
          FontSize->14]]]],
  "\nthe solution is the linear combination  f(t)  =  2 ",
  Cell[BoxData[
      StyleBox[\(\[ExponentialE]\^t\),
        FontSize->14]]],
  " - ",
  Cell[BoxData[
      StyleBox[\(\[ExponentialE]\^\(\(-2\) t\)\),
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ InverseLaplaceTransform[Y[s], \ s, \ t]; \n
    Print["\<Y[s] = \>", Apart[Y[s]]]; \nPrint["\<f[t] = \>", f[t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<f[t] = \>", f[t]]; \nPrint["\<f'[t] = \>", \(f'\)[t]]; \n
    Print["\<f''[t] = \>", \(\(f'\)'\)[t]]; \n
    Print["\<f''[t] + f'[t] - 2f[t] = \>", 
      \(\(f'\)'\)[t] + \(f'\)[t] - 2  f[t]]; \n
    Print["\<f''[t] + f'[t] - 2f[t] = \>", 
      Expand[\(\(f'\)'\)[t] + \(f'\)[t] - 2  f[t]]]; \n
    Print["\<f[0] = \>", f[0]]; \nPrint["\<f'[0] = \>", \(f'\)[0]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the DSolve package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[y]; \n
    eqn\  = \ \(\(y'\)'\)[t]\  + \ \(y'\)[t] - \ 2  y[t]\  == \ 0; \n
    Print[eqn]; \n
    solset\  = \ DSolve[{eqn, \ y[0] == 1, \ \(y'\)[0] == 4}, \ y[t], \ t]; \n
    Print[solset]; \n
    y[t_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<y[t] = \>", y[t]]; \nPrint["\<y[t] = \>", Expand[y[t]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, y]; \n
    y[t_]\  = \ \(-\[ExponentialE]\^\(\(-2\)\ t\)\) + 2\ \[ExponentialE]\^t; 
    \nPlot[y[t], {t, 0, 2}, \nPlotRange -> {{0, 2}, {0, 15}}, 
      PlotStyle \[Rule] {RGBColor[0, 0, 1]}, 
      AxesLabel \[Rule] {"\<t\>", "\<y\>"}, 
      Ticks -> {Range[0, 2, 0.5], Range[0, 15, 2.5]}]; 
    Print["\<y[t] = \>", y[t]]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.7  ",
  StyleBox["Shifting Theorems and the Step Function",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.7"],

Cell[TextData[{
  StyleBox["Theorem 11.15,  Page 434.",
    FontWeight->"Bold"],
  "   ",
  StyleBox["(Shifting the Variable  s)",
    FontColor->RGBColor[1, 0, 1]],
  "   If  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  is the Laplace transform of  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  ",  then  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], 
          RowBox[{"(", 
            RowBox[{
              StyleBox[
                SuperscriptBox["\[ExponentialE]", 
                  StyleBox["at",
                    FontSize->12]],
                FontSize->14], "f", \((t)\)}], ")"}]}], "=", 
        \(F \((s - a)\)\)}]]],
  ".\n\n",
  StyleBox["Theorem 11.16,  Page 434.",
    FontWeight->"Bold"],
  "   ",
  StyleBox["(Shifting the Variable  t)",
    FontColor->RGBColor[1, 0, 1]],
  "   If  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  is the Laplace transform of  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  ",  and  ",
  Cell[BoxData[
      \(0 \[LessEqual] a\)]],
  ",  then  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], 
          RowBox[{"(", 
            RowBox[{
              SubscriptBox["U", 
                StyleBox["a",
                  FontSize->12]], \((t)\), "f", \((t - a)\)}], ")"}]}], "=", 
        RowBox[{
          StyleBox[
            SuperscriptBox["\[ExponentialE]", 
              StyleBox[\(-as\),
                FontSize->12]],
            FontSize->14], "F", \((s)\)}]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load the following ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  packages.  Make sure this is done only ONCE in a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`LaplaceTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.17,  Page 435.",
    FontWeight->"Bold"],
  "\t Use Theorem 11.15 and find  ",
  Cell[BoxData[
      RowBox[{
        StyleBox["\[ScriptCapitalL]",
          FontSize->16], 
        RowBox[{"(", 
          RowBox[{\(t\^n\), 
            StyleBox[
              SuperscriptBox["\[ExponentialE]", 
                StyleBox["at",
                  FontSize->12]],
              FontSize->14]}], ")"}]}]]],
  ".\nSolution.  Use the fact that  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], \((t\^n)\)}], "=", 
        FractionBox[
          StyleBox[\(n!\),
            FontSize->12], 
          StyleBox[\(s\^\(n + 1\)\),
            FontSize->12]]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, F, G, n, s]; \nF[s_]\  = \ \(n!\)\/s\^\(n + 1\); \n
    Print[\*"\"\<L[\!\(t\^n\)] = \>\"", F[s]]; \n
    Print[\*"\"\<L[\!\(t\^n\)\!\(\[ExponentialE]\^\(a\\\ t\)\)] = \>\"", 
      F[s - a]]; \n
    Print[\*"\"\<L[\!\(t\^n\)\!\(\[ExponentialE]\^\(a\\\ t\)\)] = \>\"", 
      FunctionExpand[F[s - a]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(G[s_]\  = \ 
      LaplaceTransform[t\^n\ \[ExponentialE]\^\(a\ t\), \ t, \ s]; \n
    Print[\*"\"\<L[\!\(t\^n\)\!\(\[ExponentialE]\^\(a\\\ t\)\)] = \>\"", 
      G[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.18,  Page 435.",
    FontWeight->"Bold"],
  "\t Use Theorem 11.16 and find   \[ScriptCapitalL](",
  Cell[BoxData[
      StyleBox[
        SubscriptBox["U", 
          StyleBox["c",
            FontSize->10]],
        FontSize->14]]],
  "(t)).\nSolution:  Let  f(t) = 1  and  F(s)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox["s",
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[c, f, F, g, G, n, s, t]; \nf[t_]\  = \ 1; \nF[s_]\  = \ 1\/s; \n
    Print["\<        f[t] = \>", f[t]]; \nPrint["\<     L[f[t]] = \>", F[s]]; 
    \nPrint[\*"\"\<L[\!\(U\_c\)[t]f[t]] = \>\"", 
      \(\(\[ExponentialE]\ \)\^\(\(-c\)\ s\)\) F[s]]; \)], "Input"],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package.\nFor illustration purposes \
we use  c = ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[t_]\  = \ UnitStep[t - \[Pi]]; \n
    G[S_]\  = \ LaplaceTransform[UnitStep[t - \[Pi]], \ t, \ s]; \n
    Print["\<    g[t] = \>", g[t]]; \n
    Print[\*"\"\<L[\!\(U\_\[Pi]\)[t]] = \>\"", G[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.19,  Page 435.",
    FontWeight->"Bold"],
  "\t Find  \[ScriptCapitalL](f(t))  for  f(t)  given in Figure 11.24."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, s, t]; \n
    f[t_]\  = \ 
      1\  - \ UnitStep[t - 1]\  + \ UnitStep[t - 2]\  - \n\ \ \ \ \ \ \ \ 
        UnitStep[t - 3]\  + \ UnitStep[t - 4]\  - \ UnitStep[t - 5]; \n
    Plot[f[t], \ {t, 0, 6}, Ticks \[Rule] {Range[0, 6, 1], Range[0, 1, 1]}, 
      PlotStyle \[Rule] {RGBColor[0, 0, 1]}, 
      AxesLabel \[Rule] {"\<t\>", "\<y\>"}, \ AspectRatio \[Rule] 1\/6]; \n
    Print["\<f[t] = \>", f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Use ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[s_]\  = \ LaplaceTransform[f[t], \ t, \ s]; \n
    Print["\<f[t] = \>", f[t]]; \nPrint["\<F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.20,  Page 436.",
    FontWeight->"Bold"],
  "\t Solve the initial value problem\n     ",
  Cell[BoxData[
      \(y\^\(''\)\)]],
  "(t)  +  y(t)  =  ",
  Cell[BoxData[
      StyleBox[\(U\_\[Pi]\),
        FontSize->14]]],
  "(t)    with    y(0) = 0  and  ",
  Cell[BoxData[
      \(y'\)]],
  "(0) = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn, f, F, s, solset, t, y, y0, y1, Y]; \ny0\  = \ 0; \n
    y1\  = \ 0; \nf[t_]\  = UnitStep[t - \[Pi]]; \n
    F[s_]\  = \ \[ExponentialE]\^\(\(-\[Pi]\)\ s\)\/s; \n
    Print["\< y[0] = \>", y0]; \nPrint["\<y'[0] = \>", y1]; \n
    Print["\< f[t] = \>", f[t]]; \nPrint["\< F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[Y]; \n
    eqn\ \  = \ s\^2\ Y[s]\  - \ s\ y0\  - \ y1\  + \ Y[s]\  == \ F[s]; \n
    Print[eqn]; \nsolset\  = \ Solve[eqn, \ Y[s]]; \nPrint[solset]; \n
    Y[s_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<Y[s] = \>", Y[s]]; \n
    Y[s_]\  = \ 
      \[ExponentialE]\^\(\(-\[Pi]\)\ s\)\ 
        Apart[1\/\(s\ \((1\  + \ s\^2)\)\)]; \nPrint["\<Y[s] = \>", Y[s]]; \n
    Print["\<Y[s] = \>", Expand[Y[s]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Use the facts that    \[ScriptCapitalL](",
  Cell[BoxData[
      StyleBox[\(U\_\[Pi]\),
        FontSize->14]]],
  "(t))  = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[ExponentialE]\^\(-\[Pi]s\)\),
          FontSize->14], 
        StyleBox["s",
          FontSize->14]]]],
  "  and   \[ScriptCapitalL](",
  Cell[BoxData[
      StyleBox[\(U\_\[Pi]\),
        FontSize->14]]],
  "(t)cos(t - ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "))  = ",
  Cell[BoxData[
      FractionBox[
        RowBox[{" ", 
          StyleBox[\(s\ \[ExponentialE]\^\(-\[Pi]s\)\),
            FontSize->14]}], 
        StyleBox[\(1\  + \ s\^2\),
          FontSize->14]]]],
  " "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(y[t_]\  = \ 
      UnitStep[t - \[Pi]]\  - \ UnitStep[t - \[Pi]] Cos[t - \[Pi]]; \n
    Print["\<y[t] = \>", y[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the DSolve package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[y]; \n
    eqn\  = \ \(\(y'\)'\)[t]\  + \ y[t]\  == \ UnitStep[t - \[Pi]]\), 
    \(sol\  = \ DSolve[{eqn, \ y[0] == 0, \ \(y'\)[0] == 0}, \ y[t], \ t]\), 
    \(y[t_]\  = \ Expand[sol[\([1, 1, 2]\)]\ ]; \nPrint["\<y[t] = \>", y[t]]; 
    \)}], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, y]; \n
    y[t_]\  = \ UnitStep[\(-\[Pi]\) + t] + Cos[t]\ UnitStep[\(-\[Pi]\) + t]; 
    \nPlot[y[t], {t, 0, 2  \[Pi]}, PlotRange -> {{0, 2  \[Pi]}, {0, 2}}, 
      PlotStyle \[Rule] {RGBColor[0, 0, 1]}, 
      AxesLabel \[Rule] {"\<t\>", "\<y\>"}, 
      Ticks -> {Range[0, 2  \[Pi], \[Pi]\/2], Range[0, 2, 0.5]}]; \n
    Print["\<y[t] = \>", y[t]]; \)], "Input"],

Cell["\<\
This differs from the traditional mathematics solution by including \
a dirac function term.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.8  ",
  StyleBox["Multiplication  and  Division  by  t",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.8"],

Cell[TextData[{
  StyleBox["Theorem 11.17,  Page 438.",
    FontWeight->"Bold"],
  "   ",
  StyleBox["(Multiplication by t)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  is the Laplace transform of  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  ",  then  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], \((t\ f \((t)\))\)}], "=", 
        RowBox[{
          RowBox[{"-", " ", 
            SuperscriptBox["F", "\[Prime]",
              MultilineFunction->None]}], \((s)\)}]}]]],
  ".\n\n",
  StyleBox["Theorem 11.18,  Page 438.",
    FontWeight->"Bold"],
  "   ",
  StyleBox["(Division by t)",
    FontColor->RGBColor[1, 0, 1]],
  "    Let both  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  and  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(f \((t)\)\),
          FontSize->12], 
        StyleBox["t",
          FontSize->12]]]],
  "  have Laplace transforms and let  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  denote the Laplace transform of  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  ".   If   ",
  Cell[BoxData[
      RowBox[{
        StyleBox[
          SubscriptBox["lim", 
            StyleBox[\(t \[Rule] \(0\^+\)\),
              FontSize->10]],
          FontSize->12], 
        FractionBox[
          StyleBox[\(f \((t)\)\),
            FontSize->12], 
          StyleBox["t",
            FontSize->12]]}]]],
  "   exists\nthen   ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox["\[ScriptCapitalL]",
            FontSize->16], 
          RowBox[{"(", 
            FractionBox[
              StyleBox[\(f \((t)\)\),
                FontSize->12], 
              StyleBox["t",
                FontSize->12]], ")"}]}], "=", 
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->18], 
            StyleBox["s",
              FontSize->10], 
            StyleBox["\[Infinity]",
              FontSize->10]], 
          \(F \((\[Sigma])\) \[DifferentialD]\[Sigma]\)}]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load the following ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  packages. Make sure this is done only ONCE in a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`LaplaceTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.21,  Page 439.",
    FontWeight->"Bold"],
  "\t Use Theorem 11.17 and find   \[ScriptCapitalL](t cos(b t)).\n\n\
Solution:  Use the fact that   \[ScriptCapitalL](cos(bt))  = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["s",
          FontSize->14], 
        StyleBox[\(s\^2\  + \ b\^2\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[b, f, F, s, t]; \nf[t_]\  = \ Cos[b\ t]; \n
    F[s_]\  = \(\ s\)\/\(s\^2\  + \ b\^2\); \n
    Print["\<     f[t] = \>", f[t]]; \nPrint["\<  L[f[t]] = \>", F[s]]; \n
    Print["\< \>"]; \nPrint["\<   t f[t] = \>", t\ f[t]]; \n
    Print["\<L[t f[t]] = - F'[s]\>"]; \nPrint["\<L[t f[t]] = \>", \(F'\)[s]]; 
    \nPrint["\<L[t f[t]] = \>", Together[\(F'\)[s]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Ft[s_]\  = \ Together[LaplaceTransform[t\ f[t], \ t, \ s]\ ]; \n
    Print["\<   t f[t] = \>", t\ f[t]]; \nPrint["\<L[t f[t]] = \>", Ft[s]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.22,  Page 439.",
    FontWeight->"Bold"],
  "\t Use Theorem 11.18 and find   \[ScriptCapitalL]( ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(sin \((t)\)\),
          FontSize->14], 
        StyleBox["t",
          FontSize->14]]]],
  ").\nSolution: Use the fact that   \[ScriptCapitalL](sin(t))  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s\^2\  + \ 1\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, s, t, Y]; \nf[t_]\  = \ Sin[t]; \n
    F[s_]\  = \ 1\/\(s\^2\  + \ 1\); \n
    Y[s_]\  = \ 
      Integrate[F[r], {r, s, \[Infinity]}, 
        Assumptions \[Rule] {Im[s] == 0, s > 0}]; \n
    Print["\<    f[t] = \>", f[t]]; \nPrint["\<     F[s]= \>", F[s]]; \n
    Print["\< \>"]; \nPrint[\*"\"\<   \!\(f[t]\/t\) = \>\"", f[t]\/t]; \n
    Print[\*"\"\<L[\!\(f[t]\/t\)] = \!\(\[Integral]\_s\%\[Infinity]\)F[r]\
\[DifferentialD]r\>\""]; \nPrint[\*"\"\<L[\!\(f[t]\/t\)] = \>\"", Y[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Y[s_]\  = \ LaplaceTransform[f[t]\/t, \ t, \ s]; \n
    Print[\*"\"\<   \!\(f[t]\/t\) = \>\"", f[t]\/t]; \n
    Print[\*"\"\<L[\!\(f[t]\/t\)] = \>\"", Y[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.23,  Page 439.",
    FontWeight->"Bold"],
  "\t Solve the initial value problem\n     t ",
  Cell[BoxData[
      \(y\^\(''\)\)]],
  "(t)  -  t ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(t)  -  y(t)  =  0    with    y(0) = 0  and  ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(0) = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn, f, F, Ly, s, solset, t, y, y0, Y]; \ny0\  = \ 0; \n
    f[t_]\  = 0; \nF[s_]\  = 0; \nPrint["\< y[0] = \>", y0]; \n
    Print["\< f[t] = \>", f[t]]; \nPrint["\< F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[Y]; \n
    eqn\ \  = \ \ 
      \((\(-\ s\^2\) \(Y'\)[s]\  - \ 2\ s\ Y[s]\  + \ y0)\)\  - 
          \((\(-\ s\)\ \(Y'\)[s]\  - \ Y[s])\)\  - \ Y[s]\ \  == \ F[s]; \n
    Print[eqn]; \nsolset\  = \ DSolve[eqn, \ Y[s], s]; \nPrint[solset]; \n
    Y[s_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    y[t_]\  = \ InverseLaplaceTransform[Y[s], \ s, \ t]; \n
    Ly\  = \ t\ \(\(y'\)'\)[t]\  - \ t\ \(y'\)[t]\  - \ y[t]; \n
    Print["\<Y[s] = \>", Y[s]]; \nPrint["\< \>"]; \n
    Print["\<y[t] = \>", y[t]]; \nPrint["\<y'[t] = \>", \(y'\)[t]]; \n
    Print["\<y''[t] = \>", \(\(y'\)'\)[t]]; \nPrint["\< \>"]; \n
    Print["\<t y''[t] - t y'[t] - y[t] = \>", Ly]; \n
    Print["\<t y''[t] - t y'[t] - y[t] = \>", Expand[Ly]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, y]; \ny[t_]\  = \ t\ \[ExponentialE]\^t; \n
    Plot[y[t], {t, 0, 1}, PlotRange -> {{0, 1}, {0, 3}}, 
      PlotStyle \[Rule] {RGBColor[0, 0, 1]}, 
      AxesLabel \[Rule] {"\<t\>", "\<y\>"}, 
      Ticks -> {Range[0, 1, 0.25], Range[0, 3, 0.5]}]; \n
    Print["\<y[t] = \>", y[t]]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.9  ",
  StyleBox["Inverting the Laplace Transform",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.9"],

Cell[TextData[{
  StyleBox["Theorem 11.19,  Page 441.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Nonrepeated Linear Factors)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(P \((s)\)\)]],
  "  be a poynomial of degree at most  ",
  Cell[BoxData[
      \(n - 1\)]],
  ".  If  ",
  Cell[BoxData[
      \(Q \((s)\)\)]],
  "  has degree n,  and has distinct complex roots  ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(a\_1\),
          FontSize->14], ",", 
        StyleBox[\(a\_2\),
          FontSize->14], 
        StyleBox[",",
          FontSize->14], "\[CenterEllipsis]", 
        StyleBox[",",
          FontSize->14], 
        StyleBox[\(a\_n\),
          FontSize->14]}]]],
  ",  then\n\t",
  Cell[BoxData[
      RowBox[{\(Y \((s)\)\), "=", 
        RowBox[{
          FractionBox[
            StyleBox[\(P \((s)\)\),
              FontSize->12], 
            StyleBox[\(Q \((s)\)\),
              FontSize->12]], "=", 
          RowBox[{
            FractionBox[
              StyleBox[\(P \((s)\)\),
                FontSize->12], 
              
              StyleBox[
                \(\((s - a\_1)\) \((s - a\_2)\) \[CenterEllipsis] 
                  \((s - a\_n)\)\),
                FontSize->12]], "=", " ", 
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], 
                StyleBox[\(k = 1\),
                  FontSize->10], 
                StyleBox["n",
                  FontSize->10]], 
              FractionBox[
                StyleBox[\(Res[Y, a\_k]\),
                  FontSize->14], 
                StyleBox[\(s\  - \ a\_k\),
                  FontSize->14]]}]}]}]}]]],
  ".\n\n",
  StyleBox["Theorem 11.20,  Page 441.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(A Repeated Linear Factors)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  ",
  Cell[BoxData[
      \(P \((s)\)\)]],
  "  and ",
  Cell[BoxData[
      \(Q \((s)\)\)]],
  "  are polynomials of degree  ",
  Cell[BoxData[
      \(\[Mu]\)]],
  "   and  ",
  Cell[BoxData[
      \(\[Nu]\)]],
  ",  respectively and  ",
  Cell[BoxData[
      \(\[Mu] < \[Nu] + n\)]],
  "  and  ",
  Cell[BoxData[
      \(Q \((a)\) \[NotEqual] 0\)]],
  ",  then\n\t",
  Cell[BoxData[
      RowBox[{\(Y \((s)\)\), "=", 
        RowBox[{
          FractionBox[
            StyleBox[\(P \((s)\)\),
              FontSize->12], 
            StyleBox[
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    RowBox[{"s", " ", "-", 
                      StyleBox[" ",
                        FontSize->12], "a"}], ")"}], "n"], "Q", \((s)\)}],
              FontSize->12]], "=", " ", 
          RowBox[{
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], 
                StyleBox[\(k = 1\),
                  FontSize->10], 
                StyleBox["n",
                  FontSize->10]], 
              FractionBox[
                SubscriptBox[
                  StyleBox["A",
                    FontSize->14], "k"], 
                StyleBox[
                  SuperscriptBox[
                    RowBox[{"(", 
                      RowBox[{"s", " ", "-", 
                        StyleBox[" ",
                          FontSize->12], "a"}], ")"}], "k"],
                  FontSize->12]]}], " ", "+", " ", \(R \((s)\)\)}]}]}]]],
  ",\nwhere  ",
  Cell[BoxData[
      \(R \((s)\)\)]],
  "  is the sum of all partial fractions that do not involve factors of the \
form  ",
  Cell[BoxData[
      StyleBox[
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"s", " ", "-", 
              StyleBox[" ",
                FontSize->12], "a"}], ")"}], "j"],
        FontSize->12]]],
  ".  Furthermore, the coefficients  ",
  Cell[BoxData[
      SubscriptBox[
        StyleBox["A",
          FontSize->14], "k"]]],
  "  can be computed with the formula\n\t",
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox["A",
            FontSize->14], "k"], "=", 
        RowBox[{
          FractionBox[
            StyleBox["1",
              FontSize->12], 
            StyleBox[\(\((n\  - \ k)\)!\),
              FontSize->12]], 
          RowBox[{
            UnderscriptBox["lim", 
              StyleBox[\(s \[Rule] a\),
                FontSize->10]], 
            RowBox[{
              SubscriptBox["\[PartialD]", 
                StyleBox[\({s, n - k}\),
                  FontSize->10]], 
              FractionBox[
                StyleBox[\(P \((s)\)\),
                  FontSize->12], 
                StyleBox[\(Q \((s)\)\),
                  FontSize->12]]}]}]}]}]]],
  "   for   ",
  Cell[BoxData[
      \(k = 1, 2, \[CenterEllipsis], n\)]],
  ". \n\n",
  StyleBox["Theorem 11.21,  Page 442.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Irreducible Quadratic Factors)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(P \((s)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(P \((s)\)\)]],
  "  be polynomials with real coefficients such that the degree of  ",
  Cell[BoxData[
      \(P \((s)\)\)]],
  "  is at most  1  larger than the degree of  ",
  Cell[BoxData[
      \(Q \((s)\)\)]],
  ".   If  ",
  Cell[BoxData[
      \(T \((s)\)\)]],
  "  does not have a factor of the form  ",
  Cell[BoxData[
      \(\((s - a)\)\^2 + b\^2\)]],
  ",  then\n\t",
  Cell[BoxData[
      RowBox[{\(Y \((s)\)\), "=", 
        RowBox[{
          FractionBox[
            StyleBox[\(P \((s)\)\),
              FontSize->12], 
            StyleBox[\(Q \((s)\)\),
              FontSize->12]], "=", 
          RowBox[{
            FractionBox[
              StyleBox[\(P \((s)\)\),
                FontSize->12], 
              StyleBox[
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      SuperscriptBox[
                        RowBox[{"(", 
                          RowBox[{"s", 
                            StyleBox[" ",
                              FontSize->12], "-", " ", "a"}], ")"}], "2"], 
                      " ", "+", " ", \(b\^2\)}], " ", ")"}], "T", \((s)\)}],
                FontSize->12]], "=", 
            RowBox[{
              FractionBox[
                StyleBox[\(2\ A \((s\  - \ a\ )\) - \ 2 B\ b\),
                  FontSize->12], 
                StyleBox[\(\((s\  - \ a\ )\)\^2\ \  + \ \ b\^2\),
                  FontSize->12]], " ", "+", " ", \(R \((s)\)\)}]}]}]}]]],
  ",\nwhere  ",
  Cell[BoxData[
      RowBox[{\(A\  + \[ImaginaryI]\ B\), "=", 
        FractionBox[
          StyleBox[\(P \((a\  + \ \[ImaginaryI]\ b)\)\),
            FontSize->12], 
          StyleBox[
            RowBox[{
              SuperscriptBox["Q", "\[Prime]",
                MultilineFunction->None], \((a\  + \ \[ImaginaryI]\ b)\)}],
            FontSize->12]]}]]],
  ".\n\n",
  StyleBox["Theorem 11.22,  Page 445.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Inverse Laplace Transform)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      RowBox[{\(F \((s)\)\), "=", 
        FractionBox[
          StyleBox[\(P \((s)\)\),
            FontSize->12], 
          StyleBox[\(Q \((s)\)\),
            FontSize->12]]}]]],
  ",  where  ",
  Cell[BoxData[
      \(P \((s)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(Q \((s)\)\)]],
  "  are polynomials of degree m  and  n, respectively, and  ",
  Cell[BoxData[
      \(n > m\)]],
  ".  The inverse Laplace transform of  ",
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  is given by\n\t",
  Cell[BoxData[
      RowBox[{\(f \((t)\)\), "=", 
        RowBox[{
          RowBox[{
            StyleBox[
              SuperscriptBox[
                StyleBox["\[ScriptCapitalL]",
                  FontSize->16], \(-1\)],
              FontSize->16], 
            RowBox[{"(", 
              RowBox[{"F", 
                StyleBox[\((s)\),
                  FontSize->12]}], 
              StyleBox[")",
                FontSize->12]}]}], "=", " ", 
          RowBox[{"\[Sum]", " ", 
            RowBox[{
              StyleBox["Res",
                FontSize->14], 
              StyleBox["[",
                FontSize->14], 
              RowBox[{
                RowBox[{
                  StyleBox["F",
                    FontSize->14], 
                  StyleBox[\((s)\),
                    FontSize->14], 
                  SuperscriptBox["\[ExponentialE]", 
                    StyleBox[\(s\ t\),
                      FontSize->10]]}], 
                StyleBox[",",
                  FontSize->14], 
                SubscriptBox[
                  StyleBox["s",
                    FontSize->14], "k"]}], 
              StyleBox["]",
                FontSize->14]}]}]}]}]]],
  ",\nwhere the sum is taken over all the residues of the complex function  ",
  
  Cell[BoxData[
      RowBox[{
        StyleBox["F",
          FontSize->14], 
        StyleBox[\((s)\),
          FontSize->14], 
        SuperscriptBox["\[ExponentialE]", 
          StyleBox[\(s\ t\),
            FontSize->10]]}]]],
  ".\n\n",
  StyleBox["Theorem 11.23,  Page 446.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Heaviside Expansion Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(P \((s)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(Q \((s)\)\)]],
  "  be polynomials of degree m  and  n, respectively, where  ",
  Cell[BoxData[
      \(n > m\)]],
  ".   If  ",
  Cell[BoxData[
      \(Q \((s)\)\)]],
  "  has  n  distinct simple zeros at the points  ",
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox["s",
            FontSize->14], "1"], ",", 
        SubscriptBox[
          StyleBox["s",
            FontSize->14], "2"], 
        StyleBox[",",
          FontSize->14], "\[CenterEllipsis]", 
        StyleBox[",",
          FontSize->14], 
        SubscriptBox[
          StyleBox["s",
            FontSize->14], "n"]}]]],
  ",  then  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(P \((s)\)\),
          FontSize->12], 
        StyleBox[\(Q \((s)\)\),
          FontSize->12]]]],
  "  is the Laplace transform of the function  ",
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  given by\n\t",
  Cell[BoxData[
      RowBox[{\(f \((t)\)\), "=", 
        RowBox[{
          RowBox[{
            StyleBox[
              SuperscriptBox[
                StyleBox["\[ScriptCapitalL]",
                  FontSize->16], \(-1\)],
              FontSize->16], 
            RowBox[{"(", 
              FractionBox[
                StyleBox[\(P \((s)\)\),
                  FontSize->12], 
                StyleBox[\(Q \((s)\)\),
                  FontSize->12]], 
              StyleBox[")",
                FontSize->12]}]}], "=", " ", 
          RowBox[{
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], 
              StyleBox[\(k = 1\),
                FontSize->10], 
              StyleBox["n",
                FontSize->10]], 
            RowBox[{
              FractionBox[
                StyleBox[
                  RowBox[{"P", 
                    RowBox[{"(", 
                      SubscriptBox[
                        StyleBox["s",
                          FontSize->14], "k"], ")"}]}],
                  FontSize->12], 
                StyleBox[
                  RowBox[{
                    SuperscriptBox["Q", "\[Prime]",
                      MultilineFunction->None], 
                    RowBox[{"(", 
                      SubscriptBox[
                        StyleBox["s",
                          FontSize->14], "k"], ")"}]}],
                  FontSize->12]], 
              SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                  SubscriptBox[
                    StyleBox["s",
                      FontSize->12], "k"], 
                  StyleBox[" ",
                    FontSize->10], 
                  StyleBox["t",
                    FontSize->11]}]]}]}]}]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load the following ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  packages.  Make sure this is done only ONCE in a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`LaplaceTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.24,  Page 442.",
    FontWeight->"Bold"],
  "  Find the inverse Laplace transform of  \n      Y(s)  = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(s\^3\  - \ 4 s\  + \ 1\),
          FontSize->14], 
        StyleBox[\(s \((s - 1)\)\^3\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a1, a2, a3, b1, F, PQ, Pr, s, Y]; \n
    Y[s_]\  = \ \(s\^3\  - \ 4  s\  + \ 1\)\/\(s \((s - 1)\)\^3\); \n
    Print["\<Y[s] = \>", Y[s]]; \nPrint["\<Y[s] = \>", Apart[Y[s]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell["\<\
The partial fraction expansion can be obtained with residues.
At  s = 1, we compute as follows:\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(PQ\  = \ \(s\^3\  - \ 4  s\  + \ 1\)\/s; \n
    a3\  = \ Limit[PQ, s \[Rule] 1]; \n
    a2\  = \ Limit[\[PartialD]\_s\ PQ, s \[Rule] 1]; \n
    a1\  = 1\/\(2!\)\ Limit[\[PartialD]\_\(s, s\)PQ, s \[Rule] 1]; \n
    Print[\*"\"\<\!\(a\_3\) = \!\(lim\+\(s \[Rule] 1\)\) \>\"", PQ, 
      "\< = \>", a3]; \n
    Print[\*"\"\<\!\(a\_2\) = \!\(lim\+\(s \[Rule] 1\)\) \>\"", 
      Together[\[PartialD]\_s\ PQ], "\< = \>", a2]; \n
    Print[\*"\"\<\!\(a\_1\) = \!\(lim\+\(s \[Rule] 1\)\) \>\"", 
      Together[\[PartialD]\_\(s, s\)PQ], "\< = \>", a1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["At  s = 0, we compute as follows:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(PR\  = \ \(s\^3\  - \ 4  s\  + \ 1\)\/\((s - 1)\)\^3; \n
    b1\  = \ Limit[PR, s \[Rule] 0]; \n
    Print[\*"\"\<\!\(b\_1\) = \!\(lim\+\(s \[Rule] 0\)\) \>\"", PR, 
      "\< = \>", b1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The partial fraction expansion is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(F[s_]\  = 
      \(\ a3\)\/\((s\  - \ 1)\)\^3\  + \(\ a2\)\/\((s\  - \ 1)\)\^2 + \ 
        a1\/\(s\  - \ 1\)\  + \(\ b1\)\/s; \nPrint["\<F[s] = \>", F[s]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Or we can use ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  command to find the partial fraction expansion."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print["\<Y[s] = \>", Apart[Y[s]]]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Using the table of Laplace transforms, the solution is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(For[i = 1, i \[LessEqual] 4, \(i++\), 
      Yi\  = \ \(Apart[Y[s]]\)[\([i]\)]; \n
      yi\  = \ InverseLaplaceTransform[\(Apart[Y[s]]\)[\([i]\)], \ s, \ t]; \n
      Print[Yi, "\<          \>", yi]]; \n
    y[t_]\  = \ 
      \(-\ t\^2\)\ \[ExponentialE]\^t\  + \ t\ \[ExponentialE]\^t\  + \ 
        2\ \[ExponentialE]\^t\  - \ 1; \nPrint["\<y[t] = \>", y[t]]; \)], 
  "Input"],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the InverseLaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(y[t_]\  = \ InverseLaplaceTransform[Y[s], \ s, \ t]; \n
    Print["\<Y[s] = \>", Apart[Y[s]]]; \nPrint["\<y[t] = \>", y[t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.25,  Page 443.",
    FontWeight->"Bold"],
  "  Find the inverse Laplace transform of   \n      F(s)  = ",
  Cell[BoxData[
      RowBox[{" ", 
        FractionBox[
          StyleBox[\(5 s\),
            FontSize->14], 
          StyleBox[\(\((s\^2 + 4)\) \((s\^2 + 9)\)\),
            FontSize->14]]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a1, a2, A1, A2, b1, b2, B1, B2, F, F1, F2, i, res1, res2, s, Y, 
      Yi, z1, z2]; \nY[s_]\  = \ \(5  s\)\/\(\((s\^2 + 4)\) \((s\^2 + 9)\)\); 
    \nPrint["\<Y[s] = \>", Y[s]]; \nPrint["\<Y[s] = \>", Apart[Y[s]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The simple poles in the upper half plane occur at  ",
  Cell[BoxData[
      \(z\_1\)],
    FontSize->14],
  " = 2i  and  ",
  Cell[BoxData[
      StyleBox[\(z\_2\),
        FontSize->14]]],
  " = 3i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(z1\  = \ 2  \[ImaginaryI]; \nz2\  = \ 3  \[ImaginaryI]; \n
    res1\  = \ Residue[Y[s], {s, z1}]; \nres2\  = \ Residue[Y[s], {s, z2}]; \n
    Print["\<Res[Y[s],\>", z1, "\<] = \>", res1]; \n
    Print["\<Res[Y[s],\>", z2, "\<] = \>", res2]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(a1\  = \ Re[z1]; \nb1\  = \ Im[z1]; \nA1\  = \ Re[res1]; \n
    B1\  = \ Im[res1]; \na2\  = \ Re[z2]; \nb2\  = \ Im[z2]; \n
    A2\  = \ Re[res2]; \nB2\  = \ Im[res2]; \n
    F1[s_]\  = 
      \((2\ A1 \((s\  - \ a1)\)\  - \ 2\ B1\ b1)\)\/\((
          \((s\  - \ a1)\)\^2\  + \ b1\^2)\); \n
    F2[s_]\  = 
      \((2\ A2 \((s\  - \ a2)\)\  - \ 2\ B2\ b2)\)\/\((
          \((s\  - \ a2)\)\^2\  + \ b2\^2)\); \nPrint["\<F1[s] = \>", F1[s]]; 
    \nPrint["\<F2[s] = \>", F2[s]]; \n
    Print["\< F[s] = \>", F1[s]\  + \ F2[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell["The partial fraction expansion for  Y(s)  is:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print["\<Y[s] = \>", Apart[Y[s]]]; \)\)], "Input"],

Cell[TextData["Using the table of Laplace transforms, the answer is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(For[i = 1, i \[LessEqual] 2, \(i++\), 
      Yi\  = \ \(Apart[Y[s]]\)[\([i]\)]; \n
      yi\  = \ InverseLaplaceTransform[\(Apart[Y[s]]\)[\([i]\)], \ s, \ t]; \n
      Print[Yi, "\<          \>", yi]]; \n
    y[t_]\  = \ Cos[2  t]\  - \ Cos[3  t]; \nPrint["\<y[t] = \>", y[t]]; \)], 
  "Input"],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the InverseLaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(y[t_]\  = \ InverseLaplaceTransform[Y[s], \ s, \ t]; \n
    Print["\<Y[s] = \>", Apart[Y[s]]]; \nPrint["\<y[t] = \>", y[t]]; \n
    Print["\<y[t] = \>", Expand[y[t]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.26,  Page 444.",
    FontWeight->"Bold"],
  "  Find the inverse Laplace transform of:\n      Y(s) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(s\^3 + \ s\^2 - s + 1\),
          FontSize->14], 
        StyleBox[\(s \(\((s + 1)\)\^2\) \((s\^2 + 1)\)\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[i, s, t, y, Y, Yi]; \n
    Y[s_]\  = \ 
      \(s\^3 + 3  s\^2 - s + 1\)\/\(s \(\((s + 1)\)\^2\) \((s\^2 + 1)\)\); \n
    Print["\<Y[s] = \>", Y[s]]; \nPrint["\<Y[s] = \>", Apart[Y[s]]]; \)], 
  "Input"],

Cell[TextData["Using the table of Laplace transforms, the answer is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(For[i = 1, i \[LessEqual] 4, \(i++\), 
      Yi\  = \ \(Apart[Y[s]]\)[\([i]\)]; \n
      yi\  = \ InverseLaplaceTransform[\(Apart[Y[s]]\)[\([i]\)], \ s, \ t]; \n
      Print[Yi, "\<          \>", yi]]; \n
    y[t_]\  = \ 
      1\  - \ 2\ t\ \[ExponentialE]\^\(-t\) - \ 2\ \[ExponentialE]\^\(-t\) + 
        \ Sin[t]\  + \ Cos[t]; \nPrint["\<y[t] = \>", y[t]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.27,  Page 444.",
    FontWeight->"Bold"],
  "\t Solve the initial value problem\n     ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(t)  =    y(t)  -  x(t)          with     y(0) = 1,\n     ",
  Cell[BoxData[
      \(\(x\^'\)\)]],
  "(t)  =  5y(t)  -  3x(t)                     x(0) = 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn1, eqn2, s, solset, t, x, x0, X, y, y0, Y]; \nx0\  = \ 2; \n
    y0\  = \ 1; \n
    eqn1\ \  = \ \ s\ Y[s]\  - \ y0\ \  == \ \ \ Y[s]\  - \ X[s]; \n
    eqn2\ \  = \ \ s\ X[s]\  - \ x0\ \  == \ \ 5  Y[s]\  - \ 3  X[s]; \n
    Print["\<x[0] = \>", x0]; \nPrint["\<y[0] = \>", y0]; \nPrint[eqn1]; \n
    Print[eqn1]; \nsolset\  = \ Solve[{eqn1, eqn2}, \ {X[s], Y[s]}]; \n
    Print[solset]; \n
    X[s_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Y[s_]\  = \ solset\[LeftDoubleBracket]1, 2, 2\[RightDoubleBracket]; \n
    y[t_]\  = \ InverseLaplaceTransform[Y[s], \ s, \ t]; \n
    x[t_]\  = \ InverseLaplaceTransform[X[s], \ s, \ t]; \n
    Print["\<X[s] = \>", X[s]]; \nPrint["\<Y[s] = \>", Y[s]]; \n
    Print["\< \>"]; \nPrint["\<x[t] = \>", x[t]]; \n
    Print["\<y[t] = \>", y[t]]; \nPrint["\< \>"]; \n
    Print["\<        y'[t] = \>", \(y'\)[t]]; \n
    Print["\<  y[t] - x[t] = \>", Expand[y[t] - x[t]]\ ]; \nPrint["\< \>"]; \n
    Print["\<        x'[t] = \>", \(x'\)[t]]; \n
    Print["\<5y[t] - 3x[t] = \>", Expand[5  y[t]\  - \ 3  x[t]]]; \)], "Input",\

  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the DSolve package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn1, eqn2, solset, t, x, y]; \n
    eqn1\  = \ \(y'\)[t]\  == \ \ y[t]\  - \ x[t]; \n
    eqn2\  = \ \(x'\)[t]\  == \ 5  y[t]\  - \ 3  x[t]; \nPrint[eqn1]; \n
    Print[eqn1]; \n
    solset\  = \ 
      DSolve[{eqn1, eqn2, \ x[0] == 2, \ y[0] == 1}, \ \n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ {y[t], \ x[t]}, \ t]; \n
    Print[solset]; \n
    y[t_]\  = \ 
      FullSimplify[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \n
    x[t_]\  = \ 
      FullSimplify[solset\[LeftDoubleBracket]1, 2, 2\[RightDoubleBracket]]; \n
    Print["\< \>"]; \nPrint["\<x[t] = \>", x[t]]; \n
    Print["\<y[t] = \>", y[t]]; \nPrint["\< \>"]; \n
    Print["\<        y'[t] = \>", \(y'\)[t]]; \n
    Print["\<  y[t] - x[t] = \>", Expand[y[t] - x[t]]\ ]; \nPrint["\< \>"]; \n
    Print["\<        x'[t] = \>", \(x'\)[t]]; \n
    Print["\<5y[t] - 3x[t] = \>", Expand[5  y[t]\  - \ 3  x[t]]]; \)], "Input",\

  AspectRatioFixed->True],

Cell[BoxData[
    \(ParametricPlot[{x[t], y[t]}, {t, 0, 5}, 
      PlotRange -> {{\(-0.1\), 2}, {\(-0.1\), 1}}, 
      PlotStyle \[Rule] {RGBColor[0, 0, 1]}, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
      Ticks -> {Range[0, 2, 0.5], Range[0, 1, 0.25]}]; \n
    Print["\<x[t] = \>", x[t]]; \nPrint["\<y[t] = \>", y[t]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.28,  Page 446.",
    FontWeight->"Bold"],
  "  \tFind the inverse Laplace transform of  \n      F(s)  =  ",
  Cell[BoxData[
      StyleBox[
        FractionBox[
          StyleBox[\(4 s\  + \ 3\),
            FontSize->14], 
          StyleBox[\(\ s\^3\  + \ 2 s\^2\  + \ s\  + \ 2\),
            FontSize->14]],
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, P, Q, s, solset, s1, s2, s3]; \nP[s_]\  = \ 4  s\  + \ 3; \n
    Q[s_]\  = \ s\^3\  + \ 2  s\^2\  + \ s\  + \ 2; \nF[s_]\  = \ P[s]\/Q[s]; 
    \nPrint["\<P[s] = \>", P[s]]; \nPrint["\<Q[s] = \>", Q[s]]; \n
    Print["\<F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[Q[s] == 0, s]; \n
    s1\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    s2\  = \ solset\[LeftDoubleBracket]2, 1, 2\[RightDoubleBracket]; \n
    s3\  = \ solset\[LeftDoubleBracket]3, 1, 2\[RightDoubleBracket]; \n
    Print["\<Q[s] = \>", Q[s]]; \nPrint["\<Q[s] = \>", Factor[Q[s]]]; \n
    Print["\<The roots of Q[s] are:\>"]; \nPrint[solset]; \n
    Print[\*"\"\<\!\(s\_1\) = \>\"", s1]; \n
    Print[\*"\"\<\!\(s\_2\) = \>\"", s2]; \n
    Print[\*"\"\<\!\(s\_3\) = \>\"", s3]; \)], "Input"],

Cell[TextData[{
  "Q(s) has simple zeros at the points  ",
  Cell[BoxData[
      StyleBox[\(s\_1\),
        FontSize->14]]],
  " = - 2,  ",
  Cell[BoxData[
      StyleBox[\(s\_2\),
        FontSize->14]]],
  " = i, and  ",
  Cell[BoxData[
      StyleBox[\(s\_3\),
        FontSize->14]]],
  " = - i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<\!\(P[\(-2\)]\/\(Q'\)[\(-2\)]\) = \>\"", 
      P[\(-2\)]\/\(Q'\)[\(-2\)]]; \n
    Print[\*"\"\<\!\(P[\[ImaginaryI]]\/\(Q'\)[\[ImaginaryI]]\) = \>\"", 
      P[\[ImaginaryI]]\/\(Q'\)[\[ImaginaryI]]]; \n
    Print[\*"\"\<\!\(P[\(-\[ImaginaryI]\)]\/\(Q'\)[\(-\[ImaginaryI]\)]\) = \>\
\"", P[\(-\[ImaginaryI]\)]\/\(Q'\)[\(-\[ImaginaryI]\)]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = 
      P[\(-2\)]\/\(Q'\)[\(-2\)]\ \[ExponentialE]\^\(\(-2\) t\) + 
        P[\[ImaginaryI]]\/\(Q'\)[\[ImaginaryI]]\ 
          \[ExponentialE]\^\(\[ImaginaryI]\ t\) + 
        P[\(-\[ImaginaryI]\)]\/\(Q'\)[\(-\[ImaginaryI]\)]\ 
          \[ExponentialE]\^\(\(-\[ImaginaryI]\)\ t\); \n
    Print["\<f[t] = \>", f[t]]; \nPrint["\<f[t] = \>", ComplexExpand[f[t]]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the InverseLaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ InverseLaplaceTransform[F[s], \ s, \ t]; \n
    Print["\<F[s] = \>", Apart[F[s]]]; \nPrint["\<f[t] = \>", f[t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 11.10  ",
  StyleBox["Convolution",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 11.10"],

Cell[TextData[{
  StyleBox["Theorem 10.24,  Page 448.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Convolution Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let",
  StyleBox["  ",
    FontSize->14],
  Cell[BoxData[
      \(F \((s)\)\)]],
  "  and",
  StyleBox["  ",
    FontSize->14],
  Cell[BoxData[
      \(G \((s)\)\)]],
  "  denote the Laplace transforms of",
  StyleBox["  ",
    FontSize->14],
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  and",
  StyleBox["  ",
    FontSize->14],
  Cell[BoxData[
      \(g \((t)\)\)]],
  ",  respectively.  Then the product ",
  StyleBox[" ",
    FontSize->14],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(H \((s)\)\), 
          StyleBox[" ",
            FontSize->14], 
          StyleBox["=",
            FontSize->14], \(F \((s)\) G \((s)\)\)}], "  "}]]],
  "is the Laplace transform of the convolution of",
  StyleBox["  ",
    FontSize->14],
  Cell[BoxData[
      \(f \((t)\)\)]],
  "  and ",
  StyleBox[" ",
    FontSize->14],
  Cell[BoxData[
      \(g \((t)\)\)]],
  ",  and is denoted by  ",
  Cell[BoxData[
      \(h \((t)\) = \((f*g)\) \((t)\)\)]],
  ",  and has the integral representation \n",
  Cell[BoxData[{
      RowBox[{
        RowBox[{\(h \((t)\)\), "=", 
          RowBox[{\(\((f*g)\) \((t)\)\), "=", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox["0",
                  FontSize->10], 
                StyleBox["t",
                  FontSize->10]], 
              \(f \((\[Tau])\)\ g \((t\  - \ \[Tau])\) 
                \[DifferentialD]\[Tau]\)}]}]}], ",", "  ", "or"}], 
      RowBox[{\(h \((t)\)\), "=", 
        RowBox[{\(\((g*f)\) \((t)\)\), "=", " ", 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["0",
                FontSize->10], 
              StyleBox["t",
                FontSize->10]], 
            \(g \((\[Tau])\)\ f \((t\  - \ \[Tau])\) 
              \(\[DifferentialD]\[Tau].\)\)}]}]}]}]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load the following ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  packages.  Make sure this is done only ONCE in a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Calculus`LaplaceTransform`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 11.29,  Page 449.",
    FontWeight->"Bold"],
  "  Use convolution to find the inverse Laplace transform of \n      H(s)  \
=",
  Cell[BoxData[
      RowBox[{" ", 
        FractionBox[
          StyleBox[\(2 s\),
            FontSize->14], 
          StyleBox[\(\((s\^2\  + \ 1)\)\^2\),
            FontSize->14]]}]]],
  ".\nSolution:  H(s) is the product of  F(s)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        StyleBox[\(s\^2\  + \ 1\),
          FontSize->14]]]],
  "  and  G(s)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(2 s\),
          FontSize->14], 
        StyleBox[\(s\^2\  + \ 1\),
          FontSize->14]]]],
  ", \nwhich arethe Laplace transfoms of   f(t) = sin(t)  and  g(t) = 2 \
cos(t),  respectively."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, g, G, h, H, int, s, t, \[Tau], val]; \n
    F[s_]\  = \ 1\/\(s\^2\  + \ 1\); \n
    G[s_]\  = \ \(2  s\)\/\(s\^2\  + \ 1\); \n
    H[s_]\  = \ \(2  s\)\/\((s\^2\  + \ 1)\)\^2; \n
    Print["\<    F[s] = \>", F[s]]; \nPrint["\<    G[s] = \>", G[s]]; \n
    Print["\<F[s]G[s] = \>", F[s] G[s]]; \nPrint["\<    H[s] = \>", H[s]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ Sin[t]; \ng[t_]\  = \ 2\ Cos[t]; \n
    int\  = \ \[Integral]f[t - \[Tau]] g[\[Tau]] \[DifferentialD]\[Tau]; \n
    h[t_]\  = \ 
      \[Integral]\_0\%t f[t - \[Tau]] g[\[Tau]] \[DifferentialD]\[Tau]; \n
    Print["\<      f[t] = \>", f[t]]; \nPrint["\<      g[t] = \>", g[t]]; \n
    Print["\<f[t-\[Tau]]g[\[Tau]] = \>", f[t - \[Tau]] g[\[Tau]]]; \n
    Print["\<\[Integral]f[t-\[Tau]]g[\[Tau]]\[DifferentialD]\[Tau] = \>", 
      int]; \nPrint[
      "\<\[Integral]f[t-\[Tau]]g[\[Tau]]\[DifferentialD]\[Tau] = \>", 
      Expand[int]]; \n
    Print[\*"\"\<         h[t] = \!\(\[Integral]\_0\%t\)f[t-\[Tau]]g[\[Tau]]\
\[DifferentialD]\[Tau]\>\""]; \nPrint["\<         h[t] = \>", h[t]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the InverseLaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(h[t_]\  = \ InverseLaplaceTransform[H[s], \ s, \ t]; \n
    Print["\<H[s] = \>", H[s]]; \nPrint["\<h[t] = \>", h[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.30,  Page 450.",
    FontWeight->"Bold"],
  "  Use the convolution theorem to solve the integral equation\nf(t) = 2 \
cos(t) - ",
  StyleBox["\[Integral] (t-\[Tau])f(\[Tau])\[DifferentialD] \[Tau]",
    FontSize->14],
  ",   where the integral is taken over the interval [0,t].\nSolution:  Take \
the Laplace transform of each of the terms and get:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn, f, F, s, solset]; \n
    eqn\  = \ F[s]\  == \ \(2  s\)\/\(s\^2 + \ 1\)\  - \ \ 1\/s\^2\ F[s]; \n
    solset\  = \ Solve[eqn, \ F[s]]; \nPrint[eqn]; \nPrint[solset]; \n
    F[s_]\  = \ 
      Apart[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \n
    Print["\<F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Using a table of Laplace transforms, the solution is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ \(-t\)\ Sin[t]\  + \ 2\ Cos[t]; \n
    Print["\<f[t] = \>", f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the InverseLaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ InverseLaplaceTransform[F[s], \ s, \ t]; \n
    Print["\<F[s] = \>", F[s]]; \nPrint["\<f[t] = \>", f[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.31,  Page 451.",
    FontWeight->"Bold"],
  " Find the Laplace transform of the Dirac delta function  ",
  StyleBox["\[Delta]",
    FontFamily->"Symbol"],
  "(t).\nSolution:  For any  a > 0  we define  ",
  Cell[BoxData[
      StyleBox[\(\[Delta]\_a\),
        FontSize->14]]],
  "(t)  on the interval  [0,a]  as follows:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[a, d, f, F, s, t]\), 
    \(d[a_, t_]\  = \ 1\/a; \n
    F[a_, s_]\ \  = \ \ 
      \[Integral]\_0\%a d[a, t] \(\[ExponentialE]\^\(\(-s\)\ t\)\) 
          \[DifferentialD]t; \nPrint["\<d[a,t] = \>", d[a, t]]; \n
    Print[\*"\"\<F[a,s] = \
\!\(\[Integral]\_0\%a\)d[a,t]\!\(\[ExponentialE]\^\(\(-s\)\\\ t\)\)\
\[DifferentialD]t\>\""]; \nPrint["\<F[a,s] = \>", F[a, s]]; \n
    Print["\<F[a,s] = \>", Together[F[a, s]]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Let  a\[Rule]0  to obtain the Laplace transform of   ",
  StyleBox["\[Delta]",
    FontFamily->"Symbol"],
  "(t)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[\*"\"\<F[s] = \!\(lim\+\(a \[Rule] 0\)\) F[a,s] = \>\"", 
      Limit[F[a, s], a \[Rule] 0]]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the LaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[t_]\  = \ DiracDelta[t]; \n
    F[s_]\  = \ LaplaceTransform[DiracDelta[t], \ t, \ s]; \n
    Print["\<f[t] = \>", f[t]]; \nPrint["\<F[s] = \>", F[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.32,  Page 452.",
    FontWeight->"Bold"],
  "  Solve the initial value problem\n     ",
  Cell[BoxData[
      \(y\^\(''\)\)]],
  "(t) + 4",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(t) + 13y(t)  =  3 ",
  StyleBox["\[Delta]",
    FontFamily->"Symbol"],
  "(t)    with   y(0) = 0  and  ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(0) = 0.\nSolution:  Taking transforms results in the equation:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn, s, solset, t, y, Y]; \n
    eqn\ \  = \ \ \((s\^2\  + \ 4  s\  + \ 13)\)\ Y[s]\ \  == \ \ 3; \n
    solset\  = \ Solve[eqn, \ Y[s]]; \nPrint[eqn]; \nPrint[solset]; \n
    Y[s_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<Y[s] = \>", Y[s]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Using a table of Laplace transforms, the solution is:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(y[_t]\  = \ \(\[ExponentialE]\^\(\(-2\) t\)\) Sin[3  t]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We can check this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  result using the InverseLaplaceTransform package."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(y[t_]\  = \ InverseLaplaceTransform[Y[s], \ s, \ t]; \n
    Print["\<Y[s] = \>", Y[s]]; \nPrint["\<y[t] = \>", y[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 11.33,  Page 453.",
    FontWeight->"Bold"],
  "   Use convolution to solve the initial value problem\n\t",
  Cell[BoxData[
      \(y\^\(''\)\)]],
  "(t)  +  y(t) = tan(t)\t    with  y(0) = 1  and  ",
  Cell[BoxData[
      \(\(y\^'\)\)]],
  "(0) = 2.\nSolution.  First solve  ",
  Cell[BoxData[
      \(u\^\(''\)\)]],
  "(t) + u(t) = 0  with u(0) = 1 and ",
  Cell[BoxData[
      \(\(u\^'\)\)]],
  "(0) = 2.\nSecond solve for ",
  Cell[BoxData[
      \(v\^\(''\)\)]],
  "(t) + v(t) = tan(t)   with  v(0) = 0 and ",
  Cell[BoxData[
      \(\(v\^'\)\)]],
  "(0) = 0.\nThen the desired solution is  y(t) = u(t) + v(t). "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eqn, f, g, int, s, solset, t, \[Tau], u, U, v, v1, v2, v3, v4, 
      val, y, Y]; \n
    eqn\  = \ \(s\^2\) U[s]\  - \ s\  - \ 2\  + \ U[s]\  == 0; \n
    solset\  = \ Simplify[Solve[eqn, U[s]]]; \nPrint[eqn]; \nPrint[solset]; \n
    U[s_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    u[t_]\  = \ InverseLaplaceTransform[U[s], s, t]; \n
    Print["\<U[s] = \>", U[s]]; \nPrint["\< \>"]; \n
    Print["\< u[t] = \>", u[t]]; \nPrint["\< u[0] = \>", u[0]]; \n
    Print["\<u'[0] = \>", \(u'\)[0]]; \)], "Input"],

Cell[BoxData[
    \(Y[s_]\  = \ 1\/\(s\^2\  + \ 1\); \n
    f[t_]\  = \ InverseLaplaceTransform[Y[s], s, t]; \ng[t_]\  = \ Tan[t]; \n
    int\  = \ \[Integral]f[t - \[Tau]] g[\[Tau]] \[DifferentialD]\[Tau]; \n
    v[t_]\  = \ 
      \[Integral]\_0\%t f[t - \[Tau]] g[\[Tau]] \[DifferentialD]\[Tau]; \n
    Print["\<      f[t] = \>", f[t]]; \nPrint["\<      g[t] = \>", g[t]]; \n
    Print["\<f[t-\[Tau]]g[\[Tau]] = \>", f[t - \[Tau]] g[\[Tau]]]; \n
    Print["\<\[Integral]f[t-\[Tau]]g[\[Tau]]\[DifferentialD]\[Tau] = \>", 
      int]; \nPrint["\< \>"]; \n
    Print[\*"\"\<v[t] = \!\(\[Integral]\_0\%t\)f[t-\[Tau]]g[\[Tau]]\
\[DifferentialD]\[Tau]\>\""]; \nPrint["\<v[t] = \>", v[t]]; \nPrint["\< \>"]; 
    \nPrint["\<v''[t]+v[t] = \>", \(\(v'\)'\)[t] + v[t]]; \n
    Print["\<v''[t]+v[t] = \>", Simplify[\(\(v'\)'\)[t] + v[t]]]; \)], "Input",\

  AspectRatioFixed->True],

Cell["\<\
Now use a trig substitutions to simplify the expression for v[t].\
\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(v1\  = \ 
      Cos[t]\ \((Log[Cos[t\/2] - Sin[t\/2]] - Log[Cos[t\/2] + Sin[t\/2]])\) + 
        Sin[t]; \n
    v2\  = \ Cos[t]\ 
          Log[\(Cos[t\/2] - Sin[t\/2]\)\/\(Cos[t\/2] + Sin[t\/2]\)] + Sin[t]; 
    \nv3\  = \ 
      Cos[t]\ Log[
            \(Cos[t\/2]\^2 - Sin[t\/2]\^2\)\/\((Cos[t\/2] + Sin[t\/2])\)\^2]
             + Sin[t]; \n
    v4\  = \ Cos[t]\ Log[Cos[t]\/\(1 + 2\ Cos[t\/2]\ Sin[t\/2]\)] + Sin[t]; \n
    v[t_]\  = \ Cos[t]\ Log[Cos[t]\/\(1 + Sin[t]\)] + Sin[t]; \n
    y[t_]\  = \ u[t]\  + \ v[t]; \nPrint["\<u[t] = \>", u[t]]; \n
    Print["\<v[t] = \>", v[t]]; \nPrint["\<y[t] = \>", y[t]]; \n
    Print["\< \>"]; \nPrint["\<y''[t]+y[t] = \>", \(\(y'\)'\)[t] + y[t]]; \n
    Print["\<y''[t]+y[t] = \>", Simplify[\(\(y'\)'\)[t] + y[t]]]; \n
    Print["\< y[0] = \>", y[0]]; \nPrint["\<y'[0] = \>", \(y'\)[0]]; \)], 
  "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 11",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{468, 235},
WindowMargins->{{2, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3053, 98, 4107, 152, 346, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 11"->{
    Cell[7185, 254, 254, 9, 62, "Text",
      CellTags->"CHAPTER 11"]},
  "Section 11.1"->{
    Cell[7888, 276, 232, 9, 38, "Text",
      CellTags->"Section 11.1"]},
  "Section 11.2"->{
    Cell[25640, 878, 227, 8, 38, "Text",
      CellTags->"Section 11.2"]},
  "Section 11.3"->{
    Cell[33911, 1155, 220, 8, 38, "Text",
      CellTags->"Section 11.3"]},
  "Section 11.4"->{
    Cell[43143, 1435, 209, 8, 35, "Text",
      CellTags->"Section 11.4"]},
  "Section 11.5"->{
    Cell[51312, 1717, 209, 8, 35, "Text",
      CellTags->"Section 11.5"]},
  "Section 11.6"->{
    Cell[68596, 2265, 235, 8, 59, "Text",
      CellTags->"Section 11.6"]},
  "Section 11.7"->{
    Cell[83353, 2787, 227, 8, 35, "Text",
      CellTags->"Section 11.7"]},
  "Section 11.8"->{
    Cell[93191, 3137, 224, 8, 35, "Text",
      CellTags->"Section 11.8"]},
  "Section 11.9"->{
    Cell[100800, 3397, 219, 8, 35, "Text",
      CellTags->"Section 11.9"]},
  "Section 11.10"->{
    Cell[127145, 4242, 201, 8, 35, "Text",
      CellTags->"Section 11.10"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 164432, 5533},
  {"CHAPTER 11", 164522, 5536},
  {"Section 11.1", 164614, 5539},
  {"Section 11.2", 164708, 5542},
  {"Section 11.3", 164803, 5545},
  {"Section 11.4", 164899, 5548},
  {"Section 11.5", 164995, 5551},
  {"Section 11.6", 165091, 5554},
  {"Section 11.7", 165187, 5557},
  {"Section 11.8", 165283, 5560},
  {"Section 11.9", 165379, 5563},
  {"Section 11.10", 165477, 5566}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 709, 22, 222, "Text"]
}, Closed]],
Cell[3053, 98, 4107, 152, 346, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[7185, 254, 254, 9, 62, "Text",
  CellTags->"CHAPTER 11"],
Cell[7442, 265, 409, 6, 110, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[7888, 276, 232, 9, 38, "Text",
  CellTags->"Section 11.1"],
Cell[8123, 287, 12670, 417, 697, "Text"],
Cell[20796, 706, 287, 11, 52, "Text"],
Cell[21086, 719, 96, 2, 30, "Input"],
Cell[21185, 723, 185, 4, 33, "Text"],
Cell[21373, 729, 569, 13, 207, "Input"],
Cell[21945, 744, 345, 14, 56, "Text"],
Cell[22293, 760, 129, 3, 84, "Input"],
Cell[22425, 765, 142, 5, 33, "Text"],
Cell[22570, 772, 130, 3, 50, "Input"],
Cell[22703, 777, 279, 10, 33, "Text"],
Cell[22985, 789, 169, 3, 50, "Input"],
Cell[23157, 794, 338, 16, 33, "Text"],
Cell[23498, 812, 687, 12, 283, "Input"],
Cell[24188, 826, 1229, 38, 96, "Text"],
Cell[25420, 866, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[25640, 878, 227, 8, 38, "Text",
  CellTags->"Section 11.2"],
Cell[25870, 888, 5414, 170, 377, "Text"],
Cell[31287, 1060, 1722, 63, 156, "Text"],
Cell[33012, 1125, 243, 5, 95, "Input"],
Cell[33258, 1132, 430, 9, 123, "Input"],
Cell[33691, 1143, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[33911, 1155, 220, 8, 38, "Text",
  CellTags->"Section 11.3"],
Cell[34134, 1165, 372, 12, 71, "Text"],
Cell[34509, 1179, 1071, 34, 77, "Text"],
Cell[35583, 1215, 1141, 43, 58, "Text"],
Cell[36727, 1260, 343, 7, 147, "Input"],
Cell[37073, 1269, 394, 9, 70, "Input"],
Cell[37470, 1280, 384, 6, 150, "Input"],
Cell[37857, 1288, 227, 4, 104, "Input"],
Cell[38087, 1294, 338, 7, 90, "Input"],
Cell[38428, 1303, 831, 14, 388, "Input"],
Cell[39262, 1319, 1119, 43, 77, "Text"],
Cell[40384, 1364, 341, 7, 147, "Input"],
Cell[40728, 1373, 397, 9, 70, "Input"],
Cell[41128, 1384, 384, 6, 150, "Input"],
Cell[41515, 1392, 227, 4, 104, "Input"],
Cell[41745, 1398, 341, 7, 90, "Input"],
Cell[42089, 1407, 831, 14, 388, "Input"],
Cell[42923, 1423, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[43143, 1435, 209, 8, 35, "Text",
  CellTags->"Section 11.4"],
Cell[43355, 1445, 2673, 93, 205, "Text"],
Cell[46031, 1540, 286, 11, 52, "Text"],
Cell[46320, 1553, 96, 2, 30, "Input"],
Cell[46419, 1557, 273, 10, 33, "Text"],
Cell[46695, 1569, 917, 18, 260, "Input"],
Cell[47615, 1589, 368, 13, 52, "Text"],
Cell[47986, 1604, 179, 3, 83, "Input"],
Cell[48168, 1609, 208, 7, 33, "Text"],
Cell[48379, 1618, 795, 17, 291, "Input"],
Cell[49177, 1637, 359, 14, 37, "Text"],
Cell[49539, 1653, 241, 5, 72, "Input"],
Cell[49783, 1660, 441, 15, 76, "Text"],
Cell[50227, 1677, 237, 4, 141, "Input"],
Cell[50467, 1683, 170, 3, 70, "Input"],
Cell[50640, 1688, 449, 15, 56, "Text"],
Cell[51092, 1705, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[51312, 1717, 209, 8, 35, "Text",
  CellTags->"Section 11.5"],
Cell[51524, 1727, 2644, 97, 265, "Text"],
Cell[54171, 1826, 285, 11, 52, "Text"],
Cell[54459, 1839, 96, 2, 30, "Input"],
Cell[54558, 1843, 280, 7, 71, "Text"],
Cell[54841, 1852, 655, 13, 229, "Input"],
Cell[55499, 1867, 289, 11, 52, "Text"],
Cell[55791, 1880, 752, 14, 236, "Input"],
Cell[56546, 1896, 288, 5, 52, "Text"],
Cell[56837, 1903, 297, 5, 91, "Input"],
Cell[57137, 1910, 207, 7, 33, "Text"],
Cell[57347, 1919, 170, 3, 70, "Input"],
Cell[57520, 1924, 1126, 45, 100, "Text"],
Cell[58649, 1971, 1191, 21, 454, "Input"],
Cell[59843, 1994, 199, 7, 52, "Text"],
Cell[60045, 2003, 725, 14, 236, "Input"],
Cell[60773, 2019, 288, 5, 52, "Text"],
Cell[61064, 2026, 252, 5, 71, "Input"],
Cell[61319, 2033, 207, 7, 33, "Text"],
Cell[61529, 2042, 164, 3, 70, "Input"],
Cell[61696, 2047, 206, 7, 52, "Text"],
Cell[61905, 2056, 182, 7, 33, "Text"],
Cell[62090, 2065, 748, 14, 236, "Input"],
Cell[62841, 2081, 307, 6, 52, "Text"],
Cell[63151, 2089, 306, 5, 91, "Input"],
Cell[63460, 2096, 1105, 43, 65, "Text"],
Cell[64568, 2141, 1260, 22, 456, "Input"],
Cell[65831, 2165, 377, 14, 76, "Text"],
Cell[66211, 2181, 247, 5, 124, "Input"],
Cell[66461, 2188, 119, 2, 33, "Text"],
Cell[66583, 2192, 609, 11, 276, "Input"],
Cell[67195, 2205, 493, 24, 52, "Text"],
Cell[67691, 2231, 197, 4, 70, "Input"],
Cell[67891, 2237, 207, 7, 33, "Text"],
Cell[68101, 2246, 272, 5, 90, "Input"],
Cell[68376, 2253, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[68596, 2265, 235, 8, 59, "Text",
  CellTags->"Section 11.6"],
Cell[68834, 2275, 2087, 76, 152, "Text"],
Cell[70924, 2353, 274, 10, 52, "Text"],
Cell[71201, 2365, 96, 2, 30, "Input"],
Cell[71300, 2369, 274, 10, 33, "Text"],
Cell[71577, 2381, 271, 5, 130, "Input"],
Cell[71851, 2388, 289, 11, 38, "Text"],
Cell[72143, 2401, 456, 8, 223, "Input"],
Cell[72602, 2411, 207, 7, 33, "Text"],
Cell[72812, 2420, 179, 4, 70, "Input"],
Cell[72994, 2426, 370, 13, 79, "Text"],
Cell[73367, 2441, 143, 3, 70, "Input"],
Cell[73513, 2446, 332, 14, 37, "Text"],
Cell[73848, 2462, 379, 7, 192, "Input"],
Cell[74230, 2471, 207, 7, 33, "Text"],
Cell[74440, 2480, 179, 4, 70, "Input"],
Cell[74622, 2486, 224, 10, 33, "Text"],
Cell[74849, 2498, 143, 3, 70, "Input"],
Cell[74995, 2503, 410, 20, 37, "Text"],
Cell[75408, 2525, 379, 7, 192, "Input"],
Cell[75790, 2534, 207, 7, 33, "Text"],
Cell[76000, 2543, 179, 4, 70, "Input"],
Cell[76182, 2549, 336, 13, 71, "Text"],
Cell[76521, 2564, 302, 5, 190, "Input"],
Cell[76826, 2571, 368, 7, 170, "Input"],
Cell[77197, 2580, 549, 19, 57, "Text"],
Cell[77749, 2601, 207, 7, 33, "Text"],
Cell[77959, 2610, 188, 4, 70, "Input"],
Cell[78150, 2616, 264, 5, 110, "Input"],
Cell[78417, 2623, 197, 7, 33, "Text"],
Cell[78617, 2632, 342, 6, 150, "Input"],
Cell[78962, 2640, 355, 6, 163, "Input"],
Cell[79320, 2648, 389, 16, 71, "Text"],
Cell[79712, 2666, 302, 5, 190, "Input"],
Cell[80017, 2673, 407, 9, 170, "Input"],
Cell[80427, 2684, 879, 34, 57, "Text"],
Cell[81309, 2720, 207, 7, 33, "Text"],
Cell[81519, 2729, 187, 4, 70, "Input"],
Cell[81709, 2735, 436, 9, 170, "Input"],
Cell[82148, 2746, 197, 7, 33, "Text"],
Cell[82348, 2755, 410, 9, 170, "Input"],
Cell[82761, 2766, 369, 7, 150, "Input"],
Cell[83133, 2775, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[83353, 2787, 227, 8, 35, "Text",
  CellTags->"Section 11.7"],
Cell[83583, 2797, 1633, 61, 109, "Text"],
Cell[85219, 2860, 275, 10, 52, "Text"],
Cell[85497, 2872, 96, 2, 30, "Input"],
Cell[85596, 2876, 826, 29, 56, "Text"],
Cell[86425, 2907, 371, 7, 124, "Input"],
Cell[86799, 2916, 207, 7, 33, "Text"],
Cell[87009, 2925, 229, 5, 50, "Input"],
Cell[87241, 2932, 532, 21, 75, "Text"],
Cell[87776, 2955, 287, 4, 144, "Input"],
Cell[88066, 2961, 303, 11, 52, "Text"],
Cell[88372, 2974, 256, 5, 90, "Input"],
Cell[88631, 2981, 220, 7, 52, "Text"],
Cell[88854, 2990, 476, 9, 165, "Input"],
Cell[89333, 3001, 170, 7, 33, "Text"],
Cell[89506, 3010, 170, 3, 70, "Input"],
Cell[89679, 3015, 408, 17, 71, "Text"],
Cell[90090, 3034, 359, 6, 206, "Input"],
Cell[90452, 3042, 506, 10, 226, "Input"],
Cell[90961, 3054, 757, 30, 39, "Text"],
Cell[91721, 3086, 175, 4, 50, "Input"],
Cell[91899, 3092, 197, 7, 33, "Text"],
Cell[92099, 3101, 306, 6, 110, "Input"],
Cell[92408, 3109, 393, 7, 143, "Input"],
Cell[92804, 3118, 164, 5, 33, "Text"],
Cell[92971, 3125, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[93191, 3137, 224, 8, 35, "Text",
  CellTags->"Section 11.8"],
Cell[93418, 3147, 2150, 81, 162, "Text"],
Cell[95571, 3230, 274, 10, 52, "Text"],
Cell[95848, 3242, 96, 2, 30, "Input"],
Cell[95947, 3246, 430, 14, 76, "Text"],
Cell[96380, 3262, 425, 7, 222, "Input"],
Cell[96808, 3271, 207, 7, 33, "Text"],
Cell[97018, 3280, 205, 4, 70, "Input"],
Cell[97226, 3286, 572, 21, 82, "Text"],
Cell[97801, 3309, 558, 11, 287, "Input"],
Cell[98362, 3322, 207, 7, 33, "Text"],
Cell[98572, 3331, 217, 4, 110, "Input"],
Cell[98792, 3337, 392, 16, 71, "Text"],
Cell[99187, 3355, 250, 4, 150, "Input"],
Cell[99440, 3361, 809, 14, 351, "Input"],
Cell[100252, 3377, 325, 6, 130, "Input"],
Cell[100580, 3385, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[100800, 3397, 219, 8, 35, "Text",
  CellTags->"Section 11.9"],
Cell[101022, 3407, 12059, 404, 618, "Text"],
Cell[113084, 3813, 276, 10, 52, "Text"],
Cell[113363, 3825, 96, 2, 30, "Input"],
Cell[113462, 3829, 382, 13, 62, "Text"],
Cell[113847, 3844, 244, 5, 110, "Input"],
Cell[114094, 3851, 167, 5, 52, "Text"],
Cell[114264, 3858, 605, 11, 203, "Input"],
Cell[114872, 3871, 107, 2, 33, "Text"],
Cell[114982, 3875, 247, 5, 96, "Input"],
Cell[115232, 3882, 108, 2, 33, "Text"],
Cell[115343, 3886, 219, 5, 65, "Input"],
Cell[115565, 3893, 203, 7, 33, "Text"],
Cell[115771, 3902, 98, 2, 30, "Input"],
Cell[115872, 3906, 130, 3, 33, "Text"],
Cell[116005, 3911, 400, 8, 110, "Input"],
Cell[116408, 3921, 214, 7, 33, "Text"],
Cell[116625, 3930, 187, 4, 70, "Input"],
Cell[116815, 3936, 417, 15, 78, "Text"],
Cell[117235, 3953, 283, 5, 126, "Input"],
Cell[117521, 3960, 279, 12, 33, "Text"],
Cell[117803, 3974, 300, 5, 130, "Input"],
Cell[118106, 3981, 587, 12, 302, "Input"],
Cell[118696, 3995, 109, 2, 33, "Text"],
Cell[118808, 3999, 72, 1, 30, "Input"],
Cell[118883, 4002, 127, 2, 33, "Text"],
Cell[119013, 4006, 314, 6, 110, "Input"],
Cell[119330, 4014, 214, 7, 33, "Text"],
Cell[119547, 4023, 227, 4, 90, "Input"],
Cell[119777, 4029, 406, 14, 81, "Text"],
Cell[120186, 4045, 229, 5, 110, "Input"],
Cell[120418, 4052, 127, 2, 33, "Text"],
Cell[120548, 4056, 394, 7, 110, "Input"],
Cell[120945, 4065, 393, 13, 90, "Text"],
Cell[121341, 4080, 1146, 20, 530, "Input"],
Cell[122490, 4102, 197, 7, 33, "Text"],
Cell[122690, 4111, 951, 20, 390, "Input"],
Cell[123644, 4133, 337, 6, 130, "Input"],
Cell[123984, 4141, 450, 16, 76, "Text"],
Cell[124437, 4159, 307, 5, 166, "Input"],
Cell[124747, 4166, 552, 9, 230, "Input"],
Cell[125302, 4177, 360, 16, 33, "Text"],
Cell[125665, 4195, 411, 7, 119, "Input"],
Cell[126079, 4204, 436, 9, 86, "Input"],
Cell[126518, 4215, 214, 7, 33, "Text"],
Cell[126735, 4224, 187, 4, 70, "Input"],
Cell[126925, 4230, 183, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[127145, 4242, 201, 8, 35, "Text",
  CellTags->"Section 11.10"],
Cell[127349, 4252, 2153, 78, 148, "Text"],
Cell[129505, 4332, 276, 10, 52, "Text"],
Cell[129784, 4344, 96, 2, 30, "Input"],
Cell[129883, 4348, 882, 30, 104, "Text"],
Cell[130768, 4380, 403, 8, 215, "Input"],
Cell[131174, 4390, 762, 14, 271, "Input"],
Cell[131939, 4406, 214, 7, 33, "Text"],
Cell[132156, 4415, 177, 3, 70, "Input"],
Cell[132336, 4420, 456, 12, 91, "Text"],
Cell[132795, 4434, 360, 7, 164, "Input"],
Cell[133158, 4443, 127, 2, 33, "Text"],
Cell[133288, 4447, 138, 3, 50, "Input"],
Cell[133429, 4452, 214, 7, 33, "Text"],
Cell[133646, 4461, 177, 3, 70, "Input"],
Cell[133826, 4466, 429, 14, 71, "Text"],
Cell[134258, 4482, 487, 10, 190, "Input"],
Cell[134748, 4494, 193, 7, 33, "Text"],
Cell[134944, 4503, 163, 3, 37, "Input"],
Cell[135110, 4508, 207, 7, 33, "Text"],
Cell[135320, 4517, 213, 4, 90, "Input"],
Cell[135536, 4523, 500, 19, 90, "Text"],
Cell[136039, 4544, 344, 6, 151, "Input"],
Cell[136386, 4552, 117, 2, 33, "Text"],
Cell[136506, 4556, 114, 2, 30, "Input"],
Cell[136623, 4560, 214, 7, 33, "Text"],
Cell[136840, 4569, 177, 3, 70, "Input"],
Cell[137020, 4574, 721, 25, 128, "Text"],
Cell[137744, 4601, 558, 9, 270, "Input"],
Cell[138305, 4612, 873, 15, 363, "Input"],
Cell[139181, 4629, 139, 5, 33, "Text"],
Cell[139323, 4636, 873, 17, 431, "Input"],
Cell[140199, 4655, 183, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

