(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     68907,       2251]*)
(*NotebookOutlinePosition[     93985,       3160]*)
(*  CellTagsIndexPosition[     93689,       3147]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 2   ",
    FontSize->18],
  StyleBox["COMPLEX FUNCTIONS\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 2.1  ",
    FontSize->18],
  ButtonBox["Functions of a Complex Variable",
    ButtonData:>"Section 2.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 2.2  ",
    FontSize->18],
  ButtonBox["Transformations and Linear Mappings",
    ButtonData:>"Section 2.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 2.3  ",
    FontSize->18],
  ButtonBox["The Mappings  w = z^n  and  w = z^1/n",
    ButtonData:>"Section 2.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\nSection 2.4  ",
    FontSize->18],
  ButtonBox["Limits and Continuity",
    ButtonData:>"Section 2.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 2.5  ",
    FontSize->18],
  ButtonBox["Branches of Functions",
    ButtonData:>"Section 2.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 2.6 ",
    FontSize->18],
  ButtonBox["The Reciprocal Transformation  w = 1/z\n",
    ButtonData:>"Section 2.6",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 2   ",
    FontSize->18],
  StyleBox["COMPLEX FUNCTIONS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 2"],

Cell[BoxData[
    \(SetOptions[Graphics, DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Get["\<Graphics`ComplexMap`\>"]; \n
    Clear[a, ac, al, b, bc, bhc, bl, bverti, circlea, circleb, eq1, eq2, eq3, 
      eq4, eq5, eqn, eqns, f, \ F, hc, hl, horiz, Iden, ineq, ineq1, ineq2, 
      ineq3, ineq4, ineq5, ineq6, ineq7, ineq8, ineq9, \[Theta], r, u, u0, 
      u1, u2, \ U, U0, v, vc, vl, verti, V, w, wplane, W, x, \ X, y, Y, z, Z, 
      zplane]; \)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 2.1  ",
  StyleBox["Functions of a Complex Variable",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 2.1"],

Cell[TextData[{
  "A ",
  StyleBox["function",
    FontColor->RGBColor[1, 0, 1]],
  "  f(z) of the ",
  StyleBox["complex variable",
    FontColor->RGBColor[1, 0, 1]],
  "  z  can be written:\n     f(z)  =  f(x + i y)  =  u(x,y)  + i v(x,y).\n\
The ",
  StyleBox["polar coordinate form",
    FontColor->RGBColor[1, 0, 1]],
  " of a complex function is:\n     f(",
  Cell[BoxData[
      FormBox[
        StyleBox["z",
          FontSize->14], TraditionalForm]]],
  ")  =  f(",
  Cell[BoxData[
      FormBox[
        StyleBox["r",
          FontSize->14], TraditionalForm]]],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`e\^i\[Theta]\)],
    FontSize->14],
  ")  =  u(r, ",
  Cell[BoxData[
      FormBox[
        StyleBox["\[Theta]",
          FontSize->14], TraditionalForm]]],
  StyleBox[" ",
    FontSize->14],
  ") + i v(r, ",
  Cell[BoxData[
      FormBox[
        StyleBox["\[Theta]",
          FontSize->14], TraditionalForm]]],
  " )."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "These are the two approaches to defining a ",
  StyleBox["complex function",
    FontColor->RGBColor[1, 0, 1]],
  " in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, u, v, x, y]; \nx /: Im[x] = 0; \ny /: Im[y] = 0; \n
    u /: Im[u[x, y]] = 0; \nv /: Im[v[x, y]] = 0; \nx /: Re[x] = x; \n
    y /: Re[y] = y; \nu /: Re[u[x, y]] = u[x, y]; \n
    v /: Re[v[x, y]] = v[x, y]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Method 1.",
    FontColor->RGBColor[1, 0, 1]],
  " Make  f  a function of two real variables (x,y)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, u, v, x, y]; \n
    f[x_, y_]\  := \ u[x, y]\  + \ \[ImaginaryI]\ v[x, y]\), 
    \(Print["\<f[x,y] = \>", f[x, y]]; \nPrint["\<f[2,1] = \>", f[2, 1]]; \n
    Print["\<Re[f[x,y]] = \>", ComplexExpand[Re[f[x, y]]]]; \n
    Print["\<Im[f[x,y]] = \>", ComplexExpand[Im[f[x, y]]]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Method 2.",
    FontColor->RGBColor[1, 0, 1]],
  " Make  F  a function of z."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, x, y, X, Y, u, v, U, V, Z]; \n
    F[Z_]\  := \ 
      Module[{X = Re[Z], Y = Im[Z]}, 
        Return[u[X, Y]\  + \ \[ImaginaryI]\ v[X, Y]]\ ]; \n
    Print["\< F[2+\[ImaginaryI]] = \>", F[2 + \[ImaginaryI]]]; \n
    Print["\<F[x+\[ImaginaryI]y] = \>", F[x + \[ImaginaryI]\ y]]; \n
    Print["\<F[x+\[ImaginaryI]y] = \>", 
      MapAll[ComplexExpand, \ F[x + \[ImaginaryI]\ y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
Remark:  It was necessary to use the power of  MapAll  to achieve \
the last result.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Print["\<Re[F[x+\[ImaginaryI]y]] = \>", 
      MapAll[ComplexExpand, \ Re[F[x + \[ImaginaryI]\ y]]]]\), 
    \(\(Print["\<Im[F[x+\[ImaginaryI]y]] = \>", 
      MapAll[ComplexExpand, \ Im[F[x + \[ImaginaryI]\ y]]]]; \)\)}], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.1,  Page 38.",
    FontWeight->"Bold"],
  "  Write  ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(f(z)\), "=", " ", 
          StyleBox[\(z\^4\),
            FontSize->14]}], TraditionalForm]]],
  "  in the f(z)  =  u(x,y)  + i v(x,y)  form."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, x, y]; \n
    f[x_, y_]\  = \ ComplexExpand[\((x\  + \ \[ImaginaryI]\ y)\)\^4]; \n
    Print["\<f[x,y] = \>", f[x, y]]; \nPrint["\<f[1,2] = \>", f[1, 2]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, x, y, z]; \nx /: Im[x] = 0; \ny /: Im[y] = 0; \n
    x /: Re[x] = x; \ny /: Re[y] = y; \n
    F[z_]\  := \ 
      Module[{x = Re[z], y = Im[z]}, 
        Return[Expand[\((x\  + \ \[ImaginaryI]\ y)\)\^4]]\ ]; \n
    Print["\<F[x+\[ImaginaryI]y] = \>", F[x + \[ImaginaryI]\ y]]; \n
    Print["\< F[1+2\[ImaginaryI]] = \>", F[1 + 2  \[ImaginaryI]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.2,  Page 39.",
    FontWeight->"Bold"],
  "  Write  f(z)  =   ",
  Cell[BoxData[
      \(TraditionalForm\`z\&_\)],
    FontSize->14],
  " Re(z)  +  ",
  Cell[BoxData[
      \(TraditionalForm\`z\^2\)],
    FontSize->14],
  " +  Im(z) in the form\n     f(z)  =  u(x,y)  + i v(x,y)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, x, y]; \n
    f[x_, y_]\  = \ 
      ComplexExpand[
        Conjugate[x\  + \ \[ImaginaryI]\ y] Re[x\  + \ \[ImaginaryI]\ y]\  + 
          \ \((x\  + \ \[ImaginaryI]\ y)\)\^2\  + \ 
          Im[x\  + \ \[ImaginaryI]\ y]]; \nPrint["\<f[x,y] = \>", f[x, y]]; \n
    Print["\<f[3,2] = \>", f[3, 2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(x /: Im[x] = 0; \ny /: Im[y] = 0; \nx /: Re[x] = x; \ny /: Re[y] = y; \n
    F[z_]\  := \ 
      Module[{x = Re[z], y = Im[z]}, 
        Return[ComplexExpand[
            Conjugate[x\  + \ \[ImaginaryI]\ y] Re[x\  + \ \[ImaginaryI]\ y]\ 
               + \ \((x\  + \ \[ImaginaryI]\ y)\)\^2\  + \ 
              Im[x\  + \ \[ImaginaryI]\ y]]]\ ]; \n
    Print["\<F[x+\[ImaginaryI]y] = \>", F[x + \[ImaginaryI]\ y]]; \n
    Print["\<F[3+2\[ImaginaryI]] = \>", F[3 + 2  \[ImaginaryI]]]; \)], "Input",\

  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.3,  Page 39.",
    FontWeight->"Bold"],
  "  Express  ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(f(z)\), " ", "=", " ", 
          RowBox[{
            RowBox[{"4", 
              StyleBox[\(x\^2\),
                FontSize->14]}], "+", " ", 
            RowBox[{"i", " ", "4", 
              StyleBox[\(y\^2\),
                FontSize->14]}]}]}], TraditionalForm]]],
  "  with a formula involving  z  and  ",
  Cell[BoxData[
      \(TraditionalForm\`z\&_\)],
    FontSize->14],
  ".  "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, w, x, y, z]; \nw\  = \ 4  x\^2\  + \ 4  y\^2; \n
    f[z_]\  = \ 
      ReplaceAll[w
        \ , {x \[Rule] \(z\  + \ Conjugate[z]\)\/2, 
          y \[Rule] \(z\  - \ Conjugate[z]\)\/\(2  \[ImaginaryI]\)}]; \n
    Print["\<      w = \>", w]; \nPrint["\<   f[z] = \>", f[z]]; \n
    Print["\<   f[z] = \>", Expand[f[z]]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", f[x + \[ImaginaryI]\ y]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[f[x + \[ImaginaryI]\ y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.4,  Page 39.",
    FontWeight->"Bold"],
  "  Express  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox[
          StyleBox["z",
            FontSize->14], "5"], TraditionalForm]]],
  "+ 4 ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^2\),
          FontSize->14], TraditionalForm]]],
  " - 6  in polar coordinate form."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, r, \[Theta], z]; \nf[z_]\  = \ z\^5\  + \ 4\ z\^2\  - \ 6; \n
    F[r, \[Theta]]\  = \ 
      ReplaceAll[
        f[z]\ , {
          z\^2 \[Rule] 
            r\^2\ Cos[2  \[Theta]]\  + \ 
              \[ImaginaryI]\ r\^2\ Sin[2  \[Theta]], 
          z\^5 \[Rule] 
            r\^5\ Cos[5  \[Theta]]\  + \ 
              \[ImaginaryI]\ r\^5\ Sin[5  \[Theta]]}]; \n
    Print["\<  f[z] = \>", f[z]]; \n
    Print["\<F[r,\[Theta]] = \>", F[r, \[Theta]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 2",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 2.2  ",
  StyleBox["Transformations and Linear Mappings",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 2.2"],

Cell[TextData[{
  "     In the study of complex analysis the elementary transformation of the \
form  ",
  Cell[BoxData[
      \(w = \(W \((z)\) = A\ z + B\)\)]],
  "  is called a ",
  StyleBox["linear transformation",
    FontColor->RGBColor[1, 0, 1]],
  " and it is a one-to-one mapping of the complex z-plane onto the complex \
w-plane.  Any geometric object is mapped onto an object that is similar to \
the original object: hence linear transformations can be called similarity \
mappings.\n     Notice that the usage of the word \"",
  StyleBox["linear",
    FontColor->RGBColor[1, 0, 1]],
  "\" is different than that used in linear algebra."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.  Make sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Get["\<Graphics`ComplexMap`\>"]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.5,  Page 42.",
    FontWeight->"Bold"],
  "  Show that the function  f(z)  =  i z  maps \nthe line  y = x + 1  onto \
the line  v = -u - 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[eq1, eq2, eq3, F, solset, u, v, x, y, z]; \nx /: Im[x] = 0; \n
    y /: Im[y] = 0; \nx /: Re[x] = x; \ny /: Re[y] = y; \n
    F[z_]\  := \ \[ImaginaryI]\ z\), 
    \(Print["\<   F[z] = \>", F[z]]; \n
    Print["\<F[x+\[ImaginaryI]y] = \>", F[\ x + \[ImaginaryI]\ y]]; \n
    Print["\<F[x+\[ImaginaryI]y] = \>", Expand[F[\ x + \[ImaginaryI]\ y]]]; 
    \)}], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(eq1\  = \ u\  == \ ComplexExpand[Re[F[x + \[ImaginaryI]\ y]]]; \n
    eq2\  = \ v\  == \ ComplexExpand[Im[F[x + \[ImaginaryI]\ y]]]; \n
    eq3\  = \ y\  == \ x\  + \ 1; \n
    solset\  = \ Eliminate[{eq1, eq2, eq3}, {x, y}]; \nPrint[eq3]; \n
    Print[solset]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.6,  Page 44.",
    FontWeight->"Bold"],
  "  Show that the linear transformation  w  =  i z + i  maps \nthe right \
half plane  Re(z) > 1  onto the upper half plane  Im(w) > 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[eq1, eq2, f, ineq, u, v, w, x, y, z, zz, Z]; \nx /: Im[x] = 0; \n
    y /: Im[y] = 0; \nx /: Re[x] = x; \ny /: Re[y] = y; \n
    f[z_]\  := \ \[ImaginaryI]\ z\  + \ \[ImaginaryI]; \n
    Print["\<   f[z] = \>", f[z]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", f[x + \[ImaginaryI]\ y]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", Expand[f[x + \[ImaginaryI]\ y]]]; \)],
   "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[w\  == \ \[ImaginaryI]\ z\  + \ \[ImaginaryI], \ z]; 
    \nzz\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Z\  = \ ReplaceAll[zz\ , w \[Rule] u\  + \ \[ImaginaryI]\ v]; \n
    Print["\<w = \>", f[z]]; \n
    Print["\<w = \>", f[x\  + \ \[ImaginaryI]\ y]]; \n
    Print["\<w = \>", Expand[f[x + \[ImaginaryI]\ y]]]; \n
    Print["\<u = \>", ComplexExpand[Re[f[x + \[ImaginaryI]\ y]]]]; \n
    Print["\<v = \>", ComplexExpand[Im[f[x + \[ImaginaryI]\ y]]]]; \n
    Print["\< \>"]; \nPrint[solset]; \nPrint["\< \>"]; \n
    Print["\<z = \>", zz]; \nPrint["\<z = \>", Z]; \n
    Print["\<z = \>", Expand[Z]]; \nPrint["\<x = \>", ComplexExpand[Re[Z]]]; 
    \nPrint["\<y= \>", ComplexExpand[Im[Z]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["To express  x > 1, we use the computations.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[ineq\  = \ ComplexExpand[Re[Z]]\  > \ 1]; \n
    Print[Distribute[ineq\  + \ 1, \ Greater]]; \)], "Input",
  AspectRatioFixed->True],

Cell["This solution is the upper half plane  Im(w) > 2.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, z, zplane]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ \[ImaginaryI]\ z\  + \ \[ImaginaryI]; \n
    zplane\  = \ 
      CartesianMap[Iden, \ {1, 5, 0.5}, {\(-6\), 4, 0.5}, 
        PlotRange \[Rule] {{\(-1\), 6}, {\(-3\), 4}}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 6, 1], Range[\(-3\), 4, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, \ {1, 5, 0.5}, {\(-6\), 4, 0.5}, 
        PlotRange \[Rule] {{\(-1\), 6}, {\(-1\), 6}}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 6, 1], Range[\(-1\), 6, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.7,  Page 45.",
    FontWeight->"Bold"],
  "  Show that the image of the open disk   |z + 1 + i|  <  1  \nunder the \
transformation  w = (3 - 4 i) z + 6 + 2 i   is the open disk   |w + 1 - 3 i|  \
<  5."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, ineq, solset, term, w, z, Z]; \n
    f[z_]\  = \ 
      \((3\  - \ 4  \[ImaginaryI])\) z\  + \ 6\  + \ 2  \[ImaginaryI]; \n
    Print["\<   f[z] = \>", f[z]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", f[x + \[ImaginaryI]\ y]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[f[x + \[ImaginaryI]\ y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Solve for  z  in terms of  w.", "Text"],

Cell[BoxData[
    \(solset\  = \ Solve[w\  == \ f[z], z]; \n
    Z\  = \ Factor[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \n
    term\  = \ Together[Z + 1 + \[ImaginaryI]]; \nPrint[solset]; \n
    Print["\<        z = \>", Z]; \n
    Print[z + 1 + \[ImaginaryI], "\< = \>", Z + 1 + \[ImaginaryI]]; \n
    Print[z + 1 + \[ImaginaryI], "\< = \>", term]; \)], "Input",
  AspectRatioFixed->True],

Cell["Solve for  |z|  < 1.", "Text"],

Cell[BoxData[
    \(Print[Abs[z + 1 + \[ImaginaryI]]\  < \ 1]; \n
    Print[ineq\  = \ Abs[term[\([1]\)]]\ Abs[term[\([2]\)]]\  < \ 1]; \n
    Print[Distribute[5\ ineq, \ Less]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Which is the disk   |w + 1 - 3i| < 5   in the w-plane.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, W, z, zplane, Z]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ 
      \((3\  - \ 4  \[ImaginaryI])\) z\  + \ 6\  + \ 2  \[ImaginaryI]; \n
    Z[z_]\  = \ Iden[z - 1 - \[ImaginaryI]]; \n
    W[z_]\  = \ f[z - 1 - \[ImaginaryI]]; \n
    zplane\  = \ 
      PolarMap[Z\ , {0, 1, 0.2}, {0, 2  \[Pi], \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-6\), 4}, {\(-2\), 8}}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-6\), 4, 1], Range[\(-2\), 8, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    wplane\  = \ 
      PolarMap[W\ , {0, 1, 0.2}, {0, 2  \[Pi], \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-6\), 4}, {\(-2\), 8}}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-6\), 4, 1], Range[\(-2\), 8, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.8,  Page 46.",
    FontWeight->"Bold"],
  "  Show that the image of the right half plane  Re(z) > 1 \nunder the \
linear transformation  w  =  (-1 + i) z  - 2 + 3 i   is the half plane  v > u \
+ 7."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, ineq1, ineq2, ineq3, x, y, z]; \nx /: Im[x] = 0; \n
    y /: Im[y] = 0; \nx /: Re[x] = x; \ny /: Re[y] = y; \n
    f[z_]\  := \ 
      \((\(-1\)\  + \ \[ImaginaryI])\) z\  - \ 2\  + \ 3  \[ImaginaryI]; \n
    Print["\<   f[z] = \>", f[z]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", f[\ x + \[ImaginaryI]\ y]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[f[\ x + \[ImaginaryI]\ y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Solve for  z  in terms of  w.", "Text"],

Cell[BoxData[
    \(solset\  = \ 
      Solve[w\  == \ 
          \((\(-1\)\  + \ \[ImaginaryI])\) z\  - \ 2\  + \ 3  \[ImaginaryI], 
        \ z]; \nzz\  = \ 
      solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Z\  = \ ReplaceAll[zz\ , w \[Rule] u\  + \ \[ImaginaryI]\ v]; \n
    Print["\<w = \>", f[z]]; \n
    Print["\<w = \>", f[x\  + \ \[ImaginaryI]\ y]]; \n
    Print["\<w = \>", Expand[f[x + \[ImaginaryI]\ y]]]; \n
    Print["\<u = \>", ComplexExpand[Re[f[x + \[ImaginaryI]\ y]]]]; \n
    Print["\<v = \>", ComplexExpand[Im[f[x + \[ImaginaryI]\ y]]]]; \n
    Print["\< \>"]; \nPrint[solset]; \nPrint["\< \>"]; \n
    Print["\<z = \>", zz]; \nPrint["\<z = \>", Z]; \n
    Print["\<z = \>", Expand[Z]]; \nPrint["\<x = \>", ComplexExpand[Re[Z]]]; 
    \nPrint["\<y= \>", ComplexExpand[Im[Z]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Solve for Re(z)  > 1.", "Text"],

Cell[BoxData[
    \(Print[Re[z]\  > \ 1]; \n
    Print[ineq1\  = \ ComplexExpand[Re[Z]]\  > \ 1]; \n
    Print[ineq2\  = \ MapAll[Together, ineq1]]; \n
    Print[ineq3\  = \ Distribute[2\ ineq2, \ Greater]]; \n
    Print[Distribute[ineq3\  + \ u\  + \ 5, \ Greater]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Which is the right half plane  v > 7 + u  in the w-plane.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, z, zplane]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ 
      \((\(-1\)\  + \ \[ImaginaryI])\) z\  - \ 2\  + \ 3  \[ImaginaryI]; \n
    zplane\  = \ 
      CartesianMap[Iden, \ {1, 5, 0.5}, {\(-6\), 7, 0.5}, 
        PlotRange \[Rule] {{\(-1\), 6}, {\(-1\), 6}}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 6, 1], Range[\(-1\), 6, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, \ {1, 5, 0.5}, {\(-6\), 7, 0.5}, 
        PlotRange \[Rule] {{\(-10\), 2}, {\(-2\), 10}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-10\), 2, 2], Range[2, 10, 2]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 2",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 2.3  ",
  StyleBox["The Mappings  w = ",
    FontColor->RGBColor[1, 0, 1]],
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^n\),
          FontSize->24,
          FontColor->RGBColor[1, 0, 1]], TraditionalForm]],
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["  and  w = ",
    FontColor->RGBColor[1, 0, 1]],
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^\(1/n\)\),
          FontSize->24,
          FontColor->RGBColor[1, 0, 1]], TraditionalForm]]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 2.3"],

Cell[TextData[{
  "     The function  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"w", " ", "=", " ", 
          RowBox[{\(f \((z)\)\), " ", "=", " ", 
            RowBox[{
              FormBox[
                StyleBox[\(z\^2\),
                  FontSize->14],
                "TraditionalForm"], " ", "=", " ", 
              RowBox[{
                FormBox[
                  StyleBox[\(x\^2\),
                    FontSize->14],
                  "TraditionalForm"], " ", "-", " ", 
                FormBox[
                  StyleBox[\(y\^2\),
                    FontSize->14],
                  "TraditionalForm"], " ", "+", " ", \(i\ 2  xy\)}]}]}]}], 
        "  "}]]],
  "can be expressed in polar coordinates by   ",
  Cell[BoxData[
      RowBox[{"w", " ", "=", " ", 
        RowBox[{\(f \((z)\)\), " ", "=", 
          RowBox[{
            FormBox[
              StyleBox[\(z\^2\),
                FontSize->14],
              "TraditionalForm"], " ", "=", " ", 
            RowBox[{
              FormBox[
                StyleBox[\(\(r\^2\) e\^i2\[Theta]\),
                  FontSize->14],
                "TraditionalForm"], 
              FormBox["",
                "TraditionalForm"]}]}]}]}]]],
  ".\n\n     The function  ",
  Cell[BoxData[
      RowBox[{"w", "  ", "=", " ", 
        RowBox[{\(f \((z)\)\), " ", "=", " ", 
          FormBox[
            StyleBox[\(z\^\(1/2\)\),
              FontSize->14],
            "TraditionalForm"]}]}]]],
  "  can be expressed in polar coordinates by  ",
  Cell[BoxData[
      RowBox[{"w", " ", "=", " ", 
        RowBox[{\(f \((z)\)\), "=", 
          RowBox[{
            FormBox[
              RowBox[{
                RowBox[{
                  StyleBox[\(z\^\(1/2\)\),
                    FontSize->14], "="}], " "}],
              "TraditionalForm"], \(r\^\(1/2\)\), 
            StyleBox[\(e\^\(i\[Theta]/2\)\),
              FontSize->14]}]}]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package. Make sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 2.9,  Page 49.",
    FontWeight->"Bold"],
  "  The transformation w = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^2\),
          FontSize->14], TraditionalForm]]],
  " maps lines onto lines or parabolas."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[a, b, eq1, eq2, eq3, eq4, x, y, u, u1, u2, v, U, V]; \n
    f[z_]\  := \ z\^2\), 
    \(eq1\  = \ u\  == \ ComplexExpand[Re[f[x + \[ImaginaryI]\ y]]]; \n
    eq2\  = \ v\  == \ ComplexExpand[Im[f[x + \[ImaginaryI]\ y]]]; \n
    Print["\<f[z] = \>", f[z]]; \n
    Print["\<f[z] = \>", f[x + \[ImaginaryI]\ y]]; \n
    Print["\<f[z] = \>", Expand[f[x + \[ImaginaryI]\ y]]]; \n
    Print["\<   \>", eq1]; \nPrint["\<   \>", eq2]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a)",
    FontWeight->"Bold"],
  " Find the image of the vertical line  x = a. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[eqns\  = \ ReplaceAll[{eq1, eq2}, x \[Rule] a]]; \n
    Print[eq3\  = \ Eliminate[eqns, {y}]]; \n
    Print[solset1\  = \ Solve[eq3, u]]; \n
    u1[v_]\  = \ 
      Expand[solset1\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \n
    Print["\<u[v] = \>", u1[v]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
Hence, the image of the vertical line  x = a  is a parabola. \
\>", 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  " Find the image of the horizontal line  y = b. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Print[eqns\  = \ ReplaceAll[{eq1, eq2}, y \[Rule] b]]\), 
    \(Print[eq4\  = \ Eliminate[eqns, {x}]]\), 
    \(Print[solset2\  = \ Solve[eq4, u]]\), 
    \(u2[v_]\  = \ 
      Expand[solset2\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \n
    Print["\<u[v] = \>", u2[v]]; \)}], "Input",
  AspectRatioFixed->True],

Cell["\<\
Hence, the image of the horizontal line  y = b  is a parabola. \
\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, z, zplane]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ z\^2; \n
    zplane\  = \ 
      CartesianMap[Iden, \ {0, 0.5, 0.1}, {0, 2, 0.1}, 
        PlotRange \[Rule] {{\(-0.1\), 1}, {\(-0.2\), 2.2}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[0, 0.5, 0.5], Range[0, 2, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, \ {0, 0.5, 0.1}, {0, 2, 0.1}, 
        PlotRange \[Rule] {{\(-4\), 0.5}, {\(-0.2\), 2.2}}, 
        AspectRatio \[Rule] 2.4\/4.5, 
        Ticks \[Rule] {Range[\(-4\), 0, 1], Range[0, 2, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<          The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.10,  Page 50.",
    FontWeight->"Bold"],
  " The transformation w = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^\(1/2\)\),
          FontSize->14], TraditionalForm]]],
  " maps lines onto lines or hyperbolas."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, z, zplane]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ \@z; \n
    zplane\  = \ 
      CartesianMap[Iden, \ {\(-9\), 9, 1}, {0, 9, 1}, 
        PlotRange \[Rule] {{\(-9\), 10}, {\(-0.5\), 10}}, 
        AspectRatio \[Rule] 1\/2, 
        Ticks \[Rule] {Range[\(-9\), 9, 3], Range[0, 9, 3]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, \ {\(-9\), 9, 1}, {0, 9, 1}, 
        PlotRange \[Rule] {{\(-0.3\), 3.3}, {\(-0.3\), 3.3}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[0, 3, 1], Range[0, 3, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<          The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 2",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 2.4  ",
  StyleBox["Limits and Continuity",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 2.4"],

Cell[TextData[{
  "     Let  u = u(x,y)  be a real-valued function of the two real variables \
x and y.  We say that   u  has the ",
  StyleBox["limit",
    FontColor->RGBColor[1, 0, 1]],
  "  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(u\_0\),
          FontSize->14], TraditionalForm]]],
  "  as  (x,y)  approaches  (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ")  provided that the value of  u(x,y)  gets close to the value  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(u\_0\),
          FontSize->14], TraditionalForm]]],
  "  as   (x,y)  gets close to  (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ").  We write\n\t\t",
  Cell[BoxData[
      RowBox[{
      \(lim\_\(\((x, y)\) \[Rule] \((x\_0, y\_0)\)\)u \((x, y)\)\), "=", 
        StyleBox[\(u\_0\),
          FontSize->14]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Theorem 2.1,  Page 55.",
    FontWeight->"Bold"],
  "  Let  ",
  Cell[BoxData[
      \(f \((z)\) = u \((x, y)\) + \ i\ v \((x, y)\)\)]],
  "  be a complex function that is defined in some neighborhood of  ",
  Cell[BoxData[
      SubscriptBox[
        StyleBox["z",
          FontSize->14], "0"]]],
  ",  except perhaps at  ",
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox["z",
            FontSize->14], "0"], "=", 
        RowBox[{
          SubscriptBox[
            StyleBox["x",
              FontSize->14], "0"], "+", 
          RowBox[{"i", " ", 
            SubscriptBox[
              StyleBox["y",
                FontSize->14], "0"]}]}]}]]],
  ".  Then  \n\t",
  Cell[BoxData[
      RowBox[{\(lim\_\(z \[Rule] z\_0\)f \((z)\)\), "=", 
        RowBox[{
          SubscriptBox[
            StyleBox["w",
              FontSize->14], "0"], "="}]}]]],
  Cell[BoxData[
      \(u\_0 + i\ v\_0\)]],
  "  \nif and only if\n\t",
  Cell[BoxData[
      RowBox[{
      \(lim\_\(\((x, y)\) \[Rule] \((x\_0, y\_0)\)\)u \((x, y)\)\), "=", 
        StyleBox[\(u\_0\),
          FontSize->14]}]]],
  "    and    ",
  Cell[BoxData[
      RowBox[{
      \(lim\_\(\((x, y)\) \[Rule] \((x\_0, y\_0)\)\)v \((x, y)\)\), "=", 
        SubscriptBox[
          StyleBox["v",
            FontSize->14], "0"]}]]],
  ".\n\n",
  StyleBox["Theorem 2.2,  Page 56.",
    FontWeight->"Bold"],
  "  Let  ",
  Cell[BoxData[
      \(lim\_\(z \[Rule] z\_0\)f \((z)\) = A\)]],
  "  and  ",
  Cell[BoxData[
      \(lim\_\(z \[Rule] z\_0\)g \((z)\) = B\)]],
  ".  Then\n\t",
  Cell[BoxData[
      \(lim\_\(z \[Rule] z\_0\)f \((z)\) + g \((z)\) = A + B\)]],
  ",  \n\t",
  Cell[BoxData[
      \(lim\_\(z \[Rule] z\_0\)f \((z)\) - g \((z)\) = A - B\)]],
  ",  \n\t",
  Cell[BoxData[
      \(lim\_\(z \[Rule] z\_0\)f \((z)\) g \((z)\) = A\ B\)]],
  ",  \n\t",
  Cell[BoxData[
      RowBox[{
        RowBox[{\(lim\_\(z \[Rule] z\_0\)\), 
          FractionBox[
            StyleBox[\(f \((z)\)\),
              FontSize->12], 
            StyleBox[\(g \((z)\)\),
              FontSize->12]]}], "=", 
        FractionBox[
          StyleBox["A",
            FontSize->12], 
          StyleBox["B",
            FontSize->12]]}]]],
  ",  where  ",
  Cell[BoxData[
      \(B \[NotEqual] 0\)]],
  ".\n\n",
  StyleBox["Theorem 2.3,  Page 56.",
    FontWeight->"Bold"],
  "  Let  ",
  Cell[BoxData[
      \(f \((z)\) = u \((x, y)\) + \ i\ v \((x, y)\)\)]],
  "  be a defined in some neighborhood of  ",
  Cell[BoxData[
      SubscriptBox[
        StyleBox["z",
          FontSize->14], "0"]]],
  ".  Then  ",
  Cell[BoxData[
      \(f \((z)\)\)]],
  "  is continuous at  ",
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox["z",
            FontSize->14], "0"], "=", 
        RowBox[{
          SubscriptBox[
            StyleBox["x",
              FontSize->14], "0"], "+", 
          RowBox[{"i", " ", 
            SubscriptBox[
              StyleBox["y",
                FontSize->14], "0"]}]}]}]]],
  "  if and only if  ",
  Cell[BoxData[
      \(u \((x, y)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(v \((x, y)\)\)]],
  "  are continuous at  ",
  Cell[BoxData[
      RowBox[{"(", 
        RowBox[{
          SubscriptBox[
            StyleBox["x",
              FontSize->14], "0"], ",", 
          SubscriptBox[
            StyleBox["y",
              FontSize->14], "0"]}], ")"}]]],
  ".\n\n",
  StyleBox["Theorem 2.4,  Page 56.",
    FontWeight->"Bold"],
  "  Suppose that  ",
  Cell[BoxData[
      \(f \((z)\)\)]],
  "  and  ",
  Cell[BoxData[
      \(g \((z)\)\)]],
  "  are continous at the point  ",
  Cell[BoxData[
      SubscriptBox[
        StyleBox["z",
          FontSize->14], "0"]]],
  ".  Then the following functions are continuous at ",
  Cell[BoxData[
      SubscriptBox[
        StyleBox["z",
          FontSize->14], "0"]]],
  ":\nTheir sum   ",
  Cell[BoxData[
      \(f \((z)\) + g \((z)\)\)]],
  ",  \nTheir difference   ",
  Cell[BoxData[
      \(f \((z)\) - g \((z)\)\)]],
  ",  \nTheir product   ",
  Cell[BoxData[
      \(f \((z)\) g \((z)\)\)]],
  ",  \nTheir quotient   ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(f \((z)\)\),
          FontSize->12], 
        StyleBox[\(g \((z)\)\),
          FontSize->12]]]],
  ",  provided that  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"g", 
          RowBox[{"(", 
            SubscriptBox[
              StyleBox["z",
                FontSize->14], "0"], ")"}]}], "\[NotEqual]", "0"}]]],
  ".\nTheir composition  ",
  Cell[BoxData[
      \(f \((g \((z)\))\)\)]],
  "  provided that  ",
  Cell[BoxData[
      \(f \((z)\)\)]],
  "  is continuous in a neighborhood of the point  ",
  Cell[BoxData[
      RowBox[{"g", 
        RowBox[{"(", 
          SubscriptBox[
            StyleBox["z",
              FontSize->14], "0"], ")"}]}]]],
  "."
}], "Text"],

Cell[TextData[{
  StyleBox["Example 2.11,  Page 53.",
    FontWeight->"Bold"],
  "  The function    u(x,y)  = ",
  StyleBox[" ",
    FontSize->16],
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(x\^3\),
            FontSize->14], 
          StyleBox[
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontSize->15], "2"], " ", "+", " ", \(y\^2\)}],
            FontSize->14]], TraditionalForm]],
    FontSize->16],
  "  has the limit  0\nas  (x,y)  approaches (0,0)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[lim, r, \[Theta], u, u0, u1, u2, U, U0, x, y]; \n
    u[x_, y_]\  = \ x\^3\/\(x\^2 + y\^2\); \nPrint["\<u[x,y] = \>", u[x, y]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(u0\  = \ u[x, y]; \nu1\  = \ Limit[u0, x \[Rule] 0]; \n
    u2\  = \ Limit[u1, y \[Rule] 0]; \n
    Print[\*"\"\<    \!\(lim\+\(x \[Rule] 0\)\) \>\"", u[x, y], "\< = \>", 
      u1]; \nPrint[
      \*"\"\<\!\(lim\+\(y \[Rule] 0\)\) \!\(lim\+\(x \[Rule] 0\)\) \>\"", 
      u[x, y], "\< = \>", u2]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(u0\  = \ u[x, y]; \nu1\  = \ Limit[u0, y \[Rule] 0]; \n
    u2\  = \ Limit[u1, x \[Rule] 0]; \n
    Print[\*"\"\<    \!\(lim\+\(y \[Rule] 0\)\) \>\"", u[x, y], "\< = \>", 
      u1]; \nPrint[
      \*"\"\<\!\(lim\+\(x \[Rule] 0\)\) \!\(lim\+\(y \[Rule] 0\)\) \>\"", 
      u[x, y], "\< = \>", u2]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U0\  = \ u[r\ Cos[\[Theta]], r\ Sin[\[Theta]]]; \n
    U[r_, \[Theta]_]\  = \ Simplify[U0]; \n
    lim\  = \ Limit[U[r, \[Theta]], r \[Rule] 0]; \n
    Print["\<U[r,\[Theta]] = \>", U0]; \n
    Print["\<U[r,\[Theta]] = \>", U[r, \[Theta]]]; \n
    Print[\*"\"\<\!\(lim\+\(r \[Rule] 0\)\) \>\"", U[r, \[Theta]], "\< = \>", 
      lim]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(lim\  = \ Limit[U[r, \[Theta]], r \[Rule] 0]; \n
    Print[\*"\"\<\!\(lim\+\(r \[Rule] 0\)\) \>\"", U[r, \[Theta]], "\< = \>", 
      lim]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
So, along all lines through the origin, the limit is 0.
A more rigorous proof is needed for other approaches to the origin.\
\>", 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.12,  Page 54.",
    FontWeight->"Bold"],
  "  The function    u(x,y)  = ",
  StyleBox[" ",
    FontSize->14],
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(x\ y\),
            FontSize->14], 
          StyleBox[
            RowBox[{
              FormBox[\(x\^2\),
                "TraditionalForm"], " ", "+", " ", 
              FormBox[\(y\^2\),
                "TraditionalForm"]}],
            FontSize->14]], TraditionalForm]],
    FontSize->16],
  "\ndoes ",
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " have a limit as  (x,y)  approaches (0,0)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[lim, r, \[Theta], u, u0, u1, u2, U, U0, x, y]; \n
    u[x_, y_]\  = \(\ x\ y\)\/\(x\^2 + y\^2\); \n
    Print["\<u[x,y] = \>", u[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(u0\  = \ u[x, y]; \nu1\  = \ Limit[u0, x \[Rule] 0]; \n
    u2\  = \ Limit[u1, y \[Rule] 0]; \n
    Print[\*"\"\<    \!\(lim\+\(x \[Rule] 0\)\) \>\"", u[x, y], "\< = \>", 
      u1]; \nPrint[
      \*"\"\<\!\(lim\+\(y \[Rule] 0\)\) \!\(lim\+\(x \[Rule] 0\)\) \>\"", 
      u[x, y], "\< = \>", u2]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(u0\  = \ u[x, y]; \nu1\  = \ Limit[u0, y \[Rule] 0]; \n
    u2\  = \ Limit[u1, x \[Rule] 0]; \n
    Print[\*"\"\<    \!\(lim\+\(y \[Rule] 0\)\) \>\"", u[x, y], "\< = \>", 
      u1]; \nPrint[
      \*"\"\<\!\(lim\+\(x \[Rule] 0\)\) \!\(lim\+\(y \[Rule] 0\)\) \>\"", 
      u[x, y], "\< = \>", u2]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U0\  = \ u[r\ Cos[\[Theta]], r\ Sin[\[Theta]]]; \n
    U[r_, \[Theta]_]\  = \ Simplify[U0]; \n
    lim\  = \ Limit[U[r, \[Theta]], r \[Rule] 0]; \n
    Print["\<U[r,\[Theta]] = \>", U0]; \n
    Print["\<U[r,\[Theta]] = \>", U[r, \[Theta]]]; \n
    Print[\*"\"\<\!\(lim\+\(r \[Rule] 0\)\) \>\"", U[r, \[Theta]], "\< = \>", 
      lim]; \)], "Input"],

Cell[TextData[{
  "Since this value is dependent on the angle \[Theta]  of approach to 0.\n\
Therefore, u(x,y)  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(x\ y\),
            FontSize->14], 
          StyleBox[
            RowBox[{
              FormBox[\(x\^2\),
                "TraditionalForm"], " ", "+", " ", 
              FormBox[\(y\^2\),
                "TraditionalForm"]}],
            FontSize->14]], TraditionalForm]],
    FontSize->16],
  "  does ",
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " have a limit  as  (x,y)  approaches (0,0)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example on page 56.",
    FontWeight->"Bold"],
  "  Find the limit of  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^2\),
          FontSize->14], TraditionalForm]]],
  " - 2z + 1  as  z \[Rule] 1 + i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, lim, z]; \nf[z_]\  = \ z\^2\  - \ 2  z\  + \ 1; \n
    lim\  = \ Limit[f[z], z \[Rule] 1 + \[ImaginaryI]]; \n
    Print["\<f[z] = \>", f[z]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] 1 + \[ImaginaryI]\)\) \>\"", f[z], 
      "\< = \>", lim]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.13,  Page 57.",
    FontWeight->"Bold"],
  "  Show that the polynomial function given by\n      w  =  P(z)  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(a\_0\),
          FontSize->14], TraditionalForm]]],
  "  +  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(a\_1\),
          FontSize->14], TraditionalForm]]],
  "z  +  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(a\_2\),
          FontSize->14], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^2\),
          FontSize->14], TraditionalForm]]],
  "  +  ...  +  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(a\_n\),
          FontSize->14], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^n\),
          FontSize->14], TraditionalForm]]],
  "\nis continuous at each point  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  in the complex plane."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["For illustration, ",
    FontColor->RGBColor[1, 0, 1]],
  "we use  n = 5."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, lim, P, z, z0]; \nP[z_]\  = \ Sum[a[n] z\^n, \ {n, 0, 5}]; \n
    lim\  = \ Limit[P[z], \ z \[Rule] z0]; \nPrint["\<     P[z] = \>", P[z]]; 
    \nPrint["\< \>"]; \nPrint[\*"\"\<    P[\!\(z\_0\)] = \>\"", P[z0]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] z\_0\)\) P[z] = \>\"", lim]; \n
    Print[\*"\"\< Is P[\!\(z\_0\)] = \!\(lim\+\(z \[Rule] z\_0\)\) P[z] ?  \>\
\"", lim\ \  == \ \ P[z0]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Therefore  P(z)  is continuous.", "Text"],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.14,  Page 58.",
    FontWeight->"Bold"],
  "  \nFind the limit of   f(z)  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            RowBox[{
              FormBox[\(z\^2\),
                "TraditionalForm"], " ", "-", " ", \(2 i\)}],
            FontSize->14], 
          StyleBox[
            RowBox[{
              FormBox[\(z\^2\),
                "TraditionalForm"], " ", "-", " ", \(2 z\), " ", "+", " ", 
              "2"}],
            FontSize->14]], TraditionalForm]]],
  "   as   z \[Rule] 1 + i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, lim, z]; \n
    f[z_]\  = \ \(z\^2\  - \ 2  \[ImaginaryI]\)\/\(z\^2\  - \ 2  z\  + \ 2\); 
    \nPrint["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Try to evaluate f(1+i).", "Text"],

Cell[BoxData[
    \(\(Print["\<f[1+\[ImaginaryI]] = \>", f[1 + \[ImaginaryI]]]; \)\)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(lim\  = \ Limit[f[z], z \[Rule] 1 + \[ImaginaryI]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] 1 + \[ImaginaryI]\)\) \>\"", f[z], 
      "\< = \>", lim]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[z_]\  = \ Factor[f[z]]; \nPrint["\<       f[z] = \>", f[z]]; \n
    Print["\<f[z] = g[z] = \>", g[z]]; \n
    Print["\<     g[1+\[ImaginaryI]] = \>", g[1 + \[ImaginaryI]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 2",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 2.5  ",
  StyleBox["Branches of Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 2.5"],

Cell[TextData[{
  "     In Section 2.3 we defined the principal square root function and \
investigated some of its properties.  We now investigate the ",
  StyleBox["branches",
    FontColor->RGBColor[1, 0, 1]],
  " of the square root function."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "First load the ComplexMap package.  Make sure this is done only ONCE in \
any ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 2.15,  Page 60.",
    FontWeight->"Bold"],
  "  Find the image of the plane cut along the \nnegative x-axis under the \
mappings \nw  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(f\_1\),
          FontSize->14], TraditionalForm]]],
  "(z)  =  ",
  Cell[BoxData[
      FormBox[
        RowBox[{" ", 
          StyleBox[\(z\^\(1/2\)\),
            FontSize->14]}], TraditionalForm]]],
  "   =   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(r\^\(1/2\)\),
          FontSize->14], TraditionalForm]]],
  " (cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Theta]\/2\),
          FontSize->14], TraditionalForm]]],
  ") + i sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Theta]\/2\),
          FontSize->14], TraditionalForm]]],
  ")),    and\nw  =  ",
  Cell[BoxData[
      FormBox[
        SubscriptBox[
          StyleBox["f",
            FontSize->14], "2"], TraditionalForm]]],
  "(z)  =  - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^\(1/2\)\),
          FontSize->14], TraditionalForm]]],
  "  =   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(r\^\(1/2\)\),
          FontSize->14], TraditionalForm]]],
  " (cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\(\[Theta] + 4 \[Pi]\)\/2\),
          FontSize->14], TraditionalForm]]],
  ") + i sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\(\[Theta] + 4 \[Pi]\)\/2\),
          FontSize->14], TraditionalForm]]],
  "))."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, z, zplane]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ \@z; \n
    zplane\  = 
      PolarMap[Iden, {0, 4, 0.5}, {\(-3.14\), \ 3.14, \ 3.14\/12}, 
        PlotRange \[Rule] {{\(-4\), 4.4}, {\(-4\), 4.4}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-4\), 4, 2], Range[\(-4\), 4, 2]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    wplane\  = \ 
      PolarMap[f\ , {0, 4, 0.5}, {\(-3.14\), \ 3.14, \ 3.14\/12}, 
        PlotRange \[Rule] {{\(-0.2\), 2.2}, {\(-2.2\), 2.2}}, 
        AspectRatio \[Rule] 2, 
        Ticks \[Rule] {Range[0, 2, 1], Range[\(-2\), 2, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, z, zplane]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ \(-\@z\); \n
    zplane\  = \ 
      PolarMap[Iden, {0, 4, 0.5}, {\(-3.14\), \ 3.14, \ 3.14\/12}, 
        PlotRange \[Rule] {{\(-4\), 4.4}, {\(-4\), 4.4}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-4\), 4, 2], Range[\(-4\), 4, 2]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    wplane\  = \ 
      PolarMap[f\ , {0, 4, 0.5}, {\(-3.14\), \ 3.14, \ 3.14\/12}, 
        PlotRange \[Rule] {{\(-2.2\), 0.2}, {\(-2.2\), 2.2}}, 
        AspectRatio \[Rule] 2, 
        Ticks \[Rule] {Range[\(-2\), 0, 1], Range[\(-2\), 2, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["\nExample 2.16,  Page 61.",
    FontWeight->"Bold"],
  "  Show that the function  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(f\_1\),
          FontSize->14], TraditionalForm]]],
  "(z)  is discontinuous along the negative real axis,\nwhere   w  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(f\_1\),
          FontSize->14], TraditionalForm]]],
  "(z)  =  ",
  Cell[BoxData[
      FormBox[
        RowBox[{" ", 
          StyleBox[\(z\^\(1/2\)\),
            FontSize->14]}], TraditionalForm]]],
  "   =   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(r\^\(1/2\)\),
          FontSize->14], TraditionalForm]]],
  " (cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Theta]\/2\),
          FontSize->14], TraditionalForm]]],
  ") + i sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Theta]\/2\),
          FontSize->14], TraditionalForm]]],
  "))."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, r, \[Theta]]; \n
    f[r_, \[Theta]_]\  = \ 
      \(\@r\) \((Cos[\[Theta]\/2] + \[ImaginaryI]\ Sin[\[Theta]\/2])\); \n
    lim1\  = PowerExpand[Limit[f[r, \[Theta]], \[Theta] \[Rule] \[Pi]]]; \n
    lim2\  = PowerExpand[Limit[f[r, \[Theta]], \[Theta] \[Rule] \(-\[Pi]\)]]; 
    \nPrint["\<f[z] = \>", f[r, \[Theta]]]\), 
    \(Print[\*"\"\<\!\(lim\+\(\[Theta] \[Rule] \[Pi]\)\) f[z] = \>\"", lim1]; 
    \nPrint[\*"\"\<\!\(lim\+\(\[Theta] \[Rule] \(-\[Pi]\)\)\) f[z] = \>\"", 
      lim2]; \)}], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 2",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 2.6 ",
    FontSize->18],
  StyleBox["The Reciprocal Transformation  w = ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox["1",
              FontSize->14], 
            StyleBox["z",
              FontSize->14]],
          FontColor->RGBColor[1, 0, 1]], TraditionalForm]]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 2.6"],

Cell[TextData[{
  "     The ",
  StyleBox["reciprocal transformation",
    FontColor->RGBColor[1, 0, 1]],
  " is:  ",
  Cell[BoxData[
      FormBox[
        RowBox[{"w", "=", 
          RowBox[{\(f(z)\), "=", 
            FractionBox[
              StyleBox["1",
                FontSize->14], 
              StyleBox["z",
                FontSize->14]]}]}], TraditionalForm]]],
  ".  It maps the \"extended complex  z-plane\" one-to-one and onto the \
\"extended complex  w-plane\".\n\n     It is convenient to extend the system \
of complex numbers by joining to it an \"ideal\" point denoted by  \
\[Infinity]  and called the ",
  StyleBox["point at infinity",
    FontColor->RGBColor[1, 0, 1]],
  ".  This new set is called the extended complex plane."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "First load the ComplexMap package.  Make sure this is done only ONCE in \
any ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 2.17,  Page 67.",
    FontWeight->"Bold"],
  "  Show that the image of the right half plane  Re(z) > ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox["1",
              FontSize->14], 
            StyleBox["2",
              FontSize->14]],
          FontSize->14], TraditionalForm]]],
  "\nunder the reciprocal transformation   w  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]], TraditionalForm]]],
  "   is the disk  |w - 1| < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, ineq1, ineq2, ineq3, ineq4, wplane, z, zplane]; \n
    Print[ineq1\  = \ x\  > \ 1\/2]; \n
    Print[ineq2\  = \ 
        ReplaceAll[ineq1
          \ , {x \[Rule] u\/\(u\^2\  + \ v\^2\), 
            y \[Rule] \(-v\)\/\(u\^2\  + \ v\^2\)}]]; \n
    Print[ineq3\  = \ 
        Distribute[\ 2 \((u\^2\  + \ v\^2)\)\ ineq2, \ Greater]]; \n
    Print[ineq4\  = \ Distribute[\ 1\  - \ 2  u\  + \ ineq3, \ Greater]]; \)],
   "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, z, zplane]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ 1\/z; \n
    zplane\  = \ 
      CartesianMap[Iden, \ {0.5, 10, 0.5}, {\(-5\), 5, 0.25}, 
        PlotRange \[Rule] {{\(-0.1\), 10}, {\(-5\), 5}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[0, 10, 2], Range[\(-5\), 5, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, \ {0.5, 10, 0.5}, {\(-5\), 5, 0.25}, 
        PlotRange \[Rule] {{\(-0.1\), 2.1}, {\(-1.1\), 1.1}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[0, 2, 1], Range[\(-2\), 2, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.18,  Page 67.",
    FontWeight->"Bold"],
  "  Find the image of the portion of the right half plane\nRe(z) > ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["2",
            FontSize->14]], TraditionalForm]]],
  "  that lies inside the circle  |z - ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["2",
            FontSize->14]], TraditionalForm]]],
  "| < 1  under the transformation  w  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["2",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, ineq1, ineq2, ineq3, ineq4, ineq5, ineq6, ineq7, ineq8, 
      ineq9, wplane, z, zplane]; \nPrint[ineq1\  = \ x\  > \ 1\/2]; \n
    Print[ineq2\  = 
        ReplaceAll[ineq1
          \ , {x \[Rule] u\/\(u\^2\  + \ v\^2\), 
            y \[Rule] \(-v\)\/\(u\^2\  + \ v\^2\)}]]; \n
    Print[ineq3\  = \ 
        Distribute[\ 2 \((u\^2\  + \ v\^2)\)\ ineq2, \ Greater]]; \n
    Print[ineq4\  = \ Distribute[\ 1\  - \ 2  u\  + \ ineq3, \ Greater]]; \)],
   "Input",
  AspectRatioFixed->True],

Cell["Which is the disk  |w - 1| < 1.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[ineq1\  = \ x\^2\  - \ x\  + \ 1\/4\  + \ y\^2\  < \ 1]; \n
    Print[ineq2\  = \ 
        ReplaceAll[ineq1
          \ , {x \[Rule] u\/\(u\^2\  + \ v\^2\), 
            y \[Rule] \(-v\)\/\(u\^2\  + \ v\^2\)}]]; \n
    Print[ineq3\  = \ MapAll[Together, ineq2]]; \n
    Print[ineq4\  = \ Distribute[\ 4 \((u\^2\  + \ v\^2)\)\ ineq3, \ Less]]; 
    \nPrint[ineq5\  = \ MapAll[Expand, ineq4]]; \n
    Print[ineq6\  = \ 
        Distribute[\ 4  u\  - u\^2\  - \ v\^2\  + \ ineq5, \ Less]]; \n
    Print[ineq7\  = \ Distribute[\ 1\/3\ ineq6, \ Less]]; \n
    Print[ineq8\  = \ MapAll[Expand, ineq7]]; \n
    Print[ineq9\  = \ Distribute[\ \((2\/3)\)\^2\  + ineq8, \ Less]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Which is the exterior of the circle   |w + ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["2",
            FontSize->14], 
          StyleBox["3",
            FontSize->14]], TraditionalForm]]],
  "| = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["4",
            FontSize->14], 
          StyleBox["3",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[ineq4]; \nPrint[ineq9]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The image is the crescent shaped region in the w-plane which is the\n\
portion of the disk  |w - 1| < 1 that lies outside the circle  |w + ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["2",
            FontSize->14], 
          StyleBox["3",
            FontSize->14]], TraditionalForm]]],
  "| = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["4",
            FontSize->14], 
          StyleBox["3",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, wplane, W, z, zplane, Z]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ 1\/z; \nZ[z_]\  = \ Iden[z + 1\/2]; \n
    W[z_]\  = \ f[z + 1\/2]; \n
    zplane\  = \ 
      PolarMap[Z\ , {0, 1, 0.1}, {\(-\[Pi]\)\/2, \[Pi]\/2, \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-0.1\), 2.1}, {\(-1.1\), 1.1}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-6\), 4, 1], Range[\(-2\), 8, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    wplane\  = \ 
      PolarMap[W\ , {0, 1, 0.1}, {\(-\[Pi]\)\/2, \[Pi]\/2, \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-0.1\), 2.1}, {\(-1.1\), 1.1}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[0, 2, 1], Range[\(-1\), 1, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 2.19,  Page 69.",
    FontWeight->"Bold"],
  "  Find the images of the vertical lines  x = a  and the\nhorizontal lines  \
y = b  under the mapping  w  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, ac, al, b, bc, bl, circlea, circleb, hc, hl, horiz, x, y, u, 
      v, vc, verti, vl, wplane, zplane]; \nPrint[eq1\  = \ x\  == \ a]; \n
    Print[eq2\  = \ 
        ReplaceAll[eq1
          \ , {x \[Rule] u\/\(u\^2\  + \ v\^2\), 
            y \[Rule] \(-v\)\/\(u\^2\  + \ v\^2\)}]]; \n
    Print[eq3\  = \ Distribute[\ \((u\^2\  + \ v\^2)\)\/a\ \ eq2, \ Equal]]; 
    \nPrint[eq4\  = \ Distribute[\ \(-\ u\)\/a\  + \ eq3, \ Equal]]; \n
    Print[eq5\  = \ Distribute[\ 1\/\((2  a)\)\^2\  + \ eq4, \ Equal]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The image is the circle   |w - ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(2 a\),
            FontSize->14]], TraditionalForm]]],
  "|  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(|2 a | \),
            FontSize->14]], TraditionalForm]]],
  ",\nwith center  ",
  Cell[BoxData[
      \(TraditionalForm\`w\_0\)],
    FontSize->14],
  " = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(2 a\),
            FontSize->14]], TraditionalForm]]],
  "  and radius ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          RowBox[{
            StyleBox["|",
              FontSize->14], 
            RowBox[{
              StyleBox[\(2 a\),
                FontSize->14], "|"}]}]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[eq1\  = \ y\  == \ b]; \n
    Print[eq2\  = \ 
        ReplaceAll[eq1
          \ , {x \[Rule] u\/\(u\^2\  + \ v\^2\), 
            y \[Rule] \(-v\)\/\(u\^2\  + \ v\^2\)}]]; \n
    Print[eq3\  = \ Distribute[\ \((u\^2\  + \ v\^2)\)\/b\ \ eq2, \ Equal]]; 
    \nPrint[eq4\  = \ Distribute[\ v\/b\  + \ eq3, \ Equal]]; \n
    Print[eq5\  = \ Distribute[\(\ 1\)\/\((2  b)\)\^2\  + \ eq4, \ Equal]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The image is the circle   |w +",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(\ i\),
            FontSize->14], 
          StyleBox[\(2 b\),
            FontSize->14]], TraditionalForm]]],
  "|  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(|2 b | \),
            FontSize->14]], TraditionalForm]]],
  ",\nwith center  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(w\_0\),
          FontSize->14], TraditionalForm]]],
  " = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(\ \(-i\)\),
            FontSize->14], 
          StyleBox[\(2 b\),
            FontSize->14]], TraditionalForm]]],
  "  and radius  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(|2 b | \),
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Now make some horizontal and vertical lines:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(hl[b_]\  = \ Line[{{\(-2\), b}, {2, b}}]; \n
    horiz\  = \ {hl[\(-1\)], hl[\(-1\)\/2], hl[1\/2], hl[1]}; \n
    bl\  = \ Graphics[horiz]; \nvl[a_]\  = \ Line[{{a, \(-2\)}, {a, 2}}]; \n
    verti\  = \ {vl[\(-1\)], vl[\(-1\)\/2], vl[1\/2], vl[1]}; \n
    al\  = \ Graphics[verti]; \)], "Input",
  AspectRatioFixed->True],

Cell["Now make some images of horizontal and vertical lines:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(hc[b_]\  = \ Circle[{0, \(-1\)\/\(2  b\)}, 1\/Abs[2  b]]; \n
    circleb\  = \ {hc[\(-1\)], hc[\(-1\)\/2], hc[1\/2], hc[1]}; \n
    bc\  = \ Graphics[circleb]; \n
    vc[a_]\  = \ Circle[{1\/\(2  a\), 0}, 1\/Abs[2  a]]; \n
    circlea\  = \ {vc[\(-1\)], vc[\(-1\)\/2], vc[1\/2], vc[1]}; \n
    ac\  = \ Graphics[circlea]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(zplane\  = \ 
      Show[al, bl, PlotRange \[Rule] {{\(-2.2\), 2.2}, {\(-2.2\), 2.2}}, 
        AspectRatio \[Rule] 1, Axes \[Rule] True, 
        Ticks \[Rule] {Range[\(-4\), 4, 1], Range[\(-4\), 4, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    wplane\  = \ 
      Show[ac, bc, PlotRange \[Rule] {{\(-2.2\), 2.2}, {\(-2.2\), 2.2}}, 
        AspectRatio \[Rule] 1, Axes \[Rule] True, 
        Ticks \[Rule] {Range[\(-4\), 4, 1], Range[\(-4\), 4, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \ \n
    Print[\*"\"\<        The mapping  w = \!\(1\/z\)\>\""]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 2",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{502, 253},
WindowMargins->{{0, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3145, 102, 3087, 116, 226, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 2"->{
    Cell[6257, 222, 230, 9, 38, "Text",
      CellTags->"CHAPTER 2"]},
  "Section 2.1"->{
    Cell[7019, 246, 217, 8, 35, "Text",
      CellTags->"Section 2.1"]},
  "Section 2.2"->{
    Cell[15038, 522, 221, 8, 35, "Text",
      CellTags->"Section 2.2"]},
  "Section 2.3"->{
    Cell[26207, 820, 591, 21, 38, "Text",
      CellTags->"Section 2.3"]},
  "Section 2.4"->{
    Cell[33700, 1064, 207, 8, 35, "Text",
      CellTags->"Section 2.4"]},
  "Section 2.5"->{
    Cell[49057, 1606, 207, 8, 35, "Text",
      CellTags->"Section 2.5"]},
  "Section 2.6"->{
    Cell[55113, 1807, 495, 18, 39, "Text",
      CellTags->"Section 2.6"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 92941, 3119},
  {"CHAPTER 2", 93031, 3122},
  {"Section 2.1", 93121, 3125},
  {"Section 2.2", 93213, 3128},
  {"Section 2.3", 93306, 3131},
  {"Section 2.4", 93400, 3134},
  {"Section 2.5", 93494, 3137},
  {"Section 2.6", 93588, 3140}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 801, 26, 198, "Text"]
}, Closed]],
Cell[3145, 102, 3087, 116, 226, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[6257, 222, 230, 9, 38, "Text",
  CellTags->"CHAPTER 2"],
Cell[6490, 233, 492, 8, 150, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[7019, 246, 217, 8, 35, "Text",
  CellTags->"Section 2.1"],
Cell[7239, 256, 1004, 40, 91, "Text"],
Cell[8246, 298, 258, 10, 33, "Text"],
Cell[8507, 310, 276, 5, 190, "Input"],
Cell[8786, 317, 188, 6, 33, "Text"],
Cell[8977, 325, 348, 6, 130, "Input"],
Cell[9328, 333, 165, 6, 33, "Text"],
Cell[9496, 341, 448, 9, 130, "Input"],
Cell[9947, 352, 156, 5, 33, "Text"],
Cell[10106, 359, 252, 4, 50, "Input"],
Cell[10361, 365, 354, 13, 52, "Text"],
Cell[10718, 380, 226, 5, 91, "Input"],
Cell[10947, 387, 418, 9, 191, "Input"],
Cell[11368, 398, 386, 15, 71, "Text"],
Cell[11757, 415, 370, 8, 112, "Input"],
Cell[12130, 425, 546, 11, 172, "Input"],
Cell[12679, 438, 602, 22, 52, "Text"],
Cell[13284, 462, 550, 11, 204, "Input"],
Cell[13837, 475, 452, 18, 52, "Text"],
Cell[14292, 495, 524, 13, 132, "Input"],
Cell[14819, 510, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[15038, 522, 221, 8, 35, "Text",
  CellTags->"Section 2.2"],
Cell[15262, 532, 709, 17, 109, "Text"],
Cell[15974, 551, 278, 10, 52, "Text"],
Cell[16255, 563, 96, 2, 30, "Input"],
Cell[16354, 567, 246, 8, 71, "Text"],
Cell[16603, 577, 419, 8, 190, "Input"],
Cell[17025, 587, 321, 6, 130, "Input"],
Cell[17349, 595, 283, 8, 71, "Text"],
Cell[17635, 605, 432, 8, 190, "Input"],
Cell[18070, 615, 797, 13, 330, "Input"],
Cell[18870, 630, 107, 2, 33, "Text"],
Cell[18980, 634, 158, 3, 50, "Input"],
Cell[19141, 639, 113, 2, 33, "Text"],
Cell[19257, 643, 947, 18, 290, "Input"],
Cell[20207, 663, 309, 9, 71, "Text"],
Cell[20519, 674, 387, 8, 110, "Input"],
Cell[20909, 684, 45, 0, 33, "Text"],
Cell[20957, 686, 406, 7, 150, "Input"],
Cell[21366, 695, 36, 0, 33, "Text"],
Cell[21405, 697, 218, 4, 70, "Input"],
Cell[21626, 703, 118, 2, 33, "Text"],
Cell[21747, 707, 1081, 21, 358, "Input"],
Cell[22831, 730, 305, 9, 71, "Text"],
Cell[23139, 741, 472, 9, 190, "Input"],
Cell[23614, 752, 45, 0, 33, "Text"],
Cell[23662, 754, 855, 16, 330, "Input"],
Cell[24520, 772, 37, 0, 33, "Text"],
Cell[24560, 774, 307, 6, 110, "Input"],
Cell[24870, 782, 121, 2, 33, "Text"],
Cell[24994, 786, 991, 20, 290, "Input"],
Cell[25988, 808, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[26207, 820, 591, 21, 38, "Text",
  CellTags->"Section 2.3"],
Cell[26801, 843, 1990, 61, 109, "Text"],
Cell[28794, 906, 277, 10, 52, "Text"],
Cell[29074, 918, 90, 2, 30, "Input"],
Cell[29167, 922, 312, 11, 33, "Text"],
Cell[29482, 935, 494, 9, 190, "Input"],
Cell[29979, 946, 168, 6, 33, "Text"],
Cell[30150, 954, 331, 7, 110, "Input"],
Cell[30484, 963, 136, 5, 33, "Text"],
Cell[30623, 970, 170, 6, 33, "Text"],
Cell[30796, 978, 339, 7, 110, "Input"],
Cell[31138, 987, 137, 5, 33, "Text"],
Cell[31278, 994, 940, 20, 306, "Input"],
Cell[32221, 1016, 327, 12, 52, "Text"],
Cell[32551, 1030, 927, 20, 308, "Input"],
Cell[33481, 1052, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[33700, 1064, 207, 8, 35, "Text",
  CellTags->"Section 2.4"],
Cell[33910, 1074, 1216, 44, 90, "Text"],
Cell[35129, 1120, 4885, 183, 482, "Text"],
Cell[40017, 1305, 602, 21, 64, "Text"],
Cell[40622, 1328, 198, 4, 90, "Input"],
Cell[40823, 1334, 357, 7, 127, "Input"],
Cell[41183, 1343, 357, 7, 128, "Input"],
Cell[41543, 1352, 394, 8, 138, "Input"],
Cell[41940, 1362, 199, 4, 58, "Input"],
Cell[42142, 1368, 198, 6, 52, "Text"],
Cell[42343, 1376, 698, 26, 80, "Text"],
Cell[43044, 1404, 202, 4, 84, "Input"],
Cell[43249, 1410, 357, 7, 127, "Input"],
Cell[43609, 1419, 357, 7, 128, "Input"],
Cell[43969, 1428, 368, 7, 138, "Input"],
Cell[44340, 1437, 661, 22, 61, "Text"],
Cell[45004, 1461, 317, 12, 52, "Text"],
Cell[45324, 1475, 310, 6, 119, "Input"],
Cell[45637, 1483, 1047, 40, 90, "Text"],
Cell[46687, 1525, 162, 6, 33, "Text"],
Cell[46852, 1533, 461, 7, 190, "Input"],
Cell[47316, 1542, 47, 0, 33, "Text"],
Cell[47366, 1544, 647, 22, 80, "Text"],
Cell[48016, 1568, 196, 4, 87, "Input"],
Cell[48215, 1574, 39, 0, 33, "Text"],
Cell[48257, 1576, 124, 3, 30, "Input"],
Cell[48384, 1581, 211, 4, 59, "Input"],
Cell[48598, 1587, 237, 5, 90, "Input"],
Cell[48838, 1594, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[49057, 1606, 207, 8, 35, "Text",
  CellTags->"Section 2.5"],
Cell[49267, 1616, 306, 8, 52, "Text"],
Cell[49576, 1626, 225, 8, 33, "Text"],
Cell[49804, 1636, 90, 2, 30, "Input"],
Cell[49897, 1640, 1543, 59, 96, "Text"],
Cell[51443, 1701, 956, 20, 324, "Input"],
Cell[52402, 1723, 968, 20, 324, "Input"],
Cell[53373, 1745, 980, 37, 74, "Text"],
Cell[54356, 1784, 535, 9, 180, "Input"],
Cell[54894, 1795, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[55113, 1807, 495, 18, 39, "Text",
  CellTags->"Section 2.6"],
Cell[55611, 1827, 816, 23, 116, "Text"],
Cell[56430, 1852, 226, 8, 52, "Text"],
Cell[56659, 1862, 90, 2, 30, "Input"],
Cell[56752, 1866, 689, 24, 66, "Text"],
Cell[57444, 1892, 489, 11, 137, "Input"],
Cell[57936, 1905, 946, 20, 304, "Input"],
Cell[58885, 1927, 838, 31, 78, "Text"],
Cell[59726, 1960, 524, 11, 157, "Input"],
Cell[60253, 1973, 95, 2, 33, "Text"],
Cell[60351, 1977, 738, 15, 245, "Input"],
Cell[61092, 1994, 492, 20, 40, "Text"],
Cell[61587, 2016, 89, 2, 50, "Input"],
Cell[61679, 2020, 588, 21, 59, "Text"],
Cell[62270, 2043, 1040, 21, 400, "Input"],
Cell[63313, 2066, 443, 16, 78, "Text"],
Cell[63759, 2084, 581, 11, 206, "Input"],
Cell[64343, 2097, 1086, 44, 69, "Text"],
Cell[65432, 2143, 466, 10, 166, "Input"],
Cell[65901, 2155, 1024, 41, 70, "Text"],
Cell[66928, 2198, 108, 2, 33, "Text"],
Cell[67039, 2202, 341, 6, 158, "Input"],
Cell[67383, 2210, 118, 2, 33, "Text"],
Cell[67504, 2214, 381, 7, 189, "Input"],
Cell[67888, 2223, 818, 16, 243, "Input"],
Cell[68709, 2241, 182, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

