(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     64490,       2071]*)
(*NotebookOutlinePosition[     89290,       2971]*)
(*  CellTagsIndexPosition[     89090,       2961]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 3  ",
    FontSize->18],
  StyleBox["ANALYTIC and HARMONIC FUNCTIONS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  "\n",
  StyleBox["Section 3.1  ",
    FontSize->18],
  ButtonBox["Differentiable Functions",
    ButtonData:>"Section 3.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 3.2  ",
    FontSize->18],
  ButtonBox["The Cauchy-Riemann Equations",
    ButtonData:>"Section 3.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 3.3  ",
    FontSize->18],
  ButtonBox["Analytic Functions and Harmonic Functions\n",
    ButtonData:>"Section 3.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 3  ",
    FontSize->18],
  StyleBox["ANALYTIC and HARMONIC FUNCTIONS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 3"],

Cell[BoxData[
    \(\(Clear[a, b, difQuotient, dfdt, dfdx, \[CapitalDelta]f, 
      \[CapitalDelta]f\[CapitalDelta]x, \[CapitalDelta]f\[CapitalDelta]y, 
      \[CapitalDelta]f\[CapitalDelta]z, \[CapitalDelta]x, \[CapitalDelta]y, 
      E1, E2, E3, E4, E5, f, F, g, g1, g2, g3, g4, g5, lap, lim, L1, L2, sub, 
      u, Ux, Uy, v, v1, v2, v3, Vx, Vy, w, x, x0, y, y0, z, z0]; \)\)], 
  "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 3.1  ",
    FontSize->18],
  StyleBox["Differentiable Functions",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 3.1"],

Cell[TextData[{
  StyleBox["Definition,  Page 71.  ",
    FontWeight->"Bold"],
  "The definition for the ",
  StyleBox["derivative",
    FontColor->RGBColor[1, 0, 1]],
  " of  f(z)  at  z = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14,
          FontSlant->"Plain"], TraditionalForm]],
    FontSize->14,
    FontSlant->"Italic"],
  "  is similar to that for real functions:\n                    ",
  Cell[BoxData[
      \(\(f\^'\)\)]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14,
          FontSlant->"Plain"], TraditionalForm]]],
  ")  =  ",
  Cell[BoxData[
      FormBox[
        SubscriptBox["lim", 
          RowBox[{"z", " ", "\[Rule]", " ", 
            FormBox[
              StyleBox[\(z\_0\),
                FontSize->14],
              "TraditionalForm"]}]], TraditionalForm]],
    FontSize->14],
  "  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          RowBox[{
            RowBox[{
              StyleBox["f",
                FontSize->13], 
              StyleBox["(",
                FontSize->14], 
              StyleBox["z",
                FontSize->14], 
              StyleBox[")",
                FontSize->14]}], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox["-",
              FontSize->14], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[
              RowBox[{"f", "(", 
                FormBox[\(z\_0\),
                  "TraditionalForm"], ")"}],
              FontSize->14]}], 
          StyleBox[
            RowBox[{"z", " ", "-", " ", 
              FormBox[\(z\_0\),
                "TraditionalForm"]}],
            FontSize->14]], TraditionalForm]]],
  ". \n                    \n",
  StyleBox["Theorem 3.1,  Page 73.",
    FontWeight->"Bold"],
  "  If  f(z)  is differentiable at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14,
          FontSlant->"Plain"], TraditionalForm]]],
  "  then  f(z)  is continuous at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14,
          FontSlant->"Plain"], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.1,  Page 71.",
    FontWeight->"Bold"],
  "  Use the limit definition to find the derivative of  f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^3\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[difQuotient, \[CapitalDelta]f\[CapitalDelta]z, f, lim, sub, z, 
      z0]; \nf[z_]\  = \ z\^3; \nPrint["\<f(z) = \>", f[z]]; \)], "Input"],

Cell[TextData["Form the difference quotient."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\[CapitalDelta]f\[CapitalDelta]z\  = \ 
      \(f[z] - f[z0]\)\/\(z\  - \ z0\); \n
    Print[\*"\"\<\!\(\[CapitalDelta]f\/\[CapitalDelta]z\) = \>\"", 
      \[CapitalDelta]f\[CapitalDelta]z]; \)], "Input"],

Cell[TextData[{
  "Substitution of  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  for  z  is indeterminate."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(sub\  = \ ReplaceAll[\[CapitalDelta]f\[CapitalDelta]z, z\  \[Rule] z0]; 
    \nPrint[\*"\"\<Substitute z = z0 in \
\!\(\[CapitalDelta]f\/\[CapitalDelta]z\) = \>\"", 
      \[CapitalDelta]f\[CapitalDelta]z]; \n
    Print[\*"\"\<                     \
\!\(\[CapitalDelta]f\/\[CapitalDelta]z\) = \>\"", sub]; \)], "Input"],

Cell[TextData[
"The derivative is the limit of the difference quotient."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(lim\  = \ Limit[\[CapitalDelta]f\[CapitalDelta]z, \ z \[Rule] z0]; \n
    Print[\*"\"\<\!\(df\/dz\) = \!\(lim\+\(z \[Rule] z0\)\) \>\"", 
      \[CapitalDelta]f\[CapitalDelta]z]; \n
    Print[\*"\"\<\!\(df\/dz\) = \>\"", lim]; \)], "Input"],

Cell[TextData[{
  "The difference quotient can be simplified before substitution of  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  for  z"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(difQuotient\  = \ Simplify[\[CapitalDelta]f\[CapitalDelta]z]; \n
    sub\  = \ ReplaceAll[difQuotient, z\  \[Rule] z0]; \n
    Print[\*"\"\<\!\(df\/dz\) =  \!\(lim\+\(z \[Rule] z0\)\) \>\"", 
      \[CapitalDelta]f\[CapitalDelta]z]; \n
    Print[\*"\"\<\!\(df\/dz\) =  \!\(lim\+\(z \[Rule] z0\)\) \>\"", 
      difQuotient]; \nPrint[\*"\"\<\!\(df\/dz\) = \>\"", sub]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.2,  Page 72.",
    FontWeight->"Bold"],
  "  Use the limit definition to show that  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        OverscriptBox[
          StyleBox["z",
            FontSize->14], "_"], TraditionalForm]]],
  "  is ",
  StyleBox["NOWHERE ",
    FontColor->RGBColor[1, 0, 1]],
  "differentiable."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[\[CapitalDelta]f, \[CapitalDelta]f\[CapitalDelta]x, 
      \[CapitalDelta]f\[CapitalDelta]y, \[CapitalDelta]x, \[CapitalDelta]y, 
      f, x0, y0, z]; \nf[z_]\  = \ Conjugate[z]; \n
    Print["\<f(z) = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"First, form the difference quotient using  \[CapitalDelta]z = \
\[CapitalDelta]x."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\[CapitalDelta]f\[CapitalDelta]x\  = \ 
      \(f[x0\  + \ \[CapitalDelta]x\  + \ \[ImaginaryI]\ y0] - 
          f[x0\  + \ \[ImaginaryI]\ y0]\)\/\(x0\  + \ \[CapitalDelta]x\  + \ 
          \[ImaginaryI]\ y0\ \  - \ x0\  - \ \[ImaginaryI]\ y0\); \n
    Print[\*"\"\<\!\(\[CapitalDelta]f\/\[CapitalDelta]x\) = \>\"", 
      \[CapitalDelta]f\[CapitalDelta]x]; \n
    \[CapitalDelta]f\[CapitalDelta]x\  = \ 
      ComplexExpand[\[CapitalDelta]f\[CapitalDelta]x]; \n
    Print[\*"\"\<\!\(\[CapitalDelta]f\/\[CapitalDelta]x\) = \>\"", 
      \[CapitalDelta]f\[CapitalDelta]x]; \)], "Input"],

Cell[TextData["And this limit is easy to compute:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[
      \*"\"\<\!\(lim\+\(\[CapitalDelta]x \[Rule] 0\)\) \!\(\[CapitalDelta]f\/\
\[CapitalDelta]z\) = \>\"", 
      Limit[\[CapitalDelta]f\[CapitalDelta]x, \[CapitalDelta]x \[Rule] 0]]; 
    \)\)], "Input"],

Cell[TextData[
"Second, form the difference quotient using  \[CapitalDelta]z = i \
\[CapitalDelta]y."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\[CapitalDelta]f\[CapitalDelta]y\  = \ 
      \(f[x0\  + \ \[ImaginaryI] \((y0 + \[CapitalDelta]y)\)] - 
          f[x0\  + \ \[ImaginaryI]\ y0]\)\/\(x0\  + \ 
          \[ImaginaryI] \((y0 + \[CapitalDelta]y)\)\ \  - \ x0\  - \ 
          \[ImaginaryI]\ y0\); \n
    Print[\*"\"\<\!\(\[CapitalDelta]f\/\[CapitalDelta]y\) = \>\"", 
      \[CapitalDelta]f\[CapitalDelta]y]; \n
    \[CapitalDelta]f\[CapitalDelta]y\  = \ 
      ComplexExpand[\[CapitalDelta]f\[CapitalDelta]y]; \n
    Print[\*"\"\<\!\(\[CapitalDelta]f\/\[CapitalDelta]y\) = \>\"", 
      \[CapitalDelta]f\[CapitalDelta]y]; \)], "Input"],

Cell[TextData["And this limit is easy to compute:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[
      \*"\"\<\!\(lim\+\(\[CapitalDelta]y \[Rule] 0\)\) \!\(\[CapitalDelta]f\/\
\[CapitalDelta]y\) = \>\"", 
      Limit[\[CapitalDelta]f\[CapitalDelta]y, \[CapitalDelta]y \[Rule] 0]]; 
    \)\)], "Input"],

Cell[TextData[{
  "Since the two limits are different for any point ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_\(0\ \)\),
          FontSize->14], TraditionalForm]]],
  ",  f  ' (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_\(0\ \)\),
          FontSize->14], TraditionalForm]]],
  ")  does ",
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " exist for any  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ".\n",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " will ",
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " find the derivative of  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        OverscriptBox[
          StyleBox["z",
            FontSize->14], "_"], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[\(f'\)[x]]; \)\)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["The ",
    FontWeight->"Bold"],
  StyleBox["rules",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[" for differentiation on page 73.",
    FontWeight->"Bold"]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, a1, a2, b, b1, b2, F, f, g, g1, g2, g3, g4, g5, z]; \n
    c\  = \ a\  + \ \[ImaginaryI]\ b; \ng1[z_]\  = \ c\ f[z]; \n\(g1'\)[z]; \n
    Print["\<Derivative of a scalar multiple.\>"]; \n
    Print["\< F[z] = \>", g1[z]]; \nPrint["\< F[z] = \>", Expand[g1[z]]]; \n
    Print["\< \>"]; \nPrint["\<F'[z] = \>", \(g1'\)[z]]; \n
    Print["\<F'[z] = \>", Expand[\(g1'\)[z]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(g2[z_]\  = \ 
      \((a1 + \[ImaginaryI]\ b1)\)\ f[z]\  + \ \((a2 + I\ b2)\)\ g[z]; \n
    \(g2'\)[z]; \nPrint["\<Derivative of a linear combination.\>"]; \n
    Print["\< F[z] = \>", g2[z]]; \nPrint["\< F[z] = \>", Expand[g2[z]]]; \n
    Print["\< \>"]; \nPrint["\<F'[z] = \>", \(g2'\)[z]]; \n
    Print["\<F'[z] = \>", Expand[\(g2'\)[z]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(g3[z_]\  = \ f[z]\ g[z]; \n\(g3'\)[z]; \n
    Print["\<Derivative of the product of two functions.\>"]; \n
    Print["\< F[z] = \>", g3[z]]; \nPrint["\<F'[z] = \>", \(g3'\)[z]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(g4[z_]\  = \ f[z]\/g[z]; \n
    Print["\<Derivative of the quotient of two functions.\>"]; \n
    Print["\< F[z] = \>", g4[z]]; \n
    Print["\<F'[z] = \>", Together[\(g4'\)[z]]]; \)], "Input"],

Cell[BoxData[
    \(g5[z_]\  = \ f[g[z]]; \n\(g5'\)[z]; \n
    Print["\<Derivative of the composition of two functions.\>"]; \n
    Print["\< F[z] = \>", g5[z]]; \n
    Print["\<F'[z] = \>", Together[\(g5'\)[z]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.3,  Page 73.",
    FontWeight->"Bold"],
  "  Use the rules to find the derivative of   f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^2\),
          FontSize->14], TraditionalForm]]],
  "+ i 2 z + 3,  \nand then use this result to find the derivative of  g(z) = \
",
  Cell[BoxData[
      \(TraditionalForm\`\((f(z))\)\^4\)],
    FontSize->14],
  " = ",
  Cell[BoxData[
      FormBox[
        RowBox[{" ", 
          SuperscriptBox[
            RowBox[{"(", 
              RowBox[{
                FormBox[
                  StyleBox[\(z\^2\),
                    FontSize->14],
                  "TraditionalForm"], " ", "+", " ", \(i\ 2\ z\), " ", "+", 
                "3"}], ")"}], "4"]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, z]; \nf[z_]\  = \ z\^2\  + \ \[ImaginaryI]\ 2  z\  + \ 3; \n
    g[z_]\  = \ f[z]\^4; \nPrint["\< f(z) = \>", f[z]]; \n
    Print["\<f'(z) = \>", \(f'\)[z]]; \nPrint["\< \>"]; \n
    Print["\< g(z) = \>", g[z]]; \nPrint["\<g'(z) = \>", \(g'\)[z]]; \)], 
  "Input"],

Cell[TextData[{
  "\n",
  StyleBox["L'Hopital's  Rule.",
    FontWeight->"Bold"],
  "\n\n",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " can do it all, however care must be taken with the higher derivative \
cases.\nMake the assumption that   f(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ") = 0  and  g(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ") = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, lim, z, z0]; \nf[z0]\  = \ 0; \ng[z0]\  = \ 0; \n
    lim\  = \ Limit[f[z]\/g[z], \ z \[Rule] z0, \ Analytic \[Rule] True]; \n
    Print["\<     f[z0] = \>", f[z0]]; \nPrint["\<     g[z0] = \>", g[z0]]; \n
    Print["\<    f'[z0] = \>", \(f'\)[z0]]; \n
    Print["\<    g'[z0] = \>", \(g'\)[z0]]; \n
    Print[\*"\"\<    \!\(f[z0]\/g[z0]\) = \>\"", f[z0]\/g[z0]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] z0\)\) \!\(f[z]\/g[z]\) = \>\"", lim]; 
    \)], "Input"],

Cell[TextData[{
  "Make the second additional assumption that   ",
  Cell[BoxData[
      \(\(f\^'\)\)]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ") = 0  and   ",
  Cell[BoxData[
      \(\(g\^'\)\)]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ") = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(f'\)[z0]\  = \ 0; \n\(g'\)[z0]\  = \ 0; \n
    lim\  = \ Limit[f[z]\/g[z], \ z \[Rule] z0, \ Analytic \[Rule] True]; \n
    Print["\<     f[z0] = \>", f[z0]]; \nPrint["\<     g[z0] = \>", g[z0]]; \n
    Print["\<    f'[z0] = \>", \(f'\)[z0]]; \n
    Print["\<    g'[z0] = \>", \(g'\)[z0]]; \n
    Print["\<   f''[z0] = \>", \(\(f'\)'\)[z0]]; \n
    Print["\<   g''[z0] = \>", \(\(g'\)'\)[z0]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] z0\)\) \!\(f[z]\/g[z]\) = \>\"", lim]; 
    \)], "Input"],

Cell[TextData[{
  "Make the third additional assumption that   ",
  Cell[BoxData[
      \(\(f\ \)\^\(''\)\)]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ") = 0   and   ",
  Cell[BoxData[
      \(g\^\(''\)\)]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ") = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(\(f'\)'\)[z0]\  = \ 0; \n\(\(g'\)'\)[z0]\  = \ 0; \n
    lim\  = \ Limit[f[z]\/g[z], \ z \[Rule] z0, \ Analytic \[Rule] True]; \n
    Print["\<     f[z0] = \>", f[z0]]; \nPrint["\<     g[z0] = \>", g[z0]]; \n
    Print["\<    f'[z0] = \>", \(f'\)[z0]]; \n
    Print["\<    g'[z0] = \>", \(g'\)[z0]]; \n
    Print["\<   f''[z0] = \>", \(\(f'\)'\)[z0]]; \n
    Print["\<   g''[z0] = \>", \(\(g'\)'\)[z0]]; \n
    Print["\<  f'''[z0] = \>", \(\(\(f'\)'\)'\)[z0]]; \n
    Print["\<  g'''[z0] = \>", \(\(\(g'\)'\)'\)[z0]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] z0\)\) \!\(f[z]\/g[z]\) = \>\"", lim]; 
    \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["An extra example",
    FontWeight->"Bold"],
  "  concerning L'Hopital's rule, This fits in on about page 74."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, lim, z]; \n
    f[z_]\  = \ z\^2\  + \ z\  - \ 1\  - \ 3  \[ImaginaryI]; \n
    g[z_]\  = \ z\^2\  - \ 2  z\  + \ 2; \nPrint["\<f[z] = \>", f[z]]; \n
    Print["\<g[z] = \>", g[z]]; \)], "Input"],

Cell["Direct substitution of   z = 1 + i   is indeterminate.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[
      \*"\"\<\!\(f[1 + \[ImaginaryI]]\/g[1 + \[ImaginaryI]]\) = \>\"", 
      f[1 + \[ImaginaryI]]\/g[1 + \[ImaginaryI]]]; \)\)], "Input"],

Cell[TextData["Find the limit as   z \[Rule] 1 + i."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(lim\  = \ Limit[f[z]\/g[z], z \[Rule] 1 + \[ImaginaryI]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] 1 + \[ImaginaryI]\)\)\!\(f[z]\/g[z]\) = \
\!\(lim\+\(z \[Rule] 1 + \[ImaginaryI]\)\)\>\"", f[z]\/g[z]]; \n
    Print[\*"\"\<          = \!\(lim\+\(z \[Rule] 1 + \[ImaginaryI]\)\)\>\"", 
      Cancel[f[z]\/g[z]]]; \nPrint["\<          =  \>", lim]; \)], "Input"],

Cell[TextData["Which agrees with the L'Hopital rule computation."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(lim\  = \ Limit[\(f'\)[z]\/\(g'\)[z], z \[Rule] 1 + \[ImaginaryI]]; \n
    Print[\*"\"\<\!\(lim\+\(z \[Rule] 1 + \[ImaginaryI]\)\) \
\!\(\(f'\)[z]\/\(g'\)[z]\) = \!\(lim\+\(z \[Rule] 1 + \[ImaginaryI]\)\) \
\>\"", \(f'\)[z]\/\(g'\)[z]]; \nPrint["\<            = \>", lim]\)], "Input"],

Cell[TextData[{
  "Which agrees with evaluation of the quotient  ",
  Cell[BoxData[
      FractionBox[
        RowBox[{
          StyleBox[\(f'\),
            FontSize->14], 
          StyleBox[\((1 + i)\),
            FontSize->14]}], 
        StyleBox[\(g'\ \((1 + i)\)\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<  f'[1+\[ImaginaryI]] = \>", \(f'\)[1 + \[ImaginaryI]]]; \n
    Print["\<  g'[1+\[ImaginaryI]] = \>", \(g'\)[1 + \[ImaginaryI]]]; \n
    Print[\*"\"\<\!\(\(f'\)[1 + \[ImaginaryI]]\/\(g'\)[1 + \[ImaginaryI]]\) = \
\>\"", \(f'\)[1 + \[ImaginaryI]]\/\(g'\)[1 + \[ImaginaryI]]]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 3",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 3.2  ",
  StyleBox["The Cauchy-Riemann Equations",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 3.2"],

Cell[TextData[{
  StyleBox["Theorem 3.2,  Page 77.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Cauchy-Riemann Equations)",
    FontColor->RGBColor[1, 0, 1]],
  "  \nLet  ",
  Cell[BoxData[
      \(f \((z)\) = \(f \((x + iy)\) = \ u \((x, y)\) + i\ v \((x, y)\)\)\)]],
  
  "  be differentiable at   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_0\),
            FontSize->14], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["x",
                FontSize->14], "0"], 
            StyleBox["+",
              FontSize->14], 
            RowBox[{
              StyleBox["i",
                FontSize->14], 
              StyleBox[" ",
                FontSize->14], 
              SubscriptBox[
                StyleBox["y",
                  FontSize->14], "0"]}]}]}], TraditionalForm]]],
  ".  Then the partial derivatives of  u  and  v  exist at (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ") and satisfy the ",
  StyleBox["Cauchy-Riemann Equations",
    FontColor->RGBColor[1, 0, 1]],
  "\n               ",
  Cell[BoxData[
      \(TraditionalForm\`u\_x\)],
    FontSize->14],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ")  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_y\),
          FontSize->14], TraditionalForm]]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ")    and   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(u\_y\),
          FontSize->14], TraditionalForm]]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ")  =  - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_x\),
          FontSize->14], TraditionalForm]]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ").\n\n",
  StyleBox["Theorem 3.3,  Page 79.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Sufficient Conditions)",
    FontColor->RGBColor[1, 0, 1]],
  "  \nLet  ",
  Cell[BoxData[
      \(f \((z)\) = \(f \((x + iy)\) = \ u \((x, y)\) + i\ v \((x, y)\)\)\)]],
  
  " be a continuous function that is defined in some neighborhood of the \
point   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_0\),
            FontSize->14], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["x",
                FontSize->14], "0"], 
            StyleBox["+",
              FontSize->14], 
            RowBox[{
              StyleBox["i",
                FontSize->14], 
              StyleBox[" ",
                FontSize->14], 
              SubscriptBox[
                StyleBox["y",
                  FontSize->14], "0"]}]}]}], TraditionalForm]]],
  ".  If all of the first order partial derivatives are continuous at the \
point  ",
  Cell[BoxData[
      FormBox[
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontSize->14], ",", 
            SubscriptBox[
              StyleBox["y",
                FontSize->14], "0"]}], ")"}], TraditionalForm]]],
  "  and if the Cauchy-Riemann equations hold, then  f(z)  is differentiable \
at ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 3.4,  Page 82.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Polar Form)",
    FontColor->RGBColor[1, 0, 1]],
  "  \nLet  ",
  Cell[BoxData[
      \(f \((z)\) = u \((r, \[Theta])\) + i\ v \((r, \[Theta])\)\)]],
  "  be a continuous function that is defined in some neighborhood of the \
point   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_0\),
            FontSize->14], "=", 
          RowBox[{\(r\_0\), " ", 
            StyleBox[\(\[ExponentialE]\^\[ImaginaryI]\[Theta]\_0\),
              FontSize->14]}]}], TraditionalForm]]],
  ".  If all of the first order partial derivatives are continuous at the \
point  ",
  Cell[BoxData[
      FormBox[
        RowBox[{"(", 
          RowBox[{
            SubscriptBox[
              StyleBox["r",
                FontSize->14], "0"], ",", \(\[Theta]\_0\)}], ")"}], 
        TraditionalForm]]],
  "  and if the Cauchy-Riemann equations\n",
  Cell[BoxData[
      \(TraditionalForm\`u\_r\)],
    FontSize->14],
  Cell[BoxData[
      FormBox[
        RowBox[{"(", 
          RowBox[{
            SubscriptBox[
              StyleBox["r",
                FontSize->14], "0"], ",", \(\[Theta]\_0\)}], ")"}], 
        TraditionalForm]]],
  "  = ",
  Cell[BoxData[
      FractionBox["1", 
        FormBox[
          SubscriptBox[
            StyleBox["r",
              FontSize->14], "0"],
          "TraditionalForm"]]]],
  " ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_\[Theta]\),
          FontSize->14], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        RowBox[{"(", 
          RowBox[{
            SubscriptBox[
              StyleBox["r",
                FontSize->14], "0"], ",", \(\[Theta]\_0\)}], ")"}], 
        TraditionalForm]]],
  "    and   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(u\_r\),
          FontSize->14], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        RowBox[{"(", 
          RowBox[{
            SubscriptBox[
              StyleBox["r",
                FontSize->14], "0"], ",", \(\[Theta]\_0\)}], ")"}], 
        TraditionalForm]]],
  "  = ",
  Cell[BoxData[
      FractionBox[\(-\ 1\), 
        FormBox[
          SubscriptBox[
            StyleBox["r",
              FontSize->14], "0"],
          "TraditionalForm"]]]],
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_\[Theta]\),
          FontSize->14], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        RowBox[{"(", 
          RowBox[{
            SubscriptBox[
              StyleBox["r",
                FontSize->14], "0"], ",", \(\[Theta]\_0\)}], ")"}], 
        TraditionalForm]]],
  "\nhold, then  f(z)  is differentiable at ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ". "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["\nDerivation of the Cauchy-Riemann equations with ",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox["Mathematica",
    FontSize->14,
    FontWeight->"Bold",
    FontSlant->"Italic"],
  StyleBox[".",
    FontSize->14,
    FontWeight->"Bold"]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[\[CapitalDelta]x, \[CapitalDelta]y, E1, E2, E3, E4, E5, f, L1, 
      L2, u, v, x, y]; \nx /: Im[x] = 0; \ny /: Im[y] = 0; \n
    u /: Im[u[x, y]] = 0; \nv /: Im[v[x, y]] = 0; \nx /: Re[x] = x; \n
    y /: Re[y] = y; \nu /: Re[u[x, y]] = u[x, y]; \n
    v /: Re[v[x, y]] = v[x, y]; \n
    f[x_\  + \ \[ImaginaryI]\ y_]\  := \ 
      u[x, y]\  + \ \[ImaginaryI]\ v[x, y]; \n
    L1\  = \ Limit[
        \(f[x + \[CapitalDelta]x + \[ImaginaryI]\ y] - 
            f[x + \[ImaginaryI]\ y]\)\/\[CapitalDelta]x, 
        \[CapitalDelta]x \[Rule] 0, Analytic \[Rule] True]; \n
    L2\  = \ Limit[
        \(f[x + \[ImaginaryI] \((y + \[CapitalDelta]y)\)] - 
            f[x + \[ImaginaryI]\ y]\)\/\(\[ImaginaryI]\ \[CapitalDelta]y\), 
        \[CapitalDelta]y \[Rule] 0, Analytic \[Rule] True]; \n
    Print["\<    f(z) = \>", f[x\  + \ \[ImaginaryI]\ y]]; \n
    Print["\<Re[f(z)] = \>", ComplexExpand[Re[f[x + \[ImaginaryI]\ y]]]]; \n
    Print["\<Im[f(z)] = \>", ComplexExpand[Im[f[x + \[ImaginaryI]\ y]]]]; \n
    Print["\< \>"]; \n
    Print[\*"\"\<\!\(lim\+\(\[CapitalDelta]x \[Rule] 0\)\)  \!\(\
\[CapitalDelta]f\/\[CapitalDelta]x\) = \>\"", L1]; \n
    Print[\*"\"\<\!\(lim\+\(\[CapitalDelta]y \[Rule] 0\)\) \
\!\(\[CapitalDelta]f\/\(\[ImaginaryI]\\\ \[CapitalDelta]y\)\) = \>\"", L2]; \n
    Print["\<\>"]\), 
    \(E1\  = \ L1\  == \ L2; \nPrint[E1]; \nPrint["\< \>"]; \n
    E2\  = \ ReplaceAll[
        E1, {\[ImaginaryI] \[Rule] 0, \(-\[ImaginaryI]\) \[Rule] 0}]; \n
    Print[E2]; \nE3\  = \ Thread[\(-E1\), Equal]; \n
    E4\  = \ Thread[E2 + E3, Equal]; \n
    E5\  = \ ReplaceAll[
        E4, {\[ImaginaryI] \[Rule] 1, \(-\[ImaginaryI]\) \[Rule] \(-1\)}]; \n
    Print[E5]; \)}], "Input"],

Cell[TextData[{
  "These are the Cauchy-Riemann equations  \n          ",
  Cell[BoxData[
      \(TraditionalForm\`u\_x\)],
    FontSize->14],
  "(x,y) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_y\),
          FontSize->14], TraditionalForm]]],
  "(x,y)   and ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(u\_y\),
          FontSize->14], TraditionalForm]]],
  "(x,y) = - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_x\),
          FontSize->14], TraditionalForm]]],
  "(x,y)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.4,  Page 78.",
    FontWeight->"Bold"],
  "  The function  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^3\),
          FontSize->14,
          FontSlant->"Italic"], TraditionalForm]],
    FontSize->14],
  StyleBox["  =  ",
    FontSize->14],
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^3\),
          FontSize->14], TraditionalForm]],
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox[" - 3x",
    FontSize->14,
    FontSlant->"Italic"],
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]],
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox[" + i(3",
    FontSize->14,
    FontSlant->"Italic"],
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^2\),
          FontSize->14], TraditionalForm]],
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox["y - ",
    FontSize->14,
    FontSlant->"Italic"],
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^3\),
          FontSize->14], TraditionalForm]],
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox[")",
    FontSize->14,
    FontSlant->"Italic"],
  "\nis known to be differentiable. Verify that its derivative satisfies the \
results of the \nCauchy-Riemann equations."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, x, y, u, v, w, w1, z]; \nf[z_]\  = \ z\^3; \n
    w\  = \ ComplexExpand[f[x + \[ImaginaryI]\ y]]; \n
    u[x_, y_]\  = \ ComplexExpand[Re[f[x + \[ImaginaryI]\ y]]]; \n
    v[x_, y_]\  = \ ComplexExpand[Im[f[x + \[ImaginaryI]\ y]]]; \n
    Print["\<  f[z] = \>", f[z]]; \nPrint["\<  f[z] = \>", w]; \n
    Print["\<u[x,y] = \>", u[x, y]]; \nPrint["\<v[x,y] = \>", v[x, y]]; \)], 
  "Input"],

Cell[BoxData[
    \(w1\  = \ 
      \[PartialD]\_x\ u[x, y]\ \  + \ \ 
        \[ImaginaryI]\ \[PartialD]\_x\ v[x, y]; \n
    Print["\<f'[z] = \>", \(f'\)[x + \[ImaginaryI]\ y]]; \n
    Print["\<f'[z] = \>", ComplexExpand[\(f'\)[x + \[ImaginaryI]\ y]]]; \n
    Print["\< \>"]; \n
    Print[\*"\"\<f'[z] = \!\(u\_x\)[x,y]+ \[ImaginaryI] \
\!\(v\_x\)[x,y]\>\""]; \nPrint["\<f'[z] = \>", w1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.5,  Page 79.",
    FontWeight->"Bold"],
  "  Verify that the complex function  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            SuperscriptBox[
              RowBox[{"(", " ", 
                FormBox[\(z\&_\),
                  "TraditionalForm"], " ", ")"}], "2"],
            FontSize->14], 
          StyleBox["z",
            FontSize->16]], TraditionalForm]],
    FontSize->14],
  " is ",
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " analytic."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, u, Ux, Ux0, Uy, Uy0, v, Vx, Vx0, Vy, Vy0, w, x, y]; \n
    x /: Im[x] = 0; \ny /: Im[y] = 0; \nx /: Re[x] = x; \ny /: Re[y] = y; \n
    w\  = \ Conjugate[x + \[ImaginaryI]\ y]\^2\/\(x + \[ImaginaryI]\ y\); \n
    Print["\<w = \>", w]; \n
    w\  = \ ComplexExpand[w, TargetFunctions \[Rule] {Im, Re}]; \n
    Print["\<w = \>", w]; \)], "Input"],

Cell[BoxData[
    \(u[x_, y_]\  = \ Together[ComplexExpand[Re[w]]]; \n
    v[x_, y_]\  = \ Together[ComplexExpand[Im[w]]]; \nu[0, 0]\  = \ 0; \n
    v[0, 0]\  = \ 0; \nf[x_, y_]\  = \ u[x, y]\  + \ \[ImaginaryI]\ v[x, y]; 
    \nf[0, 0]\  = \ 0; \nPrint["\<u[x,y] = \>", u[x, y]]; \n
    Print["\<v[x,y] = \>", v[x, y]]; \nPrint["\<  f[z] = \>", f[x, y]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Ux\  = \ Together[\[PartialD]\_x\ u[x, y]]; \n
    Uy\  = \ Together[\[PartialD]\_y\ u[x, y]]; \n
    Vx\  = \ Together[\[PartialD]\_x\ v[x, y]]; \n
    Vy\  = \ Together[\[PartialD]\_y\ v[x, y]]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] = \>\"", Ux]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = \>\"", Uy]; \n
    Print[\*"\"\<\!\(v\_x\)[x,y] = \>\"", Vx]; \n
    Print[\*"\"\<\!\(v\_y\)[x,y] = \>\"", Vy]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] - \!\(v\_y\)[x,y] = 0 = \>\"", 
      Simplify[Ux - Vy]]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] + \!\(v\_x\)[x,y] = 0 = \>\"", 
      Simplify[Uy + Vx]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Hence the function  f  is differentiable only when ",
  StyleBox[" ",
    FontSize->14],
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^2\),
          FontSize->14], TraditionalForm]],
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox[" - ",
    FontSize->14,
    FontSlant->"Italic"],
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]],
    FontSize->14,
    FontSlant->"Italic"],
  " = 0   and   - 8 ",
  StyleBox["x y",
    FontSize->14,
    FontSlant->"Italic"],
  " = 0  hence\nat the origin.   Let's check to see if the Cauchy-Riemann \
equations hold at  (0,0)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Ux0\  = \ 
      Limit[\(u[x, 0] - u[0, 0]\)\/\(x - 0\), \ x \[Rule] 0, \ 
        Analytic \[Rule] True]; \n
    Vy0\  = \ Limit[\(v[0, y] - v[0, 0]\)\/\(y - 0\), \ y \[Rule] 0, \ 
        Analytic \[Rule] True]; \n
    Uy0\  = \ Limit[\(u[0, y] - u[0, 0]\)\/\(y - 0\), \ y \[Rule] 0, \ 
        Analytic \[Rule] True]; \n
    Vx0\  = \ Limit[\(v[x, 0] - v[0, 0]\)\/\(x - 0\), \ x \[Rule] 0, \ 
        Analytic \[Rule] True]; \nPrint[\*"\"\<\!\(u\_x\)[0,0] = \>\"", Ux0]; 
    \nPrint[\*"\"\<\!\(u\_y\)[0,0] = \>\"", Uy0]; \n
    Print[\*"\"\<\!\(v\_x\)[0,0] = \>\"", Vx0]; \n
    Print[\*"\"\<\!\(v\_y\)[0,0] = \>\"", Vy0]; \n
    Print[\*"\"\<\!\(u\_x\)[0,0] =  \!\(v\_y\)[0,0],    \>\"", Ux0 == Vy0]; \n
    Print[\*"\"\<\!\(u\_y\)[0,0] = -\!\(v\_x\)[0,0],    \>\"", 
      Uy0 == \(-Vx0\)]; \)], "Input"],

Cell[TextData[{
  "So,  ",
  Cell[BoxData[
      \(TraditionalForm\`u\_x\)],
    FontSize->14],
  "(x,y) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_y\),
          FontSize->14], TraditionalForm]]],
  "(x,y)  and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(u\_y\),
          FontSize->14], TraditionalForm]]],
  "(x,y) = - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(v\_x\),
          FontSize->14], TraditionalForm]]],
  "(x,y)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "And  f  is ",
  StyleBox["NOT ",
    FontColor->RGBColor[1, 0, 1]],
  "analytic at (0,0) because the following two limits are distinct."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(dfdx\  = \ 
      Limit[\(f[x, 0] - f[0, 0]\)\/x, x \[Rule] 0, Analytic \[Rule] True]; \n
    dfdt\  = \ 
      Limit[\(f[t, t] - f[0, 0]\)\/\(t + \[ImaginaryI]\ t\), t \[Rule] 0, 
        Analytic \[Rule] True]; \nPrint["\<Along  the  x=axis:\>"]; \n
    Print[\*"\"\<\!\(lim\+\(x \[Rule] 0\)\) \!\(df\/dx\) = \!\(lim\+\(x \
\[Rule] 0\)\) \!\(\(f[x, 0] - f[0, 0]\)\/x\)\>\""]; \n
    Print[\*"\"\<\!\(lim\+\(x \[Rule] 0\)\) \!\(df\/dx\) = \>\"", dfdx]; \n
    Print["\<Along the line y=x:\>"]; \n
    Print[\*"\"\<\!\(lim\+\(t \[Rule] 0\)\) \!\(df\/dt\) = \!\(lim\+\(t \
\[Rule] 0\)\) \!\(\(f[t, t] - f[0, 0]\)\/\(t + \[ImaginaryI]\\\ t\)\)\>\""]; 
    \nPrint[\*"\"\<\!\(lim\+\(t \[Rule] 0\)\) \!\(df\/dt\) = \>\"", dfdt]; 
    \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.6,  Page 81.",
    FontWeight->"Bold"],
  "  Use the Cauchy-Riemann equations to show that  \nf(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^\(-y\)\),
          FontSize->14], TraditionalForm]]],
  "cos x  +  i ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^\(-y\)\),
          FontSize->14], TraditionalForm]]],
  "sin x    is differentiable for all   z = x + iy."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, u, Ux, Uy, v, Vx, Vy, w1, x, y, z]; \n
    u[x_, y_]\  = \ Exp[\(-y\)] Cos[x]; \nv[x_, y_]\  = \ Exp[\(-y\)] Sin[x]; 
    \nUx\  = \ Together[\[PartialD]\_x\ u[x, y]]; \n
    Uy\  = \ Together[\[PartialD]\_y\ u[x, y]]; \n
    Vx\  = \ Together[\[PartialD]\_x\ v[x, y]]; \n
    Vy\  = \ Together[\[PartialD]\_y\ v[x, y]]; \n
    Print["\< U[x,y] = \>", u[x, y]]; \nPrint["\< V[x,y] = \>", v[x, y]]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] = \>\"", Ux]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = \>\"", Uy]; \n
    Print[\*"\"\<\!\(v\_x\)[x,y] = \>\"", Vx]; \n
    Print[\*"\"\<\!\(v\_y\)[x,y] = \>\"", Vy]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] =  \!\(v\_y\)[x,y],    \>\"", Ux == Vy]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = -\!\(v\_x\)[x,y],    \>\"", 
      Uy == \(-Vx\)]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The Cauchy-Riemann equations hold everywhere, so that\nf(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^\(-y\)\),
          FontSize->14], TraditionalForm]]],
  "cos x  +  i ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^\(-y\)\),
          FontSize->14], TraditionalForm]]],
  "sin x    is analytic for all values of  z."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print["\<f[z] = \>", u[x, y]\  + \ \[ImaginaryI]\ v[x, y]]; \)\)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Remark.  We can write this function as  f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^iz\),
          FontSize->14], TraditionalForm]]],
  "  = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^\(\(-y\) + ix\)\),
          FontSize->14], TraditionalForm]]],
  ", and investigate f '(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[z_]\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ z\); \n
    w1\  = \ \[PartialD]\_x\ u[x, y]\ \  + \ \ 
        \[ImaginaryI]\ \[PartialD]\_x\ v[x, y]; \n
    Print["\<    f[z] = \>", f[z]]; \n
    Print["\< f[x+\[ImaginaryI]y] = \>", f[x + \[ImaginaryI]\ y]]; \n
    Print["\< f[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[f[x\  + \ \[ImaginaryI]\ y]]]; \nPrint["\< \>"]; \n
    Print["\<f'[x+\[ImaginaryI]y] = \>", \(f'\)[x + \[ImaginaryI]\ y]]; \n
    Print["\<f'[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[\(f'\)[x + \[ImaginaryI]\ y]]]; \nPrint["\< \>"]; \n
    Print[\*"\"\<f'[x+\[ImaginaryI]y] = \!\(u\_x\)[x,y]+ \[ImaginaryI] \
\!\(v\_x\)[x,y]\>\""]; \nPrint["\<f'[x+\[ImaginaryI]y] = \>", w1]; \)], 
  "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.7,  Page 81.",
    FontWeight->"Bold"],
  "  Show that the complex function  \n     f(z)",
  StyleBox["  =  ",
    FontSize->10],
  Cell[BoxData[
      \(TraditionalForm\`x\^3\)]],
  "  +  3x",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]]],
  "  +  i (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^3\),
          FontSize->14], TraditionalForm]]],
  " + 3",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^2\),
          FontSize->14], TraditionalForm]]],
  "y)\nis differentiable only at points that lie on the coordinate axes."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[u, Ux, Uy, v, Vx, Vy, x, y]; \n
    u[x_, y_]\  = \ x\^3\  + \ 3\ x\ y\^2; \n
    v[x_, y_]\  = \ y\^3\  + \ 3\ x\^2\ y; \n
    Ux\  = \ Together[\[PartialD]\_x\ u[x, y]]; \n
    Uy\  = \ Together[\[PartialD]\_y\ u[x, y]]; \n
    Vx\  = \ Together[\[PartialD]\_x\ v[x, y]]; \n
    Vy\  = \ Together[\[PartialD]\_y\ v[x, y]]; \n
    Print["\< u[x,y] = \>", u[x, y]]; \nPrint["\< v[x,y] = \>", v[x, y]]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] = \>\"", Ux]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = \>\"", Uy]; \n
    Print[\*"\"\<\!\(v\_x\)[x,y] = \>\"", Vx]; \n
    Print[\*"\"\<\!\(v\_y\)[x,y] = \>\"", Vy]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] =  \!\(v\_y\)[x,y],      \>\"", Ux == Vy]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = -\!\(v\_x\)[x,y],      \>\"", 
      Uy == \(-Vx\)]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] + \!\(v\_x\)[x,y] = 0,   \>\"", 
      Uy + Vx == 0]; \)], "Input"],

Cell[TextData[{
  "The Cauchy-Riemann equations hold only if  xy = 0.   \nHence, f(z)",
  StyleBox["  =  ",
    FontSize->10],
  Cell[BoxData[
      \(TraditionalForm\`x\^3\)]],
  "  +  3x",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]]],
  "  +  i (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^3\),
          FontSize->14], TraditionalForm]]],
  " + 3",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^2\),
          FontSize->14], TraditionalForm]]],
  "y)  is analytic only when  x = 0 or y = 0,\nwhich occurs at points that \
lie on the coordinate axes."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.8,  Page 82.",
    FontWeight->"Bold"],
  "  Show that if  ",
  Cell[BoxData[
      \(f \((z)\)\)]],
  "  is given by\n\t",
  Cell[BoxData[
      RowBox[{\(f \((z)\)\), "=", 
        RowBox[{\(z\^\(1/2\)\), " ", "=", " ", 
          RowBox[{\(r\^\(1/2\)\), 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"cos", 
                  RowBox[{"(", 
                    StyleBox[
                      FractionBox[
                        StyleBox["\[Theta]",
                          FontSize->12], 
                        StyleBox["2",
                          FontSize->12]],
                      FontSize->12], ")"}]}], "+", 
                RowBox[{"\[ImaginaryI]", " ", "sin", 
                  RowBox[{"(", 
                    StyleBox[
                      FractionBox[
                        StyleBox["\[Theta]",
                          FontSize->12], 
                        StyleBox["2",
                          FontSize->12]],
                      FontSize->12], ")"}]}]}], ")"}]}]}]}]]],
  "\nwhere the domain is restricted to be  r > 0  and  , then the derivative \
is given by  ",
  Cell[BoxData[
      \(\(-\[Pi]\) < \[Theta] < \[Pi]\)]],
  ",  then the derivative is given by\n\t",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox["f", "\[Prime]",
            MultilineFunction->None], \((z)\)}], "=", 
        RowBox[{
          FractionBox[
            StyleBox["1",
              FontSize->12], 
            StyleBox[\(2 z\^\(1/2\)\),
              FontSize->12]], "=", " ", 
          RowBox[{
            FractionBox[
              StyleBox[\(r\^\(\(-1\)/2\)\),
                FontSize->12], 
              StyleBox["2",
                FontSize->12]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"cos", 
                  RowBox[{"(", 
                    StyleBox[
                      FractionBox[
                        StyleBox["\[Theta]",
                          FontSize->12], 
                        StyleBox["2",
                          FontSize->12]],
                      FontSize->12], ")"}]}], "-", 
                RowBox[{"\[ImaginaryI]", " ", "sin", 
                  RowBox[{"(", 
                    StyleBox[
                      FractionBox[
                        StyleBox["\[Theta]",
                          FontSize->12], 
                        StyleBox["2",
                          FontSize->12]],
                      FontSize->12], ")"}]}]}], ")"}]}]}]}]]],
  ",\nwhere  r > 0  and  ",
  Cell[BoxData[
      \(\(-\[Pi]\) < \[Theta] < \[Pi]\)]],
  ".\nSolution.  First, verify that  ",
  Cell[BoxData[
      \(f \((z)\)\)]],
  "  satisfies the polar form of the Cauchy-Riemann equations.  "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[r, \[Theta], u, v]\), 
    \(u[r_, \[Theta]_] = \(r\^\(1/2\)\) Cos[\[Theta]\/2]; \n
    v[r_, \[Theta]_] = \(r\^\(1/2\)\) Sin[\[Theta]\/2]; \n
    Ur\  = \[PartialD]\_r\ u[r, \[Theta]]; \n
    U\[Theta]\  = \[PartialD]\_\[Theta]\ u[r, \[Theta]]; \n
    Vr\  = \[PartialD]\_r\ v[r, \[Theta]]; \n
    V\[Theta]\  = \[PartialD]\_\[Theta]\ v[r, \[Theta]]; \n
    Print["\<u[r,\[Theta]] = \>", u[r, \[Theta]]]; \n
    Print["\<v[r,\[Theta]] = \>", u[r, \[Theta]]]; \n
    Print[\*"\"\<\!\(\[PartialD]\_r\) u[r,\[Theta]] = \>\"", 
      \[PartialD]\_r\ u[r, \[Theta]]]; \n
    Print[\*"\"\<\!\(\[PartialD]\_\[Theta]\) u[r,\[Theta]] = \>\"", 
      \[PartialD]\_\[Theta]\ u[r, \[Theta]]]; \n
    Print[\*"\"\<\!\(\[PartialD]\_r\) v[r,\[Theta]] = \>\"", 
      \[PartialD]\_r\ v[r, \[Theta]]]; \n
    Print[\*"\"\<\!\(\[PartialD]\_\[Theta]\) v[r,\[Theta]] = \>\"", 
      \[PartialD]\_\[Theta]\ v[r, \[Theta]]]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(\[PartialD]\_r\) u[r,\[Theta]] = \!\(1\/r\) \!\(\
\[PartialD]\_\[Theta]\) v[r,\[Theta]] ?,   \>\"", 
      \[PartialD]\_r\ u[r, \[Theta]] == 
        1\/r\ \[PartialD]\_\[Theta]\ v[r, \[Theta]]]; \n
    Print[\*"\"\<\!\(\[PartialD]\_r\) v[r,\[Theta]] = \!\(\(-1\)\/r\) \!\(\
\[PartialD]\_\[Theta]\) u[r,\[Theta]] ?,  \>\"", 
      \[PartialD]\_r\ v[r, \[Theta]] == 
        \(-1\)\/r\ \[PartialD]\_\[Theta]\ u[r, \[Theta]]]; \)}], "Input"],

Cell[TextData[{
  "  Second, the polar form of the Cauchy-Riemann equations to find  ",
  Cell[BoxData[
      RowBox[{
        SuperscriptBox["f", "\[Prime]",
          MultilineFunction->None], \((z)\)}]]],
  "."
}], "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(
\*SuperscriptBox[\(f\),  \(\[Prime]\),
MultilineFunction->None]\)(z) = \>\"", ",", 
          \(\(\[ExponentialE]\^\(\(-\[ImaginaryI]\)\ \[Theta]\)\) 
            \((\[PartialD]\_r\ u[r, \[Theta]] + 
                \[ImaginaryI]\ \[PartialD]\_r\ v[r, \[Theta]])\)\)}], "]"}], 
      ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(
\*SuperscriptBox[\(f\),  \(\[Prime]\),
MultilineFunction->None]\)(z) = \>\"", ",", 
          \(ComplexExpand[\[ExponentialE]\^\(\(-\[ImaginaryI]\)\ \[Theta]\)] 
            \((\[PartialD]\_r\ u[r, \[Theta]] + 
                \[ImaginaryI]\ \[PartialD]\_r\ v[r, \[Theta]])\)\)}], "]"}], 
      ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(
\*SuperscriptBox[\(f\),  \(\[Prime]\),
MultilineFunction->None]\)(z) = \>\"", ",", 
          \(Simplify[
            ComplexExpand[\[ExponentialE]\^\(\(-\[ImaginaryI]\)\ \[Theta]\)] 
              \((\[PartialD]\_r\ u[r, \[Theta]] + 
                  \[ImaginaryI]\ \[PartialD]\_r\ v[r, \[Theta]])\)]\)}], 
        "]"}], ";"}]], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 3",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 3.3  ",
    FontSize->18],
  StyleBox["Analytic Functions and Harmonic Functions",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 3.3"],

Cell[TextData[{
  "     The function  f  is said to be ",
  StyleBox["analytic",
    FontColor->RGBColor[1, 0, 1]],
  " at  ",
  Cell[BoxData[
      \(TraditionalForm\`z\_0\)]],
  "  if its derivative exists \nat each point  z  in some neighborhood of  ",
  Cell[BoxData[
      \(TraditionalForm\`z\_0\)]],
  ".\n\n",
  StyleBox["Theorem 3.5,  Page 85.",
    FontWeight->"Bold"],
  "  Let ",
  Cell[BoxData[
      \(f \((z)\) = \(f \((x + iy)\) = \ u \((x, y)\) + i\ v \((x, y)\)\)\)]],
  
  "  be an ",
  StyleBox["analytic",
    FontColor->RGBColor[1, 0, 1]],
  " function in the domain  D.  If all second-order partial derivatives of  u \
 and  v  are continuous,\nthen both   u(x,y)   and   v(x,y)   are ",
  StyleBox["harmonic",
    FontColor->RGBColor[1, 0, 1]],
  " function in   D.\n\n",
  StyleBox["Theorem 3.6,  Page 87.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Construction of a Conjugate)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  u(x,y)  be ",
  StyleBox["harmonic",
    FontColor->RGBColor[1, 0, 1]],
  " in an  \[Epsilon]-neighborhood of the point  (",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\_0\),
          FontSize->14], TraditionalForm]]],
  ",",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\_0\),
          FontSize->14], TraditionalForm]]],
  ").  Then there exists a conjugate harmonic function  v(x,y)  defined in \
this neighborhood, and  ",
  Cell[BoxData[
      \(f \((z)\) = u \((x, y)\) + i\ v \((x, y)\)\)]],
  " is an ",
  StyleBox["analytic",
    FontColor->RGBColor[1, 0, 1]],
  " function."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.9,  Page 84.",
    FontWeight->"Bold"],
  "  Show that the complex function  f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^2\),
          FontSize->14], TraditionalForm]],
    FontSize->14],
  StyleBox[" + ",
    FontSize->14],
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]],
    FontSize->14],
  StyleBox[" ",
    FontSize->14],
  "+ i 2x y  is ",
  StyleBox["NOWHERE",
    FontColor->RGBColor[1, 0, 1]],
  " analytic."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[u, Ux, Uy, v, Vx, Vy, x, y]; \nu[x_, y_]\  = \ x\^2\  + \ y\^2; \n
    v[x_, y_]\  = \ 2\ x\ y; \nUx\  = \ \[PartialD]\_x\ u[x, y]; \n
    Uy\  = \ \[PartialD]\_y\ u[x, y]; \nVx\  = \ \[PartialD]\_x\ v[x, y]; \n
    Vy\  = \ \[PartialD]\_y\ v[x, y]; \nPrint["\< u[x,y] = \>", u[x, y]]; \n
    Print["\< v[x,y] = \>", v[x, y]]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] = \>\"", Ux]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = \>\"", Uy]; \n
    Print[\*"\"\<\!\(v\_x\)[x,y] = \>\"", Vx]; \n
    Print[\*"\"\<\!\(v\_y\)[x,y] = \>\"", Vy]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] =  \!\(v\_y\)[x,y],      \>\"", Ux == Vy]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = -\!\(v\_x\)[x,y],      \>\"", 
      Uy == \(-Vx\)]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] + \!\(v\_x\)[x,y] = 0,   \>\"", 
      Uy + Vx == 0]; \)], "Input"],

Cell[TextData[{
  "So  f(z)  is differentiable only when  4y = 0  or  y = 0.\nSince f(z) is ",
  
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " differentiable in any open neighborhood, it is ",
  StyleBox["NOWHERE",
    FontColor->RGBColor[1, 0, 1]],
  " analytic."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.10,  Page 86.",
    FontWeight->"Bold"],
  "  Show that both   u(x,y) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^2\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]]],
  "  and  v(x,y) = 2 x y \nare harmonic functions."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[u, Ux, Uy, v, Vx, Vy, w, x, y, z]; \nx /: Im[x] = 0; \n
    y /: Im[y] = 0; \nx /: Re[x] = x; \ny /: Re[y] = y; \n
    z\  = \ x\  + \ \[ImaginaryI]\ y; \nw\  = \ ComplexExpand[z\^2]; \n
    u[x_, y_]\  = \ ComplexExpand[Re[w]]; \n
    v[x_, y_]\  = \ ComplexExpand[Im[w]]; \nUx\  = \ \[PartialD]\_x\ u[x, y]; 
    \nUy\  = \ \[PartialD]\_y\ u[x, y]; \nVx\  = \ \[PartialD]\_x\ v[x, y]; \n
    Vy\  = \ \[PartialD]\_y\ v[x, y]; \nPrint["\< u[x,y] = \>", u[x, y]]; \n
    Print["\< v[x,y] = \>", v[x, y]]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] = \>\"", Ux]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = \>\"", Uy]; \n
    Print[\*"\"\<\!\(v\_x\)[x,y] = \>\"", Vx]; \n
    Print[\*"\"\<\!\(v\_y\)[x,y] = \>\"", Vy]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] =  \!\(v\_y\)[x,y],      \>\"", Ux == Vy]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = -\!\(v\_x\)[x,y],      \>\"", 
      Uy == \(-Vx\)]; \)], "Input"],

Cell["\<\
So  f(x+iy)  =  u(x,y)  +  i v(x,y)  is analytic for all  z = x + i \
y.
And  u(x,y) = Re[f(x+iy)]  and  v(x,y) = Im[f(x+iy)]  are both harmonic \
functions.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.11,  Page 86.",
    FontWeight->"Bold"],
  " Show that both  u(x,y)  =  ",
  Cell[BoxData[
      \(TraditionalForm\`x\^3\)],
    FontSize->14],
  " - 3 x",
  Cell[BoxData[
      FormBox[
        RowBox[{" ", 
          StyleBox[\(y\^2\),
            FontSize->14]}], TraditionalForm]]],
  "  and  v(x,y)  =  3 x",
  Cell[BoxData[
      FormBox[
        RowBox[{" ", 
          StyleBox[\(y\^2\),
            FontSize->14]}], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^3\),
          FontSize->14], TraditionalForm]]],
  "  are harmonic functions."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[u, Ux, Uy, v, Vx, Vy, w, x, y, z]; \nx /: Im[x] = 0; \n
    y /: Im[y] = 0; \nx /: Re[x] = x; \ny /: Re[y] = y; \n
    z\  = \ x\  + \ \[ImaginaryI]\ y; \nw\  = \ Expand[z\^3]; \n
    u[x_, y_]\  = \ ComplexExpand[Re[w]]; \n
    v[x_, y_]\  = \ ComplexExpand[Im[w]]; \nUx\  = \ \[PartialD]\_x\ u[x, y]; 
    \nUy\  = \ \[PartialD]\_y\ u[x, y]; \nVx\  = \ \[PartialD]\_x\ v[x, y]; \n
    Vy\  = \ \[PartialD]\_y\ v[x, y]; \nPrint["\< u[x,y] = \>", u[x, y]]; \n
    Print["\< v[x,y] = \>", v[x, y]]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] = \>\"", Ux]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = \>\"", Uy]; \n
    Print[\*"\"\<\!\(v\_x\)[x,y] = \>\"", Vx]; \n
    Print[\*"\"\<\!\(v\_y\)[x,y] = \>\"", Vy]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] =  \!\(v\_y\)[x,y],      \>\"", Ux == Vy]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = -\!\(v\_x\)[x,y],      \>\"", 
      Uy == \(-Vx\)]; \)], "Input"],

Cell[TextData[{
  "So  f(x+iy)  =  ",
  Cell[BoxData[
      \(TraditionalForm\`x\^3\)],
    FontSize->14],
  " - 3x",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]]],
  " +  i (3x",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^3\),
          FontSize->14], TraditionalForm]]],
  ")   is analytic for all  z = x + i y.\nAnd  u(x,y) = Re[f(x+iy)]  and  \
v(x,y) = Im[f(x+iy)]  are both harmonic functions."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Method. ",
    FontSize->18],
  StyleBox["Construction of the Harmonic Conjugate of u(x,y).",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontSize->18],
  StyleBox["First, execute the following subroutine.",
    FontSize->14]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Execute this cell to activate",
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  " ",
  StyleBox["Construction of the Harmonic Conjugate",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[".",
    FontWeight->"Bold"]
}], "Text"],

Cell[BoxData[
    \(Clear[lap, u, v, v1, v2, v3, x, y]; \n
    con[u0_]\  := \ \n
      Module[{u}, \n\ \ Set@@{u[x_, y_], u0}; \n\ \ 
        lap\  = \ 
          Simplify[
            \[PartialD]\_\(x, x\)u[x, y]\  + \ \[PartialD]\_\(y, y\)u[x, y]]; 
        \n\ \ If[lap =!= 0, Print["\<u[x,y] was Not harmonic\>"]; \n\ \ \ \ \ 
          Print["\<u(x,y) = \>", u[x, y]]; \n\ \ \ \ \ 
          Print[\*"\"\<\!\(u\_xx\) + \!\(u\_yy\) = \>\""]; \ 
          Return[Print[Expand[lap]]]]; \n\ \ 
        v1\  = \[Integral]\[PartialD]\_x\ u[x, y] \[DifferentialD]y; \n\ \ 
        v2\  = \ \(-\ \[PartialD]\_y\ u[x, y]\)\  - \ \[PartialD]\_x\ v1; \n
        \ \ v3\  = \[Integral]v2 \[DifferentialD]x; \n\ \ 
        Return[v1\  + \ v3]; \ ]; \)], "Input",
  InitializationCell->True,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.12,  Page 88.",
    FontWeight->"Bold"],
  "  Show that   u(x,y)  =  x ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^3\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^3\),
          FontSize->14], TraditionalForm]]],
  "y   is a harmonic function\nand find the harmonic conjugate  v(x,y)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(u[x_, y_]\  = \ x\ y\^3\  - \ x\^3\ y; \nv[x_, y_]\  = \ con[u[x, y]]; 
    \nPrint["\<u(x,y) = \>", u[x, y]]; \n
    Print["\<Constructing the harmonic conjugate we get:\>"]; \n
    Print["\<v(x,y) = \>", v[x, y]]; \)], "Input"],

Cell[BoxData[
    \(Ux\  = \ \[PartialD]\_x\ u[x, y]; \nUy\  = \ \[PartialD]\_y\ u[x, y]; \n
    Vx\  = \ \[PartialD]\_x\ v[x, y]; \nVy\  = \ \[PartialD]\_y\ v[x, y]; \n
    Print["\<      w = \>", u[x, y]\  + \ \[ImaginaryI]\ v[x, y]]; \n
    Print["\< u[x,y] = \>", u[x, y]]; \nPrint["\< v[x,y] = \>", v[x, y]]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] = \>\"", Ux]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = \>\"", Uy]; \n
    Print[\*"\"\<\!\(v\_x\)[x,y] = \>\"", Vx]; \n
    Print[\*"\"\<\!\(v\_y\)[x,y] = \>\"", Vy]; \n
    Print[\*"\"\<\!\(u\_x\)[x,y] =  \!\(v\_y\)[x,y],      \>\"", Ux == Vy]; \n
    Print[\*"\"\<\!\(u\_y\)[x,y] = -\!\(v\_x\)[x,y],      \>\"", 
      Uy == \(-Vx\)]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.13,  Page 88.",
    FontWeight->"Bold"],
  "  Let  ",
  Cell[BoxData[
      \(f \((z)\)\)]],
  "  be an analytic function in the domain  D.  If  ",
  Cell[BoxData[
      \(\[VerticalSeparator] f \((z)\) \[VerticalSeparator] 
        \( \[Congruent] K\)\)]],
  "  where  K  is a constant, then  ",
  Cell[BoxData[
      \(f \((z)\)\)]],
  "  is constant in  D.\nSolution.  The solution is given in the textbook.  "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 3.14,  Page 91.",
    FontWeight->"Bold"],
  "  Show that   u(x,y)  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(x\^2\),
          FontSize->14], TraditionalForm]]],
  " - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(y\^2\),
          FontSize->14], TraditionalForm]]],
  "   is the scalar potential \nfunction for the fluid flow:  v(x,y)  =  2x  \
-  i 2y.\n"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[F, u, z]; \nF[z_]\  = \ z\^2; \n
    u[x_, y_]\  = \ ComplexExpand[Re[F[x + \[ImaginaryI]\ y]]]; \n
    v[x_, y_]\  = \ ComplexExpand[Im[F[x + \[ImaginaryI]\ y]]]; \n
    Print["\<  F(z) = \>", F[z]]; \n
    Print["\< F'(z) = \>", Expand[\(F'\)[x + \[ImaginaryI]\ y]]]; \n
    Print[\*"\"\< \!\(\(F' \((z)\)\)\&_\) = \>\"", \n\ \ \ \ \ \ \ 
      ComplexExpand[Conjugate[\(F'\)[x + \[ImaginaryI]\ y]]]]; \n
    Print["\<u(x,y) = \>", u[x, y]]; \nPrint["\<v(x,y) = \>", v[x, y]]; \)], 
  "Input"],

Cell[BoxData[
    \(ContourPlot[v[x, y], {x, 0, 5}, {y, 0, 5}, Contours\  \[Rule] \ 10, 
      PlotPoints \[Rule] 25, AspectRatio \[Rule] 1, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>"}, ColorFunction \[Rule] Hue]; \n
    Print["\<  Contour plot for  v(x,y) = \>", v[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 3",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{473, 245},
WindowMargins->{{4, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0},
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}},
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->RGBColor[0, 0, 1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3145, 102, 2518, 97, 154, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 3"->{
    Cell[5688, 203, 243, 9, 62, "Text",
      CellTags->"CHAPTER 3"]},
  "Section 3.1"->{
    Cell[6391, 226, 240, 9, 35, "Text",
      CellTags->"Section 3.1"]},
  "Section 3.2"->{
    Cell[23914, 789, 214, 8, 35, "Text",
      CellTags->"Section 3.2"]},
  "Section 3.3"->{
    Cell[52058, 1679, 257, 9, 35, "Text",
      CellTags->"Section 3.3"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 88626, 2942},
  {"CHAPTER 3", 88715, 2945},
  {"Section 3.1", 88805, 2948},
  {"Section 3.2", 88897, 2951},
  {"Section 3.3", 88990, 2954}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 801, 26, 198, "Text"]
}, Closed]],
Cell[3145, 102, 2518, 97, 154, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[5688, 203, 243, 9, 62, "Text",
  CellTags->"CHAPTER 3"],
Cell[5934, 214, 420, 7, 90, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[6391, 226, 240, 9, 35, "Text",
  CellTags->"Section 3.1"],
Cell[6634, 237, 2250, 81, 120, "Text"],
Cell[8887, 320, 321, 12, 52, "Text"],
Cell[9211, 334, 164, 2, 70, "Input"],
Cell[9378, 338, 103, 2, 33, "Text"],
Cell[9484, 342, 225, 4, 76, "Input"],
Cell[9712, 348, 233, 9, 33, "Text"],
Cell[9948, 359, 339, 6, 97, "Input"],
Cell[10290, 367, 130, 3, 33, "Text"],
Cell[10423, 372, 260, 4, 97, "Input"],
Cell[10686, 378, 263, 9, 33, "Text"],
Cell[10952, 389, 401, 6, 151, "Input"],
Cell[11356, 397, 421, 16, 71, "Text"],
Cell[11780, 415, 279, 5, 70, "Input"],
Cell[12062, 422, 156, 4, 33, "Text"],
Cell[12221, 428, 607, 10, 133, "Input"],
Cell[12831, 440, 108, 2, 33, "Text"],
Cell[12942, 444, 233, 5, 42, "Input"],
Cell[13178, 451, 159, 4, 33, "Text"],
Cell[13340, 457, 620, 11, 137, "Input"],
Cell[13963, 470, 108, 2, 33, "Text"],
Cell[14074, 474, 233, 5, 44, "Input"],
Cell[14310, 481, 858, 34, 52, "Text"],
Cell[15171, 517, 55, 1, 30, "Input"],
Cell[15229, 520, 277, 11, 52, "Text"],
Cell[15509, 533, 440, 7, 210, "Input"],
Cell[15952, 542, 402, 7, 170, "Input"],
Cell[16357, 551, 240, 5, 110, "Input"],
Cell[16600, 558, 213, 4, 105, "Input"],
Cell[16816, 564, 253, 5, 110, "Input"],
Cell[17072, 571, 841, 29, 71, "Text"],
Cell[17916, 602, 296, 5, 170, "Input"],
Cell[18215, 609, 555, 21, 109, "Text"],
Cell[18773, 632, 494, 8, 257, "Input"],
Cell[19270, 642, 452, 20, 33, "Text"],
Cell[19725, 664, 514, 9, 241, "Input"],
Cell[20242, 675, 460, 20, 33, "Text"],
Cell[20705, 697, 638, 11, 281, "Input"],
Cell[21346, 710, 205, 7, 52, "Text"],
Cell[21554, 719, 227, 4, 110, "Input"],
Cell[21784, 725, 118, 2, 33, "Text"],
Cell[21905, 729, 167, 3, 45, "Input"],
Cell[22075, 734, 110, 2, 33, "Text"],
Cell[22188, 738, 380, 5, 137, "Input"],
Cell[22571, 745, 123, 2, 33, "Text"],
Cell[22697, 749, 304, 4, 101, "Input"],
Cell[23004, 755, 368, 14, 42, "Text"],
Cell[23375, 771, 317, 4, 86, "Input"],
Cell[23695, 777, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[23914, 789, 214, 8, 35, "Text",
  CellTags->"Section 3.2"],
Cell[24131, 799, 6819, 253, 343, "Text"],
Cell[30953, 1054, 335, 13, 57, "Text"],
Cell[31291, 1069, 1726, 32, 632, "Input"],
Cell[33020, 1103, 570, 23, 52, "Text"],
Cell[33593, 1128, 1326, 53, 91, "Text"],
Cell[34922, 1183, 418, 7, 190, "Input"],
Cell[35343, 1192, 429, 9, 130, "Input"],
Cell[35775, 1203, 615, 23, 62, "Text"],
Cell[36393, 1228, 373, 6, 210, "Input"],
Cell[36769, 1236, 398, 7, 190, "Input"],
Cell[37170, 1245, 644, 13, 210, "Input"],
Cell[37817, 1260, 709, 27, 53, "Text"],
Cell[38529, 1289, 830, 15, 269, "Input"],
Cell[39362, 1306, 523, 23, 33, "Text"],
Cell[39888, 1331, 215, 7, 33, "Text"],
Cell[40106, 1340, 763, 13, 252, "Input"],
Cell[40872, 1355, 496, 17, 71, "Text"],
Cell[41371, 1374, 832, 15, 310, "Input"],
Cell[42206, 1391, 424, 14, 52, "Text"],
Cell[42633, 1407, 126, 3, 30, "Input"],
Cell[42762, 1412, 389, 14, 33, "Text"],
Cell[43154, 1428, 742, 13, 231, "Input"],
Cell[43899, 1443, 706, 27, 90, "Text"],
Cell[44608, 1472, 901, 17, 330, "Input"],
Cell[45512, 1491, 689, 25, 71, "Text"],
Cell[46204, 1518, 2851, 83, 176, "Text"],
Cell[49058, 1603, 1412, 25, 427, "Input"],
Cell[50473, 1630, 225, 7, 33, "Text"],
Cell[50701, 1639, 1135, 26, 97, "Input"],
Cell[51839, 1667, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[52058, 1679, 257, 9, 35, "Text",
  CellTags->"Section 3.3"],
Cell[52318, 1690, 1614, 53, 204, "Text"],
Cell[53935, 1745, 597, 25, 72, "Text"],
Cell[54535, 1772, 826, 14, 330, "Input"],
Cell[55364, 1788, 336, 11, 52, "Text"],
Cell[55703, 1801, 447, 17, 71, "Text"],
Cell[56153, 1820, 914, 15, 431, "Input"],
Cell[57070, 1837, 229, 7, 52, "Text"],
Cell[57302, 1846, 692, 28, 71, "Text"],
Cell[57997, 1876, 907, 15, 431, "Input"],
Cell[58907, 1893, 638, 24, 52, "Text"],
Cell[59548, 1919, 333, 12, 77, "Text"],

Cell[CellGroupData[{
Cell[59906, 1935, 289, 10, 33, "Text"],
Cell[60198, 1947, 809, 16, 278, "Input",
  InitializationCell->True]
}, Closed]],
Cell[61022, 1966, 467, 17, 71, "Text"],
Cell[61492, 1985, 249, 4, 110, "Input"],
Cell[61744, 1991, 697, 11, 270, "Input"],
Cell[62444, 2004, 519, 17, 90, "Text"],
Cell[62966, 2023, 483, 18, 90, "Text"],
Cell[63452, 2043, 521, 9, 212, "Input"],
Cell[63976, 2054, 313, 5, 90, "Input"],
Cell[64292, 2061, 182, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

