(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     67049,       2157]*)
(*NotebookOutlinePosition[     91747,       3054]*)
(*  CellTagsIndexPosition[     91547,       3044]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text"]
}, Open  ]],

Cell[TextData[{
  StyleBox["CHAPTER 4  ",
    FontSize->18],
  StyleBox["SEQUENCES, SERIES, and JULIA and MANDELBROT SETS\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 4.1  ",
    FontSize->18],
  ButtonBox["Definitions and Basic Theorems for Sequences and Series",
    ButtonData:>"Section 4.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 4.2  ",
    FontSize->18],
  ButtonBox["Power Series Functions",
    ButtonData:>"Section 4.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 4.3  ",
    FontSize->18],
  ButtonBox["Julia and Mandelbrot Sets\n",
    ButtonData:>"Section 4.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 4  ",
    FontSize->18],
  StyleBox["SEQUENCES, SERIES, and JULIA and MANDELBROT SETS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 4"],

Cell[BoxData[
    \(\(Clear[a, absZn, c, cx, cy, i, juliaC, k, lim, limX, limY, limZ, 
      mandelbrotC, n, Pn, Qn, R, s, Sn, set, sum, sumN, sumX, sumY, sumZ, x, 
      Xn, Yn, z, Z, Zn]; \)\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 4.1  ",
    FontSize->18],
  StyleBox["Definitions and Basic Theorems for Sequences and Series",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 4.1"],

Cell[TextData[{
  "     Informally, the ",
  StyleBox["sequence",
    FontColor->RGBColor[1, 0, 1]],
  "  {",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_n\),
          FontSize->14], TraditionalForm]]],
  "}  has  ",
  StyleBox["\[Zeta]",
    FontFamily->"Symbol"],
  "  as a ",
  StyleBox["limit",
    FontColor->RGBColor[1, 0, 1]],
  " as  n  approaches infinity, provided the terms  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_n\),
          FontSize->14], TraditionalForm]]],
  "   can be made as close as we please to  ",
  StyleBox["\[Zeta]",
    FontFamily->"Symbol"],
  "  by making  n  large enough.  When this happens, we write   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(lim\_\(n \[Rule] \[Infinity]\)z\_n\),
            FontSize->14], "=", 
          StyleBox["\[Zeta]",
            FontFamily->"Symbol"]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 4.1,  Page 97.",
    FontWeight->"Bold"],
  "  Let  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_n\),
            FontSize->14], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["x",
                FontSize->14], "n"], 
            StyleBox["+",
              FontSize->14], 
            RowBox[{
              StyleBox["i",
                FontSize->14], 
              StyleBox[" ",
                FontSize->14], 
              SubscriptBox[
                StyleBox["y",
                  FontSize->14], "n"]}]}]}], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        RowBox[{"\[Zeta]", "=", 
          RowBox[{"u", 
            StyleBox["+",
              FontSize->14], 
            StyleBox[\(i\ v\),
              FontSize->14]}]}], TraditionalForm]]],
  ".  Then \n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(lim\_\(n \[Rule] \[Infinity]\)z\_n\),
            FontSize->14], "=", 
          StyleBox["\[Zeta]",
            FontFamily->"Symbol"]}], TraditionalForm]]],
  "    if and only if\n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            StyleBox[\(lim\_\(n \[Rule] \[Infinity]\)\),
              FontSize->14], 
            SubscriptBox[
              StyleBox["x",
                FontSize->14], "n"]}], "=", 
          StyleBox["u",
            FontFamily->"Symbol"]}], TraditionalForm]]],
  "    and     ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            StyleBox[\(lim\_\(n \[Rule] \[Infinity]\)\),
              FontSize->14], 
            SubscriptBox[
              StyleBox["y",
                FontSize->14], "n"]}], "=", 
          StyleBox["v",
            FontFamily->"Symbol"]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 4.2,  Page 98.",
    FontWeight->"Bold"],
  "  If   ",
  Cell[BoxData[
      FormBox[
        RowBox[{"{", 
          StyleBox[\(z\_n\),
            FontSize->14], "}"}], TraditionalForm]]],
  "  is a Cauchy sequence,  ",
  Cell[BoxData[
      FormBox[
        RowBox[{"{", 
          StyleBox[\(z\_n\),
            FontSize->14], "}"}], TraditionalForm]]],
  "  converges.\n\n",
  StyleBox["Theorem 4.3,  Page 100.",
    FontWeight->"Bold"],
  "  Let  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_n\),
            FontSize->14], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["x",
                FontSize->14], "n"], 
            StyleBox["+",
              FontSize->14], 
            RowBox[{
              StyleBox["i",
                FontSize->14], 
              StyleBox[" ",
                FontSize->14], 
              SubscriptBox[
                StyleBox["y",
                  FontSize->14], "n"]}]}]}], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      \(TraditionalForm\`S = U + i\ V\)]],
  ".  Then \n",
  Cell[BoxData[
      FormBox[
        RowBox[{"S", "=", 
          RowBox[{
            StyleBox[
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], \(n = 1\), "\[Infinity]"], \(z\_n\)}],
              FontSize->14], "=", 
            StyleBox[
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], \(n = 1\), "\[Infinity]"], 
                RowBox[{"(", 
                  RowBox[{
                    SubscriptBox[
                      StyleBox["x",
                        FontSize->14], "n"], "+", 
                    RowBox[{"i", " ", 
                      SubscriptBox[
                        StyleBox["y",
                          FontSize->14], "n"]}]}], ")"}]}],
              FontSize->14]}]}], TraditionalForm]]],
  "    if and only if both\n",
  Cell[BoxData[
      FormBox[
        RowBox[{"U", "=", 
          StyleBox[
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(n = 1\), "\[Infinity]"], 
              SubscriptBox[
                StyleBox["x",
                  FontSize->14], "n"]}],
            FontSize->14]}], TraditionalForm]]],
  "    and     ",
  Cell[BoxData[
      FormBox[
        RowBox[{"V", "=", 
          StyleBox[
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(n = 1\), "\[Infinity]"], 
              SubscriptBox[
                StyleBox["y",
                  FontSize->14], "n"]}],
            FontSize->14]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 4.4,  Page 100.",
    FontWeight->"Bold"],
  "  If  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(n = 1\), "\[Infinity]"], \(z\_n\)}],
          FontSize->14], TraditionalForm]]],
  "  is a convergent complex series, then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(lim\_\(n \[Rule] \[Infinity]\)z\_n\),
            FontSize->14], "=", "0"}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 4.5,  Page 101.",
    FontWeight->"Bold"],
  "  Let  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(n = 1\), "\[Infinity]"], \(z\_n\)}],
          FontSize->14], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(n = 1\), "\[Infinity]"],
            FontSize->14], 
          SubscriptBox[
            StyleBox["w",
              FontSize->14], "n"]}], TraditionalForm]]],
  "  be convergent series, and let  c  be a complex number.  Then  \n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            StyleBox[
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], \(n = 1\), "\[Infinity]"], \(c\ z\_n\)}],
              FontSize->14], 
            StyleBox["=",
              FontSize->14], 
            RowBox[{
              StyleBox["c",
                FontSize->14], 
              FormBox[
                StyleBox[
                  RowBox[{
                    UnderoverscriptBox[
                      StyleBox["\[Sum]",
                        FontSize->18], \(n = 1\), "\[Infinity]"], \(z\_n\)}],
                  FontSize->14],
                "TraditionalForm"]}]}], "  "}], TraditionalForm]]],
  "   and   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(n = 1\), "\[Infinity]"],
              FontSize->14], 
            RowBox[{
              StyleBox["(",
                FontSize->14], 
              RowBox[{
                StyleBox[\(z\_n\),
                  FontSize->14], 
                StyleBox["+",
                  FontSize->14], 
                SubscriptBox[
                  StyleBox["w",
                    FontSize->14], "n"]}], 
              StyleBox[")",
                FontSize->14]}]}], 
          StyleBox["=",
            FontSize->14], "  ", 
          FormBox[
            RowBox[{
              StyleBox[
                RowBox[{
                  UnderoverscriptBox[
                    StyleBox["\[Sum]",
                      FontSize->18], \(n = 1\), "\[Infinity]"], \(z\_n\)}],
                FontSize->14], " ", "+", " ", 
              FormBox[
                RowBox[{
                  StyleBox[
                    UnderoverscriptBox[
                      StyleBox["\[Sum]",
                        FontSize->18], \(n = 1\), "\[Infinity]"],
                    FontSize->14], 
                  RowBox[{
                    SubscriptBox[
                      StyleBox["w",
                        FontSize->14], "n"], 
                    FormBox["",
                      "TraditionalForm"]}]}],
                "TraditionalForm"]}],
            "TraditionalForm"]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 4.6,  Page 101.",
    FontWeight->"Bold"],
  "  If the Cauchy product converges, then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(n = 1\), "\[Infinity]"],
              FontSize->14], 
            SubscriptBox[
              StyleBox["c",
                FontSize->14], "n"]}], 
          StyleBox["=",
            FontSize->14], 
          RowBox[{
            RowBox[{
              StyleBox["(",
                FontSize->14], " ", 
              RowBox[{
                StyleBox[
                  UnderoverscriptBox[
                    StyleBox["\[Sum]",
                      FontSize->18], \(n = 1\), "\[Infinity]"],
                  FontSize->14], 
                SubscriptBox[
                  StyleBox["a",
                    FontSize->14], "n"]}], 
              StyleBox[")",
                FontSize->14]}], 
            RowBox[{
              StyleBox["(",
                FontSize->14], " ", 
              RowBox[{
                StyleBox[
                  UnderoverscriptBox[
                    StyleBox["\[Sum]",
                      FontSize->18], \(n = 1\), "\[Infinity]"],
                  FontSize->14], \(b\_n\)}], 
              StyleBox[")",
                FontSize->14]}]}]}], TraditionalForm]]],
  ",  where  ",
  Cell[BoxData[
      RowBox[{\(c\_n\), " ", "=", " ", 
        RowBox[{
          UnderoverscriptBox[
            StyleBox["\[Sum]",
              FontSize->18], \(k = 1\), "n"], \(\(a\_k\) b\_\(n - k\)\)}]}]]],
  
  ".\n\n",
  StyleBox["Theorem 4.7,  Page 101.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Comparison Test)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(n = 1\), "\[Infinity]"],
            FontSize->14], 
          SubscriptBox[
            StyleBox["M",
              FontSize->14], "n"]}], TraditionalForm]]],
  "  be a convergent series of real nonnegative terms.  If   ",
  Cell[BoxData[
      FormBox[
        RowBox[{"{", 
          StyleBox[\(z\_n\),
            FontSize->14], "}"}], TraditionalForm]]],
  "  is a sequence of complex numbers and   ",
  Cell[BoxData[
      FormBox[
        RowBox[{"\[VerticalSeparator]", 
          RowBox[{
            StyleBox[\(z\_n\),
              FontSize->14], "\[VerticalSeparator]", 
            RowBox[{"\[LessEqual]", 
              SubscriptBox[
                StyleBox["M",
                  FontSize->14], "n"]}]}]}], TraditionalForm]]],
  "   holds for all  n, then   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(n = 1\), "\[Infinity]"], \(z\_n\)}],
            FontSize->14], "=", 
          StyleBox[
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(n = 1\), "\[Infinity]"], 
              RowBox[{"(", 
                RowBox[{
                  SubscriptBox[
                    StyleBox["x",
                      FontSize->14], "n"], "+", 
                  RowBox[{"i", " ", 
                    SubscriptBox[
                      StyleBox["y",
                        FontSize->14], "n"]}]}], ")"}]}],
            FontSize->14]}], TraditionalForm]]],
  "   converges.\n\n",
  StyleBox["Theorem 4.8,  Page 103.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Geometric Series)",
    FontColor->RGBColor[1, 0, 1]],
  "  If   ",
  Cell[BoxData[
      FormBox[
        RowBox[{"\[VerticalSeparator]", 
          RowBox[{
            StyleBox["z",
              FontSize->14], "\[VerticalSeparator]", \( < 1\)}]}], 
        TraditionalForm]]],
  ",  the series   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(n = 0\), "\[Infinity]"], \(z\^n\)}],
          FontSize->14], TraditionalForm]]],
  "   converges to   ",
  Cell[BoxData[
      RowBox[{\(f \((z)\)\), "=", 
        FractionBox[
          StyleBox["1",
            FontSize->12], 
          StyleBox[\(1 - z\),
            FontSize->12]]}]]],
  ".\n\n",
  StyleBox["Theorem 4.9,  Page 105.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(d'Alembert's Ratio Test)",
    FontColor->RGBColor[1, 0, 1]],
  "  If   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(n = 1\), "\[Infinity]"],
            FontSize->14], \(\[Zeta]\_n\)}], TraditionalForm]]],
  "  is a complex series with the property that  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{\(lim\_\(n \[Rule] \[Infinity]\)\), 
          FractionBox[
            
            StyleBox[
              \(\[VerticalSeparator]\(\[Zeta]\_\(n + 1\) \[VerticalSeparator] 
                \)\),
              FontSize->12], 
            
            StyleBox[
              \(\[VerticalSeparator]\(\[Zeta]\_n \[VerticalSeparator] \)\),
              FontSize->12]]}], "=", "L"}]]],
  ",  then the series converges absolutely if  ",
  Cell[BoxData[
      \(TraditionalForm\`L < 1\)]],
  "  and diverges if  ",
  Cell[BoxData[
      \(TraditionalForm\`L > 1\)]],
  ".  \n\n",
  StyleBox["Theorem 4.10,  Page 107.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(The Root Test)",
    FontColor->RGBColor[1, 0, 1]],
  "  Given the series  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(n = 1\), "\[Infinity]"],
            FontSize->14], \(\[Zeta]\_n\)}], TraditionalForm]]],
  ",  suppose  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"lim", " ", \(sup\_\(n \[Rule] \[Infinity]\)\), 
          RadicalBox[
            
            StyleBox[
              \(\[VerticalSeparator]\(\[Zeta]\_n \[VerticalSeparator] \)\),
              FontSize->12], "n"]}], "=", "L"}]]],
  ".  Then the series is absolutely convergent if  ",
  Cell[BoxData[
      \(TraditionalForm\`L < 1\)]],
  "  and divergent if  ",
  Cell[BoxData[
      \(TraditionalForm\`L > 1\)]],
  ".  "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 4.1,  Page 98.",
    FontWeight->"Bold"],
  "  Find the limit of the sequence  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_n\),
          FontSize->14], TraditionalForm]]],
  " = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            RowBox[{
              FormBox[\(\@n\),
                "TraditionalForm"], " ", "+", " ", \(i\ \((n + 1)\)\)}],
            FontSize->14], 
          StyleBox["n",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[limX, limY, limZ, n, Xn, Yn, Zn]; \nXn\  = \ \@n\/n; \n
    Yn\  = \ \(n + 1\)\/n; \nZn\  = \ Xn\  + \ \[ImaginaryI]\ Yn; \n
    limX\  = \ Limit[Xn, \ n -> \[Infinity]]; \n
    limY\  = \ Limit[Yn, \ n -> \[Infinity]]; \n
    limZ\  = \ Limit[Zn, \ n -> \[Infinity]]; \n
    Print[\*"\"\<\!\(lim\+\(\\\ n -> \[Infinity]\)\) \>\"", Xn, "\< = \>", 
      limX]; \nPrint[\*"\"\<\!\(lim\+\(\\\ n -> \[Infinity]\)\) \>\"", Yn, 
      "\< = \>", limY]; \n
    Print[\*"\"\<\!\(lim\+\(\\\ n -> \[Infinity]\)\) (\>\"", Zn, "\<) = \>", 
      limZ]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.2,  Page 98.",
    FontWeight->"Bold"],
  "  Show that the sequence  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_n\),
          FontSize->14], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      \(TraditionalForm\`\((1\  + \ i)\)\^n\)],
    FontSize->14],
  "   is divergent."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[lim, limX, limY, limZ, n, Xn, Yn, Zn]; \n
    Zn\  = \ \((1\  + \ \[ImaginaryI])\)\^n; \n
    lim\  = \ Limit[Zn, \ n -> \[Infinity]]; \n
    Print[\*"\"\<\!\(lim\+\(\\\ n -> \[Infinity]\)\) \>\"", Zn, "\< = \>", 
      lim]; \)], "Input"],

Cell[BoxData[
    \(Xn\  = \ \((\@2)\)\^n\ Cos[\(n\ \[Pi]\)\/4]; \n
    Yn\  = \(\((\@2)\)\^n\) Sin[\(n\ \[Pi]\)\/4]; \n
    Zn\  = \ Xn\  + \ \[ImaginaryI]\ Yn; \n
    limX\  = \ Limit[Xn, \ n -> \[Infinity]]; \n
    limY\  = \ Limit[Yn, \ n -> \[Infinity]]; \n
    limZ\  = \ limX\  + \ \[ImaginaryI]\ limY; \n
    Print[\*"\"\<\!\(lim\+\(\\\ n -> \[Infinity]\)\) \>\"", Xn, "\< = \>", 
      limX]; \nPrint[\*"\"\<\!\(lim\+\(\\\ n -> \[Infinity]\)\) \>\"", Yn, 
      "\< = \>", limY]; \n
    Print[\*"\"\<\!\(lim\+\(\\\ n -> \[Infinity]\)\) (\>\"", Zn, "\<) = \>", 
      limZ]; \)], "Input"],

Cell[TextData[{
  "Therefore, the limit of the sequence does ",
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " exist."
}], "Text"],

Cell[TextData[{
  "\n",
  StyleBox["Infinite Series",
    FontWeight->"Bold"],
  "\n\n     Informally, the ",
  StyleBox["series  ",
    FontColor->RGBColor[1, 0, 1]],
  " S =",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Sum]\+\(n = 1\)\%\[Infinity]\),
          FontSize->16], TraditionalForm]]],
  Cell[BoxData[
      StyleBox[\(z\_n\),
        FontSize->14]]],
  "   ",
  StyleBox["converges",
    FontColor->RGBColor[1, 0, 1]],
  " if the sequence of partial sums\n",
  Cell[BoxData[
      FormBox[
        SubscriptBox[
          StyleBox["S",
            FontSize->14], "n"], TraditionalForm]]],
  " = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Sum]\+\(k = 1\)\%n\),
          FontSize->16], TraditionalForm]]],
  Cell[BoxData[
      StyleBox[\(z\_k\),
        FontSize->14]]],
  "  has  S  as its ",
  StyleBox["limit",
    FontColor->RGBColor[1, 0, 1]],
  ". "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.3,  Page 100.",
    FontWeight->"Bold"],
  "  Show that the series  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 1\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[
                RowBox[{"1", " ", "+", " ", 
                  RowBox[{"i", " ", "n", " ", 
                    FormBox[
                      StyleBox[\(\((\(-1\))\)\^n\),
                        FontSize->14],
                      "TraditionalForm"]}]}],
                FontSize->14], 
              StyleBox[\(n\^2\),
                FontSize->14]]}],
          FontSize->14], TraditionalForm]]],
  " ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FormBox["",
            "TraditionalForm"],
          FontSize->14], TraditionalForm]]],
  " is convergent."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{\(Clear[n, sumX, sumY, sumZ]\), ";", "\n", 
      RowBox[{"sumX", " ", "=", 
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                StyleBox[\(n = 1\),
                  FontSize->14]}], "\[Infinity]"], 
            FractionBox["1", 
              StyleBox[\(n\^2\),
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      RowBox[{"sumY", " ", "=", " ", 
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                StyleBox[\(n = 1\),
                  FontSize->14]}], "\[Infinity]"], 
            FractionBox[
              StyleBox[
                RowBox[{"n", " ", 
                  FormBox[
                    StyleBox[
                      SuperscriptBox[\((\(-1\))\), 
                        StyleBox["n",
                          FontSize->14]],
                      FontSize->14],
                    "TraditionalForm"]}],
                FontSize->14], 
              StyleBox[\(n\^2\),
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", \(sumZ\  = \ sumX\  + \ \[ImaginaryI]\ sumY\), 
      ";", "\n", 
      \(Print[\*"\"\<          \!\(\[Sum]\+\(n = \
1\)\%\[Infinity]\)\!\(1\/n\^2\) = \>\"", sumX]\), ";", "\n", 
      \(Print[\*"\"\<     \!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)\!\(\(n \((\(-1\
\))\)\^n\)\/n\^2\) = \>\"", sumY]\), ";", "\n", 
      \(Print[\*"\"\<\!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)\!\(\(\\\ 1\\\  + \\\
\ \[ImaginaryI]\\\ n \((\(-1\))\)\^n\)\/n\^2\) = \>\"", sumZ]\), ";", "\n", 
      \(Print[\*"\"\<\!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)\!\(\(\\\ 1\\\  + \\\
\ \[ImaginaryI]\\\ n \((\(-1\))\)\^n\)\/n\^2\) = \>\"", N[sumZ]]\), ";"}]], 
  "Input"],

Cell["Therefore, the series converges.", "Text"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.4,  Page 100.",
    FontWeight->"Bold"],
  "  Show that the series   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 1\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[\(\((\(-1\))\)\^n\ \  + \ i\),
                FontSize->14], 
              StyleBox["n",
                FontSize->14]]}],
          FontSize->14], TraditionalForm]]],
  "  is divergent."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{\(Clear[n, sumN, sumX, sumY, sumZ]\), ";", "\n", 
      RowBox[{"sumX", " ", "=", " ", 
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 1\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[\(\((\(-1\))\)\^n\),
                FontSize->14], 
              StyleBox["n",
                FontSize->14]]}],
          FontSize->14]}], ";", "\n", 
      RowBox[{"sumY", " ", "=", " ", 
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 1\)\%\[Infinity]\), 
            FractionBox["1", 
              StyleBox["n",
                FontSize->14]]}],
          FontSize->14]}], ";", "\n", 
      \(sumZ\  = \ sumX\  + \ \[ImaginaryI]\ sumY\), ";", "\n", 
      \(Print[\*"\"\<   \!\(\[Sum]\+\(n = \
1\)\%\[Infinity]\)\!\(\((\(-1\))\)\^n\/n\) = \>\"", sumX]\), ";", "\n", 
      \(Print[\*"\"\<       \!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)\!\(1\/n\) = \
\>\"", sumY]\), ";", "\n", 
      \(Print[\*"\"\<\!\(\[Sum]\+\(n = \
1\)\%\[Infinity]\)\!\(\(\((\(-1\))\)\^n + \\\ \[ImaginaryI]\)\/n\) = \>\"", 
        sumZ]\), ";"}]], "Input"],

Cell["\<\
It is known that the partial sums of the harmonic series grow \
slowly without bound.  For example, adding 10000 terms yields.\
\>", "Text"],

Cell[BoxData[
    \(Print[\*"\"\<\!\(\[Sum]\+\(n = 1\)\%m\)\!\(1\/n\) = \>\"", 
      \[Sum]\+\(n = 1\)\%m 1\/n]; \n
    For[i = 1, i <= 4, \(i++\), \n\ \ 
      Print["\<m = \>", 10\^i, 
        \*"\"\<     \!\(\[Sum]\+\(n = 1\)\%m\)\!\(1\/n\) = \>\"", 
        N[EulerGamma + PolyGamma[0, 1 + 10\^i]]]]; \)], "Input"],

Cell["Therefore, the series slowly diverges.", "Text"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.5,  Page 100.",
    FontWeight->"Bold"],
  "  Show that the series  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Sum]\+\(\ n = 1\)\%\[Infinity]\((1\  + \ i)\)\^n\),
          FontSize->14], TraditionalForm]]],
  "  is divergent."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
    \(Clear[absZn, n, sum, Zn]\), ";", "\n", 
      \(Zn\  = \ \((1\  + \ \[ImaginaryI]\ )\)\^n\), ";", "\n", 
      \(absZn\  = \ Abs[1 + \[ImaginaryI]]\^n\), ";", "\n", 
      RowBox[{"sum", " ", "=", " ", 
        RowBox[{
          StyleBox[
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                RowBox[{
                  StyleBox["n",
                    FontSize->14], "=", 
                  StyleBox["1",
                    FontSize->14]}]}], "\[Infinity]"],
            FontSize->14], 
          SuperscriptBox[
            RowBox[{"(", 
              RowBox[{"1", " ", "+", 
                StyleBox["\[ImaginaryI]",
                  FontSize->14]}], ")"}], "n"]}]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      \(Print[\*"\"\<   \!\(\[Sum]\+\(n = \
1\)\%\[Infinity]\)(1+\[ImaginaryI]\!\(\()\^n\)\) = \>\"", sum]\), ";", "\n", 
      \(Print[\*"\"\<\!\(lim\+\(n -> \[Infinity]\)\) |\>\"", Zn, "\<| = \>", 
        Limit[absZn, n -> \[Infinity]]]\), ";"}]], "Input"],

Cell["\<\
The terms do not go to zero in absolute value, therefore the series \
diverges.\
\>", "Text"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.6,  Page 102.",
    FontWeight->"Bold"],
  "  Show that the series   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            UnderoverscriptBox[
              StyleBox["\[Sum]",
                FontSize->18], \(\ n = 1\), "\[Infinity]"], 
            FractionBox[
              StyleBox[\(\((3\  + \ 4\ i)\)\^n\),
                FontSize->14], 
              RowBox[{
                FormBox[
                  StyleBox[\(5\^n\),
                    FontSize->14],
                  "TraditionalForm"], " ", 
                FormBox[
                  StyleBox[\(n\^2\),
                    FontSize->14],
                  "TraditionalForm"]}]]}],
          FontSize->14], TraditionalForm]]],
  "  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox["",
            "TraditionalForm"], 
          FormBox["",
            "TraditionalForm"]}], TraditionalForm]]],
  "is convergent."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(\nClear[n, sum, sumX, sumY, sumZ, x, Xn, y, Yn, z, Zn]; \n
    Zn\  = \ \((3 + 4  \[ImaginaryI])\)\^n\/\(5\^n\ n\^2\); \n
    Xn\  = \ ComplexExpand[Re[Zn]]; \nYn\  = \ ComplexExpand[Im[Zn]]; \n
    sumX\  = \ \[Sum]\+\(n = 1\)\%\[Infinity] Xn; \n
    sumY\  = \ \[Sum]\+\(n = 1\)\%\[Infinity] Yn; \n
    sumZ\  = \ 
      NSum[\((3 + 4  \[ImaginaryI])\)\^n\/\(5\^n\ n\^2\), 
        \ {n, 1, \[Infinity]}]; \nPrint[\*"\"\<\!\(z\_n\) = \>\"", Zn]; \n
    Print[\*"\"\<\!\(z\_n\) = \>\"", ComplexExpand[Zn]]; \n
    Print[\*"\"\<\!\(x\_n\) = \>\"", Xn]; \n
    Print[\*"\"\<\!\(y\_n\) = \>\"", Yn]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)\!\(x\_n\) = \>\"", 
      sumX]; \nPrint["\<       \>", Chop[N[sumX]]]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)\!\(y\_n\) = \>\"", 
      sumY]; \nPrint["\<       \>", Chop[N[sumY]]]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)\!\(z\_n\) = \>\"", 
      sumZ]; \)\)], "Input"],

Cell["\<\
Or we could use the comparison test to show that the series \
converges.\
\>", "Text"],

Cell[BoxData[
    \(absZn\  = \ ComplexExpand[Abs[Zn]]; \n
    sum\ \  = \ \ \[Sum]\+\(n = 1\)\%\[Infinity] 1\/n\^2; \n
    Print["\<|\>", Zn, "\<| = \>", absZn]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(n = 1\)\%\[Infinity]\)|\!\(\((3 + 4  \
\[ImaginaryI])\)\^n\/\(5\^n\\\ n\^2\)\)| = \!\(\[Sum]\+\(n = 1\)\%\[Infinity]\
\)\!\(1\/n\^2\) = \>\"", sum]; \)], "Input"],

Cell["\<\
The series of absolute values converges, therefore the series \
converges.\
\>", "Text"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.7,  Page 104.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[\(\((1 - \ i)\)\^n\),
                FontSize->14], 
              StyleBox[\(2\^n\),
                FontSize->14]]}],
          FontSize->14], TraditionalForm]]],
  " =  1 - i ."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
We can use the definition of convergence of a series and find the \
limit of the partial sums.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
    \(Clear[lim, n, sum, Sn, z, Z]\), ";", "\n", 
      \(Z[n_]\  = \ \((1\  - \ \[ImaginaryI])\)\^n\/2\^n\), ";", "\n", 
      \(Print[\*"\"\<\!\(z\_n\) = \>\"", Z[n]]\), ";", "\n", 
      RowBox[{"Sn", " ", "=", " ", 
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                RowBox[{
                  StyleBox["k",
                    FontSize->14], "=", 
                  StyleBox["0",
                    FontSize->14]}]}], 
              StyleBox["n",
                FontSize->14]], 
            FractionBox[
              SuperscriptBox[
                RowBox[{"(", 
                  RowBox[{"1", "-", " ", 
                    StyleBox["\[ImaginaryI]",
                      FontSize->14]}], ")"}], 
                StyleBox["k",
                  FontSize->14]], 
              StyleBox[
                SuperscriptBox["2", 
                  StyleBox["k",
                    FontSize->14]],
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      RowBox[{"sum", " ", "=", " ", 
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                RowBox[{
                  StyleBox["k",
                    FontSize->14], "=", 
                  StyleBox["0",
                    FontSize->14]}]}], "\[Infinity]"], 
            FractionBox[
              SuperscriptBox[
                RowBox[{"(", 
                  RowBox[{"1", "-", " ", 
                    StyleBox["\[ImaginaryI]",
                      FontSize->14]}], ")"}], 
                StyleBox["k",
                  FontSize->14]], 
              StyleBox[
                SuperscriptBox["2", 
                  StyleBox["k",
                    FontSize->14]],
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      RowBox[{"lim", " ", "=", " ", 
        RowBox[{"Limit", "[", 
          RowBox[{"Sn", ",", 
            RowBox[{"n", 
              StyleBox["->",
                FontWeight->"Plain"], 
              StyleBox["\[Infinity]",
                FontWeight->"Plain"]}]}], "]"}]}], ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(S\_n\) = \!\(\[Sum]\+\(k = 0\)\%n\)\!\(\((1 - \\\ \*
StyleBox[\\(\[ImaginaryI]\\),
FontSize->14])\)\^\*
StyleBox[\\(k\\),
FontSize->14]\/\*
StyleBox[\\(2\\^\\*
StyleBox[\\(k\\),
FontSize->14]\\),
FontSize->14]\) = \>\"", ",", "Sn"}], "]"}], ";", "\n", 
      \(Print[\*"\"\<          \!\(lim\+\(n -> \[Infinity]\)\) \>\"", 
        \*"\"\<\!\(S\_n\) = \>\"", lim]\), ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{
        "\"\<     \!\(\[Sum]\+\(k = 0\)\%\[Infinity]\)\!\(\((1 - \\\ \*
StyleBox[\\(\[ImaginaryI]\\),
FontSize->14])\)\^\*
StyleBox[\\(k\\),
FontSize->14]\/\*
StyleBox[\\(2\\^\\*
StyleBox[\\(k\\),
FontSize->14]\\),
FontSize->14]\) = \>\"", ",", "sum"}], "]"}], ";"}]], "Input"],

Cell["Or we can see that this is a geometric series with ratio:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\< \!\(z\_n\) = \>\"", Z[n]]; \n
    Print[\*"\"\<\!\(z\_\(n + 1\)\) = \>\"", Z[n + 1]]; \n
    z\  = \ Z[n + 1]\/Z[n]; \n
    Print[\*"\"\<  z = \!\(z\_\(n + 1\)\/z\_n\) = \>\"", z]; \)], "Input"],

Cell["The sum is given by", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
      RowBox[{"sum", " ", "=", " ", 
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            FractionBox[
              SuperscriptBox[
                RowBox[{"(", 
                  RowBox[{"1", "-", " ", 
                    StyleBox["\[ImaginaryI]",
                      FontSize->14]}], ")"}], "n"], 
              StyleBox[\(2\^n\),
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", \(Print["\<          z = \>", z]\), ";", "\n", 
      \(Print["\<        |z| = \>", Abs[z]]\), ";", "\n", 
      \(Print["\<     Is |z| < 1 ?  \>", Abs[z] < \ 1]\), ";", "\n", 
      \(Print["\< \>"]\), ";", "\n", 
      \(Print[\*"\"\<      \!\(1\/\(1 - z\)\) = \!\(1\/\(1\\\  - \\\ \
\((1\/2\\\  - \(\\\ \[ImaginaryI]\)\/2)\)\)\)\>\""]\), ";", "\n", 
      \(Print[\*"\"\<      \!\(1\/\(1 - z\)\) = \>\"", \ 
        1\/\(1\  - \ \((1\/2\  - \(\ \[ImaginaryI]\)\/2)\)\)]\), ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(\[Sum]\+\(n = 0\)\%\[Infinity]\)\!\(\((1 - \\\ \*
StyleBox[\\(\[ImaginaryI]\\),
FontSize->14])\)\^\*
StyleBox[\\(k\\),
FontSize->14]\/\*
StyleBox[\\(2\\^\\*
StyleBox[\\(k\\),
FontSize->14]\\),
FontSize->14]\) = \>\"", ",", "sum"}], "]"}], ";"}]], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.8,  Page 104.",
    FontWeight->"Bold"],
  "  Evaluate  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 3\)\%\[Infinity]\), 
            FractionBox[
              FormBox[
                SuperscriptBox[
                  StyleBox["i",
                    FontSize->14], "n"],
                "TraditionalForm"], 
              StyleBox[\(2\^n\),
                FontSize->14]]}],
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
We can use the definition of convergence of a series and find the \
limit of the partial sums.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
    \(Clear[a, k, lim, n, sum, Sn, z, Z]\), ";", "\n", 
      \(Z[n_]\  = \(\ \[ImaginaryI]\^n\)\/2\^n\), ";", "\n", 
      RowBox[{"Sn", " ", "=", " ", 
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                RowBox[{
                  StyleBox["k",
                    FontSize->14], "=", 
                  StyleBox["3",
                    FontSize->14]}]}], 
              StyleBox["n",
                FontSize->14]], 
            FractionBox[
              SuperscriptBox[
                StyleBox["\[ImaginaryI]",
                  FontSize->14], 
                StyleBox["k",
                  FontSize->14]], 
              StyleBox[
                SuperscriptBox["2", 
                  StyleBox["k",
                    FontSize->14]],
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      RowBox[{"sum", " ", "=", " ", 
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                RowBox[{
                  StyleBox["k",
                    FontSize->14], "=", "3"}]}], "\[Infinity]"], 
            FractionBox[
              SuperscriptBox[
                StyleBox["\[ImaginaryI]",
                  FontSize->14], 
                StyleBox["k",
                  FontSize->14]], 
              StyleBox[
                SuperscriptBox["2", 
                  StyleBox["k",
                    FontSize->14]],
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      RowBox[{"lim", " ", "=", " ", 
        RowBox[{"Limit", "[", 
          RowBox[{"Sn", ",", 
            RowBox[{"n", 
              StyleBox["->",
                FontWeight->"Plain"], 
              StyleBox["\[Infinity]",
                FontWeight->"Plain"]}]}], "]"}]}], ";", "\n", 
      \(Print[\*"\"\<\!\(z\_n\) = \>\"", Z[n]]\), ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(S\_n\) = \!\(\[Sum]\+\(k = 3\)\%n\)\!\(\*
StyleBox[\\(\[ImaginaryI]\\),
FontSize->14]\^\*
StyleBox[\\(k\\),
FontSize->14]\/\*
StyleBox[\\(2\\^\\*
StyleBox[\\(k\\),
FontSize->14]\\),
FontSize->14]\) = \>\"", ",", "Sn"}], "]"}], ";", "\n", 
      \(Print[\*"\"\<     \!\(lim\+\(n -> \[Infinity]\)\) \>\"", 
        \*"\"\<\!\(S\_n\) = \>\"", lim]\), ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<     \!\(\[Sum]\+\(k = 3\)\%\[Infinity]\)\!\(\*
StyleBox[\\(\[ImaginaryI]\\),
FontSize->14]\^\*
StyleBox[\\(k\\),
FontSize->14]\/\*
StyleBox[\\(2\\^\\*
StyleBox[\\(k\\),
FontSize->14]\\),
FontSize->14]\) = \>\"", ",", "sum"}], "]"}], ";"}]], "Input"],

Cell["Or we can see that this is a geometric series with ratio:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\< \!\(z\_n\) = \>\"", Z[n]]; \n
    Print[\*"\"\<\!\(z\_\(n + 1\)\) = \>\"", Z[n + 1]]; \n
    z\  = \ Z[n + 1]\/Z[n]; \n
    Print[\*"\"\<  z = \!\(z\_\(n + 1\)\/z\_n\) = \>\"", z]; \)], "Input"],

Cell["The sum is given by", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{\(a\  = \ Z[3]\), ";", "\n", 
      RowBox[{"sum", " ", "=", " ", 
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              RowBox[{" ", 
                RowBox[{
                  StyleBox["k",
                    FontSize->14], "=", "3"}]}], "\[Infinity]"], 
            FractionBox[
              SuperscriptBox[
                StyleBox["\[ImaginaryI]",
                  FontSize->14], 
                StyleBox["k",
                  FontSize->14]], 
              StyleBox[
                SuperscriptBox["2", 
                  StyleBox["k",
                    FontSize->14]],
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      \(Print[\*"\"\<        a = (\!\(\[ImaginaryI]\/2\)\!\(\()\^3\)\) = \
\>\"", a]\), ";", "\n", \(Print["\<        z = \>", z]\), ";", "\n", 
      \(Print["\<      |z| = \>", Abs[z]]\), ";", "\n", 
      \(Print["\<   Is |z| < 1 ?  \>", Abs[z] < \ 1]\), ";", "\n", 
      \(Print["\< \>"]\), ";", "\n", 
      \(Print[\*"\"\<    \!\(a\/\(1 - z\)\) = \!\(\((\[ImaginaryI]\/2)\)\^3\/\
\(1\\\  - \(\\\ \[ImaginaryI]\)\/2\)\)\>\""]\), ";", "\n", 
      \(Print[\*"\"\<    \!\(a\/\(1 - z\)\) = \>\"", a\/\(1 - z\)]\), ";", 
      "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<    \!\(\[Sum]\+\(k = 3\)\%\[Infinity]\)\!\(\*
StyleBox[\\(\[ImaginaryI]\\),
FontSize->14]\^\*
StyleBox[\\(k\\),
FontSize->14]\/\*
StyleBox[\\(2\\^\\*
StyleBox[\\(k\\),
FontSize->14]\\),
FontSize->14]\) = \>\"", ",", "sum"}], "]"}], ";"}]], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.9,  Page 105.",
    FontWeight->"Bold"],
  "  Show that  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[\(\((1\  - \ i)\)\^n\),
                FontSize->14], 
              StyleBox[\(n!\),
                FontSize->14]]}],
          FontSize->14], TraditionalForm]]],
  "  converges."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[L, n, sum, r, z, Z]; \n
    Z[n_]\  = \ \(\((1\  - \ \[ImaginaryI])\)\^n\ \)\/\(n!\); \n
    Print[\*"\"\<\!\(z\_n\) = \>\"", Z[n]]; \)], "Input"],

Cell["The ratio of consecutive terms is:", "Text"],

Cell[BoxData[
    RowBox[{
    \(Print[\*"\"\<     \!\(z\_\(n + 1\)\) = \>\"", Z[n + 1]]\), ";", "\n", 
      \(Print[\*"\"\<      \!\(z\_n\) = \>\"", Z[n]]\), ";", "\n", 
      \(r\  = \ Z[n + 1]\/Z[n]\), ";", "\n", 
      \(Print[\*"\"\<    \!\(z\_\(n + 1\)\/z\_n\) = \>\"", r]\), ";", "\n", 
      RowBox[{"r", " ", "=", " ", 
        RowBox[{
          StyleBox["FullSimplify",
            "MR"], "[", "r", "]"}]}], ";", "\n", 
      \(Print[\*"\"\<    \!\(z\_\(n + 1\)\/z\_n\) = \>\"", r]\), ";", "\n", 
      \(L\  = \ Limit[\ r\ , \ n -> \[Infinity]]\), ";", "\n", 
      \(Print[\*"\"\<\!\(lim\+\(n -> \[Infinity]\)\) \!\(z\_\(n + 1\)\/z\_n\) \
= L = \>\"", L]\), ";"}]], "Input"],

Cell["L < 1, thus the series converges.   To what ?", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(sum\ \  = \ \ 
      \[Sum]\+\(n = 0\)\%\[Infinity]\((1 - \[ImaginaryI])\)\^n\/\(n!\); \n
    Print[\*"\"\<        \!\(z\_n\) = \>\"", Z[n]]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(n = 0\)\%\[Infinity]\)\!\(\((1 - \
\[ImaginaryI])\)\^n\/\(n!\)\) = \>\"", sum]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.10,  Page 106.",
    FontWeight->"Bold"],
  "  Show that  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[\(\((z\  - \ i)\)\^n\),
                FontSize->14], 
              StyleBox[\(2\^n\),
                FontSize->14]]}],
          FontSize->14], TraditionalForm]]],
  " converges \nfor all  z  in the disk  |z - i| < 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[L, n, sum, r, z, Z]; \n
    Z[n_]\  = \ \((z\  - \ \[ImaginaryI])\)\^n\/2\^n; \n
    Print[\*"\"\<\!\(z\_n\) = \>\"", Z[n]]; \)], "Input"],

Cell["The ratio of consecutive terms is:", "Text"],

Cell[BoxData[
    RowBox[{
    \(Print[\*"\"\<    \!\(z\_\(n + 1\)\) = \>\"", Z[n + 1]]\), ";", "\n", 
      \(Print[\*"\"\<      \!\(z\_n\) = \>\"", Z[n]]\), ";", "\n", 
      \(r\  = \ Z[n + 1]\/Z[n]\), ";", "\n", 
      \(Print[\*"\"\<    \!\(z\_\(n + 1\)\/z\_n\) = \>\"", r]\), ";", "\n", 
      RowBox[{"r", " ", "=", " ", 
        RowBox[{
          StyleBox["FullSimplify",
            "MR"], "[", "r", "]"}]}], ";", "\n", 
      \(Print[\*"\"\<    \!\(z\_\(n + 1\)\/z\_n\) = \>\"", r]\), ";", "\n", 
      \(L\  = \ Limit[\ r\ , \ n -> \[Infinity]]\), ";", "\n", 
      \(Print[\*"\"\<\!\(lim\+\(n -> \[Infinity]\)\) \!\(z\_\(n + 1\)\/z\_n\) \
= L = \>\"", L]\), ";"}]], "Input"],

Cell[TextData[{
  "Solve  L  =  |",
  Cell[BoxData[
      StyleBox[
        FractionBox[
          StyleBox[\(z\  - \ i\),
            FontSize->14], 
          StyleBox["2",
            FontSize->14]],
        FontSize->14]]],
  "|  <  1  and obtain the disk  |z - i| < 2.\n\nSo L < 1, thus the series \
converges.   To what ?"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
      RowBox[{"sum", " ", "=", " ", 
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            FractionBox[
              SuperscriptBox[
                RowBox[{"(", 
                  RowBox[{"z", " ", "-", 
                    StyleBox["\[ImaginaryI]",
                      FontSize->14]}], ")"}], "n"], 
              StyleBox[\(2\^n\),
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      \(Print[\*"\"\<        \!\(z\_n\) = \>\"", Z[n]]\), ";", "\n", 
      \(Print[\*"\"\<\!\(\[Sum]\+\(n = 0\)\%\[Infinity]\)\!\(\((z - \
\[ImaginaryI])\)\^n\/2\^n\) = \>\"", Simplify[sum]]\), ";"}]], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.11,  Page 106.",
    FontWeight->"Bold"],
  "  The limit supremum of the sequence ",
  Cell[BoxData[
      \({t\_n} = {4.1, 5.1, 4.01, 5.01, 4.001, 5.001, \[CenterEllipsis]}\)]],
  "\nis  ",
  Cell[BoxData[
      \(\(lim\ sup\)\+\(n \[Rule] \[Infinity]\)\ t\_n = 5\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[limsup, n, set]; \n
    limsup = Max[Limit[4 + 1\/10\^n, n \[Rule] \[Infinity]], 
        Limit[5 + 1\/10\^n, n \[Rule] \[Infinity]]]; \n
    Print[\*"\"\<{\!\(t\_n\)} = \>\"", 
      Flatten[Table[{4 + 1.\/10\^n, 5 + 1.\/10\^n}, {n, 1, 5}]]]; \n
    Print[\*"\"\<\!\(\(lim\\\ sup\)\+\(n \[Rule] \[Infinity]\)\) \!\(t\_n\) = \
\>\"", limsup]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.12,  Page 106.",
    FontWeight->"Bold"],
  "  The limit supremum of the sequence ",
  Cell[BoxData[
      \({t\_n} = {1, 2, 3, 1, 2, 3, 1, 2, 3, \[CenterEllipsis]}\)]],
  "\nis  ",
  Cell[BoxData[
      \(\(lim\ sup\)\+\(n \[Rule] \[Infinity]\)\ t\_n = 3\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<{\!\(t\_n\)}={1,2,3,1,2,3,1,2,3,\[CenterEllipsis]}\>\""]; 
    \nPrint[\*"\"\<\!\(\(lim\\\ sup\)\+\(n \[Rule] \[Infinity]\)\) \!\(t\_n\) \
= \>\"", Max[1, 2, 3]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.13,  Page 107.",
    FontWeight->"Bold"],
  "  The limit supremum of the Fibonacci sequence ",
  Cell[BoxData[
      \({t\_n} = {1, 1, 2, 3, 5, 8, 13, 21, 34  \[CenterEllipsis]}\)]],
  "\nis  ",
  Cell[BoxData[
      \(\(lim\ sup\)\+\(n \[Rule] \[Infinity]\)\ t\_n = \[Infinity]\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[n, t]; \n
    t[n_] = \(-\@5\)\/5\ 2\^\(\(-1\) - n\)\ \((1 - \@5)\)\^\(n + 1\)\  + 
        \((2\/\(1 + \@5\))\)\^\(\(-1\) - n\)\/\@5; \n
    Print[\*"\"\<{\!\(t\_n\)} = \>\"", Table[Simplify[t[n]], {n, 0, 12}]]; \n
    Print[\*"\"\<\!\(\(lim\\\ sup\)\+\(n \[Rule] \[Infinity]\)\) \!\(t\_n\) = \
\>\"", Limit[t[n], n \[Rule] \[Infinity]]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.14,  Page 107.",
    FontWeight->"Bold"],
  "  The sequence \n",
  Cell[BoxData[
      \(\(\ {t\_n} = {2, 3\/2, 4\/3, 5\/4, 6\/5, 7\/6, 8\/7, 9\/8, 10\/9, 
          11\/10, 12\/11, 13\/12, \[CenterEllipsis]}\)\)]],
  "\nhas  ",
  Cell[BoxData[
      \(\(lim\ sup\)\+\(n \[Rule] \[Infinity]\)\ t\_n = 1\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[n, t]; \nt[n_] = 1 + 1\/n; \n
    Print[\*"\"\<{\!\(t\_n\)} = \>\"", Table[Simplify[t[n]], {n, 1, 12}]]; \n
    Print[\*"\"\<\!\(\(lim\\\ sup\)\+\(n \[Rule] \[Infinity]\)\) \!\(t\_n\) = \
\>\"", Limit[t[n], n \[Rule] \[Infinity]]]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 4",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 4.2  ",
  StyleBox["Power Series Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 4.2"],

Cell[TextData[{
  "The function  f(z)  = ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            RowBox[{
              SubscriptBox[
                StyleBox["a",
                  FontSize->14], "n"], \(z\^n\)}]}],
          FontSize->14], TraditionalForm]]],
  "  is called a ",
  StyleBox["power series",
    FontColor->RGBColor[1, 0, 1]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 4.15,  Page 111.",
    FontWeight->"Bold"],
  "  Find the radius of convergence of  \nf(z) = ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\),
            FontSize->14], 
          RowBox[{
            StyleBox[
              SuperscriptBox[
                RowBox[{"(", 
                  FormBox[
                    FractionBox[
                      StyleBox[\(n + 2\),
                        FontSize->14], 
                      StyleBox[\(3 n + 1\),
                        FontSize->14]],
                    "TraditionalForm"], ")"}], "n"],
              FontSize->14], 
            SuperscriptBox[
              RowBox[{
                StyleBox["(",
                  FontSize->14], 
                RowBox[{"z", 
                  StyleBox["-",
                    FontSize->14], "4"}], ")"}], "n"]}]}], TraditionalForm]]],
  
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[c, L, n, Pn, R]; \nc[n_]\  = \ \((\(n + 2\)\/\(3  n + 1\))\)\^n; 
    \nPn\  = \ c[n]\^\(1/n\); \nPrint[\*"\"\<    \!\(c\_n\) = \>\"", c[n]]; \n
    Print[\*"\"\<|\!\(c\_n\)\!\(\( | \^\(1/n\)\)\) = \>\"", Pn]; \n
    Pn\  = \ PowerExpand[Pn]; \n
    Print[\*"\"\<|\!\(c\_n\)\!\(\( | \^\(1/n\)\)\) = \>\"", Pn]; \)], "Input"],

Cell[TextData[
"Use the root test and find the limit and then the radius of convergence R."],
   "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(L\  = \ Limit[\ Pn, \ n -> \[Infinity]]; \nR\  = \(\ 1\)\/L; \n
    Print[\*"\"\<  L = \!\(lim\+\(n -> \[Infinity]\)\) |\!\(c\_n\)\!\(\( | \^\
\(1/n\)\)\) = \>\"", L]; \nPrint["\<The limit  is  L = \>", L]; \n
    Print[\*"\"\<The radius is  R = \!\(1\/L\) = \>\"", R]; \)], "Input"],

Cell[TextData[{
  StyleBox["Example 4.16,  Page 111.",
    FontWeight->"Bold"],
  "  The series \n",
  Cell[BoxData[
      FormBox[
        RowBox[{\(f(z)\), "=", 
          RowBox[{
            RowBox[{
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], 
                RowBox[{" ", 
                  StyleBox[\(n = 0\),
                    FontSize->10]}], 
                StyleBox["\[Infinity]",
                  FontSize->10]], 
              RowBox[{
                StyleBox[
                  SubscriptBox[
                    StyleBox["c",
                      FontSize->14], "n"],
                  FontSize->14], 
                StyleBox[\(z\^n\),
                  FontSize->12]}]}], 
            StyleBox["=",
              FontSize->12], 
            RowBox[{
              StyleBox["1",
                FontSize->12], 
              StyleBox["+",
                FontSize->12], 
              StyleBox[\(4 z\),
                FontSize->12], 
              StyleBox["+",
                FontSize->12], 
              RowBox[{
                SuperscriptBox[
                  StyleBox["5",
                    FontSize->12], "2"], 
                StyleBox[\(z\^2\),
                  FontSize->12]}], 
              StyleBox["+",
                FontSize->12], 
              StyleBox[\(\(4\^3\) z\^3\),
                FontSize->12], 
              StyleBox["+",
                FontSize->12], 
              RowBox[{
                SuperscriptBox[
                  StyleBox["5",
                    FontSize->12], "4"], 
                StyleBox[\(z\^4\),
                  FontSize->12]}], 
              StyleBox["+",
                FontSize->12], 
              RowBox[{\(4\^5\), 
                StyleBox[\(z\^5\),
                  FontSize->12]}], 
              StyleBox["+",
                FontSize->12], "\[CenterEllipsis]"}]}]}], TraditionalForm]]],
  "\nhas radius of convergence  by the Cauchy-Hadamard formula because\n",
  Cell[BoxData[
      \(\(lim\ sup\)\+\(n \[Rule] \[Infinity]\)\ 
          \@\(\( \[VerticalBar] c\)\_n \[VerticalBar] \)\%n = 5\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[n, \[Rho], R]; \n
    \[Rho] = Max[Limit[\@\(4\^n\)\%n, n \[Rule] \[Infinity]], 
        Limit[\@\(5\^n\)\%n, n \[Rule] \[Infinity]]]; \n
    Print[\*"\"\<\!\(\(lim\\\ sup\)\+\(n \[Rule] \[Infinity]\)\) \!\(\@\( \
\[VerticalBar] c\_n \[VerticalBar] \)\%n\)  = \>\"", \[Rho]]; \n
    Print[\*"\"\<R = \!\(1\/\[Rho]\) = \>\"", 1\/\[Rho]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.17,  Page 111.",
    FontWeight->"Bold"],
  "  Find the radius of convergence of  f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[\(z\^n\),
                FontSize->14], 
              StyleBox[\(n!\),
                FontSize->14]]}],
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[c, L, n, Qn, R, z]; \nc[n_]\  = \ 1\/\(n!\); \n
    Qn\  = \ c[n + 1]\/c[n]; \nPrint[\*"\"\<    \!\(c\_n\) = \>\"", c[n]]; \n
    Print[\*"\"\<|\!\(c\_\(n + 1\)\/c\_n\)| = \>\"", Qn]; \n
    Qn\  = \ FullSimplify[Qn]; \n
    Print[\*"\"\<|\!\(c\_\(n + 1\)\/c\_n\)| = \>\"", Qn]; \)], "Input"],

Cell[TextData[
"Use the ratio test and find the limit and then the radius of convergence \
R."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(L\  = \ Limit[\ Qn, \ n -> \[Infinity]]; \n
    R\  = \ Limit[\(\ 1\)\/Qn, \ n -> \[Infinity]]; \n
    Print[\*"\"\<  L = \!\(lim\+\(n -> \[Infinity]\)\) |\!\(c\_\(n + \
1\)\/c\_n\)| = \>\"", L]; \nPrint["\<The limit  is  L = \>", L]; \n
    Print["\<The radius is  R = \>", R]; \)], "Input"],

Cell["This is a well known function.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
      RowBox[{"sum", " ", "=", " ", 
        StyleBox[
          RowBox[{\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\), 
            FractionBox[
              StyleBox[\(z\^n\),
                FontSize->14], 
              StyleBox[\(n!\),
                FontSize->14]]}],
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      \(Print[\*"\"\<f(z) = \!\(\[Sum]\+\(n = \
0\)\%\[Infinity]\)\!\(z\^n\/\(n!\)\) = \>\"", sum]\), ";"}]], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.18,  Page 114.",
    FontWeight->"Bold"],
  "  Show that    f(z) = ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\),
            FontSize->14], 
          RowBox[{
            StyleBox[\((n + 1)\),
              FontSize->12], 
            StyleBox[\(z\^n\),
              FontSize->14]}]}], TraditionalForm]]],
  "   =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(\((1\  - \ z)\)\^2\),
            FontSize->14]], TraditionalForm]]],
  ".\n\nSolution:  Use the fact that   s(z)  = ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\),
            FontSize->14], "  ", 
          StyleBox[\(z\^n\),
            FontSize->14]}], TraditionalForm]]],
  "  =   ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(1\  - \ z\),
            FontSize->14]], TraditionalForm]]],
  "   and   s ' (z)  =  f(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{\(Clear[n, s, sum, z]\), 
    RowBox[{\(sum\ \  = \ \ \[Sum]\+\(n = 0\)\%\[Infinity] 1*z\^n\), 
      StyleBox[";",
        FontSize->14], "\n", \(s[z_]\  = \ sum\), ";", "\n", 
      \(Print[\*"\"\< s[z] = \!\(\[Sum]\+\(n = 0\)\%\[Infinity]\)\!\(z\^n\) = \
\>\"", s[z]]\), ";", "\n", 
      \(Print[\*"\"\<s'[z] = \!\(\[Sum]\+\(n = \
0\)\%\[Infinity]\)(n+1)\!\(z\^n\) = \>\"", \(s'\)[z]]\), ";"}]}], "Input"],

Cell["Or do it directly.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
      RowBox[{"sum", " ", "=", " ", 
        RowBox[{
          StyleBox[\(\[Sum]\+\(\ n = 0\)\%\[Infinity]\),
            FontSize->14], 
          RowBox[{
            RowBox[{
              StyleBox["(",
                FontSize->12], 
              StyleBox[\(n + 1\),
                FontSize->12], ")"}], "*", 
            StyleBox[\(z\^n\),
              FontSize->14]}]}]}], 
      StyleBox[" ",
        FontSize->14], 
      StyleBox[";",
        FontSize->14], "\n", 
      \(Print[\*"\"\<f[z] = \!\(\[Sum]\+\(n = 0\)\%\[Infinity]\)(n+1)\!\(z\^n\
\) = \>\"", sum]\), ";"}]], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 4.19,  Page 114.",
    FontWeight->"Bold"],
  "  Termwise differentiate the Bessel function  ",
  Cell[BoxData[
      \(TraditionalForm\`J\_0\)]],
  "(z)  \nand  get  - ",
  Cell[BoxData[
      \(TraditionalForm\`J\_1\)]],
  "(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(J0[z_]\  = \ Series[BesselJ[0, z], \ {z, 0, 10}]; \n
    J1[z_]\  = \ Series[BesselJ[1, z], \ {z, 0, 9}]; \n
    Print[\*"\"\< \!\(J\_0\)[z] = \>\"", J0[z]]\), 
    \(Print[\*"\"\<\!\(J\_0\)'[z] = \>\"", \(J0'\)[z]]\), 
    \(Print[\*"\"\< \!\(J\_1\)[z] = \>\"", J1[z]]\)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 4",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 4.3  ",
  StyleBox["Julia and Mandelbrot Sets",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 4.3"],

Cell[TextData[{
  StyleBox["\nJulia Set",
    FontSize->18],
  "\n\n     The ",
  StyleBox["Julia set ",
    FontColor->RGBColor[1, 0, 1]],
  "associated to a complex number c is found by iterating the \nmap  z = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^2\),
          FontSize->14], TraditionalForm]]],
  " + c.  The set of points that do not escape to infinity is the Julia set."
}], "Text",
  Evaluatable->False,
  InitializationCell->True,
  AspectRatioFixed->True],

Cell[TextData[{
  "Here is the subroutine from the ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  Journal."
}], "Text",
  Evaluatable->False,
  InitializationCell->True,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(juliaC\  = \n
      Compile[{x, y, lim, cx, cy}, 
        Module[{z, ct = 0}, z = x + \[ImaginaryI]\ y; 
          While[Abs[z] < 2.0\  && \ ct \[LessEqual] lim, 
            z = z\^2 + \((cx + \[ImaginaryI]\ cy)\); \(++ct\)]; ct]]; \)\)], 
  "Input",
  InitializationCell->True,
  AspectRatioFixed->True],

Cell[TextData[
"Here is the Julia set generated by the value  c = -1.25.  This is a fuzzy \
picture of \nColor Plate 4.  Increase the number of PlotPoints to get a \
sharper picture.  Also, \nit will increase the computing time. It takes quite \
a bit of time with  PlotPoints\[Rule]100\nThings start to look better with  \
PlotPoints\[Rule]300"], "Text",
  Evaluatable->False,
  InitializationCell->True,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(DensityPlot[\(-juliaC[x, y, 50, \(-1.25\), 0]\), {x, \(-1.5\), 1.5}, 
      \ {y, \(-1.5\), 1.5}, PlotPoints -> 100, Mesh -> False, 
      ColorFunction \[Rule] Hue]; \)\)], "Input",
  InitializationCell->True,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["\nMandelbrot Set",
    FontSize->18],
  "\n\n     The ",
  StyleBox["Mandelbrot set",
    FontColor->RGBColor[1, 0, 1]],
  " is the set of points c that do not escape to infinity under \niteration \
of the map  c = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(c\^2\),
          FontSize->14], TraditionalForm]]],
  " + c.  Points in the Mandelbrot set have connected \nJulia sets.  This \
modification of the  juliaC  code can be used to plot the Mandelbrot set.\n\
Here is the subroutine from the ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  Journal."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(mandelbrotC = 
      Compile[{x, y, lim}, 
        Module[{z, ct = 0}, z = x + \[ImaginaryI]\ y; 
          While[Abs[z] < 2.0\  && \ ct \[LessEqual] lim, 
            z = z\^2 + \((x + \[ImaginaryI]\ y)\); \(++ct\)]; ct]]; \)\)], 
  "Input",
  InitializationCell->True,
  AspectRatioFixed->True],

Cell[TextData[
"This is a fuzzy picture of Color Plate 6. Increase the number of PlotPoints \
to get a \nsharper picture.  Also, it will increase the computing time.  It \
takes quite a bit of time \nwith  PlotPoints\[Rule]100.   Things start to \
look better with  PlotPoints\[Rule]300"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(DensityPlot[\(-mandelbrotC[x, y, 50]\), {x, \(-2.0\), 0.55}, 
      \ {y, \(-1.15\), 1.15}, PlotPoints -> 100, \ Mesh -> False, 
      Frame -> False, ColorFunction \[Rule] Hue]; \)\)], "Input",
  InitializationCell->True,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 4",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 424}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{466, 247},
WindowMargins->{{1, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3053, 98, 2538, 96, 181, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 4"->{
    Cell[5616, 198, 260, 9, 62, "Text",
      CellTags->"CHAPTER 4"]},
  "Section 4.1"->{
    Cell[6149, 218, 271, 9, 62, "Text",
      CellTags->"Section 4.1"]},
  "Section 4.2"->{
    Cell[53109, 1703, 208, 8, 38, "Text",
      CellTags->"Section 4.2"]},
  "Section 4.3"->{
    Cell[63306, 2036, 211, 8, 35, "Text",
      CellTags->"Section 4.3"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 91083, 3025},
  {"CHAPTER 4", 91171, 3028},
  {"Section 4.1", 91261, 3031},
  {"Section 4.2", 91353, 3034},
  {"Section 4.3", 91447, 3037}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 709, 22, 222, "Text"]
}, Open  ]],
Cell[3053, 98, 2538, 96, 181, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[5616, 198, 260, 9, 62, "Text",
  CellTags->"CHAPTER 4"],
Cell[5879, 209, 233, 4, 70, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[6149, 218, 271, 9, 62, "Text",
  CellTags->"Section 4.1"],
Cell[6423, 229, 15677, 513, 747, "Text"],
Cell[22103, 744, 592, 22, 45, "Text"],
Cell[22698, 768, 581, 10, 269, "Input"],
Cell[23282, 780, 395, 16, 52, "Text"],
Cell[23680, 798, 265, 5, 98, "Input"],
Cell[23948, 805, 596, 11, 235, "Input"],
Cell[24547, 818, 140, 5, 33, "Text"],
Cell[24690, 825, 949, 38, 109, "Text"],
Cell[25642, 865, 908, 31, 60, "Text"],
Cell[26553, 898, 1863, 47, 321, "Input"],
Cell[28419, 947, 48, 0, 33, "Text"],
Cell[28470, 949, 521, 18, 60, "Text"],
Cell[28994, 969, 1075, 25, 273, "Input"],
Cell[30072, 996, 150, 3, 52, "Text"],
Cell[30225, 1001, 319, 6, 136, "Input"],
Cell[30547, 1009, 54, 0, 33, "Text"],
Cell[30604, 1011, 345, 12, 52, "Text"],
Cell[30952, 1025, 1050, 26, 192, "Input"],
Cell[32005, 1053, 103, 3, 33, "Text"],
Cell[32111, 1058, 1033, 36, 60, "Text"],
Cell[33147, 1096, 983, 17, 493, "Input"],
Cell[34133, 1115, 96, 3, 33, "Text"],
Cell[34232, 1120, 359, 6, 134, "Input"],
Cell[34594, 1128, 98, 3, 33, "Text"],
Cell[34695, 1133, 502, 18, 60, "Text"],
Cell[35200, 1153, 166, 5, 33, "Text"],
Cell[35369, 1160, 3016, 89, 328, "Input"],
Cell[38388, 1251, 121, 2, 33, "Text"],
Cell[38512, 1255, 228, 4, 119, "Input"],
Cell[38743, 1261, 83, 2, 33, "Text"],
Cell[38829, 1265, 1306, 32, 272, "Input"],
Cell[40138, 1299, 578, 21, 58, "Text"],
Cell[40719, 1322, 166, 5, 33, "Text"],
Cell[40888, 1329, 2729, 82, 327, "Input"],
Cell[43620, 1413, 121, 2, 33, "Text"],
Cell[43744, 1417, 228, 4, 119, "Input"],
Cell[43975, 1423, 83, 2, 33, "Text"],
Cell[44061, 1427, 1595, 42, 330, "Input"],
Cell[45659, 1471, 502, 18, 60, "Text"],
Cell[46164, 1491, 172, 3, 85, "Input"],
Cell[46339, 1496, 50, 0, 33, "Text"],
Cell[46392, 1498, 688, 13, 227, "Input"],
Cell[47083, 1513, 109, 2, 33, "Text"],
Cell[47195, 1517, 289, 5, 112, "Input"],
Cell[47487, 1524, 543, 18, 79, "Text"],
Cell[48033, 1544, 164, 3, 85, "Input"],
Cell[48200, 1549, 50, 0, 33, "Text"],
Cell[48253, 1551, 687, 13, 227, "Input"],
Cell[48943, 1566, 388, 14, 75, "Text"],
Cell[49334, 1582, 721, 18, 117, "Input"],
Cell[50058, 1602, 381, 13, 94, "Text"],
Cell[50442, 1617, 382, 7, 149, "Input"],
Cell[50827, 1626, 372, 13, 94, "Text"],
Cell[51202, 1641, 209, 3, 60, "Input"],
Cell[51414, 1646, 395, 13, 94, "Text"],
Cell[51812, 1661, 379, 6, 139, "Input"],
Cell[52194, 1669, 419, 14, 99, "Text"],
Cell[52616, 1685, 271, 4, 114, "Input"],
Cell[52890, 1691, 182, 7, 37, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[53109, 1703, 208, 8, 38, "Text",
  CellTags->"Section 4.2"],
Cell[53320, 1713, 474, 17, 33, "Text"],
Cell[53797, 1732, 999, 32, 59, "Text"],
Cell[54799, 1766, 350, 5, 166, "Input"],
Cell[55152, 1773, 152, 4, 33, "Text"],
Cell[55307, 1779, 303, 4, 145, "Input"],
Cell[55613, 1785, 2213, 68, 96, "Text"],
Cell[57829, 1855, 376, 6, 121, "Input"],
Cell[58208, 1863, 509, 18, 59, "Text"],
Cell[58720, 1883, 318, 5, 207, "Input"],
Cell[59041, 1890, 152, 4, 33, "Text"],
Cell[59196, 1896, 312, 5, 139, "Input"],
Cell[59511, 1903, 94, 2, 33, "Text"],
Cell[59608, 1907, 490, 14, 96, "Input"],
Cell[60101, 1923, 1178, 42, 106, "Text"],
Cell[61282, 1967, 423, 7, 177, "Input"],
Cell[61708, 1976, 82, 2, 33, "Text"],
Cell[61793, 1980, 620, 19, 96, "Input"],
Cell[62416, 2001, 335, 13, 71, "Text"],
Cell[62754, 2016, 330, 6, 110, "Input"],
Cell[63087, 2024, 182, 7, 37, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63306, 2036, 211, 8, 35, "Text",
  CellTags->"Section 4.3"],
Cell[63520, 2046, 484, 15, 119, "Text",
  InitializationCell->True],
Cell[64007, 2063, 208, 8, 33, "Text",
  InitializationCell->True],
Cell[64218, 2073, 327, 8, 72, "Input",
  InitializationCell->True],
Cell[64548, 2083, 431, 8, 90, "Text",
  InitializationCell->True],
Cell[64982, 2093, 258, 5, 70, "Input",
  InitializationCell->True],
Cell[65243, 2100, 663, 20, 157, "Text"],
Cell[65909, 2122, 318, 8, 52, "Input",
  InitializationCell->True],
Cell[66230, 2132, 345, 6, 71, "Text"],
Cell[66578, 2140, 270, 5, 70, "Input",
  InitializationCell->True],
Cell[66851, 2147, 182, 7, 37, "Text"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

