(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     61240,       1986]*)
(*NotebookOutlinePosition[     86190,       2891]*)
(*  CellTagsIndexPosition[     85926,       2879]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text"]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 5  ",
    FontSize->18],
  StyleBox["ELEMENTARY FUNCTIONS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  "\n",
  StyleBox["Section 5.1  ",
    FontSize->18],
  ButtonBox["The Complex Exponential Function",
    ButtonData:>"Section 5.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\nSection 5.2  ",
    FontSize->18],
  ButtonBox["Branches of the Complex Logarithm Function",
    ButtonData:>"Section 5.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 5.3  ",
    FontSize->18],
  ButtonBox["Complex Exponents",
    ButtonData:>"Section 5.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 5.4  ",
    FontSize->18],
  ButtonBox["Trigonometric and Hyperbolic Functions",
    ButtonData:>"Section 5.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 5.5  ",
    FontSize->18],
  ButtonBox["Inverse Trigonometric and Hyperbolic Functions\n",
    ButtonData:>"Section 5.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 5  ",
    FontSize->18],
  StyleBox["ELEMENTARY FUNCTIONS",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 5"],

Cell[BoxData[
    \(SetOptions[Graphics, DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Get["\<Graphics`ComplexMap`\>"]; \n
    Clear[cos, cosZ, eq1, eq2, f, f2, n, r, sin, S, S12, S13, t1, t2, 
      \[Theta], u, v1, v2, v3, v4, v5, v6, U, v, V, w, wplane, x, x1, x2, y, 
      y1, y2, w0, w1, w2, w3, w4, w5, w6, w7, w8, w9, z, z0, z1, z2, z3, z4, 
      zn, zplane]; \)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 5.1  ",
    FontSize->18],
  StyleBox["The Complex Exponential Function",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 5.1"],

Cell[TextData[{
  "     A standard result from  calculus is that the ",
  StyleBox["exponential function",
    FontColor->RGBColor[1, 0, 1]],
  " can be represented by the power series  exp(x) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              StyleBox[\(n = 0\),
                FontSize->12], 
              StyleBox["\[Infinity]",
                FontSize->12]], 
            FractionBox[
              StyleBox[\(x\^n\),
                FontSize->14], 
              StyleBox[\(n!\),
                FontSize->14]]}],
          FontSize->16], TraditionalForm]]],
  ".  Thus, it is only natural to define the complex exponential in the \
following way:\n\n",
  StyleBox["Definition 5.1,  Page 125",
    FontWeight->"Bold"],
  StyleBox[".",
    FontSize->14,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]],
  "  The definition of ",
  StyleBox["exp(z)",
    FontColor->RGBColor[1, 0, 1]],
  " is:   exp(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            UnderoverscriptBox["\[Sum]", 
              StyleBox[\(n = 0\),
                FontSize->12], 
              StyleBox["\[Infinity]",
                FontSize->12]], 
            FractionBox[
              StyleBox[
                SuperscriptBox[
                  StyleBox["z",
                    FontSize->14], "n"],
                FontSize->14], 
              StyleBox[\(n!\),
                FontSize->14]]}],
          FontSize->16], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.\nMake sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Theorem 5.1,  Page 125.",
    FontWeight->"Bold"],
  "  The exponential function is a solution to the differential \nequation  f \
'(z) = f(z)  with the initial condition  f(0) = 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, x, y, z]; \nf[z_] = \[ExponentialE]\^z; \n
    Print["\< f[z] = \>", f[z]]; \nPrint["\<f'[z] = \>", \(f'\)[z]]; \n
    Print["\< f[0] = \>", f[0]]; \)], "Input"],

Cell[TextData[
"To see its real and imaginary parts, use complex expand."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<    f[z] = \>", f[z]]; \n
    Print["\< f[x+\[ImaginaryI]y] = \>", f[x + \[ImaginaryI]\ y]]; \n
    Print["\< f[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[f[x + \[ImaginaryI]\ y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Now verify that the \"rules of exponents\" hold."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[x1, x2, y1, y2, w1, w2, w3, w4, w5, w6, z1, z2, z3, z4]; \n
    w1\  = \ ComplexExpand[\[ExponentialE]\^\(x\_1 + \[ImaginaryI]\ y\_1\)]; 
    \nw2\  = \ 
      ComplexExpand[\[ExponentialE]\^\(x\_2 + \[ImaginaryI]\ y\_2\)]; \n
    Print[\*"\"\<\!\(\[ExponentialE]\^z\_1\) = \>\"", w1]; \n
    Print[\*"\"\<\!\(\[ExponentialE]\^z\_2\) = \>\"", w2]; \nPrint["\< \>"]; 
    \nw3\  = \ Expand[w1\ w2]; \n
    Print[\*"\"\<\!\(\[ExponentialE]\^z\_1\)\!\(\[ExponentialE]\^z\_2\) = \
\>\"", w3]; \nw3\  = \ Simplify[w3, Trig \[Rule] False]; \n
    Print[\*"\"\<\!\(\[ExponentialE]\^z\_1\)\!\(\[ExponentialE]\^z\_2\) = \
\>\"", w3]; \nPrint["\< \>"]; \n
    z4\  = \ \((x\_1 + \[ImaginaryI]\ y\_1)\) + 
        \((x\_2 + \[ImaginaryI]\ y\_2)\); \n
    w4\  = \ ComplexExpand[\[ExponentialE]\^z4]; \n
    Print[\*"\"\<\!\(\[ExponentialE]\^\(z\_1 + z\_2\)\) = \>\"", w4]; \n
    w4\  = \ Simplify[w4, Trig \[Rule] False]; \n
    Print[\*"\"\<\!\(\[ExponentialE]\^\(z\_1 + z\_2\)\) = \>\"", w4]; \n
    Print["\< \>"]; \n
    Print[\*"\"\<Does \!\(\[ExponentialE]\^z\_1\)\!\(\[ExponentialE]\^z\_2\)= \
\!\(\[ExponentialE]\^\(z\_1 + z\_2\)\) ?\>\""]\), 
    \(Print[w3, "\< = \>", w4]; \nPrint["\< \>"]; \n
    w3\  = \ ComplexExpand[w3]; \nw4\  = \ ComplexExpand[w4]; \n
    Print[w3, "\< = \>", w4]; \nPrint["\< \>"]; \n
    w3\  = \ Simplify[ComplexExpand[w3], Trig \[Rule] True]; \n
    w4\  = \ Simplify[ComplexExpand[w4], Trig \[Rule] True]; \n
    Print[w3, "\< = \>", w4]; \nPrint[w3 == w4]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.1,  Page 127.",
    FontWeight->"Bold"],
  "  The points   ",
  Cell[BoxData[
      FormBox[
        SubscriptBox[
          StyleBox["z",
            FontSize->14], "n"], TraditionalForm]]],
  " = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["5",
            FontSize->12], 
          StyleBox["4",
            FontSize->12]], TraditionalForm]]],
  " + i (",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox[\(11 \[Pi]\),
              FontSize->12], 
            StyleBox["6",
              FontSize->12]],
          FontSize->12], TraditionalForm]]],
  " + 2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "n)   for  \nn  = \[CenterEllipsis] , -2 , -1 , 0 , 1 , 2 , \
\[CenterEllipsis]   are mapped onto a single point   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(w\_0\),
          FontSize->14], TraditionalForm]]],
  "  =  exp(",
  Cell[BoxData[
      FormBox[
        SubscriptBox[
          StyleBox["z",
            FontSize->14], "n"], TraditionalForm]]],
  ")."
}], "Text",
  AspectRatioFixed->True],

Cell[BoxData[
    \(z0\  = \ 5\/4\  + \(\ \[ImaginaryI]\ 11\ \[Pi]\)\/6; \n
    Print[\*"\"\<\!\(z\_0\) = \>\"", z0]\)], "Input"],

Cell[BoxData[{
    \(Clear[n]\), 
    \(\(For[n = 0, n \[LessEqual] 5, \(n++\), \n\ \ 
      zn\  = \ z0\  + \ \[ImaginaryI]\ 2  \[Pi]\ n; \n\ \ 
      Print["\<Exp[\>", zn, "\<]  =  \>", \n\ \ 
        Factor[ComplexExpand[\[ExponentialE]\^zn]]\ ]\ ]; \)\)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.2,  Page 129.",
    FontWeight->"Bold"],
  "  Show that the transformation  w = exp(z)  maps \nthe rectangle  R = \
{(x,y):  a \[LessEqual] x \[LessEqual] b  and  c \[LessEqual] y \[LessEqual] \
d}  onto a portion of an \nannular region bounded by two rays."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, z]\), 
    \(Iden[z_]\  = \ z; \nf[z_]\  = \ \[ExponentialE]\^z; \n
    zplane\  = \ 
      CartesianMap[Iden, 
        \ {\(-1\), 1, 0.25}, {\(-\[Pi]\)\/3, \[Pi]\/4, \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-1.2\), 1.2}, {\(-1.2\), 1.2}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], {\(-\[Pi]\)\/3, \[Pi]\/4}}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[
        f, {\(-1\), 1, 0.25}, {\(-\[Pi]\)\/3, \[Pi]\/4, \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-0.2\), 3}, {\(-2.5\), 2.3}}, 
        AspectRatio \[Rule] 4.8\/3.2, 
        Ticks \[Rule] {Range[0, 3, 1], Range[\(-2\), 2, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<       The mapping  w = \>", f[z]]; \ \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 5",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 5.2  ",
  StyleBox["Branches of the Complex Logarithm Function",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 5.2"],

Cell[TextData[{
  StyleBox["     ",
    FontSize->18],
  "If  w  is a nonzero complex number, then the equation w = exp(z) has \
infinitely many solutions.  Because the function exp(z) is a many-to-one \
function, its inverse (the logarithm) is multivalued.\n\n",
  StyleBox["Definition 5.2,  Page 132.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Multivalued Logarithm)",
    FontColor->RGBColor[1, 0, 1]],
  "\nlog(z)  =  ln|z|  +  i arg(z)                      (for z \[NotEqual] \
0).\nlog(z)  =  ln|z|  +  i (Arg(z) + 2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "n)      (for z \[NotEqual] 0).\n\n",
  StyleBox["Definition 5.3,  Page 132.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Principal Value of the Logarithm)",
    FontColor->RGBColor[1, 0, 1]],
  "\nLog(z)  =  ln|z|  +  i Arg(z)      (for z \[NotEqual] 0)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  Graphics3D  and  ComplexMap packages.\nMake sure this is done only \
ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example on, Page 132.",
    FontWeight->"Bold"],
  "  Investigate the Logarithm function."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[u, v, w, x, y]; \n
    w\  = \ ComplexExpand[Log[\((x + \[ImaginaryI]\ y)\)]]; \n
    u[x_, y_]\  = \ 
      ComplexExpand[Re[Log[\((x + \[ImaginaryI]\ y)\)]], 
        TargetFunctions \[Rule] {Re, Im}]; \n
    v[x_, y_]\  = \ 
      ComplexExpand[Im[Log[\((x + \[ImaginaryI]\ y)\)]], 
        TargetFunctions \[Rule] {Re, Im}]; \n
    Print["\<    Log[(x+\[ImaginaryI]y)] = \>", w]; \n
    Print["\<    Log[(x+\[ImaginaryI]y)] = \>", 
      u[x, y] + \ \[ImaginaryI]\ v[x, y]]; \n
    Print["\<Re[Log[(x+\[ImaginaryI]y)]] = \>", u[x, y]]; \n
    Print["\<Im[Log[(x+\[ImaginaryI]y)]] = \>", v[x, y]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[r, \[Theta], U, V]; \nU[r_, \[Theta]_]\  = \ Log[r]; \n
    V[r_, \[Theta]_]\  = \ \[Theta]; \n
    W\  = \ U[r, \[Theta]]\  + \ \[ImaginaryI]\ V[r, \[Theta]]; \n
    Print[\*"\"\<    Log[r \!\(\[ExponentialE]\^\(\[ImaginaryI]\\\ \[Theta]\)\
\)] = \>\"", W]\), 
    \(Print[
      \*"\"\<Re[Log[r \!\(\[ExponentialE]\^\(\[ImaginaryI]\\\ \[Theta]\)\)]] \
= \>\"", U[r, \[Theta]]]\), 
    \(Print[
      \*"\"\<Im[Log[r \!\(\[ExponentialE]\^\(\[ImaginaryI]\\\ \[Theta]\)\)]] \
= \>\"", V[r, \[Theta]]]\)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.3,  Page 133.",
    FontWeight->"Bold"],
  "   Find   Log(1 + i)   and   log(1 + i)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[w]\), 
    \(w\  = \ ComplexExpand[Log[1\  + \ \[ImaginaryI]]]; \n
    Print["\<Log[1+\[ImaginaryI]] = \>", w]\)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The best we can do for the multivalued   log(1 + i)   is to add   i 2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "n."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[n, w1, w2]; \nw1\  = \ ComplexExpand[Log[1\  + \ \[ImaginaryI]]]; 
    \nw2\  = \ 
      ComplexExpand[
        Log[1\  + \ \[ImaginaryI]]\  + \ \[ImaginaryI]\ 2\ \[Pi]\ n\ ]; \n
    Print["\<Log[1+\[ImaginaryI]] = \>", Log[1 + \[ImaginaryI]]]; \n
    Print["\<Log[1+\[ImaginaryI]] = \>", w1]; \nPrint["\< \>"]; \n
    Print["\<log[1+\[ImaginaryI]] = \>", 
      Log[1 + \[ImaginaryI]]\  + \ \[ImaginaryI]\ 2\ \[Pi]\ n]; \n
    Print["\<log[1+\[ImaginaryI]] = \>", w2]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\

The transformation  w = Log(z)  maps the punctured z-plane onto the \
horizontal strip  in the w-plane.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, z]\), 
    \(Iden[z_]\  = \ z; \nf[z_]\  = \ Log[z]; \n
    zplane\  = \ 
      PolarMap[Iden, \ {1.0\/150, 150.1, 15}, {\(-3.141\), 3.141, 3.141\/6}, 
        PlotRange \[Rule] {{\(-150\), 150}, {\(-150\), 150}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-150\), 150, 150], Range[\(-150\), 150, 150]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      PolarMap[f, {1.0\/150, 150.1, 15}, {\(-3.141\), 3.141, 3.141\/6}, 
        PlotRange \[Rule] {{\(-5.2\), 5.2}, {\(-5.2\), 5.2}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-5\), 5, 5], Range[\(-\[Pi]\), \[Pi], \[Pi]]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.4,  Page 134.  (a)",
    FontWeight->"Bold"],
  "  Find  Log(-e)\n",
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Find  Log(-1)"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[z, w1, w2]; \nz\ \  = \ \(-\ \[ExponentialE]\); \n
    w1\  = \ Log[Abs[z]]\  + \ \[ImaginaryI]\ Arg[z]; \n
    w2\  = \ ComplexExpand[Log[z]]; \n
    Print["\<                    z  = \>", z]; \n
    Print["\<Log[Abs[z]] + \[ImaginaryI] Arg[z] = \>", w1]; \n
    Print["\<                Log[z] = \>", w2]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[z, w1, w2]; \nz\ \  = \ \(-1\); \n
    w1\  = \ Log[Abs[z]]\  + \ \[ImaginaryI]\ Arg[z]; \n
    w2\  = \ ComplexExpand[Log[z]]; \n
    Print["\<                    z  = \>", z]; \n
    Print["\<Log[Abs[z]] + \[ImaginaryI] Arg[z] = \>", w1]; \n
    Print["\<                Log[z] = \>", w2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Page 134,  Property (10)  of  Log(z).",
    FontWeight->"Bold"]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(v1\  = \ 
      ComplexExpand[Log[\((x\_1 + \[ImaginaryI]\ y\_1)\)], \n\ \ \ \ \ \ \ 
        TargetFunctions \[Rule] {Im, Re}]; \n
    v2\  = \ ComplexExpand[Log[\((x\_2 + \[ImaginaryI]\ y\_2)\)], \n
        \ \ \ \ \ \ \ TargetFunctions \[Rule] {Im, Re}]; \n
    v3\  = \ ComplexExpand[
        Log[\((x\_1 + \[ImaginaryI]\ y\_1)\) 
            \((x\_2 + \[ImaginaryI]\ y\_2)\)], \n\ \ \ \ \ \ \ 
        TargetFunctions \[Rule] {Im, Re}]; \n
    Print[\*"\"\<Log[\!\(z\_1\)] = \>\"", v1]; \n
    Print[\*"\"\<Log[\!\(z\_2\)] = \>\"", v2]; \n
    Print[\*"\"\<Log[\!\(z\_1\) \!\(z\_2\)] = \>\"", v3]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["What about those pesky ArcTan's ?"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example on,   Page 135.",
    FontWeight->"Bold"],
  "  Verify that   Log(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")   \[NotEqual]   Log(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")  +  Log(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(z1\  = \ \(-\ \@3\)\  + \ \[ImaginaryI]; \n
    z2\  = \ \(-\ 1\)\  + \ \[ImaginaryI]\ \@3; \nz3\  = \ Expand[z1\ z2]; \n
    w1\  = \ ComplexExpand[Log[z1]]; \nw2\  = \ ComplexExpand[Log[z2]]; \n
    w3\  = \ ComplexExpand[Log[z3]]; \n
    Print[\*"\"\<             \!\(z\_1\) = \>\"", z1]; \n
    Print[\*"\"\<             \!\(z\_2\) = \>\"", z2]; \n
    Print[\*"\"\<          \!\(z\_1\) \!\(z\_2\) = \>\"", z3]; \n
    Print["\< \>"]; \nPrint[\*"\"\<        Log[\!\(z\_1\)] = \>\"", w1]; \n
    Print[\*"\"\<        Log[\!\(z\_2\)] = \>\"", w2]; \n
    Print[\*"\"\<     Log[\!\(z\_1\) \!\(z\_2\)] = \>\"", w3]; \n
    Print[\*"\"\<Log[\!\(z\_1\)]+Log[\!\(z\_2\)] = \>\"", w1 + w2]; \n
    Print[\*"\"\<  Is Log[\!\(z\_1\) \!\(z\_2\)] = Log[\!\(z\_1\)] + \
Log[\!\(z\_2\)] = ?  \>\"", w3\  == w1 + w2]; \)], "Input"],

Cell[TextData[{
  "So we see that   Log(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")   \[NotEqual]   Log(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")  +  Log(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ").\n"
}], "Text"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 5",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 5.3  ",
  StyleBox["Complex Exponents",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 5.3"],

Cell[TextData[{
  StyleBox["Definition 5.4,  Page 138.",
    FontWeight->"Bold"],
  "  Let  c  be a complex number.   We define  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\^\(\ c\)\),
          FontColor->RGBColor[1, 0, 1]], TraditionalForm]],
    FontSize->14],
  "  as:\n       ",
  Cell[BoxData[
      \(TraditionalForm\`z\^\(\ c\)\)],
    FontSize->14],
  "  =  exp[c log(z)]."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.5,  Page 139.  (a)",
    FontWeight->"Bold"],
  "  Find the principal value of  ",
  Cell[BoxData[
      FormBox[
        RowBox[{" ", 
          StyleBox[\(\((1\  + \ i)\)\^\(1/2\)\),
            FontSize->14]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[w0, w1, w2, w3, z0]; \nz0\  = \ 1\  + \ \[ImaginaryI]; \n
    w0\  = \ ComplexExpand[Log[z0]]; \n
    w1\  = \ ComplexExpand[Exp[1\/2\ Log[z0]]]; \n
    w2\  = \ ComplexExpand[\@z0]; \nw3\  = N[\@z0]; \n
    Print["\<       Log[\>", z0, "\<] = \>", w0]; \n
    Print[\*"\"\<Exp[\!\(1\/2\)Log[\>\"", z0, "\<]] = \>", w1]; \n
    Print["\< \>"]; \nPrint["\<          \>", \@z0, "\< = \>", w2]; \n
    Print["\<          \>", \@z0, "\< = \>", w3]; \)], "Input"],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Find the principal value of  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\((\(-1\))\)\^i\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[w1, w2, w3]; \nw1\  = \ Exp[\[ImaginaryI]\ Log[\(-1\)]]; \n
    w2\  = ComplexExpand[\((\(-1\))\)\^\[ImaginaryI]]; \n
    w3\  = Chop[N[\((\(-1\))\)\^\[ImaginaryI]]]; \n
    Print["\<Exp[\[ImaginaryI] Log[-1]] = \>", w1]; \nPrint["\< \>"]; \n
    Print[\*"\"\<         (-1\!\(\()\^\[ImaginaryI]\)\) = \>\"", w2]; \n
    Print[\*"\"\<         (-1\!\(\()\^\[ImaginaryI]\)\) = \>\"", w3]; \)], 
  "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.6,  Page 140.",
    FontWeight->"Bold"],
  "  Find the values of   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(2\^\(1/9\  + \ i/50\)\),
          FontSize->15], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["The principal value is:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[pts, w1, w2, w3]; \n
    w1\  = \ \[ExponentialE]\^\(\((1\/9\  + \(\ \[ImaginaryI]\)\/50)\)\ 
          Log[2]\); \nw2\  = \ 2\^\(1/9\  + \ \[ImaginaryI]/50\); \n
    w3\  = \ N[2\^\(1/9\  + \ \[ImaginaryI]/50\)]; \n
    Print[\*"\"\<\!\(\[ExponentialE]\^\(\((1\/9\\\  + \(\\\ \
\[ImaginaryI]\)\/50)\)\\\ Log[2]\)\) = \>\"", w1]; \n
    Print[\*"\"\<     \!\(2\^\(1/9\\\  + \\\ \[ImaginaryI]/50\)\) = \>\"", 
      w2]; \nPrint[
      \*"\"\<     \!\(2\^\(1/9\\\  + \\\ \[ImaginaryI]/50\)\) = \>\"", w3]; 
    \)], "Input"],

Cell[TextData["Some of the other values are:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{"\n", 
      RowBox[{
      \(pts = Table[{
              N[Re[\[ExponentialE]\^\(\((1\/9\  + \(\ \[ImaginaryI]\)\/50)\)\ 
                      \((Log[2] + 2  \[Pi]\ \[ImaginaryI]\ n)\)\)], 3], 
              N[Im[\[ExponentialE]\^\(\((1\/9\  + \(\ \[ImaginaryI]\)\/50)\)\ 
                      \((Log[2] + 2  \[Pi]\ \[ImaginaryI]\ n)\)\)], 3]}, {n, 
              \(-9\), 9, 1}]\), ";", "\n", 
        \(ListPlot[pts, PlotRange \[Rule] {{\(-2\), 3.5}, {\(-2\), 3.5}}, 
          AspectRatio \[Rule] 1, 
          Prolog \[Rule] {PointSize[0.02], RGBColor[1, 0, 0]}]\), ";", "\n", 
        RowBox[{
        "Print", "[", "\"\<     Some values of \!\(TraditionalForm\`\*
StyleBox[\\(2\\^\\(1/9 + i/50\\)\\),
FontSize->15]\)\>\"", "]"}], ";", "\n", 
        \(Print[Table[{
              N[\[ExponentialE]\^\(\((1\/9\  + \(\ \[ImaginaryI]\)\/50)\)\ 
                    \((Log[2] + 2  \[Pi]\ \[ImaginaryI]\ n)\)\), 3]}, {n, 
              \(-9\), 9, 1}]]\), ";"}]}]], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.7,  Page 140.  (a)",
    FontWeight->"Bold"],
  "  Find the values of    ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  FormBox[\(i\^2\),
                    "TraditionalForm"], ")"}], ""], ")"}], "i"],
          FontSize->15], TraditionalForm]]],
  ".\n",
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Find the values of   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\((i)\)\^\(2 i\)\),
          FontSize->15], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData["The principal values are:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
    \(Clear[t1, t2, w1, w2, w3, w4]\), ";", "\n", 
      \(w1\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ Log[\[ImaginaryI]\^2]\)\), 
      ";", "\n", 
      \(w2\  = \ \[ExponentialE]\^\(2  \[ImaginaryI]\ Log[\[ImaginaryI]]\)\), 
      ";", "\n", 
      \(w3\  = N[\[ExponentialE]\^\(\[ImaginaryI]\ Log[\[ImaginaryI]\^2]\)]\),
       ";", "\n", 
      \(w4\  = \ 
        N[\[ExponentialE]\^\(2  \[ImaginaryI]\ Log[\[ImaginaryI]]\)]\), ";", 
      "\n", \(Print[\((\[ImaginaryI]\^2)\)\^\[ImaginaryI], "\< = \>", w1]\), 
      ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{
          SuperscriptBox["\[ImaginaryI]", 
            RowBox[{"2", 
              StyleBox["\[ImaginaryI]",
                FontSlant->"Italic"]}]], ",", \("\< = \>"\), ",", "w2"}], 
        "]"}], ";", "\n", 
      \(Print[\((\[ImaginaryI]\^2)\)\^\[ImaginaryI], "\< = \>", w3]\), ";", 
      "\n", 
      RowBox[{"Print", "[", 
        RowBox[{
          SuperscriptBox["\[ImaginaryI]", 
            RowBox[{"2", 
              StyleBox["\[ImaginaryI]",
                FontSlant->"Italic"]}]], ",", \("\< = \>"\), ",", "w4"}], 
        "]"}], ";"}]], "Input"],

Cell["Some of the other values are given in the sets:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
    \(t1\  = \ 
        Table[\[ExponentialE]\^\(\[ImaginaryI]\ 
              \((Log[\[ImaginaryI]\^2] + 2  \[Pi]\ \[ImaginaryI]\ n)\)\), \n
          \ \ \ \ \ \ \ \ \ \ {n, \(-4\), 4, 1}]\), ";", "\n", 
      \(t2\  = \ 
        Table[\[ExponentialE]\^\(2  \[ImaginaryI] 
              \((\ Log[\[ImaginaryI]]\ \  + 2  \[Pi]\ \[ImaginaryI]\ n)\)\), 
          \n\ \ \ \ \ \ \ \ \ \ {n, \(-4\), 4, 1}]\), ";", "\n", 
      \(Print[\((\[ImaginaryI]\^2)\)\^\[ImaginaryI], "\< = \>", t1]\), ";", 
      "\n", 
      RowBox[{"Print", "[", 
        RowBox[{
          SuperscriptBox["\[ImaginaryI]", 
            RowBox[{"2", 
              StyleBox["\[ImaginaryI]",
                FontSlant->"Italic"]}]], ",", \("\< = \>"\), ",", "t2"}], 
        "]"}], ";"}]], "Input"],

Cell[TextData[{
  "Remark.  The two sets are different.  Therefore, in general ,  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          SuperscriptBox[
            RowBox[{"(", 
              FormBox[
                SuperscriptBox["z", 
                  StyleBox["a",
                    FontSize->12]],
                "TraditionalForm"], ")"}], 
            StyleBox["b",
              FontSize->12]],
          FontSize->15], TraditionalForm]]],
  "  \[NotEqual]  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          SuperscriptBox["z", 
            StyleBox["ab",
              FontSize->12]],
          FontSize->16], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 5",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 5.4  ",
  StyleBox["Trigonometric and Hyperbolic Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 5.4"],

Cell["\<\
Load Mathematica's  ComplexMap  package.
Make sure this is done only ONCE during a Mathematica  session.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Definition 5.5,  Page 143.",
    FontWeight->"Bold"],
  "   The series for   ",
  StyleBox["cos(z)",
    FontColor->RGBColor[1, 0, 1]],
  "   and   ",
  StyleBox["sin(z)",
    FontColor->RGBColor[1, 0, 1]],
  "  are:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, cos, n, S, S12, z]; \n
    cos[z_]\  = \ Series[Cos[z], \ {z, 0, 12}]; \n
    Print["\<Cos[z] = \>", cos[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The general coefficient for  cos(z)   is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(a[n_]\  = \ \(\((\(-1\))\)\^n\ z\^\(2  n\)\)\/\(\((2  n)\)!\); \n
    S12\  = \ \[Sum]\+\(n = 0\)\%6 a[n]; \n
    S\  = \ \[Sum]\+\(n = 0\)\%\[Infinity] a[n]; \n
    Print[\*"\"\<    \!\(a\_n\) = \>\"", a[n]]; \n
    Print[\*"\"\<\!\(S\_12\)[z] = \>\"", S12]; \n
    Print[\*"\"\< \!\(S\_\[Infinity]\)[z] = \>\"", S]; \n
    Print[\*"\"\< \!\(S\_\[Infinity]\)[z] = \>\"", PowerExpand[S]]; \)], 
  "Input"],

Cell[BoxData[
    \(Clear[b, n, sin, S, S13, z]; \n
    sin[z_]\  = \ Series[Sin[z], \ {z, 0, 11}]; \n
    Print["\<Sin[z] = \>", sin[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The general coefficient for  sin(z)   is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(b[n_]\  = \ \(\((\(-1\))\)\^n\ z\^\(2  n + 1\)\)\/\(\((2  n + 1)\)!\); 
    \nS13\  = \ \[Sum]\+\(n = 0\)\%6 b[n]; \n
    S\  = \ \[Sum]\+\(n = 0\)\%\[Infinity] b[n]; \n
    Print[\*"\"\<    \!\(b\_n\) = \>\"", b[n]]; \n
    Print[\*"\"\<\!\(S\_13\)[z] = \>\"", S13]; \n
    Print[\*"\"\< \!\(S\_\[Infinity]\)[z] = \>\"", S]; \n
    Print[\*"\"\< \!\(S\_\[Infinity]\)[z] = \>\"", PowerExpand[S]]; \)], 
  "Input"],

Cell[TextData["The derivative of  cos(z)   is   - sin(z):"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<Cos[z] = \>", cos[z]]; \nPrint["\<Sin[z] = \>", sin[z]]; \n
    Print["\< \>"]; \nPrint["\< Cos'[z] = \>", \(cos'\)[z]]; \n
    Print["\<-Sin[z] = \>", \(-sin[z]\)]; \n
    Print["\<Does  Cos'[z] = -Sin[z] ?  \>", 
      \(cos'\)[z]\  == \ \(-\ sin[z]\)]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
Remark. In order to verify that the derivative of  sin(z)   is   \
cos(z),  it is necessary to adjust the length of the  sin(z)  series.\
\>", 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(sin[z_]\  = \ Series[Sin[z], \ {z, 0, 13}]; \n
    Print["\<Sin[z] = \>", sin[z]]; \nPrint["\< \>"]; \n
    Print["\<Sin'[z] = \>", \(sin'\)[z]]; \nPrint["\< Cos[z] = \>", cos[z]]; 
    \nPrint["\<Does  Sin'[z] = Cos[z] ?  \>", \(sin'\)[z]\  == \ cos[z]]; \)],
   "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Figure 5.9, Page 145.",
    FontWeight->"Bold"],
  "  Graph the transformation   w  =  sin(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, wplane, z, zplane]\), 
    \(Iden[z_]\  = \ z; \nf[z_]\  = \ Sin[z]; \n
    zplane\  = \ 
      CartesianMap[Iden, 
        \ {\(-\[Pi]\)\/2, \[Pi]\/2, \[Pi]\/16}, {\(-1\), 1, 0.25}, 
        PlotRange \[Rule] {{\(-1.7\), 1.7}, {\(-3.4\), 3.4}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-3\), 3, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    wplane\  = \ 
      CartesianMap[
        f, {\(-\[Pi]\)\/2, \[Pi]\/2, \[Pi]\/16}, {\(-1\), 1, 0.25}, 
        PlotRange \[Rule] {{\(-1.6\), 1.6}, {\(-1.6\), 1.6}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-10\), 10, 5], Range[\(-10\), 10, 5]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.8,  Page 146.",
    FontWeight->"Bold"],
  "  Verify the identity   cos(z) = 0,  if and only if  \nz = (n + ",
  Cell[BoxData[
      \(TraditionalForm\`1\/2\)]],
  ")",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "   for  n  an integer."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[cosZ, eq1, eq2, x, y, z]\), 
    \(Print[cosZ\  = \ ComplexExpand[Cos[x\  + \ \[ImaginaryI]\ y]]]; \n
    Print[cosZ\  == \ 0]; \n
    Print[eq1\  = \ ComplexExpand[Re[cosZ]]\  == \ 0]; \n
    Print[eq2\  = \ ComplexExpand[Im[cosZ]]\  == \ 0]; \n
    Print[Solve[{eq1, eq2}, {x, y}]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Remark.  It is assumed that both  x  and  y  are real numbers.\nHence, the \
only valid solution is   x = ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox["\[Pi]",
              FontSize->14], 
            StyleBox["2",
              FontSize->12]],
          FontSize->15], TraditionalForm]],
    FontSize->14],
  " ,  y = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[Solve[Cos[z]\  == \ 0\ , \ z]]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The other solutions are obtained by adding  ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "n  to this result."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<   Cos[\!\(\[Pi]\/2\)] = \>\"", Cos[\[Pi]\/2]]; \n
    Print[\*"\"\< Cos[\!\(\[Pi]\/2\)+\[Pi]] = \>\"", Cos[\[Pi]\/2 + \[Pi]]]; 
    \nPrint[\*"\"\<Cos[\!\(\[Pi]\/2\)+3\[Pi]] = \>\"", 
      Cos[\[Pi]\/2 + 3  \[Pi]]]; \n
    Print[\*"\"\<Cos[\!\(\[Pi]\/2\)+4\[Pi]] = \>\"", 
      Cos[\[Pi]\/2 + 4  \[Pi]]]; \)], "Input"],

Cell[TextData["Or showing that the system of equations is satisfied."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<Cos[\!\(\[Pi]\/2\)]Cosh[0] = \>\"", Cos[\[Pi]\/2] Cosh[0], 
      \n\*"\"\<,   -Sin[\!\(\[Pi]\/2\)]Sinh[0] = \>\"", 
      \(-Sin[\[Pi]\/2]\) Sinh[0]]; \nPrint["\< \>"]; \n
    Print[\*"\"\<Cos[\!\(\[Pi]\/2\)+\[Pi]]Cosh[0] = \>\"", 
      Cos[\[Pi]\/2 + \[Pi]] Cosh[0], \n
      \*"\"\<,   -Sin[\!\(\[Pi]\/2\)+\[Pi]]Sinh[0] = \>\"", 
      \(-Sin[\[Pi]\/2 + \[Pi]]\) Sinh[0]]; \nPrint["\< \>"]; \n
    Print[\*"\"\<Cos[\!\(\[Pi]\/2\)+2\[Pi]]Cosh[0] = \>\"", 
      Cos[\[Pi]\/2 + 2  \[Pi]] Cosh[0], \n
      \*"\"\<,   -Sin[\!\(\[Pi]\/2\)+2\[Pi]]Sinh[0] = \>\"", 
      \(-Sin[\[Pi]\/2 + 2  \[Pi]]\) Sinh[0]]; \nPrint["\< \>"]; \n
    Print[\*"\"\<Cos[\!\(\[Pi]\/2\)+3\[Pi]]Cosh[0] = \>\"", 
      Cos[\[Pi]\/2 + 3  \[Pi]] Cosh[0], \n
      \*"\"\<,   -Sin[\!\(\[Pi]\/2\)+3\[Pi]]Sinh[0] = \>\"", 
      \(-Sin[\[Pi]\/2 + 3  \[Pi]]\) Sinh[0]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.9,  Page 146.",
    FontWeight->"Bold"],
  "  Establish the trigonometric identity for complex numbers:\n      cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " + ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]],
    FontSize->14],
  ")  =  cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")  -  sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[w, w0, w1, w2, w3, w4, w5, w6, w7, w8, w9, x, x1, x2, y, y1, y2, 
      z, z1, z2]; \nz1\  = \ x\_1\  + \ \[ImaginaryI]\ y\_1; \n
    z2\  = \ x\_2\  + \ \[ImaginaryI]\ y\_2; \nw1\  = \ Cos[z1\  + \ z2]; \n
    w2\  = \ Cos[z1] Cos[z2]\  - \ Sin[z1] Sin[z2]; \n
    w3\  = \ ReplaceAll[w1, 
        Cos[z_]\  \[Rule] 
          \(\[ExponentialE]\^\(I\ z\) + \ 
              \[ExponentialE]\^\(\(-\ I\)\ z\)\)\/2]; \n
    w4\  = \ ReplaceAll[
        w2, {Cos[z_]\  \[Rule] 
            \(\[ExponentialE]\^\(I\ z\) + \ 
                \[ExponentialE]\^\(\(-\ I\)\ z\)\)\/2, \n
          \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ 
          Sin[z_]\  \[Rule] 
            \(\[ExponentialE]\^\(I\ z\) - \ 
                \[ExponentialE]\^\(\(-\ I\)\ z\)\)\/\(2  I\)}]; \n
    w5\  = \ ComplexExpand[w3]; \nw6\  = \ ComplexExpand[w4]; \n
    w7\  = \ Apart[w5]; \nw8\  = \ Apart[w6]; \n
    w9\  = \ Expand[w7, Trig \[Rule] True]; \n
    w0\  = \ Expand[w8, Trig \[Rule] True]; \n
    Print[\*"\"\<\!\(w\_1\) = \>\"", w1]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", w2]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(w\_1\) = \>\"", w3]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", w4]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(w\_1\) = \>\"", w5]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", w6]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(w\_1\) = \>\"", w7]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", w8]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(w\_1\) = \>\"", w9]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", w0]; \n
    Print[\*"\"\<Is \!\(w\_1\) = \!\(w\_2\) ?  \>\"", 
      Expand[w9, Trig \[Rule] True]\  == \ \ Expand[w0, Trig \[Rule] True]]; 
    \)], "Input"],

Cell[TextData[{
  "Therefore,  cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " + ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")  =  cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")  -  sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Properties of sin(z) and cos(z) on  Page 146.",
    FontWeight->"Bold"]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[w1, w2, w3, x, y]\), 
    \(w1\  = \ ComplexExpand[Cos[x\  + \ \[ImaginaryI]\ y]]; \n
    w2\  = \ ComplexExpand[Sin[x\  + \ \[ImaginaryI]\ y]]; \n
    w3\  = \ ComplexExpand[Tan[x\  + \ \[ImaginaryI]\ y]]; \n
    Print["\<Cos[x+\[ImaginaryI]y] = \>", w1]; \n
    Print["\<Sin[x+\[ImaginaryI]y] = \>", w2]; \n
    Print["\<Tan[x+\[ImaginaryI]y] = \>", w3]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  " \nEstablish the trigonometric identity for complex numbers:\n      cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " + ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]],
    FontSize->14],
  ")  =  cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")  -  sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")"
}], "Text"],

Cell[BoxData[
    \(Clear[v1, v2, v3, v4, v5, v6, w, x, x1, x2, y, y1, y2, z, z1, z2]; \n
    v1\  = \ ComplexExpand[
        Cos[x\_1 + \[ImaginaryI]\ y\_1\  + \ x\_2 + \[ImaginaryI]\ y\_2]]; \n
    v2\  = \ ComplexExpand[Cos[\((x\_1 + \[ImaginaryI]\ y\_1)\)]]; \n
    v3\  = \ ComplexExpand[Cos[\((x\_2 + \[ImaginaryI]\ y\_2)\)]]; \n
    v4\  = \ ComplexExpand[Sin[\((x\_1 + \[ImaginaryI]\ y\_1)\)]]; \n
    v5\  = \ ComplexExpand[Sin[\((x\_2 + \[ImaginaryI]\ y\_2)\)]]; \n
    v6\  = \ v2\ v3\  - \ v4\ v5; \n
    Print[\*"\"\<\!\(w\_1\) = Cos[\!\(z\_1\)+\!\(z\_2\)]\>\""]; \n
    Print[\*"\"\<\!\(w\_2\) = \
Cos[\!\(z\_1\)]Cos[\!\(z\_2\)]-Sin[\!\(z\_1\)]Sin[\!\(z\_2\)]\>\""]; \n
    Print["\< \>"]; \nPrint[\*"\"\<\!\(w\_1\) = \>\"", v1]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", v6]; \n
    v7\  = \ Expand[v6, Trig \[Rule] True]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(w\_1\) = \>\"", v1]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", v7]; \n
    v1\  = \ Expand[v1, Trig \[Rule] True]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(w\_1\) = \>\"", v1]; \n
    Print[\*"\"\<\!\(w\_2\) = \>\"", v7]; \n
    Print[\*"\"\<Is \!\(w\_1\) = \!\(w\_2\) ?  \>\"", v1\  == \ v7]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Therefore, cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  " + ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]],
    FontSize->14],
  ")  =  cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")cos(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")  -  sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ")sin(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  ")"
}], "Text"],

Cell[TextData[{
  "\n",
  StyleBox["Next we have two identities relating  sin(z).",
    FontWeight->"Bold"]
}], "Text"],

Cell[BoxData[
    \(Clear[aw, w]; \nw\ \  = \ ComplexExpand[Sin[x\  + \ \[ImaginaryI]\ y]]; 
    \naw\  = \ 
      ComplexExpand[Abs[w], \n\ \ \ \ \ \ \ 
        TargetFunctions \[Rule] {Im, Re}]; \n
    Print["\<  Sin[x+\[ImaginaryI]y] = \>", w]; \n
    Print["\<|Sin[x+\[ImaginaryI]y]| = \>", aw]; \n
    Print["\<|Sin[x+\[ImaginaryI]y]| = \>", FullSimplify[aw]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Figure 5.9, Page 145.",
    FontWeight->"Bold"],
  "  Graph the transformation   w  =  sin(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, Iden, z]\), 
    \(Iden[z_]\  = \ z; \nf[z_]\  = \ Tan[z]; \n
    zplane\  = \ 
      CartesianMap[Iden, 
        \ {\(-\[Pi]\)\/4, \[Pi]\/4, \[Pi]\/16}, {\(-3\), 3, 0.25}, 
        PlotRange \[Rule] {{\(-1\), 1}, {\(-3.2\), 3.2}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-3\), 3, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    wplane\  = \ 
      CartesianMap[
        f, {\(-\[Pi]\)\/4, \[Pi]\/4, \[Pi]\/16}, {\(-3\), 3, 0.25}, 
        PlotRange \[Rule] {{\(-1.1\), 1.1}, {\(-1.1\), 1.1}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-1\), 1, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    Show[GraphicsArray[{zplane, wplane}], 
      DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 5.10,  Page 147.",
    FontWeight->"Bold"],
  "  Let us find all the values of  z  for which the equation\ncos z = cosh 2 \
 holds true."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[solset, z]; \nsolset = Solve[Cos[z] == Cosh[2], z]; \n
    Print[solset]; \nPrint["\<The solutions are to cos(z) = cosh(2) are:\>"]; 
    \nPrint["\<2k\[Pi] + \>", \ 
      solset\[LeftDoubleBracket]2, 1, 2\[RightDoubleBracket]]; \n
    Print["\<2k\[Pi] \>", 
      solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 5",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 5.5  ",
  StyleBox["Inverse Trigonometric and Hyperbolic Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 5.5"],

Cell["\<\
     The trigonometric and hyperbolic functions were expressed in \
Section 5.4 in terms of the exponential function.  When we solve for their \
inverses, we will obtain formulas that involve the logarithm.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "First load the Mathematica package  ComplexMap.\nMake sure that this is \
done only ONCE in a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["The Inverse Sine",
    FontWeight->"Bold"],
  "      ",
  StyleBox["arcsin(z)",
    FontColor->RGBColor[1, 0, 1]],
  "\n\n",
  StyleBox["Page 152,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (1)",
    FontColor->RGBColor[1, 0, 1]],
  "      arcsin(z)  =  - i Log[ i z + ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"1", "-", 
              FormBox[
                StyleBox[\(z\^2\),
                  FontSize->14],
                "TraditionalForm"]}], ")"}], \(1/2\)], TraditionalForm]]],
  "]   is correct, we can verify this graphically.   (At least for values of \
z in the upper half plane  Im(z) > 0.)"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \n
    f[z_]\  = \ 
      \(-\ \[ImaginaryI]\)\ Log[\[ImaginaryI]\ z\  + \ \@\(1\  - \ z\^2\)]; \n
    CartesianMap[\ f, {\(-\[Pi]\)\/2 + 0.001, \[Pi]\/2 - 0.001}, {0.001, 3}]; 
    \nPrint["\<       The mapping  w = \>", f[z]]; \)], "Input"],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ ArcSin[z]; \n
    CartesianMap[\ f, {\(-\[Pi]\)\/2 + 0.001, \[Pi]\/2 - 0.001}, {0.001, 3}]; 
    \nPrint["\<       The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "REMARK.  If you mess around with the square root it will be wrong.  The \
portion that is supposed to be in the first quadrant appears symmetrically \
through  z = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Pi]\/2\),
          FontSize->14], TraditionalForm]]],
  "  in the fourth quadrant."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f2, z]; \n
    f2[z_]\  = \ 
      \(-\ \[ImaginaryI]\)\ 
        Log[\[ImaginaryI]\ z\  + \ \[ImaginaryI]\ \@\(z\^2\  - \ 1\)]; \n
    CartesianMap[\ 
      f2, {\(-\[Pi]\)\/2 + 0.001, \[Pi]\/2 - 0.001}, {0.001, 3}]; \n
    Print["\<Not so good mapping  w = \>", f2[z]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["The Inverse Cosine",
    FontWeight->"Bold"],
  "      ",
  StyleBox["arccos(z)",
    FontColor->RGBColor[1, 0, 1]],
  "\n\n",
  StyleBox["Page 152,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (2)",
    FontColor->RGBColor[1, 0, 1]],
  "      arccos(z)  =  - i Log[ z + i ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"1", "-", 
              FormBox[
                StyleBox[\(z\^2\),
                  FontSize->14],
                "TraditionalForm"]}], ")"}], \(1/2\)], TraditionalForm]]],
  "]   is correct, we can verify this graphically.   (At least for values of \
z in the upper half plane  Im(z) > 0.)"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \n
    f[z_]\  = \ 
      \(-\ \[ImaginaryI]\)\ Log[z\  + \ \[ImaginaryI]\ \@\(1\  - \ z\^2\)]; \n
    CartesianMap[\ f, {\(-\[Pi]\)\/2 + 0.001, \[Pi]\/2 - 0.001}, {0.001, 3}]; 
    \nPrint["\<     The mapping  w = \>", f[z]]; \)], "Input"],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ ArcCos[z]; \n
    CartesianMap[\ f, {\(-\[Pi]\)\/2 + 0.001, \[Pi]\/2 - 0.001}, {0.001, 3}]; 
    \nPrint["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
REMARK. If you mess around with the square root it will be wrong.\
\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \n
    f[z_]\  = \ \(-\ \[ImaginaryI]\)\ Log[z\  + \ \@\(z\^2\  - \ 1\)]; \n
    CartesianMap[\ 
      f2, {\(-\[Pi]\)\/2 + 0.001, \[Pi]\/2 - 0.001}, {0.001, 3}]; \n
    Print["\<Not so good mapping  w = \>", f[z]]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["The Inverse Tangent",
    FontWeight->"Bold"],
  "      ",
  StyleBox["arctan(z)",
    FontColor->RGBColor[1, 0, 1]],
  "\n\n",
  StyleBox["Page 152,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (3)",
    FontColor->RGBColor[1, 0, 1]],
  "      arctan(z)  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox["i",
              FontSize->14], 
            StyleBox["2",
              FontSize->14]],
          FontSize->14], TraditionalForm]],
    FontSize->14],
  " Log[",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\((i\  + \ z)\),
            FontSize->14], 
          StyleBox[\((i\  - \ z)\),
            FontSize->14]], TraditionalForm]]],
  " ]   is correct, we can verify this graphically.   (At least for values of \
z in the upper half plane  Im(z) > 0.)"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \n
    f[z_]\  = \ 
      \[ImaginaryI]\/2\ 
        Log[\(\[ImaginaryI]\  + \ z\)\/\(\[ImaginaryI]\  - \ z\)]; \n
    CartesianMap[\ f, {\(+0.001\), \[Pi]\/2 - 0.001}, {0.001, 3}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input"],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = ArcTan[z]; \n
    CartesianMap[\ f, {\(+0.001\), \[Pi]\/2 - 0.001}, {0.001, 3}]; \n
    Print["\<       The mapping  w = \>", f[z]]; \)], "Input"],

Cell[TextData[{
  StyleBox["Example 5.11,  Page 154.",
    FontWeight->"Bold"],
  "  Find the values of  ",
  Cell[BoxData[
      \(arcsin \((\@2)\)\)]],
  "  are given by  \n",
  Cell[BoxData[
      \(arcsin \((\@2)\) = 
        \(-\ \[ImaginaryI]\)\ log 
          \((\[ImaginaryI] \@ 2\  \[PlusMinus] \ \[ImaginaryI])\)\)]],
  ".\nSolution.  Use the formulas in the text to get the solutions."
}], "Text"],

Cell[BoxData[{
    \(ComplexExpand[
      \(-\ \[ImaginaryI]\)\ 
        \((Log[\((\@2 + 1)\)\ \[ImaginaryI]] + \ \[ImaginaryI]\ 2  n\ \[Pi])
          \)]\), 
    \(ComplexExpand[
      \(-\ \[ImaginaryI]\)\ 
        \((Log[\((\@2 - 1)\)\ \[ImaginaryI]] + \ \[ImaginaryI]\ 2  n\ \[Pi])
          \)]\)}], "Input"],

Cell[TextData[{
  StyleBox["Example 5.12,  Page 154.",
    FontWeight->"Bold"],
  "  The principal value   ",
  Cell[BoxData[
      \(Arcsin \((\@2)\)\)]],
  "  is \n",
  Cell[BoxData[
      RowBox[{\(Arcsin \((\@2)\)\), "=", 
        RowBox[{
          StyleBox[
            FractionBox[
              StyleBox["\[Pi]",
                FontSize->12], 
              StyleBox["2",
                FontSize->12]],
            FontSize->12], "-", " ", 
          \(\[ImaginaryI]\ Log \((1\  + \ \@2)\)\)}]}]]],
  ".\nSolution.  ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " can the solution."
}], "Text"],

Cell[BoxData[
    \(ComplexExpand[ArcSin[\@2]]\)], "Input"],

Cell[TextData[{
  StyleBox["Example 5.13,  Page 155.",
    FontWeight->"Bold"],
  "  Find the values of  ",
  Cell[BoxData[
      \(arctanh \((1\  + \ 2  \[ImaginaryI])\)\)]],
  "\nSolution.  Use the formula in the text to get the solutions."
}], "Text"],

Cell[BoxData[
    \(ComplexExpand[
      1\/2\ \((Log[\(-1\)\  + \ \[ImaginaryI]] + \ \[ImaginaryI]\ 2  n\ \[Pi])
          \)]\)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["The Inverse Hyperbolic Sine",
    FontWeight->"Bold"],
  "      ",
  StyleBox["arcsinh(z)",
    FontColor->RGBColor[1, 0, 1]],
  "\n\n",
  StyleBox["Page 155,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (11)",
    FontColor->RGBColor[1, 0, 1]],
  "      arcsinh(z)   =   Log[z + ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          SuperscriptBox[
            RowBox[{"(", 
              RowBox[{
                FormBox[\(z\^2\),
                  "TraditionalForm"], "+", "1"}], ")"}], \(1/2\)],
          FontSize->14], TraditionalForm]]],
  "]   is correct, we can verify this graphically."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ Log[z\  + \ \@\(z\^2\  + \ 1\)]; \n
    CartesianMap[f, {0, 10}, {0.001, 10}, 
      PlotRange \[Rule] {{0, 4}, {0, 2}}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input"],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ \ ArcSinh[z]; \n
    CartesianMap[f, {0, 10}, {0.001, 10}, 
      PlotRange \[Rule] {{0, 4}, {0, 2}}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["The Inverse Hyperbolic Cosine",
    FontWeight->"Bold"],
  "     ",
  StyleBox["arccosh(z)",
    FontColor->RGBColor[1, 0, 1]],
  "\n\n",
  StyleBox["Page 155,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (12)",
    FontColor->RGBColor[1, 0, 1]],
  "     arccosh(z)  =  Log[z + ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          SuperscriptBox[
            RowBox[{"(", 
              RowBox[{
                FormBox[\(z\^2\),
                  "TraditionalForm"], "-", "1"}], ")"}], \(1/2\)],
          FontSize->14], TraditionalForm]]],
  "]   is correct, we can verify this graphically.   But it is correct only \
in quadrants  I  and  IV."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ Log[z\  + \ \@\(z\^2\  - \ 1\)]; \n
    CartesianMap[\ f, {0, 10}, {0.001, 10}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input"],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ ArcCosh[z]; \n
    CartesianMap[\ f, {0, 10}, {0.001, 10}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "REMARK. However, for other places it might not agree!  For Example in \
Quadrant II and III.  Here we must use the other branch of square root!  We \
use   arccosh(z)  =  Log[z ",
  StyleBox["-",
    FontSize->15],
  " ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          SuperscriptBox[
            RowBox[{"(", 
              RowBox[{
                FormBox[\(z\^2\),
                  "TraditionalForm"], " ", "-", " ", "1"}], ")"}], \(1/2\)],
          FontSize->14], TraditionalForm]]],
  "]."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ Log[z\  - \ \@\(z\^2\  - \ 1\)]; \n
    CartesianMap[\ f, {\(-10\), \(-0.001\)}, {0.001, 10}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input"],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ ArcCosh[z]; \n
    CartesianMap[\ f, {\(-10\), \(-0.001\)}, {0.001, 10}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["The Inverse Hyperbolic Tangent",
    FontWeight->"Bold"],
  "      ",
  StyleBox["arctanh(z)",
    FontColor->RGBColor[1, 0, 1]],
  "\n\n",
  StyleBox["Page 155,",
    FontWeight->"Bold"],
  "  ",
  StyleBox["Formula (13)",
    FontColor->RGBColor[1, 0, 1]],
  "      arctanh(z)  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(1\/2\),
          FontSize->15], TraditionalForm]]],
  "Log[",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\((1\  + \ z)\),
            FontSize->14], 
          StyleBox[\((1\  - \ z)\),
            FontSize->14]], TraditionalForm]]],
  "]   is correct, we can verify this graphically."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ 1\/2\ Log[\(1\  + \ z\)\/\(1 - z\)]; \n
    CartesianMap[\ f, {0, 10}, {0.001, 10}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input"],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ ArcTanh[z]; \n
    CartesianMap[\ f, {0, 10}, {0.001, 10}]; \n
    Print["\<     The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 5",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{454, 241},
WindowMargins->{{-1, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3053, 98, 2893, 109, 202, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 5"->{
    Cell[5971, 211, 232, 9, 38, "Text",
      CellTags->"CHAPTER 5"]},
  "Section 5.1"->{
    Cell[6655, 234, 248, 9, 35, "Text",
      CellTags->"Section 5.1"]},
  "Section 5.2"->{
    Cell[14621, 481, 228, 8, 59, "Text",
      CellTags->"Section 5.2"]},
  "Section 5.3"->{
    Cell[24022, 776, 203, 8, 35, "Text",
      CellTags->"Section 5.3"]},
  "Section 5.4"->{
    Cell[32116, 1032, 224, 8, 35, "Text",
      CellTags->"Section 5.4"]},
  "Section 5.5"->{
    Cell[48778, 1554, 232, 8, 59, "Text",
      CellTags->"Section 5.5"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 85275, 2854},
  {"CHAPTER 5", 85364, 2857},
  {"Section 5.1", 85454, 2860},
  {"Section 5.2", 85546, 2863},
  {"Section 5.3", 85639, 2866},
  {"Section 5.4", 85732, 2869},
  {"Section 5.5", 85826, 2872}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 709, 22, 222, "Text"]
}, Closed]],
Cell[3053, 98, 2893, 109, 202, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[5971, 211, 232, 9, 38, "Text",
  CellTags->"CHAPTER 5"],
Cell[6206, 222, 412, 7, 130, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[6655, 234, 248, 9, 35, "Text",
  CellTags->"Section 5.1"],
Cell[6906, 245, 1610, 53, 123, "Text"],
Cell[8519, 300, 278, 10, 52, "Text"],
Cell[8800, 312, 90, 2, 30, "Input"],
Cell[8893, 316, 270, 7, 52, "Text"],
Cell[9166, 325, 190, 3, 110, "Input"],
Cell[9359, 330, 131, 3, 33, "Text"],
Cell[9493, 335, 253, 5, 70, "Input"],
Cell[9749, 342, 122, 2, 33, "Text"],
Cell[9874, 346, 1555, 27, 575, "Input"],
Cell[11432, 375, 1144, 45, 76, "Text"],
Cell[12579, 422, 129, 2, 64, "Input"],
Cell[12711, 426, 295, 6, 110, "Input"],
Cell[13009, 434, 364, 9, 90, "Text"],
Cell[13376, 445, 1023, 22, 342, "Input"],
Cell[14402, 469, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[14621, 481, 228, 8, 59, "Text",
  CellTags->"Section 5.2"],
Cell[14852, 491, 900, 24, 209, "Text"],
Cell[15755, 517, 298, 11, 52, "Text"],
Cell[16056, 530, 90, 2, 30, "Input"],
Cell[16149, 534, 186, 7, 52, "Text"],
Cell[16338, 543, 666, 14, 210, "Input"],
Cell[17007, 559, 566, 12, 156, "Input"],
Cell[17576, 573, 191, 7, 52, "Text"],
Cell[17770, 582, 177, 4, 70, "Input"],
Cell[17950, 588, 206, 7, 33, "Text"],
Cell[18159, 597, 535, 10, 170, "Input"],
Cell[18697, 609, 176, 6, 52, "Text"],
Cell[18876, 617, 994, 20, 360, "Input"],
Cell[19873, 639, 237, 10, 71, "Text"],
Cell[20113, 651, 373, 7, 150, "Input"],
Cell[20489, 660, 357, 7, 150, "Input"],
Cell[20849, 669, 159, 6, 52, "Text"],
Cell[21011, 677, 662, 13, 190, "Input"],
Cell[21676, 692, 107, 2, 33, "Text"],
Cell[21786, 696, 642, 27, 52, "Text"],
Cell[22431, 725, 840, 13, 334, "Input"],
Cell[23274, 740, 526, 22, 52, "Text"],
Cell[23803, 764, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[24022, 776, 203, 8, 35, "Text",
  CellTags->"Section 5.3"],
Cell[24228, 786, 453, 16, 52, "Text"],
Cell[24684, 804, 345, 13, 52, "Text"],
Cell[25032, 819, 484, 8, 270, "Input"],
Cell[25519, 829, 275, 11, 33, "Text"],
Cell[25797, 842, 428, 7, 178, "Input"],
Cell[26228, 851, 301, 12, 52, "Text"],
Cell[26532, 865, 87, 2, 33, "Text"],
Cell[26622, 869, 549, 10, 173, "Input"],
Cell[27174, 881, 103, 2, 33, "Text"],
Cell[27280, 885, 1002, 19, 199, "Input"],
Cell[28285, 906, 690, 26, 72, "Text"],
Cell[28978, 934, 99, 2, 33, "Text"],
Cell[29080, 938, 1170, 28, 210, "Input"],
Cell[30253, 968, 111, 2, 33, "Text"],
Cell[30367, 972, 797, 18, 144, "Input"],
Cell[31167, 992, 727, 26, 34, "Text"],
Cell[31897, 1020, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[32116, 1032, 224, 8, 35, "Text",
  CellTags->"Section 5.4"],
Cell[32343, 1042, 176, 5, 52, "Text"],
Cell[32522, 1049, 90, 2, 30, "Input"],
Cell[32615, 1053, 305, 12, 33, "Text"],
Cell[32923, 1067, 178, 4, 70, "Input"],
Cell[33104, 1073, 115, 2, 33, "Text"],
Cell[33222, 1077, 425, 8, 217, "Input"],
Cell[33650, 1087, 178, 4, 70, "Input"],
Cell[33831, 1093, 115, 2, 33, "Text"],
Cell[33949, 1097, 433, 8, 217, "Input"],
Cell[34385, 1107, 116, 2, 33, "Text"],
Cell[34504, 1111, 324, 6, 130, "Input"],
Cell[34831, 1119, 211, 6, 52, "Text"],
Cell[35045, 1127, 318, 6, 130, "Input"],
Cell[35366, 1135, 191, 7, 52, "Text"],
Cell[35560, 1144, 1020, 22, 316, "Input"],
Cell[36583, 1168, 348, 13, 74, "Text"],
Cell[36934, 1183, 352, 7, 130, "Input"],
Cell[37289, 1192, 453, 16, 56, "Text"],
Cell[37745, 1210, 101, 2, 30, "Input"],
Cell[37849, 1214, 196, 7, 33, "Text"],
Cell[38048, 1223, 354, 6, 133, "Input"],
Cell[38405, 1231, 127, 2, 33, "Text"],
Cell[38535, 1235, 889, 15, 320, "Input"],
Cell[39427, 1252, 928, 38, 71, "Text"],
Cell[40358, 1292, 1690, 33, 681, "Input"],
Cell[42051, 1327, 785, 34, 33, "Text"],
Cell[42839, 1363, 167, 6, 52, "Text"],
Cell[43009, 1371, 424, 8, 150, "Input"],
Cell[43436, 1381, 810, 33, 71, "Text"],
Cell[44249, 1416, 1213, 22, 450, "Input"],
Cell[45465, 1440, 753, 33, 33, "Text"],
Cell[46221, 1475, 119, 4, 52, "Text"],
Cell[46343, 1481, 405, 8, 150, "Input"],
Cell[46751, 1491, 191, 7, 52, "Text"],
Cell[46945, 1500, 1002, 22, 316, "Input"],
Cell[47950, 1524, 241, 8, 71, "Text"],
Cell[48194, 1534, 362, 6, 130, "Input"],
Cell[48559, 1542, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[48778, 1554, 232, 8, 59, "Text",
  CellTags->"Section 5.5"],
Cell[49013, 1564, 278, 6, 71, "Text"],
Cell[49294, 1572, 242, 8, 52, "Text"],
Cell[49539, 1582, 90, 2, 30, "Input"],
Cell[49632, 1586, 766, 26, 90, "Text"],
Cell[50401, 1614, 275, 5, 106, "Input"],
Cell[50679, 1621, 230, 4, 102, "Input"],
Cell[50912, 1627, 382, 11, 74, "Text"],
Cell[51297, 1640, 311, 7, 106, "Input"],
Cell[51611, 1649, 776, 27, 109, "Text"],
Cell[52390, 1678, 273, 5, 106, "Input"],
Cell[52666, 1685, 231, 4, 102, "Input"],
Cell[52900, 1691, 139, 5, 33, "Text"],
Cell[53042, 1698, 262, 5, 106, "Input"],
Cell[53307, 1705, 945, 36, 119, "Text"],
Cell[54255, 1743, 278, 6, 117, "Input"],
Cell[54536, 1751, 191, 3, 102, "Input"],
Cell[54730, 1756, 408, 12, 71, "Text"],
Cell[55141, 1770, 314, 8, 56, "Input"],
Cell[55458, 1780, 615, 22, 75, "Text"],
Cell[56076, 1804, 59, 1, 33, "Input"],
Cell[56138, 1807, 254, 7, 52, "Text"],
Cell[56395, 1816, 140, 3, 42, "Input"],
Cell[56538, 1821, 710, 26, 110, "Text"],
Cell[57251, 1849, 232, 4, 114, "Input"],
Cell[57486, 1855, 239, 5, 110, "Input"],
Cell[57728, 1862, 761, 27, 110, "Text"],
Cell[58492, 1891, 191, 3, 94, "Input"],
Cell[58686, 1896, 196, 4, 90, "Input"],
Cell[58885, 1902, 587, 19, 74, "Text"],
Cell[59475, 1923, 205, 3, 94, "Input"],
Cell[59683, 1928, 210, 4, 90, "Input"],
Cell[59896, 1934, 746, 29, 119, "Text"],
Cell[60645, 1965, 195, 3, 104, "Input"],
Cell[60843, 1970, 196, 4, 90, "Input"],
Cell[61042, 1976, 182, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

