(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    118331,       3395]*)
(*NotebookOutlinePosition[    143518,       4307]*)
(*  CellTagsIndexPosition[    143214,       4294]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text"]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 6  ",
    FontSize->18],
  StyleBox["COMPLEX INTEGRATION\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 6.1  ",
    FontSize->18],
  ButtonBox["Complex Integrals",
    ButtonData:>"Section 6.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 6.2  ",
    FontSize->18],
  ButtonBox["Contours and Contour Integrals",
    ButtonData:>"Section 6.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 6.3  ",
    FontSize->18],
  ButtonBox["The Cauchy-Goursat Theorem",
    ButtonData:>"Section 6.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 6.4  ",
    FontSize->18],
  ButtonBox["The Fundamental Theorems of Integration",
    ButtonData:>"Section 6.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 6.5  ",
    FontSize->18],
  ButtonBox["Integral Representations for Analytic Functions",
    ButtonData:>"Section 6.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 6.6  ",
    FontSize->18],
  ButtonBox["The Theorems of Morera and Liouville and Some Applications\n",
    ButtonData:>"Section 6.6",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 6  ",
    FontSize->18],
  StyleBox["COMPLEX INTEGRATION",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 6"],

Cell[BoxData[
    \(\(Clear[c, d, f, F, i, int, int1, int2, soset, solset, t, u, U1, U2, v, 
      V1, V2, val, w, W, W1, W2, Wint, x, x0, x1, y, y0, y1, z, z1, z2, Z, 
      Z1, Z2, Z3]; \)\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 6.1  ",
    FontSize->18],
  StyleBox["Complex Integrals",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 6.1"],

Cell[TextData[{
  "     In Chapter 3 we saw how the derivative of a complex function is \
defined.  \nWe now turn our attention to the problem of integrating complex \
functions.  \nFor the integrand  f(t)  =  u(t)  +  i v(t), we define the ",
  StyleBox["complex integral",
    FontColor->RGBColor[1, 0, 1]],
  ":\n     ",
  StyleBox[
  "\[Integral] f(t) \[DifferentialD]t   =  \[Integral] u(t) \[DifferentialD]t \
 +  i\[Integral] v(t) \[DifferentialD]t",
    FontSize->14],
  " ."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 6.1,  Page 157.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          \(\[Integral]\_\(\ 0\)\%\(\ 1\)\(\((t\  - \ i)\)\^3\) 
              \[DifferentialD]t\),
          FontSize->14], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          RowBox[{" ", 
            StyleBox[\(-\ 5\),
              FontSize->12]}], 
          StyleBox["4",
            FontSize->13]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, int, t, u, v, val]; \n
    f[t_]\  = \ ComplexExpand[\((t\  - \ \[ImaginaryI])\)\^3]; \n
    u[t_]\  = \ ComplexExpand[Re[f[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[f[t]]]; \n
    int\  = \ \[Integral]u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]v[t] \[DifferentialD]t\); \n
    val\  = \ \[Integral]\_0\%1 u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]\_0\%1 v[t] \[DifferentialD]t\); \n
    Print["\<                 f[t] = \>", f[t]]; \n
    Print["\<                 u[t] = \>", u[t]]; \n
    Print["\<                 v[t] = \>", v[t]]; \n
    Print["\<  \[Integral]u[t]\[DifferentialD]t + \[ImaginaryI] \
\[Integral]v[t]\[DifferentialD]t = \>", int]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%1\)u[t]\[DifferentialD]t + \[ImaginaryI] \
\!\(\[Integral]\_0\%1\)v[t]\[DifferentialD]t = \>\"", val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Or we could do the integral directly, with complex function for the \
integrand."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(int\  = \ \[Integral]\(\((t - \[ImaginaryI])\)\^3\) \[DifferentialD]t; 
    \nPrint[\*"\"\< \
\[Integral](t-\[ImaginaryI]\!\(\()\^3\)\)\[DifferentialD]t = \>\"", int]; \n
    val\  = \ \[Integral]\_0\%1 f[t] \[DifferentialD]t; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%1\)(t-\[ImaginaryI]\!\(\()\^3\)\)\
\[DifferentialD]t = \>\"", val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.2,  Page 158.",
    FontWeight->"Bold"],
  " Show that ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          \(\[Integral]\_\(\ 0\)\%\(\ \[Pi]/2\)\ 
            \(\[ExponentialE]\^\(t\  + \ i\ t\)\) \[DifferentialD]t\),
          FontSize->14], TraditionalForm]]],
  " = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->13], 
          StyleBox["2",
            FontSize->13]], TraditionalForm]]],
  "(",
  Cell[BoxData[
      FormBox[
        StyleBox[\(e\^\(\[Pi]\/2\)\),
          FontSize->14], TraditionalForm]]],
  "-1)+",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox[\(\ i\),
              FontSize->15], 
            StyleBox["2",
              FontSize->15]],
          FontSize->14], TraditionalForm]]],
  "(",
  Cell[BoxData[
      \(TraditionalForm\`e\^\(\[Pi]\/2\)\)],
    FontSize->14],
  "+1)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, int, t, u, v, val]; \n
    f[t_]\  = \ ComplexExpand[\[ExponentialE]\^\(t + \[ImaginaryI]\ t\)]; \n
    u[t_]\  = \ ComplexExpand[Re[f[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[f[t]]]; \n
    int\  = \ \[Integral]u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]v[t] \[DifferentialD]t\); \n
    val\  = \ \[Integral]\_0\%\(\[Pi]/2\)u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI] \(\[Integral]\_0\%\(\[Pi]/2\)v[t] \[DifferentialD]t\); 
    \nPrint["\<               f[t] = \>", f[t]]; \n
    Print["\<               u[t] = \>", u[t]]; \n
    Print["\<               v[t] = \>", v[t]]; \n
    Print["\<\[Integral]u[t]\[DifferentialD]t + \[ImaginaryI] \[Integral]v[t]\
\[DifferentialD]t = \>", int]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%\(\[Pi]/2\)\)u[t]\[DifferentialD]t + \
\[ImaginaryI]\!\(\[Integral]\_0\%\(\[Pi]/2\)\)v[t]\[DifferentialD]t = \>\"", 
      val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Or we could do the integral directly, with complex function for the \
integrand."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(\ int\  = \ 
      \[Integral]\(\[ExponentialE]\^\(t + \[ImaginaryI]\ t\)\) 
          \[DifferentialD]t; \n
    Print[\*"\"\<   \[Integral]\!\(\[ExponentialE]\^\(t + \[ImaginaryI]\\\ \
t\)\)\[DifferentialD]t = \>\"", int]; \n
    val\  = \ \[Integral]\_0
          \%\(\[Pi]/2\)\(\[ExponentialE]\^\(t + \[ImaginaryI]\ t\)\) 
          \[DifferentialD]t; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%\(\[Pi]/2\)\)\!\(\[ExponentialE]\^\(t + \
\[ImaginaryI]\\\ t\)\)\[DifferentialD]t = \>\"", val]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.3,  Page 159.",
    FontWeight->"Bold"],
  "  Show that \n\[Integral] (c + i d) (u(t) + i v(t))\[DifferentialD]t  =   \
c\[Integral] u(t)\[DifferentialD]t - d\[Integral] v(t)\[DifferentialD]t + i d\
\[Integral] u(t)\[DifferentialD]t + i c \[Integral] v(t)\[DifferentialD]t"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[c, d, int1, int2, t, u, v]; \n
    int1\  = \[Integral]\((c\  + \ \[ImaginaryI]\ d)\) 
          \((u[t]\  + \ \[ImaginaryI]\ v[t])\) \[DifferentialD]t; \n
    int2\  = \ MapAll[Distribute, int1]; \nPrint[int1, "\< = \>"]\), 
    \(Print[int2]\)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.4,  Page 159.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          \(\[Integral]\_\(\ 0\)\%\(\ \[Pi]\)\ 
            \(\(\[ExponentialE]\ \)\^\(i\ t\)\) \[DifferentialD]t\),
          FontSize->14], TraditionalForm]]],
  "  =  2 i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, int, t, val]; \n
    f[t_]\  = \ ComplexExpand[\(\[ExponentialE]\ \)\^\(\[ImaginaryI]\ t\)]; \n
    int\  = \ \[Integral]f[t] \[DifferentialD]t; \n
    val\  = \ \[Integral]\_0\%\[Pi] f[t] \[DifferentialD]t; \n
    Print["\<    f[t] =   \>", \[ExponentialE]\^\(\[ImaginaryI]\ t\)\ , 
      "\<  = \>", f[t]]; \n
    Print["\< \[Integral]f[t]\[DifferentialD]t = \>", 
      \[Integral]\(\[ExponentialE]\^\(\[ImaginaryI]\ t\)\) \[DifferentialD]t, 
      "\< = \>", int]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%\[Pi]\)f[t]\[DifferentialD]t = \>\"", 
      val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 6",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 6.2  ",
  StyleBox["Contours and Contour Integrals",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 6.2"],

Cell[TextData[{
  "     In this section we shall define and evaluate integrals of the form  ",
  
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", \(\(f(z)\) \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "\nwhere  f(z)  is complex-valued and  C  is a contour in the plane.\n\n",
  StyleBox["Theorem 6.1,  Page 166.",
    FontWeight->"Bold"],
  "  Suppose  f(z) is a continuous complex-valued function defined on a set \
containing the contour  C.  Let  z(t)  be any parameterization of  C  for  ",
  Cell[BoxData[
      \(a \[LessEqual] t \[LessEqual] b\)]],
  ".  Then\n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["C",
                FontSize->14], " "], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(\(f(z)\) \[DifferentialD]z\),
              FontSize->14]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox[
            RowBox[{
              SubsuperscriptBox["\[Integral]", 
                StyleBox["a",
                  FontSize->10], \(\ b\)], " ", 
              \(\(f(z(t))\) z' \((t)\) \[DifferentialD]t\)}],
            FontSize->14]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.5,  Page 162.",
    FontWeight->"Bold"],
  "  Let us find a parameterization of the polygonal path  C  \nfrom  - 1 + i \
 to  3 - i  consisting of the three line segments:\nSegment 1 from  - 1 + i  \
to  - 1,\nSegment 2 from  - 1  to  1 + i,\nSegment 3 from  1 + i  to  3 - i \
."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, x0, x1, y0, y1, z1, Z, Z1]; \n
    z0\  = \ \(-\ 1\)\  + \ \[ImaginaryI]; \nz1\  = \ \(-\ 1\); \n
    x0\  = \ Re[z0]; y0\  = \ Im[z0]; x1\  = \ Re[z1]; y1\  = \ Im[z1]; \n
    Z1[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \nz0\  = \ \(-\ 1\); \n
    z1\  = \ 1\  + \ \[ImaginaryI]; \nx0\  = \ Re[z0]; y0\  = \ Im[z0]; 
    x1\  = \ Re[z1]; y1\  = \ Im[z1]; \n
    Z2[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \n
    z0\  = \ 1\  + \ \[ImaginaryI]; \nz1\  = \ 3\  - \ \[ImaginaryI]; \n
    x0\  = \ Re[z0]; y0\  = \ Im[z0]; x1\  = \ Re[z1]; y1\  = \ Im[z1]; \n
    Z3[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \n
    Print[\*"\"\<\!\(Z\_1\)[t] = \>\"", Z1[t]]; \n
    Print[\*"\"\<\!\(Z\_2\)[t] = \>\"", Z2[t]]; \n
    Print[\*"\"\<\!\(Z\_3\)[t] = \>\"", Z3[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.6,  Page 164.",
    FontWeight->"Bold"],
  "  Use a Riemann sum to construct an approximation \nfor the contour \
integral   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "],
            FontSize->14], 
          StyleBox["  ",
            FontSize->14], 
          RowBox[{
            StyleBox[\(\[ExponentialE]\^z\),
              FontSize->16], 
            StyleBox[\(\[DifferentialD]z\),
              FontSize->14]}]}], TraditionalForm]]],
  "   where  C  is a the line segment joining \nthe point   a = 0   to   b = \
2 + ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(i\ \[Pi]\),
            FontSize->14], 
          StyleBox["4",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, c, dz, f, k, n, RiemannSum, z]; \n
    f[z_]\  = \ \[ExponentialE]\^z; \na\  = \ 0; \n
    b\  = \ 2\  + \(\ \[ImaginaryI]\ \[Pi]\)\/4; \nn\  = \ 8; \n
    dz\  = \ \(b - a\)\/n; \nz[k_]\  = \ a\  + \ k\ dz; \n
    c[k_]\  = \ Together[\(z[k - 1] + \ z[k]\)\/2]; \n
    RiemannSum\  = \[Sum]\+\(k = 1\)\%8 f[c[k]] dz\ ; \n
    Print["\<f[z] = \>", f[z]]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(k = 1\)\%8\)f[\!\(c\_k\)]\!\(dz\_k\) = \>\""]; 
    \nPrint[RiemannSum]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(k = 1\)\%8\)f[\!\(c\_k\)]\!\(dz\_k\) = \>\""]; 
    \nPrint[\((\[Sum]\+\(k = 1\)\%8 f[c[k]])\) dz]; \n
    Print[\*"\"\<\!\(\[Sum]\+\(k = 1\)\%8\)f[\!\(c\_k\)]\!\(dz\_k\) = \>\"", 
      N[RiemannSum]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.7,  Page 166.",
    FontWeight->"Bold"],
  "  Evaluate the contour integral   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", \(\(exp(z)\) \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "   \nwhere  C  is a the line segment joining the point   a = 0   to   b = \
2 + ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(i\ \[Pi]\),
            FontSize->14], 
          StyleBox["4",
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[a, b, f, int, t, u, v, val, z, Z]; \na\  = \ 0; \n
    b\  = \ 2\  + \(\ \[ImaginaryI]\ \[Pi]\)\/4; \n
    z[t_]\  = \ \ a\  + \ \((b\  - \ a)\)\ t; \n
    F[Z_]\  = \ \[ExponentialE]\^Z; \nf[t_]\  = \ \[ExponentialE]\^z[t]; \n
    u[t_]\  = \ ComplexExpand[Re[f[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[f[t]]]; \nPrint["\<     F[z] = \>", F[z]]; \n
    Print["\<     z[t] = \>", z[t]]; \n
    Print["\<     f[t] = F[z[t]] = \>", f[t]]; \n
    Print["\<     u[t] = \>", u[t]]; \nPrint["\<     v[t] = \>", v[t]]; \n
    Print["\<    z'[t] = \>", \(z'\)[t]]; \n
    Print["\<f[t]z'[t] = \>", f[t] \(z'\)[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(int\  = \[Integral]f[t] \(z'\)[t] \[DifferentialD]t; \n
    val\  = \ \[Integral]\_0\%1 f[t] \(z'\)[t] \[DifferentialD]t; \n
    Print["\< \[Integral]f[t]z'[t]\[DifferentialD]t = \>", int]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%1\)f[t]z'[t]\[DifferentialD]t = \>\"", 
      val]; \nPrint[
      \*"\"\<\!\(\[Integral]\_0\%1\)f[t]z'[t]\[DifferentialD]t = \>\"", 
      ComplexExpand[val]]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%1\)f[t]z'[t]\[DifferentialD]t = \>\"", 
      N[ComplexExpand[val]]]; \)], "Input"],

Cell[BoxData[
    \(int\  = \ 
      \[Integral]u[t] \(z'\)[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]v[t] \(z'\)[t] \[DifferentialD]t\); \n
    val\  = \ \ 
      \[Integral]\_0\%1 u[t] \(z'\)[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ 
          \(\[Integral]\_0\%1 v[t] \(z'\)[t] \[DifferentialD]t\); \n
    Print["\<\[Integral]u[t]z'[t]\[DifferentialD]t + \[ImaginaryI] \
\[Integral]v[t]z'[t]\[DifferentialD]t\>"]; \nPrint["\<= \>", int]; \n
    Print["\< \>"]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%1\)u[t]z'[t]\[DifferentialD]t + \
\[ImaginaryI] \!\(\[Integral]\_0\%1\)v[t]z'[t]\[DifferentialD]t\>\""]; \n
    Print["\<= \>", val]; \nPrint["\<= \>", ComplexExpand[val]]; \n
    Print["\<= \>", Apart[ComplexExpand[val]]]; \n
    Print["\<= \>", N[ComplexExpand[val]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.8,  Page 167.",
    FontWeight->"Bold"],
  "  Evaluate the contour integral   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[\(z - 2\),
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "\nwhere  C  is a the upper semicircle with radius  1  centered at  x = 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, int, t, val, z]; \nf[z_]\  = \ 1\/\(z\  - \ 2\); \n
    z[t_]\  = \ 2\  + \ \[ExponentialE]\^\(\[ImaginaryI]\ t\); \n
    int\  = \ \[Integral]f[z[t]] \(z'\)[t] \[DifferentialD]t; \n
    val\  = \ \[Integral]\_0\%\[Pi] f[z[t]] \(z'\)[t] \[DifferentialD]t; \n
    Print["\<               f[z] = \>", f[z]]; \n
    Print["\<               z[t] = \>", z[t]]; \n
    Print["\<            f[z[t]] = \>", f[z[t]]]; \n
    Print["\<              z'[t] = \>", \(z'\)[t]]; \n
    Print["\<       f[z[t]]z'[t] = \>", f[z[t]] \(z'\)[t]]; \n
    Print["\<    \[Integral]f[z[t]]z'[t]\[DifferentialD]t = \>", int]; \n
    Print[\*"\"\<   \!\(\[Integral]\_0\%\[Pi]\)f[z[t]]z'[t]\[DifferentialD]t \
= \>\"", val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.9,  Page 168.",
    FontWeight->"Bold"],
  "  Evaluate the contour integrals  of   f(z) = z   over a line segment and \
portion of a parabola."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, t, u, U, U1, U2, v, V, V1, V2, w, W, W1, W2, z, z1, z2]; \n
    f[z_]\  = \ z; \nPrint["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a)",
    FontWeight->"Bold"],
  "  Use the straight line connecting the points   -1 - i   and   3 + i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(z1[t_]\  = \ 2  t\  + \ 1\  + \ \[ImaginaryI]\ t; \n
    w[t_]\  = \ ComplexExpand[f[z1[t]]\ \(z1'\)[t]]; \n
    u[t_]\  = \ ComplexExpand[Re[w[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[w[t]]]; \n
    Print[\*"\"\<          \!\(z\_1\)[t] = \>\"", z1[t]]; \n
    Print[\*"\"\<       f[\!\(z\_1\)[t]] = \>\"", f[z1[t]]]; \n
    Print[\*"\"\<         \!\(z\_1\)'[t] = \>\"", \(z1'\)[t]]; \n
    Print[\*"\"\<f[\!\(z\_1\)[t]] \!\(z\_1\)'[t] = \>\"", w[t]]; \n
    Print["\<           u[t] = \>", u[t]]; \n
    Print["\<           v[t] = \>", v[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U1\  = \[Integral]\_\(-1\)\%1 u[t] \[DifferentialD]t; \n
    V1\  = \[Integral]\_\(-1\)\%1 v[t] \[DifferentialD]t; \n
    W1\  = \ U1\  + \ \[ImaginaryI]\ V1; \n
    U[t_]\  = \ \[Integral]u[t] \[DifferentialD]t; \n
    V[t_]\  = \ \[Integral]v[t] \[DifferentialD]t; \n
    int\  = \ \[Integral]u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]v[t] \[DifferentialD]t\); \n
    Print["\<\[Integral]u[t]\[DifferentialD]t + \[ImaginaryI] \[Integral]v[t]\
\[DifferentialD]t = \>", int]; \n
    Print["\<U[1] = \>", U[1], "\<,      V[1] = \>", V[1]]; \n
    Print["\<U[-1] = \>", U[\(-1\)], "\<,   V[-1] = \>", V[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI]\!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = U[1]-U[-1] + \
\[ImaginaryI](V[1]-V[-1])\>\""]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI]\!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = \>\"", W1]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(W[t_]\  = \[Integral]w[t] \[DifferentialD]t; \n
    W1\  = \[Integral]\_\(-1\)\%1 w[t] \[DifferentialD]t; \n
    Print["\<W[t] = \[Integral]w[t]\[DifferentialD]t = \>", W[t]]; \n
    Print["\<W[1] = \>", W[1], "\<,  W[-1] = \>", W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \
W[1]-W[-1] = \>\"", W[1] - W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \>\"", 
      W1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Use the portion of a parabola connecting the points   -1 - i   and   3 + \
i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(z2[t_]\  = \ t\^2\  + \ 2  t\  + \ \[ImaginaryI]\ t; \n
    w[t_]\  = \ ComplexExpand[f[z2[t]]\ \(z2'\)[t]]; \n
    u[t_]\  = \ ComplexExpand[Re[w[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[w[t]]]; \n
    Print[\*"\"\<          \!\(z\_2\)[t] = \>\"", z2[t]]; \n
    Print[\*"\"\<       f[\!\(z\_2\)[t]] = \>\"", f[z2[t]]]; \n
    Print[\*"\"\<         \!\(z\_2\)'[t] = \>\"", \(z2'\)[t]]; \n
    Print[\*"\"\<f[\!\(z\_2\)[t]] \!\(z\_2\)'[t] = \>\"", w[t]]; \n
    Print["\<           u[t] = \>", u[t]]; \n
    Print["\<           v[t] = \>", v[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U2\  = \[Integral]\_\(-1\)\%1 u[t] \[DifferentialD]t; \n
    V2\  = \[Integral]\_\(-1\)\%1 v[t] \[DifferentialD]t; \n
    W2\  = \ U2\  + \ \[ImaginaryI]\ V2; \n
    U[t_]\  = \ \[Integral]u[t] \[DifferentialD]t; \n
    V[t_]\  = \ \[Integral]v[t] \[DifferentialD]t; \n
    int\  = \ \[Integral]u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]v[t] \[DifferentialD]t\); \n
    Print["\<\[Integral]u[t]\[DifferentialD]t + \[ImaginaryI] \[Integral]v[t]\
\[DifferentialD]t = \>", int]; \n
    Print["\<U[1] = \>", U[1], "\<,     V[1] = \>", V[1]]; \n
    Print["\<U[-1] = \>", U[\(-1\)], "\<,   V[-1] = \>", V[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI]\!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = U[1]-U[-1] + \
\[ImaginaryI](V[1]-V[-1])\>\""]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI]\!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = \>\"", W2]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(W[t_]\  = \[Integral]w[t] \[DifferentialD]t; \n
    W2\  = \[Integral]\_\(-1\)\%1 w[t] \[DifferentialD]t; \n
    Print["\<W[t] = \[Integral]w[t]\[DifferentialD]t = \>", W[t]]; \n
    Print["\<W[1] = \>", W[1], "\<,  W[-1] = \>", W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \
W[1]-W[-1] = \>\"", W[1] - W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \>\"", 
      W2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Which is the same as the value for the other path."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[
      \*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \>\"", W1]; 
    \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.* after,  Page 168.",
    FontWeight->"Bold"],
  "  Similar to the above example, but using ",
  Cell[BoxData[
      \(TraditionalForm\`z\&_\)],
    FontSize->14],
  ".  Evaluate the contour integrals of   f(z) = ",
  Cell[BoxData[
      \(TraditionalForm\`z\&_\)],
    FontSize->14],
  "  over a line segment and portion of a parabola."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, t, u, U, U1, U2, v, V, V1, V2, w, W, W1, W2, z, z1, z2]; \n
    f[z_]\  = \ Conjugate[z]; \nPrint["\<   f[z] = \>", f[z]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[f[x + \[ImaginaryI]\ y]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a)",
    FontWeight->"Bold"],
  "  Use the straight line connecting the points   -1 - i   and   3 + i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(t /: Im[t] = 0; \nz1[t_]\  = \ 2  t\  + \ 1\  + \ \[ImaginaryI]\ t; \n
    w[t_]\  = \ ComplexExpand[f[z1[t]]\ \(z1'\)[t]]; \n
    u[t_]\  = \ ComplexExpand[Re[w[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[w[t]]]; \n
    Print[\*"\"\<          \!\(z\_1\)[t] = \>\"", z1[t]]; \n
    Print[\*"\"\<       f[\!\(z\_1\)[t]] = \>\"", 
      ComplexExpand[\ f[z1[t]]\ ]]; \n
    Print[\*"\"\<         \!\(z\_1\)'[t] = \>\"", \(z1'\)[t]]; \n
    Print[\*"\"\<f[\!\(z\_1\)[t]] \!\(z\_1\)'[t] = \>\"", w[t]]; \n
    Print["\<           u[t] = \>", u[t]]; \n
    Print["\<           v[t] = \>", v[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U1\  = \[Integral]\_\(-1\)\%1 u[t] \[DifferentialD]t; \n
    V1\  = \[Integral]\_\(-1\)\%1 v[t] \[DifferentialD]t; \n
    W1\  = \ U1\  + \ \[ImaginaryI]\ V1; \n
    U[t_]\  = \ \[Integral]u[t] \[DifferentialD]t; \n
    V[t_]\  = \ \[Integral]v[t] \[DifferentialD]t; \n
    int\  = \ \[Integral]u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]v[t] \[DifferentialD]t\); \n
    Print["\<\[Integral]u[t]\[DifferentialD]t + \[ImaginaryI] \[Integral]v[t]\
\[DifferentialD]t = \>", int]; \n
    Print["\<U[1] = \>", U[1], "\<,     V[1] = \>", V[1]]; \n
    Print["\<U[-1] = \>", U[\(-1\)], "\<,   V[-1] = \>", V[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI]\!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = U[1]-U[-1] + \
\[ImaginaryI](V[1]-V[-1])\>\""]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI] \!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = \>\"", W1]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(W[t_]\  = \[Integral]w[t] \[DifferentialD]t; \n
    W1\  = \[Integral]\_\(-1\)\%1 w[t] \[DifferentialD]t; \n
    Print["\<W[t] = \[Integral]w[t]\[DifferentialD]t = \>", W[t]]; \n
    Print["\<W[1] = \>", W[1], "\<,  W[-1] = \>", W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \
W[1]-W[-1] = \>\"", W[1] - W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \>\"", 
      W1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Use the portion of a parabola connecting the points   -1 - i   and   3 + \
i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(t /: Im[t] = 0; \nz2[t_]\  = \ t\^2\  + \ 2  t\  + \ \[ImaginaryI]\ t; 
    \nw[t_]\  = \ ComplexExpand[f[z2[t]]\ \(z2'\)[t]]; \n
    u[t_]\  = \ ComplexExpand[Re[w[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[w[t]]]; \n
    Print[\*"\"\<          \!\(z\_2\)[t] = \>\"", z2[t]]; \n
    Print[\*"\"\<       f[\!\(z\_2\)[t]] = \>\"", 
      ComplexExpand[\ f[z2[t]]\ ]]; \n
    Print[\*"\"\<         \!\(z\_2\)'[t] = \>\"", \(z2'\)[t]]; \n
    Print[\*"\"\<f[\!\(z\_2\)[t]] \!\(z\_2\)'[t] = \>\"", w[t]]; \n
    Print["\<           u[t] = \>", u[t]]; \n
    Print["\<           v[t] = \>", v[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(U2\  = \[Integral]\_\(-1\)\%1 u[t] \[DifferentialD]t; \n
    V2\  = \[Integral]\_\(-1\)\%1 v[t] \[DifferentialD]t; \n
    W2\  = \ U2\  + \ \[ImaginaryI]\ V2; \n
    U[t_]\  = \ \[Integral]u[t] \[DifferentialD]t; \n
    V[t_]\  = \ \[Integral]v[t] \[DifferentialD]t; \n
    int\  = \ \[Integral]u[t] \[DifferentialD]t\  + \ 
        \[ImaginaryI]\ \(\[Integral]v[t] \[DifferentialD]t\); \n
    Print["\<\[Integral]u[t]\[DifferentialD]t + \[ImaginaryI] \[Integral]v[t]\
\[DifferentialD]t = \>", int]; \n
    Print["\<U[1] = \>", U[1], "\<,     V[1] = \>", V[1]]; \n
    Print["\<U[-1] = \>", U[\(-1\)], "\<,   V[-1] = \>", V[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI]\!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = U[1]-U[-1] + \
\[ImaginaryI](V[1]-V[-1])\>\""]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)u[t]\[DifferentialD]t + \
\[ImaginaryI] \!\(\[Integral]\_\(-1\)\%1\)v[t]\[DifferentialD]t = \>\"", W2]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(W[t_]\  = \[Integral]w[t] \[DifferentialD]t; \n
    W2\  = \[Integral]\_\(-1\)\%1 w[t] \[DifferentialD]t; \n
    Print["\<W[t] = \[Integral]w[t]\[DifferentialD]t = \>", W[t]]; \n
    Print["\<W[1] = \>", W[1], "\<,  W[-1] = \>", W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \
W[1]-W[-1] = \>\"", W[1] - W[\(-1\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \>\"", 
      W2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Which is ",
  StyleBox["different",
    FontColor->RGBColor[1, 0, 1]],
  " from the value for the other path."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[
      \*"\"\<\!\(\[Integral]\_\(-1\)\%1\)w[t]\[DifferentialD]t = \>\"", W1]; 
    \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.10,  Page 169.  (a)",
    FontWeight->"Bold"],
  "   Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox[
                SubscriptBox[
                  StyleBox["C",
                    FontSize->14], "1"],
                FontSize->14], " "], " ", \(z\&_\ \ \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "  =  - \[Pi] i\nwhere ",
  Cell[BoxData[
      \(TraditionalForm\`C\_1\)]],
  " is the semicircular path from  -1  to  1  in the upper half plane.\n\n",
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox[
                SubscriptBox[
                  StyleBox["C",
                    FontSize->14], "2"],
                FontSize->14], " "], " ", \(z\&_\ \ \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "   =  - 4 i \nwhere ",
  Cell[BoxData[
      \(TraditionalForm\`C\_2\)]],
  " is the polygonal path from   -1   to   -1+ i   to   1 + i   to 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, t, u, v, w, W, W1, z]\), 
    \(f[z_]\  = \ Conjugate[z]; \nPrint["\<   f[z] = \>", f[z]]; \n
    Print["\<f[x+\[ImaginaryI]y] = \>", 
      ComplexExpand[f[x + \[ImaginaryI]\ y]]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a)",
    FontWeight->"Bold"],
  "  Use the semicircular path from  -1  to  1  in the upper half plane."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(t /: Im[t] = 0; \n
    z[t_]\  = \ \ \(-\ Cos[t]\)\  + \ \[ImaginaryI]\ Sin[t]; \n
    w[t_]\  = \ ComplexExpand[f[z[t]]\ \(z'\)[t]]; \n
    u[t_]\  = \ ComplexExpand[Re[w[t]]]; \n
    v[t_]\  = \ ComplexExpand[Im[w[t]]]; \n
    Print["\<         z[t] = \>", z[t]]\), 
    \(Print["\<      f[z[t]] = \>", ComplexExpand[f[z[t]]]]\), 
    \(Print["\<        z'[t] = \>", \(z'\)[t]]\), 
    \(Print["\<f[z[t]] z'[t] = \>", w[t]]\), 
    \(w[t_]\  = \ Simplify[w[t]]; \nPrint["\<f[z[t]] z'[t] = \>", w[t]]\), 
    \(Print["\<          u[t] = \>", u[t]]\), 
    \(Print["\<          v[t] = \>", v[t]]\), 
    \(v[t_]\  = \ Simplify[v[t]]; \nPrint["\<          v[t] = \>", v[t]]\)}], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(W[t_]\  = \[Integral]w[t] \[DifferentialD]t; \n
    W1\  = \[Integral]\_0\%\[Pi] w[t] \[DifferentialD]t; \n
    Print["\<W[t] = \[Integral]w[t]\[DifferentialD]t = \>", W[t]]; \n
    Print["\<W[\[Pi]] = \>", W[\[Pi]], "\<,  W[0] = \>", W[0]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(\\\ 0\)\%\[Pi]\)w[t]\[DifferentialD]t = \
W[\[Pi]]-W[0] = \>\"", W[\[Pi]] - W[0]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(\\\ 0\)\%\[Pi]\)w[t]\[DifferentialD]t = \
\>\"", W1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  Use the  polygonal path from  - 1 to  - 1 + i  to 1 + i  to 1.  Let us \
find a parameterization of the polygonal path  C  from  - 1 to  1  consisting \
of the three line segments:\nSegment 1 from   - 1   to   - 1 + i ,\nSegment 2 \
from   - 1 + i   to   1 + i ,\nSegment 3 from   1 + i   to 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[t, x0, x1, y0, y1, z1, Z, Z1]; \nz0\  = \ \(-\ 1\); \n
    z1\  = \ \(-\ 1\)\  + \ \[ImaginaryI]; \nx0\  = \ Re[z0]; 
    y0\  = \ Im[z0]; x1\  = \ Re[z1]; y1\  = \ Im[z1]; \n
    Z1[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \n
    z0\  = \ \(-\ 1\)\  + \ \[ImaginaryI]; \nz1\  = \ 1\  + \ \[ImaginaryI]; 
    \nx0\  = \ Re[z0]; y0\  = \ Im[z0]; x1\  = \ Re[z1]; y1\  = \ Im[z1]; \n
    Z2[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \n
    z0\  = \ 1\  + \ \[ImaginaryI]; \nz1\  = \ 1; \nx0\  = \ Re[z0]; 
    y0\  = \ Im[z0]; x1\  = \ Re[z1]; y1\  = \ Im[z1]; \n
    Z3[t_]\  = \ 
      x0\  + \ \((x1 - x0)\) t\  + \ 
        \[ImaginaryI] \((y0\  + \ \((y1 - y0)\) t)\); \n
    Print[\*"\"\<\!\(Z\_1\)[t] = \>\"", Z1[t]]; \n
    Print[\*"\"\<\!\(Z\_2\)[t] = \>\"", Z2[t]]; \n
    Print[\*"\"\<\!\(Z\_3\)[t] = \>\"", Z3[t]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Wset\  = 
      \ {f[Z1[t]] \(Z1'\)[t], f[Z2[t]] \(Z2'\)[t], f[Z3[t]] \(Z3'\)[t]}; \n
    funset\  = \ MapAll[ComplexExpand, Wset]; \n
    Wint\  = \[Integral]funset \[DifferentialD]t; \n
    val\  = \[Integral]\_0\%1 funset \[DifferentialD]t; \n
    val2\  = ReplaceAll[val\ , List \[Rule] Plus]; \n
    Print[\*"\"\<{\!\(w\_1\)[t],\!\(w\_2\)[t],\!\(w\_3\)[t]}\>\""]\ ; \n
    Print[\*"\"\<= \
{f[\!\(Z\_1\)[t]]\!\(Z\_1\)'[t],f[\!\(Z\_2\)[t]]\!\(Z\_2\)'[t],f[\!\(Z\_3\)[t]\
]\!\(Z\_3\)'[t]}\>\""]; \nPrint["\< \>"]; \nPrint["\<= \>", funset]; \n
    Print["\< \>"]; \n
    Print[\*"\"\<\[Integral]{\!\(w\_1\)[t],\!\(w\_2\)[t],\!\(w\_3\)[t]}\
\[DifferentialD]t = \>\""\ , Wint]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%1\){\!\(w\_1\)[t],\!\(w\_2\)[t],\!\(w\_3\
\)[t]}\[DifferentialD]t = \>\"", val]; \nPrint["\< \>"]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%1\)w[t]\[DifferentialD]t = \>\"", val2]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Which is ",
  StyleBox["different",
    FontColor->RGBColor[1, 0, 1]],
  " from the value for the other path."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[
      \*"\"\<\!\(\[Integral]\_\(\\\ 0\)\%\[Pi]\)w[t]\[DifferentialD]t = \
\>\"", W1]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.11,  Page 173. ",
    FontWeight->"Bold"],
  "   Use the ML Inequality to show that\nShow that   ",
  Cell[BoxData[
      FormBox[
        RowBox[{"\[VerticalSeparator]", 
          RowBox[{
            StyleBox[
              RowBox[{
                SubsuperscriptBox["\[Integral]", 
                  StyleBox["C",
                    FontSize->14], " "], " ", 
                RowBox[{
                  FractionBox[
                    StyleBox["1",
                      FontSize->12], 
                    StyleBox[\(z\^2\  + \ 1\),
                      FontSize->12]], " ", \(\[DifferentialD]z\)}]}],
              FontSize->14], "\[VerticalSeparator]", 
            RowBox[{"\[LessEqual]", 
              FractionBox[
                StyleBox["1",
                  FontSize->12], 
                StyleBox[\(2\ \@5\),
                  FontSize->12]]}]}]}], TraditionalForm]]],
  ".\nSolution.  The solution is given in the textbook."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 6",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 6.3  ",
  StyleBox["The Cauchy-Goursat Theorem",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 6.3"],

Cell[TextData[{
  "     The Cauchy-Goursat theorem states that within certain domains the \n\
integral of an analytic function over a simple closed contour is zero.\n\n",
  StyleBox["Theorem 6.2,  Page 177.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Green's Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  C  be a simple closed contour with positive orientation, and let  R \
 be the domain that forms the interior of  C.  If  P  and  Q  are continuous \
and have continuous partial derivatives at all points on  C  and  R, then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox["C",
                  FontSize->14], " "], 
              StyleBox[" ",
                FontSize->14], 
              StyleBox[\(\(P(x, y)\) \[DifferentialD]x\),
                FontSize->14]}], 
            StyleBox["+",
              FontSize->14], 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox["C",
                  FontSize->14], " "], 
              StyleBox[" ",
                FontSize->14], 
              StyleBox[\(\(Q(x, y)\) \[DifferentialD]y\),
                FontSize->14]}]}], 
          StyleBox["=",
            FontSize->14], 
          RowBox[{
            StyleBox["\[Integral]",
              FontSize->9], 
            RowBox[{
              StyleBox["\[Integral]",
                FontSize->9], 
              UnderscriptBox["  ", 
                StyleBox["R",
                  FontSize->14]], " ", 
              \(\([\[PartialD]\_x\ \(Q(x, y)\) - \[PartialD]\_y\ \(P(x, y)\)]
                  \) \[DifferentialD]x \[DifferentialD]y\)}]}]}], 
        TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 6.3,  Page 179.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Cauchy-Goursat Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f(z)  be analytic in a simply connected domain  D.  If  C  is a \
simple closed contour that lies in  D,  then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["C",
                FontSize->14], " "], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(\(f(z)\) \[DifferentialD]z\),
              FontSize->14]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox["0",
            FontSize->14]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 6.4,  Page 183.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Deformation of Contour)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(C\_1\)]],
  "  and  ",
  Cell[BoxData[
      \(C\_2\)]],
  "  be two simple closed positively oriented contours such that  ",
  Cell[BoxData[
      \(C\_1\)]],
  "  lies interior to ",
  Cell[BoxData[
      \(C\_2\)]],
  ".  If   f(z)  is analytic in a domain  D  that contains both ",
  Cell[BoxData[
      \(\(\ C\_1\)\)]],
  "  and ",
  Cell[BoxData[
      \(C\_2\)]],
  "  and the region between them, then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox[
                SubscriptBox[
                  StyleBox["C",
                    FontSize->14], "1"],
                FontSize->14], " "], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(\(f(z)\) \[DifferentialD]z\),
              FontSize->14]}], 
          StyleBox["=",
            FontSize->14], 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox[
                SubscriptBox[
                  StyleBox["C",
                    FontSize->14], "2"],
                FontSize->14], " "], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(\(f(z)\) \[DifferentialD]z\),
              FontSize->14]}]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 6.5,  Page 186.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Extended Cauchy-Goursat Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  ",
  Cell[BoxData[
      \(C, C\_1, C\_2, \[CenterEllipsis], C\_n\)]],
  "  be simple closed positively oriented contours with the property that  ",
  Cell[BoxData[
      \(C\_k\)]],
  "  lies interior to  C  for   ",
  Cell[BoxData[
      \(k = 1, 2, \[CenterEllipsis], n\)]],
  "  and the set of interior to  ",
  Cell[BoxData[
      \(C\_k\)]],
  "  has no points in common with the set interior to  ",
  Cell[BoxData[
      \(C\_j\)]],
  "  if  ",
  Cell[BoxData[
      \(k \[NotEqual] j\)]],
  ".  Let  f(z)  be analytic on a domain  D  that contains all the contours \
and the region between  C  and  ",
  Cell[BoxData[
      \(C\_1 + C\_2 + \[CenterEllipsis] + C\_n\)]],
  ", then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["C",
                FontSize->14], " "], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(\(f(z)\) \[DifferentialD]z\),
              FontSize->14]}], 
          StyleBox["=",
            FontSize->14], 
          RowBox[{
            StyleBox[
              UnderoverscriptBox[
                StyleBox["\[Sum]",
                  FontSize->18], \(k = 1\), "n"],
              FontSize->14], 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox[
                  SubscriptBox[
                    StyleBox["C",
                      FontSize->14], "k"],
                  FontSize->14], " "], 
              StyleBox[" ",
                FontSize->14], 
              StyleBox[\(\(f(z)\) \[DifferentialD]z\),
                FontSize->14]}]}]}], TraditionalForm]]],
  ".  "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 6.12,  Page 182.",
    FontWeight->"Bold"],
  "  Let us recall that  ",
  Cell[BoxData[
      StyleBox[\(\[ExponentialE]\^z\),
        FontSize->14]]],
  ",  cos(z),  and  ",
  Cell[BoxData[
      StyleBox[\(z\^n\),
        FontSize->14]]],
  ",  where n is a positive integer, are all entire functions and have \
continuous derivatives.  For illustration set  n=5, and choose the contour to \
be the unit circle C: |z| = 1 with positive orientation.  The Cauchy-Goursat \
theorem implies that for any simple closed contour we have:\n\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", \(\(exp(z)\) \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "  =  0,\n\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", \(\(cos(z)\) \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "  =  0  and\n\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", \(\(z\^5\) \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "  =  0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "First, use the function  f(z) = ",
  Cell[BoxData[
      StyleBox[\(\[ExponentialE]\^z\),
        FontSize->14]]],
  "."
}], "Text"],

Cell[BoxData[
    \(Clear[f, F, \[Theta], z]; \nf[z_]\  = \ \[ExponentialE]\^z; \n
    z[\[Theta]_]\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); \n
    F[\[Theta]_]\  = 
      \[Integral]f[z[\[Theta]]] \(z'\)[\[Theta]] \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0\%\(2  \[Pi]\)f[z[\[Theta]]] \(z'\)[\[Theta]] 
          \[DifferentialD]\[Theta]; \n
    Print["\<              f[z] = \>", f[z]]; \n
    Print["\<              z[\[Theta]] = \>", z[\[Theta]]]; \n
    Print["\<           f[z[\[Theta]]] = \>", f[z[\[Theta]]]]; \n
    Print["\<             z'[\[Theta]] = \>", \(z'\)[\[Theta]]]; \n
    Print["\<     f[z[\[Theta]]] z'[\[Theta]] = \>", 
      f[z[\[Theta]]]\ \(z'\)[\[Theta]]]; \n
    Print["\<   \[Integral]f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>", 
      F[\[Theta]]]; \n
    Print["\<F[2\[Pi]] = \>", F[2  \[Pi]], "\<,    F[0] = \>", F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = F[2\[Pi]]-F[0] = \
\>\"", \nF[2  \[Pi]] - F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>\"", val]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell["Second, use the function  f(z) = cos(z).", "Text"],

Cell[BoxData[{
    \(Clear[f, F, \[Theta], z]\), 
    \(f[z_]\  = \ Cos[z]; \n
    z[\[Theta]_]\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); \n
    F[\[Theta]_]\  = 
      \[Integral]f[z[\[Theta]]] \(z'\)[\[Theta]] \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0\%\(2  \[Pi]\)f[z[\[Theta]]] \(z'\)[\[Theta]] 
          \[DifferentialD]\[Theta]; \n
    Print["\<              f[z] = \>", f[z]]; \n
    Print["\<              z[\[Theta]] = \>", z[\[Theta]]]; \n
    Print["\<           f[z[\[Theta]]] = \>", f[z[\[Theta]]]]; \n
    Print["\<             z'[\[Theta]] = \>", \(z'\)[\[Theta]]]; \n
    Print["\<     f[z[\[Theta]]] z'[\[Theta]] = \>", 
      f[z[\[Theta]]]\ \(z'\)[\[Theta]]]; \n
    Print["\<   \[Integral]f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>", 
      F[\[Theta]]\ ]; \n
    Print["\<F[2\[Pi]] = \>", F[2  \[Pi]], "\<,    F[0] = \>", F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = F[2\[Pi]]-F[0] = \
\>\"", \nF[2  \[Pi]] - F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>\"", val]; \)}], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Third, use the function  f(z) = ",
  Cell[BoxData[
      StyleBox[\(z\^5\),
        FontSize->14]]],
  "."
}], "Text"],

Cell[BoxData[{
    \(Clear[f, F, \[Theta], z]\), 
    \(f[z_]\  = \ z\^5; \n
    z[\[Theta]_]\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); \n
    F[\[Theta]_]\  = 
      \[Integral]f[z[\[Theta]]] \(z'\)[\[Theta]] \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0\%\(2  \[Pi]\)f[z[\[Theta]]] \(z'\)[\[Theta]] 
          \[DifferentialD]\[Theta]; \n
    Print["\<              f[z] = \>", f[z]]; \n
    Print["\<              z[\[Theta]] = \>", z[\[Theta]]]; \n
    Print["\<           f[z[\[Theta]]] = \>", f[z[\[Theta]]]]; \n
    Print["\<             z'[\[Theta]] = \>", \(z'\)[\[Theta]]]; \n
    Print["\<     f[z[\[Theta]]] z'[\[Theta]] = \>", 
      f[z[\[Theta]]]\ \(z'\)[\[Theta]]]; \n
    Print["\<   \[Integral]f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>", 
      F[\[Theta]]]; \n
    Print["\<F[2\[Pi]] = \>", F[2  \[Pi]], "\<,    F[0] = \>", F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = F[2\[Pi]]-F[0] = \
\>\"", \nF[2  \[Pi]] - F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>\"", val]; \)}], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["\nExample 6.13,  Page 182.",
    FontWeight->"Bold"],
  "  If  C  is a simple closed contour such that the origin does not lie \
interior to  C,  then there is a simply connected domain  D  that contains  C \
 in which  ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(f(z)\), "=", 
          StyleBox[
            FractionBox[
              StyleBox["1",
                FontSize->12], 
              StyleBox[\(z\^n\),
                FontSize->12]],
            FontSize->14]}], TraditionalForm]]],
  "  is analytic.  The Cauchy-Goursat theorem implies that  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "],
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], 
          RowBox[{
            StyleBox[
              FractionBox[
                StyleBox["1",
                  FontSize->12], 
                StyleBox[\(z\^n\),
                  FontSize->12]],
              FontSize->14], 
            RowBox[{"\[DifferentialD]", 
              StyleBox["z",
                FontSize->12]}]}]}], TraditionalForm]]],
  "  =  0,  provided that the origin does not lie interior to  C.\nSolution.  \
The solution is given in the textbook."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.14,  Page 184.",
    FontWeight->"Bold"],
  "   Let  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  denote a fixed complex value.   If  C  is a \nsimple closed contour with \
positive orientation such that  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  lies interior to C, then\n\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  RowBox[{"z", " ", "-", " ", 
                    FormBox[
                      StyleBox[\(z\_0\),
                        FontSize->14],
                      "TraditionalForm"]}],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i ,\n\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  SuperscriptBox[
                    RowBox[{"(", 
                      StyleBox[
                        RowBox[{"z", " ", "-", " ", 
                          FormBox[
                            StyleBox[\(z\_0\),
                              FontSize->14],
                            "TraditionalForm"]}],
                        FontSize->14], ")"}], "n"],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  0 , where  n \[NotEqual] 1 is an integer."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a)",
    FontWeight->"Bold"],
  "   Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  RowBox[{"z", " ", "-", " ", 
                    FormBox[
                      StyleBox[\(z\_0\),
                        FontSize->14],
                      "TraditionalForm"]}],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i .\n",
  StyleBox["For illustration,",
    FontColor->RGBColor[1, 0, 1]],
  " we use a circle of radius 1 centered at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, \[Theta], z, z0]; \nf[z_]\  = \ 1\/\(z - z0\); \n
    z[\[Theta]_]\  = \ z0\  + \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); 
    \nF[\[Theta]_]\  = 
      \[Integral]f[z[\[Theta]]] \(z'\)[\[Theta]] \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0\%\(2  \[Pi]\)f[z[\[Theta]]] \(z'\)[\[Theta]] 
          \[DifferentialD]\[Theta]; \n
    Print["\<              f[z] = \>", f[z]]; \n
    Print["\<              z[\[Theta]] = \>", z[\[Theta]]]; \n
    Print["\<           f[z[\[Theta]]] = \>", f[z[\[Theta]]]]; \n
    Print["\<             z'[\[Theta]] = \>", \(z'\)[\[Theta]]]; \n
    Print["\<     f[z[\[Theta]]] z'[\[Theta]] = \>", 
      f[z[\[Theta]]]\ \(z'\)[\[Theta]]]; \n
    Print["\<   \[Integral]f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>", 
      F[\[Theta]]]; \n
    Print["\<F[2\[Pi]] = \>", F[2  \[Pi]], "\<,    F[0] = \>", F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = F[2\[Pi]]-F[0] = \
\>\"", \nF[2  \[Pi]] - F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>\"", val]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  "   Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  SuperscriptBox[
                    RowBox[{"(", 
                      StyleBox[
                        RowBox[{"z", " ", "-", " ", 
                          FormBox[
                            StyleBox[\(z\_0\),
                              FontSize->14],
                            "TraditionalForm"]}],
                        FontSize->14], ")"}], "5"],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  0 ,\n",
  StyleBox["For illustration,",
    FontColor->RGBColor[1, 0, 1]],
  " we use a circle of radius 1 centered at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, F, \[Theta], z, z0]\), 
    \(f[z_]\  = \ 1\/\((z - z0)\)\^5; \n
    z[\[Theta]_]\  = \ z0\  + \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); 
    \nF[\[Theta]_]\  = 
      \[Integral]f[z[\[Theta]]] \(z'\)[\[Theta]] \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0\%\(2  \[Pi]\)f[z[\[Theta]]] \(z'\)[\[Theta]] 
          \[DifferentialD]\[Theta]; \n
    Print["\<              f[z] = \>", f[z]]; \n
    Print["\<              z[\[Theta]] = \>", z[\[Theta]]]; \n
    Print["\<           f[z[\[Theta]]] = \>", f[z[\[Theta]]]]; \n
    Print["\<             z'[\[Theta]] = \>", \(z'\)[\[Theta]]]; \n
    Print["\<     f[z[\[Theta]]] z'[\[Theta]] = \>", 
      f[z[\[Theta]]]\ \(z'\)[\[Theta]]]; \n
    Print["\<   \[Integral]f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>", 
      F[\[Theta]]]; \n
    Print["\<F[2\[Pi]] = \>", F[2  \[Pi]], "\<,    F[0] = \>", F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = F[2\[Pi]]-F[0] = \
\>\"", \nF[2  \[Pi]] - F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>\"", val]; \)}], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.15,  Page 186.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox[\(2 z\),
                  FontSize->14], 
                StyleBox[\(z\^2\  + \ 2\),
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  4 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i ,\nwhere  C  is the circle  C: |z| = 2  taken with positive \
orientation."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, i, p, R, solset, z, Z]; \n
    f[z_]\  = \ \(2  z\)\/\(z\^2\  + \ 2\); \nPrint["\<f[z] = \>", f[z]]; \)],
   "Input",
  AspectRatioFixed->True],

Cell["\<\
First, split the function up into partial fractions involving \
linear terms in the denominators. Don't worry about the subroutine.  It \
splits f(z) up into partial fractions.  The result will be an equivalent \
function named  F[z].  The list of terms added to form F[z] have \
singularities in the same order in the list of points  Z.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \nR\  = \ Table[0, {Length[solset]}]; 
    \nClear[F]; \ F[z_]\  = \ 0; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \ \n
      \ \ \ If[1 == i, p\  = \ 1]; \n\ \ \ 
      If[1 < i; 
        Z\[LeftDoubleBracket]i - 1\[RightDoubleBracket] == 
          Z\[LeftDoubleBracket]i\[RightDoubleBracket], p\  = \ p + 1, 
        p\  = \ 1]; \n\ \ \ 
      R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[\((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p - 1
                \)\ f[z], {z, Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; 
      \n\ \ \ F[z_]\  = \ 
        F[z]\  + \ 
          R\[LeftDoubleBracket]i
              \[RightDoubleBracket]\/\((
                z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^p; ]; \n
    For[i = 1, i \[LessEqual] Length[F[z]], \(i++\), \n\ \ \ 
      soset\  = \ 
        Solve[Denominator[\(F[z]\)\[LeftDoubleBracket]i\[RightDoubleBracket]]
               == 0, z]; \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, soset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
      \ \ \ R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[f[z], {z, Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; ]; \n
    Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Determine which singularities lie inside C:   |z| = 2.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], \n"\<,    Is |\>", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], "\<| < 2 ?    \>", 
      N[Abs[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]] < 2]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", 
      Z\[LeftDoubleBracket]2\[RightDoubleBracket], \n"\<,  Is |\>", 
      Z\[LeftDoubleBracket]2\[RightDoubleBracket], "\<| < 2 ?   \>", 
      N[Abs[Z\[LeftDoubleBracket]2\[RightDoubleBracket]]] < 2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Since both singularities lie inside C, add the corresponding term in the sum \
forming  F[z]\ntimes constant in the numerator that term times  2 \[Pi] i. "],
   "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      2  \[Pi]\ \[ImaginaryI]\ 
          Numerator[\(F[z]\)\[LeftDoubleBracket]1\[RightDoubleBracket]] + 
        2  \[Pi]\ \[ImaginaryI]\ 
          Numerator[\(F[z]\)\[LeftDoubleBracket]2\[RightDoubleBracket]]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\)\!\(\(2  z\)\/\(z\^2\\\  + \\\ \
2\)\)\[DifferentialD]z = \>\"", val]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.16,  Page 187",
    FontWeight->"Bold"],
  StyleBox[".",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox[\(2 z\),
                  FontSize->14], 
                StyleBox[\(z\^2\  + \ 2\),
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i ,\nwhere  C  is the circle  C: |z - i| = 1  taken with positive \
orientation."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, i, p, R, solset, z, Z]; \n
    f[z_]\  = \ \(2  z\)\/\(z\^2\  + \ 2\); \nPrint["\<f[z] = \>", f[z]]; \)],
   "Input",
  AspectRatioFixed->True],

Cell["\<\
First, split the function up into partial fractions involving \
linear terms in the denominators.  Don't worry about the subroutine. It \
splits f(z) up into partial fractions.  The result will be an equivalent \
function named  F[z].  The list of terms added to form F[z] have \
singularities in the same order in the list of points  Z.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \nR\  = \ Table[0, {Length[solset]}]; 
    \nClear[F]; \ F[z_]\  = \ 0; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \ \n
      \ \ \ If[1 == i, p\  = \ 1]; \n\ \ \ 
      If[1 < i; 
        Z\[LeftDoubleBracket]i - 1\[RightDoubleBracket] == 
          Z\[LeftDoubleBracket]i\[RightDoubleBracket], p\  = \ p + 1, 
        p\  = \ 1]; \n\ \ \ 
      R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[\((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p - 1
                \)\ f[z], {z, Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; 
      \n\ \ \ F[z_]\  = \ 
        F[z]\  + \ 
          R\[LeftDoubleBracket]i
              \[RightDoubleBracket]\/\((
                z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^p; ]; \n
    For[i = 1, i \[LessEqual] Length[F[z]], \(i++\), \n\ \ \ 
      soset\  = \ 
        Solve[Denominator[\(F[z]\)\[LeftDoubleBracket]i\[RightDoubleBracket]]
               == 0, z]; \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, soset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
      \ \ \ R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[f[z], {z, Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; ]; \n
    Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Determine which singularities lie inside C:  |z - i| = 1."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], "\<,    Is |\>", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], 
      "\< - \[ImaginaryI]| < 1 ?    \>", 
      N[Abs[Z\[LeftDoubleBracket]1\[RightDoubleBracket] - \ \[ImaginaryI]]] < 
        1]; \nPrint[\*"\"\<\!\(z\_2\) = \>\"", 
      Z\[LeftDoubleBracket]2\[RightDoubleBracket], "\<,  Is |\>", 
      Z\[LeftDoubleBracket]2\[RightDoubleBracket], 
      "\< - \[ImaginaryI]| < 1 ?   \>", 
      N[Abs[Z\[LeftDoubleBracket]2\[RightDoubleBracket] - \ \[ImaginaryI]]] < 
        1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Since only the first singularity lies inside C, add the first term in the \
sum forming  F[z]\ntimes constant in the numerator that term times  2 \[Pi] \
i. "], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      2  \[Pi]\ \[ImaginaryI]\ 
        Numerator[\(F[z]\)\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\)\!\(\(2  z\)\/\(z\^2\\\  + \\\ \
2\)\)\[DifferentialD]z = \>\"", val]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.17,  Page 187.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox[\(z - 2\),
                  FontSize->14], 
                StyleBox[\(z\^2\  - \ 2\),
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  - 6 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i ,\nwhere  C  is the figure eight shown in the text."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, i, p, R, solset, z, Z]; \n
    f[z_]\  = \ \(z\  - \ 2\)\/\(z\^2\  - z\); \nPrint["\<f[z] = \>", f[z]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
First, split the function up into partial fractions involving \
linear terms in the denominators.  Don't worry about the subroutine. It \
splits f(z) up into partial fractions.  The result will be an equivalent \
function named  F[z].  The list of terms added to form F[z] have \
singularities in the same order in the list of points  Z.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \nR\  = \ Table[0, {Length[solset]}]; 
    \nClear[F]; \ F[z_]\  = \ 0; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \ \n
      \ \ \ If[1 == i, p\  = \ 1]; \n\ \ \ 
      If[1 < i; 
        Z\[LeftDoubleBracket]i - 1\[RightDoubleBracket] == 
          Z\[LeftDoubleBracket]i\[RightDoubleBracket], p\  = \ p + 1, 
        p\  = \ 1]; \n\ \ \ 
      R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[\((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p - 1
                \)\ f[z], {z, Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; 
      \n\ \ \ F[z_]\  = \ 
        F[z]\  + \ 
          R\[LeftDoubleBracket]i
              \[RightDoubleBracket]\/\((
                z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^p; ]; \n
    For[i = 1, i \[LessEqual] Length[F[z]], \(i++\), \n\ \ \ 
      soset\  = \ 
        Solve[Denominator[\(F[z]\)\[LeftDoubleBracket]i\[RightDoubleBracket]]
               == 0, z]; \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, soset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
      \ \ \ R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[f[z], {z, Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; ]; \n
    Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "     Determine which singularities corresponds to the contour  ",
  Cell[BoxData[
      \(TraditionalForm\`C\_1\)]],
  "  and  ",
  Cell[BoxData[
      \(TraditionalForm\`C\_2\)]],
  ".  The first term will correspond to the singularity at  z = 1  used with \
contour ",
  Cell[BoxData[
      \(TraditionalForm\`C\_2\)]],
  " and the second term corresponds to the singularity at  z = 0  used with \
contour ",
  Cell[BoxData[
      \(TraditionalForm\`C\_1\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "     Since  ",
  Cell[BoxData[
      \(TraditionalForm\`C\_2\)]],
  "  has positive orientation, we add the first term in the sum forming  F(z) \
 times constant in the numerator of that term times  2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " i.  And since the  ",
  Cell[BoxData[
      \(TraditionalForm\`C\_1\)]],
  "  has negative orientation, we subtract the second term in the sum forming \
 F(z)  times constant in the numerator of that term times  2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " i. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      2\ \[Pi]\ \[ImaginaryI]\ 
          Numerator[\(F[z]\)\[LeftDoubleBracket]1\[RightDoubleBracket]]\ \  - 
        \ 2\ \[Pi]\ \[ImaginaryI]\ 
          Numerator[\(F[z]\)\[LeftDoubleBracket]2\[RightDoubleBracket]]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\)\!\(\(z\\\  - \\\ 2\)\/\(z\^2\\\  \
- z\)\)\[DifferentialD]z = \>\"", val]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 6",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 6.4  ",
  StyleBox["The Fundamental Theorems of Integration",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 6.4"],

Cell[TextData[{
  "     Let  f(z)  be analytic in the simply connected domain  D.  The \
theorems in this section show that an antiderivative  F(z)  can be \
constructed by contour integration.\n\n",
  StyleBox["Theorem 6.6,  Page 189.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Indefinite Integrals or Antiderivatives)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f(z)  be analytic in the simply connected domain  D.  If  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  is a fixed value in  D  and if  C  is any contour in  D  with initial \
point  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  and terminal point  z, then the function given by  ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(F(z)\), "=", 
          RowBox[{
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox["C",
                  FontSize->14], " "], " ", \(\(f(z)\) \[DifferentialD]z\)}], 
            "=", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox[\(z\_0\),
                  FontSize->14], 
                StyleBox["z",
                  FontSize->15]], 
              \(\(f(\[Zeta])\) \[DifferentialD]\[Zeta]\)}]}]}], 
        TraditionalForm]]],
  "  is analytic in  D  and  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SuperscriptBox[\(F\ \), "\[Prime]",
              MultilineFunction->None], 
            RowBox[{"(", 
              StyleBox["z",
                FontSize->14], 
              StyleBox[")",
                FontSize->14]}]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox[\(f(z)\),
            FontSize->14]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 6.7,  Page 192.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Definite Integrals)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f(z)  be analytic in a simply connected domain  D.  If  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  "  are two points in  D,  then   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox[\(z\_0\),
                FontSize->14], 
              StyleBox[\(z\_1\),
                FontSize->14]], \(\(f(z)\) \[DifferentialD]z\)}], "=", 
          RowBox[{
            RowBox[{"F", "(", 
              StyleBox[\(z\_1\),
                FontSize->14], ")"}], "-", 
            RowBox[{"F", "(", 
              StyleBox[\(z\_0\),
                FontSize->14], ")"}]}]}], TraditionalForm]]],
  ",   where  F(z)  is any antiderivative of  f(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.18,  Page 192.",
    FontWeight->"Bold"],
  "  Evaluate the definite integral.\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          \(\[Integral]\_\(\ 1\)\%\(\ i\)\ \(cos(z)\) \[DifferentialD]z\),
          FontSize->14], TraditionalForm]]],
  "   =  - sin(1)  + i sinh(1)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, val1, val2, z]; \nf[z_]\  = \ Cos[z]; \n
    g[z_]\  = \[Integral]f[z] \[DifferentialD]z; \n
    val1\  = \ g[\[ImaginaryI]]\  - \ g[1]; \n
    val2\  = \ \[Integral]\_1\%\[ImaginaryI] f[z] \[DifferentialD]z; \n
    Print["\<    f[z] = \>", f[z]]; \n
    Print["\<    g[z] = \[Integral]f[z]\[DifferentialD]z = \>", g[z]]; \n
    Print["\<    g[\[ImaginaryI]] = \>", g[\[ImaginaryI]], "\<,   g[1] = \>", 
      g[1]]; \nPrint[
      \*"\"\<\!\(\[Integral]\_1\%\[ImaginaryI]\)f[z]\[DifferentialD]z = g[\
\[ImaginaryI]] - g[1] = \>\"", val1]; \n
    Print[\*"\"\<\!\(\[Integral]\_1\%\[ImaginaryI]\)f[z]\[DifferentialD]z = \
\>\"", val2]; \n
    Print[\*"\"\<\!\(\[Integral]\_1\%\[ImaginaryI]\)f[z]\[DifferentialD]z = \
\>\"", N[val2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.19,  Page 192.",
    FontWeight->"Bold"],
  "  Evaluate the definite integral.\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          \(\[Integral]\_\(\ 0\)\%\(\ 1\)\ 
            \(\[ExponentialE]\^\(2 t\)\) 
              \(\[ExponentialE]\^\(\[ImaginaryI]\ \[Pi]\ t/4\)\) 
              \[DifferentialD]t\),
          FontSize->15], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{\(Clear[F, t]\), ";", "\n", 
      RowBox[{\(F[t_]\), "=", 
        RowBox[{\((2 + \(\[ImaginaryI]\ \[Pi]\)\/4)\), 
          RowBox[{"\[Integral]", 
            RowBox[{
              RowBox[{
                StyleBox["(",
                  FontSize->15], 
                
                StyleBox[
                  \(\[ExponentialE]\^\(2 t + \[ImaginaryI]\ \[Pi]\ t/4\)\),
                  FontSize->15], ")"}], \(\[DifferentialD]t\)}]}]}]}], ";", 
      "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<(2+\!\(\(\[ImaginaryI]\\\ \[Pi]\)\/4\))\[Integral]\!\(\*
StyleBox[\\((\\),
FontSize->15]\)\!\(\*
StyleBox[\\(\[ExponentialE]\\^\\(2 t + \[ImaginaryI]\\\ \[Pi]\\\ t/4\\)\\),
FontSize->15]\))\[DifferentialD]t = \>\"", ",", \(F[t]\)}], "]"}], ";", "\n", 
      \(Print["\<F[1]-F[0] = \>", F[1] - F[0]\ ]\), ";", "\n", 
      \(Print["\<F[1]-F[0] = \>", Simplify[F[1] - F[0]]]\), ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{
        "\"\<(2+\!\(\(\[ImaginaryI]\\\ \[Pi]\)\/4\))\!\(\[Integral]\_0\%1\)\!\
\(\*
StyleBox[\\((\\),
FontSize->15]\)\!\(\*
StyleBox[\\(\[ExponentialE]\\^\\(2 t\\)\\),
FontSize->15]\)\!\(\*
StyleBox[\\(\[ExponentialE]\\^\\(\[ImaginaryI]\\\ \[Pi]\\\ t/4\\)\\),
FontSize->15]\))\[DifferentialD]t = \>\"", ",", \(Simplify[F[1] - F[0]]\)}], 
        "]"}], ";"}]], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.20,  Page 193.",
    FontWeight->"Bold"],
  "  Evaluate the definite integral.\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Integral]\_\(\ 4\)\%\(\ 8 + 6 i\)\), " ", 
            RowBox[{
              FractionBox[
                StyleBox[
                  RowBox[{" ", 
                    FormBox[\(z\^\(\(-1\)/2\)\),
                      "TraditionalForm"]}],
                  FontSize->14], 
                StyleBox["2",
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->15], TraditionalForm]]],
  "  =  1 + i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, val1, val2, z]; \nf[z_]\  = \ z\^\(\(-1\)/2\)\/2; \n
    g[z_]\  = \[Integral]f[z] \[DifferentialD]z; \n
    val1\  = \ g[8 + 6  \[ImaginaryI]]\  - \ g[4]; \n
    val2\  = \ 
      \[Integral]\_4\%\(8 + 6  \[ImaginaryI]\)f[z] \[DifferentialD]z; \n
    Print["\<       f[z] = \>", f[z]]; \n
    Print["\<       g[z] = \[Integral]f[z]\[DifferentialD]z = \>", g[z]]; \n
    Print["\<    g[8+6\[ImaginaryI]] = \>", g[8 + 6  \[ImaginaryI]], 
      "\<,   g[4] = \>", g[4]]; \n
    Print[\*"\"\<\!\(\[Integral]\_4\%\(8 + 6  \[ImaginaryI]\)\)f[z]\
\[DifferentialD]z = g[8+6\[ImaginaryI]] - g[4] = \>\"", val1]; \n
    Print[\*"\"\<\!\(\[Integral]\_4\%\(8 + 6  \[ImaginaryI]\)\)f[z]\
\[DifferentialD]z = \>\"", val2]; \n
    Print[\*"\"\<\!\(\[Integral]\_4\%\(8 + 6  \[ImaginaryI]\)\)f[z]\
\[DifferentialD]z = \>\"", N[val2]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.21 and 6.22,  Page 193. ",
    FontWeight->"Bold"],
  " Evaluate the definite integral  \n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox["z",
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  " = 2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i , where  C  is the unit circle  C: |z| = 1, taken with positive \
orientation."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, G, lim2, lim1, \[Theta], z, Z]; \nf[Z_]\  = \ 1\/Z; \n
    g[z_]\  = \ \[Integral]f[z] \[DifferentialD]z; \n
    z[\[Theta]_]\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); \n
    lim2\  = \ 
      Limit[g[z[\[Theta]]], \[Theta] \[Rule] \[Pi], Direction \[Rule] 1]; \n
    lim1\  = \ 
      Limit[g[z[\[Theta]]], \[Theta] \[Rule] \(-\[Pi]\), 
        Direction \[Rule] \(-1\)]; \nPrint["\<f[z] = \>", f[z]]; \n
    Print["\<g[z] = \[Integral]f[z]\[DifferentialD]z  = \>", g[z]]; \n
    Print[\*"\"\<lim2 = \!\(lim\+\(\[Theta] \[Rule] \\\ \[Pi]\)\) Log[\!\(\
\[ExponentialE]\^\(\[ImaginaryI]\\\ \[Theta]\)\)] = \>\"", lim2]; \n
    Print[\*"\"\<lim1 = \!\(lim\+\(\[Theta] \[Rule] \(-\[Pi]\)\)\) Log[\!\(\
\[ExponentialE]\^\(\[ImaginaryI]\\\ \[Theta]\)\)] = \>\"", lim1]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\)\!\(1\/z\)\[DifferentialD]z = \
lim2 - lim1 = \>\"", lim2 - lim1]; \)], "Input"],

Cell["Another approach is to parameterize the integrand.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(w\  = \ f[z[\[Theta]]] \(z'\)[\[Theta]]; \n
    G[\[Theta]_]\ \  = \ \[Integral]w\ \[DifferentialD]\[Theta]; \n
    val\  = \ G[\[Pi]]\  - \ G[\(-\[Pi]\)]; \n
    Print["\<         z[\[Theta]] = \>", \ z[\[Theta]]]; \n
    Print["\<        z'[\[Theta]] = \>", \ \(z'\)[\[Theta]]]; \n
    Print["\<         f[z] = \>", \ f[z]]\ ; \n
    Print["\< f[z[\[Theta]]]z'[\[Theta]] = \>", \ w]; \n
    Print["\<         G[\[Theta]] = \[Integral]f[z[\[Theta]]]z'[\[Theta]] = \
\>", \ G[\[Theta]]]; \n
    Print["\<         G[\[Pi]] = \>", \ G[\[Pi]], \ "\<,  G[-\[Pi]] = \>", 
      G[\(-\[Pi]\)]]; \n
    Print[\*"\"\<       \
\!\(\(\[Integral]\_C\%.\)\)\!\(1\/z\)\[DifferentialD]z = G[\[Pi]] - G[-\[Pi]] \
= \>\"", val]; \)], "Input"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 6",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 6.5  ",
  StyleBox["Integral Representations for Analytic Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 6.5"],

Cell[TextData[{
  "     We now present some major results in the theory of functions of a \
complex variable.\nThe first result is known as Cauchy's integral formula and \
shows that the value of an\nanalytic function  f  can be represented by a \
certain contour integral.\n\n",
  StyleBox["Theorem 6.8,  Page 195.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Cauchy's Integral Formula)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f(z)  be analytic in the simply connected domain  D,  and let  C  \
be a simple closed positively oriented contour that lies in  D.  If  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  " is a point that lies interior to  C,  then",
  StyleBox["  ",
    FontColor->RGBColor[1, 0, 1]],
  Cell[BoxData[
      FormBox[
        RowBox[{\(f(z\_0)\), "=", 
          RowBox[{
            FractionBox[
              StyleBox["1",
                FontSize->12], 
              StyleBox[\(2 \[Pi]\ i\),
                FontSize->12]], 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox["C",
                  FontSize->14], " "], 
              StyleBox[" ",
                FontSize->14], 
              StyleBox[
                RowBox[{
                  FractionBox[
                    StyleBox[\(f(z)\),
                      FontSize->14], 
                    StyleBox[\(z\  - \ z\_0\),
                      FontSize->14]], \(\[DifferentialD]z\)}],
                FontSize->14]}]}]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 6.9,  Page 197.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Leibniz's Rule)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  D  be a simply connected domain,  and let  ",
  Cell[BoxData[
      \(TraditionalForm\`I : \ a \[LessEqual] t \[LessEqual] b\)]],
  "  be an interval of real numbers.  Let  f(z,t)  and its partial derivative \
 ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\_z\ \(f(z, t)\)\)]],
  "  with respect to  z  be continuous functions for all  z  in  D  and all  \
t  in  I.  Then \n",
  Cell[BoxData[
      FormBox[
        RowBox[{\(F(z)\), "=", " ", 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], "a", "b"], 
            \(\(f(z, t)\) \[DifferentialD]t\)}]}], TraditionalForm]]],
  "   is analytic for  z  in  D,  and   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["F", \(\ \[Prime]\),
              MultilineFunction->None], "(", "z", ")"}], "=", " ", 
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], "a", "b"], 
            \(\[PartialD]\_z\ \(f(z, t)\) \[DifferentialD]t\)}]}], 
        TraditionalForm]]],
  ".\n\n",
  StyleBox["Theorem 6.10,  Page 197.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Cauchy's Integral Formulae for Derivatives)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f(z)  be analytic in the simply connected domain  D,  and let  C  \
be a simple closed positively oriented contour that lies in  D.  If  ",
  Cell[BoxData[
      FormBox[
        StyleBox["z",
          FontSize->14], TraditionalForm]]],
  "  is a point that lies interior to  C,  then ",
  StyleBox["  ",
    FontColor->RGBColor[1, 0, 1]],
  Cell[BoxData[
      FormBox[
        RowBox[{\(\(f\^\((n)\)\)(z)\), "=", 
          RowBox[{
            StyleBox[\(\(n!\)\/\(2 \[Pi]\ i\)\),
              FontSize->16], 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox["C",
                  FontSize->14], " "], 
              StyleBox[" ",
                FontSize->14], 
              StyleBox[
                RowBox[{
                  FractionBox[
                    StyleBox[\(f(\[Zeta])\),
                      FontSize->14], 
                    StyleBox[\(\((z - \[Zeta])\)\^\(n + 1\)\),
                      FontSize->14]], \(\[DifferentialD]\[Zeta]\)}],
                FontSize->14]}]}]}], TraditionalForm]]],
  ".\n\n",
  StyleBox["Corollary 6.1,  Page 199.",
    FontWeight->"Bold"],
  "  If  f(z)  is analytic in the domain  D,  then all derivatives ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SuperscriptBox["f", \(\ \[Prime]\),
              MultilineFunction->None], "(", "z", ")"}], ",", 
          RowBox[{
            SuperscriptBox[
              SuperscriptBox["f", \(\ \[Prime]\),
                MultilineFunction->None], "\[Prime]",
              MultilineFunction->None], "(", "z", ")"}], ",", 
          "\[CenterEllipsis]", ",", \(\(f\^\((n)\)\)(z)\), ",", 
          "\[CenterEllipsis]"}], TraditionalForm]]],
  "  exists and are analytic in  D.\n\n",
  StyleBox["Corollary 6.2,  Page 199.",
    FontWeight->"Bold"],
  "  If  ",
  Cell[BoxData[
      \(TraditionalForm\`u(x, y)\)]],
  "  is a harmonic function at each point  (x,y)  in the domain  D,  then all \
partial derivatives  ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\_x\ \(u(x, y)\), 
      \[PartialD]\_y\ \(u(x, y)\), \[PartialD]\_\(x, x\)\(u(x, y)\), 
      \[PartialD]\_\(x, y\)\(u(x, y)\), \[PartialD]\_\(y, y\)\(u(x, y)\)\)]],
  "  exists and are harmonic functions."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.23,  Page 196.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox[\(exp(z)\),
                  FontSize->14], 
                StyleBox[\(z\  - \ 1\),
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  i 2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "e,\nwhere  C  is the circle C: |z| = 2  with positive orientation."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, i, solset, val, w, z, Z]; \n
    w\  = \ \[ExponentialE]\^z\/\(z - 1\); \n
    solset\  = \ Sort[Solve[Denominator[w] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), 
      \(Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \)]; 
    \nPrint["\<w = \>", w]; \nPrint["\<The set of singularities is \>", Z]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell["Find the singularity that lie inside C.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[\*"\"\<\!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], \n"\<,    Is |\>", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], "\<| < 2 ?    \>", 
      N[Abs[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]] < 2]; \)\)], "Input",\

  AspectRatioFixed->True],

Cell["The integrand f(z) is to be used is:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[z_]\  = \ 
      w\ \((z\  - \ Z\[LeftDoubleBracket]1\[RightDoubleBracket])\); \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral of f(z) taken over C is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      2\ \[Pi]\ \[ImaginaryI]\ 
        f[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print["\< f[z] = \>", f[z]]; \n
    Print[\*"\"\<   \!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<f[\!\(z\_1\)] = \>\"", \ 
      f[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\)\!\(\[ExponentialE]\^z\/\(z - 1\)\
\)\[DifferentialD]z = 2\[Pi]\[ImaginaryI] f[\!\(z\_1\)] = \>\"", val]; \)], 
  "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.24,  Page 196.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox[\(sin(z)\),
                  FontSize->14], 
                StyleBox[\(4 z\  + \ \[Pi]\),
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            RowBox[{
              RowBox[{"-", " ", 
                FormBox[\(\@2\),
                  "TraditionalForm"]}], " ", "\[Pi]", " ", "i"}],
            FontSize->14], 
          StyleBox["4",
            FontSize->14]], TraditionalForm]]],
  " ,\nwhere  C  is the circle C: |z| = 1  with positive orientation."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, i, solset, val, w, z, Z]; \n
    w\  = \ Sin[z]\/\(4  z\  + \ \[Pi]\); \n
    solset\  = \ Sort[Solve[Denominator[w] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), 
      \(Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \)]; 
    \nPrint["\<w = \>", w]; \nPrint["\<The set of singularities is \>", Z]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Find the singularity that lie inside C."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[\*"\"\<\!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], \n"\<,    Is |\>", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], "\<| < 1 ?    \>", 
      N[Abs[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]] < 1]; \)\)], "Input"],

Cell["The integrand f(z) is to be used is:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[z_]\  = \ 
      Simplify[w\ \((z\  - \ Z\[LeftDoubleBracket]1\[RightDoubleBracket])\)]; 
    \nPrint["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral of f(z) taken over C is:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      2\ \[Pi]\ \[ImaginaryI]\ 
        f[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print["\< f[z] = \>", f[z]]; \n
    Print[\*"\"\<   \!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<f[\!\(z\_1\)] = \>\"", \ 
      f[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\) \!\(Sin[z]\/\(4  z\\\  + \\\ \
\[Pi]\)\)\[DifferentialD]z =  2\[Pi]\[ImaginaryI] f[\!\(z\_1\)] = \>\"", 
      val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.25,  Page 198.",
    FontWeight->"Bold"],
  "   Let  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  denote a fixed complex value.   If  C  is a \nsimple closed positively \
orientated contour such that  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  lies interior to  C, then\n\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  RowBox[{"z", " ", "-", " ", 
                    FormBox[
                      StyleBox[\(z\_0\),
                        FontSize->14],
                      "TraditionalForm"]}],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i ,\n\n",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  SuperscriptBox[
                    RowBox[{"(", 
                      StyleBox[
                        RowBox[{"z", " ", "-", " ", 
                          FormBox[
                            StyleBox[\(z\_0\),
                              FontSize->14],
                            "TraditionalForm"]}],
                        FontSize->14], ")"}], "n"],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  0 , where  n \[NotEqual] 1 is an integer."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a)",
    FontWeight->"Bold"],
  "   Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  RowBox[{"z", " ", "-", " ", 
                    FormBox[
                      StyleBox[\(z\_0\),
                        FontSize->14],
                      "TraditionalForm"]}],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  2 ",
  StyleBox["\[Pi] ",
    FontFamily->"Symbol"],
  "i .\n",
  StyleBox["For illustration,",
    FontColor->RGBColor[1, 0, 1]],
  " we use a circle of radius 1 centered at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, F, \[Theta], z, z0]; \nf[z_]\  = \ 1\/\(z - z0\); \n
    z[\[Theta]_]\  = \ z0\  + \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); 
    \nF[\[Theta]_]\  = 
      \[Integral]f[z[\[Theta]]] \(z'\)[\[Theta]] \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0\%\(2  \[Pi]\)f[z[\[Theta]]] \(z'\)[\[Theta]] 
          \[DifferentialD]\[Theta]; \n
    Print["\<              f[z] = \>", f[z]]; \n
    Print["\<              z[\[Theta]] = \>", z[\[Theta]]]; \n
    Print["\<           f[z[\[Theta]]] = \>", f[z[\[Theta]]]]; \n
    Print["\<             z'[\[Theta]] = \>", \(z'\)[\[Theta]]]; \n
    Print["\<     f[z[\[Theta]]] z'[\[Theta]] = \>", 
      f[z[\[Theta]]]\ \(z'\)[\[Theta]]]; \n
    Print["\<   \[Integral]f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>", 
      F[\[Theta]]]; \n
    Print["\<F[2\[Pi]] = \>", F[2  \[Pi]], "\<,    F[0] = \>", F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = F[2\[Pi]]-F[0] = \
\>\"", \nF[2  \[Pi]] - F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>\"", val]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)",
    FontWeight->"Bold"],
  "   Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  SuperscriptBox[
                    RowBox[{"(", 
                      StyleBox[
                        RowBox[{"z", " ", "-", " ", 
                          FormBox[
                            StyleBox[\(z\_0\),
                              FontSize->14],
                            "TraditionalForm"]}],
                        FontSize->14], ")"}], "5"],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  0 ,\n",
  StyleBox["For illustration,",
    FontColor->RGBColor[1, 0, 1]],
  " we use a circle of radius 1 centered at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, F, \[Theta], z, z0]\), 
    \(f[z_]\  = \ 1\/\((z - z0)\)\^5; \n
    z[\[Theta]_]\  = \ z0\  + \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\); 
    \nF[\[Theta]_]\  = 
      \[Integral]f[z[\[Theta]]] \(z'\)[\[Theta]] \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0\%\(2  \[Pi]\)f[z[\[Theta]]] \(z'\)[\[Theta]] 
          \[DifferentialD]\[Theta]; \n
    Print["\<              f[z] = \>", f[z]]; \n
    Print["\<              z[\[Theta]] = \>", z[\[Theta]]]; \n
    Print["\<           f[z[\[Theta]]] = \>", f[z[\[Theta]]]]; \n
    Print["\<             z'[\[Theta]] = \>", \(z'\)[\[Theta]]]; \n
    Print["\<     f[z[\[Theta]]] z'[\[Theta]] = \>", 
      f[z[\[Theta]]]\ \(z'\)[\[Theta]]]; \n
    Print["\<   \[Integral]f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>", 
      F[\[Theta]]]; \n
    Print["\<F[2\[Pi]] = \>", F[2  \[Pi]], "\<,    F[0] = \>", F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = F[2\[Pi]]-F[0] = \
\>\"", \nF[2  \[Pi]] - F[0]]; \n
    Print[\*"\"\< \!\(\[Integral]\_0\%\(2  \
\[Pi]\)\)f[z[\[Theta]]]z'[\[Theta]]\[DifferentialD]t = \>\"", val]; \)}], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.26,  Page 198.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox[
                  RowBox[{"exp", "(", 
                    SuperscriptBox[
                      StyleBox["z",
                        FontSize->14], "2"], ")"}],
                  FontSize->14], 
                SuperscriptBox[
                  RowBox[{"(", " ", 
                    StyleBox[\(z\  - \ i\),
                      FontSize->14], 
                    StyleBox[" ",
                      FontSize->14], ")"}], "4"]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(\(-\ 4\)\ \[Pi]\),
            FontSize->14], 
          StyleBox[\(3\ e\),
            FontSize->14]], TraditionalForm]]],
  ",\nwhere  C  is the circle C: |z| = 2  with positive orientation."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, i, solset, val, w, z, Z]; \n
    w\  = \ \[ExponentialE]\^\(z\^2\)\/\((z\  - \ \[ImaginaryI])\)\^4; \n
    solset\  = \ Sort[Solve[Denominator[w] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), 
      \(Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \)]; 
    \nPrint["\<w = \>", w]; \nPrint["\<The set of singularities is \>", Z]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Find the singularity that lie inside C."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[\*"\"\<\!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], \n"\<,    Is |\>", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], "\<| < 2 ?    \>", 
      N[Abs[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]] < 2]; \)\)], "Input"],

Cell[TextData[{
  "Since  z = i  is a singularity of order  n = 4 , multiply the integrand by \
 ",
  Cell[BoxData[
      \(TraditionalForm\`\((z\  - \ i)\)\^4\)],
    FontSize->14],
  "  to obtain the function  f(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[z_]\  = \ 
      w\ \((z\  - \ Z\[LeftDoubleBracket]1\[RightDoubleBracket])\)\^4; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
The integral of f(z) taken over C is obtained by applying the \
Cauchy integral formula for derivatives.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f3\  = \ Simplify[Expand[\(\(\(f'\)'\)'\)[z]]]; \n
    val\  = \ \(2\ \[Pi]\ \[ImaginaryI]\)\/\(3!\)\ 
        \(\(\(f'\)'\)'\)[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print["\< f'''[z] = \>", f3]; \n
    Print[\*"\"\<      \!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<f'''[\!\(z\_1\)] = \>\"", \ 
      \(\(\(f'\)'\)'\)[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\) \
\!\(\[ExponentialE]\^\(z\^2\)\/\((z\\\  - \\\ \[ImaginaryI])\)\^4\)\
\[DifferentialD]z = \!\(\(2\\\ \[Pi]\\\ \[ImaginaryI]\)\/\(3!\)\) \
f'''[\!\(z\_1\)] = \>\"", val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 6.27,  Page 198.",
    FontWeight->"Bold"],
  "  Show that   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], " "], " ", 
            RowBox[{
              FractionBox[
                StyleBox[
                  RowBox[{"exp", "(", " ", 
                    RowBox[{
                      StyleBox["i",
                        FontSize->14], 
                      StyleBox[" ",
                        FontSize->14], "\[Pi]", " ", "z"}], ")"}],
                  FontSize->14], 
                StyleBox[\(2 z\^2\  - \ 5 z\  + \ 2\),
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(2\ \[Pi]\),
            FontSize->14], 
          StyleBox["3",
            FontSize->14]], TraditionalForm]]],
  ",\nwhere  C  is the circle C: |z| = 1  with positive orientation."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, i, solset, val, w, z, Z]; \n
    w\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ \[Pi]\ z\)\/\(2  z\^2\  - \ 
          5  z\  + \ 2\); \nsolset\  = \ Sort[Solve[Denominator[w] == 0, z]]; 
    \nZ\  = \ Table[0, {Length[solset]}]; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), 
      \(Z\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \)]; 
    \nPrint["\<w = \>", w]; \nPrint["\<The set of singularities is \>", Z]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["Find the singularity that lie inside C."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(Print[\*"\"\<\!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], \n"\<,    Is |\>", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket], "\<| < 1 ?    \>", 
      N[Abs[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]] < 1]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", 
      Z\[LeftDoubleBracket]2\[RightDoubleBracket], \n"\<,    Is |\>", 
      Z\[LeftDoubleBracket]2\[RightDoubleBracket], "\<| < 1 ?    \>", 
      N[Abs[Z\[LeftDoubleBracket]2\[RightDoubleBracket]]] < 1]; \n\)\)], 
  "Input"],

Cell[TextData[{
  "Thus,  z = ",
  Cell[BoxData[
      \(TraditionalForm\`1\/2\)]],
  "  the only singularity that lies inside C."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["The integrand f(z) is to be used is:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[z_]\  = \ 
      Simplify[w\ \((z\  - \ Z\[LeftDoubleBracket]1\[RightDoubleBracket])\)]; 
    \nPrint["\<f[z] = \>", f[z]]\)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      2\ \[Pi]\ \[ImaginaryI]\ 
        f[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print["\< f[z] = \>", f[z]]; \n
    Print[\*"\"\<   \!\(z\_1\) = \>\"", 
      Z\[LeftDoubleBracket]1\[RightDoubleBracket]]; \n
    Print[\*"\"\<f[\!\(z\_1\)] = \>\"", \ 
      f[Z\[LeftDoubleBracket]1\[RightDoubleBracket]]]; \n
    Print[\*"\"\<\!\(\(\[Integral]\_C\%.\)\) \!\(\[ExponentialE]\^\(\
\[ImaginaryI]\\\ \[Pi]\\\ z\)\/\(2  z\^2\\\  - \\\ 5  z\\\  + \\\ 2\)\)\
\[DifferentialD]z =  2\[Pi]\[ImaginaryI] f[\!\(z\_1\)] = \>\"", val]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 6",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 6.6  ",
  StyleBox["The Theorems of Morera and Liouville and Some Applications",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 6.6"],

Cell[TextData[{
  StyleBox["Theorem 6.11,  Page 201.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Morera's Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f  be a continuous function in a simply connected domain D.  If  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["C",
                FontSize->14], " "], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(\(f(z)\) \[DifferentialD]z\),
              FontSize->14]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox["0",
            FontSize->14]}], TraditionalForm]]],
  "  for every closed contour in  D,  then  f  is analytic in  D.",
  StyleBox["\n\nTheorem 6.12,  Page 201.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Gauss's Mean Value Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  f  is analytic in a simply connected domain  D  that contains the \
circle  ",
  Cell[BoxData[
      \(TraditionalForm
      \`\(C : \)\  \[VerticalSeparator] \(z - z\_0 \[VerticalSeparator] \) = R
        \)]],
  ",  then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(f(z\_0)\), "=", 
          RowBox[{
            StyleBox[
              FractionBox[
                StyleBox["1",
                  FontSize->12], 
                StyleBox[\(2 \[Pi]\),
                  FontSize->12]],
              FontSize->10], " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], "0", \(2  \[Pi]\)], 
              \(\(f(z\_0 + R\ \[ExponentialE]\^i\[Theta])\) 
                \[DifferentialD]\[Theta]\)}]}]}], TraditionalForm]]],
  ".",
  StyleBox["\n\nTheorem 6.13,  Page 202.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Maximum Modulus Principle)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f  be analytic and nonconstant in the domain  D.  Then  ",
  Cell[BoxData[
      \(TraditionalForm
      \`\(\[VerticalSeparator]\( f(z) \[VerticalSeparator] \)\)\)]],
  "  does not attain a maximum value at any point  ",
  Cell[BoxData[
      \(TraditionalForm\`z\_0\)]],
  "  in  D.\n\n",
  StyleBox["Theorem 6.14,  Page 204.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Cauchy's Inequalities)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  f  be analytic and nonconstant in the domain  D  that contains the \
circle  ",
  Cell[BoxData[
      \(TraditionalForm
      \`\(C : \)\  \[VerticalSeparator] \(z - z\_0 \[VerticalSeparator] \) = R
        \)]],
  ".  If  ",
  Cell[BoxData[
      \(TraditionalForm
      \`\[VerticalSeparator] f(z) \[VerticalSeparator] \( < M\)\)]],
  "  holds for all points  z  on  C,  then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
        "\[VerticalBar]", \(\(f\^\((n)\)\)(z\_0)\), "\[VerticalBar]", 
          "\[LessEqual]", 
          StyleBox[
            FractionBox[
              StyleBox[\(\(n!\)\ M\),
                FontSize->12], 
              StyleBox[\(R\^n\),
                FontSize->12]],
            FontSize->16]}], TraditionalForm]]],
  "   for   ",
  Cell[BoxData[
      \(TraditionalForm\`n = 1, 2, \[CenterEllipsis]\)]],
  " .\n",
  StyleBox["\nTheorem 6.15,  Page 205.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Liouville's Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  f  is an entire function and is bounded for all values of  z  in the \
complex plane,  then  f  is constant.\n\n",
  StyleBox["Theorem 6.16,  Page 205.",
    FontWeight->"Bold"],
  " ",
  StyleBox["(The Fundamental Theorem of Algebra)",
    FontColor->RGBColor[1, 0, 1]],
  "  If  P(z)  is a polynomial of degree  n,  then  P  has at least one \
zero.",
  "\n\n",
  StyleBox["Corollary 6.3,  Page 206.",
    FontWeight->"Bold"],
  "  Let  P  be a polynomial of degree  n.  Then  P  can be expressed as the \
product of linear factors.  That is,  ",
  Cell[BoxData[
      \(TraditionalForm
      \`P(z) = A\ \((z - z\_1)\) \((z - z\_2)\) 
          \(\[CenterEllipsis](z - z\_n)\)\)]],
  "  where  ",
  Cell[BoxData[
      \(TraditionalForm\`z\_1, z\_2, \[CenterEllipsis], z\_n\)]],
  "  \nare the zeros of  P  counted according to multiplicity an  A  is a \
constant."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 6.28,  Page 204.",
    FontWeight->"Bold"],
  "  Let  f(z) = az + b,  where the domain is the disk  ",
  Cell[BoxData[
      \(TraditionalForm
      \`\(D : \)\  \[VerticalSeparator] 
        \(z \[VerticalSeparator] \( < \ 1\)\)\)]],
  ".\nThen  f(z)  is continuous on the closed region  ",
  Cell[BoxData[
      \(TraditionalForm
      \`\(R : \)\  \[VerticalSeparator] 
        \(z \[VerticalSeparator] \( \[LessEqual] \ 1\)\)\)]],
  "  and   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            UnderscriptBox["max", 
              StyleBox[\( \[VerticalBar] z \[VerticalBar]  < 1\),
                FontSize->10]], 
            \(\[VerticalSeparator]\( f(z) \[VerticalSeparator] \)\)}], "=", 
          "  ", \(\[VerticalSeparator] a \[VerticalSeparator] 
            \(+\(\[VerticalSeparator]\( b \[VerticalSeparator] \)\)\)\)}], 
        TraditionalForm]]],
  ",  and this value is assumed by  f(z)  at a point  ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(z\_0\), "=", 
          StyleBox[\(\[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\_0\)\),
            FontSize->14]}], TraditionalForm]]],
  "  on the boundary of  D.\nSolution.  The solution is given in the \
textbook."
}], "Text"],

Cell[TextData[{
  StyleBox["Example 6.29,  Page 205.",
    FontWeight->"Bold"],
  "  Show that the function   sin z   is ",
  StyleBox["NOT",
    FontColor->RGBColor[1, 0, 1]],
  " a bounded function."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{\(Clear[f, F, y, z]\), 
    RowBox[{
    \(f[z_]\  = \ Sin[z]\), ";", "\n", 
      \(F1[y_]\  = \ Sin[\[Pi]\/2\  + \ \[ImaginaryI]\ y]\), ";", "\n", 
      \(F2[y_]\  = \ TrigToExp[F1[y]]\), ";", "\n", 
      \(lim1\  = \ Limit[\ F1[y], \ y \[Rule] \[Infinity]]\), ";", "\n", 
      \(lim2\  = \ Limit[\ F2[y], \ y \[Rule] \[Infinity]]\), ";", "\n", 
      \(Print["\<    f[z] = \>", f[z]]\), ";", "\n", 
      \(Print[\*"\"\<f[\!\(\[Pi]\/2\)+\[ImaginaryI]y] = \>\"", 
        f[\[Pi]\/2\  + \ \[ImaginaryI]\ y]]\), ";", "\n", 
      \(Print[\*"\"\<    \!\(F\_1\)[y] = \>\"", F1[y]]\), ";", "\n", 
      \(Print[\*"\"\<    \!\(F\_2\)[y] = \>\"", F2[y]]\), ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(lim\+\(y \[Rule] 
\*InterpretationBox[\(\[Infinity]\),
DirectedInfinity[ 1]]\)\) \!\(F\_1\)[y] = \>\"", ",", "lim1"}], "]"}], ";", 
      "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(lim\+\(y \[Rule] 
\*InterpretationBox[\(\[Infinity]\),
DirectedInfinity[ 1]]\)\) \!\(F\_2\)[y] = \>\"", ",", "lim2"}], "]"}], 
      ";"}]}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 6",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{489, 247},
WindowMargins->{{2, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0},
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}},
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->RGBColor[0, 0, 1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3053, 98, 3209, 120, 249, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 6"->{
    Cell[6287, 222, 231, 9, 38, "Text",
      CellTags->"CHAPTER 6"]},
  "Section 6.1"->{
    Cell[6789, 242, 233, 9, 35, "Text",
      CellTags->"Section 6.1"]},
  "Section 6.2"->{
    Cell[14262, 468, 216, 8, 35, "Text",
      CellTags->"Section 6.2"]},
  "Section 6.3"->{
    Cell[41718, 1191, 212, 8, 35, "Text",
      CellTags->"Section 6.3"]},
  "Section 6.4"->{
    Cell[75001, 2130, 225, 8, 35, "Text",
      CellTags->"Section 6.4"]},
  "Section 6.5"->{
    Cell[85762, 2441, 233, 8, 35, "Text",
      CellTags->"Section 6.5"]},
  "Section 6.6"->{
    Cell[110913, 3173, 244, 8, 59, "Text",
      CellTags->"Section 6.6"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 142467, 4266},
  {"CHAPTER 6", 142556, 4269},
  {"Section 6.1", 142646, 4272},
  {"Section 6.2", 142738, 4275},
  {"Section 6.3", 142831, 4278},
  {"Section 6.4", 142925, 4281},
  {"Section 6.5", 143019, 4284},
  {"Section 6.6", 143113, 4287}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 709, 22, 198, "Text"]
}, Closed]],
Cell[3053, 98, 3209, 120, 249, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[6287, 222, 231, 9, 38, "Text",
  CellTags->"CHAPTER 6"],
Cell[6521, 233, 231, 4, 70, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[6789, 242, 233, 9, 35, "Text",
  CellTags->"Section 6.1"],
Cell[7025, 253, 543, 14, 91, "Text"],
Cell[7571, 269, 580, 22, 39, "Text"],
Cell[8154, 293, 910, 16, 273, "Input"],
Cell[9067, 311, 155, 4, 33, "Text"],
Cell[9225, 317, 394, 7, 130, "Input"],
Cell[9622, 326, 1023, 41, 61, "Text"],
Cell[10648, 369, 956, 17, 274, "Input"],
Cell[11607, 388, 155, 4, 33, "Text"],
Cell[11765, 394, 555, 11, 130, "Input"],
Cell[12323, 407, 379, 9, 71, "Text"],
Cell[12705, 418, 310, 6, 123, "Input"],
Cell[13018, 426, 391, 14, 52, "Text"],
Cell[13412, 442, 628, 12, 204, "Input"],
Cell[14043, 456, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[14262, 468, 216, 8, 35, "Text",
  CellTags->"Section 6.2"],
Cell[14481, 478, 1504, 44, 135, "Text"],
Cell[15988, 524, 386, 10, 128, "Text"],
Cell[16377, 536, 1013, 20, 330, "Input"],
Cell[17393, 558, 961, 33, 97, "Text"],
Cell[18357, 593, 770, 14, 477, "Input"],
Cell[19130, 609, 728, 25, 78, "Text"],
Cell[19861, 636, 673, 12, 325, "Input"],
Cell[20537, 650, 534, 9, 198, "Input"],
Cell[21074, 661, 846, 16, 251, "Input"],
Cell[21923, 679, 703, 22, 78, "Text"],
Cell[22629, 703, 766, 13, 303, "Input"],
Cell[23398, 718, 249, 8, 71, "Text"],
Cell[23650, 728, 177, 3, 70, "Input"],
Cell[23830, 733, 192, 6, 33, "Text"],
Cell[24025, 741, 604, 11, 210, "Input"],
Cell[24632, 754, 1037, 18, 324, "Input"],
Cell[25672, 774, 504, 9, 183, "Input"],
Cell[26179, 785, 202, 7, 33, "Text"],
Cell[26384, 794, 607, 11, 210, "Input"],
Cell[26994, 807, 1036, 18, 324, "Input"],
Cell[28033, 827, 504, 9, 183, "Input"],
Cell[28540, 838, 124, 2, 33, "Text"],
Cell[28667, 842, 152, 4, 42, "Input"],
Cell[28822, 848, 443, 15, 71, "Text"],
Cell[29268, 865, 282, 5, 90, "Input"],
Cell[29553, 872, 192, 6, 33, "Text"],
Cell[29748, 880, 648, 12, 230, "Input"],
Cell[30399, 894, 1037, 18, 324, "Input"],
Cell[31439, 914, 504, 9, 183, "Input"],
Cell[31946, 925, 202, 7, 33, "Text"],
Cell[32151, 934, 651, 12, 230, "Input"],
Cell[32805, 948, 1037, 18, 324, "Input"],
Cell[33845, 968, 504, 9, 183, "Input"],
Cell[34352, 979, 189, 7, 33, "Text"],
Cell[34544, 988, 152, 4, 42, "Input"],
Cell[34699, 994, 1262, 40, 134, "Text"],
Cell[35964, 1036, 252, 5, 90, "Input"],
Cell[36219, 1043, 192, 6, 33, "Text"],
Cell[36414, 1051, 736, 15, 310, "Input"],
Cell[37153, 1068, 516, 9, 180, "Input"],
Cell[37672, 1079, 419, 9, 109, "Text"],
Cell[38094, 1090, 1013, 20, 330, "Input"],
Cell[39110, 1112, 981, 18, 365, "Input"],
Cell[40094, 1132, 189, 7, 33, "Text"],
Cell[40286, 1141, 156, 4, 41, "Input"],
Cell[40445, 1147, 1051, 30, 102, "Text"],
Cell[41499, 1179, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[41718, 1191, 212, 8, 35, "Text",
  CellTags->"Section 6.3"],
Cell[41933, 1201, 6264, 198, 444, "Text"],
Cell[48200, 1401, 1477, 44, 207, "Text"],
Cell[49680, 1447, 151, 6, 33, "Text"],
Cell[49834, 1455, 1195, 22, 367, "Input"],
Cell[51032, 1479, 56, 0, 33, "Text"],
Cell[51091, 1481, 1194, 23, 367, "Input"],
Cell[52288, 1506, 137, 6, 33, "Text"],
Cell[52428, 1514, 1190, 23, 367, "Input"],
Cell[53621, 1539, 1391, 42, 138, "Text"],
Cell[55015, 1583, 2083, 65, 165, "Text"],
Cell[57101, 1650, 1064, 37, 61, "Text"],
Cell[58168, 1689, 1203, 22, 381, "Input"],
Cell[59374, 1713, 1190, 38, 62, "Text"],
Cell[60567, 1753, 1217, 23, 384, "Input"],
Cell[61787, 1778, 759, 26, 78, "Text"],
Cell[62549, 1806, 175, 4, 84, "Input"],
Cell[62727, 1812, 409, 8, 90, "Text"],
Cell[63139, 1822, 1591, 29, 348, "Input"],
Cell[64733, 1853, 118, 2, 33, "Text"],
Cell[64854, 1857, 543, 9, 90, "Input"],
Cell[65400, 1868, 232, 5, 52, "Text"],
Cell[65635, 1875, 376, 7, 65, "Input"],
Cell[66014, 1884, 828, 29, 78, "Text"],
Cell[66845, 1915, 175, 4, 84, "Input"],
Cell[67023, 1921, 409, 8, 90, "Text"],
Cell[67435, 1931, 1591, 29, 348, "Input"],
Cell[69029, 1962, 132, 3, 33, "Text"],
Cell[69164, 1967, 634, 12, 90, "Input"],
Cell[69801, 1981, 232, 5, 52, "Text"],
Cell[70036, 1988, 265, 5, 65, "Input"],
Cell[70304, 1995, 740, 25, 78, "Text"],
Cell[71047, 2022, 180, 4, 84, "Input"],
Cell[71230, 2028, 409, 8, 90, "Text"],
Cell[71642, 2038, 1591, 29, 348, "Input"],
Cell[73236, 2069, 546, 18, 71, "Text"],
Cell[73785, 2089, 604, 18, 71, "Text"],
Cell[74392, 2109, 387, 7, 65, "Input"],
Cell[74782, 2118, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[75001, 2130, 225, 8, 35, "Text",
  CellTags->"Section 6.4"],
Cell[75229, 2140, 3126, 96, 240, "Text"],
Cell[78358, 2238, 390, 13, 73, "Text"],
Cell[78751, 2253, 801, 15, 307, "Input"],
Cell[79555, 2270, 475, 16, 75, "Text"],
Cell[80033, 2288, 1346, 32, 177, "Input"],
Cell[81382, 2322, 687, 22, 80, "Text"],
Cell[82072, 2346, 887, 16, 324, "Input"],
Cell[82962, 2364, 775, 26, 78, "Text"],
Cell[83740, 2392, 934, 15, 289, "Input"],
Cell[84677, 2409, 114, 2, 33, "Text"],
Cell[84794, 2413, 746, 14, 239, "Input"],
Cell[85543, 2429, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[85762, 2441, 233, 8, 35, "Text",
  CellTags->"Section 6.5"],
Cell[85998, 2451, 5436, 149, 514, "Text"],
Cell[91437, 2602, 751, 25, 80, "Text"],
Cell[92191, 2629, 518, 10, 185, "Input"],
Cell[92712, 2641, 103, 2, 33, "Text"],
Cell[92818, 2645, 305, 6, 50, "Input"],
Cell[93126, 2653, 100, 2, 33, "Text"],
Cell[93229, 2657, 175, 4, 50, "Input"],
Cell[93407, 2663, 111, 2, 33, "Text"],
Cell[93521, 2667, 521, 11, 125, "Input"],
Cell[94045, 2680, 1030, 34, 83, "Text"],
Cell[95078, 2716, 517, 10, 184, "Input"],
Cell[95598, 2728, 113, 2, 33, "Text"],
Cell[95714, 2732, 277, 4, 50, "Input"],
Cell[95994, 2738, 100, 2, 33, "Text"],
Cell[96097, 2742, 185, 4, 50, "Input"],
Cell[96285, 2748, 111, 2, 33, "Text"],
Cell[96399, 2752, 556, 12, 125, "Input"],
Cell[96958, 2766, 2080, 65, 165, "Text"],
Cell[99041, 2833, 1064, 37, 61, "Text"],
Cell[100108, 2872, 1203, 22, 381, "Input"],
Cell[101314, 2896, 1190, 38, 62, "Text"],
Cell[102507, 2936, 1217, 23, 384, "Input"],
Cell[103727, 2961, 1209, 38, 83, "Text"],
Cell[104939, 3001, 546, 10, 194, "Input"],
Cell[105488, 3013, 113, 2, 33, "Text"],
Cell[105604, 3017, 277, 4, 50, "Input"],
Cell[105884, 3023, 278, 9, 52, "Text"],
Cell[106165, 3034, 178, 4, 50, "Input"],
Cell[106346, 3040, 176, 5, 33, "Text"],
Cell[106525, 3047, 707, 13, 167, "Input"],
Cell[107235, 3062, 1139, 36, 80, "Text"],
Cell[108377, 3100, 571, 10, 188, "Input"],
Cell[108951, 3112, 113, 2, 33, "Text"],
Cell[109067, 3116, 529, 9, 110, "Input"],
Cell[109599, 3127, 190, 7, 36, "Text"],
Cell[109792, 3136, 100, 2, 33, "Text"],
Cell[109895, 3140, 183, 4, 50, "Input"],
Cell[110081, 3146, 610, 13, 127, "Input"],
Cell[110694, 3161, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[110913, 3173, 244, 8, 59, "Text",
  CellTags->"Section 6.6"],
Cell[111160, 3183, 4325, 130, 522, "Text"],
Cell[115488, 3315, 1264, 33, 90, "Text"],
Cell[116755, 3350, 261, 9, 33, "Text"],
Cell[117019, 3361, 1111, 22, 292, "Input"],
Cell[118133, 3385, 182, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

