(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    109851,       3462]*)
(*NotebookOutlinePosition[    134935,       4371]*)
(*  CellTagsIndexPosition[    134631,       4358]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text"]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 8   ",
    FontSize->18],
  StyleBox["RESIDUE THEORY\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 8.1  ",
    FontSize->18],
  ButtonBox["The Residue Theorem",
    ButtonData:>"Section 8.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 8.2  ",
    FontSize->18],
  ButtonBox["Calculation of Residues",
    ButtonData:>"Section 8.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 8.3  ",
    FontSize->18],
  ButtonBox["Trigonometric Integrals",
    ButtonData:>"Section 8.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 8.4  ",
    FontSize->18],
  ButtonBox["Improper Integrals of Rational Functions",
    ButtonData:>"Section 8.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 8.5  ",
    FontSize->18],
  ButtonBox["Improper Integrals involving Trigonometric Functions\n",
    ButtonData:>"Section 8.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["Section 8.6  ",
    FontSize->18],
  ButtonBox["Indented Integrals",
    ButtonData:>"Section 8.6",
    ButtonStyle->"Hyperlink"],
  ButtonBox["\n",
    ButtonData:>"Section 8.5",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 8   ",
    FontSize->18],
  StyleBox["RESIDUE THEORY",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False,
  CellTags->"CHAPTER 8"],

Cell[BoxData[
    \(\(Clear[A, f, f0, F, g, G, i, p, R, Res, Res1, Res2, Res3, Res4, Res5, 
      Res6, solset, sub, S, \[Theta], val, x, z, z1, z2, z3, z4, z5, z6, Z]; 
    \)\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 8.1  ",
    FontSize->18],
  StyleBox["The Residue Theorem",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False,
  CellTags->"Section 8.1"],

Cell[TextData[{
  "     In this section we extend the results of the Cauchy integral formulae \
in \nSection 6.5 to integrals that have a finite number of isolated \
singularities \nwhich lie inside the contour C .\n\n",
  StyleBox["Definition,  Page 244.",
    FontWeight->"Bold"],
  "  Let  f(z)  have a nonremovable isolated singularity at the point  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ".  \nThen  f(z)  has the Laurent series representation  f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[Sum]\+\(-\[Infinity]\)\%\[Infinity]\), 
            SuperscriptBox[
              RowBox[{\(a\_n\), "(", 
                RowBox[{"z", "-", 
                  FormBox[\(z\_0\),
                    "TraditionalForm"]}], ")"}], "n"]}],
          FontSize->14], TraditionalForm]]],
  ".  \nThe coefficient  ",
  Cell[BoxData[
      \(TraditionalForm\`a\_\(-1\)\)],
    FontSize->14],
  "  of  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[
            RowBox[{"z", "-", 
              FormBox[\(z\_0\),
                "TraditionalForm"]}],
            FontSize->14]], TraditionalForm]]],
  " is called the ",
  StyleBox["residue",
    FontColor->RGBColor[1, 0, 1]],
  " of  f(z)  at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "  and \nwe use the notation  Res[f, ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "] = ",
  StyleBox["a",
    FontSize->14],
  StyleBox["-1",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  ".\n\n",
  StyleBox["Theorem 8.1,  Page 245. ",
    FontWeight->"Bold"],
  " ",
  StyleBox["(Cauchy's Residue Theorem)",
    FontColor->RGBColor[1, 0, 1]],
  "  Let  D  be a simply connected domain, and let  C  be a simple closed \
positively oriented contour that lies in  D.  If  f(z)  is analytic inside  C \
 and on  C,  except at the points  ",
  Cell[BoxData[
      \(TraditionalForm\`\(\ z\_1, z\_2, \[CenterEllipsis], z\_n\)\)]],
  "  that lie inside  C, then  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->18], 
              StyleBox["C",
                FontSize->14], " "], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(\(f(z)\) \[DifferentialD]z\),
              FontSize->14]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox[
            RowBox[{"2", "\[Pi]", " ", "i", " ", 
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], \(k = 1\), "n"], \(Res[f, \ z\_k]\)}]}],
            FontSize->14]}], TraditionalForm]]],
  ". "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[TextData[{
  StyleBox["Example 8.1,  Page 244.",
    FontWeight->"Bold"],
  "  Find the residue at z = 0 for the function  f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[ExponentialE]\^\(2\/z\)\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, Res, S, z]; \nf[z_]\  = \ \[ExponentialE]\^\(2\/z\); \n
    S[z_]\  = \ Series[f[z], {z, \[Infinity], 5}]; \n
    Print["\<f[z] = \>", f[z]]; \nPrint["\<S[z] = \>", S[z]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "The coefficient of  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]], TraditionalForm]]],
  "  is  2  so the residue is  Res[f, 0] = 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Res\  = \ \(S[z]\)\[LeftDoubleBracket]3, 2\[RightDoubleBracket]; \n
    Print[\*"\"\<Res[f,0] = Res[\!\(\[ExponentialE]\^\(2\/z\)\),0] = \>\"", 
      Res]; \)], "Input"],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.2,  Page 244.",
    FontWeight->"Bold"],
  "  Find the residue at  z = 0  for the function  \ng(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["3",
            FontSize->14], 
          StyleBox[
            RowBox[{\(2 z\), " ", "+", " ", 
              FormBox[\(z\^2\),
                "TraditionalForm"], " ", "-", " ", 
              FormBox[\(z\^3\),
                "TraditionalForm"]}],
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[g, Res, S, z]; \ng[z_]\  = \ 3\/\(2  z\  + \ z\^2\  - \ z\^3\); \n
    S[z_]\  = \ Series[g[z], {z, 0, 4}]; \nPrint["\<g[z] = \>", g[z]]; \n
    Print["\<S[z] = \>", S[z]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "The coefficient of  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]], TraditionalForm]]],
  "  is  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox["3",
              FontSize->14], 
            StyleBox["2",
              FontSize->14]],
          FontSize->14], TraditionalForm]]],
  "  so the residue is  Res[g,0]  =  ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox["3",
              FontSize->14], 
            StyleBox["2",
              FontSize->14]],
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[TextData[{
  "We compare this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  Residue procedure for computing residues."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Res\  = Residue[g[z], {z, 0}]; \n
    Print[\*"\"\<Res[g,0] = Res[\!\(3\/\(2  z\\\  + \\\ z\^2\\\  - \\\ z\^3\)\
\),0] = \>\"", Res]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.3,  Page 245.",
    FontWeight->"Bold"],
  "  Use residues to integrate    ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              RowBox[{" ", 
                StyleBox["C",
                  FontSize->14]}], "."], "  ", 
            \(\(\[ExponentialE]\^\(2\/z\)\) \[DifferentialD]z\)}],
          FontSize->14], TraditionalForm]]],
  "\naround the circle  C: |z| =  1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell["From Example 8.1  Res[f,0]  =  2.", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[Res, val]; \nRes\  = \ 2; \n
    Print[\*"\"\<Res[f,0] = Res[\!\(\[ExponentialE]\^\(2\/z\)\),0] = \>\"", 
      Res]; \)], "Input",
  AspectRatioFixed->True],

Cell["Thus the value of the integral is:", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    RowBox[{\(val\  = \ 2  \[Pi]\ \[ImaginaryI]\ Res\), ";", "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(\(\[Integral]\_\(\\\ \*
StyleBox[\\(C\\),
FontSize->12]\)\%.\)\)\!\(\[ExponentialE]\^\(2\/z\)\)\[DifferentialD]z = 2\
\[Pi]\[ImaginaryI] Res[f,0] = \>\"", ",", "val"}], "]"}], ";"}]], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 8",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 8.2  ",
  StyleBox["Calculation of Residues",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False,
  FontSize->18,
  CellTags->"Section 8.2"],

Cell[TextData[{
  "\n",
  StyleBox["Theorem 8.2,  Page247.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(Residues at Poles)",
    FontColor->RGBColor[1, 0, 1]],
  "\n",
  StyleBox["(a)",
    FontWeight->"Bold"],
  "  \tIf  f(z)  has a simple pole at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ",  \n\tthen  Res[f, ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "] = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(lim\+\(z \[Rule] z\_0\)\),
          FontSize->14], TraditionalForm]]],
  " (z - ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ")f(z)\n\n",
  StyleBox["(b)",
    FontWeight->"Bold"],
  "  \tIf  f(z)  has a pole of order 2 at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ",  \n\tthen  Res[f, ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "] = ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(lim\+\(z \[Rule] z\_0\)\),
          FontSize->14], TraditionalForm]]],
  " ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{\(\[PartialD]\_z\), " ", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    RowBox[{"z", "-", 
                      FormBox[
                        StyleBox[\(z\_0\),
                          FontSize->14],
                        "TraditionalForm"]}], ")"}], "2"], \(f(z)\)}], 
              ")"}]}],
          FontSize->14], TraditionalForm]],
    FontSize->14],
  "\n\n",
  StyleBox["(c)",
    FontWeight->"Bold"],
  "  \tIf  f(z)  has a pole of order 3 at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  ",  \n\tthen  Res[f, ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  "] = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(2!\),
            FontSize->14]], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        StyleBox[\(lim\+\(z \[Rule] z\_0\)\),
          FontSize->14], TraditionalForm]]],
  " ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(\[PartialD]\_\(z, z\)\), " ", 
          RowBox[{"(", 
            FormBox[
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    RowBox[{"z", "-", 
                      FormBox[
                        StyleBox[\(z\_0\),
                          FontSize->14],
                        "TraditionalForm"]}], ")"}], "3"], \(f(z)\)}],
              "TraditionalForm"], ")"}]}], TraditionalForm]],
    FontSize->14]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[TextData[{
  StyleBox["Example 8.4,  Page 248.",
    FontWeight->"Bold"],
  "  Find the residue of  f(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(\[Pi]\ \(cot(\[Pi]\ z)\)\),
            FontSize->14], 
          StyleBox[\(z\^2\),
            FontSize->14]], TraditionalForm]]],
  "  at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  " = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, Res, S, z]; \nf[z_]\  = \ \(\[Pi]\ Cot[\[Pi]\ z]\)\/z\^2; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "The function  f(z)  has a pole of order  3  at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  " = 0.  \nNow, the residue  at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_0\),
          FontSize->14], TraditionalForm]]],
  " = 0  is determined:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<      \!\(z\^3\)f[z] = \>\"", z\^3\ f[z]]; \n
    Print[\*"\"\< \!\(\[PartialD]\_z\) (\!\(z\^3\)f[z]) = \>\"", 
      \[PartialD]\_z\ \((\(z\^3\) f[z])\)]; \n
    Print[\*"\"\<\!\(\[PartialD]\_\(z, z\)\) (\!\(z\^3\)f[z]) = \>\"", 
      \[PartialD]\_\(z, z\)\ \((z\^3\ f[z])\)]; \n
    Print[\*"\"\<\!\(1\/\(2!\)\)\!\(\(lim\\\ \)\+\(z \[Rule] 0\)\)[\!\(\
\[PartialD]\_\(z, z\)\)(\!\(z\^3\)f[z])] =\>\"", 
      1\/\(2!\)\ 
        Limit[\[PartialD]\_\(z, z\)\ \((z\^3\ f[z])\), z \[Rule] 0]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "We compare this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  Residue procedure for computing residues."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Res\  = \ Residue[f[z], {z, 0}]; \n
    Print[\*"\"\<Res[f,0] = Res[\!\(\(\[Pi]\\\ Cot[\[Pi]\\\ z]\)\/z\^2\),0] = \
\>\"", Res]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Which is the coefficient of  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]], TraditionalForm]]],
  "  in the series expansion for  f[z]."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(S[z_]\  = \ Series[f[z], {z, 0, 7}]; \n
    Res\  = \ \(S[z]\)\[LeftDoubleBracket]3, 3\[RightDoubleBracket]; \n
    Print["\<S[z] = \>", S[z]]; \n
    Print[\*"\"\<Res[f,0] = Res[\!\(\(\[Pi]\\\ Cot[\[Pi]\\\ z]\)\/z\^2\),0] = \
\>\"", Res]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.5,  Page  248.",
    FontWeight->"Bold"],
  "  Use residues to integrate   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{
            SubsuperscriptBox["\[Integral]", 
              StyleBox["C",
                FontSize->14], "."], " ", 
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[
                  RowBox[{\(z\^4\), " ", "+", " ", 
                    FormBox[\(z\^3\),
                      "TraditionalForm"], " ", "-", " ", 
                    RowBox[{"2", 
                      FormBox[\(z\^2\),
                        "TraditionalForm"]}]}],
                  FontSize->14]], \(\[DifferentialD]z\)}]}],
          FontSize->14], TraditionalForm]]],
  " \naround the circle C:  |z| = 3."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, Res1, Res2, Res3, Res4, z, z1, z2, z3, z4]; \n
    f[z_]\  = \(\ 1\)\/\(z\^4\  + \ z\^3\  - \ 2  z\^2\); \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Find the singularities of  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[
            RowBox[{\(z\^4\), " ", "+", " ", 
              FormBox[\(z\^3\),
                "TraditionalForm"], " ", "-", " ", 
              RowBox[{"2", 
                FormBox[\(z\^2\),
                  "TraditionalForm"]}]}],
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \n
    z4\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]4\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_4\) = \>\"", z4]; \)], "Input",
  AspectRatioFixed->False],

Cell["Find out which singularities lie within a circle  |z| < 3.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is |\>", z1, "\<| < 3 ?  \>", 
      N[Abs[z1]] < 3]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is |\>", z2, "\<| < 3 ?  \>", 
      N[Abs[z2]] < 3]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is |\>", z3, "\<| < 3 ?  \>", 
      N[Abs[z3]] < 3]; \n
    Print[\*"\"\<\!\(z\_4\) = \>\"", z4, "\<, Is |\>", z4, "\<| < 3 ?  \>", 
      N[Abs[z4]] < 3]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Compute the residues at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  ", ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  " and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_4\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res1\  = \ Residue[f[z], {z, z1}]; \nRes2\  = \ Residue[f[z], {z, z2}]; 
    \nRes4\  = \ Residue[f[z], {z, z4}]; \n
    Print["\<Res[f,\>", z1, "\<] = \>", Res1]; \n
    Print["\<Res[f,\>", z2, "\<] = \>", Res2]; \n
    Print["\<Res[f,\>", z4, "\<] = \>", Res4]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral is computed by the residue calculus:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
    \(val\  = 2\ \[Pi]\ \[ImaginaryI]\ \((Res1\  + \ Res2\  + \ Res4)\)\), 
      ";", "\n", 
      RowBox[{"Print", "[", "\"\<\!\(\(\[Integral]\_\(\\\ \*
StyleBox[\\(C\\),
FontSize->12]\)\%.\)\)\!\(\(\\\ 1\)\/\(z\^4\\\  + \\\ z\^3\\\  - \\\ 2  \
z\^2\)\)\[DifferentialD]z = 2\[Pi]\[ImaginaryI](\!\(\(-1\)\/12\) - \!\(1\/4\) \
+ \!\(1\/3\))\>\"", 
        StyleBox["]",
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(\(\[Integral]\_\(\\\ \*
StyleBox[\\(C\\),
FontSize->12]\)\%.\)\)\!\(\(\\\ 1\)\/\(z\^4\\\  + \\\ z\^3\\\  - \\\ 2  \
z\^2\)\)\[DifferentialD]z = \>\"", 
          StyleBox[",",
            FontSize->14], 
          StyleBox["val",
            FontSize->14]}], 
        StyleBox["]",
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14]}]], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.6,  Page 249.",
    FontWeight->"Bold"],
  "  Use residues to integrate   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox["\[Integral]", 
            StyleBox["C",
              FontSize->14], "."], " ", 
          RowBox[{
            FractionBox[
              StyleBox["1",
                FontSize->14], 
              StyleBox[\(z\^4 + \ 4\),
                FontSize->14]], 
            StyleBox[\(\[DifferentialD]z\),
              FontSize->14]}]}], TraditionalForm]]],
  "\naround the circle  C: |z-1| = 2."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, Res1, Res2, Res3, Res4, z, z1, z2, z3, z4]; \n
    f[z_]\  = \ 1\/\(z\^4\  + \ 4\); \nPrint["\<f[z] = \>", f[z]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Find the singularities of   f(z)  = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(z\^4 + \ 4\),
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \n
    z4\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]4\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_4\) = \>\"", z4]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[
"Find out which singularities lie within a circle  |z-1| < 2."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is |\>", z1, 
      "\< - 1| < 2 ?  \>", N[Abs[z1 - 1]] < 2]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is |\>", z2, 
      "\< - 1| < 2 ?  \>", N[Abs[z2 - 1]] < 2]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is |\>", z3, 
      "\< - 1| < 2 ?  \>", N[Abs[z3 - 1]] < 2]; \n
    Print[\*"\"\<\!\(z\_4\) = \>\"", z4, "\<, Is |\>", z4, 
      "\< - 1| < 2 ?  \>", N[Abs[z4 - 1]] < 2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Compute the residue at  ",
  Cell[BoxData[
      \(TraditionalForm\`z\_3\)],
    FontSize->14],
  " and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_4\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res3\  = \ Residue[f[z], {z, z3}]; \nRes4\  = \ Residue[f[z], {z, z4}]; 
    \nPrint["\<Res[f,\>", z3, "\<] = \>", Res3]; \n
    Print["\<Res[f,\>", z4, "\<] = \>", Res4]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral is computed by the residue calculus:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    RowBox[{
    \(val\  = 2\ \[Pi]\ \[ImaginaryI]\ \((Res3\  + \ Res4)\)\), ";", "\n", 
      RowBox[{"Print", "[", "\"\<\!\(\(\[Integral]\_\(\\\ \*
StyleBox[\\(C\\),
FontSize->12]\)\%.\)\)\!\(1\/\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]z = 2\[Pi]\
\[ImaginaryI](\!\(\(-1\)\/16\) + \!\(\[ImaginaryI]\/16\) - \!\(1\/16\) - \!\(\
\[ImaginaryI]\/16\))\>\"", 
        StyleBox["]",
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14], "\n", 
      RowBox[{"Print", "[", 
        RowBox[{"\"\<\!\(\(\[Integral]\_\(\\\ \*
StyleBox[\\(C\\),
FontSize->12]\)\%.\)\)\!\(1\/\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]z = \>\"", 
          
          StyleBox[",",
            FontSize->14], 
          StyleBox["val",
            FontSize->14]}], 
        StyleBox["]",
          FontSize->14]}], 
      StyleBox[";",
        FontSize->14]}]], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.7,  Page 250.",
    FontWeight->"Bold"],
  "  Find the partial fraction expansion f(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(3 z\  + \ 2\),
            FontSize->14], 
          RowBox[{
            RowBox[{
              StyleBox["z",
                FontSize->14], "(", 
              StyleBox[\(z - 1\),
                FontSize->14], 
              StyleBox[")",
                FontSize->14]}], 
            StyleBox[\((z - 2)\),
              FontSize->14]}]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, F, i, p, R, solset, z, Z]; \n
    f[z_]\  = \ \(3  z\  + \ 2\)\/\(z \((z - 1)\) \((z - 2)\)\); \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \nR\  = \ Table[0, {Length[solset]}]; 
    \nF[z_]\  = \ 0; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket] = 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n
      \ \ \ If[1 == i, p\  = \ 1]; \n\ \ \ 
      If[1 < i; 
        Z\[LeftDoubleBracket]i - 1\[RightDoubleBracket] == 
          Z\[LeftDoubleBracket]i\[RightDoubleBracket], p = p + 1, p = 1]; \n
      \ \ \ Print["\<z\>", i, "\< = \>", 
        Z\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n\ \ \ 
      R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[\(\((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p
                   - 1\)\) f[z], {z, 
            Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; \n\ \ \ 
      Print["\<Res[\>", 
        \((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p - 1\), 
        "\< f,\>", Z\[LeftDoubleBracket]i\[RightDoubleBracket], "\<] = \>", 
        R\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n\ \ \ Print["\< \>"]; 
      \n\ \ \ F[z_]\  = \ 
        F[z]\  + \ 
          R\[LeftDoubleBracket]i
              \[RightDoubleBracket]\/\((
                z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^p; ]; \n
    Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Compare this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s Apart  procedure for the partial fraction expansion."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", Apart[f[z]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.8,  Page 250.",
    FontWeight->"Bold"],
  "  Find the partial fraction expansion of  f(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            RowBox[{
              FormBox[\(z\^2\),
                "TraditionalForm"], " ", "+", " ", \(3 z\), " ", "+", " ", 
              "2"}],
            FontSize->14], 
          StyleBox[\(z\^2\ \((z\  - \ 1)\)\),
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, F, i, p, R, solset, z, Z]; \n
    f[z_]\  = \ \(z\^2\  + \ 3  z\  + \ 2\)\/\(\(z\^2\) \((z - 1)\)\); \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \nR\  = \ Table[0, {Length[solset]}]; 
    \nF[z_]\  = \ 0; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket] = 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n
      \ \ \ If[1 == i, p\  = \ 1]; \n\ \ \ 
      If[1 < i; 
        Z\[LeftDoubleBracket]i - 1\[RightDoubleBracket] == 
          Z\[LeftDoubleBracket]i\[RightDoubleBracket], p = p + 1, p = 1]; \n
      \ \ \ Print["\<z\>", i, "\< = \>", 
        Z\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n\ \ \ 
      R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[\(\((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p
                   - 1\)\) f[z], {z, 
            Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; \n\ \ \ 
      Print["\<Res[\>", 
        \((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p - 1\), 
        "\< f,\>", Z\[LeftDoubleBracket]i\[RightDoubleBracket], "\<] = \>", 
        R\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n\ \ \ Print["\< \>"]; 
      \n\ \ \ F[z_]\  = \ 
        F[z]\  + \ 
          R\[LeftDoubleBracket]i
              \[RightDoubleBracket]\/\((
                z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^p; ]; \n
    Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Compare this with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s Apart  procedure for the partial fraction expansion."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", Apart[f[z]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["An Extra Example,  Page 251.",
    FontWeight->"Bold"],
  "  Find the partial fraction expansion  of  f(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[\(z\^4 - 1\),
            FontSize->14]], TraditionalForm]]],
  ".\n"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, F, i, p, R, solset, z, Z]; \nf[z_]\  = \ 1\/\(z\^4 - 1\); \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \n
    Z\  = \ Table[0, {Length[solset]}]; \nR\  = \ Table[0, {Length[solset]}]; 
    \nF[z_]\  = \ 0; \n
    For[i = 1, i \[LessEqual] Length[solset], \(i++\), \n\ \ \ 
      Z\[LeftDoubleBracket]i\[RightDoubleBracket] = 
        ReplaceAll[z, solset\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n
      \ \ \ If[1 == i, p\  = \ 1]; \n\ \ \ 
      If[1 < i; 
        Z\[LeftDoubleBracket]i - 1\[RightDoubleBracket] == 
          Z\[LeftDoubleBracket]i\[RightDoubleBracket], p = p + 1, p = 1]; \n
      \ \ \ Print["\<z\>", i, "\< = \>", 
        Z\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n\ \ \ 
      R\[LeftDoubleBracket]i\[RightDoubleBracket]\  = \ 
        Residue[\(\((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p
                   - 1\)\) f[z], {z, 
            Z\[LeftDoubleBracket]i\[RightDoubleBracket]}]; \n\ \ \ 
      Print["\<Res[\>", 
        \((z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^\(p - 1\), 
        "\< f,\>", Z\[LeftDoubleBracket]i\[RightDoubleBracket], "\<] = \>", 
        R\[LeftDoubleBracket]i\[RightDoubleBracket]]; \n\ \ \ Print["\< \>"]; 
      \n\ \ \ F[z_]\  = \ 
        F[z]\  + \ 
          R\[LeftDoubleBracket]i
              \[RightDoubleBracket]\/\((
                z - Z\[LeftDoubleBracket]i\[RightDoubleBracket])\)\^p; ]; \n
    Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", F[z]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Which is an improvement on ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s Apart  procedure."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print["\<f[z] = \>", f[z]]; \nPrint["\<f[z] = \>", Apart[f[z]]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 8",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 8.3  ",
  StyleBox["Trigonometric Integrals",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False,
  FontSize->18,
  CellTags->"Section 8.3"],

Cell[TextData[{
  "     The method in this section is used to evaluate integrals of the form  \
 \n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->24], 
            StyleBox["0",
              FontSize->14], 
            StyleBox[\(2 \[Pi]\),
              FontSize->14]], 
          RowBox[{
            RowBox[{"F", "(", 
              RowBox[{
                RowBox[{"cos", "(", 
                  StyleBox["\[Theta]",
                    FontFamily->"Symbol"], 
                  StyleBox[")",
                    FontFamily->"Symbol"]}], 
                StyleBox[",",
                  FontFamily->"Symbol"], 
                StyleBox[" ",
                  FontFamily->"Symbol"], 
                RowBox[{"sin", "(", 
                  StyleBox["\[Theta]",
                    FontFamily->"Symbol"], 
                  StyleBox[")",
                    FontFamily->"Symbol"]}]}], ")"}], 
            \(\[DifferentialD]\[Theta]\)}]}], TraditionalForm]],
    FontSize->14],
  "    by using the contour  C: |z| = 1,  \nand the change of variable  cos(",
  
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ") = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            RowBox[{"z", "+", 
              FormBox[
                FractionBox[
                  StyleBox["1",
                    FontSize->14], 
                  StyleBox["z",
                    FontSize->14]],
                "TraditionalForm"]}],
            FontSize->14], 
          StyleBox["2",
            FontSize->14]], TraditionalForm]]],
  ",   sin(",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  ") = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[
            RowBox[{"z", "-", 
              FormBox[
                FractionBox[
                  StyleBox["1",
                    FontSize->14], 
                  StyleBox["z",
                    FontSize->14]],
                "TraditionalForm"]}],
            FontSize->14], 
          StyleBox[\(2 i\),
            FontSize->14]], TraditionalForm]]],
  "  and   d",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["dz",
            FontSize->14], 
          StyleBox[\(i\ Z\),
            FontSize->14]], TraditionalForm]]],
  ",\nand the complex function   f(z) = ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            RowBox[{
              StyleBox["F",
                FontSize->14], "(", 
              RowBox[{
                FormBox[
                  FractionBox[
                    StyleBox[
                      RowBox[{"z", "+", 
                        FormBox[
                          FractionBox[
                            StyleBox["1",
                              FontSize->14], 
                            StyleBox["z",
                              FontSize->14]],
                          "TraditionalForm"]}],
                      FontSize->14], 
                    StyleBox["2",
                      FontSize->14]],
                  "TraditionalForm"], ",", " ", 
                FormBox[
                  FractionBox[
                    StyleBox[
                      RowBox[{"z", "-", 
                        FormBox[
                          FractionBox[
                            StyleBox["1",
                              FontSize->14], 
                            StyleBox["z",
                              FontSize->14]],
                          "TraditionalForm"]}],
                      FontSize->14], 
                    StyleBox[\(2 i\),
                      FontSize->14]],
                  "TraditionalForm"]}], ")"}], 
            StyleBox[\(i\ z\),
              FontSize->14]],
          FontSize->14], TraditionalForm]]],
  ".\n\nThese problems were also solved using ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s table of integrals.\n\n",
  StyleBox["We need to use the following substitution procedure.",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f0, F, sub, \[Theta], z]; \n
    sub[F_, \[Theta]_]\  := \n
      Module[{}, \n\ \ Clear[f0]; \n\ \ f0\  = \ F; \n\ \ 
        f0\  = \ ReplaceAll[
            f0, {Cos[\[Theta]] \[Rule] \(z + 1\/z\)\/2, 
              Sin[\[Theta]] \[Rule] \(z - 1\/z\)\/\(2  \[ImaginaryI]\)}]; \n
        \ \ f0\  = \ 
          ReplaceAll[
            f0, {Cos[2  \[Theta]] \[Rule] \(z\^2 + 1\/z\^2\)\/2, 
              Sin[2  \[Theta]] \[Rule] 
                \(z\^2 - 1\/z\^2\)\/\(2  \[ImaginaryI]\)}]; \n\ \ 
        f0\  = \ ReplaceAll[
            f0, {Cos[3  \[Theta]] \[Rule] \(z\^3 + 1\/z\^3\)\/2, 
              Sin[3  \[Theta]] \[Rule] 
                \(z\^3 - 1\/z\^3\)\/\(2  \[ImaginaryI]\)}]; \n\ \ 
        f0\  = \ f0\/\(\[ImaginaryI]\ z\); \n\ \ f0\  = \ Together[f0]; \n\ \ 
        f0\  = \ Cancel[f0]; \n\ \ Return[f0]; \ ]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  StyleBox["Example 8.9,  Page 253.",
    FontWeight->"Bold"],
  "    Use substitution and an equivalent contour integral to evaluate   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->24], 
            StyleBox["0",
              FontSize->14], 
            StyleBox[\(2 \[Pi]\),
              FontSize->14]], 
          RowBox[{
            FractionBox[
              StyleBox["1",
                FontSize->14], 
              RowBox[{
                StyleBox["1",
                  FontSize->14], 
                StyleBox[" ",
                  FontSize->14], 
                StyleBox["+",
                  FontSize->14], 
                StyleBox[" ",
                  FontSize->14], 
                RowBox[{
                  StyleBox["3",
                    FontSize->14], 
                  StyleBox[" ",
                    FontSize->14], 
                  StyleBox[
                    FormBox[\(cos\^2\),
                      "TraditionalForm"],
                    FontSize->14], 
                  RowBox[{
                    StyleBox["(",
                      FontSize->14], 
                    StyleBox["\[Theta]",
                      FontFamily->"Symbol",
                      FontSize->14], 
                    StyleBox[")",
                      FontSize->14]}]}]}]], \(\[DifferentialD]\[Theta]\)}]}], 
        TraditionalForm]],
    FontSize->14],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, G, F, Res1, Res2, Res3, Res4, solset, \[Theta], val, z, z1, 
      z2, z3, z4]; \n
    F[\[Theta]_]\  = \(\ 1\)\/\(1\  + \ 3\ Cos[\[Theta]]\^2\); \n
    f[z_]\  = \ sub[F[\[Theta]], \[Theta]]; \n
    Print["\<F[\[Theta]] = \>", F[\[Theta]]]; \nPrint["\<f[z] = \>", f[z]]; 
    \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Find the singularities of  f(z)  =  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(\(-\ 4\)\ i\ z\),
            FontSize->14], 
          StyleBox[
            RowBox[{
              RowBox[{"3", " ", 
                FormBox[\(z\^4\),
                  "TraditionalForm"]}], " ", "+", " ", 
              RowBox[{"10", 
                FormBox[\(z\^2\),
                  "TraditionalForm"]}], " ", "+", " ", "3"}],
            FontSize->14]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \n
    z4\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]4\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_4\) = \>\"", z4]; \)], "Input",
  AspectRatioFixed->False],

Cell["Find out which singularities lie within a circle  |z| < 1.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is |\>", z1, "\<| < 1 ?  \>", 
      N[Abs[z1]] < 1]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is |\>", z2, "\<| < 1 ?  \>", 
      N[Abs[z2]] < 1]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is |\>", z3, "\<| < 1 ?  \>", 
      N[Abs[z3]] < 1]; \n
    Print[\*"\"\<\!\(z\_4\) = \>\"", z4, "\<, Is |\>", z4, "\<| < 1 ?  \>", 
      N[Abs[z4]] < 1]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Compute the residues at  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_1\),
          FontSize->14], TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(z\_2\),
          FontSize->14], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res1\  = \ Residue[f[z], {z, z1}]; \nRes2\  = \ Residue[f[z], {z, z2}]; 
    \nPrint["\<Res[f,\>", z1, "\<] = \>", Res1]; \n
    Print["\<Res[f,\>", z2, "\<] = \>", Res2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral is computed by the residue calculus:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(\ val\  = \ 2\ \[Pi]\ \[ImaginaryI]\ \((Res1\  + \ Res2)\); \n
    Print[\*"\"\<\!\(\[Integral]\_0\%\(2  \[Pi]\)\)\!\(\(\\\ 1\)\/\(1\\\  + \
\\\ 3\\\ Cos[\[Theta]]\^2\)\)\[DifferentialD]\[Theta] = \
2\[Pi]\[ImaginaryI](\!\(\(-\[ImaginaryI]\)\/4\) + \!\(\[ImaginaryI]\/4\)) = \
\>\"", val]; \)\)], "Input"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  is capable of finding some of these difficult integrals.  \nThe function \
 F(\[Theta]) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["1",
          FontSize->14], 
        RowBox[{
          StyleBox["1",
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], 
          StyleBox["+",
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], 
          RowBox[{
            StyleBox["3",
              FontSize->14], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox[\(cos\^2\),
              FontSize->14], 
            RowBox[{
              StyleBox["(",
                FontSize->14], 
              StyleBox["\[Theta]",
                FontFamily->"Symbol",
                FontSize->14], 
              StyleBox[")",
                FontSize->14]}]}]}]]]],
  " can be integrated directly to obtain:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(G[\[Theta]_]\  = \ 
      \[Integral]\(\(\ 1\)\/\(1\  + \ 3\ Cos[\[Theta]]\^2\)\) 
          \[DifferentialD]\[Theta]; \n
    val\  = \ \[Integral]\_0
          \%\(2  \[Pi]\)\(\(\ 1\)\/\(1\  + \ 3\ Cos[\[Theta]]\^2\)\) 
          \[DifferentialD]\[Theta]; \n
    Print[\*"\"\<G[\[Theta]] = \[Integral]\!\(\(\\\ 1\)\/\(1\\\  + \\\ 3\\\ \
Cos[\[Theta]]\^2\)\)\[DifferentialD]\[Theta] = \>\"", G[\[Theta]]]; \n
    Print[\*"\"\<     \!\(\[Integral]\_0\%\(2  \[Pi]\)\)\!\(\(\\\ 1\)\/\(1\\\ \
 + \\\ 3\\\ Cos[\[Theta]]\^2\)\)\[DifferentialD]\[Theta] = \>\"", val]; \)], 
  "Input"],

Cell[TextData[{
  "However, direct substitution using  G(\[Theta])  and the endpoints of the \
interval seems \nto be ",
  StyleBox["erroneous",
    FontColor->RGBColor[1, 0, 1]],
  ".  This is due to the fact that  cot(0)  and  cot(2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ")  are undefined."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<      G[0] = \>", G[0]]; \n
    Print["\<     G[2\[Pi]] = \>", G[2  \[Pi]]]; \n
    Print["\<G[2\[Pi]]-G[0] = \>", G[2  \[Pi]] - G[0]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "This is due to the fact that cot(0) and cot(2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ") are undefined.  A graph of  G(\[Theta])  reveals that it has a \
discontinuity at \[Theta] = ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " in the middle of the interval [0, 2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "].  This is a violation of the Fundamental Theorem of Calculus, which \
asserts that the integral of a continuous function must be continuous. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Plot[G[\[Theta]], {\[Theta], 0, 2  \[Pi]}, 
      PlotRange \[Rule] {{0, 2  \[Pi]}, {\(-1\), 1}}, 
      Ticks \[Rule] {Range[0, 2  \[Pi], \[Pi]\/2], Range[\(-1\), 1, 0.5]}, 
      PlotStyle \[Rule] RGBColor[1, 0, 0], 
      AxesLabel \[Rule] {"\<\[Theta]\>", "\<s\>"}]; \n
    Print["\<s = \>", G[\[Theta]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The indefinite integrand G(\[Theta]) can be used piecewise over  (0, ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ")  and  (",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ", 2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ") \nwhere it is continuous, by using the left and right hand limits at the \
endpoints. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      Limit[G[\[Theta]], \[Theta] \[Rule] \[Pi], Direction \[Rule] 1]\  - \ 
        Limit[G[\[Theta]], \[Theta] \[Rule] 0, Direction \[Rule] \(-1\)]\  + 
        \ Limit[G[\[Theta]], \[Theta] \[Rule] 2  \[Pi], Direction \[Rule] 1]\ 
         - \ Limit[G[\[Theta]], \[Theta] \[Rule] \[Pi], 
          Direction \[Rule] \(-1\)]; \n
    Print[\*"\"\<\!\(\[Integral]\_0\%\(2  \[Pi]\)\)\!\(\(\\\ 1\)\/\(1\\\  + \
\\\ 3\\\ Cos[\[Theta]]\^2\)\)\[DifferentialD]\[Theta] = \>\"", val]; \)], 
  "Input"],

Cell[TextData[{
  "The above answer is correct too.\nLimits were required because G(\[Theta]) \
is not continuous at  \[Theta] = 0,  \[Theta] = ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "   and   \[Theta] = 2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 8.10,  Page 255.",
    FontWeight->"Bold"],
  "    Show that   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            SubsuperscriptBox[
              StyleBox["\[Integral]",
                FontSize->24], 
              StyleBox["0",
                FontSize->14], 
              StyleBox[\(2 \[Pi]\),
                FontSize->14]], 
            RowBox[{
              FractionBox[
                StyleBox[
                  RowBox[{
                    FormBox["cos",
                      "TraditionalForm"], "(", 
                    RowBox[{
                      StyleBox["2",
                        FontSize->14], 
                      StyleBox["\[Theta]",
                        FontFamily->"Symbol",
                        FontSize->14]}], ")"}],
                  FontSize->12], 
                RowBox[{
                  StyleBox["5",
                    FontSize->12], 
                  StyleBox[" ",
                    FontSize->12], 
                  StyleBox["-",
                    FontSize->12], 
                  StyleBox[" ",
                    FontSize->12], 
                  RowBox[{
                    StyleBox["4",
                      FontSize->14], 
                    RowBox[{
                      StyleBox[
                        FormBox["cos",
                          "TraditionalForm"],
                        FontSize->14], 
                      StyleBox["(",
                        FontSize->14], 
                      StyleBox["\[Theta]",
                        FontFamily->"Symbol",
                        FontSize->14], 
                      StyleBox[")",
                        FontSize->14]}]}]}]], 
              \(\[DifferentialD]\[Theta]\)}]}], "=", 
          StyleBox[
            FractionBox[
              StyleBox["\[Pi]",
                FontSize->12], "6"],
            FontSize->14]}], TraditionalForm]],
    FontSize->14],
  ".\nSolution.  The solution is given in the textbook."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 8",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 8.4  ",
  StyleBox["Improper Integrals of Rational Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False,
  FontSize->18,
  CellTags->"Section 8.4"],

Cell[TextData[{
  StyleBox["Theorem 8.3,  Page 257.",
    FontWeight->"Bold"],
  "  Let  f(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(P(x)\),
            FontSize->14], 
          StyleBox[\(Q(x)\),
            FontSize->14]], TraditionalForm]]],
  "  where  P(x)  and  Q(x)  are polynomials, of degree  m  and  n ,  \
respectively.  If  Q(x) \[NotEqual] 0  for all real  x  and  m + 2 \
\[LessEqual] n,  and  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_1\),
            FontSize->14], ",", 
          StyleBox[\(z\_2\),
            FontSize->14], 
          StyleBox[",",
            FontSize->14], "\[CenterEllipsis]", 
          StyleBox[",",
            FontSize->14], 
          StyleBox[\(z\_k\),
            FontSize->14]}], TraditionalForm]]],
  "  are the poles of  ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(P(x)\),
            FontSize->14], 
          StyleBox[\(Q(x)\),
            FontSize->14]], TraditionalForm]]],
  "  that lie in the upper half plane.  Then    ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"P", ".", "V", ".", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox[\(-\[Infinity]\),
                  FontSize->10], 
                StyleBox["\[Infinity]",
                  FontSize->10]], 
              RowBox[{
                StyleBox[
                  FractionBox[
                    RowBox[{
                      StyleBox["P",
                        FontSize->14], 
                      StyleBox["(",
                        FontSize->12], 
                      StyleBox["x",
                        FontSize->12], 
                      StyleBox[")",
                        FontSize->12]}], 
                    RowBox[{
                      StyleBox["Q",
                        FontSize->14], 
                      StyleBox["(",
                        FontSize->12], 
                      StyleBox["x",
                        FontSize->12], 
                      StyleBox[")",
                        FontSize->12]}]],
                  FontSize->12], 
                StyleBox[\(\[DifferentialD]x\),
                  FontSize->14]}]}]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox[
            RowBox[{"2", "\[Pi]", " ", "i", " ", 
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], \(j = 1\), "k"], 
                RowBox[{"Res", "[", 
                  RowBox[{
                    FractionBox[
                      StyleBox["P",
                        FontSize->14], 
                      StyleBox["Q",
                        FontSize->14]], ",", " ", \(z\_j\)}], "]"}]}]}],
            FontSize->14]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[TextData[{
  "These problems were also solved using ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s table of integrals."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 8.11,  Page 257.",
    FontWeight->"Bold"],
  "  Evaluate   ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(lim\+\(R -> \[Infinity]\)\),
          FontSize->14], TraditionalForm]]],
  "   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->18], \(-R\), "R"], "  ", 
          RowBox[{
            StyleBox["x",
              FontSize->14], 
            RowBox[{"\[DifferentialD]", 
              StyleBox["x",
                FontSize->14]}]}]}], TraditionalForm]]],
  ".\nThis is the Cauchy Principal Value of the integral (C.P.V.)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, F, lim1, lim2, R, x]; \nf[x_]\  = \ x; \n
    F[x_]\  = \[Integral]x \[DifferentialD]x; \n
    lim1\  = \ 
      \[Integral]\_\(-\[Infinity]\)\%\[Infinity] x \[DifferentialD]x; \n
    lim2\  = \ Limit[\ F[R]\  - \ F[\(-R\)], \ R \[Rule] \[Infinity]]; \n
    Print["\<f[x] = \>", f[x]]; \n
    Print["\<F[x] = \[Integral] x \[DifferentialD]x = \>", F[x]]; \n
    Print[\*"\"\<  \!\(lim\+\(R \[Rule] \[Infinity]\)\) \!\(\[Integral]\_\(-R\
\)\%R\) x \[DifferentialD]x = \>\"", lim1]; \n
    Print[\*"\"\<  \!\(lim\+\(R \[Rule] \[Infinity]\)\) \!\(\[Integral]\_\(-R\
\)\%R\) x \[DifferentialD]x = \>\"", lim2]; \n
    Print[\*"\"\<C.P.V. \!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\) x \
\[DifferentialD]x = \>\"", lim2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.12,  Page 257.",
    FontWeight->"Bold"],
  "  Evaluate    ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->24], 
            StyleBox[\(-\[Infinity]\),
              FontSize->14], 
            StyleBox["\[Infinity]",
              FontSize->14]], 
          StyleBox[
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[\(x\^2\  + \ 1\),
                  FontSize->14]], \(\[DifferentialD]x\)}],
            FontSize->14]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, g, Res1, Res2, solset, val, x, z, z1, z2]; \n
    f[z_]\  = \ 1\/\(z\^2\  + \ 1\); \nPrint["\<f[x] = \>", f[x]]; \)], 
  "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Find the singularities of  f(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          RowBox[{
            StyleBox[
              SuperscriptBox[
                StyleBox["z",
                  FontSize->14], "2"],
              FontSize->14], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox["+",
              FontSize->14], 
            StyleBox[" ",
              FontSize->14], 
            StyleBox["1",
              FontSize->14]}]], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]\), 
    \(z1\  = \ 
      ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; \ 
    Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \)}], "Input",
  AspectRatioFixed->False],

Cell[TextData["Which poles lie in the upper half plane ?"], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) > 0 ?  \>", N[Im[z1]] > 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) > 0 ?  \>", N[Im[z2]] > 0]; \)], "Input"],

Cell[TextData[{
  "Find the residue at ",
  Cell[BoxData[
      \(z\_2\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Res2\  = \ Residue[f[z], {z, z2}]; \n
    Print["\<Res[f,\>", z2, "\<] = \>", Res2]; \)], "Input",
  AspectRatioFixed->True],

Cell["The integral is computed by the residue calculus:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 2  \[Pi]\ \[ImaginaryI]\ Res2; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(1\/\(x\^\
2\\\  + \\\ 1\)\)\[DifferentialD]x = \>\"", val]; \)], "Input"],

Cell[TextData[
"Or, we can evaluate the integral with anti-derivatives:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[x_]\  = \[Integral]\(1\/\(x\^2\  + \ 1\)\) \[DifferentialD]x; \n
    val\  = \[Integral]\_\(-
            \[Infinity]\)\%\[Infinity]\( 1\/\(x\^2\  + \ 1\)\) 
          \[DifferentialD]x; \nPrint["\<f[x] = \>", f[x]]; \n
    Print[\*"\"\<g[x] = \[Integral]\!\(1\/\(x\^2\\\ \(+\(\\\ 1\)\)\)\)\
\[DifferentialD]x = \>\"", g[x]]; \n
    Print["\<g[\[Infinity]] = \>", g[\[Infinity]], 
      "\<,    g[-\[Infinity]] = \>", \ g[\(-\[Infinity]\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(1\/\(x\^\
2\\\ \(+\(\\\ 1\)\)\)\)\[DifferentialD]x = g[\[Infinity]]-g[-\[Infinity]] = \
\>\"", g[\[Infinity]]\  - \ g[\(-\[Infinity]\)]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(1\/\(x\^\
2\\\ \(+\(\\\ 1\)\)\)\)\[DifferentialD]x = \>\"", val]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The above answers are correct too."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.13,  Page 259.",
    FontWeight->"Bold"],
  "  Use the residue calculus to evaluate the integral\n    ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->24], 
            StyleBox[\(-\[Infinity]\),
              FontSize->14], 
            StyleBox["\[Infinity]",
              FontSize->14]], 
          StyleBox[
            RowBox[{
              FractionBox[
                StyleBox["1",
                  FontSize->14], 
                StyleBox[\(\((x\^2\  + \ 1)\) \((x\^2\  + \ 4)\)\),
                  FontSize->14]], \(\[DifferentialD]x\)}],
            FontSize->14]}], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      StyleBox[
        FractionBox[
          StyleBox["\[Pi]",
            FontSize->14], 
          StyleBox["6",
            FontSize->14]],
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, g, Res1, Res2, Res3, Res4, solset, val, x, z, z1, z2, z3, z4]; 
    \nf[z_]\  = \ 1\/\(\((z\^2\  + \ 1)\) \((z\^2\  + \ 4)\)\); \n
    Print["\<f[x] = \>", f[x]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  StyleBox["Find the singularities of  f(z)  =  ",
    FontFamily->"Times",
    FontWeight->"Plain"],
  Cell[BoxData[
      FormBox[
        StyleBox[
          FractionBox[
            StyleBox["1",
              FontSize->14], 
            RowBox[{
              RowBox[{
                StyleBox["(",
                  FontSize->14], 
                StyleBox[
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["z",
                        FontSize->14], "2"], 
                    StyleBox[" ",
                      FontSize->14], 
                    StyleBox["+",
                      FontSize->14], 
                    StyleBox[" ",
                      FontSize->14], 
                    StyleBox["1",
                      FontSize->14]}],
                  FontSize->14], 
                StyleBox[")",
                  FontSize->14]}], 
              RowBox[{
                StyleBox["(",
                  FontSize->14], 
                StyleBox[
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["z",
                        FontSize->14], "2"], 
                    StyleBox[" ",
                      FontSize->14], 
                    StyleBox["+",
                      FontSize->14], 
                    StyleBox[" ",
                      FontSize->14], 
                    StyleBox["4",
                      FontSize->14]}],
                  FontSize->14], 
                StyleBox[")",
                  FontSize->14]}]}]],
          FontSize->14], TraditionalForm]]],
  StyleBox[".",
    FontFamily->"Times",
    FontWeight->"Plain"]
}], "Text",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \n
    z4\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]4\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_4\) = \>\"", z4]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData["Which poles lie in the upper half plane?"], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) > 0 ?  \>", N[Im[z1]] > 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) > 0 ?  \>", N[Im[z2]] > 0]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is  Im(\>", z3, 
      "\<) > 0 ?  \>", N[Im[z3]] > 0]; \n
    Print[\*"\"\<\!\(z\_4\) = \>\"", z4, "\<, Is  Im(\>", z4, 
      "\<) > 0 ?  \>", N[Im[z4]] > 0]; \)], "Input"],

Cell[TextData[{
  "Find the residues at  ",
  Cell[BoxData[
      StyleBox[\(z\_2\),
        FontSize->14]]],
  "  and  ",
  Cell[BoxData[
      StyleBox[\(z\_4\),
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res2\  = \ Residue[f[z], {z, z2}]; \nRes4\  = \ Residue[f[z], {z, z4}]; 
    \nPrint["\<Res[f,\>", z2, "\<] = \>", Res2]; \n
    Print["\<Res[f,\>", z4, "\<] = \>", Res4]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral is computed by the residue calculus:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 2\ \[Pi]\ \[ImaginaryI]\ \((Res2\  + \ Res4)\); \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(1\/\(\((\
x\^2\\\  + \\\ 1)\) \((x\^2\\\  + \\\ 4)\)\)\)\[DifferentialD]x = 2\[Pi]\
\[ImaginaryI](\!\(\(-\[ImaginaryI]\)\/6\) + \!\(\[ImaginaryI]\/12\)) = \>\"", 
      val]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[
"Or, we can evaluate the integral with anti-derivatives:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[x_]\  = \ \[Integral]f[x] \[DifferentialD]x; \n
    Print["\<g[x] = \[Integral]f[x]\[DifferentialD]x = \>", g[x]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Limits must be used to compute values of g[",
  Cell[BoxData[
      \(\(0\^+\)\)]],
  "] and g[",
  Cell[BoxData[
      \(\(0\^-\)\)]],
  "]."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      Limit[g[x], x \[Rule] \[Infinity]] - 
        Limit[g[x], x \[Rule] 0, Direction \[Rule] \(-1\)]\  + \n
        Limit[g[x], x \[Rule] 0, Direction \[Rule] 1]\  - 
        Limit[g[x], x \[Rule] \(-\[Infinity]\)]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(1\/\(\((\
x\^2\\\  + \\\ 1)\) \((x\^2\\\  + \\\ 4)\)\)\)\[DifferentialD]x = \>\"", 
      val]; \)], "Input",
  AspectRatioFixed->True],

Cell["The above answer is correct too.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 8.14,  Page 260.",
    FontWeight->"Bold"],
  "  Use the residue calculus to evaluate the integral\n    ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->24], 
            StyleBox[\(-\[Infinity]\),
              FontSize->14], 
            StyleBox["\[Infinity]",
              FontSize->14]], 
          RowBox[{
            FractionBox[
              StyleBox["1",
                FontSize->14], 
              StyleBox[
                SuperscriptBox[
                  RowBox[{"(", 
                    RowBox[{\(x\^2\), " ", "+", 
                      StyleBox[" ",
                        FontSize->14], "4"}], ")"}], "3"],
                FontSize->14]], 
            StyleBox[\(\[DifferentialD]x\),
              FontSize->14]}]}], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(3 \[Pi]\),
          FontSize->14], 
        StyleBox["256",
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Clear[f, g, Res1, Res2, Res3, Res4, Res5, Res6, solset, val, x, z, z1, 
      z2, z3, z4, z5, z6]; \nf[z_]\  = \ 1\/\((z\^2\  + \ 4)\)\^3; \n
    Print["\<f[x] = \>", f[x]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  StyleBox["Find the singularities of  f(z)  =  ",
    FontFamily->"Times",
    FontWeight->"Plain"],
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox["1",
            FontSize->14], 
          StyleBox[
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox["z",
                      FontSize->14], "2"], " ", "+", " ", "4"}], ")"}], "3"],
            FontSize->14]], TraditionalForm]]],
  StyleBox[".",
    FontFamily->"Times",
    FontWeight->"Plain"]
}], "Text",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \n
    z4\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]4\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_4\) = \>\"", z4]; \n
    z5\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]5\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_5\) = \>\"", z5]; \n
    z6\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]5\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_6\) = \>\"", z6]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData["Which poles lie in the upper half plane?"], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) > 0 ?  \>", N[Im[z1]] > 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) > 0 ?  \>", N[Im[z2]] > 0]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is  Im(\>", z3, 
      "\<) > 0 ?  \>", N[Im[z3]] > 0]; \n
    Print[\*"\"\<\!\(z\_4\) = \>\"", z4, "\<, Is  Im(\>", z4, 
      "\<) > 0 ?  \>", N[Im[z4]] > 0]; \n
    Print[\*"\"\<\!\(z\_5\) = \>\"", z5, "\<, Is  Im(\>", z5, 
      "\<) > 0 ?  \>", N[Im[z5]] > 0]; \n
    Print[\*"\"\<\!\(z\_6\) = \>\"", z6, "\<, Is  Im(\>", z6, 
      "\<) > 0 ?  \>", N[Im[z6]] > 0]; \)], "Input"],

Cell[TextData[{
  "Compute the residue at  ",
  Cell[BoxData[
      StyleBox[\(z\_4\),
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res4\  = \ Residue[f[z], {z, z4}]; \n
    Print["\<Res[f,\>", z4, "\<] = \>", Res4]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral is computed by the residue calculus:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 2\ \[Pi]\ \[ImaginaryI]\ Res4; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(1\/\((z\^\
2\\\  + \\\ 4)\)\^3\)\[DifferentialD]x = \>\"", val]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[
"Or, we can evaluate the integral with anti-derivatives:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[x_]\  = \[Integral]f[x] \[DifferentialD]x; \n
    Print["\<g[x] = \[Integral]f[x]\[DifferentialD]x = \>", g[x]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Limits must be used to compute values of g[",
  Cell[BoxData[
      \(\(0\^+\)\)]],
  "] and g[",
  Cell[BoxData[
      \(\(0\^-\)\)]],
  "]."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 
      Limit[g[x], x \[Rule] \[Infinity]]\  - \n
        Limit[g[x], x \[Rule] 0, Direction \[Rule] \(-1\)]\  + \n
        Limit[g[x], x \[Rule] 0, Direction \[Rule] 1]\  - \ \n
        Limit[g[x], x \[Rule] \(-\[Infinity]\)]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(1\/\((z\^\
2\\\  + \\\ 4)\)\^3\)\[DifferentialD]x = \>\"", val]; \)], "Input",
  AspectRatioFixed->True],

Cell["The above answer is correct too.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 8",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 8.5  ",
  StyleBox["Improper Integrals involving Trigonometric Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False,
  FontSize->18,
  CellTags->"Section 8.5"],

Cell[TextData[{
  StyleBox["Theorem 8.4,  Page 261.",
    FontWeight->"Bold"],
  "  Let  P  and  Q  be polynomials, of degree  m  and  n,  where  m+1 \
\[LessEqual] n  \nand  Q(x) \[NotEqual] 0  for all real  x .  If  0 < ",
  StyleBox["\[Alpha]",
    FontFamily->"Symbol"],
  "  and  f(z) =",
  StyleBox[" ",
    FontSize->18],
  Cell[BoxData[
      FormBox[
        FractionBox[
          RowBox[{"exp", 
            RowBox[{"(", 
              RowBox[{"i", " ", 
                StyleBox["\[Alpha]",
                  FontFamily->"Symbol"], " ", "z"}], ")"}], " ", "P", 
            \((z)\)}], \(Q(z)\)], TraditionalForm]],
    FontSize->18],
  ", then  \n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"P", ".", "V", ".", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox[\(-\[Infinity]\),
                  FontSize->10], 
                StyleBox["\[Infinity]",
                  FontSize->10]], 
              RowBox[{
                StyleBox[
                  FractionBox[
                    RowBox[{
                      RowBox[{
                        StyleBox["P",
                          FontSize->14], 
                        StyleBox["(",
                          FontSize->12], 
                        StyleBox["x",
                          FontSize->12], 
                        StyleBox[")",
                          FontSize->12]}], 
                      StyleBox[\(cos(\[Alpha]\ x)\),
                        FontSize->12]}], 
                    RowBox[{
                      StyleBox["Q",
                        FontSize->14], 
                      StyleBox["(",
                        FontSize->12], 
                      StyleBox["x",
                        FontSize->12], 
                      StyleBox[")",
                        FontSize->12]}]],
                  FontSize->12], 
                StyleBox[\(\[DifferentialD]x\),
                  FontSize->14]}]}]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox[
            RowBox[{\(-2\), "\[Pi]", " ", 
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], \(j = 1\), "k"], 
                RowBox[{"Im", "(", 
                  RowBox[{"Res", "[", 
                    RowBox[{
                      FractionBox[
                        StyleBox["P",
                          FontSize->14], 
                        StyleBox["Q",
                          FontSize->14]], ",", " ", \(z\_j\)}], "]"}], 
                  ")"}]}]}],
            FontSize->14]}], TraditionalForm]]],
  ",   and  \n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"P", ".", "V", ".", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox[\(-\[Infinity]\),
                  FontSize->10], 
                StyleBox["\[Infinity]",
                  FontSize->10]], 
              RowBox[{
                StyleBox[
                  FractionBox[
                    RowBox[{
                      RowBox[{
                        StyleBox["P",
                          FontSize->14], 
                        StyleBox["(",
                          FontSize->12], 
                        StyleBox["x",
                          FontSize->12], 
                        StyleBox[")",
                          FontSize->12]}], 
                      StyleBox[\(sin(\[Alpha]\ x)\),
                        FontSize->12]}], 
                    RowBox[{
                      StyleBox["Q",
                        FontSize->14], 
                      StyleBox["(",
                        FontSize->12], 
                      StyleBox["x",
                        FontSize->12], 
                      StyleBox[")",
                        FontSize->12]}]],
                  FontSize->12], 
                StyleBox[\(\[DifferentialD]x\),
                  FontSize->14]}]}]}], 
          StyleBox["=",
            FontSize->14], 
          StyleBox[
            RowBox[{\(-2\), "\[Pi]", " ", 
              RowBox[{
                UnderoverscriptBox[
                  StyleBox["\[Sum]",
                    FontSize->18], \(j = 1\), "k"], 
                RowBox[{"Re", "(", 
                  RowBox[{"Res", "[", 
                    RowBox[{
                      FractionBox[
                        StyleBox["P",
                          FontSize->14], 
                        StyleBox["Q",
                          FontSize->14]], ",", " ", \(z\_j\)}], "]"}], 
                  ")"}]}]}],
            FontSize->14]}], TraditionalForm]]],
  ",\nwhere  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_1\),
            FontSize->14], ",", 
          StyleBox[\(z\_2\),
            FontSize->14], 
          StyleBox[",",
            FontSize->14], "\[CenterEllipsis]", 
          StyleBox[",",
            FontSize->14], 
          StyleBox[\(z\_k\),
            FontSize->14]}], TraditionalForm]]],
  "  are the poles of  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(f(z)\),
          FontSize->14], TraditionalForm]]],
  "  that lie in the upper half plane and where  ",
  Cell[BoxData[
      FormBox[
        RowBox[{"Re", 
          RowBox[{"(", 
            RowBox[{"Res", "[", 
              RowBox[{
                FractionBox[
                  StyleBox["P",
                    FontSize->14], 
                  StyleBox["Q",
                    FontSize->14]], ",", " ", \(z\_j\)}], "]"}], ")"}]}], 
        TraditionalForm]]],
  "  and  ",
  Cell[BoxData[
      FormBox[
        RowBox[{"Im", "(", 
          RowBox[{"Res", "[", 
            RowBox[{
              FractionBox[
                StyleBox["P",
                  FontSize->14], 
                StyleBox["Q",
                  FontSize->14]], ",", " ", \(z\_j\)}], "]"}], ")"}], 
        TraditionalForm]]],
  "  are the real and imaginary parts of   ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          RowBox[{"Res", "[", 
            RowBox[{
              FractionBox[
                StyleBox["P",
                  FontSize->14], 
                StyleBox["Q",
                  FontSize->14]], ",", " ", \(z\_j\)}], "]"}],
          FontSize->14], TraditionalForm]]],
  ", respectively."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[TextData[{
  "These problems were also solved using ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s table of integrals."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 8.15,  Page 261.",
    FontWeight->"Bold"],
  "  Use the residue calculus to evaluate the integral\n    ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->24], 
            StyleBox[\(-\[Infinity]\),
              FontSize->14], 
            StyleBox["\[Infinity]",
              FontSize->14]], 
          StyleBox[
            RowBox[{
              FractionBox[
                StyleBox[\(x\ \(sin(x)\)\),
                  FontSize->14], 
                StyleBox[\(x\^2\  + \ 4\),
                  FontSize->14]], \(\[DifferentialD]x\)}],
            FontSize->14]}], TraditionalForm]]],
  "  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox[\(\[ExponentialE]\^2\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, Res1, Res2, solset, val, x, z, z1, z2]; \n
    f[z_]\  = \ 
      \(z\ \[ExponentialE]\^\(\[ImaginaryI]\ z\)\)\/\(z\^2\  + \ 4\); \n
    Print["\<f[x] = \>", f[x]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Find the singularities of  f(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(z\ \[ExponentialE]\^\(i\ z\)\),
          FontSize->14], 
        StyleBox[\(z\^2\  + \ 4\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData["Which poles lie in the upper half plane?"], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) > 0 ?  \>", N[Im[z1]] > 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) > 0 ?  \>", N[Im[z2]] > 0]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Compute the residue at  z",
  StyleBox["2",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res2\  = \ Residue[f[z], {z, z2}]; \n
    Print["\<Res[f,\>", z2, "\<] = \>", Res2]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral is computed by the residue calculus:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 2\ \[Pi]\ Re[Res2]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(\(x\\\ \
Sin[x]\)\/\(x\^2\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", val]; \)], "Input",\

  AspectRatioFixed->False],

Cell[TextData[
"Remark.  The integral for this problem is g(x), but it cannot be used \nin \
any meaningful way to solve the problem at hand."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[x_]\  = 
      \[Integral]\(\(x\ Sin[x]\)\/\(x\^2\  + \ 4\)\) \[DifferentialD]x; \n
    Print["\<g[x] = \[Integral]f[x]\[DifferentialD]x = \>", g[x]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print["\<      g[\[Infinity]] = \>", g[\[Infinity]]]; \n
    Print["\<     g[-\[Infinity]] = \>", g[\(-\[Infinity]\)]]; \n
    Print["\<g[\[Infinity]]-g[-\[Infinity]] = \>", 
      g[\[Infinity]] - g[\(-\[Infinity]\)]]; \n
    Print["\<g[\[Infinity]]-g[-\[Infinity]] = \>", 
      N[g[\[Infinity]] - g[\(-\[Infinity]\)]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "They look good, however they can ",
  StyleBox["not",
    FontColor->RGBColor[1, 0, 1]],
  " be used to solve for the definite integral.\nThis does ",
  StyleBox["not",
    FontColor->RGBColor[1, 0, 1]],
  " agree with the answer obtained with the residue calculus."
}], "Text"],

Cell[BoxData[
    \(\(Print[
      \*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(\(x\\\ \
Sin[x]\)\/\(x\^2\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", 
      N[2\ \[Pi]\ Re[Res2]]]; \)\)], "Input",
  AspectRatioFixed->False],

Cell["However, the definite integral will produce:", "Text"],

Cell[BoxData[
    \(val\  = 
      \[Integral]\_\(-
            \[Infinity]\)\%\[Infinity]\(\( x\ Sin[x]\)\/\(x\^2\  + \ 4\)\) 
          \[DifferentialD]x\ ; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(\(x\\\ \
Sin[x]\)\/\(x\^2\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", val]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(\(x\\\ \
Sin[x]\)\/\(x\^2\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", N[val]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(\(x\\\ \
Sin[x]\)\/\(x\^2\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", 
      FullSimplify[val]]; \)], "Input"],

Cell["Which is also the correct answer.", "Text"],

Cell[TextData[{
  StyleBox["\nExample 8.16,  Page 262.",
    FontWeight->"Bold"],
  "  \nUse the residue calculus to evaluate the integral    ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubsuperscriptBox[
            StyleBox["\[Integral]",
              FontSize->24], 
            StyleBox[\(-\[Infinity]\),
              FontSize->14], 
            StyleBox["\[Infinity]",
              FontSize->14]], 
          RowBox[{
            FractionBox[
              StyleBox[\(cos(x)\),
                FontSize->14], 
              StyleBox[\(x\^2\  + \ 4\),
                FontSize->14]], 
            StyleBox[\(\[DifferentialD]x\),
              FontSize->14]}]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, Res1, Res2, Res3, Res4, solset, val, x, z, z1, z2, z3, z4]; 
    \nf[z_]\  = \ \[ExponentialE]\^\(\[ImaginaryI]\ z\)\/\(z\^4\  + \ 4\); \n
    Print["\<f[x] = \>", f[x]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Find the singularities of  f(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[ExponentialE]\^\(i\ z\)\),
          FontSize->14], 
        StyleBox[\(z\^4\  + \ 4\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \n
    z4\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]4\[RightDoubleBracket]]; 
    \ Print[\*"\"\<\!\(z\_4\) = \>\"", z4]; \)], "Input",
  AspectRatioFixed->False],

Cell["Which poles lie in the upper half plane?", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) > 0 ?  \>", N[Im[z1]] > 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) > 0 ?  \>", N[Im[z2]] > 0]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is  Im(\>", z3, 
      "\<) > 0 ?  \>", N[Im[z3]] > 0]; \n
    Print[\*"\"\<\!\(z\_4\) = \>\"", z4, "\<, Is  Im(\>", z4, 
      "\<) > 0 ?  \>", N[Im[z4]] > 0]; \)], "Input"],

Cell[TextData[{
  "Compute the residues at  ",
  Cell[BoxData[
      \(z\_2\)]],
  "  and  ",
  Cell[BoxData[
      \(z\_4\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res2\  = \ Residue[f[z], {z, z2}]; \nRes4\  = \ Residue[f[z], {z, z4}]; 
    \nPrint["\<Res[f,\>", z2, "\<] = \>", Res2]; \n
    Print["\<Res[f,\>", z4, "\<] = \>", Res4]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The integral is computed by the residue calculus:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ Together[\(-\ 2\)\ \[Pi]\ \((\ Im[Res2]\  + \ Im[Res4]\ )\)]; 
    \nPrint[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Cos[x]\
\/\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", val]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Cos[x]\/\
\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", N[val]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[
"Remark.  The integral for this problem is g(x), but it cannot be used \nin \
any meaningful way to solve the problem at hand."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[x_]\  = \[Integral]\(Cos[x]\/\(x\^4\  + \ 4\)\) \[DifferentialD]x; \n
    Print[\*"\"\<g[x] = \[Integral]\!\(Cos[x]\/\(x\^4\\\ \(+\(\\\ 4\)\)\)\)\
\[DifferentialD]x = \>\""]; \nPrint[g[x]]; \n
    Print["\<      g[\[Infinity]] = \>", FullSimplify[g[\[Infinity]]]]; \n
    Print["\<     g[-\[Infinity]] = \>", FullSimplify[g[\(-\[Infinity]\)]]]; 
    \nPrint["\<g[\[Infinity]]-g[-\[Infinity]] = \>", 
      FullSimplify[g[\[Infinity]] - g[\(-\[Infinity]\)]]]; \n
    Print["\<g[\[Infinity]]-g[-\[Infinity]] = \>", 
      N[g[\[Infinity]] - g[\(-\[Infinity]\)]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Which does ",
  StyleBox["not",
    FontColor->RGBColor[1, 0, 1]],
  " agree with the answer obtained via residues."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(val\  = \ Together[\(-\ 2\)\ \[Pi]\ \((\ Im[Res2]\  + \ Im[Res4]\ )\)]; 
    \nPrint[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Cos[x]\
\/\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", val]\), 
    \(Print[
      \*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Cos[x]\/\(z\^\
4\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", N[val]]\)}], "Input"],

Cell["However, the definite integral will produce:", "Text"],

Cell[BoxData[
    \(val\  = 
      \[Integral]\_\(-\[Infinity]\)\%\[Infinity]\( Cos[x]\/\(x\^4 + 4\)\) 
          \[DifferentialD]x; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Cos[x]\/\
\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", val]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Cos[x]\/\
\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", FullSimplify[val]]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Cos[x]\/\
\(z\^4\\\  + \\\ 4\)\)\[DifferentialD]x = \>\"", N[val]]; \)], "Input"],

Cell["Which is also the correct answer.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 8",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 8.6  ",
  StyleBox["Indented Integrals",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False,
  FontSize->18,
  CellTags->"Section 8.6"],

Cell[TextData[{
  StyleBox["Theorem 8.5,  Page 265.",
    FontWeight->"Bold"],
  "  Let  f(z) = ",
  Cell[BoxData[
      FormBox[
        FractionBox[
          StyleBox[\(P(x)\),
            FontSize->14], 
          StyleBox[\(Q(x)\),
            FontSize->14]], TraditionalForm]]],
  "  where  P(x)  and  Q(x)  are polynomials with real coefficients of degree \
 m  and  n ,  respectively, where  ",
  Cell[BoxData[
      \(TraditionalForm\`m + 2 \[LessEqual] n\)]],
  ".  If  Q(x)  has simple zeros at the points  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SubscriptBox[
            StyleBox["t",
              FontSize->14], "1"], ",", 
          SubscriptBox[
            StyleBox["t",
              FontSize->14], "2"], 
          StyleBox[",",
            FontSize->14], "\[CenterEllipsis]", 
          StyleBox[",",
            FontSize->14], 
          SubscriptBox[
            StyleBox["t",
              FontSize->14], "l"]}], TraditionalForm]]],
  "  on the x axis, and  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(z\_1\),
            FontSize->14], ",", 
          StyleBox[\(z\_2\),
            FontSize->14], 
          StyleBox[",",
            FontSize->14], "\[CenterEllipsis]", 
          StyleBox[",",
            FontSize->14], 
          StyleBox[\(z\_k\),
            FontSize->14]}], TraditionalForm]]],
  "  are the poles of  ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(f(z)\),
          FontSize->14], TraditionalForm]]],
  "  that lie in the upper half plane,\nthen   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"P", ".", "V", ".", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], 
                StyleBox[\(-\[Infinity]\),
                  FontSize->10], 
                StyleBox["\[Infinity]",
                  FontSize->10]], 
              RowBox[{
                StyleBox[
                  FractionBox[
                    RowBox[{
                      StyleBox["P",
                        FontSize->14], 
                      StyleBox["(",
                        FontSize->12], 
                      StyleBox["x",
                        FontSize->12], 
                      StyleBox[")",
                        FontSize->12]}], 
                    RowBox[{
                      StyleBox["Q",
                        FontSize->14], 
                      StyleBox["(",
                        FontSize->12], 
                      StyleBox["x",
                        FontSize->12], 
                      StyleBox[")",
                        FontSize->12]}]],
                  FontSize->12], 
                StyleBox[\(\[DifferentialD]x\),
                  FontSize->14]}]}]}], 
          StyleBox["=",
            FontSize->14], 
          RowBox[{
            StyleBox[
              RowBox[{"2", "\[Pi]", " ", "i", " ", 
                RowBox[{
                  UnderoverscriptBox[
                    StyleBox["\[Sum]",
                      FontSize->18], \(j = 1\), "k"], \(Res[f, \ z\_j]\)}]}],
              FontSize->14], 
            StyleBox["+",
              FontSize->14], 
            StyleBox[" ",
              FontSize->14], 
            RowBox[{
              StyleBox["\[Pi]",
                FontSize->14], 
              StyleBox[" ",
                FontSize->14], 
              StyleBox["i",
                FontSize->14], 
              StyleBox[" ",
                FontSize->14], 
              RowBox[{
                StyleBox[
                  UnderoverscriptBox[
                    StyleBox["\[Sum]",
                      FontSize->18], \(j = 1\), "l"],
                  FontSize->14], 
                RowBox[{
                  StyleBox["Res",
                    FontSize->14], 
                  StyleBox["[",
                    FontSize->14], 
                  RowBox[{
                    StyleBox["f",
                      FontSize->14], 
                    StyleBox[",",
                      FontSize->14], 
                    StyleBox[" ",
                      FontSize->14], 
                    SubscriptBox[
                      StyleBox["t",
                        FontSize->14], "j"]}], 
                  StyleBox["]",
                    FontSize->14]}]}]}]}]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[TextData[{
  "These problems were also solved using ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s table of integrals."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 8.17,  Page 265.",
    FontWeight->"Bold"],
  "  Show that  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"P", ".", "V", ".", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], \(-1\), "8"], 
              StyleBox[
                RowBox[{
                  FractionBox[
                    StyleBox["1",
                      FontSize->12], 
                    StyleBox[\(x\^\(1/3\)\),
                      FontSize->12]], \(\[DifferentialD]x\)}],
                FontSize->14]}]}], 
          StyleBox["=",
            FontSize->14], 
          FractionBox[
            StyleBox["9",
              FontSize->12], 
            StyleBox["2",
              FontSize->12]]}], TraditionalForm]]],
  ".\nSolution.  The solution is given in the textbook."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 8.18,  Page 266.",
    FontWeight->"Bold"],
  "  Show that  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"P", ".", "V", ".", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], \(-\[Infinity]\), "\[Infinity]"], 
              StyleBox[
                RowBox[{
                  FractionBox[
                    StyleBox["x",
                      FontSize->12], 
                    RowBox[{
                      StyleBox[\(x\^3\  - \ 8\),
                        FontSize->12], 
                      StyleBox[" ",
                        FontSize->14]}]], \(\[DifferentialD]x\)}],
                FontSize->14]}]}], 
          StyleBox["=",
            FontSize->14], 
          FractionBox[
            RowBox[{
              StyleBox["\[Pi]",
                FontSize->12], " ", 
              SqrtBox[
                StyleBox["3",
                  FontSize->12]]}], "6"]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, Res1, Res2, solset, val, x, z, z1, z2]; \n
    f[z_]\  = \ z\/\(z\^3\  - \ 8\); \nPrint["\<f[x] = \>", f[x]]; \)], 
  "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Find the singularities of  f(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox["z",
          FontSize->14], 
        StyleBox[\(z\^3\  - \ 8\),
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ \nPrint[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ComplexExpand[
        ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]]; \ \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ComplexExpand[
        ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]]; \ \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \)], "Input",
  AspectRatioFixed->False],

Cell["Which poles lie in the upper half plane?", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) > 0 ?  \>", N[Im[z1]] > 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) > 0 ?  \>", N[Im[z2]] > 0]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is  Im(\>", z3, 
      "\<) > 0 ?  \>", N[Im[z3]] > 0]; \)], "Input",
  AspectRatioFixed->True],

Cell["Which poles lie on the real axis?", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) = 0 ?  \>", N[Im[z1]] == 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) = 0 ?  \>", N[Im[z2]] == 0]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is  Im(\>", z3, 
      "\<) = 0 ?  \>", N[Im[z3]] == 0]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Compute the residues at  ",
  Cell[BoxData[
      \(z\_1\)]],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  " and  ",
  Cell[BoxData[
      \(z\_3\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res1\  = \ Residue[f[z], {z, z1}]; \nRes3\  = \ Residue[f[z], {z, z3}]; 
    \nPrint["\<Res[f,\>", z1, "\<] = \>", Res1]; \n
    Print["\<Res[f,\>", z3, "\<] = \>", Res3]; \)], "Input",
  AspectRatioFixed->True],

Cell["The integral is computed by the residue calculus:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 2\ \[Pi]\ \[ImaginaryI]\ Res3 + \[Pi]\ \[ImaginaryI]\ Res1; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(x\/\(x\^\
3 - \\\ 8\\\ \)\)\[DifferentialD]x = \>\"", val, "\< = \>", 
      ComplexExpand[val]]; \)], "Input",
  AspectRatioFixed->False],

Cell["\<\
Remark.  The integral for this problem is g(x), but it cannot be \
used in any meaningful way to solve the problem at hand.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[x_]\  = \[Integral]\(x\/\(x\^3\  - \ 8\)\) \[DifferentialD]x; \n
    Print["\<g[x] = \[Integral]f[x]\[DifferentialD]x = \>", g[x]]; \n
    L1\  = \ Limit[g[x], x \[Rule] \[Infinity]]; \n
    L2\  = \ Limit[g[x], x \[Rule] \(-\[Infinity]\)]; \n
    Print["\<      g[\[Infinity]] = \>", L1]; \n
    Print["\<     g[-\[Infinity]] = \>", L2]; \n
    Print["\<g[\[Infinity]]-g[-\[Infinity]] = \>", L1 - L2]; \n
    Print["\<g[\[Infinity]]-g[-\[Infinity]] = \>", ComplexExpand[L1 - L2]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
However, the Cauchy principle value of the definite integral will \
produce:\
\>", "Text"],

Cell[BoxData[
    \(val\  = \ 
      Integrate[x\/\(x\^3\  - \ 8\), {x, \(-\[Infinity]\), \[Infinity]}, 
        PrincipalValue -> True]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(x\/\(x\^\
3 - \\\ 8\\\ \)\)\[DifferentialD]x = \>\"", val]; \)], "Input"],

Cell["Which is also the correct answer.", "Text"],

Cell[TextData[{
  StyleBox["Example 8.19,  Page 267.",
    FontWeight->"Bold"],
  "  Show that  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{"P", ".", "V", ".", " ", 
            RowBox[{
              SubsuperscriptBox[
                StyleBox["\[Integral]",
                  FontSize->18], \(-\[Infinity]\), "\[Infinity]"], 
              StyleBox[
                RowBox[{
                  FractionBox[
                    StyleBox[\(sin(x)\),
                      FontSize->12], 
                    RowBox[{
                      RowBox[{
                        StyleBox[\((x\  - \ 1)\),
                          FontSize->12], 
                        RowBox[{
                          StyleBox["(",
                            FontSize->12], 
                          RowBox[{
                            SuperscriptBox[
                              StyleBox["x",
                                FontSize->12], "2"], 
                            StyleBox[" ",
                              FontSize->12], 
                            StyleBox["+",
                              FontSize->12], 
                            StyleBox[" ",
                              FontSize->12], 
                            StyleBox["4",
                              FontSize->12]}], 
                          StyleBox[")",
                            FontSize->12]}]}], 
                      StyleBox[" ",
                        FontSize->14]}]], \(\[DifferentialD]x\)}],
                FontSize->14]}]}], 
          StyleBox["=",
            FontSize->14], 
          FractionBox[
            RowBox[{
              StyleBox["\[Pi]",
                FontSize->12], " ", 
              SqrtBox[
                StyleBox["3",
                  FontSize->12]]}], "6"]}], TraditionalForm]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, Res1, Res2, solset, val, x, z, z1, z2]; \n
    f[z_]\  = \ 
      \[ExponentialE]\^\(\[ImaginaryI]\ z\)\/\(\((z - 1)\) 
          \((z\^2\  + \ 4)\)\); \nPrint["\<f[z] = \>", f[z]]; \n
    F[x_]\  = \ Sin[x]\/\(\((x - 1)\) \((x\^2\  + \ 4)\)\); \n
    Print["\<F[x] = \>", F[x]]; \)], "Input",
  AspectRatioFixed->False],

Cell[TextData[{
  "Find the singularities of  ",
  Cell[BoxData[
      RowBox[{\(f \((z)\)\), "=", 
        FractionBox[
          StyleBox[\(\[ExponentialE]\^\(\[ImaginaryI]\ z\)\),
            FontSize->12], 
          StyleBox[\(\((x - 1)\) \((x\^2\  + \ 4)\)\),
            FontSize->12]]}]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Sort[Solve[Denominator[f[z]] == 0, z]]; \ Print[solset]; \n
    z1\  = \ ReplaceAll[z, solset\[LeftDoubleBracket]1\[RightDoubleBracket]]; 
    \ \nPrint[\*"\"\<\!\(z\_1\) = \>\"", z1]; \n
    z2\  = \ ComplexExpand[
        ReplaceAll[z, solset\[LeftDoubleBracket]2\[RightDoubleBracket]]]; \ \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2]; \n
    z3\  = \ ComplexExpand[
        ReplaceAll[z, solset\[LeftDoubleBracket]3\[RightDoubleBracket]]]; \ \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3]; \)], "Input",
  AspectRatioFixed->False],

Cell["Which poles lie in the upper half plane?", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) > 0 ?  \>", N[Im[z1]] > 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) > 0 ?  \>", N[Im[z2]] > 0]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is  Im(\>", z3, 
      "\<) > 0 ?  \>", N[Im[z3]] > 0]; \)], "Input",
  AspectRatioFixed->True],

Cell["Which poles lie on the real axis?", "Text",
  Evaluatable->False,
  AspectRatioFixed->False],

Cell[BoxData[
    \(Print[\*"\"\<\!\(z\_1\) = \>\"", z1, "\<, Is  Im(\>", z1, 
      "\<) = 0 ?  \>", N[Im[z1]] == 0]; \n
    Print[\*"\"\<\!\(z\_2\) = \>\"", z2, "\<, Is  Im(\>", z2, 
      "\<) = 0 ?  \>", N[Im[z2]] == 0]; \n
    Print[\*"\"\<\!\(z\_3\) = \>\"", z3, "\<, Is  Im(\>", z3, 
      "\<) = 0 ?  \>", N[Im[z3]] == 0]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Compute the residues at  ",
  Cell[BoxData[
      \(z\_2\)]],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  " and  ",
  Cell[BoxData[
      \(z\_3\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Res2\  = \ Residue[f[z], {z, z2}]; \nRes3\  = \ Residue[f[z], {z, z3}]; 
    \nPrint["\<Res[f,\>", z2, "\<] = \>", Res2]; \n
    Print["\<Res[f,\>", z3, "\<] = \>", Res3]; \)], "Input",
  AspectRatioFixed->True],

Cell["The integral is computed by the residue calculus:", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(val\  = \ 2\ \[Pi]\ Re[Res2] + \[Pi]\ Re[\ Res3]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(x\/\(x\^\
3 - \\\ 8\\\ \)\)\[DifferentialD]x = \>\"", val, "\< = \>", 
      ComplexExpand[val]]; \)], "Input",
  AspectRatioFixed->False],

Cell["\<\
Remark.  The integral for this problem is g(x), but it cannot be \
used in any meaningful way to solve the problem at hand.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[x_]\  = 
      \[Integral]\(Sin[x]\/\(\((x - 1)\) \((x\^2\  + \ 4)\)\)\) 
          \[DifferentialD]x; \n
    Print["\<g[x] = \[Integral]f[x]\[DifferentialD]x = \>", g[x]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell["\<\
However, the Cauchy principle value of the definite integral will \
produce:\
\>", "Text"],

Cell[BoxData[
    \(\(val\  = \ 
      Integrate[
        Sin[x]\/\(\((x - 1)\) \((x\^2\  + \ 4)\)\), {x, \(-\[Infinity]\), 
          \[Infinity]}, PrincipalValue -> True]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Sin[x]\/\
\(\((x - 1)\) \((x\^2\\\  + \\\ 4)\)\)\)\[DifferentialD]x = \>\"", val]; \n
    Print[\*"\"\<\!\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\)\!\(Sin[x]\/\
\(\((x - 1)\) \((x\^2\\\  + \\\ 4)\)\)\)\[DifferentialD]x = \>\"", 
      Expand[FullSimplify[val]]]; \n\)\)], "Input"],

Cell["Which is also the correct answer.", "Text"],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 8",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{486, 250},
WindowMargins->{{3, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3053, 98, 3173, 120, 226, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 8"->{
    Cell[6251, 222, 228, 9, 38, "Text",
      CellTags->"CHAPTER 8"]},
  "Section 8.1"->{
    Cell[6736, 242, 236, 9, 35, "Text",
      CellTags->"Section 8.1"]},
  "Section 8.2"->{
    Cell[14621, 517, 210, 8, 35, "Text",
      CellTags->"Section 8.2"]},
  "Section 8.3"->{
    Cell[36994, 1218, 210, 8, 35, "Text",
      CellTags->"Section 8.3"]},
  "Section 8.4"->{
    Cell[53764, 1735, 227, 8, 35, "Text",
      CellTags->"Section 8.4"]},
  "Section 8.5"->{
    Cell[74605, 2388, 239, 8, 59, "Text",
      CellTags->"Section 8.5"]},
  "Section 8.6"->{
    Cell[92498, 2924, 205, 8, 35, "Text",
      CellTags->"Section 8.6"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 133885, 4330},
  {"CHAPTER 8", 133974, 4333},
  {"Section 8.1", 134064, 4336},
  {"Section 8.2", 134156, 4339},
  {"Section 8.3", 134249, 4342},
  {"Section 8.4", 134343, 4345},
  {"Section 8.5", 134437, 4348},
  {"Section 8.6", 134531, 4351}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 709, 22, 198, "Text"]
}, Closed]],
Cell[3053, 98, 3173, 120, 226, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[6251, 222, 228, 9, 38, "Text",
  CellTags->"CHAPTER 8"],
Cell[6482, 233, 217, 4, 70, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[6736, 242, 236, 9, 35, "Text",
  CellTags->"Section 8.1"],
Cell[6975, 253, 2991, 92, 290, "Text"],
Cell[9969, 347, 328, 11, 39, "Text"],
Cell[10300, 360, 241, 4, 117, "Input"],
Cell[10544, 366, 325, 12, 40, "Text"],
Cell[10872, 380, 190, 3, 57, "Input"],
Cell[11065, 385, 587, 20, 78, "Text"],
Cell[11655, 407, 239, 4, 124, "Input"],
Cell[11897, 413, 794, 32, 40, "Text"],
Cell[12694, 447, 205, 7, 33, "Text"],
Cell[12902, 456, 194, 4, 63, "Input"],
Cell[13099, 462, 554, 18, 77, "Text"],
Cell[13656, 482, 98, 2, 33, "Text"],
Cell[13757, 486, 183, 4, 77, "Input"],
Cell[13943, 492, 99, 2, 33, "Text"],
Cell[14045, 496, 354, 7, 62, "Input"],
Cell[14402, 505, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[14621, 517, 210, 8, 35, "Text",
  CellTags->"Section 8.2"],
Cell[14834, 527, 2954, 108, 213, "Text"],
Cell[17791, 637, 506, 19, 41, "Text"],
Cell[18300, 658, 162, 3, 84, "Input"],
Cell[18465, 663, 398, 14, 52, "Text"],
Cell[18866, 679, 568, 11, 106, "Input"],
Cell[19437, 692, 205, 7, 33, "Text"],
Cell[19645, 701, 189, 4, 63, "Input"],
Cell[19837, 707, 327, 12, 40, "Text"],
Cell[20167, 721, 300, 6, 103, "Input"],
Cell[20470, 729, 921, 28, 78, "Text"],
Cell[21394, 759, 208, 4, 84, "Input"],
Cell[21605, 765, 529, 18, 40, "Text"],
Cell[22137, 785, 634, 10, 110, "Input"],
Cell[22774, 797, 122, 2, 33, "Text"],
Cell[22899, 801, 464, 9, 90, "Input"],
Cell[23366, 812, 441, 19, 33, "Text"],
Cell[23810, 833, 323, 6, 130, "Input"],
Cell[24136, 841, 123, 2, 33, "Text"],
Cell[24262, 845, 920, 26, 101, "Input"],
Cell[25185, 873, 654, 22, 78, "Text"],
Cell[25842, 897, 185, 4, 84, "Input"],
Cell[26030, 903, 310, 12, 40, "Text"],
Cell[26343, 917, 634, 10, 110, "Input"],
Cell[26980, 929, 135, 3, 33, "Text"],
Cell[27118, 934, 496, 9, 170, "Input"],
Cell[27617, 945, 295, 13, 33, "Text"],
Cell[27915, 960, 231, 4, 90, "Input"],
Cell[28149, 966, 123, 2, 33, "Text"],
Cell[28275, 970, 893, 25, 101, "Input"],
Cell[29171, 997, 639, 23, 60, "Text"],
Cell[29813, 1022, 198, 4, 86, "Input"],
Cell[30014, 1028, 1471, 27, 329, "Input"],
Cell[31488, 1057, 212, 7, 33, "Text"],
Cell[31703, 1066, 127, 3, 50, "Input"],
Cell[31833, 1071, 552, 19, 63, "Text"],
Cell[32388, 1092, 204, 4, 90, "Input"],
Cell[32595, 1098, 1471, 27, 329, "Input"],
Cell[34069, 1127, 212, 7, 33, "Text"],
Cell[34284, 1136, 127, 3, 50, "Input"],
Cell[34414, 1141, 401, 15, 78, "Text"],
Cell[34818, 1158, 161, 3, 84, "Input"],
Cell[34982, 1163, 1471, 27, 329, "Input"],
Cell[36456, 1192, 186, 7, 33, "Text"],
Cell[36645, 1201, 127, 3, 50, "Input"],
Cell[36775, 1206, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[36994, 1218, 210, 8, 35, "Text",
  CellTags->"Section 8.3"],
Cell[37207, 1228, 4197, 132, 248, "Text"],
Cell[41407, 1362, 898, 18, 338, "Input"],
Cell[42308, 1382, 1556, 49, 96, "Text"],
Cell[43867, 1433, 346, 7, 146, "Input"],
Cell[44216, 1442, 579, 19, 40, "Text"],
Cell[44798, 1463, 634, 10, 110, "Input"],
Cell[45435, 1475, 122, 2, 33, "Text"],
Cell[45560, 1479, 464, 9, 90, "Input"],
Cell[46027, 1490, 331, 14, 33, "Text"],
Cell[46361, 1506, 231, 4, 90, "Input"],
Cell[46595, 1512, 123, 2, 33, "Text"],
Cell[46721, 1516, 327, 5, 68, "Input"],
Cell[47051, 1523, 1024, 36, 59, "Text"],
Cell[48078, 1561, 597, 11, 171, "Input"],
Cell[48678, 1574, 365, 11, 52, "Text"],
Cell[49046, 1587, 204, 4, 70, "Input"],
Cell[49253, 1593, 558, 15, 71, "Text"],
Cell[49814, 1610, 369, 7, 104, "Input"],
Cell[50186, 1619, 408, 14, 52, "Text"],
Cell[50597, 1635, 525, 9, 128, "Input"],
Cell[51125, 1646, 333, 11, 52, "Text"],
Cell[51461, 1659, 2081, 62, 72, "Text"],
Cell[53545, 1723, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[53764, 1735, 227, 8, 35, "Text",
  CellTags->"Section 8.4"],
Cell[53994, 1745, 2996, 91, 127, "Text"],
Cell[56993, 1838, 198, 7, 33, "Text"],
Cell[57194, 1847, 724, 24, 58, "Text"],
Cell[57921, 1873, 789, 14, 281, "Input"],
Cell[58713, 1889, 736, 26, 68, "Text"],
Cell[59452, 1917, 185, 4, 84, "Input"],
Cell[59640, 1923, 641, 24, 40, "Text"],
Cell[60284, 1949, 376, 7, 70, "Input"],
Cell[60663, 1958, 116, 2, 33, "Text"],
Cell[60782, 1962, 236, 4, 50, "Input"],
Cell[61021, 1968, 142, 7, 33, "Text"],
Cell[61166, 1977, 144, 3, 50, "Input"],
Cell[61313, 1982, 113, 2, 33, "Text"],
Cell[61429, 1986, 206, 3, 65, "Input"],
Cell[61638, 1991, 130, 3, 33, "Text"],
Cell[61771, 1996, 851, 14, 224, "Input"],
Cell[62625, 2012, 108, 2, 33, "Text"],
Cell[62736, 2016, 1001, 35, 89, "Text"],
Cell[63740, 2053, 232, 4, 106, "Input"],
Cell[63975, 2059, 1711, 54, 42, "Text"],
Cell[65689, 2115, 634, 10, 110, "Input"],
Cell[66326, 2127, 115, 2, 33, "Text"],
Cell[66444, 2131, 446, 8, 90, "Input"],
Cell[66893, 2141, 254, 12, 33, "Text"],
Cell[67150, 2155, 231, 4, 90, "Input"],
Cell[67384, 2161, 123, 2, 33, "Text"],
Cell[67510, 2165, 365, 6, 67, "Input"],
Cell[67878, 2173, 130, 3, 33, "Text"],
Cell[68011, 2178, 179, 4, 63, "Input"],
Cell[68193, 2184, 221, 10, 33, "Text"],
Cell[68417, 2196, 456, 9, 87, "Input"],
Cell[68876, 2207, 96, 2, 33, "Text"],
Cell[68975, 2211, 1116, 38, 90, "Text"],
Cell[70094, 2251, 234, 4, 107, "Input"],
Cell[70331, 2257, 620, 21, 43, "Text"],
Cell[70954, 2280, 886, 14, 150, "Input"],
Cell[71843, 2296, 115, 2, 33, "Text"],
Cell[71961, 2300, 656, 12, 130, "Input"],
Cell[72620, 2314, 177, 8, 33, "Text"],
Cell[72800, 2324, 144, 3, 50, "Input"],
Cell[72947, 2329, 123, 2, 33, "Text"],
Cell[73073, 2333, 238, 4, 68, "Input"],
Cell[73314, 2339, 130, 3, 33, "Text"],
Cell[73447, 2344, 177, 4, 63, "Input"],
Cell[73627, 2350, 221, 10, 33, "Text"],
Cell[73851, 2362, 433, 8, 128, "Input"],
Cell[74287, 2372, 96, 2, 33, "Text"],
Cell[74386, 2376, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[74605, 2388, 239, 8, 59, "Text",
  CellTags->"Section 8.5"],
Cell[74847, 2398, 6526, 195, 206, "Text"],
Cell[81376, 2595, 198, 7, 33, "Text"],
Cell[81577, 2604, 951, 32, 68, "Text"],
Cell[82531, 2638, 237, 5, 88, "Input"],
Cell[82771, 2645, 298, 11, 40, "Text"],
Cell[83072, 2658, 382, 6, 70, "Input"],
Cell[83457, 2666, 115, 2, 33, "Text"],
Cell[83575, 2670, 262, 5, 50, "Input"],
Cell[83840, 2677, 185, 7, 41, "Text"],
Cell[84028, 2686, 144, 3, 50, "Input"],
Cell[84175, 2691, 123, 2, 33, "Text"],
Cell[84301, 2695, 238, 5, 65, "Input"],
Cell[84542, 2702, 200, 4, 52, "Text"],
Cell[84745, 2708, 215, 5, 64, "Input"],
Cell[84963, 2715, 382, 7, 90, "Input"],
Cell[85348, 2724, 297, 8, 52, "Text"],
Cell[85648, 2734, 235, 5, 43, "Input"],
Cell[85886, 2741, 60, 0, 33, "Text"],
Cell[85949, 2743, 634, 11, 151, "Input"],
Cell[86586, 2756, 49, 0, 33, "Text"],
Cell[86638, 2758, 771, 25, 87, "Text"],
Cell[87412, 2785, 243, 4, 108, "Input"],
Cell[87658, 2791, 295, 11, 40, "Text"],
Cell[87956, 2804, 634, 10, 110, "Input"],
Cell[88593, 2816, 105, 2, 33, "Text"],
Cell[88701, 2820, 446, 8, 90, "Input"],
Cell[89150, 2830, 193, 10, 33, "Text"],
Cell[89346, 2842, 231, 4, 90, "Input"],
Cell[89580, 2848, 123, 2, 33, "Text"],
Cell[89706, 2852, 409, 6, 101, "Input"],
Cell[90118, 2860, 200, 4, 52, "Text"],
Cell[90321, 2866, 623, 10, 177, "Input"],
Cell[90947, 2878, 195, 7, 33, "Text"],
Cell[91145, 2887, 391, 6, 101, "Input"],
Cell[91539, 2895, 60, 0, 33, "Text"],
Cell[91602, 2897, 574, 9, 151, "Input"],
Cell[92179, 2908, 97, 2, 33, "Text"],
Cell[92279, 2912, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[92498, 2924, 205, 8, 35, "Text",
  CellTags->"Section 8.6"],
Cell[92706, 2934, 4432, 137, 131, "Text"],
Cell[97141, 3073, 198, 7, 33, "Text"],
Cell[97342, 3082, 954, 30, 62, "Text"],
Cell[98299, 3114, 1109, 35, 44, "Text"],
Cell[99411, 3151, 185, 4, 82, "Input"],
Cell[99599, 3157, 269, 11, 37, "Text"],
Cell[99871, 3170, 562, 10, 150, "Input"],
Cell[100436, 3182, 105, 2, 33, "Text"],
Cell[100544, 3186, 367, 7, 70, "Input"],
Cell[100914, 3195, 98, 2, 33, "Text"],
Cell[101015, 3199, 370, 7, 70, "Input"],
Cell[101388, 3208, 265, 12, 41, "Text"],
Cell[101656, 3222, 231, 4, 90, "Input"],
Cell[101890, 3228, 113, 2, 33, "Text"],
Cell[102006, 3232, 300, 5, 65, "Input"],
Cell[102309, 3239, 195, 5, 52, "Text"],
Cell[102507, 3246, 548, 10, 183, "Input"],
Cell[103058, 3258, 100, 3, 33, "Text"],
Cell[103161, 3263, 283, 5, 75, "Input"],
Cell[103447, 3270, 49, 0, 33, "Text"],
Cell[103499, 3272, 1886, 53, 45, "Text"],
Cell[105388, 3327, 352, 7, 147, "Input"],
Cell[105743, 3336, 363, 12, 42, "Text"],
Cell[106109, 3350, 562, 10, 150, "Input"],
Cell[106674, 3362, 105, 2, 33, "Text"],
Cell[106782, 3366, 367, 7, 70, "Input"],
Cell[107152, 3375, 98, 2, 33, "Text"],
Cell[107253, 3379, 370, 7, 70, "Input"],
Cell[107626, 3388, 265, 12, 41, "Text"],
Cell[107894, 3402, 231, 4, 90, "Input"],
Cell[108128, 3408, 113, 2, 33, "Text"],
Cell[108244, 3412, 280, 5, 65, "Input"],
Cell[108527, 3419, 195, 5, 52, "Text"],
Cell[108725, 3426, 237, 6, 79, "Input"],
Cell[108965, 3434, 100, 3, 33, "Text"],
Cell[109068, 3439, 530, 9, 162, "Input"],
Cell[109601, 3450, 49, 0, 33, "Text"],
Cell[109653, 3452, 182, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

