(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     56448,       1812]*)
(*NotebookOutlinePosition[     81272,       2713]*)
(*  CellTagsIndexPosition[     81040,       2702]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["COMPLEX ANALYSIS: ",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Mathematica ",
    FontSize->18,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[
  "3.0 Notebooks\n(c) John H. Mathews, and\nRussell W. Howell, 1998",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["\n",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["Complimentary software to accompany our textbook:",
    FontColor->RGBColor[0, 1, 0]]
}], "Text",
  Editable->False,
  Evaluatable->False,
  TextAlignment->Center,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "COMPLEX ANALYSIS: for Mathematics and Engineering, \n3rd Edition,  1997,  \
ISBN: 0-7637-0270-6",
    FontSize->18,
    FontColor->RGBColor[0, 0, 1]],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]],
  StyleBox[
  "Jones & Bartlett Publishers, Inc.\n40 Tall Pine Drive, Sudbury, MA 01776\n\
Tele.  (800) 832-0034, FAX:  (508)  443-8000\nE-mail:  mkt@jbpub.com,     \
http://www.jbpub.com/",
    FontSize->18,
    FontColor->RGBColor[0, 1, 0]],
  StyleBox["\n",
    FontSize->14],
  StyleBox[
  "This free software is compliments of the authors.\nmathews@fullerton.edu,  \
howell@westmont.edu",
    FontSize->14,
    FontColor->RGBColor[1, 0, 1]]
}], "Text"]
}, Closed]],

Cell[TextData[{
  StyleBox["CHAPTER 9  ",
    FontSize->18],
  StyleBox["CONFORMAL MAPPING\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 9.1  ",
    FontSize->18],
  ButtonBox["Basic Properties of Conformal Mappings",
    ButtonData:>"Section 9.1",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 9.2  ",
    FontSize->18],
  ButtonBox["Bilinear Transformations",
    ButtonData:>"Section 9.2",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 9.3  ",
    FontSize->18],
  ButtonBox["Mapping Involving Elementary Functions",
    ButtonData:>"Section 9.3",
    ButtonStyle->"Hyperlink"],
  StyleBox["\n",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox["Section 9.4  ",
    FontSize->18],
  ButtonBox["Mapping Involving Trigonometric Functions\n",
    ButtonData:>"Section 9.4",
    ButtonStyle->"Hyperlink"],
  StyleBox["GoTo Chapter",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  StyleBox[" ",
    FontSize->18],
  ButtonBox["1",
    ButtonData:>{"C1.nb", "CHAPTER 1"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["2",
    ButtonData:>{"C2.nb", "CHAPTER 2"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["3",
    ButtonData:>{"C3.nb", "CHAPTER 3"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["4",
    ButtonData:>{"C4.nb", "CHAPTER 4"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["5",
    ButtonData:>{"C5.nb", "CHAPTER 5"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["6",
    ButtonData:>{"C6.nb", "CHAPTER 6"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["7",
    ButtonData:>{"C7.nb", "CHAPTER 7"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["8",
    ButtonData:>{"C8.nb", "CHAPTER 8"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["9",
    ButtonData:>{"C9.nb", "CHAPTER 9"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["10",
    ButtonData:>{"C10.nb", "CHAPTER 10"},
    ButtonStyle->"Hyperlink"],
  StyleBox[", ",
    FontSize->18],
  ButtonBox["11",
    ButtonData:>{"C11.nb", "CHAPTER 11"},
    ButtonStyle->"Hyperlink"],
  StyleBox[".\n",
    FontSize->18],
  StyleBox["GoTo ",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Contents",
    ButtonData:>{"Contents.nb", "CONTENTS"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["CHAPTER 9  ",
    FontSize->18],
  StyleBox["CONFORMAL MAPPING",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"CHAPTER 9"],

Cell[BoxData[
    \(SetOptions[Graphics, DefaultColor \[Rule] RGBColor[0, 0, 1]]; \n
    Get["\<Graphics`ComplexMap`\>"]; \n
    Clear[f, F, g, graphs, Iden, S, w, w1, w2, w3, wplane, z, z1, z2, z3, 
      zplane, Zplane]; \)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Section 9.1  ",
    FontSize->18],
  StyleBox["Basic Properties of Conformal Mappings",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  CellTags->"Section 9.1"],

Cell[TextData[{
  "     It is important to be able to graph complex functions and observe \
that if  f(z)  is analytic and  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox["f", "\[Prime]",
            MultilineFunction->None], \((z)\)}], "\[NotEqual]", "0"}]]],
  "  then the mapping is ",
  StyleBox["conformal",
    FontColor->RGBColor[1, 0, 1]],
  " and orthogonal curves are mapped onto orthogonal curves.\n\n",
  StyleBox["Theorem 9.1,  Page 282.",
    FontWeight->"Bold"],
  "  Let  f(z)  be an analytic function in the domain  D,  and let  ",
  Cell[BoxData[
      \(z\_0\)]],
  "  be a point in  D.  If  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox["f", "\[Prime]",
            MultilineFunction->None], \((z\_0)\)}], "\[NotEqual]", "0"}]]],
  ",  then  f(z)  is conformal at ",
  Cell[BoxData[
      \(z\_0\)]],
  ".\n\n",
  StyleBox["Theorem 9.2,  Page 283.",
    FontWeight->"Bold"],
  "  Let  f(z)  be analytic at ",
  Cell[BoxData[
      \(z\_0\)]],
  ".   If  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            SuperscriptBox["f", "\[Prime]",
              MultilineFunction->None], \((z\_0)\)}], "=", "0"}], ","}]]],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            SuperscriptBox[
              SuperscriptBox["f", "\[Prime]",
                MultilineFunction->None], "\[Prime]",
              MultilineFunction->None], \((z\_0)\)}], "=", 
          SuperscriptBox["0", 
            TagBox["",
              Derivative],
            MultilineFunction->None]}], ",", "\[CenterEllipsis]", ","}]]],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            SuperscriptBox["f", 
              TagBox[\((k - 1)\),
                Derivative],
              MultilineFunction->None], \((z\_0)\)}], "=", "0"}], ","}]]],
  " \n",
  Cell[BoxData[
      SuperscriptBox["", 
        TagBox["",
          Derivative],
        MultilineFunction->None]]],
  "and  ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox["f", 
            TagBox[\((k)\),
              Derivative],
            MultilineFunction->None], \((z\_0)\)}], "\[NotEqual]", "0"}]]],
  ",  then the mapping  ",
  Cell[BoxData[
      RowBox[{"w", "=", 
        RowBox[{
          SuperscriptBox["f", 
            TagBox["",
              Derivative],
            MultilineFunction->None], \((z)\)}]}]]],
  "  magnifies angles at the vertex  ",
  Cell[BoxData[
      \(z\_0\)]],
  "  by the factor  k."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.  Make sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 9.1,  Page 283.",
    FontWeight->"Bold"],
  "  Find the angle of rotation   ",
  StyleBox["\[Alpha]",
    FontFamily->"Symbol"],
  " = arg f '(z)  and the \nscale factor  |f '(z)|  of the mapping  w = f(z) \
= cos(z)  at the points  i,  1, and  ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " + i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z, Z]; \nf[z_]\  := \ Cos[z]; \nPrint["\<f(z) = \>", f[z]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Z\  = \ \[ImaginaryI]; \nPrint["\<     f(z) = \>", f[z]]; \n
    Print["\<    f'(z) = \>", \(f'\)[z]]; \nPrint["\<   At  z  = \>", Z]; \n
    Print["\<    f'(z) = \>", \(f'\)[Z], "\< = \>", N[\(f'\)[Z]]]; \n
    Print["\<Rotation  = \>", Arg[\(f'\)[Z]]]; \n
    Print["\<   Scale  = \>", Abs[\(f'\)[Z]], "\< = \>", N[Abs[\(f'\)[Z]]]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Z\  = \ 1; \nPrint["\<     f(z) = \>", f[z]]; \n
    Print["\<    f'(z) = \>", \(f'\)[z]]; \nPrint["\<   At  z  = \>", Z]; \n
    Print["\<    f'(z) = \>", \(f'\)[Z], "\< = \>", N[\(f'\)[Z]]]; \n
    Print["\<Rotation  = \>", Arg[\(f'\)[Z]]]; \n
    Print["\<   Scale  = \>", Abs[\(f'\)[Z]], "\< = \>", N[Abs[\(f'\)[Z]]]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Z\  = \ \[Pi] + \[ImaginaryI]; \ \ \ \nPrint["\<     f(z) = \>", f[z]]; 
    \nPrint["\<    f'(z) = \>", \(f'\)[z]]; \nPrint["\<   At  z  = \>", Z]; \n
    Print["\<    f'(z) = \>", \(f'\)[Z], "\< = \>", N[\(f'\)[Z]]]; \n
    Print["\<Rotation  = \>", Arg[\(f'\)[Z]]]; \n
    Print["\<   Scale  = \>", Abs[\(f'\)[Z]], "\< = \>", N[Abs[\(f'\)[Z]]]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.2,  Page 284.",
    FontWeight->"Bold"],
  "  Graph the transformation  w = ",
  Cell[BoxData[
      StyleBox[\(z\^2\),
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, z]; \nIden[z_]\  = \ z; \nf[z_]\  = \ z\^2; \n
    zplane\  = \ 
      CartesianMap[Iden, {0, 1, 0.1}, {0, 1, 0.1}, 
        Ticks \[Rule] {Range[0, 1, 0.5], Range[0, 1, 0.5]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[\ f\ \ , {0, 1, 0.1}, {0, 1, 0.1}, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[0, 2, 1]}, 
        AspectRatio \[Rule] 1, PlotRange \[Rule] {{\(-1\), 1}, {0, 2}}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \ \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 9",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 9.2  ",
  StyleBox["Bilinear Transformations",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 9.2"],

Cell[TextData[{
  "The prerequisite for this section is Section 2.6\n",
  ButtonBox["The Reciprocal Transformation  w = 1/z",
    ButtonData:>{"C2.nb", "Section 2.6"},
    ButtonStyle->"Hyperlink"],
  "."
}], "Text"],

Cell[TextData[{
  "     Let  a, b, c, d  denote four complex constants with the restriction \
that   a d  \[NotEqual]  b d.  Then the function  ",
  Cell[BoxData[
      RowBox[{"w", "=", 
        RowBox[{\(S \((z)\)\), "=", 
          FractionBox[
            StyleBox[\(a\ z\  + \ b\),
              FontSize->14], 
            StyleBox[\(c\ z\  + \ d\),
              FontSize->14]]}]}]]],
  ",    is called a ",
  StyleBox["bilinear transformation",
    FontColor->RGBColor[1, 0, 1]],
  " or ",
  StyleBox["Mobius transformation",
    FontColor->RGBColor[1, 0, 1]],
  " or ",
  StyleBox["linear fractional transformation",
    FontColor->RGBColor[1, 0, 1]],
  ".\n\n",
  StyleBox["Theorem 9.3,  Page 289.",
    FontWeight->"Bold"],
  "  ",
  StyleBox["(The Implicit Formula)",
    FontColor->RGBColor[1, 0, 1]],
  "  There exists a unique bilinear transformation that maps three distinct \
points  ",
  Cell[BoxData[
      \(z\_1, z\_2\ , and\ \ z\_3\)]],
  "  onto three distinct points  ",
  Cell[BoxData[
      \(w\_1, w\_2\ , and\ \ w\_3\)]],
  " , respectively.  An implicit formula for the mapping is given by the \
equation:  ",
  Cell[BoxData[
      StyleBox[
        \(\(\((z\  - \ z\_1)\) \((z\_2\  - \ z\_3)\)\)\/\(\((z\  - \ z\_3)\) 
              \((z\_2\  - \ z\_1)\)\) = 
          \(\((w\  - \ w\_1)\) \((w\_2\  - \ w\_3)\)\)\/\(\((w\  - \ w\_3)\) 
              \((w\_2\  - \ w\_1)\)\)\ \),
        FontSize->16]]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.\nMake sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Get[\"Graphics`ComplexMap`\"]", "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 9.3,  Page 288.",
    FontWeight->"Bold"],
  "  Show that   w  =  S(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(i\ \((1\  - \ z)\)\),
          FontSize->14], 
        StyleBox[\(1\  + \ z\),
          FontSize->14]]]],
  "   maps \nthe unit disk  |z| < 1   one-to-one and onto the upper half \
plane  Im w > 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, solset, w, z]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \ \(\[ImaginaryI]\ \((1 - z)\)\)\/\(1 + z\); \n
    Print["\<f(z) = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"To show  S(z)  is one-to-one, find the inverse function."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[w == f[z], z]; \nPrint[solset]; \n
    Print[\*"\"\<z = \!\(S\^\(-1\)\)[w] = \>\"", 
      solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
To show  S(z)  is onto we will consider a graph.
The graph is not conclusive, but it appears to confirm our suspicion.\
\>", 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, Iden, z]; \nIden[z_]\  = \ z; \n
    f[z_]\  = \(\ \[ImaginaryI]\ \((1 - z)\)\)\/\(1 + z\); \n
    zplane\  = \ 
      PolarMap[Iden, {0.005, 0.995, 0.11}, {0, 2  \[Pi], \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-1.05\), 1.05}, {\(-1.05\), 1.05}}, 
        PlotRegion \[Rule] {{0.15, 0.85}, {0.15, 0.85}}, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[1, 1, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      PolarMap[f\ \ \ , {0.005, 0.995, 0.11}, {0, 2  \[Pi], \[Pi]\/12}, 
        Ticks \[Rule] {Range[\(-3\), 3, 1], Range[0, 3, 1]}, 
        AspectRatio \[Rule] 1\/2, PlotRange \[Rule] {{\(-3\), 3}, {0, 3}}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \ \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<       The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.4,  Page 290.",
    FontWeight->"Bold"],
  "  Construct the bilinear transformation  w = S(z)  that maps the \npoints  \
",
  Cell[BoxData[
      StyleBox[\(z\_1\),
        FontSize->14]]],
  " = - i, ",
  Cell[BoxData[
      StyleBox[\(z\_2\),
        FontSize->14]]],
  " = 1, ",
  Cell[BoxData[
      StyleBox[\(z\_3\),
        FontSize->14]]],
  " = i  onto the points  ",
  Cell[BoxData[
      StyleBox[\(w\_1\),
        FontSize->14]]],
  " = - 1, ",
  Cell[BoxData[
      StyleBox[\(w\_2\),
        FontSize->14]]],
  " = 0, ",
  Cell[BoxData[
      StyleBox[\(w\_3\),
        FontSize->14]]],
  " = 1, respectively."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[formula, solset, S, w, w1, w2, w3, W, z, z1, z2, z3, Z]; \n
    formula\  = \ 
      \(\((z - z1)\) \((z2 - z3)\)\)\/\(\((z - z3)\) \((z2 - z1)\)\)\  == \ 
        \(\((w - w1)\) \((w2 - w3)\)\)\/\(\((w - w3)\) \((w2 - w1)\)\); \n
    Print[formula]; \nz1\  = \ \(-\[ImaginaryI]\); \ \ z2\  = \ 1; \ 
    z3\  = \ \[ImaginaryI]; \ \ \nw1\  = \ \(-1\); \ \ w2\  = \ 0; \ 
    w3\  = \ 1; \nPrint[formula]; \nsolset\  = \ Solve[formula, w]; 
    Print[solset]; \n
    S[z_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; 
    Print["\<S(z) = \>", S[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Check our work and look at the images of z",
  StyleBox["1",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  ", z",
  StyleBox["2",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  ", z",
  StyleBox["3",
    FontVariations->{"CompatibilityType"->"Subscript"}],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<   \!\(z\_1\) = \>\"", z1, 
      \*"\"\<,      \!\(z\_2\) = \>\"", z2, \*"\"\<,      \!\(z\_3\) = \>\"", 
      z3]; \nPrint[\*"\"\<   \!\(w\_1\) = \>\"", w1, 
      \*"\"\<,      \!\(w\_2\) = \>\"", w2, \*"\"\<,      \!\(w\_3\) = \>\"", 
      w3]; \nPrint[\*"\"\<S[\!\(z\_1\)] = \>\"", S[z1], 
      \*"\"\<,   S[\!\(z\_2\)] = \>\"", S[z2], 
      \*"\"\<,   S[\!\(z\_3\)] = \>\"", S[z3]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.5,  Page 290.",
    FontWeight->"Bold"],
  "  Find the bilinear transformation  w = S(z)  that maps the points  \n",
  Cell[BoxData[
      StyleBox[\(z\_1\),
        FontSize->14]]],
  " = - 2, ",
  Cell[BoxData[
      StyleBox[\(z\_2\),
        FontSize->14]]],
  " = - 1- i, ",
  Cell[BoxData[
      StyleBox[\(z\_3\),
        FontSize->14]]],
  " = 0  onto the points  ",
  Cell[BoxData[
      StyleBox[\(w\_1\),
        FontSize->14]]],
  " = - 1, ",
  Cell[BoxData[
      StyleBox[\(w\_2\),
        FontSize->14]]],
  " = 0, ",
  Cell[BoxData[
      StyleBox[\(w\_3\),
        FontSize->14]]],
  " = 1, respectively."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[formula, solset, S, w, w1, w2, w3, W, z, z1, z2, z3, Z]; \n
    formula\  = \ 
      \(\((z - z1)\) \((z2 - z3)\)\)\/\(\((z - z3)\) \((z2 - z1)\)\)\  == \ 
        \(\((w - w1)\) \((w2 - w3)\)\)\/\(\((w - w3)\) \((w2 - w1)\)\); \n
    Print[formula]; \nz1\  = \ \(-2\); \ \ z2\  = \ \(-1\) - \[ImaginaryI]; \ 
    z3\  = \ 0; \nw1\  = \ \(-1\); \ \ w2\  = \ 0; \ \ \ \ w3\  = \ 1; \n
    Print[formula]; \nsolset\  = \ Solve[formula, w]; Print[solset]; \n
    S[z_]\  = \ 
      Simplify[solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; 
    Print["\<S(z) = \>", S[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "This is equivalent to the formula  S(z) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\((1 - i)\) z\  + \ 2\),
          FontSize->14], 
        StyleBox[\(\((1 + i)\) z\  + \ 2\),
          FontSize->14]]]],
  ",\nand can be verified by the computation:"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[S[z], "\< = \>", 
      \(\((1 - \[ImaginaryI])\) z\  + \ 2\)\/\(\((1 + \[ImaginaryI])\) z\  + 
          \ 2\)]; \n
    Print[S[z], "\< = \>", 
      Simplify[\(\((1 - \[ImaginaryI])\) z\  + \ 2
            \)\/\(\((1 + \[ImaginaryI])\) z\  + \ 2\)]]; \n
    Print["\<Are they equal ?  \>", 
      S[z]\  == \ 
        Simplify[
          \(\((1 - \[ImaginaryI])\) z\  + \ 2\)\/\(\((1 + \[ImaginaryI])\) z\ 
               + \ 2\)]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Check our work and look at the images of  ",
  Cell[BoxData[
      StyleBox[\(z\_1\),
        FontSize->14]]],
  ", ",
  Cell[BoxData[
      StyleBox[\(z\_2\),
        FontSize->14]]],
  ", ",
  Cell[BoxData[
      StyleBox[\(z\_3\),
        FontSize->14]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<   \!\(z\_1\) = \>\"", z1, \*"\"\<,    \!\(z\_2\) = \>\"", 
      z2, \*"\"\<,  \!\(z\_3\) = \>\"", z3]; \n
    Print[\*"\"\<   \!\(w\_1\) = \>\"", w1, \*"\"\<,    \!\(w\_2\) = \>\"", 
      w2, \*"\"\<,       \!\(w\_3\) = \>\"", w3]; \n
    Print[\*"\"\<S[\!\(z\_1\)] = \>\"", S[z1], 
      \*"\"\<, S[\!\(z\_2\)] = \>\"", S[z2], 
      \*"\"\<,    S[\!\(z\_3\)] = \>\"", S[z3]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.6,  Page 291.",
    FontWeight->"Bold"],
  " Show that  the mapping  w = S(z) = ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\((1 - i)\) z\  + \ 2\),
          FontSize->14], 
        StyleBox[\(\((1 + i)\) z\  + \ 2\),
          FontSize->14]]]],
  "\nmaps the disk    |z+1| < 1   one-to-one and onto the upper half plane  \
Im w > 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[d, g, solset, S, w, w1, w2, w3, W, z, z1, z2, z3, Z]; \n
    S[z_]\  = \ 
      \(\((1 - \[ImaginaryI])\) z\  + \ 2\)\/\(\((1 + \[ImaginaryI])\) z\  + 
          \ 2\); \nPrint["\<S(z) = \>", S[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"To show  S(z)  is one-to-one, find the inverse function."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[w == S[z], z]; \nPrint[solset]; \n
    Print[\*"\"\<z = \!\(S\^\(-1\)\)[w] = \>\"", 
      solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"\nTo show  S(z)  is onto, use the method of oriented points on the boundary \
curve."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(\ z1\  = \ \(-2\); \ z2\  = \ \(-1\) - \[ImaginaryI]; z3\  = \ 0; \n
    w1\  = \ \(-1\); \ w2\  = \ 0; \ \ \ \ \ \ \ \ \ \ w3\  = \ 1; \n
    Print[\*"\"\<   \!\(z\_1\) = \>\"", z1, \*"\"\<,     \!\(z\_2\) = \>\"", 
      z2, \*"\"\<,  \!\(z\_3\) = \>\"", z3]; \n
    Print[\*"\"\<   \!\(w\_1\) = \>\"", w1, \*"\"\<,     \!\(w\_2\) = \>\"", 
      w2, \*"\"\<,       \!\(w\_3\) = \>\"", w3]; \n
    Print[\*"\"\<S[\!\(z\_1\)] = \>\"", S[z1], 
      \*"\"\<,  S[\!\(z\_2\)] = \>\"", S[z2], 
      \*"\"\<,    S[\!\(z\_3\)] = \>\"", S[z3]]; \)\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"To find the image of the disk   |z+1| < 1  under w = S(z)\nwe use the change \
of variable and find the image of  |z| < 1  under  w = g(z) = S(z-1)."], 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(d[z_]\  = \ z - 1; \ng[z_]\  = \ S[z - 1]; \n
    Print["\<S(z) = \>", S[z]]; \nPrint["\<g(z) = \>", g[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[S, z]; \n
    S[z_]\  = \ 
      \(\((1 - \[ImaginaryI])\) z\  + \ 2\)\/\(\((1 + \[ImaginaryI])\) z\  + 
          \ 2\); \nzplane\  = \ 
      PolarMap[d\ \ \ , {0.005, 0.995, 0.11}, {0, 2  \[Pi], \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-2.05\), 0.05}, {\(-1.05\), 1.05}}, 
        PlotRegion \[Rule] {{0.15, 0.85}, {0.15, 0.85}}, 
        Ticks \[Rule] {Range[\(-2\), 1, 1], Range[1, 1, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \ \n
    wplane\  = \ 
      PolarMap[g\ \ \ , {0.005, 0.995, 0.11}, {0, 2  \[Pi], \[Pi]\/12}, 
        Ticks \[Rule] {Range[\(-3\), 3, 1], Range[0, 3, 1]}, 
        AspectRatio \[Rule] 1\/2, PlotRange \[Rule] {{\(-3\), 3}, {0, 3}}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \ \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<       The mapping  w = \>", S[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
The image of the disk   |z+1| < 1  is the upper half plane  Im(z) > \
0.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.7,  Page 292.",
    FontWeight->"Bold"],
  "  Find the bilinear transformation  w = S(z)  that maps \nthe \
crescent-shaped region that lies inside the disk   |z-2| < 2   and outside \
the circle   \n|z-1| = 1   onto a horizontal strip."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Solution.  For convenience we choose ",
  Cell[BoxData[
      \(z\_1\)]],
  " = 4,   ",
  Cell[BoxData[
      \(z\_2\)]],
  " = 2 + 2i,   ",
  Cell[BoxData[
      \(z\_3\)]],
  " = 0   which are \nmapped onto the points   ",
  Cell[BoxData[
      \(w\_1\)]],
  " = 0,  ",
  Cell[BoxData[
      \(w\_2\)]],
  " = 1,  ",
  Cell[BoxData[
      \(w\_3\)]],
  " = \[Infinity],  respectively.  In this case \nwe remove the terms \
involving  ",
  Cell[BoxData[
      \(w\_3\)]],
  " = \[Infinity],  in the implicit formula, because\nthis implies that   ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\(w\_2\)\_\(-\ w\_3\)\),
          FontSize->14], 
        StyleBox[\(w\  - \ w\_3\),
          FontSize->14]]]],
  "  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\(w\_2\)\_\(\ \(-\ \[Infinity]\)\)\),
          FontSize->14], 
        StyleBox[\(w\  - \ \[Infinity]\),
          FontSize->14]]]],
  "  =  1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[formula, Iden, solset, S, T, w, w1, w2, w3, w4, w5, w6, W, z, z1, 
      z2, z3, z4, z5, z6, Z]; \n
    formula\  = \ 
      \(\((z - z1)\) \((z2 - z3)\)\)\/\(\((z - z3)\) \((z2 - z1)\)\)\  == \ 
        \(w - w1\)\/\(w2 - w1\); \nPrint[formula]; \nz1\  = \ 4; \ \ 
    z2\  = \ 2 + 2  \[ImaginaryI]; \ z3\  = \ 0; \ \nw1\  = \ 0; \ \ 
    w2\  = \ 1; \ \ \ \ w3\  = \ ComplexInfinity; \nPrint[formula]; \n
    solset\  = \ Solve[formula, w]; Print[solset]; \n
    S[z_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; 
    Print["\<S(z) = \>", S[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Check our work and look at the images of  ",
  Cell[BoxData[
      \(z\_1\)]],
  ", ",
  Cell[BoxData[
      \(z\_2\)]],
  ", ",
  Cell[BoxData[
      \(z\_3\)]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Print[\*"\"\<   \!\(z\_1\) = \>\"", z1, 
      \*"\"\<,     \!\(z\_2\) = \>\"", z2, \*"\"\<,  \!\(z\_3\) = \>\"", z3]; 
    \nPrint[\*"\"\<   \!\(w\_1\) = \>\"", w1, 
      \*"\"\<,     \!\(w\_2\) = \>\"", w2, \*"\"\<,      \!\(w\_3\) = \>\"", 
      w3]; \nPrint[\*"\"\<S[\!\(z\_1\)] = \>\"", S[z1], 
      \*"\"\<,  S[\!\(z\_2\)] = \>\"", S[z2], 
      \*"\"\<,   S[\!\(z\_3\)] = \>\"", S[z3]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "And we need to look at the points:\n",
  Cell[BoxData[
      StyleBox[\(z\_4\),
        FontSize->14]]],
  " = 1 - i,   ",
  Cell[BoxData[
      StyleBox[\(z\_5\),
        FontSize->14]]],
  " = 2,  ",
  Cell[BoxData[
      StyleBox[\(z\_6\),
        FontSize->14]]],
  " = 1 + i   and   ",
  Cell[BoxData[
      StyleBox[\(w\_4\),
        FontSize->14]]],
  " = - 2 + i,  ",
  Cell[BoxData[
      StyleBox[\(w\_5\),
        FontSize->14]]],
  " = i,  ",
  Cell[BoxData[
      StyleBox[\(w\_6\),
        FontSize->14]]],
  " = 2 + i."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(z4\  = \ \ 1 - \[ImaginaryI]; \ \ \ \ z5\  = \ 2; \ \ 
    z6\  = \ 1 + \[ImaginaryI]; \nw4\  = \ \(-2\) + \[ImaginaryI]; \ \ 
    w5\  = \ \[ImaginaryI]; \ \ w6\  = \ 2 + \[ImaginaryI]; \n
    Print[\*"\"\<   \!\(z\_4\) = \>\"", z4, 
      \*"\"\<,       \!\(z\_5\) = \>\"", z5, 
      \*"\"\<,      \!\(z\_6\) = \>\"", z6]; \n
    Print[\*"\"\<   \!\(w\_4\) = \>\"", w4, \*"\"\<,     \!\(w\_5\) = \>\"", 
      w5, \*"\"\<,      \!\(w\_6\) = \>\"", w6]; \n
    Print[\*"\"\<S[\!\(z\_4\)] = \>\"", S[z4], 
      \*"\"\<,  S[\!\(z\_5\)] = \>\"", S[z5], 
      \*"\"\<,   S[\!\(z\_6\)] = \>\"", S[z6]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
To illustrate the mapping, consider the inverse image of the \
horizontal strip.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Iden[w_]\  = \ w; \nsolset\  = \ Solve[formula, z]; \n
    T[w_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print["\<w = S[z] = \>", S[z]]; \nPrint["\<z = T[w] = \>", T[w]]; \n
    Print["\< \>"]; \nPrint["\<T[S[z]] = \>", T[S[z]]]; \n
    Print["\<T[S[z]] = \>", Simplify[T[S[z]]]]; \nPrint["\< \>"]; \n
    Print["\<S[T[w]] = \>", S[T[w]]]; \n
    Print["\<S[T[w]] = \>", Simplify[S[T[w]]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(zplane\  = \ 
      CartesianMap[T\ \ \ , {\(-9\), 9, 0.3}, {0.005, 0.995, 0.09}, 
        PlotRange \[Rule] {{\(-0.05\), 4.05}, {\(-2.05\), 2.05}}, 
        Ticks \[Rule] {Range[0, 4, 1], Range[2, 2, 1]}, 
        PlotRegion \[Rule] {{0.2, 0.8}, {0.2, 0.8}}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \ \n
    wplane\  = \ 
      CartesianMap[Iden, {\(-9\), 9, 0.9}, {0.005, 0.995, 0.09}, 
        PlotRange \[Rule] {{\(-9\), 9}, {0, 1}}, AspectRatio \[Rule] 1\/3, 
        Ticks \[Rule] {Range[\(-9\), 9, 3], Range[0, 1, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \ \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}, GraphicsSpacing \[Rule] \(-0.1\)], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<     The mapping  w = \>", S[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 9",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 9.3  ",
  StyleBox["Mapping Involving Elementary Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 9.3"],

Cell["\<\
     In this section we will show how compositions of conformal \
transformations 
are used to construct mapping with specified characteristics.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.\nMake sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 9.8,  Page 295.",
    FontWeight->"Bold"],
  "  The transformation   w  =  f(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[ExponentialE]\^z\  - \ i\),
          FontSize->14], 
        StyleBox[\(\[ExponentialE]\^z\  + \ i\),
          FontSize->14]]]],
  "   is a\none-to-one conformal mapping of the horizontal strip  0 < y < ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  " onto the disk  |w| < 1.\nFurthermore, the x-axis is mapped onto the lower \
semicircle bounding the disk, and \nthe line  y = ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "  is mapped onto the upper semicircle."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(Clear[f, g, solset, w, z]\), 
    \(f[z_]\  = \ \ 
      \(\[ExponentialE]\^z - \[ImaginaryI]\)\/\(\[ExponentialE]\^z + 
          \[ImaginaryI]\); \nPrint["\<f[z] = \>", f[z]]; \)}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "To show w  =  f(z)  =   ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[ExponentialE]\^z\  - \ i\),
          FontSize->14], 
        StyleBox[\(\[ExponentialE]\^z\  + \ i\),
          FontSize->14]]]],
  "   is one-to-one conformal we need \nto find the inverse function"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[w\  == \ f[z], z]; \n
    g[w_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print[solset]; \nPrint["\<f[z] = \>", f[z]]; \n
    Print["\<g[w] = \>", g[w]]; \ \nPrint["\< \>"]; \n
    Print["\<f[g[w]] = \>", f[g[w]]]; \n
    Print["\<f[g[w]] = \>", Simplify[f[g[w]]]]; \n\ Print["\< \>"]; \n
    Print["\<g[f[z]] = \>", g[f[z]]]; \n
    Print["\<g[f[z]] = \>", Simplify[g[f[z]]]]; \n
    Print["\<g[f[z]] = \>", PowerExpand[Simplify[g[f[z]]]]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The image is traced using a graph."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \n
    f[z_]\  = \ \ 
      \(\[ExponentialE]\^z - \[ImaginaryI]\)\/\(\[ExponentialE]\^z + 
          \[ImaginaryI]\); \n
    zplane\  = \ 
      CartesianMap[
        Identity, {\(-6\), 6, 0.5}, {0.005  Pi, 0.995  \[Pi], 0.09  \[Pi]}, 
        PlotRange \[Rule] {{\(-6.4\), 6.4}, {0, 3.2}}, 
        AspectRatio \[Rule] 1\/2, 
        Ticks \[Rule] {Range[\(-6\), 6, 2], Range[0, 3, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[
        f, {\(-6\), 6, 0.5}, {0.005  \[Pi], 0.995  \[Pi], 0.09  \[Pi]}, 
        PlotRange \[Rule] {{\(-1.1\), 1.1}, {\(-1.1\), 1.1}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-1\), 1, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}, GraphicsSpacing \[Rule] \(-0.3\)], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<       The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Thus, the image of the horizontal strip  0 < y < ",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  "  is the disk  |w| < 1. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.9,  Page 296.",
    FontWeight->"Bold"],
  "  The transformation   w  =  f(z)  =  Log(",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(1\  + \ z\),
          FontSize->14], 
        StyleBox[\(1\  - \ z\),
          FontSize->14]]]],
  ")  is a\none-to-one conformal mapping of the unit disk  |z| < 1  onto the \
horizontal strip  |v| < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ".\nFurthermore, the upper semicircle of the disk is mapped onto the line  \
v = ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "  and the \nlower semicircle onto  v = ",
  Cell[BoxData[
      FractionBox[
        RowBox[{"-", " ", 
          StyleBox["\[Pi]",
            FontSize->14]}], 
        StyleBox["2",
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, solset, w, z]; \nf[z_]\  = \ \ Log[\(1 + z\)\/\(1 - z\)]; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "To show w  =  f(z)  =  Log(",
  Cell[BoxData[
      FractionBox[
        RowBox[{
          StyleBox["1",
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], 
          StyleBox["+",
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]}], 
        RowBox[{
          StyleBox["1",
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], 
          StyleBox["-",
            FontSize->14], 
          StyleBox[" ",
            FontSize->14], 
          StyleBox["z",
            FontSize->14]}]]]],
  ")  is one-to-one conformal we need \nto find the inverse function."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[w\  == \ f[z], z]; \n
    g[w_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print[solset]; \nPrint["\<f[z] = \>", f[z]]; \n
    Print["\<g[w] = \>", g[w]]; \nPrint["\< \>"]; \n
    Print["\<g[f[z]] = \>", g[f[z]]]; \n
    Print["\<g[f[z]] = \>", Simplify[g[f[z]]]]; \nPrint["\< \>"]; \n
    Print["\<f[g[w]] = \>", f[g[w]]]; \n
    Print["\<f[g[w]] = \>", Simplify[f[g[w]]]]; \n
    Print["\<f[g[w]] = \>", PowerExpand[Simplify[f[g[w]]]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["The image is traced using a graph.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ \ \ Log[\(1 + z\)\/\(1 - z\)]; \n
    zplane\  = \ 
      PolarMap[Identity, {0.000005, 0.999995, 0.11111}, 
        \n{0, 2  \[Pi], \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-1.1\), 1.1}, {\(-1.1\), 1.1}}, 
        PlotRegion \[Rule] {{0.15, 0.85}, {0.15, 0.85}}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-1\), 1, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      PolarMap[f, {0.000005, 0.999995, 0.11111}, \n{0, 2  \[Pi], \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-3\), 3}, {\(-1.6\), 1.6}}, 
        AspectRatio \[Rule] 1.6\/3, 
        Ticks \[Rule] {Range[\(-3\), 3, 1], Range[\(-1\), 1, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Thus, the image of the unit disk  |z| < 1  is the horizontal strip  |v| < \
",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.10,  Page 297.",
    FontWeight->"Bold"],
  "  The transformation   w  =  f(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\((1 + z)\)\^2\),
          FontSize->14], 
        StyleBox[\(\((1 - z)\)\^2\),
          FontSize->14]]]],
  "   is a\none-to-one conformal mapping of the portion of the unit disk  |z| \
< 1 that lies in \nthe upper half-plane  Im z > 0 onto the upper half-plane  \
Im w > 0.  Furthermore, \nthe upper semicircular portion of the boundary is \
mapped onto the line negative \nu-axis, and the segment  -1 < x < 1, y = 0  \
is mapped onto the positive u-axis."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, solset, w, z]; \n
    f[z_]\  = \ \ \((1 + z)\)\^2\/\((1 - z)\)\^2; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "To show w  =  f(z)  =  ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\((1 + z)\)\^2\),
          FontSize->14], 
        StyleBox[\(\((1 - z)\)\^2\),
          FontSize->14]]]],
  "   is one-to-one conformal we need to find the inverse function.  Since \
there is two branches, perhaps one of them is appropriate to this problem."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[w\  == \ f[z], z]; \n
    g[w_]\  = \ solset\[LeftDoubleBracket]1, 1, 2\[RightDoubleBracket]; \n
    Print[solset]; \nPrint["\<f[z] = \>", f[z]]; \n
    Print["\<g[w] = \>", g[w]]; \nPrint["\< \>"]; \n
    Print["\<f[g[w]] = \>", f[g[w]]]; \n
    Print["\<f[g[w]] = \>", Simplify[f[g[w]]]]; \nPrint["\< \>"]; \n
    Print["\<g[f[z]] = \>", g[f[z]]]; \n
    Print["\<g[f[z]] = \>", PowerExpand[g[f[z]]]]; \n
    Print["\<g[f[z]] = \>", Simplify[PowerExpand[g[f[z]]]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["The image is traced using a graph.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ \ \((1 + z)\)\^2\/\((1 - z)\)\^2; \n
    zplane\  = \ 
      PolarMap[Identity, {0.000005, 0.999995, 0.11111}, 
        \n{0, \[Pi], \[Pi]\/12}, AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      PolarMap[f, {0.000005, 0.999995, 0.11111}, {0, \[Pi], \[Pi]\/12}, 
        PlotRange \[Rule] {{\(-4.2\), 4.2}, {0, 4.5}}, 
        AspectRatio \[Rule] 4.5\/8, 
        Ticks \[Rule] {Range[\(-4\), 4, 2], Range[0, 4, 2]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}, GraphicsSpacing \[Rule] \(-0.1\)], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<        The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["\<\
Thus the image of the portion of the unit disk  |z| < 1 that lies \
in the 
upper half-plane  Im z > 0  is the upper half-plane  Im w > 0. \
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.11,  Page 298.",
    FontWeight->"Bold"],
  "  Consider the function   w  =  f(z)  = ",
  Cell[BoxData[
      SqrtBox[
        RowBox[{
          StyleBox[\(z\^2\),
            FontSize->14], " ", "-", " ", "1"}]]]],
  ",  which \nis the composition of the functions  Z = ",
  Cell[BoxData[
      StyleBox[\(z\^2\),
        FontSize->14]]],
  " - 1  and  w = ",
  Cell[BoxData[
      \(\@Z\)]],
  "  where the branch of the \nsquare root is    ",
  Cell[BoxData[
      \(\@Z\)]],
  "  =  ",
  Cell[BoxData[
      \(\@R\)]],
  "(cos(",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Theta]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ") + i sin(",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Theta]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ")),    (",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " = arg Z  and  0 \[LessEqual] ",
  StyleBox["\[Theta]",
    FontFamily->"Symbol"],
  " < 2",
  StyleBox["\[Pi]",
    FontFamily->"Symbol"],
  ").\nThen the transformation  w = f(z)  maps the upper half-plane  Im z > 0 \
 one-to-one and \nonto the upper-half plane  Im w > 0  slit along the segment \
 u = 0, 0 < v \[LessEqual] 1.\n"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, g, solset, w, z]; \nf[z_]\  = \ \@\(z\^2\  - \ 1\); \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "But in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  the branch cut for square root is along the negative x-axis.\nBut we \
need a version of the function f(z) with a branch cut along the positive \
x-axis:\nf(z)  =  i ",
  Cell[BoxData[
      SqrtBox[
        RowBox[{"1", " ", "-", " ", 
          StyleBox[\(z\^2\),
            FontSize->14]}]]]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[z_]\  = \ \@\(z\^2\  - \ 1\); \nPrint["\<f[z] = \>", f[z]]; \)], 
  "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "To show  w = f(z) = ",
  Cell[BoxData[
      SqrtBox[
        RowBox[{
          StyleBox[\(z\^2\),
            FontSize->14], " ", "-", " ", "1"}]]]],
  "  is one-to-one conformal we need to find the inverse function."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f[z_]\  = \ \ \[ImaginaryI]\ \@\(1\  - \ z\^2\); \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(solset\  = \ Solve[w\  == \ f[z], z]; \n
    g[w_]\  = \ solset\[LeftDoubleBracket]2, 1, 2\[RightDoubleBracket]; \n
    Print[solset]; \nPrint["\<f[z] = \>", f[z]]; \n
    Print["\<g[w] = \>", g[w]]; \nPrint["\< \>"]; \n
    Print["\<f[g[w]] = \>", f[g[w]]]; \nPrint["\< \>"]; \n
    Print["\<g[f[z]] = \>", g[f[z]]]; \n
    Print["\<g[f[z]] = \>", PowerExpand[g[f[z]]]]; \)], "Input",
  AspectRatioFixed->True],

Cell["The image is traced using a graph.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ \ \[ImaginaryI]\ \@\(1\  - \ z\^2\); \n
    zplane\  = \ 
      CartesianMap[Identity, {0, 2.5, 0.5}, {0.00005, 1.35005, 0.09}, 
        PlotRange \[Rule] {{0, 2.5}, {0, 1.35}}, 
        AspectRatio \[Rule] 2.5\/1.35, 
        PlotRegion \[Rule] {{0.2, 0.8}, {0.2, 0.8}}, 
        Ticks \[Rule] {Range[0, 2, 1], Range[0, 1, 1]}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, {0, 2.5, 0.5}, {0.00005, 1.35005, 0.09}, 
        PlotRange \[Rule] {{0, 2.5}, {0, 1.8}}, AspectRatio \[Rule] 1.8\/2.5, 
        Ticks \[Rule] {Range[0, 2, 1], Range[0, 1, 1]}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<       The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 9",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Section 9.4  ",
  StyleBox["Mapping Involving Trigonometric Functions",
    FontColor->RGBColor[1, 0, 1]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->18,
  CellTags->"Section 9.4"],

Cell["\<\
     The trigonometric functions can be expressed with compositions \
that involve the exponential
function followed by a bilinear function.  We will be able to find images of \
certain regions by
following the shapes of successive images in the composite mapping.\
\>", 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Load ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s  ComplexMap package.\nMake sure this is done only ONCE during a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  session."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Get["\<Graphics`ComplexMap`\>"]\)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Example 9.12,  Page 303.",
    FontWeight->"Bold"],
  "  The transformation   w  =  tan(z)   is a one-to-one \nconformal mapping \
of the vertical strip  |x| < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["4",
          FontSize->14]]]],
  "   onto the disk  |w| < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, f1, g, w, z]; \nf[z_]\  = \ \ Tan[z]; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["Which is the same as the following function  g(z).", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(g[z_]\  = \ \ 
      \(\[ImaginaryI]\ 
          \((1 - \[ExponentialE]\^\(\[ImaginaryI]\ 2\ z\))\)\)\/\(1 + 
          \[ExponentialE]\^\(\[ImaginaryI]\ 2\ z\)\); \n
    Print["\<g[z] = \>", g[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The first function in this composition is  ",
  Cell[BoxData[
      StyleBox[\(f\_1\),
        FontSize->14]]],
  "(z)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(f1[z_]\  = \ \ \[ExponentialE]\^\(\[ImaginaryI]\ 2\ z\); \n
    Print["\<f1[z] = \>", f1[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData["The image is traced using a graph."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ \ Tan[z]; \n
    zplane\  = \ 
      CartesianMap[
        Identity, {\(-\[Pi]\)\/4, \[Pi]\/4, \[Pi]\/24}, {\(-2\), 2, 0.2}, 
        AspectRatio \[Rule] 2, 
        Ticks \[Rule] {Range[0, 1, 1], Range[\(-2\), 2, 1]}, 
        PlotRange \[Rule] {{\(-1.05\), 1.05}, {\(-2.1\), 2.1}}, 
        PlotRegion \[Rule] {{0.2, 0.8}, {0.2, 0.8}}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    Zplane\  = \ 
      CartesianMap[
        f1, {\(-\[Pi]\)\/4, \[Pi]\/4, \[Pi]\/24}, {\(-2\), 2, 0.2}, 
        AspectRatio \[Rule] 6.1\/3.1, 
        PlotRegion \[Rule] {{0.15, 0.85}, {0.15, 0.85}}, 
        Ticks \[Rule] {Range[0, 3, 1], Range[\(-3\), 3, 1]}, 
        PlotRange \[Rule] {{\(-0.05\), 3.5}, {\(-3.5\), 3.5}}, 
        AxesLabel \[Rule] {"\<X\>", "\<Y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, {\(-\[Pi]\)\/4, \[Pi]\/4, \[Pi]\/24}, {\(-2\), 2, 0.2}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-1\), 1, 1], Range[\(-1\), 1, 1]}, 
        PlotRange \[Rule] {{\(-1.05\), 1.05}, {\(-1.05\), 1.05}}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, Zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<         The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Thus, the image of the vertical strip   |x| < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["4",
          FontSize->14]]]],
  "   is the disk   |w| < 1."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.13,  Page 304.",
    FontWeight->"Bold"],
  "  The transformation  w  =  f(z) = sin(z)  is a one-to-one\nconformal \
mapping of the vertical  strip  |x| < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "  onto the w-plane slit along the rays  \nu \[LessEqual] - 1, v = 0  and  \
1 \[LessEqual] u, v = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, graphs, wplane, z, zplane]; \nf[z_]\  = \ Sin[z]; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["The image is traced using a graph.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ Sin[z]; \n
    zplane\  = \ 
      CartesianMap[
        Identity, {\(-\[Pi]\)\/2, \[Pi]\/2, \[Pi]\/12}, {\(-2.5\), 2.5, 
          0.25}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-2\), 2, 1], Range[\(-2\), 2, 1]}, 
        PlotRange \[Rule] {{\(-2.6\), 2.6}, {\(-2.6\), 2.6}}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[
        f, {\(-\[Pi]\)\/2, \[Pi]\/2, \[Pi]\/12}, {\(-2.25\), 2.25, 0.25}, 
        AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[\(-3\), 3, 1], Range[\(-3\), 3, 1]}, 
        PlotRange \[Rule] {{\(-3.05\), 3.05}, {\(-3.05\), 3.05}}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<         The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Thus, the image of the vertical strip   |x| < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  "   is the \nw-plane slit along the rays  u \[LessEqual] - 1, v = 0  and  1 \
\[LessEqual] u, v = 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Figure 9.18,  Page 307.",
    FontWeight->"Bold"],
  "  The transformation  w  =  f(z) = arcsin(z)  is a one-to-one\nconformal \
mapping of the first quadrant  x > 0,  y > 0  onto the semi-infinite strip  \n\
|u| < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  " ,  v > 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, graphs, wplane, z, zplane]; \nf[z_]\  = \ ArcSin[z]; \n
    Print["\<f[z] = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell["The image is traced using a graph.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[f, z]; \nf[z_]\  = \ ArcSin[z]; \n
    zplane\  = \ 
      CartesianMap[Identity, {0, 4, 0.2}, {0, 4, 0.2}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[0, 4, 1], Range[0, 4, 1]}, 
        PlotRange \[Rule] {{\(-0.1\), 4.1}, {\(-0.1\), 4.1}}, 
        AxesLabel \[Rule] {"\<x\>", "\<y\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    wplane\  = \ 
      CartesianMap[f, {0, 4, 0.2}, {0, 4, 0.2}, AspectRatio \[Rule] 1, 
        Ticks \[Rule] {Range[0, 2, 1], Range[0, 2, 1]}, 
        PlotRange \[Rule] {{\(-0.1\), 2.6}, {\(-0.1\), 2.6}}, 
        AxesLabel \[Rule] {"\<u\>", "\<v\>"}, 
        DisplayFunction \[Rule] Identity]; \ \n
    graphs\  = \ 
      Show[GraphicsArray[{zplane, wplane}], 
        DisplayFunction \[Rule] $DisplayFunction]; \n
    Print["\<      The mapping  w = \>", f[z]]; \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Thus, the image of the first quadrant  x > 0,  y > 0  is the semi-infinite \
strip  |u| < ",
  Cell[BoxData[
      FractionBox[
        StyleBox["\[Pi]",
          FontSize->14], 
        StyleBox["2",
          FontSize->14]]]],
  ",  v > 0."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "\n",
  StyleBox["Example 9.14,  Page 308.",
    FontWeight->"Bold"],
  "  Find the principal value of  Arcsin(1 + i)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Clear[u, v, x, y]; \n
    u[x_, y_]\  = \ 
      ArcSin[\(\@\(\((x + 1)\)\^2 + y\^2\) - 
            \@\(\((x - 1)\)\^2 + y\^2\)\)\/2]; \n
    v[x_, y_]\  = \ 
      Sign[y]\ ArcCosh[
          \(\@\(\((x + 1)\)\^2 + y\^2\) + \@\(\((x - 1)\)\^2 + y\^2\)\)\/2]; 
    \nPrint["\<u[x,y] = \>", u[x, y]]; \nPrint["\<v[x,y] = \>", v[x, y]]; \n
    Print["\< \>"]; \n
    Print["\<u[1,1]+\[ImaginaryI] v[1,1] = \>", 
      u[1, 1] + \[ImaginaryI]\ v[1, 1]]; \n
    Print["\<u[1,1]+\[ImaginaryI] v[1,1] = \>", 
      N[u[1, 1] + \[ImaginaryI]\ v[1, 1]]]; \n
    Print["\<    ArcSin[1+\[ImaginaryI]] = \>", ArcSin[1 + \[ImaginaryI]]]; \n
    Print["\<   ArcSin[1+\[ImaginaryI]] = \>", N[ArcSin[1 + \[ImaginaryI]]]]; 
    \)], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["GoTo ",
    FontSize->16,
    FontColor->RGBColor[0, 1, 0]],
  ButtonBox["Chapter 9",
    ButtonData:>"CHAPTER",
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 640}, {0, 452}},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{492, 250},
WindowMargins->{{4, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {15, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {10, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output",
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageSize->{175, 175},
    ImageMargins->{{38, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageSize->{250, 250},
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    StyleMenuListing->None,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->16,
    FontColor->RGBColor[1, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->Primary,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{1, -5},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Closed]]
  }, Open  ]]
  }]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "CHAPTER"->{
    Cell[3053, 98, 2741, 104, 178, "Text",
      CellTags->"CHAPTER"]},
  "CHAPTER 9"->{
    Cell[5819, 206, 229, 9, 38, "Text",
      CellTags->"CHAPTER 9"]},
  "Section 9.1"->{
    Cell[6352, 227, 254, 9, 35, "Text",
      CellTags->"Section 9.1"]},
  "Section 9.2"->{
    Cell[12631, 434, 210, 8, 35, "Text",
      CellTags->"Section 9.2"]},
  "Section 9.3"->{
    Cell[31608, 1028, 224, 8, 35, "Text",
      CellTags->"Section 9.3"]},
  "Section 9.4"->{
    Cell[47045, 1513, 227, 8, 35, "Text",
      CellTags->"Section 9.4"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"CHAPTER", 80482, 2680},
  {"CHAPTER 9", 80571, 2683},
  {"Section 9.1", 80661, 2686},
  {"Section 9.2", 80753, 2689},
  {"Section 9.3", 80846, 2692},
  {"Section 9.4", 80940, 2695}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 595, 20, 105, "Text"],
Cell[2329, 73, 709, 22, 198, "Text"]
}, Closed]],
Cell[3053, 98, 2741, 104, 178, "Text",
  CellTags->"CHAPTER"],

Cell[CellGroupData[{
Cell[5819, 206, 229, 9, 38, "Text",
  CellTags->"CHAPTER 9"],
Cell[6051, 217, 264, 5, 90, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[6352, 227, 254, 9, 35, "Text",
  CellTags->"Section 9.1"],
Cell[6609, 238, 2597, 87, 185, "Text"],
Cell[9209, 327, 278, 10, 52, "Text"],
Cell[9490, 339, 90, 2, 30, "Input"],
Cell[9583, 343, 401, 13, 52, "Text"],
Cell[9987, 358, 133, 3, 70, "Input"],
Cell[10123, 363, 399, 7, 150, "Input"],
Cell[10525, 372, 387, 7, 150, "Input"],
Cell[10915, 381, 413, 7, 150, "Input"],
Cell[11331, 390, 256, 11, 52, "Text"],
Cell[11590, 403, 819, 17, 270, "Input"],
Cell[12412, 422, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[12631, 434, 210, 8, 35, "Text",
  CellTags->"Section 9.2"],
Cell[12844, 444, 216, 6, 56, "Text"],
Cell[13063, 452, 1494, 44, 179, "Text"],
Cell[14560, 498, 278, 10, 52, "Text"],
Cell[14841, 510, 72, 1, 30, "Input"],
Cell[14916, 513, 428, 14, 59, "Text"],
Cell[15347, 529, 206, 4, 105, "Input"],
Cell[15556, 535, 131, 3, 33, "Text"],
Cell[15690, 540, 226, 4, 71, "Input"],
Cell[15919, 546, 193, 6, 52, "Text"],
Cell[16115, 554, 1025, 20, 367, "Input"],
Cell[17143, 576, 730, 32, 71, "Text"],
Cell[17876, 610, 632, 11, 186, "Input"],
Cell[18511, 623, 366, 13, 41, "Text"],
Cell[18880, 638, 465, 8, 90, "Input"],
Cell[19348, 648, 728, 31, 71, "Text"],
Cell[20079, 681, 643, 11, 186, "Input"],
Cell[20725, 694, 347, 11, 61, "Text"],
Cell[21075, 707, 500, 12, 121, "Input"],
Cell[21578, 721, 343, 16, 33, "Text"],
Cell[21924, 739, 453, 8, 90, "Input"],
Cell[22380, 749, 454, 15, 80, "Text"],
Cell[22837, 766, 264, 5, 87, "Input"],
Cell[23104, 773, 131, 3, 33, "Text"],
Cell[23238, 778, 226, 4, 71, "Input"],
Cell[23467, 784, 159, 4, 52, "Text"],
Cell[23629, 790, 603, 10, 130, "Input"],
Cell[24235, 802, 226, 5, 52, "Text"],
Cell[24464, 809, 167, 3, 90, "Input"],
Cell[24634, 814, 1052, 21, 349, "Input"],
Cell[25689, 837, 144, 5, 33, "Text"],
Cell[25836, 844, 343, 9, 90, "Text"],
Cell[26182, 855, 1007, 40, 97, "Text"],
Cell[27192, 897, 631, 11, 206, "Input"],
Cell[27826, 910, 247, 13, 33, "Text"],
Cell[28076, 925, 456, 8, 110, "Input"],
Cell[28535, 935, 613, 28, 52, "Text"],
Cell[29151, 965, 661, 12, 130, "Input"],
Cell[29815, 979, 152, 5, 33, "Text"],
Cell[29970, 986, 479, 8, 230, "Input"],
Cell[30452, 996, 934, 18, 286, "Input"],
Cell[31389, 1016, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[31608, 1028, 224, 8, 35, "Text",
  CellTags->"Section 9.3"],
Cell[31835, 1038, 216, 6, 52, "Text"],
Cell[32054, 1046, 278, 10, 52, "Text"],
Cell[32335, 1058, 90, 2, 30, "Input"],
Cell[32428, 1062, 716, 20, 95, "Text"],
Cell[33147, 1084, 239, 5, 85, "Input"],
Cell[33389, 1091, 362, 11, 57, "Text"],
Cell[33754, 1104, 547, 10, 250, "Input"],
Cell[34304, 1116, 108, 2, 33, "Text"],
Cell[34415, 1120, 1123, 25, 321, "Input"],
Cell[35541, 1147, 206, 7, 33, "Text"],
Cell[35750, 1156, 1034, 38, 125, "Text"],
Cell[36787, 1196, 164, 3, 84, "Input"],
Cell[36954, 1201, 774, 29, 56, "Text"],
Cell[37731, 1232, 543, 10, 250, "Input"],
Cell[38277, 1244, 98, 2, 33, "Text"],
Cell[38378, 1248, 1066, 22, 346, "Input"],
Cell[39447, 1272, 300, 12, 37, "Text"],
Cell[39750, 1286, 706, 18, 140, "Text"],
Cell[40459, 1306, 174, 4, 90, "Input"],
Cell[40636, 1312, 420, 12, 64, "Text"],
Cell[41059, 1326, 546, 10, 250, "Input"],
Cell[41608, 1338, 98, 2, 33, "Text"],
Cell[41709, 1342, 858, 17, 311, "Input"],
Cell[42570, 1361, 211, 6, 52, "Text"],
Cell[42784, 1369, 1336, 51, 151, "Text"],
Cell[44123, 1422, 155, 3, 73, "Input"],
Cell[44281, 1427, 442, 14, 71, "Text"],
Cell[44726, 1443, 124, 3, 53, "Input"],
Cell[44853, 1448, 298, 10, 33, "Text"],
Cell[45154, 1460, 143, 3, 53, "Input"],
Cell[45300, 1465, 431, 8, 210, "Input"],
Cell[45734, 1475, 98, 2, 33, "Text"],
Cell[45835, 1479, 988, 20, 325, "Input"],
Cell[46826, 1501, 182, 7, 37, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[47045, 1513, 227, 8, 35, "Text",
  CellTags->"Section 9.4"],
Cell[47275, 1523, 339, 9, 71, "Text"],
Cell[47617, 1534, 278, 10, 52, "Text"],
Cell[47898, 1546, 90, 2, 30, "Input"],
Cell[47991, 1550, 418, 14, 56, "Text"],
Cell[48412, 1566, 141, 3, 70, "Input"],
Cell[48556, 1571, 114, 2, 33, "Text"],
Cell[48673, 1575, 258, 6, 71, "Input"],
Cell[48934, 1583, 199, 8, 33, "Text"],
Cell[49136, 1593, 153, 3, 51, "Input"],
Cell[49292, 1598, 108, 2, 33, "Text"],
Cell[49403, 1602, 1479, 31, 443, "Input"],
Cell[50885, 1635, 294, 11, 37, "Text"],
Cell[51182, 1648, 505, 16, 94, "Text"],
Cell[51690, 1666, 153, 3, 70, "Input"],
Cell[51846, 1671, 98, 2, 33, "Text"],
Cell[51947, 1675, 1016, 22, 296, "Input"],
Cell[52966, 1699, 368, 12, 56, "Text"],
Cell[53337, 1713, 465, 16, 94, "Text"],
Cell[53805, 1731, 156, 3, 70, "Input"],
Cell[53964, 1736, 98, 2, 33, "Text"],
Cell[54065, 1740, 882, 18, 270, "Input"],
Cell[54950, 1760, 322, 12, 37, "Text"],
Cell[55275, 1774, 197, 7, 52, "Text"],
Cell[55475, 1783, 772, 17, 254, "Input"],
Cell[56250, 1802, 182, 7, 37, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

